SET NAMESPACE 'http://www.teiid.org/translator/salesforce/2012' AS teiid_sf;

CREATE FOREIGN TABLE Account (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	MasterRecordId string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Name string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Enterprise Existing,Enterprise New,Federal,OEM Partner,SLED,SMB,Partner - Distributor,Partner - ISV,Partner - OEM,Partner - Other,Partner - Systems Integrator,Partner - Technology,Partner - Training,Partner - Value Added Reseller,Sales - Customer,Sales - Hosting,Sales - Key Account,Sales - Other,Sales - Prospect,Sales - SMB,Sales - Strategic'),
	RecordTypeId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ParentId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	BillingStreet string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	BillingCity string(40) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	BillingState string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	BillingPostalCode string(20) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	BillingCountry string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ShippingStreet string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ShippingCity string(40) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ShippingState string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ShippingPostalCode string(20) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ShippingCountry string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Phone string(40) OPTIONS (NATIVE_TYPE 'phone', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Fax string(40) OPTIONS (NATIVE_TYPE 'phone', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	AccountNumber string(40) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Website string(255) OPTIONS (NATIVE_TYPE 'url', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Sic string(20) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Industry string(40) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Aerospace,Construction,Consulting,Education,Financial Services,Government,Government-Military,Healthcare,Information Technology,Insurance,Life Sciences,Manufacturing,Media and Entertainment,Non Profit Organization,Oil and Gas,Other,Product Distributor,Retail,Services,State/County/Local Government,Tech Online,Telecom,Transportation,Utilities'),
	AnnualRevenue double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	NumberOfEmployees integer OPTIONS (NATIVE_TYPE 'int', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Ownership string(40) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Joint Venture,Private,Public,Subsidiary'),
	TickerSymbol string(20) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Description string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Rating string(40) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Hot,Warm,Cold'),
	Site string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	OwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	LastActivityDate date OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsPartner boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsCustomerPortal boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OracleAccountNumber__c string(20) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	RHNLogin__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	D_U_N_S__c string(20) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	NamedAccount__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'BeNeLux,CEE,Channel,DISTI,Enterprise-Existing,Enterprise-New,Federal,GLS,Key - East,Key - West,LATAM,Nordics,North Asia Pacific,OEM,Runtime,SEMEA,SLED,SMB,South Asia Pacific,Strategic,UK,WEB'),
	DateOfLastCreditCheck__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CreditLimit__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	PaymentTerms__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Prepay,Net 30,Net 45,Net 60,IMMEDIATE,EOM +1,EOM +2,10 NET,15 NET,45 NET,50 NET,60 NET,EOM +60,EOM Next Month,90 NET,75 NET,EOM+30,EOM+40,EOM+45,CONSOLIDATE,EOM+60,EOM+120,EOM+90,Prepayment Reqd,CO10th+40,CO15th+60,CO20th+45,CO25th+40,CONSOLIDATE TERM'),
	VATNumber__c string(15) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Time_and_Date_Approved__c timestamp OPTIONS (NATIVE_TYPE 'datetime', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ASIDST__c string(20) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ASIDBT__c string(20) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	OracleAccountID__c string(20) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	EstAnnualRevForWWOrg__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" '$1-$100M,$101 Million or more,Unknown,1-50M,51-100M,101-150M,151-250M,251-300M,301-500M,501-750M,751-1B>'),
	NumberOfEmployeesInWWOrg__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Unknown,Less than 500,501-1000,More than 1001,1-10,11-25,26-50,51-100,101-500'),
	NumberOfServerClassSystemsInWWOrg__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" '1-50,51 or more,Unknown'),
	Credit_Approved_by__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Jacqui Fleury,Pam Waltrous,Sheree Alhmer'),
	OtherHWVendor__c string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	AccountClassification__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Commercial,Duplicate Account - Delete,EMEA - Hosting,Enterprise,ETR,GLOBAL,Hosting/T2 OEM,Hybrid,Incremental,Internal Use Account,INTRA GEO GLOBAL,KEY,Mid-Market,Named,New,Partner - Advanced Partner,Partner - Certified Services Partner,Partner - Distributor,Partner - ISV,Partner - OEM,Partner - Other,Partner - Premier,Partner - Premier Partner,Partner - Premier System Integrator,Partner - Ready Partner,Partner - Sub-Distributor,Partner - Systems Integrator,Partner - Technology,Partner - Training,Partner - Unaffiliated,Partner - Value Added Reseller,Prospect,PSR,Sales - Canadian Federal Government,Sales - Commercial,Sales - Commercial New,Sales - EDU,Sales - Enterprise,Sales - Enterprise Named,Sales - Enterprise Territory,Sales - Focus,Sales - Global,Sales - Government,Sales - Hosting,Sales - Key,Sales - SMB,Sales - State and Local,Sales - Strategic,Sales - Territory,Sales - Unallocated,Sales – Unallocated,Sales - US Federal Government,SMB,STRATEGIC,TERRITORY,TERRITORY - ASSIGN,UNALLOCATED,Vertical - FSI,Vertical - Healthcare,Verticals,Vertical - Telco'),
	AccountRating__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Target,Develop,Nurture,Top 25,Mid 25,Bottom 50'),
	OraclePartyID__c string(20) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	OraclePartyNumber__c string(20) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Description_of_Business__c string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Primary_Hardware_Vendor__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'IBM,HP,Dell,Other'),
	Cluster_File_Systems__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'GFS,IBM GPFS,Lustre,OCFS1,OCFS2,Polyserve,Veritas VxFS,XFS'),
	ERP_Systems__c string(25) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Directory_Server__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Active Directory,Netscape Directory Server,Novell Directory Services (NDS),Oracle Internet Directory (OID),SunOne Directory Server,Tivoli Directory Server'),
	File_Systems__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'ext3,JFS,ReiserFS,XFS'),
	OS_Environment__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'AIX,FreeBSD,HP-UX,Linux (Other),Linux (RHEL Clone),Linux (SuSE),Other,RHEL,Solaris,UNIX,Windows,z/OS'),
	Primary_HW_Vendor_Other__c string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Software_Management__c string(25) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Database__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'DB2,Informix,MySQL,Oracle,Oracle RAC,PostgreSQL,SQL,Sybase'),
	Monitoring__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'BMC Patrol,HP Openview,Legato,Nagios,Novell Zenworks,Opsware,RHN,Tivoli'),
	Infrastructure_Details__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Business_Pains__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Business_Pains_2__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Purchasing_Process__c string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Hardware_Environment__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Itanium,POWER/OpenPower,x86,x86-64(AMD),x86-64(Intel),zSeries'),
	RH_Sales_Strategy__c string(2000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Red_Hat_Agreements_on_File__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Click-Through/Subscription Order Form,Cygwin License,Distribution,Engineering Services,Evaluation,Framework /Master Service,Framework /MSA - SOW/Work Order,Hardware Partner - OEM Advanced,Hardware Partner - OEM Ready,Hardware Partner - Runtime Advanced,Hardware Partner - Runtime Ready,Hosting Provider Program,ISV Partner,Learning Services,None on File,OEM Partner,Professional Services,Professional Services  - SOW,Red Hat Academy Services,Reseller/Business Partner,RSS,Subscription,Subscription Agreement with RSS Addendum,Toolchain/GNUPro Services Support,Training Partner'),
	Key_Obstacles__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	SIC_Code__c string(20) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	What_are_you_using_RedHat_Others_for__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'File/Print,DNS,Web Servers,Email/Messaging Servers,Database,Storage Environment,Clustering'),
	Budget_Cycle__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'January,February,March,April,May,June,July,August,September,October,November,December'),
	Back_up_Recovery__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Arkeia,Legato Networker,Tivoli Storage Manager,Veritas Netbackup'),
	PreferredHWVendor__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Dell,Don’t Have One,Fujitsu,Gateway,HP,IBM,Other,Sun,Toshiba,Unknown'),
	Storage__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'JBOD,NAS,SAN'),
	Workloads_Deployed_on_Linux__c string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CreditPreApproved__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Application_Server__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'JBoss,Oracle Application Server,Resin,SunOne,TomCat,Weblogic,Websphere'),
	Customer_Status__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Not a Customer,Red Hat,JBoss,Red Hat and JBoss'),
	Renewal_Date__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Renewal_Amount__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Named_Account__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	PrimaryBillToAcct__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Territorydonotuse__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'California,Canada,Central,East,Great Lakes,Mid-Atlantic,New England,Northeast,Northwest,NY/NJ,Pacific Northwest,South,Southeast,Southwest,West'),
	PrimaryIndustry__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	PrimaryStorageVendor__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'NetApp,EMC,StorageTek,Dell,IBM,Sun,HP,Other'),
	Linux_Servers__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	UNIX_Servers__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Microsoft_Servers__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Total_Servers__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	PrimaryBillingAccountNumber__c string(8) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	firs_profileid__c string(6) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	firs_Industry_Profile_Name__c string(100) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	firs_Opp_Rating_Image__c string(18) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	firs_Profile_Link__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	firs_Opp_Rating__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	firs_Rating_Desc__c string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Executive_Sponsor__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Fiscal_Year_End__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	isAccountActive__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	isOnCreditHold__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	AccountOracleStatus__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Toll_Free_Number__c string(40) OPTIONS (NATIVE_TYPE 'phone', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	mkt_cl_mkt_touched__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Location_Type__c string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Products_Services__c string(2000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Business_Structure__c string(2000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Ultimate_Parent_D_U_N_S__c string(20) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Ultimate_Parent_Account__c string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Immediate_Parent_D_U_N_S__c string(20) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Immediate_Parent_Account__c string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Subsidiary_Status__c string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Total_of_Subsidiaries_if_Parent__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Recent_Major_Events__c string(2000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	mkt_cl_mkt_sourced__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Significant_Branch_Locations__c string(2000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Vertical__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Education,Energy,Financial Services,Government,Healthcare,Media and Tech,Public Sector,Retail,Telcom,Transportation'),
	All_NAICS_Codes__c string(20) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Primary_Billing_Account_Name__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Employee_Growth__c double OPTIONS (NATIVE_TYPE 'percent', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Sales_Growth__c double OPTIONS (NATIVE_TYPE 'percent', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Net_Income__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Net_Income_Growth__c double OPTIONS (NATIVE_TYPE 'percent', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Account_Assets__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	R_D__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Market_Value__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Exchange__c string(40) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	One_Year_Stock_Price_History__c string(40) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Profitability_vs_Industry__c string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	P_L__c string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	IT_Budget__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Key_Industry_Ratios__c string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Cost_Income_Ratios__c string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Budget_Planning__c string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Annual_Reports_Available__c string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Target_Revenue_for_Red_Hat_yearly__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Advertising__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Discount__c double OPTIONS (NATIVE_TYPE 'percent', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Enrollment_Date__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Partner_Points__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Accreditation__c string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Number_of_RHCE__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Number_of_RHCT_Certifications__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Number_of_RHCA_Certifications__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Class_of_Trade__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Distributor,DMR,ISV,OEM,VAR'),
	Partner_Account_Status__c string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Revenue_to_Date__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Account_Alias_Name__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Num_of_End_Customer_Account__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Account_Priority__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'High,Medium,Low'),
	EMEA_SE_Required__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Territory1__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Canada,Central,East,Hosting,Hosting/T2 OEM,Verticals,West'),
	SubTerritory__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'British Columbia,CENT,Central,CSMB,East,East Canada,Education,Federal,FINANCIAL SERVICES,HEALTHCARE,MEDIA AND TECH,Mid Atlantic,NE,NE Central,NW,NW Central,Ontario,Ontario East,Ontario Public Sector,Ontario West,Public Sector,Quebec Enterprise,S. Central,SE,SW,SWO,TELECOM,WEST,West Canada,West Enterprise'),
	Super_Industry__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	True_Up_Account__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Anniversary_Date_True_Up_Accounts__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Reminder_Frequency__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Quarterly,Bi-Annually,Annually'),
	Frequency_Days__c double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'double', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Reminder_Date__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Disable_Send_Partner_Notification__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Describe__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Completeness__c double OPTIONS (NATIVE_TYPE 'percent', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Industry_Vertical_Expertise__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Aerospace,Construction,Education,Financial Services,Government,Government-Military,Healthcare,Information Technology,Insurance,Life Sciences,Manufacturing,Media and Entertainment,Non Profit Organization,Oil and Gas,Other,Product Distributor,Retail,Services,State/County/Local Government,Tech Online,Telecom,Transportation,Utilities'),
	Key_Contact__c string(50) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Key_Contact_Cell_Phone__c string(40) OPTIONS (NATIVE_TYPE 'phone', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Key_Contact_Email__c string(80) OPTIONS (NATIVE_TYPE 'email', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Key_Contact_Primary_Phone__c string(40) OPTIONS (NATIVE_TYPE 'phone', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Number_of_RHCSS_Certifications__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Number_of_Trained_JBoss_Professionals__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Red_Hat_or_JBoss_certified_employees__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Partner_Type__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'VAR,Reseller,ISV,OEM,Distributor,DMR,Systems Integrator,Corporate Reseller,Regional SI,Service/Cloud Provider'),
	Service_Offerings__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Jboss,RHEL,RHEV'),
	Solution_Partners__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'BEA,BMC Software,Hyperion,IBM SWG,Oracle,Platform Computing,SAP,Sybase,Symantec,VMWare'),
	Special_Service_Offerings_or_Skills__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Sweet_Spot__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Technology_Solutions_Expertise__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Application Development,Application Integration,Application Maintenance,BI,CRM,Database,ERP,High Availability,HPC,Linux,Managed Services,SOA,Virtualization,Web Services'),
	Service_Area__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'NORTH AMERICA,CANADA,MEXICO,UNITED STATES,US-CENTRAL,US-EAST,US-MIDWEST,US-NORTHEAST,US-NORTHWEST,US-SOUTHEAST,US-SOUTHWEST,US-WEST,ALABAMA,ALASKA,AMERICAN SAMOA,ARIZONA,ARKANSAS,CALIFORNIA,COLORADO,CONNECTICUT,DELAWARE,DISTRICT OF COLUMBIA,FEDERATED STATES OF MICRONESIA,FLORIDA,GEORGIA,GUAM,HAWAII,IDAHO,ILLINOIS,INDIANA,IOWA,KANSAS,KENTUCKY,LOUISIANA,MAINE,MARSHALL ISLANDS,MARYLAND,MASSACHUSETTS,MICHIGAN,MINNESOTA,MISSISSIPPI,MISSOURI,MONTANA,NEBRASKA,NEVADA,NEW HAMPSHIRE,NEW JERSEY,NEW MEXICO,NEW YORK,NORTH CAROLINA,NORTH DAKOTA,NORTHERN MARIANA ISLANDS,OHIO,OKLAHOMA,OREGON,PALAU,PENNSYLVANIA,PUERTO RICO,RHODE ISLAND,SOUTH CAROLINA,SOUTH DAKOTA,TENNESSEE,TEXAS,UTAH,VERMONT,VIRGIN ISLANDS,VIRGINIA,WASHINGTON,WEST VIRGINIA,WISCONSIN,WYOMING'),
	Key_Contact_Secondary_Phone__c string(40) OPTIONS (NATIVE_TYPE 'phone', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	I_Agree_to_the_Terms_and_Conditions__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Name_of_Partner_Accepting_Legal_T_s__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Date_Legal_T_s_C_s_Accepted__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Partner_Center_ID__c string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Global_Region__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'NA,APAC,LATAM,EMEA'),
	Subregion__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'ASEAN,ANZ,India,Hong Kong,Greater China,Japan,Korea,Taiwan,Northeast,Central,Southeast,West,Canada,National,Fed Sled,High Volume,Distributor,Brazil,Mexico,NA,CE,NEE,SWE,Northwest,Southwest,SEMEA,North Central,South Central,Mid-Atlantic,SAC'),
	HMMI_Ent_ID__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Enterprise_Name__c string(255) OPTIONS (NATIVE_TYPE 'url', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	FCPA_Check__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Channel Operations Review,Failed,Failed with Comments,Legal Review,Passed,Passed with Comments'),
	Date_FCPA_Check_Performed__c timestamp OPTIONS (NATIVE_TYPE 'datetime', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	FCPA_Check_Comments__c string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Compliance_Score__c string(250) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Partner_Prospect_Type__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'A,B,C'),
	PartnerStatuses__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Advanced - Corporate Reseller,Advanced - ISV,Advanced - Regional SI,Advanced - Reseller,Advanced - SI,Advanced - Systems Integrator,Affiliated - Cloud/Virtualization,Affiliated - Distributor,Affiliated - OEM,Affiliated - Service/Cloud Provider,None,Premier - Corporate Reseller,Premier - ISV,Premier - Regional SI,Premier - Reseller,Premier - SI,Premier - Systems Integrator,Ready - Corporate Reseller,Ready - Hosting,Ready - ISV,Ready - Regional SI,Ready - Reseller,Ready - SI,Ready - Systems Integrator,Unaffiliated - Distributor,Unaffiliated - ISV,Unaffiliated - OEM,Unaffiliated Renewal not Met - Reseller,Unaffiliated - Reseller,Unaffiliated - Service/Cloud Provider,Unaffiliated - SI,Unaffiliated - Systems Integrator,Unaffiliated - Training'),
	RedHatSyncable__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Additional_Countries_of_Operation__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Afghanistan,Åland,Albania,Algeria,Antigua,Argentina,Armenia,Aruba,Australia,Austria,Azerbaijan,Bahamas,Bahrain,Barbados,Barbuda,Belarus,Belgium,Belize,Benelux,Benin,Bermuda,Bolivia,Bosnia and Herzegovina,Botswana,Brazil,British Virgin Islands,Bulgaria,Burkina Faso,Burundi,Cameroon,Canada,Canary Islands,Cape Verde,Cayman Islands,Central African Republic,Chad,Chile,China,Colombia,Comoros,Congo,Costa Rica,Croatia,Cyprus,Czech Republic,Democratic Republic of Congo,Denmark,Djibouti,Dominica,Dominican Republic,Finland,France,French Guiana,Gabon,Gambia,Georgia,Germany,Ghana,Gibraltar,Greece,Grenada,Guadeloupe,Guam,Guatema,Guinea-Bissau,Guyana,Haiti,Honduras,Hong Kong,Hungary,Iceland,India,Indonesia,Ireland,Isle of Man,Israel,Italy,Jamaica,Japan,Jersey,Jordan,Kazakstan,Kenya,Kuwait,Kyrgyzstan,Laos,Latvia,Lebanon,Liberia,Libya,Liechtenstein,Lithuania,Luxembourg,Macedonia,Madagascar,Madeira Islands,Mali,Malta,Mexico,Moldova,Monaco,Montenegro,Namibia,Netherlands,New Zealand,Nicaragua,Norway,Oman,Panama,Paraguay,Peru,Philippines,Poland,Portugal,Qatar,Romania,Russia,Rwanda,Sao Tome and Principe,Saudi Arabia,Senegal,Sierra Leone,Singapore,Slovakia,South Africa,South Korea,Spain,Sri Lanka,Suriname,Swaziland,Sweden,Switzerland,Tajikistan,Togo,Trinidad,Tunisia,Turkey,Ukraine,United Arab Emirates,United Kingdom,United States,Venezuela,Virgin Islands,Western Sahara,Yemen,Zambia,Zimbabwe'),
	Additional_Partnerships__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'AMD,Cisco,Citrix,Fujitsu,HP Hardware,HP Software,IBM Hardware,IBM Software,Intel,Microsoft,None,Novell SuSE,Oracle/BEA,SAP,Siemens,VMWare'),
	Application_Types__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'None,Application Design/Construction,Application Design/Construction/IDE,Application Life-Cycle Management,Application Life-Cycle Mgt,Authoring,Back-Office Enterprise,Collaboration/Groupware,Collaboration/Groupware/Messaging,Consumer,Content Management,Content Management/Authoring,Customer Relationship Management,Database/Information/Data Management,Delivery/Mining/Portal,Engineering,Enterprise Resource Planning,Information Access,Information Access/Delivery/Mining,Middleware/Message-oriented,Middleware/Message-Oriented/Transaction,Networking,Other Development Tools,Security,ServerWare/Clustering/Web/VM,Storage,System-Level Software,Systems Management,Transaction Network Management'),
	Date_Last_Cleansed__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Hardware_Focus__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'No Hardware Focus,Mainframe,Intel based servers,Power-PC RISC Workstations,Notebooks/Desktop Solutions/Thin Clients'),
	Hardware_Platform__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'None,IBM zSeries,IBM Power Series,IBM s390,IBM pSeries,IBM iSeries,Intel Itanium,Intel 64,Intel x86,AMD 64,Sun Sparc'),
	Have_They_been_Convicted__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Yes,No'),
	If_Other_Middleware__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Industry_Focus__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Aerospace,All Industries (Horizontal Application),Automotive and Transport Equipment,Construction,Consulting,Discrete Manufacturing,Discrete Manufacturing - Aerospace/Def,Discrete Manufacturing - Automotive,Discrete Manufacturing - High Tech,Discrete Manufacturing - Industrials,Education,Electronic Design Automation,Energy,Engineering,Environment,Financial,Financial Services,Financial Services - Banking,Financial Services - Securities,Government,Government-Military,Healthcare,Information Technology,Insurance,Legal Services,Leisure,Life Sciences,Manufacturing,Media and Entertainment,Non Profit Organization,Oil and Gas,Other,Pharmaceuticals,Process Manufacturing,Process Manufacturing - Chemicals,Process Manufacturing - Consumer Product,Process Manufacturing - Oil/Gas,Product Distributor,Public Services,Publishing,Retail,Services,State/County/Local Government,Tech Online,Telecom,Transportation,Utilities,Wholesale'),
	Middleware_Supported__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'JBoss,Websphere,Weblogic,Other,None'),
	MigrationSource__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Onboarded,Legacy Partner Center New,Legacy Partner Center Merged'),
	NumberOfSalesPeople__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	NumberOfTechnicalPeople__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Operating_System_Supported__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Red Hat Enterprise Linux,SuSe Linux,Windows,Solaris,Fedora,FreeBSD,CentOS,Ubuntu,OEL,HPUX,AIX,Other'),
	Other_Countries__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Other_Partnerships__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Ownership_Type__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Other,Public,Private,Subsidiary'),
	PrimaryPartnerUser__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Promo_Code__c string(40) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Software_Focus__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'OS,Middleware,Virtualization'),
	State_Province__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Target_Market_Size__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Small,Medium,Large,Enterprise'),
	Total_Annual_Revenue__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" '< $1 Million,$1 Million - $20 Million,$2 Million - $50 Million,$50 Million - $100 Million,> $100 Million,Unknown'),
	YearEstablished__c string(4) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Distributors_Purchased_Through__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Avnet,Carahsoft,Ingram Micro,Synnex,Tech Data,None'),
	Number_Enrolled_Sales_Cert__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Number_Middleware_Sales_Certs__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Number_Platform_Sales_Certs__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Ready_Status__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Committed,Engaged in Discussions,Key Player,Low Touch,Maintenance,Not Interested,Other,Undetermined'),
	Core_Specializations_Reselling__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Marketing_Plan_Received__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Geographic_Sales_Coverage__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'National,Regional,Local'),
	JBoss_Middleware_Skills__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Marketing_Plan_Achievement_Date__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Number_of_Customers__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Number_of_Sales_Certifications__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Number_of_Technical_Certifications__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Open_Source_Practice__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Previous_Year_Revenue__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	RH_Webinar_Date__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Sales_Certification_Acheivement_by_Date__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	JBoss_Account_ID__c string(20) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Current_JB_Owner__c string(30) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Sales_Ops_Reviewed__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Size_of_Companies_Targeted__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Fortune 1,000,Medium - Fortune 1,000,Medium <999,Small - Medium,Small - Very Small,Small <99,Very Small <20'),
	Technical_Course_Enrolled__c string(45) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Technical_Enrollment_Achievement_by_Date__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Webinar_Attending__c string(30) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Webinar_Date__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	What_Markets_are_Targeted__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Vertical market,Education Market,Government Markets Federal,Government Markets State,Government Markets Local,Other industries'),
	Years_in_Business__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Referenceable__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'No,Yes'),
	Agree_to_Sales_Certification__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Yes/Agree,No/Does Not Agree,Completed,Enrolled'),
	Agree_to_Technical_Enrollment__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Yes/Agree,No/Does Not Agree,Completed,Enrolled'),
	Agree_to_Attend_RH_Webinar__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Yes/Agree,No/Does Not Agree,Completed,Enrolled'),
	Agree_to_Submit_Marketing_Plan__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Yes/Agree,No/Does Not Agree,Completed,Submitted'),
	Ready_Status_Detail__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Committed - In process,Activated - Sales Engaged With Red Hat,Engaged In Discussions,Not Interested - Bad Experience With RH,Not Interested - Closed 5 Call Attempts,Not Interested - Follow Up,Not Interested - General,Not Interested - No Open Source Interest,Not Interested - Not Reselling,Undetermined,Bad Number,Duplicate Partner Entry,Federal Gov - Sent To Brian,ISV - Sent To Brian,Moved to Advanced,Out of Business,RH Do Not Call,Maintenance,Assessment Complete,Agreed to Solution Accelerator Plan (SAP),SAP Complete,DG In Progress,DG Generating Leads,DG Generating Revenue,ISV Self Certified,ISV OEM Embedded,Self Certify Track,OEM/Embedding Track,Highly Engaged,Enablement Complete,Enablement in Progress,ABP Candidate'),
	Number_Virtualization_Sales_Certs__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	AccountKey__c string(21) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	HasAccountTeamAssigned__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Account_OwnerName__c string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	PrimaryPartnerContact__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Certified_Service_Provider__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Hosting_Partner__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Hosting Distributors,Hosting Resellers,Hosting Partners'),
	Select_Specialization_s__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Cloud Infrastructure,Data Center Infrastructure,Middleware Solutions,Public Sector'),
	Total_Partner_Sales_Certifications__c double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'double', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Total_Partner_Technical_Certifications__c double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'double', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	HooversId__c string(20) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	issalescertification__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Recruiting_Distributor__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Ingram Micr,Synnex,Tech Data'),
	Offices_Locations__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Partner_s_Largest_Customer__c string(120) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Partner_Program_Requirements__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	RequalStatus__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Eligible,In Progress,Overdue,Not Completed,Submitted,Completed,Removed,Not Approved at this time,Manager Completed'),
	RequalificationDate__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	RequalificationLatestId__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Requalification_Approver__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Requalification_Reinstated__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Requalification_Submitter__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Requalification_Extended__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	ReferenceStor__Import_into_ReferenceStor__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Eligible_Day__c date OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'date', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Overdue_Date__c date OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'date', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Total_Pre_sales_Course_Completions__c double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'double', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	SEA_Concern__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Yes,No'),
	Doing_Business_As__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	VisibleApprovedStatuses__c double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'double', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Data_Status_Message__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Data_Status__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Pending Data Review,Pending Sales Ops,Locked,Pending Update'),
	Hours_to_Review__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Finder_Partner_Tier__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Finder_Partner_Type__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Finder_Sort_Hint__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Is_Partner_Published__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	PartnerKeywords__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Training_Partner_Specifications__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Red Hat Certified Training Partner,Red Hat Academy,RHEL Courses,JBoss Courses,RHEL Exams'),
	JBossProductCount__c double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'double', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Partner_Product_SE_Linux_Support__c double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'double', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	PlatformProductCount__c double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'double', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	PartnerProductCount__c double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'double', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	AliasPublicViewable__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Public_Sector_Market__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'US Federal Government,US State and Local Government,Education'),
	Is_Primary_Public_Sector__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Yes,No'),
	Global__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Partner_Status_Visible__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Domestic_Ultimate_D_U_N_S__c string(20) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Is_Top_Level_Account__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Top_Level_Account__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Other_Account_ID__c string(25) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	OORID__c string(20) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Record_Source__c string(45) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Account_Specializations__c double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'double', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BigMachines__Partner_Organization__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Legacy_Profile__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Legacy_Role__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Owner__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	RecordType__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	AllowedEmailDomains__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Anti_Corruption_Status__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Cleared,Completed,Failed,No Review Required,Passed,Review Required'),
	Direct_Purchasing_Agreement__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Finder_Partner_Role__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Primary__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'OEM,SI,Training,Service/Cloud Provider'),
	Organization__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Department of Defense,EDU,Federal Civilian,Independent/Other Agencies,Intelligence,State and Local'),
	Sub_Organization__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" '2-Year Career School,2-Year Community College,4-Year University/College,Board of Governors of the Federal Reserve System,Board of Regents,City Government,Commodity Futures Trading Commission (CFTC),Consumer Product Safety Commission (CPSC),County Government,Defense Finance & Accounting Service (DFAS),Defense Information Systems Agency (DISA),Defense Intelligence Agency (DIA),Defense Logistics Agency (DLA),Defense Threat Reduction Agency (DTRA),Department of Agriculture (USDA),Department of Commerce (DOC),Department of Education,Department of Energy (DOE),Department of Health & Human Services (HHS),Department of Homeland Security (DHS),Department of Housing & Urban Development (HUD),Department of Justice (DOJ),Department of Labor (DOL),Department of State (DOS),Department of the Air Force (USAF),Department of the Army (USA),Department of the Interior (DOI),Department of the Navy (USN),Department of Transportation (DOT),Department of Treasury (TRE),Department of Veterans Affairs (VA),Environmental Protection Agency (EPA),Equal Employment Opportunity Commission (EEOC),Export-Import Bank of the United States,FED-C,Federal Communications Commission (FCC),Federal Deposit Insurance Corporation (FDIC),Federal Reserve Bank,Federal Retirement Thrift Investment Board,Federal Trade Commission (FTC),For Profit EDU,General Services Administration(GSA),Government Printing Office (GPO),Joint Chiefs of Staff (JCS),K-12,Library of Congress,Maryland Procurement Office (MPO),Missile Defense Agency (MDA),National Aeronautics and Space Administration (NASA),National Geospatial Intelligence Agency (NGA),National Railroad Passenger Corporation (Amtrak),National Reconnaissance Office (NRO),National Science Foundation (NSF),Office of Personnel Management,Office of the Secretary of Defense (OSD),Other – DOD,Other - EDU,Other - Federal Civilian,Other – Independent/Other Agency,Other - Intelligence,Other – State and Local,Peace Corps,Pension Benefit Guaranty Corporation,Postal Regulatory Commission,Quasi-Governmental,Railroad Retirement Board,Small Business Administration (SBA),State Government,Teaching Hospital,The National Guard,U.S. House of Representative,U.S. Senate,Unified Combatant Commands (COCOMs),United States International Trade Commission (USITC),United States Marine Corps (USMC),United States Postal Service,Utility District'),
	StatusExpirationDate__c date OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'date', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	AccountProfileCount__c double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'double', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Middleware_Compliance_Score__c string(250) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Finder_Partner_Tier_Name__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Finder_Partner_Type_Name__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Total_Partner_Delivery_Certifications__c double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'double', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	AC_Level_1_Bypass__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Underlying_Facts__c string(32768) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Partner_Skill__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Platform,Platform Migration,Virtualization,Storage,Application Development,Middleware Migration,Middleware Integration,Business Process Automation,PaaS Development,Cloud Management,IaaS,PaaS'),
	Eligible_for_Disti_Annual_Pay_Program__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	CCP_Type__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Full,Diagnostic'),
	CustomTerms__c string(32768) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Financial_Terms_Approve_Date__c timestamp OPTIONS (NATIVE_TYPE 'datetime', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Financial_Terms_Approver__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	HasCustomTerms__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Special_Programs__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Lighthouse - MW,Lighthouse - VIRT'),
	CDH_Party_Number__c string(30) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Bill_To_Address_Conv__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CDH_Party_Conv__c string(250) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	EBS_Account_Conv__c string(250) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	EBS_Party_Conv__c string(250) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Identifying_Address__c string(250) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Sales_Account_Type_Conv__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Status_Conv__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	X11i_Account_Conv__c string(250) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	X11i_Party_Conv__c string(250) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Company_Email_Address__c string(80) OPTIONS (NATIVE_TYPE 'email', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Has_Partner_Ever_Been_Published__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	OEM_Tier__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Tier 1,Tier 2,Tier 3'),
	Partner_Classification_Code_Conv__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Partner_Account__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Address_Line_1__c string(250) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CDH_Party_Name__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	City__c string(250) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Country__c string(250) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Do_Not_Do_Business_With__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Domestic_Ultimate__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	EBS_Account_Numbers__c string(131072) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Global_Ultimate__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Headquarters__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	State__c string(250) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Status__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Active,Inactive'),
	Zip_Postal_Code__c string(250) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Count_Of_Identifying_Address__c double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'double', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Known_As__c string(250) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Billing_Address__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CDHPartyNumber__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CDH_Party_Type__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Headquarters_CDH_Party_Number__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Partner_Onboarding_Application__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Trade_Style__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Account_ParentId FOREIGN KEY(ParentId) REFERENCES Account (Id) OPTIONS (NAMEINSOURCE 'ChildAccounts'),
	CONSTRAINT FK_Account_Partner_Account__c FOREIGN KEY(Partner_Account__c) REFERENCES Account (Id) OPTIONS (NAMEINSOURCE 'Accounts__r'),
	CONSTRAINT FK_Account_Top_Level_Account__c FOREIGN KEY(Top_Level_Account__c) REFERENCES Account (Id) OPTIONS (NAMEINSOURCE 'Top_Level_Account__r'),
	CONSTRAINT FK_CDH_Party__c_CDH_Party_Name__c FOREIGN KEY(CDH_Party_Name__c) REFERENCES CDH_Party__c (Id) OPTIONS (NAMEINSOURCE 'Accounts__r'),
	CONSTRAINT FK_CDH_Party__c_Domestic_Ultimate__c FOREIGN KEY(Domestic_Ultimate__c) REFERENCES CDH_Party__c (Id) OPTIONS (NAMEINSOURCE 'Accounts1__r'),
	CONSTRAINT FK_CDH_Party__c_Global_Ultimate__c FOREIGN KEY(Global_Ultimate__c) REFERENCES CDH_Party__c (Id) OPTIONS (NAMEINSOURCE 'Accounts2__r'),
	CONSTRAINT FK_CDH_Party__c_Headquarters__c FOREIGN KEY(Headquarters__c) REFERENCES CDH_Party__c (Id) OPTIONS (NAMEINSOURCE 'Accounts3__r'),
	CONSTRAINT FK_Classification__c_Finder_Partner_Role__c FOREIGN KEY(Finder_Partner_Role__c) REFERENCES Classification__c (Id) OPTIONS (NAMEINSOURCE 'Accounts2__r'),
	CONSTRAINT FK_Classification__c_Finder_Partner_Tier__c FOREIGN KEY(Finder_Partner_Tier__c) REFERENCES Classification__c (Id) OPTIONS (NAMEINSOURCE 'Accounts__r'),
	CONSTRAINT FK_Classification__c_Finder_Partner_Type__c FOREIGN KEY(Finder_Partner_Type__c) REFERENCES Classification__c (Id) OPTIONS (NAMEINSOURCE 'Accounts1__r'),
	CONSTRAINT FK_Contact_PrimaryPartnerContact__c FOREIGN KEY(PrimaryPartnerContact__c) REFERENCES Contact (Id) OPTIONS (NAMEINSOURCE 'Accounts__r'),
	CONSTRAINT FK_PartnerRequalification__c_RequalificationLatestId__c FOREIGN KEY(RequalificationLatestId__c) REFERENCES PartnerRequalification__c (Id) OPTIONS (NAMEINSOURCE 'Accounts__r'),
	CONSTRAINT FK_Partner_Onboarding_Registration__c_Partner_Onboarding_Application__c FOREIGN KEY(Partner_Onboarding_Application__c) REFERENCES Partner_Onboarding_Registration__c (Id) OPTIONS (NAMEINSOURCE 'Accounts__r'),
	CONSTRAINT FK_State__c_State_Province__c FOREIGN KEY(State_Province__c) REFERENCES State__c (Id) OPTIONS (NAMEINSOURCE 'Accounts__r'),
	CONSTRAINT FK_User__Executive_Sponsor__c FOREIGN KEY(Executive_Sponsor__c) REFERENCES User_ (Id) OPTIONS (NAMEINSOURCE 'Account__r'),
	CONSTRAINT FK_User__Financial_Terms_Approver__c FOREIGN KEY(Financial_Terms_Approver__c) REFERENCES User_ (Id) OPTIONS (NAMEINSOURCE 'Accounts1__r'),
	CONSTRAINT FK_User__Name_of_Partner_Accepting_Legal_T_s__c FOREIGN KEY(Name_of_Partner_Accepting_Legal_T_s__c) REFERENCES User_ (Id) OPTIONS (NAMEINSOURCE 'Accounts__r'),
	CONSTRAINT FK_User__Owner__c FOREIGN KEY(Owner__c) REFERENCES User_ (Id) OPTIONS (NAMEINSOURCE 'AccountsOwned__r'),
	CONSTRAINT FK_User__PrimaryPartnerUser__c FOREIGN KEY(PrimaryPartnerUser__c) REFERENCES User_ (Id) OPTIONS (NAMEINSOURCE 'AccountsByPrimaryPartnerUser__r'),
	CONSTRAINT FK_User__Requalification_Approver__c FOREIGN KEY(Requalification_Approver__c) REFERENCES User_ (Id) OPTIONS (NAMEINSOURCE 'Requalification_Approver1__r'),
	CONSTRAINT FK_User__Requalification_Submitter__c FOREIGN KEY(Requalification_Submitter__c) REFERENCES User_ (Id) OPTIONS (NAMEINSOURCE 'Requalification_Submitter__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'true', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE Account_Profile__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	Workloads_Deployed_on_Linux__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Application Server,DB,Desktop,DNS,EDA Workstation,FTP,Game,HPCC,Mail,Web'),
	X_Strengths_of_Account_s_Product_Service__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Mail__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Cyrus,Dovecut,Lotus Domino,MS Exchange,Scalix,Zimbra'),
	Linux_Servers__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Major_Markets_Account_Services__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Account_s_Biggest_Competitor_s__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Industry_Position_Market_Share_History__c string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Middleware_Interface__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Crossflo,Hibernate,Mercator,Tibco,Vitria,WebMethods'),
	Critical_Success_Factors__c string(2000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Microsoft_Version__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Windows 2000,Windows 2003,Windows 95/98,Windows Longhorn,Windows ME,Windows NT,Windows Vista,Windows XP'),
	Industry_Conditions__c string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Directory_Server__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Apple Open Directory,Critical Path Directory Server,Fedora Directory Server,IBM Tivoli Directory Server,Microsoft Active Directory,Microsoft Windows NTDS,Netscape,Novell eDirectory - formerly NDS,OID,OpenLDAP,Red Hat Directory Server,Sun Directory Server,Sun One Directory'),
	Solution_to_Attain_Strategic_Initiatives__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	C_Level_Priority_Goals__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Business_Pains__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Virtualization__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'VirtualPC,VMWare,XenSource'),
	Total_Servers__c double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'double', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Account_s_Distribution_Channels__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Company_Mission_Statement__c string(2000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Distinction_Between_Account_Competitor__c string(2000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Account__c string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Primary__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Dell,EMC,Fujitsu,HDS,Hitachi,HP,IBM,Intel,Netapp,StorageTek,Sun'),
	Key_Obstacles__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Account_s_Open_Source_Maturity__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	File_Systems__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'EXT3,REISERFS,NFS,VFAT,NTFS,EXT2,JFS,GFS,OCFS,XFS,ZFS'),
	Purchasing_Process__c string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Positives_About_Current_Infrastructure__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Account_s_Partners_Alliances__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Application_Server__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Websphere,Weblogic,Jboss,Sun One,Oracle App Server,Tomcat,IIS,Apache,Tmacsoft'),
	Primary_HW_Vendor_Other__c string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Current_IT_Architecture__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Primary_Hardware_Vendor__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'AMD Whitebos,Apple,Bull,Dell,Eslim,Fujitsu,HP,IBM,Inspur,Intell Whitebox,Lenovo,Samsung,SGI,Sun,Toshiba,Unisys,Uniwide'),
	Unix_Version__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'AIX,FreeBSD,HP-UX,Irix,Open Solaris,SCO-Unix,Solaris,Tru64'),
	OS_Environment__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'AIX,AS400,BSD Family,China Standard Linux,Fedora Core,HP-UX,Linux,Netware,Red Flag,RHEL,SLES,TurboLinux,Unix,Windows 2000,Windows 2003'),
	Annual_Budget_Begins__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'January,February,March,April,May,June,July,August,September,October,November,December'),
	Corporate_Objectives__c string(2000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Microsoft_Servers__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Back_up_Recovery__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Veritas,Tivoli,Netbackup,Bakbone,Netvault,Dump,Tar,BrightStore(CA),Amanda,Arkeia,Arcronis,CommVault,Legato Networker'),
	Challenges_About_Current_Infrastructure__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Storage__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'DAS,iSCSI,JBOD,NAS,SAN'),
	DB_Systems_Installed__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Microsoft Visual Studio'),
	ERP_System__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Oracle,PeopleSoft,SAP,Siebel'),
	Installed_Open__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'NEED VALUES'),
	Preferred_Platform_Vendor__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'HP,IBM,Microsoft,Novell,Red Flag,Red Hat,Sun,TurboLinux'),
	Account_s_Largest_Customer__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Other_Servers_Type_Version__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Unix_Servers__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Certified_Open_Source_Apps__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'NEED VALUES'),
	RH_Sales_Strategy__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Drivers_for_this_Account__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Cluster_File_System__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'GFS,OCFS,Sanique,Veritas,XFS'),
	Other_Servers__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Linux_Version__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Asianux,Debian,Fedora 4,Fedora 5,Fedora 6,Gentoo,Oracle Linux,RedFlag,RedHat Linux (Legacy),RH9,RHEL 2.1,RHEL3,RHEL4,RHEL 5,SLES9,SuSE 10,SuSE 9,Turbo Linux,Ubuntu'),
	Critical_Applications__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Corporate_Strategy_Current_Initiatives__c string(2000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Monitoring__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'OpenView,TNG-Unicenter,Legato,Tivoli,RHN Satellite,HP OpenView,Altiris,BMC Patrol,CA Unicenter,Nagios,Ganglia'),
	Software_Management__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Avocent - formerly Landesk,BMC Marimba,CA Unicenter,HP Openview,IBM Tivoli,Maxigent,Microsoft SMS,Novell,Opsware,RHN Satellite,RPM,SUN N1,Symantec - formerly Altiris/OnTechnology,Xenworks'),
	Hardware_Environment__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'AMD64,HP PA-RISC,IA64,IBM AS400,IBM Power,IBM z-series,Itanium,Itanium 2,Mainframe,S390,SPARC,X86_64,X86 AMD,X86 Intel'),
	Network_Infrastructure_Equipment__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" '3Comm,Cisco,Dell,Foundry,HP,HuaWei,IBM,LinkSys,NetGear,Nortell,OEM,Samsung,Sun'),
	Workloads_Deployed_on_Linux_Historical__c string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Renewal_Amount__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Database__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'DB2,EnterpriseDB,Informix,Ingres,MS SQL,MySQL,Oracle,Oracle RAC,PostgreSQL,SQLServer,Sybase,Vertica'),
	Hardware_Platform__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Development_Tools__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Borland Developer Studio,Eclipse,Microsoft.net,MS Visual Studio,NetBeans'),
	Server_Information_Source__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Internet,Customer,Private'),
	Account_Profile_Notes__c string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Comments__c string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Virtualization_OS__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'AIX,AS400,BSD Family,China Standard Linux,Fedora Core,HP-UX,Linux,Netware,Red Flag,RHEL,SLES,TurboLinux,Unix,Windows 2000,Windows 2003'),
	Workloads_Deployed_on_Microsoft__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Application Server,DB,Desktop,DNS,EDA Workstation,FTP,Game,HPCC,Mail,Web'),
	Workloads_Deployed_on_Unix__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Application Server,DB,Desktop,DNS,EDA Workstation,FTP,Game,HPCC,Mail,Web'),
	Mail_Application__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'MS,Red Hat,AIX,HPUX'),
	Web__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'MS,Red Hat,AIX,HPUX'),
	DNS__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'MS,Red Hat,AIX,HPUX'),
	DB__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'MS,Red Hat,AIX,HPUX'),
	App_Server__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'MS,Red Hat,AIX,HPUX'),
	JBoss_Perspective__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Development Shop,Off the Shelf Package'),
	Platform_Status_for_JBoss_RHEL__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" '1 Not Approved,2 Approved Platform,3 Approved Platform - in use and a Strategic Platform,4 Default Strategic Platform,5 Default Strategic Platform plus Big Installed Base'),
	Est_Computer_Budget__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Est_Software_Budget__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Est_Storage_Budget__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	DBMS_Vendor__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Total_Large_IT_Sites__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Total_Data_Centers__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	IT_Employees__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Total_PCs__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Groupware_Vendor__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Web_Dev_Vendor__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Enterprise_Application_Vendor__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Account_Profile_Currency__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Account_end_users__c string(500) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Cultural_and_political_landscape__c string(2000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Direct_Indirect__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Direct,Indirect,No Preference'),
	Fiscal_Year_End__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'January,February,March,April,May,June,July,August,September,October,November,December'),
	MSA_in_Place__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Yes,No'),
	Number_of_Employees__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Pain_Point_1__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Pain_Point_2__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Pain_Point_3__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	What_makes_them_successful__c string(500) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Total_Cores_All_Types__c double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'double', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Total_Cores_Additional_Middleware__c double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'double', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Total_Cores_Application_Servers__c double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'double', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Total_Cores_Point_Solutions_Apps__c double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'double', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Total_Cores_Strategic_Platforms__c double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'double', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Total_Formatted_Storage_Capacity__c double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'double', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Total_Number_of_Servers__c double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'double', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Total_Number_of_Virtualization_Instances__c double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'double', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	AnnualITBudget__c double OPTIONS (UPDATABLE FALSE, CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	AnnualRevenue__c double OPTIONS (UPDATABLE FALSE, CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Industry__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Account_Account__c FOREIGN KEY(Account__c) REFERENCES Account (Id) OPTIONS (NAMEINSOURCE 'Account_Profile__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE Account_Profile__History (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	ParentId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Field string(255) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Account__c,Account_end_users__c,Account_Profile_Notes__c,Account_s_Biggest_Competitor_s__c,Account_s_Distribution_Channels__c,Account_s_Largest_Customer__c,Account_s_Open_Source_Maturity__c,Account_s_Partners_Alliances__c,Annual_Budget_Begins__c,App_Server__c,Application_Server__c,Back_up_Recovery__c,Business_Pains__c,C_Level_Priority_Goals__c,Certified_Open_Source_Apps__c,Challenges_About_Current_Infrastructure__c,Cluster_File_System__c,Comments__c,Company_Mission_Statement__c,Corporate_Objectives__c,Corporate_Strategy_Current_Initiatives__c,created,Critical_Applications__c,Critical_Success_Factors__c,Cultural_and_political_landscape__c,CurrencyIsoCode,Current_IT_Architecture__c,Database__c,DB__c,DB_Systems_Installed__c,DBMS_Vendor__c,Development_Tools__c,Direct_Indirect__c,Directory_Server__c,Distinction_Between_Account_Competitor__c,DNS__c,Drivers_for_this_Account__c,Enterprise_Application_Vendor__c,ERP_System__c,Est_Computer_Budget__c,Est_Software_Budget__c,Est_Storage_Budget__c,feedEvent,File_Systems__c,Fiscal_Year_End__c,Groupware_Vendor__c,Hardware_Environment__c,Hardware_Platform__c,Industry_Conditions__c,Industry_Position_Market_Share_History__c,Installed_Open__c,IT_Employees__c,JBoss_Perspective__c,Key_Obstacles__c,Linux_Servers__c,Linux_Version__c,Mail__c,Mail_Application__c,Major_Markets_Account_Services__c,Microsoft_Servers__c,Microsoft_Version__c,Middleware_Interface__c,Monitoring__c,MSA_in_Place__c,Name,Network_Infrastructure_Equipment__c,Number_of_Employees__c,OS_Environment__c,Other_Servers__c,Other_Servers_Type_Version__c,ownerAccepted,ownerAssignment,Pain_Point_1__c,Pain_Point_2__c,Pain_Point_3__c,Platform_Status_for_JBoss_RHEL__c,Positives_About_Current_Infrastructure__c,Preferred_Platform_Vendor__c,Primary__c,Primary_Hardware_Vendor__c,Primary_HW_Vendor_Other__c,Purchasing_Process__c,locked,unlocked,Renewal_Amount__c,RH_Sales_Strategy__c,Server_Information_Source__c,Software_Management__c,Solution_to_Attain_Strategic_Initiatives__c,Storage__c,Total_Data_Centers__c,Total_Large_IT_Sites__c,Total_PCs__c,Unix_Servers__c,Unix_Version__c,Virtualization__c,Virtualization_OS__c,Web__c,Web_Dev_Vendor__c,What_makes_them_successful__c,Workloads_Deployed_on_Linux__c,Workloads_Deployed_on_Linux_Historical__c,Workloads_Deployed_on_Microsoft__c,Workloads_Deployed_on_Unix__c,X_Strengths_of_Account_s_Product_Service__c'),
	OldValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	NewValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Account_Profile__c_ParentId FOREIGN KEY(ParentId) REFERENCES Account_Profile__c (Id) OPTIONS (NAMEINSOURCE 'Histories')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'false', "teiid_sf:Supports Delete" 'false', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Account_Profile__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Account_Profile__c_ItemId FOREIGN KEY(ItemId) REFERENCES Account_Profile__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Account_Profile_Other_Partner__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	Account_Profile__c string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Partner_Type__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Account_Profile__c_Account_Profile__c FOREIGN KEY(Account_Profile__c) REFERENCES Account_Profile__c (Id) OPTIONS (NAMEINSOURCE 'Account_Profile_Other_Partners__r'),
	CONSTRAINT FK_Classification__c_Partner_Type__c FOREIGN KEY(Partner_Type__c) REFERENCES Classification__c (Id) OPTIONS (NAMEINSOURCE 'Account_Profile_Other_Partners__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE Account_Profile_Other_Partner__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Account_Profile_Other_Partner__c_ItemId FOREIGN KEY(ItemId) REFERENCES Account_Profile_Other_Partner__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Account_Profile_Power_Map__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	Account_Profile__c string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Account__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Business_Agenda__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Buyer_Role__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'User,Champion (Red Hat Advocate),Sponsor (Evaluator),Power Sponsor (Approver or Decision Maker)'),
	Change_Oriented__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Innovator,Visionary,Pragmatist,Conservative,Laggard,Unknown'),
	CustomerKeyContact__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Level_of_Contact__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'No Contact,Brief Contact,Multiple,In depth'),
	Personal_Agenda__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Point_Person_on_Red_Hat_Account_Team__c string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Reports_To__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Title__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Your_Relationship__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Mentor,Supporter,Neutral,Non Supporter,Enemy'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Account_Account__c FOREIGN KEY(Account__c) REFERENCES Account (Id) OPTIONS (NAMEINSOURCE 'Account_Profile_Power_Maps__r'),
	CONSTRAINT FK_Account_Profile__c_Account_Profile__c FOREIGN KEY(Account_Profile__c) REFERENCES Account_Profile__c (Id) OPTIONS (NAMEINSOURCE 'Account_Profile_Power_Maps__r'),
	CONSTRAINT FK_Contact_CustomerKeyContact__c FOREIGN KEY(CustomerKeyContact__c) REFERENCES Contact (Id) OPTIONS (NAMEINSOURCE 'Customer_Key_Contacts__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE Account_Profile_Power_Map__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Account_Profile_Power_Map__c_ItemId FOREIGN KEY(ItemId) REFERENCES Account_Profile_Power_Map__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Account_Profile_SWOT__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	Account_Profile__c string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Statement__c string(120) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Type__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Red Hat Strength,Red Hat Weakness,Account Opportunity,Account Threat'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Account_Profile__c_Account_Profile__c FOREIGN KEY(Account_Profile__c) REFERENCES Account_Profile__c (Id) OPTIONS (NAMEINSOURCE 'Account_Profile_SWOTs__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE Account_Profile_SWOT__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Account_Profile_SWOT__c_ItemId FOREIGN KEY(ItemId) REFERENCES Account_Profile_SWOT__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Account_SWOT_Analysis__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	Account_s_Internal_Weaknesses__c string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Account_Profile__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Account_s_External_Opportunities__c string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Account_s_Internal_Strengths__c string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Account_s_External_Threats__c string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Account_Profile__c_Account_Profile__c FOREIGN KEY(Account_Profile__c) REFERENCES Account_Profile__c (Id) OPTIONS (NAMEINSOURCE 'SWOT_Analysis__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE Account_SWOT_Analysis__History (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	ParentId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Field string(255) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Account_Profile__c,Account_s_External_Opportunities__c,Account_s_External_Threats__c,Account_s_Internal_Strengths__c,Account_s_Internal_Weaknesses__c,created,CurrencyIsoCode,feedEvent,Name,Owner,ownerAccepted,ownerAssignment,locked,unlocked'),
	OldValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	NewValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Account_SWOT_Analysis__c_ParentId FOREIGN KEY(ParentId) REFERENCES Account_SWOT_Analysis__c (Id) OPTIONS (NAMEINSOURCE 'Histories')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'false', "teiid_sf:Supports Delete" 'false', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Account_SWOT_Analysis__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Account_SWOT_Analysis__c_ItemId FOREIGN KEY(ItemId) REFERENCES Account_SWOT_Analysis__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE AccountCatalogRelationship__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	CONSTRAINT Id_PK PRIMARY KEY(Id)
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE AccountCatalogRelationship__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_AccountCatalogRelationship__c_ItemId FOREIGN KEY(ItemId) REFERENCES AccountCatalogRelationship__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE AccountChangeRequest__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	Account__c string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Comments__c string OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Hours_to_Review__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Status__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Pending Review,Reviewed'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Account_Account__c FOREIGN KEY(Account__c) REFERENCES Account (Id) OPTIONS (NAMEINSOURCE 'Account_Change_Requests__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE AccountChangeRequest__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_AccountChangeRequest__c_ItemId FOREIGN KEY(ItemId) REFERENCES AccountChangeRequest__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE AccountChangeRequestField__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	ChangeRequest__c string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Approved__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	BooleanValue__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	DateTimeValue__c timestamp OPTIONS (NATIVE_TYPE 'datetime', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	DateValue__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	FieldName__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Account_Alias_Name__c,D_U_N_S__c,Do_Not_Do_Business_With__c,Fax,Industry,Name,Phone,SEA_Concern__c,VATNumber__c,Website'),
	OriginalBooleanValue__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	OriginalDateTimeValue__c timestamp OPTIONS (NATIVE_TYPE 'datetime', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	OriginalDateValue__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	OriginalTextValue__c string(4096) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	TextValue__c string(4096) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_AccountChangeRequest__c_ChangeRequest__c FOREIGN KEY(ChangeRequest__c) REFERENCES AccountChangeRequest__c (Id) OPTIONS (NAMEINSOURCE 'Account_Change_Request_Fields__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE AccountChangeRequestField__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_AccountChangeRequestField__c_ItemId FOREIGN KEY(ItemId) REFERENCES AccountChangeRequestField__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE AccountContactRole (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	AccountId string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ContactId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Role string(40) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Buyer,Decision Maker,Finance Contact,Payables Contact,RH Advocate,Senior Sponsor,Shipping Contact,System Administrator'),
	IsPrimary boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Account_AccountId FOREIGN KEY(AccountId) REFERENCES Account (Id) OPTIONS (NAMEINSOURCE 'AccountContactRoles'),
	CONSTRAINT FK_Contact_ContactId FOREIGN KEY(ContactId) REFERENCES Contact (Id) OPTIONS (NAMEINSOURCE 'AccountContactRoles')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE AccountFeed (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	ParentId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	FeedPostId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'TrackedChange,UserStatus,TextPost,AdvancedTextPost,LinkPost,ContentPost,PollPost,RypplePost,ProfileSkillPost,DashboardComponentSnapshot,ApprovalPost,CaseCommentPost,ReplyPost,EmailMessageEvent,CallLogPost,ChangeStatusPost,AttachArticleEvent,MilestoneEvent,ActivityEvent,ChatTranscriptPost,CollaborationGroupCreated,CollaborationGroupUnarchived,SocialPost,QuestionPost,FacebookPost,BasicTemplateFeedItem,CreateRecordEvent,CanvasPost,AnnouncementPost'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Account_ParentId FOREIGN KEY(ParentId) REFERENCES Account (Id) OPTIONS (NAMEINSOURCE 'Feeds')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'false', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE AccountFields__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(38) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	SetupOwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	fieldId__c string(30) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id)
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE AccountFields__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_AccountFields__c_ItemId FOREIGN KEY(ItemId) REFERENCES AccountFields__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE AccountHierarchy__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	Account__c string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	AccountId__c string(18) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Account_ParentId__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	IsCurrent__c boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Parent__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	UltimateParentId__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	UltimateParent__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Account_Account__c FOREIGN KEY(Account__c) REFERENCES Account (Id) OPTIONS (NAMEINSOURCE 'Account_Hierarchies__r'),
	CONSTRAINT FK_AccountHierarchy__c_Parent__c FOREIGN KEY(Parent__c) REFERENCES AccountHierarchy__c (Id) OPTIONS (NAMEINSOURCE 'Account_Hierarchies_Parent__r'),
	CONSTRAINT FK_AccountHierarchy__c_UltimateParent__c FOREIGN KEY(UltimateParent__c) REFERENCES AccountHierarchy__c (Id) OPTIONS (NAMEINSOURCE 'Account_Hierarchies_Ultimate_Parent__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE AccountHierarchy__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_AccountHierarchy__c_ItemId FOREIGN KEY(ItemId) REFERENCES AccountHierarchy__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE AccountHistory (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	AccountId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Field string(255) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'AC_Level_1_Bypass__c,Account_Alias_Name__c,Account_Assets__c,Account_External_Id__c,Account_OwnerName__c,Account_Priority__c,AccountClassification__c,AccountKey__c,accountMerged,AccountNumber,AccountRating__c,AccountSource,Accreditation__c,Additional_Countries_of_Operation__c,Additional_Partnerships__c,Address_Line_1__c,Address_Line_2__c,Address_Line_3__c,Address_Line_4__c,Advertising__c,Agree_to_Attend_RH_Webinar__c,Agree_to_Sales_Certification__c,Agree_to_Submit_Marketing_Plan__c,Agree_to_Technical_Enrollment__c,AliasPublicViewable__c,All_NAICS_Codes__c,AllowedEmailDomains__c,Anniversary_Date_True_Up_Accounts__c,Annual_Reports_Available__c,AnnualRevenue,Anti_Corruption_Status__c,Application_Server__c,Application_Types__c,ASIDBT__c,ASIDST__c,Back_up_Recovery__c,BigMachines__Partner_Organization__c,BillingAddress,BillingCity,BillingCountry,BillingLatitude,BillingLongitude,BillingPostalCode,BillingState,BillingStreet,Budget_Cycle__c,Budget_Planning__c,Business_Pains__c,Business_Pains_2__c,Business_Structure__c,CCP_Type__c,CDH_Party_Conv__c,CDH_Party_Name__c,CDH_Party_Number__c,Certified_Service_Provider__c,City__c,Class_of_Trade__c,CleanStatus,Cluster_File_Systems__c,Company_Email_Address__c,Completeness__c,Compliance_Score__c,Core_Specializations_Reselling__c,Cost_Income_Ratios__c,Country__c,County__c,created,accountCreatedFromLead,Credit_Approved_by__c,CreditLimit__c,CreditPreApproved__c,CurrencyIsoCode,Current_JB_Owner__c,Customer_Status__c,CustomTerms__c,D_U_N_S__c,DandbCompany,Data_Status__c,Database__c,Date_FCPA_Check_Performed__c,Date_Last_Cleansed__c,Date_Legal_T_s_C_s_Accepted__c,DateOfLastCreditCheck__c,Describe__c,Description,Description_of_Business__c,Direct_Purchasing_Agreement__c,Directory_Server__c,Disable_Send_Partner_Notification__c,Discount__c,Distributors_Purchased_Through__c,Do_Not_Do_Business_With__c,Doing_Business_As__c,Domestic_Ultimate__c,Domestic_Ultimate_D_U_N_S__c,DunsNumber,EBS_Account_Conv__c,EBS_Account_Numbers__c,EBS_Party_Conv__c,Eligible_for_Disti_Annual_Pay_Program__c,EMEA_SE_Required__c,Employee_Growth__c,Enrollment_Date__c,Enterprise_Name__c,Entitle_To_Address_Conv__c,ERP_Systems__c,EstAnnualRevForWWOrg__c,Exchange__c,Executive_Sponsor__c,Fax,FCPA_Check__c,FCPA_Check_Comments__c,feedEvent,File_Systems__c,Financial_Terms_Approve_Date__c,Financial_Terms_Approver__c,Finder_Partner_Role__c,Finder_Partner_Tier__c,Finder_Partner_Type__c,Finder_Sort_Hint__c,firs_Industry_Profile_Name__c,firs_Opp_Rating_Image__c,firs_profileid__c,firs_Rating_Desc__c,Fiscal_Year_End__c,Geographic_Sales_Coverage__c,Global__c,Global_Region__c,Global_Ultimate__c,Hardware_Environment__c,Hardware_Focus__c,Hardware_Platform__c,Has_Partner_Ever_Been_Published__c,HasAccountTeamAssigned__c,HasCustomTerms__c,Have_They_been_Convicted__c,Headquarters__c,HMMI_Ent_ID__c,HooversId__c,Hosting_Partner__c,Hours_to_Review__c,I_Agree_to_the_Terms_and_Conditions__c,Identifying_Address__c,If_Other_Middleware__c,Immediate_Parent_Account__c,Immediate_Parent_D_U_N_S__c,Industry,Industry_Focus__c,Industry_Vertical_Expertise__c,Infrastructure_Details__c,Is_Financials_Approved__c,Is_Partner_Published__c,Is_Primary_Public_Sector__c,Is_Top_Level_Account__c,isAccountActive__c,isOnCreditHold__c,IsPartner,issalescertification__c,IT_Budget__c,JBoss_Account_ID__c,JBoss_Middleware_Skills__c,Jigsaw,Key_Contact__c,Key_Contact_Cell_Phone__c,Key_Contact_Email__c,Key_Contact_Primary_Phone__c,Key_Contact_Secondary_Phone__c,Key_Industry_Ratios__c,Key_Obstacles__c,Known_As__c,accountUpdatedByLead,personAccountUpdatedByLead,Linkedin_URL__c,Linux_Servers__c,Location_Type__c,Market_Value__c,Marketing_Plan_Achievement_Date__c,Marketing_Plan_Received__c,Microsoft_Servers__c,Middleware_Compliance_Score__c,Middleware_Supported__c,MigrationSource__c,mkt_cl_mkt_sourced__c,mkt_cl_mkt_touched__c,Monitoring__c,NaicsCode,NaicsDesc,Name,Name_of_Partner_Accepting_Legal_T_s__c,Named_Account__c,NamedAccount__c,Net_Income__c,Net_Income_Growth__c,Num_of_End_Customer_Account__c,Number_Enrolled_Sales_Cert__c,Number_Middleware_Sales_Certs__c,Number_of_Customers__c,Number_of_RHCA_Certifications__c,Number_of_RHCE__c,Number_of_RHCSS_Certifications__c,Number_of_RHCT_Certifications__c,Number_of_Sales_Certifications__c,Number_of_Technical_Certifications__c,Number_of_Trained_JBoss_Professionals__c,Number_Platform_Sales_Certs__c,Number_Virtualization_Sales_Certs__c,NumberOfEmployees,NumberOfEmployeesInWWOrg__c,NumberOfSalesPeople__c,NumberOfServerClassSystemsInWWOrg__c,NumberOfTechnicalPeople__c,OEM_Tier__c,Offices_Locations__c,One_Year_Stock_Price_History__c,OORID__c,Open_Source_Practice__c,Operating_System_Supported__c,OracleAccountID__c,OracleAccountNumber__c,OraclePartyID__c,OraclePartyNumber__c,Organization__c,OS_Environment__c,Other_Account_ID__c,Other_Countries__c,Other_Partnerships__c,OtherHWVendor__c,Owner,Owner__c,ownerAccepted,ownerAssignment,Ownership,Ownership_Type__c,P_L__c,Parent,Partner_Account__c,Partner_Account_Status__c,Partner_Center_ID__c,Partner_Onboarding_Application__c,Partner_Points__c,Partner_Prospect_Type__c,Partner_s_Largest_Customer__c,Partner_Skill__c,Partner_Type__c,PartnerKeywords__c,PartnerStatuses__c,PaymentTerms__c,Phone,PreferredHWVendor__c,Previous_Year_Revenue__c,Primary__c,Primary_Billing_Account_Name__c,Primary_Hardware_Vendor__c,Primary_HW_Vendor_Other__c,PrimaryBillingAccountNumber__c,PrimaryBillToAcct__c,PrimaryIndustry__c,PrimaryPartnerContact__c,PrimaryPartnerUser__c,PrimaryStorageVendor__c,Products_Services__c,Profitability_vs_Industry__c,Promo_Code__c,Province__c,Public_Sector_Market__c,Purchasing_Process__c,R_D__c,Rating,Ready_Status__c,Ready_Status_Detail__c,Recent_Major_Events__c,Record_Source__c,locked,RecordType,unlocked,Recruiting_Distributor__c,Red_Hat_Agreements_on_File__c,Red_Hat_or_JBoss_certified_employees__c,RedHatSyncable__c,Referenceable__c,ReferenceStor__Import_into_ReferenceStor__c,Reminder_Date__c,Reminder_Frequency__c,Renewal_Amount__c,Renewal_Date__c,Requalification_Approver__c,Requalification_Extended__c,Requalification_Reinstated__c,Requalification_Submitter__c,RequalificationDate__c,RequalificationLatestId__c,RequalStatus__c,Revenue_to_Date__c,RH_Sales_Strategy__c,RH_Webinar_Date__c,RHNLogin__c,Sales_Certification_Acheivement_by_Date__c,Sales_Growth__c,Sales_Ops_Reviewed__c,SEA_Concern__c,Select_Specialization_s__c,Service_Area__c,Service_Offerings__c,Ship_To_Address_Conv__c,ShippingAddress,ShippingCity,ShippingCountry,ShippingLatitude,ShippingLongitude,ShippingPostalCode,ShippingState,ShippingStreet,Sic,SIC_Code__c,SicDesc,Significant_Branch_Locations__c,Site,Size_of_Companies_Targeted__c,Software_Focus__c,Software_Management__c,Sold_To_Address_Conv__c,Solution_Partners__c,Special_Programs__c,Special_Service_Offerings_or_Skills__c,State__c,State_Province__c,Status__c,Storage__c,Sub_Organization__c,Subregion__c,Subsidiary_Status__c,SubTerritory__c,Super_Industry__c,Sweet_Spot__c,Target_Market_Size__c,Target_Revenue_for_Red_Hat_yearly__c,Technical_Course_Enrolled__c,Technical_Enrollment_Achievement_by_Date__c,Technology_Solutions_Expertise__c,Territory1__c,Territorydonotuse__c,TextName,TickerSymbol,Time_and_Date_Approved__c,Toll_Free_Number__c,Top_Level_Account__c,Total_Annual_Revenue__c,Total_of_Subsidiaries_if_Parent__c,Total_Servers__c,Trade_Style__c,Tradestyle,Training_Partner_Specifications__c,True_Up_Account__c,Type,Ultimate_Parent_Account__c,Ultimate_Parent_D_U_N_S__c,Underlying_Facts__c,UNIX_Servers__c,VATNumber__c,Vertical__c,Webinar_Attending__c,Webinar_Date__c,Website,What_are_you_using_RedHat_Others_for__c,What_Markets_are_Targeted__c,Workloads_Deployed_on_Linux__c,X11i_Account_Conv__c,X11i_Party_Conv__c,YearEstablished__c,Years_in_Business__c,YearStarted,Zip_Postal_Code__c'),
	OldValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	NewValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Account_AccountId FOREIGN KEY(AccountId) REFERENCES Account (Id) OPTIONS (NAMEINSOURCE 'Histories')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'false', "teiid_sf:Supports Delete" 'false', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE AccountPartner (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	AccountFromId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	AccountToId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	OpportunityId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Role string(40) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Advanced Partner,Chip,Distributor,ISV,OEM,Other,System Integrator,Technology,Training,Value Added Reseller'),
	IsPrimary boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	ReversePartnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Account_AccountFromId FOREIGN KEY(AccountFromId) REFERENCES Account (Id) OPTIONS (NAMEINSOURCE 'AccountPartnersFrom'),
	CONSTRAINT FK_Account_AccountToId FOREIGN KEY(AccountToId) REFERENCES Account (Id) OPTIONS (NAMEINSOURCE 'AccountPartnersTo'),
	CONSTRAINT FK_Opportunity_OpportunityId FOREIGN KEY(OpportunityId) REFERENCES Opportunity (Id) OPTIONS (NAMEINSOURCE 'AccountPartners')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'false', "teiid_sf:Supports Delete" 'false', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE AccountProfile_PartnerStatus__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	Account_Profile__c string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	PartnerStatus__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Account_Profile__c_Account_Profile__c FOREIGN KEY(Account_Profile__c) REFERENCES Account_Profile__c (Id) OPTIONS (NAMEINSOURCE 'Account_Profile_Partner_Statuses__r'),
	CONSTRAINT FK_PartnerStatus__c_PartnerStatus__c FOREIGN KEY(PartnerStatus__c) REFERENCES PartnerStatus__c (Id) OPTIONS (NAMEINSOURCE 'AccountProfile_PartnerStatuses__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE AccountProfile_PartnerStatus__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_AccountProfile_PartnerStatus__c_ItemId FOREIGN KEY(ItemId) REFERENCES AccountProfile_PartnerStatus__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE AccountReadOnly__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	AccountClassification__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Account_Alias_Name__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Account__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BillingCity__c string(40) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BillingCountry__c string(40) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ExternalId__c string(18) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Parent__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	PartnerStatuses__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	PrimaryBillingAccountNumber__c string(8) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Obsolete__c boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	OwnerId__c string(18) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Account_Account__c FOREIGN KEY(Account__c) REFERENCES Account (Id) OPTIONS (NAMEINSOURCE 'Accounts_Read_Only__r'),
	CONSTRAINT FK_Account_Parent__c FOREIGN KEY(Parent__c) REFERENCES Account (Id) OPTIONS (NAMEINSOURCE 'Account_Read_Only_Parent__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE AccountReadOnly__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_AccountReadOnly__c_ItemId FOREIGN KEY(ItemId) REFERENCES AccountReadOnly__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE AccountRecordType__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(38) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	SetupOwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	RecordTypeId__c string(25) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	RecordTypeName__c string(50) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id)
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE AccountRecordType__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_AccountRecordType__c_ItemId FOREIGN KEY(ItemId) REFERENCES AccountRecordType__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Accounts_Special_Program__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	Account__c string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Special_Program__c string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	End_Date__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Start_Date__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Account_Account__c FOREIGN KEY(Account__c) REFERENCES Account (Id) OPTIONS (NAMEINSOURCE 'Special_Program_Junction_Objects__r'),
	CONSTRAINT FK_Special_Program__c_Special_Program__c FOREIGN KEY(Special_Program__c) REFERENCES Special_Program__c (Id) OPTIONS (NAMEINSOURCE 'Special_Program_Junction_Objects__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE Accounts_Special_Program__History (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	ParentId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Field string(255) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Account__c,created,CurrencyIsoCode,End_Date__c,feedEvent,Name,ownerAccepted,ownerAssignment,locked,unlocked,Special_Program__c,Start_Date__c'),
	OldValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	NewValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Accounts_Special_Program__c_ParentId FOREIGN KEY(ParentId) REFERENCES Accounts_Special_Program__c (Id) OPTIONS (NAMEINSOURCE 'Histories')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'false', "teiid_sf:Supports Delete" 'false', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Accounts_Special_Program__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Accounts_Special_Program__c_ItemId FOREIGN KEY(ItemId) REFERENCES Accounts_Special_Program__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE AccountShare (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	AccountId string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	UserOrGroupId string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	AccountAccessLevel string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'Read,Edit,All'),
	OpportunityAccessLevel string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'None,Read,Edit'),
	CaseAccessLevel string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'None,Read,Edit'),
	ContactAccessLevel string(40) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'None,Read,Edit'),
	RowCause string(40) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Owner,Manual,Rule,ImplicitChild,ImplicitParent,Team,Territory,TerritoryManual,TerritoryRule,Territory2Forecast'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Account_AccountId FOREIGN KEY(AccountId) REFERENCES Account (Id) OPTIONS (NAMEINSOURCE 'Shares')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE AccountTag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Account_ItemId FOREIGN KEY(ItemId) REFERENCES Account (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE AccountTeamMember (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	AccountId string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	UserId string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	TeamMemberRole string(40) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Back-Up,Business Affairs,Business Development,Channel Account Manager,Channel Marketing - EMEA,Channel Marketing Manager - Country,Cloud Rep,DA,Engagement SA,Fusesource Middleware,Inside Channel Account Manager,Inside Rep,Inside Sales Owned Opportunity,Inside SE,ISV Recruit,ISV Rep,Local Strategic Rep,Marketing Program Manager,Middleware Inside Rep,Middleware Rep,OEM Inside Sales,Opportunity Owner,Outside Rep,Outside SE,Partner,Partner Manager,Partner Relationship Manager,Partner Relationship Manager - Regional,Presales Owner,PSR,Public Cloud Tier 2 Team Rep,Public Cloud Tiger Team Rep,Rescue Team,Secondary Outside Rep,Service Delivery Manager,SI Rep,SSI Vendor Rep,SSP,Storage Rep,Strategic Account Manager,Support Relationship Manager,Technical Account Manager,Technology Development Manager,Vertical Marketing'),
	AccountAccessLevel string(40) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'None,Read,Edit,All'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Account_AccountId FOREIGN KEY(AccountId) REFERENCES Account (Id) OPTIONS (NAMEINSOURCE 'AccountTeamMembers'),
	CONSTRAINT FK_User__UserId FOREIGN KEY(UserId) REFERENCES User_ (Id) OPTIONS (NAMEINSOURCE 'AccountTeams')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE AccountTeamRule__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	AccountAccessLevel__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Read Only,Read/Write,Owner'),
	CaseAccessLevel__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Private,Read Only,Read/Write'),
	ContactAccessLevel__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Private,Read Only,Read/Write'),
	Country__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Description__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	GlobalRegion__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'NA,EMEA,APAC,LATAM'),
	IsActive__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	MatchingAccountsAuto__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	MatchingAccounts__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	OpportunityAccessLevel__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Private,Read Only,Read/Write'),
	PartnerTier__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	PartnerType__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Priority__c double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'double', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Subregion__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Unknown,Northeast,Southeast,Central,Northwest,Southwest,Canada,ANZ,ASEAN,Brazil,CE,Distributor,Fed Sled,Greater China,High Volume,Hong Kong,India,Japan,Korea,Mexico,NA,National,Taiwan,SWE,NEE,SEMEA,North Central,South Central,Mid-Atlantic,SAC'),
	TeamMemberRole__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Channel Account Manager,Channel Marketing - EMEA,Channel Marketing Manager - Country,Inside Channel Account Manager,Marketing Program Manager,Partner,Partner Manager,Partner Relationship Manager,Partner Relationship Manager - Regional'),
	User__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Classification__c_PartnerTier__c FOREIGN KEY(PartnerTier__c) REFERENCES Classification__c (Id) OPTIONS (NAMEINSOURCE 'AccountTeamMappingsByPartnerTier__r'),
	CONSTRAINT FK_Classification__c_PartnerType__c FOREIGN KEY(PartnerType__c) REFERENCES Classification__c (Id) OPTIONS (NAMEINSOURCE 'AccountTeamMappingsByPartnerType__r'),
	CONSTRAINT FK_Country__c_Country__c FOREIGN KEY(Country__c) REFERENCES Country__c (Id) OPTIONS (NAMEINSOURCE 'Account_Team_Rules__r'),
	CONSTRAINT FK_User__User__c FOREIGN KEY(User__c) REFERENCES User_ (Id) OPTIONS (NAMEINSOURCE 'Account_Team_Mappings__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE AccountTeamRule__History (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	ParentId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Field string(255) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'AccountAccessLevel__c,CaseAccessLevel__c,ContactAccessLevel__c,Country__c,created,CurrencyIsoCode,feedEvent,GlobalRegion__c,IsActive__c,MatchingAccountsAuto__c,Name,OpportunityAccessLevel__c,Owner,ownerAccepted,ownerAssignment,PartnerTier__c,PartnerType__c,locked,unlocked,Subregion__c,TeamMemberRole__c,User__c'),
	OldValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	NewValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_AccountTeamRule__c_ParentId FOREIGN KEY(ParentId) REFERENCES AccountTeamRule__c (Id) OPTIONS (NAMEINSOURCE 'Histories')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'false', "teiid_sf:Supports Delete" 'false', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE AccountTeamRule__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_AccountTeamRule__c_ItemId FOREIGN KEY(ItemId) REFERENCES AccountTeamRule__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE AcctPicklistSync__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	AccountId__c string(20) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id)
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE AcctPicklistSync__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_AcctPicklistSync__c_ItemId FOREIGN KEY(ItemId) REFERENCES AcctPicklistSync__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Action_Items__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	LastActivityDate date OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Teaming_Agreement__c string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Action_Item__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Completed__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Due_Date__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Red_Hat_Partner_Owner__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Partner,Red Hat,Both'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Teaming_Agreement__c_Teaming_Agreement__c FOREIGN KEY(Teaming_Agreement__c) REFERENCES Teaming_Agreement__c (Id) OPTIONS (NAMEINSOURCE 'Action_Items__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE Action_Items__History (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	ParentId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Field string(255) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Action_Item__c,Completed__c,created,CurrencyIsoCode,Due_Date__c,feedEvent,Name,ownerAccepted,ownerAssignment,locked,unlocked,Red_Hat_Partner_Owner__c,Teaming_Agreement__c'),
	OldValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	NewValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Action_Items__c_ParentId FOREIGN KEY(ParentId) REFERENCES Action_Items__c (Id) OPTIONS (NAMEINSOURCE 'Histories')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'false', "teiid_sf:Supports Delete" 'false', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Action_Items__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Action_Items__c_ItemId FOREIGN KEY(ItemId) REFERENCES Action_Items__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE ActivityHistory (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	AccountId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	WhoId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	WhatId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Subject string(80) OPTIONS (NATIVE_TYPE 'combobox', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsTask boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	ActivityDate date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	OwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Status string(40) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Not Started,In Progress,Waiting for RSM,Waiting for SA,Completed,Waiting on someone else,Deferred,Triage - Credit,Triage - Finance,Triage - Sales,System Deferred,Triage - Legal,Sent,0 Day Renewal Notice'),
	Priority string(40) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'High,Normal,Low'),
	ActivityType string(40) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Call,Call,Email,Email,Meeting,Meeting,Other,Other'),
	IsClosed boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsAllDayEvent boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsVisibleInSelfService boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	DurationInMinutes integer OPTIONS (NATIVE_TYPE 'int', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Location string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Description string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CallDurationInSeconds integer OPTIONS (NATIVE_TYPE 'int', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CallType string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Internal,Inbound,Outbound'),
	CallDisposition string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CallObject string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ReminderDateTime timestamp OPTIONS (NATIVE_TYPE 'datetime', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsReminderSet boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	BestTimeToCall__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Morning,Noon,Night'),
	externalIdName__c string(30) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	RejectionReason__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" '0.00 Amount not approved,Backdate Subsc Start-date,Billing/Shipping Info Missing,Billing Account Number Invalid,Billing Acct/Info Incorrect/Missing,Billing Address Incorrect,Billing Address Missing,Contract Incorrect/Missing/Unsigned,Contract Missing/Not Signed,Contract Numbers Incorrect,Contract Numbers Missing,Co-Terms Info Incorrect/Missing,Credit Card Declined,Credit Related/Payment Terms Issues,Credit Status/Payment Terms Issues,Customer Hold or Delivery Delay,Cut-Off Time Exceeded,Description Missing,Discount Not Approved,Duplicate Order,EU Login Incorrect/Missing,Finance Approval Required,Handwritten Change Not Acceptable,Incorrect Account Classification,Incorrect SKUs,Invalid RH Entitlement Login,Legal/BD Review & Approval,Legal Agreement not attached / Missing,Legal Approval,Legal Approval Required,Legal Entity Not Correct,Login/Acct # Invalid/Missing,Missing Pages,Missing Reference to Existing Agreement,Missing Signatures,Missing SKUs,New Party / Account Request,No PO Letter needs Approval,No PO Letter Required,Other,Payment Terms Missing,Payment Terms Not Approved,PO/Credit Card Info Incorrect/Missing,PO Missing,PO not attached / missing,Pricing Incorrect,Product/Discount Approval Required,Qty/Price/Products Not Equal,Renewal Dates are Incorrect/Missing,Renewal Info/Start Date Needed,Renewal Information Incorrect/Missing,Sales Mgmt or PM Approval Required,Shipping Address Incorrect,Shipping Address Missing,Shipping Info Incorrect/Missing,SKU/Qty/Currency/Price Incorrect,SKU Qty/Price/Desc Issue,Start/End Date Missing,Start Date Over 14 Days Old,Subsc Dates/Term Issue,Tax Info Missing/Incorrect,Unclear - Auto entitlement Vs Keys,VAT # Missing/Incorrect,VAT number missing/incorrect,Waiting Saba # or CM# or Others'' Info,Wrong Billing Acct#,Wrong Currency'),
	OMComments__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Prepay_Required__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	OE_Form_Printed__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Prepay_Paid__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Task_Duration__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Credit_Finance_Comments__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	OM_Verified__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Strategic_Selling_Category__c string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Partner_Created__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Sales_Comments__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Category__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Goal,Tandem Review,Education (webinar, house fair, product presentation, workshops  etc.),Reporting (quarterly performance review, progress analysis, plain numbers),Documentation (creation of account profile, account plan, account overview etc.),Task (anything else)'),
	Requester__c string(200) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Last_Due_date__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Due_date_changed_on__c timestamp OPTIONS (NATIVE_TYPE 'datetime', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Contents__c string(255) OPTIONS (NATIVE_TYPE 'url', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Related_Opportunity_Region__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Send_Notification__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Billing_Comments__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Actions_from_Visit__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Notes_from_Visit__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Reason_of_Visit__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	OM_Comments_Continued__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	OM_Comments_Final__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Call_Results__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Bad Number,Left Message,Obtained Information Needed,Scheduled Follow Up,Sent Email'),
	Partner_Comments__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Purpose__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Welcome - Schedule Initial Call,Qualification - Reselling?,Commitment - Obtainment,Commitment - Monitoring,Nurturing - Sales Activation,Nurturing - Monitoring'),
	Escalation_Stage__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Customer Identified,Waiting Customer Response,Negotiation With Customer,Proposal Approved,CIO Letter,Voluntary Assessment (Rho),Assessment (Program),Assessment (Migrate),Assessment (Terminate),Audit,Termination Letter,Certification (Migrate),Certification (Decommissioned),Certification (No Distribution ISV),Certification (Over-Deployment),Waiting PO,Sales Team Engaged,Compliance Team Engaged,Self Assessment,Self-Assessment (Migrate),Self-Assessment (Terminate)'),
	Summary__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Project_Account_Comments__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	GLS_Comments__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Age_of_Escalation_Stage__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Clearances__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'US Citizen,US DoD Secret,US DoD Top Secret,US DoD Top Secret/SCI,Other'),
	Date_Escalation_Stage_Set__c timestamp OPTIONS (NATIVE_TYPE 'datetime', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Distributor__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Carahsoft,DLT,Other,Not Applicable'),
	Legal_Comments__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Other__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Task_Source_Detail__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Task_Source__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'GSS ID,Sales ID,SEAP ID'),
	Contract_Date__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Current_Contract__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Click Through,MSA'),
	Latest_Expiration__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Server_Environment_Size__c string(25) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Servers_Checking_In__c string(25) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Support_Tickets__c string(25) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ClosedDate__c timestamp OPTIONS (NATIVE_TYPE 'datetime', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Due_Date_Time__c timestamp OPTIONS (NATIVE_TYPE 'datetime', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Legacy_Profile__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Legacy_Role__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Owner__c string(18) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Monitor__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	MonitoredActivityId__c string(18) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	OORID__c string(20) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Record_Source__c string(45) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ActionSubject__c string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	End__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Start__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Attendees__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Sent_To__c string(80) OPTIONS (NATIVE_TYPE 'email', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_APPR_DGRP__Dynamic_Group__c_WhatId FOREIGN KEY(WhatId) REFERENCES APPR_DGRP__Dynamic_Group__c (Id) OPTIONS (NAMEINSOURCE 'ActivityHistories'),
	CONSTRAINT FK_APPR_DGRP__Group_Rule__c_WhatId FOREIGN KEY(WhatId) REFERENCES APPR_DGRP__Group_Rule__c (Id) OPTIONS (NAMEINSOURCE 'ActivityHistories'),
	CONSTRAINT FK_Account_AccountId FOREIGN KEY(AccountId) REFERENCES Account (Id) OPTIONS (NAMEINSOURCE 'ActivityHistories'),
	CONSTRAINT FK_Action_Items__c_WhatId FOREIGN KEY(WhatId) REFERENCES Action_Items__c (Id) OPTIONS (NAMEINSOURCE 'ActivityHistories'),
	CONSTRAINT FK_Anti_corruption__c_WhatId FOREIGN KEY(WhatId) REFERENCES Anti_corruption__c (Id) OPTIONS (NAMEINSOURCE 'ActivityHistories'),
	CONSTRAINT FK_ApprovalCustom__c_WhatId FOREIGN KEY(WhatId) REFERENCES ApprovalCustom__c (Id) OPTIONS (NAMEINSOURCE 'ActivityHistories'),
	CONSTRAINT FK_Asset_WhatId FOREIGN KEY(WhatId) REFERENCES Asset (Id) OPTIONS (NAMEINSOURCE 'ActivityHistories'),
	CONSTRAINT FK_BigMachines__Quote__c_WhatId FOREIGN KEY(WhatId) REFERENCES BigMachines__Quote__c (Id) OPTIONS (NAMEINSOURCE 'ActivityHistories'),
	CONSTRAINT FK_CCB_Event__c_WhatId FOREIGN KEY(WhatId) REFERENCES CCB_Event__c (Id) OPTIONS (NAMEINSOURCE 'ActivityHistories'),
	CONSTRAINT FK_Campaign_WhatId FOREIGN KEY(WhatId) REFERENCES Campaign (Id) OPTIONS (NAMEINSOURCE 'ActivityHistories'),
	CONSTRAINT FK_CampaignTag__c_WhatId FOREIGN KEY(WhatId) REFERENCES CampaignTag__c (Id) OPTIONS (NAMEINSOURCE 'ActivityHistories'),
	CONSTRAINT FK_Case__WhatId FOREIGN KEY(WhatId) REFERENCES Case_ (Id) OPTIONS (NAMEINSOURCE 'ActivityHistories'),
	CONSTRAINT FK_Change_Management__c_WhatId FOREIGN KEY(WhatId) REFERENCES Change_Management__c (Id) OPTIONS (NAMEINSOURCE 'ActivityHistories'),
	CONSTRAINT FK_Change_Request__c_WhatId FOREIGN KEY(WhatId) REFERENCES Change_Request__c (Id) OPTIONS (NAMEINSOURCE 'ActivityHistories'),
	CONSTRAINT FK_Change_Requests__c_WhatId FOREIGN KEY(WhatId) REFERENCES Change_Requests__c (Id) OPTIONS (NAMEINSOURCE 'ActivityHistories'),
	CONSTRAINT FK_Component__c_WhatId FOREIGN KEY(WhatId) REFERENCES Component__c (Id) OPTIONS (NAMEINSOURCE 'ActivityHistories'),
	CONSTRAINT FK_Contact_WhoId FOREIGN KEY(WhoId) REFERENCES Contact (Id) OPTIONS (NAMEINSOURCE 'ActivityHistories'),
	CONSTRAINT FK_Contract_WhatId FOREIGN KEY(WhatId) REFERENCES Contract (Id) OPTIONS (NAMEINSOURCE 'ActivityHistories'),
	CONSTRAINT FK_Credit__c_WhatId FOREIGN KEY(WhatId) REFERENCES Credit__c (Id) OPTIONS (NAMEINSOURCE 'ActivityHistories'),
	CONSTRAINT FK_Customer_Reference__c_WhatId FOREIGN KEY(WhatId) REFERENCES Customer_Reference__c (Id) OPTIONS (NAMEINSOURCE 'ActivityHistories'),
	CONSTRAINT FK_Defect_Requirement_Join__c_WhatId FOREIGN KEY(WhatId) REFERENCES Defect_Requirement_Join__c (Id) OPTIONS (NAMEINSOURCE 'ActivityHistories'),
	CONSTRAINT FK_Defect__c_WhatId FOREIGN KEY(WhatId) REFERENCES Defect__c (Id) OPTIONS (NAMEINSOURCE 'ActivityHistories'),
	CONSTRAINT FK_Deliverables__c_WhatId FOREIGN KEY(WhatId) REFERENCES Deliverables__c (Id) OPTIONS (NAMEINSOURCE 'ActivityHistories'),
	CONSTRAINT FK_EBS_Account__c_WhatId FOREIGN KEY(WhatId) REFERENCES EBS_Account__c (Id) OPTIONS (NAMEINSOURCE 'ActivityHistories'),
	CONSTRAINT FK_Evaluation__c_WhatId FOREIGN KEY(WhatId) REFERENCES Evaluation__c (Id) OPTIONS (NAMEINSOURCE 'ActivityHistories'),
	CONSTRAINT FK_LMS_Training_Request__c_WhatId FOREIGN KEY(WhatId) REFERENCES LMS_Training_Request__c (Id) OPTIONS (NAMEINSOURCE 'ActivityHistories'),
	CONSTRAINT FK_Lead_WhoId FOREIGN KEY(WhoId) REFERENCES Lead (Id) OPTIONS (NAMEINSOURCE 'ActivityHistories'),
	CONSTRAINT FK_Lead_SuperRegion_Mapping__c_WhatId FOREIGN KEY(WhatId) REFERENCES Lead_SuperRegion_Mapping__c (Id) OPTIONS (NAMEINSOURCE 'ActivityHistories'),
	CONSTRAINT FK_Marketing_Activity__c_WhatId FOREIGN KEY(WhatId) REFERENCES Marketing_Activity__c (Id) OPTIONS (NAMEINSOURCE 'ActivityHistories'),
	CONSTRAINT FK_Milestone__c_WhatId FOREIGN KEY(WhatId) REFERENCES Milestone__c (Id) OPTIONS (NAMEINSOURCE 'ActivityHistories'),
	CONSTRAINT FK_MonitoredActivity__c_WhatId FOREIGN KEY(WhatId) REFERENCES MonitoredActivity__c (Id) OPTIONS (NAMEINSOURCE 'ActivityHistories'),
	CONSTRAINT FK_NFR_Request__c_WhatId FOREIGN KEY(WhatId) REFERENCES NFR_Request__c (Id) OPTIONS (NAMEINSOURCE 'ActivityHistories'),
	CONSTRAINT FK_NonPrimaryBillingAddress__c_WhatId FOREIGN KEY(WhatId) REFERENCES NonPrimaryBillingAddress__c (Id) OPTIONS (NAMEINSOURCE 'ActivityHistories'),
	CONSTRAINT FK_NonPrimaryShippingAddress__c_WhatId FOREIGN KEY(WhatId) REFERENCES NonPrimaryShippingAddress__c (Id) OPTIONS (NAMEINSOURCE 'ActivityHistories'),
	CONSTRAINT FK_Opportunity_WhatId FOREIGN KEY(WhatId) REFERENCES Opportunity (Id) OPTIONS (NAMEINSOURCE 'ActivityHistories'),
	CONSTRAINT FK_Order_Tracking__c_WhatId FOREIGN KEY(WhatId) REFERENCES Order_Tracking__c (Id) OPTIONS (NAMEINSOURCE 'ActivityHistories'),
	CONSTRAINT FK_Partner_Onboarding_Registration__c_WhatId FOREIGN KEY(WhatId) REFERENCES Partner_Onboarding_Registration__c (Id) OPTIONS (NAMEINSOURCE 'ActivityHistories'),
	CONSTRAINT FK_Partner_Profile__c_WhatId FOREIGN KEY(WhatId) REFERENCES Partner_Profile__c (Id) OPTIONS (NAMEINSOURCE 'ActivityHistories'),
	CONSTRAINT FK_Partner_Program_Tier__c_WhatId FOREIGN KEY(WhatId) REFERENCES Partner_Program_Tier__c (Id) OPTIONS (NAMEINSOURCE 'ActivityHistories'),
	CONSTRAINT FK_Partner_Registration__c_WhatId FOREIGN KEY(WhatId) REFERENCES Partner_Registration__c (Id) OPTIONS (NAMEINSOURCE 'ActivityHistories'),
	CONSTRAINT FK_Product2_WhatId FOREIGN KEY(WhatId) REFERENCES Product2 (Id) OPTIONS (NAMEINSOURCE 'ActivityHistories'),
	CONSTRAINT FK_Project_Item__c_WhatId FOREIGN KEY(WhatId) REFERENCES Project_Item__c (Id) OPTIONS (NAMEINSOURCE 'ActivityHistories'),
	CONSTRAINT FK_Project_Status__c_WhatId FOREIGN KEY(WhatId) REFERENCES Project_Status__c (Id) OPTIONS (NAMEINSOURCE 'ActivityHistories'),
	CONSTRAINT FK_Project__c_WhatId FOREIGN KEY(WhatId) REFERENCES Project__c (Id) OPTIONS (NAMEINSOURCE 'ActivityHistories'),
	CONSTRAINT FK_Red_Hat_Attachment__c_WhatId FOREIGN KEY(WhatId) REFERENCES Red_Hat_Attachment__c (Id) OPTIONS (NAMEINSOURCE 'ActivityHistories'),
	CONSTRAINT FK_Reference_Collateral__c_WhatId FOREIGN KEY(WhatId) REFERENCES Reference_Collateral__c (Id) OPTIONS (NAMEINSOURCE 'ActivityHistories'),
	CONSTRAINT FK_Release__c_WhatId FOREIGN KEY(WhatId) REFERENCES Release__c (Id) OPTIONS (NAMEINSOURCE 'ActivityHistories'),
	CONSTRAINT FK_Requirement__c_WhatId FOREIGN KEY(WhatId) REFERENCES Requirement__c (Id) OPTIONS (NAMEINSOURCE 'ActivityHistories'),
	CONSTRAINT FK_Resource__c_WhatId FOREIGN KEY(WhatId) REFERENCES Resource__c (Id) OPTIONS (NAMEINSOURCE 'ActivityHistories'),
	CONSTRAINT FK_SFDC_Channel_Account_Plan__c_WhatId FOREIGN KEY(WhatId) REFERENCES SFDC_Channel_Account_Plan__c (Id) OPTIONS (NAMEINSOURCE 'ActivityHistories'),
	CONSTRAINT FK_SFDC_Objective__c_WhatId FOREIGN KEY(WhatId) REFERENCES SFDC_Objective__c (Id) OPTIONS (NAMEINSOURCE 'ActivityHistories'),
	CONSTRAINT FK_Schedule_Exports__c_WhatId FOREIGN KEY(WhatId) REFERENCES Schedule_Exports__c (Id) OPTIONS (NAMEINSOURCE 'ActivityHistories'),
	CONSTRAINT FK_Solution_WhatId FOREIGN KEY(WhatId) REFERENCES Solution (Id) OPTIONS (NAMEINSOURCE 'ActivityHistories'),
	CONSTRAINT FK_SteeringCommittee__c_WhatId FOREIGN KEY(WhatId) REFERENCES SteeringCommittee__c (Id) OPTIONS (NAMEINSOURCE 'ActivityHistories'),
	CONSTRAINT FK_StrategicPlan_Solution__c_WhatId FOREIGN KEY(WhatId) REFERENCES StrategicPlan_Solution__c (Id) OPTIONS (NAMEINSOURCE 'ActivityHistories'),
	CONSTRAINT FK_StrategicPlan_Strategy__c_WhatId FOREIGN KEY(WhatId) REFERENCES StrategicPlan_Strategy__c (Id) OPTIONS (NAMEINSOURCE 'ActivityHistories'),
	CONSTRAINT FK_StrategicPlan__c_WhatId FOREIGN KEY(WhatId) REFERENCES StrategicPlan__c (Id) OPTIONS (NAMEINSOURCE 'ActivityHistories'),
	CONSTRAINT FK_SubscriptionBatch__c_WhatId FOREIGN KEY(WhatId) REFERENCES SubscriptionBatch__c (Id) OPTIONS (NAMEINSOURCE 'ActivityHistories'),
	CONSTRAINT FK_SubscriptionLine__c_WhatId FOREIGN KEY(WhatId) REFERENCES SubscriptionLine__c (Id) OPTIONS (NAMEINSOURCE 'ActivityHistories'),
	CONSTRAINT FK_SubscriptionPartner__c_WhatId FOREIGN KEY(WhatId) REFERENCES SubscriptionPartner__c (Id) OPTIONS (NAMEINSOURCE 'ActivityHistories'),
	CONSTRAINT FK_Subscription__c_WhatId FOREIGN KEY(WhatId) REFERENCES Subscription__c (Id) OPTIONS (NAMEINSOURCE 'ActivityHistories'),
	CONSTRAINT FK_SumTotal_Catalog__c_WhatId FOREIGN KEY(WhatId) REFERENCES SumTotal_Catalog__c (Id) OPTIONS (NAMEINSOURCE 'ActivityHistories'),
	CONSTRAINT FK_Teaming_Agreement__c_WhatId FOREIGN KEY(WhatId) REFERENCES Teaming_Agreement__c (Id) OPTIONS (NAMEINSOURCE 'ActivityHistories'),
	CONSTRAINT FK_Temporal_Content__c_WhatId FOREIGN KEY(WhatId) REFERENCES Temporal_Content__c (Id) OPTIONS (NAMEINSOURCE 'ActivityHistories'),
	CONSTRAINT FK_Test_Case__c_WhatId FOREIGN KEY(WhatId) REFERENCES Test_Case__c (Id) OPTIONS (NAMEINSOURCE 'ActivityHistories'),
	CONSTRAINT FK_Use_Case__c_WhatId FOREIGN KEY(WhatId) REFERENCES Use_Case__c (Id) OPTIONS (NAMEINSOURCE 'ActivityHistories'),
	CONSTRAINT FK_Verifiable_Outcome__c_WhatId FOREIGN KEY(WhatId) REFERENCES Verifiable_Outcome__c (Id) OPTIONS (NAMEINSOURCE 'ActivityHistories'),
	CONSTRAINT FK_Work_Package__c_WhatId FOREIGN KEY(WhatId) REFERENCES Work_Package__c (Id) OPTIONS (NAMEINSOURCE 'ActivityHistories'),
	CONSTRAINT FK_Work_Plan__c_WhatId FOREIGN KEY(WhatId) REFERENCES Work_Plan__c (Id) OPTIONS (NAMEINSOURCE 'ActivityHistories')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'false', "teiid_sf:Supports Delete" 'false', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'false', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'false', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE AdditionalNumber (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CallCenterId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Name string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Description string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Phone string(40) OPTIONS (NATIVE_TYPE 'phone', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id)
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Address__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	RecordTypeId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Sales_Account__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Address_External_Id__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Address_Line1__c string(240) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Address_Line2__c string(240) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Address_Line3__c string(240) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Address_Line4__c string(240) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Address_Lines__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Bill_To_Address__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	CDH_Party_Site_Number__c string(60) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CDH_Party__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	City__c string(60) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Country__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'AG,AI,AL,AN,AQ,AR,AS,AU,AW,AZ,BA,BB,BD,BF,BG,BJ,BM,BR,BS,BT,BW,BY,BZ,CC,CF,CG,CH,CK,CL,CR,CU,CX,CY,DJ,DK,DM,DZ,EE,EG,EH,ER,ET,FI,FJ,FM,FO,GB,GD,GH,GI,GM,GN,GR,GS,GT,GW,HK,HN,HR,HT,ID,IL,IO,IQ,IR,IS,IT,JP,KG,KH,KI,KM,KP,KW,KY,KZ,LA,LB,LC,LI,LT,LV,LX,LY,MD,MG,ML,MM,MN,MO,MQ,MS,MT,MU,MX,MY,MZ,NC,NE,NF,NO,NP,NR,NZ,OM,PA,PE,PF,PG,PH,PK,PL,PM,PN,PR,PS,PT,PW,PY,QA,RE,RO,RU,RW,SA,SB,SC,SD,SE,SG,SH,SI,SJ,SK,SL,SM,SN,SO,SR,ST,SV,SY,SZ,TC,TD,TF,TG,TH,TJ,TK,TM,TN,TO,TP,TR,TT,TV,TW,TZ,UA,UG,UM,US,UY,UZ,VA,VC,VE,VG,VI,VN,VU,WF,WS,YE,YT,YU,ZA,ZM,ZR,ZW,FR,GA,AO,BH,BV,CV,CD,DO,GF,GU,IN,KE,LR,MH,MA,NG,AE,TL,CS,CM,EC,FX,GP,HM,JM,LK,MK,MW,NU,BL,MF,AF,AD,AM,AT,BE,BO,BN,CA,CN,CI,CZ,GQ,FK,GE,GL,GY,HU,IE,JO,KR,LS,LU,MV,MR,MC,NA,NL,MP,KN,ES,RS,ME,DE,NI,BI,CO,AX,JE,GG,IM'),
	County__c string(250) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Entitle_To_Address__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Identifying_Address__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Province__c string(240) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Sales_Account_Name__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Ship_To_Address__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Sold_To_Address__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	State_Province__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	State__c string(240) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Status__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Active,Inactive,Merged'),
	Zip_Postal_Code__c string(240) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Account_Sales_Account__c FOREIGN KEY(Sales_Account__c) REFERENCES Account (Id) OPTIONS (NAMEINSOURCE 'Addresses__r'),
	CONSTRAINT FK_CDH_Party__c_CDH_Party__c FOREIGN KEY(CDH_Party__c) REFERENCES CDH_Party__c (Id) OPTIONS (NAMEINSOURCE 'Addresses__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE Address__History (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	ParentId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Field string(255) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Address_External_Id__c,Address_Line1__c,Address_Line2__c,Address_Line3__c,Address_Line4__c,Bill_To_Address__c,CDH_Party__c,CDH_Party_Site_Number__c,City__c,Country__c,County__c,created,CurrencyIsoCode,Entitle_To_Address__c,feedEvent,Identifying_Address__c,Name,ownerAccepted,ownerAssignment,Province__c,locked,RecordType,unlocked,Sales_Account__c,Ship_To_Address__c,Sold_To_Address__c,State__c,Status__c,Zip_Postal_Code__c'),
	OldValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	NewValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Address__c_ParentId FOREIGN KEY(ParentId) REFERENCES Address__c (Id) OPTIONS (NAMEINSOURCE 'Histories')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'false', "teiid_sf:Supports Delete" 'false', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Address__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Address__c_ItemId FOREIGN KEY(ItemId) REFERENCES Address__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE AdminByPass__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	SetupOwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsAdmin__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	IsChannelLoad__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	IsOppAdmin__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	AccountLockValidation__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	IsBillToAdmin__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	IsCaseAdmin__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	IsSalesUser__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	CONSTRAINT Id_PK PRIMARY KEY(Id)
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE AdminByPass__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_AdminByPass__c_ItemId FOREIGN KEY(ItemId) REFERENCES AdminByPass__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE AggregateResult (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CONSTRAINT Id_PK PRIMARY KEY(Id)
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'false', "teiid_sf:Supports Delete" 'false', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'false', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'false', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Agreement__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	ActivationDate__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ActivationStatus__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ApprovalStatus__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Draft,Pending,Approved,Rejected,Declined,Archived'),
	Country__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ExpirationDate__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	IsSignatureRequired__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Number__c string(30) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	PartnerType__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Region__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'EMEA,LATAM,APAC,NA'),
	SubRegion__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'ASEAN,ANZ,India,Hong Kong,Greater China,Japan,Korea,Taiwan,Northeast,Central,Southeast,Southwest,Canada,National,Fed Sled,High Volume,Distributor,Brazil,Mexico,CEE,UKI,SEMEA,NORDICS,NA,Northwest,North Central,South Central,Mid-Atlantic,SAC'),
	Type__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Partner,Partner & User,User'),
	Version__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Country_Count__c double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'double', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Language__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'English,Chinese,Chinese (Simplified),Korean,Japanese,Portuguese,French,Spanish'),
	Partner_Role__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Partner_Program__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Countries_Selected__c double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'double', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Is_Terms_Document__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Feature__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'rhel7demo-na,rhel7demo-latam,rhel7demo-apac,rhel7demo-emea'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Classification__c_PartnerType__c FOREIGN KEY(PartnerType__c) REFERENCES Classification__c (Id) OPTIONS (NAMEINSOURCE 'AgreementsByPartnerType__r'),
	CONSTRAINT FK_Classification__c_Partner_Role__c FOREIGN KEY(Partner_Role__c) REFERENCES Classification__c (Id) OPTIONS (NAMEINSOURCE 'Agreements__r'),
	CONSTRAINT FK_Country__c_Country__c FOREIGN KEY(Country__c) REFERENCES Country__c (Id) OPTIONS (NAMEINSOURCE 'Agreements__r'),
	CONSTRAINT FK_Partner_Program_Definition__c_Partner_Program__c FOREIGN KEY(Partner_Program__c) REFERENCES Partner_Program_Definition__c (Id) OPTIONS (NAMEINSOURCE 'Agreements__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE Agreement__History (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	ParentId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Field string(255) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'ActivationDate__c,ApprovalStatus__c,Country__c,created,CurrencyIsoCode,ExpirationDate__c,Feature__c,feedEvent,Is_Terms_Document__c,IsSignatureRequired__c,Language__c,Name,Owner,ownerAccepted,ownerAssignment,Partner_Program__c,Partner_Role__c,PartnerType__c,locked,unlocked,Region__c,SubRegion__c,Type__c,Version__c'),
	OldValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	NewValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Agreement__c_ParentId FOREIGN KEY(ParentId) REFERENCES Agreement__c (Id) OPTIONS (NAMEINSOURCE 'Histories')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'false', "teiid_sf:Supports Delete" 'false', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Agreement__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Agreement__c_ItemId FOREIGN KEY(ItemId) REFERENCES Agreement__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Agreement_Country__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	Agreement__c string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Country__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Language__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Localization language for a specific country/agreement relationship, or null for the default language of the country'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Agreement__c_Agreement__c FOREIGN KEY(Agreement__c) REFERENCES Agreement__c (Id) OPTIONS (NAMEINSOURCE 'Agreement_Countries__r'),
	CONSTRAINT FK_Country__c_Country__c FOREIGN KEY(Country__c) REFERENCES Country__c (Id) OPTIONS (NAMEINSOURCE 'Agreement_Countries__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE Agreement_Country__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Agreement_Country__c_ItemId FOREIGN KEY(ItemId) REFERENCES Agreement_Country__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Anti_corruption__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	LastActivityDate date OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Anti_Corruption_Confirmed_By__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Anti_Corruption_Confirmed_Date_Time__c timestamp OPTIONS (NATIVE_TYPE 'datetime', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Approval_Type__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Legal Type 1,Channel Ops Type 2,Legal Type 2,Legal Type 3,Rejection Type 1,Rejection Type 2 - Channel Ops,Rejection Type 2,Rejection Type 3'),
	DirectPurchasingAgreement__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Direct_Purchasing_Agreement__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Do_you_have_any_reason_to_believe_that_t__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Yes,No'),
	Escalate_to_Level_3__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	EverConvicted__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Ever_Convicted__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	GovernmentPosition__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Government_Position__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Lead__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Needs_Level_2_Review__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Origin__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Onboarding,Requalification,Tier Upgrade'),
	Partner_Account__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Partner_Status__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	QuestionnaireCompletionDate_Time__c timestamp OPTIONS (NATIVE_TYPE 'datetime', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Recommended_by_government_official__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Yes,No'),
	RedFlagQuestionnaireAttached__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	RedFlagQuestionnaireClear__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	RedFlagQuestionnaireComplete__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Red_Flag_Confirmed_By__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Red_Flag_Confirmed_On__c timestamp OPTIONS (NATIVE_TYPE 'datetime', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Red_Flag_Status__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Rejection_Reason__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Not Applicable,A,B,C,D,E,F,G'),
	Requested_Secret_Relationship__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Yes,No'),
	Required_Certification_Hesitation__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Yes,No'),
	Review_Status__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'New,Legal Type 1 Review,Channel Ops Type 2 Review,Legal Type 2 Review,Legal Type 3 Review,Approved and Archived,Rejected'),
	ScreenshotAttached__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ScreenshotIAgree__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Screenshot_Attached__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Screenshot_Confirmed_By__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Screenshot_Confirmed_On__c timestamp OPTIONS (NATIVE_TYPE 'datetime', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Screenshot_I_Agree__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	TIIndex__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	TI_Indexed_Countries__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'None'),
	UnethicalBusiness__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Yes,No'),
	Unusual_Payment_Terms__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Yes,No'),
	testform__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Red_Flag_Skip__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Account_Owner__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Level_1_Bypass__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Underlying_Facts__c string(32768) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	UnusualFinancialTerms__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'No or not applicable because new Partner,Yes'),
	RedFlagAnswersProvidedBy__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Onboarding_Channel_Ops_Addl_Concerns__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Partner_Onboarding__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Partner_Program_Approval__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	is_Onboarding_Lead__c boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Account_Partner_Account__c FOREIGN KEY(Partner_Account__c) REFERENCES Account (Id) OPTIONS (NAMEINSOURCE 'Anti_Corruption__r'),
	CONSTRAINT FK_Lead_Lead__c FOREIGN KEY(Lead__c) REFERENCES Lead (Id) OPTIONS (NAMEINSOURCE 'Anti_Corruption__r'),
	CONSTRAINT FK_PartnerStatus__c_Partner_Status__c FOREIGN KEY(Partner_Status__c) REFERENCES PartnerStatus__c (Id) OPTIONS (NAMEINSOURCE 'Anti_Corruption__r'),
	CONSTRAINT FK_Partner_Onboarding_Registration__c_Partner_Onboarding__c FOREIGN KEY(Partner_Onboarding__c) REFERENCES Partner_Onboarding_Registration__c (Id) OPTIONS (NAMEINSOURCE 'Anti_Corruption__r'),
	CONSTRAINT FK_Partner_Program_Approval__c_Partner_Program_Approval__c FOREIGN KEY(Partner_Program_Approval__c) REFERENCES Partner_Program_Approval__c (Id) OPTIONS (NAMEINSOURCE 'Anti_Corruption__r'),
	CONSTRAINT FK_User__Account_Owner__c FOREIGN KEY(Account_Owner__c) REFERENCES User_ (Id) OPTIONS (NAMEINSOURCE 'Anti_Corruption__r'),
	CONSTRAINT FK_User__Anti_Corruption_Confirmed_By__c FOREIGN KEY(Anti_Corruption_Confirmed_By__c) REFERENCES User_ (Id) OPTIONS (NAMEINSOURCE 'Anti_Corruption2__r'),
	CONSTRAINT FK_User__RedFlagAnswersProvidedBy__c FOREIGN KEY(RedFlagAnswersProvidedBy__c) REFERENCES User_ (Id) OPTIONS (NAMEINSOURCE 'Anti_Corruption4__r'),
	CONSTRAINT FK_User__Red_Flag_Confirmed_By__c FOREIGN KEY(Red_Flag_Confirmed_By__c) REFERENCES User_ (Id) OPTIONS (NAMEINSOURCE 'Anti_Corruption1__r'),
	CONSTRAINT FK_User__Screenshot_Confirmed_By__c FOREIGN KEY(Screenshot_Confirmed_By__c) REFERENCES User_ (Id) OPTIONS (NAMEINSOURCE 'Anti_Corruption3__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE Anti_corruption__History (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	ParentId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Field string(255) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Account_Owner__c,Anti_Corruption_Confirmed_By__c,Anti_Corruption_Confirmed_Date_Time__c,Approval_Type__c,created,CurrencyIsoCode,Direct_Purchasing_Agreement__c,Do_you_have_any_reason_to_believe_that_t__c,Escalate_to_Level_3__c,Ever_Convicted__c,feedEvent,Government_Position__c,Lead__c,Level_1_Bypass__c,Name,Needs_Level_2_Review__c,Origin__c,Owner,ownerAccepted,ownerAssignment,Partner_Account__c,Partner_Onboarding__c,Partner_Program_Approval__c,Partner_Status__c,QuestionnaireCompletionDate_Time__c,Recommended_by_government_official__c,locked,unlocked,Red_Flag_Confirmed_By__c,Red_Flag_Confirmed_On__c,Red_Flag_Skip__c,RedFlagAnswersProvidedBy__c,RedFlagQuestionnaireComplete__c,Rejection_Reason__c,Requested_Secret_Relationship__c,Required_Certification_Hesitation__c,Review_Status__c,Screenshot_Attached__c,Screenshot_Confirmed_By__c,Screenshot_Confirmed_On__c,Screenshot_I_Agree__c,TI_Indexed_Countries__c,Underlying_Facts__c,UnethicalBusiness__c,Unusual_Payment_Terms__c,UnusualFinancialTerms__c'),
	OldValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	NewValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Anti_corruption__c_ParentId FOREIGN KEY(ParentId) REFERENCES Anti_corruption__c (Id) OPTIONS (NAMEINSOURCE 'Histories')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'false', "teiid_sf:Supports Delete" 'false', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Anti_corruption__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Anti_corruption__c_ItemId FOREIGN KEY(ItemId) REFERENCES Anti_corruption__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE ApexClass (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	NamespacePrefix string(15) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Name string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ApiVersion double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Status string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Inactive,Active,Deleted'),
	IsValid boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	BodyCrc double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Body string(1000000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	LengthWithoutComments integer OPTIONS (NATIVE_TYPE 'int', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id)
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE ApexComponent (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	NamespacePrefix string(15) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Name string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ApiVersion double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	MasterLabel string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Description string OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ControllerType string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" '0,1,4,2,3,5'),
	ControllerKey string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Markup string(1048576) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id)
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE ApexPage (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	NamespacePrefix string(15) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Name string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ApiVersion double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	MasterLabel string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Description string OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ControllerType string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" '0,1,4,2,3,5'),
	ControllerKey string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Markup string(1048576) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id)
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE ApexTrigger (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	NamespacePrefix string(15) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Name string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	TableEnumOrId string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Account,Asset,Attachment,Campaign,CampaignMember,Case,CaseComment,ChatterMessage,CollaborationGroup,CollaborationGroupMember,Contact,ContentDocument,ContentFolder,ContentVersion,Contract,DandBCompany,DuplicateRecordItem,DuplicateRecordSet,EmailMessage,Event,FeedComment,FeedItem,Idea,IdeaComment,Lead,Macro,NetworkMember,Note,Opportunity,OpportunityLineItem,OpportunitySplit,OpportunityTeamMember,Partner,Pricebook2,Product2,RecordOrigin,Solution,StreamingChannel,Task,Topic,TopicAssignment,User'),
	UsageBeforeInsert boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	UsageAfterInsert boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	UsageBeforeUpdate boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	UsageAfterUpdate boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	UsageBeforeDelete boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	UsageAfterDelete boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	UsageIsBulk boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	UsageAfterUndelete boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ApiVersion double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Status string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Inactive,Active,Deleted'),
	IsValid boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	BodyCrc double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Body string(1000000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	LengthWithoutComments integer OPTIONS (NATIVE_TYPE 'int', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id)
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE APPR_DGRP__Dynamic_Group__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	RecordTypeId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	LastActivityDate date OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	APPR_DGRP__Active__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	APPR_DGRP__Apply_To_Portal__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Partner Portal,Customer Portal'),
	APPR_DGRP__Description__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	APPR_DGRP__Group_Id__c string(18) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	APPR_DGRP__Group_Name__c string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	APPR_DGRP__Group__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	APPR_DGRP__ObjectName__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Account'),
	APPR_DGRP__Role_Level__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Executive,Manager,User'),
	APPR_DGRP__Role_Type__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Portal Role And Subordinates,Portal Role'),
	APPR_DGRP__group_members__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	External_ID__c string(50) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id)
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE APPR_DGRP__Dynamic_Group__History (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	ParentId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Field string(255) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'APPR_DGRP__Active__c,APPR_DGRP__Apply_To_Portal__c,APPR_DGRP__Description__c,APPR_DGRP__Group_Id__c,APPR_DGRP__group_members__c,APPR_DGRP__Group_Name__c,APPR_DGRP__ObjectName__c,APPR_DGRP__Role_Level__c,APPR_DGRP__Role_Type__c,created,CurrencyIsoCode,External_ID__c,feedEvent,Name,Owner,ownerAccepted,ownerAssignment,locked,RecordType,unlocked'),
	OldValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	NewValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_APPR_DGRP__Dynamic_Group__c_ParentId FOREIGN KEY(ParentId) REFERENCES APPR_DGRP__Dynamic_Group__c (Id) OPTIONS (NAMEINSOURCE 'Histories')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'false', "teiid_sf:Supports Delete" 'false', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE APPR_DGRP__Dynamic_Group__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_APPR_DGRP__Dynamic_Group__c_ItemId FOREIGN KEY(ItemId) REFERENCES APPR_DGRP__Dynamic_Group__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE APPR_DGRP__Group_Rule__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	LastActivityDate date OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	APPR_DGRP__Dynamic_Group__c string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	APPR_DGRP__Operator__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'equals,not equals,greater than,greater or equals,less than,less or equals,contains'),
	APPR_DGRP__Record_Field__c string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	APPR_DGRP__Value__c string(100) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_APPR_DGRP__Dynamic_Group__c_APPR_DGRP__Dynamic_Group__c FOREIGN KEY(APPR_DGRP__Dynamic_Group__c) REFERENCES APPR_DGRP__Dynamic_Group__c (Id) OPTIONS (NAMEINSOURCE 'APPR_DGRP__Group_Rules__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE APPR_DGRP__Group_Rule__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_APPR_DGRP__Group_Rule__c_ItemId FOREIGN KEY(ItemId) REFERENCES APPR_DGRP__Group_Rule__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE APPR_PUB__Headline__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	RecordTypeId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	APPR_PUB__Active__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	APPR_PUB__Description__c string(700) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	APPR_PUB__Group_Header__c string(40) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	APPR_PUB__Image_Path__c string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	APPR_PUB__Image_Url__c string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	APPR_PUB__Link_Header__c string(40) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	APPR_PUB__New_Row__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	APPR_PUB__Sort_Order__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	APPR_PUB__Tab__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Home,Lead,Opportunity,Documents,Cases,Tab1,Tab2,Tab3,Tab4,Tab5,Tab6,Tab7,Tab8,Certification'),
	APPR_PUB__Vertical_Stack__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	APPR_PUB_XT__Language_Code__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	APPR_PUB_XT__Language__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'English,French,German,Spanish,Italian,Japanese,Swedish,Korean,Chinese (Traditional),Chinese (Simplified),Portugese (Brazilian),Dutch,Danish,Thai,Finnish,Russian'),
	APPR_PUB__Long_Description__c string OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	APPR_PUB__Style_Class__c string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id)
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE APPR_PUB__Headline__Share (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	ParentId string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	UserOrGroupId string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	AccessLevel string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Read,Edit,All'),
	RowCause string(40) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Owner,Manual,Rule,ImplicitChild,ImplicitParent,Team,Territory,TerritoryManual,TerritoryRule,Territory2Forecast'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_APPR_PUB__Headline__c_ParentId FOREIGN KEY(ParentId) REFERENCES APPR_PUB__Headline__c (Id) OPTIONS (NAMEINSOURCE 'Shares')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE APPR_PUB__Headline__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_APPR_PUB__Headline__c_ItemId FOREIGN KEY(ItemId) REFERENCES APPR_PUB__Headline__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE APPR_PUB__Headline_Link__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	APPR_PUB__Active__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	APPR_PUB__Display_Name__c string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	APPR_PUB__End_Date__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	APPR_PUB__Headline_Link_Group__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	APPR_PUB__Headline__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	APPR_PUB__Newline__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	APPR_PUB__Open_In_New_Window__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	APPR_PUB__Publish__c double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'double', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	APPR_PUB__Show_New__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	APPR_PUB__Sort_Order__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	APPR_PUB__Start_Date__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	APPR_PUB__URL_Preview__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	APPR_PUB__URL__c string(120) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	APPR_PUB_XT__Language__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_APPR_PUB__Headline_Link_Group__c_APPR_PUB__Headline_Link_Group__c FOREIGN KEY(APPR_PUB__Headline_Link_Group__c) REFERENCES APPR_PUB__Headline_Link_Group__c (Id) OPTIONS (NAMEINSOURCE 'APPR_PUB__Headline_Links__r'),
	CONSTRAINT FK_APPR_PUB__Headline__c_APPR_PUB__Headline__c FOREIGN KEY(APPR_PUB__Headline__c) REFERENCES APPR_PUB__Headline__c (Id) OPTIONS (NAMEINSOURCE 'APPR_PUB__Headline_Links__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE APPR_PUB__Headline_Link__Share (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	ParentId string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	UserOrGroupId string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	AccessLevel string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Read,Edit,All'),
	RowCause string(40) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Owner,Manual,Rule,ImplicitChild,ImplicitParent,Team,Territory,TerritoryManual,TerritoryRule,Territory2Forecast'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_APPR_PUB__Headline_Link__c_ParentId FOREIGN KEY(ParentId) REFERENCES APPR_PUB__Headline_Link__c (Id) OPTIONS (NAMEINSOURCE 'Shares')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE APPR_PUB__Headline_Link__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_APPR_PUB__Headline_Link__c_ItemId FOREIGN KEY(ItemId) REFERENCES APPR_PUB__Headline_Link__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE APPR_PUB__Headline_Link_Group__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	APPR_PUB__Headline__c string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	APPR_PUB__Active__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	APPR_PUB__Sort_Order__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	APPR_PUB_XT__Language__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	APPR_PUB__Description__c string(500) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_APPR_PUB__Headline__c_APPR_PUB__Headline__c FOREIGN KEY(APPR_PUB__Headline__c) REFERENCES APPR_PUB__Headline__c (Id) OPTIONS (NAMEINSOURCE 'APPR_PUB__Headline_Link_Groups__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE APPR_PUB__Headline_Link_Group__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_APPR_PUB__Headline_Link_Group__c_ItemId FOREIGN KEY(ItemId) REFERENCES APPR_PUB__Headline_Link_Group__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE APPR_PUB__PortalPublisherSettings__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(38) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	SetupOwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	APPR_PUB__LinkColor__c string(6) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	APPR_PUB__PrimaryColor__c string(6) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	APPR_PUB__Resource_Location__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id)
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE APPR_PUB__PortalPublisherSettings__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_APPR_PUB__PortalPublisherSettings__c_ItemId FOREIGN KEY(ItemId) REFERENCES APPR_PUB__PortalPublisherSettings__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE APPR_PUB_XT__Headline_Link__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	APPR_PUB_XT__Headline_Link__c string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	APPR_PUB_XT__Language_Code__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	APPR_PUB_XT__Language__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'German,Spanish,English,French,Italian,Japanese,Swedish,Korean,Chinese (Traditional),Chinese (Simplified),Portugese (Brazilian),Dutch,Danish,Thai,Finnish,Russian'),
	APPR_PUB_XT__Link_Display_Name__c string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	APPR_PUB_XT__URL__c string(120) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_APPR_PUB__Headline_Link__c_APPR_PUB_XT__Headline_Link__c FOREIGN KEY(APPR_PUB_XT__Headline_Link__c) REFERENCES APPR_PUB__Headline_Link__c (Id) OPTIONS (NAMEINSOURCE 'APPR_PUB_XT__Headline_Link_Translations__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE APPR_PUB_XT__Headline_Link__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_APPR_PUB_XT__Headline_Link__c_ItemId FOREIGN KEY(ItemId) REFERENCES APPR_PUB_XT__Headline_Link__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE APPR_PUB_XT__Headline_Link_Group_Translation__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	APPR_PUB_XT__Headline_Link_Group__c string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	APPR_PUB_XT__Language_Code__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	APPR_PUB_XT__Language__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'German,Spanish,English,French,Italian,Japanese,Swedish,Korean,Chinese (Traditional),Chinese (Simplified),Portugese (Brazilian),Dutch,Danish,Thai,Finnish,Russian'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_APPR_PUB__Headline_Link_Group__c_APPR_PUB_XT__Headline_Link_Group__c FOREIGN KEY(APPR_PUB_XT__Headline_Link_Group__c) REFERENCES APPR_PUB__Headline_Link_Group__c (Id) OPTIONS (NAMEINSOURCE 'APPR_PUB_XT__Headline_Link_Group_Translations__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE APPR_PUB_XT__Headline_Link_Group_Translation__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_APPR_PUB_XT__Headline_Link_Group_Translation__c_ItemId FOREIGN KEY(ItemId) REFERENCES APPR_PUB_XT__Headline_Link_Group_Translation__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE APPR_PUB_XT__Headline_Translation__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	RecordTypeId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	APPR_PUB_XT__Headline__c string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	APPR_PUB_XT__Description__c string(700) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	APPR_PUB_XT__Group_Header__c string(40) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	APPR_PUB_XT__Image_Path__c string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	APPR_PUB_XT__Image_Url__c string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	APPR_PUB_XT__Language_Code__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	APPR_PUB_XT__Language__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'German,Spanish,English,French,Italian,Japanese,Swedish,Korean,Chinese (Traditional),Chinese (Simplified),Portugese (Brazilian),Dutch,Danish,Thai,Finnish,Russian'),
	APPR_PUB_XT__Link_Header__c string(40) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_APPR_PUB__Headline__c_APPR_PUB_XT__Headline__c FOREIGN KEY(APPR_PUB_XT__Headline__c) REFERENCES APPR_PUB__Headline__c (Id) OPTIONS (NAMEINSOURCE 'APPR_PUB_XT__Headline_Translations__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE APPR_PUB_XT__Headline_Translation__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_APPR_PUB_XT__Headline_Translation__c_ItemId FOREIGN KEY(ItemId) REFERENCES APPR_PUB_XT__Headline_Translation__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Approval (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	ParentId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	OwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Status string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Pending,Approved,Rejected'),
	RequestComment string OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ApproveComment string OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Contract_ParentId FOREIGN KEY(ParentId) REFERENCES Contract (Id) OPTIONS (NAMEINSOURCE 'Approvals')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'false', "teiid_sf:Supports Delete" 'false', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE ApprovalCustom__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	RecordTypeId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	LastActivityDate date OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Opportunity__c string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Quote__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	JustificationReason__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Structured/Priced to Beat/Replace Competition,Advanced Payment,Delayed Deployment of Software,New Market Penetration,Obtaining Initial Customer,Influencing Future Customers,Customer to Support Marketing Efforts,Customer to Support Development as an Alpha or Beta Site,Discount from Previous/Long Standing Agreement,Discount Based on Multi-Year Sales w/ No Contingencies,Large Quantities of Products Bundled w/ Professional Consulting and/or Training Services,Customer Instrumental w/ product Enhancement/Bug Fixes,Other'),
	JustificationReasonNotes__c string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ApprovalStatus__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'New,In Review,Approved,Denied,Submitted to BA,Negotiations Started,Signed,Closed - Lost'),
	AssignApprovalTo__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	PaymentTermsRequested__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Credit Card,Due On Receipt,30 NET,45 NET,Special'),
	ApprovedBy__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ApprovedByOther__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ApprovalNotes__c string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	PaymentTermsApproved__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" '30 NET,IMMEDIATE,Credit Card,Due On Receipt,40 Net,35 NET,Prepayment Reqd,EOM +1,EOM +2,10 NET,15 NET,45 NET,50 NET,60 NET,EOM +60,EOM Next Month,90 NET,75 NET,EOM+30,EOM+40,EOM+45,EOM+60,EOM+120,EOM+90,CO10th+40,CO15th+60,CO20th+45,CO25th+40,105 NET,120 NET,160 NET,180 NET,215 NET,360 NET,68 NET,EOAP + 50'),
	BillingAccountNumberApprovedOn__c string(30) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BillingAccountNameApprovedOn__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	DeniedReason__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	DateMovedInReviewStatus__c timestamp OPTIONS (NATIVE_TYPE 'datetime', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	DateMovedDecisionStatus__c timestamp OPTIONS (NATIVE_TYPE 'datetime', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	DaysinNewStatus__c double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'double', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	HoursinNewStatus__c double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'double', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	DaysinInReviewStatus__c double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'double', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	HoursinInReviewStatus__c double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'double', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	DateMovedSubmittedBAStatus__c timestamp OPTIONS (NATIVE_TYPE 'datetime', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	DaysinApprovedStatus__c double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'double', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	HoursinApprovedStatus__c double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'double', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	DateMovedNegotiationsStatus__c timestamp OPTIONS (NATIVE_TYPE 'datetime', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	DaysinSubmittedtoBAStatus__c double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'double', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	HoursinSubmittedtoBAStatus__c double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'double', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	DateMovedOppDecisionStatus__c timestamp OPTIONS (NATIVE_TYPE 'datetime', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	DaysinNegotiationsStatus__c double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'double', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	HoursinNegotiationsStatus__c double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'double', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	DaystillDecision__c double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'double', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	DaystillSubmittedtoBA__c double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'double', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	DaystillNegotiationsStarted__c double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'double', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	DaystillOppDecision__c double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'double', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	HourstillDecision__c double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'double', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	HourstillSubmittedtoBA__c double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'double', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	HourstillNegotiationsStarted__c double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'double', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	HourstillOppDecision__c double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'double', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	PricingDiscountRequested__c double OPTIONS (NATIVE_TYPE 'percent', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	PricingDiscountApproved__c double OPTIONS (NATIVE_TYPE 'percent', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BigMachines_Quote__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_BigMachines__Quote__c_BigMachines_Quote__c FOREIGN KEY(BigMachines_Quote__c) REFERENCES BigMachines__Quote__c (Id) OPTIONS (NAMEINSOURCE 'Approvals__r'),
	CONSTRAINT FK_Opportunity_Opportunity__c FOREIGN KEY(Opportunity__c) REFERENCES Opportunity (Id) OPTIONS (NAMEINSOURCE 'ApprovalCustom__r'),
	CONSTRAINT FK_Quote__c_Quote__c FOREIGN KEY(Quote__c) REFERENCES Quote__c (Id) OPTIONS (NAMEINSOURCE 'ApprovalCustom__r'),
	CONSTRAINT FK_User__ApprovedBy__c FOREIGN KEY(ApprovedBy__c) REFERENCES User_ (Id) OPTIONS (NAMEINSOURCE 'ApprovalCustom1__r'),
	CONSTRAINT FK_User__AssignApprovalTo__c FOREIGN KEY(AssignApprovalTo__c) REFERENCES User_ (Id) OPTIONS (NAMEINSOURCE 'ApprovalCustom__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE ApprovalCustom__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_ApprovalCustom__c_ItemId FOREIGN KEY(ItemId) REFERENCES ApprovalCustom__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Assessment_Summary__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	Account_Profile__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Assessment_Summary__c string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Account_Profile__c_Account_Profile__c FOREIGN KEY(Account_Profile__c) REFERENCES Account_Profile__c (Id) OPTIONS (NAMEINSOURCE 'Account_Manager_Summary__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE Assessment_Summary__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Assessment_Summary__c_ItemId FOREIGN KEY(ItemId) REFERENCES Assessment_Summary__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Asset (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	ContactId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	AccountId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Product2Id string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsCompetitorProduct boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	Name string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	SerialNumber string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	InstallDate date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	PurchaseDate date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	UsageEndDate date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Status string(40) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Shipped,Installed,Registered,Obsolete,Purchased'),
	Price double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Quantity double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Description string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Account_AccountId FOREIGN KEY(AccountId) REFERENCES Account (Id) OPTIONS (NAMEINSOURCE 'Assets'),
	CONSTRAINT FK_Contact_ContactId FOREIGN KEY(ContactId) REFERENCES Contact (Id) OPTIONS (NAMEINSOURCE 'Assets'),
	CONSTRAINT FK_Product2_Product2Id FOREIGN KEY(Product2Id) REFERENCES Product2 (Id) OPTIONS (NAMEINSOURCE 'Assets')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE AssetFeed (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	ParentId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	FeedPostId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'TrackedChange,UserStatus,TextPost,AdvancedTextPost,LinkPost,ContentPost,PollPost,RypplePost,ProfileSkillPost,DashboardComponentSnapshot,ApprovalPost,CaseCommentPost,ReplyPost,EmailMessageEvent,CallLogPost,ChangeStatusPost,AttachArticleEvent,MilestoneEvent,ActivityEvent,ChatTranscriptPost,CollaborationGroupCreated,CollaborationGroupUnarchived,SocialPost,QuestionPost,FacebookPost,BasicTemplateFeedItem,CreateRecordEvent,CanvasPost,AnnouncementPost'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Asset_ParentId FOREIGN KEY(ParentId) REFERENCES Asset (Id) OPTIONS (NAMEINSOURCE 'Feeds')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'false', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE AssetHistory (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	AssetId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Field string(255) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Account,Contact,created,CurrencyIsoCode,Description,feedEvent,InstallDate,IsCompetitorProduct,Name,ownerAccepted,ownerAssignment,Price,Product2,PurchaseDate,Quantity,locked,unlocked,SerialNumber,Status,UsageEndDate'),
	OldValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	NewValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Asset_AssetId FOREIGN KEY(AssetId) REFERENCES Asset (Id) OPTIONS (NAMEINSOURCE 'Histories')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'false', "teiid_sf:Supports Delete" 'false', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE AssetTag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Asset_ItemId FOREIGN KEY(ItemId) REFERENCES Asset (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE AssignmentRule (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(120) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	SobjectType string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Case,Lead'),
	Active boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CONSTRAINT Id_PK PRIMARY KEY(Id)
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'false', "teiid_sf:Supports Delete" 'false', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE AsyncApexJob (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	JobType string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Future,SharingRecalculation,ScheduledApex,BatchApex,BatchApexWorker,TestRequest,TestWorker,ApexToken,Queueable'),
	ApexClassId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Status string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Queued,Processing,Aborted,Completed,Failed,Preparing,Holding'),
	JobItemsProcessed integer OPTIONS (NATIVE_TYPE 'int', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	TotalJobItems integer OPTIONS (NATIVE_TYPE 'int', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	NumberOfErrors integer OPTIONS (NATIVE_TYPE 'int', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CompletedDate timestamp OPTIONS (NATIVE_TYPE 'datetime', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	MethodName string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id)
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'false', "teiid_sf:Supports Delete" 'false', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Attachment (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	ParentId string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Name string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsPrivate boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	ContentType string(120) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	BodyLength integer OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'int', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Body blob OPTIONS (NATIVE_TYPE 'base64', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	OwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Description string(500) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_APPR_DGRP__Dynamic_Group__c_ParentId FOREIGN KEY(ParentId) REFERENCES APPR_DGRP__Dynamic_Group__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_APPR_DGRP__Group_Rule__c_ParentId FOREIGN KEY(ParentId) REFERENCES APPR_DGRP__Group_Rule__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_APPR_PUB_XT__Headline_Link_Group_Translation__c_ParentId FOREIGN KEY(ParentId) REFERENCES APPR_PUB_XT__Headline_Link_Group_Translation__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_APPR_PUB_XT__Headline_Link__c_ParentId FOREIGN KEY(ParentId) REFERENCES APPR_PUB_XT__Headline_Link__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_APPR_PUB_XT__Headline_Translation__c_ParentId FOREIGN KEY(ParentId) REFERENCES APPR_PUB_XT__Headline_Translation__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_APPR_PUB__Headline_Link_Group__c_ParentId FOREIGN KEY(ParentId) REFERENCES APPR_PUB__Headline_Link_Group__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_APPR_PUB__Headline_Link__c_ParentId FOREIGN KEY(ParentId) REFERENCES APPR_PUB__Headline_Link__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_APPR_PUB__Headline__c_ParentId FOREIGN KEY(ParentId) REFERENCES APPR_PUB__Headline__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_Account_ParentId FOREIGN KEY(ParentId) REFERENCES Account (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_AccountCatalogRelationship__c_ParentId FOREIGN KEY(ParentId) REFERENCES AccountCatalogRelationship__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_AccountChangeRequestField__c_ParentId FOREIGN KEY(ParentId) REFERENCES AccountChangeRequestField__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_AccountChangeRequest__c_ParentId FOREIGN KEY(ParentId) REFERENCES AccountChangeRequest__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_AccountHierarchy__c_ParentId FOREIGN KEY(ParentId) REFERENCES AccountHierarchy__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_AccountProfile_PartnerStatus__c_ParentId FOREIGN KEY(ParentId) REFERENCES AccountProfile_PartnerStatus__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_AccountReadOnly__c_ParentId FOREIGN KEY(ParentId) REFERENCES AccountReadOnly__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_AccountTeamRule__c_ParentId FOREIGN KEY(ParentId) REFERENCES AccountTeamRule__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_Account_Profile_Other_Partner__c_ParentId FOREIGN KEY(ParentId) REFERENCES Account_Profile_Other_Partner__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_Account_Profile_Power_Map__c_ParentId FOREIGN KEY(ParentId) REFERENCES Account_Profile_Power_Map__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_Account_Profile_SWOT__c_ParentId FOREIGN KEY(ParentId) REFERENCES Account_Profile_SWOT__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_Account_Profile__c_ParentId FOREIGN KEY(ParentId) REFERENCES Account_Profile__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_Account_SWOT_Analysis__c_ParentId FOREIGN KEY(ParentId) REFERENCES Account_SWOT_Analysis__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_Accounts_Special_Program__c_ParentId FOREIGN KEY(ParentId) REFERENCES Accounts_Special_Program__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_AcctPicklistSync__c_ParentId FOREIGN KEY(ParentId) REFERENCES AcctPicklistSync__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_Action_Items__c_ParentId FOREIGN KEY(ParentId) REFERENCES Action_Items__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_Address__c_ParentId FOREIGN KEY(ParentId) REFERENCES Address__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_Agreement_Country__c_ParentId FOREIGN KEY(ParentId) REFERENCES Agreement_Country__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_Agreement__c_ParentId FOREIGN KEY(ParentId) REFERENCES Agreement__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_Anti_corruption__c_ParentId FOREIGN KEY(ParentId) REFERENCES Anti_corruption__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_ApprovalCustom__c_ParentId FOREIGN KEY(ParentId) REFERENCES ApprovalCustom__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_Assessment_Summary__c_ParentId FOREIGN KEY(ParentId) REFERENCES Assessment_Summary__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_Asset_ParentId FOREIGN KEY(ParentId) REFERENCES Asset (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_Audience_Account__c_ParentId FOREIGN KEY(ParentId) REFERENCES Audience_Account__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_Audience__c_ParentId FOREIGN KEY(ParentId) REFERENCES Audience__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_BLND_DFAC_Shared_View__c_ParentId FOREIGN KEY(ParentId) REFERENCES BLND_DFAC_Shared_View__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_BLND_DFCS_Carousel__c_ParentId FOREIGN KEY(ParentId) REFERENCES BLND_DFCS_Carousel__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_BLND_DFCS_Slide__c_ParentId FOREIGN KEY(ParentId) REFERENCES BLND_DFCS_Slide__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_BLND_DFDT_Action_Item__c_ParentId FOREIGN KEY(ParentId) REFERENCES BLND_DFDT_Action_Item__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_BLND_DFDT_Discussion__c_ParentId FOREIGN KEY(ParentId) REFERENCES BLND_DFDT_Discussion__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_BLND_DFDT_Highlight__c_ParentId FOREIGN KEY(ParentId) REFERENCES BLND_DFDT_Highlight__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_BLND_DFDT_Issue__c_ParentId FOREIGN KEY(ParentId) REFERENCES BLND_DFDT_Issue__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_BLND_DFDT_Linker__c_ParentId FOREIGN KEY(ParentId) REFERENCES BLND_DFDT_Linker__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_BLND_DFDT_Project__c_ParentId FOREIGN KEY(ParentId) REFERENCES BLND_DFDT_Project__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_BLND_DFDT_Resource__c_ParentId FOREIGN KEY(ParentId) REFERENCES BLND_DFDT_Resource__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_BLND_DFDT_Task__c_ParentId FOREIGN KEY(ParentId) REFERENCES BLND_DFDT_Task__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_BLND_DFFF_Form__c_ParentId FOREIGN KEY(ParentId) REFERENCES BLND_DFFF_Form__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_BLND_DFFF_Page__c_ParentId FOREIGN KEY(ParentId) REFERENCES BLND_DFFF_Page__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_BLND_DFTE_Expense__c_ParentId FOREIGN KEY(ParentId) REFERENCES BLND_DFTE_Expense__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_BLND_DFTE_Time__c_ParentId FOREIGN KEY(ParentId) REFERENCES BLND_DFTE_Time__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_BLND_DFTT_Document__c_ParentId FOREIGN KEY(ParentId) REFERENCES BLND_DFTT_Document__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_BLND_DFTT_Entity_Info__c_ParentId FOREIGN KEY(ParentId) REFERENCES BLND_DFTT_Entity_Info__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_BLND_DFTT_Folder__c_ParentId FOREIGN KEY(ParentId) REFERENCES BLND_DFTT_Folder__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_BigMachines__Configuration_Record__c_ParentId FOREIGN KEY(ParentId) REFERENCES BigMachines__Configuration_Record__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_BigMachines__Field_Mapping__c_ParentId FOREIGN KEY(ParentId) REFERENCES BigMachines__Field_Mapping__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_BigMachines__Quote_Product__c_ParentId FOREIGN KEY(ParentId) REFERENCES BigMachines__Quote_Product__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_BigMachines__Quote__c_ParentId FOREIGN KEY(ParentId) REFERENCES BigMachines__Quote__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_BillToAccount__c_ParentId FOREIGN KEY(ParentId) REFERENCES BillToAccount__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_Busines_Plan_KPI__c_ParentId FOREIGN KEY(ParentId) REFERENCES Busines_Plan_KPI__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_BusinessPlan_MktResource__c_ParentId FOREIGN KEY(ParentId) REFERENCES BusinessPlan_MktResource__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_Business_Plan_Customer__c_ParentId FOREIGN KEY(ParentId) REFERENCES Business_Plan_Customer__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_Business_Problem__c_ParentId FOREIGN KEY(ParentId) REFERENCES Business_Problem__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_CCB_Event__c_ParentId FOREIGN KEY(ParentId) REFERENCES CCB_Event__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_CDH_Party__c_ParentId FOREIGN KEY(ParentId) REFERENCES CDH_Party__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_CR_Components_Join__c_ParentId FOREIGN KEY(ParentId) REFERENCES CR_Components_Join__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_CTSK_INSP__Field_Statistic__c_ParentId FOREIGN KEY(ParentId) REFERENCES CTSK_INSP__Field_Statistic__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_CTSK_INSP__Object_Statistic__c_ParentId FOREIGN KEY(ParentId) REFERENCES CTSK_INSP__Object_Statistic__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_Campaign_ParentId FOREIGN KEY(ParentId) REFERENCES Campaign (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_CampaignTag__c_ParentId FOREIGN KEY(ParentId) REFERENCES CampaignTag__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_Campaign_Hierarchy_Details__c_ParentId FOREIGN KEY(ParentId) REFERENCES Campaign_Hierarchy_Details__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_Campaign_Plan__c_ParentId FOREIGN KEY(ParentId) REFERENCES Campaign_Plan__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_Case__ParentId FOREIGN KEY(ParentId) REFERENCES Case_ (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_CaseCommentData__c_ParentId FOREIGN KEY(ParentId) REFERENCES CaseCommentData__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_CasePriorityTotals__c_ParentId FOREIGN KEY(ParentId) REFERENCES CasePriorityTotals__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_CasePriority__c_ParentId FOREIGN KEY(ParentId) REFERENCES CasePriority__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_Change_Control_Board__c_ParentId FOREIGN KEY(ParentId) REFERENCES Change_Control_Board__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_Change_Management__c_ParentId FOREIGN KEY(ParentId) REFERENCES Change_Management__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_Change_Request_Members__c_ParentId FOREIGN KEY(ParentId) REFERENCES Change_Request_Members__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_Change_Request__c_ParentId FOREIGN KEY(ParentId) REFERENCES Change_Request__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_Change_Requests__c_ParentId FOREIGN KEY(ParentId) REFERENCES Change_Requests__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_ClassificationTranslation__c_ParentId FOREIGN KEY(ParentId) REFERENCES ClassificationTranslation__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_Classification__c_ParentId FOREIGN KEY(ParentId) REFERENCES Classification__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_Communities_Featured_Headline_Label__c_ParentId FOREIGN KEY(ParentId) REFERENCES Communities_Featured_Headline_Label__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_Communities_Featured_Headline__c_ParentId FOREIGN KEY(ParentId) REFERENCES Communities_Featured_Headline__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_Communities_Navigation_Item_Label__c_ParentId FOREIGN KEY(ParentId) REFERENCES Communities_Navigation_Item_Label__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_Communities_Navigation_Item__c_ParentId FOREIGN KEY(ParentId) REFERENCES Communities_Navigation_Item__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_Communities_News_Item_Label__c_ParentId FOREIGN KEY(ParentId) REFERENCES Communities_News_Item_Label__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_Communities_News_Item__c_ParentId FOREIGN KEY(ParentId) REFERENCES Communities_News_Item__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_Communities_Tool_Shortcut_Label__c_ParentId FOREIGN KEY(ParentId) REFERENCES Communities_Tool_Shortcut_Label__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_Communities_Tool_Shortcut__c_ParentId FOREIGN KEY(ParentId) REFERENCES Communities_Tool_Shortcut__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_Competitor__c_ParentId FOREIGN KEY(ParentId) REFERENCES Competitor__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_Component__c_ParentId FOREIGN KEY(ParentId) REFERENCES Component__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_Configuration__c_ParentId FOREIGN KEY(ParentId) REFERENCES Configuration__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_Contact_ParentId FOREIGN KEY(ParentId) REFERENCES Contact (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_Contact_Converter__c_ParentId FOREIGN KEY(ParentId) REFERENCES Contact_Converter__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_Contact_Reference_Request__c_ParentId FOREIGN KEY(ParentId) REFERENCES Contact_Reference_Request__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_Contact_Tool_Shortcut__c_ParentId FOREIGN KEY(ParentId) REFERENCES Contact_Tool_Shortcut__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_Contact_Track__c_ParentId FOREIGN KEY(ParentId) REFERENCES Contact_Track__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_Contract_ParentId FOREIGN KEY(ParentId) REFERENCES Contract (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_CountryTranslation__c_ParentId FOREIGN KEY(ParentId) REFERENCES CountryTranslation__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_Country__c_ParentId FOREIGN KEY(ParentId) REFERENCES Country__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_Credit__c_ParentId FOREIGN KEY(ParentId) REFERENCES Credit__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_Customer_Reference_Product__c_ParentId FOREIGN KEY(ParentId) REFERENCES Customer_Reference_Product__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_Customer_Reference__c_ParentId FOREIGN KEY(ParentId) REFERENCES Customer_Reference__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_Defect_Requirement_Join__c_ParentId FOREIGN KEY(ParentId) REFERENCES Defect_Requirement_Join__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_Defect__c_ParentId FOREIGN KEY(ParentId) REFERENCES Defect__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_Deliverables__c_ParentId FOREIGN KEY(ParentId) REFERENCES Deliverables__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_EBS_Account__c_ParentId FOREIGN KEY(ParentId) REFERENCES EBS_Account__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_ELOQUA__Campaign_s_Marketing_Asset__c_ParentId FOREIGN KEY(ParentId) REFERENCES ELOQUA__Campaign_s_Marketing_Asset__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_ELOQUA__Marketing_Activity__c_ParentId FOREIGN KEY(ParentId) REFERENCES ELOQUA__Marketing_Activity__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_ELOQUA__Marketing_Asset__c_ParentId FOREIGN KEY(ParentId) REFERENCES ELOQUA__Marketing_Asset__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_EmailMessage_ParentId FOREIGN KEY(ParentId) REFERENCES EmailMessage (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_EmailTemplate_ParentId FOREIGN KEY(ParentId) REFERENCES EmailTemplate (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_Environment__c_ParentId FOREIGN KEY(ParentId) REFERENCES Environment__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_Evaluation__c_ParentId FOREIGN KEY(ParentId) REFERENCES Evaluation__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_Event_ParentId FOREIGN KEY(ParentId) REFERENCES Event (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_Event_Log__c_ParentId FOREIGN KEY(ParentId) REFERENCES Event_Log__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_Event__c_ParentId FOREIGN KEY(ParentId) REFERENCES Event__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_Executive_Summary__c_ParentId FOREIGN KEY(ParentId) REFERENCES Executive_Summary__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_Expiring_Product__c_ParentId FOREIGN KEY(ParentId) REFERENCES Expiring_Product__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_Featured_Partner__c_ParentId FOREIGN KEY(ParentId) REFERENCES Featured_Partner__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_FiscalGoals__c_ParentId FOREIGN KEY(ParentId) REFERENCES FiscalGoals__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_Hashes__c_ParentId FOREIGN KEY(ParentId) REFERENCES Hashes__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_Inbound_Event__c_ParentId FOREIGN KEY(ParentId) REFERENCES Inbound_Event__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_Key_Joint_Sales_Engagement__c_ParentId FOREIGN KEY(ParentId) REFERENCES Key_Joint_Sales_Engagement__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_LMS_Training_Request__c_ParentId FOREIGN KEY(ParentId) REFERENCES LMS_Training_Request__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_Lead_ParentId FOREIGN KEY(ParentId) REFERENCES Lead (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_LeadAccountRules__c_ParentId FOREIGN KEY(ParentId) REFERENCES LeadAccountRules__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_LeadCountryMap__c_ParentId FOREIGN KEY(ParentId) REFERENCES LeadCountryMap__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_LeadCronRoutingRule__c_ParentId FOREIGN KEY(ParentId) REFERENCES LeadCronRoutingRule__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_LeadForReporting__c_ParentId FOREIGN KEY(ParentId) REFERENCES LeadForReporting__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_LeadManagementHistory__c_ParentId FOREIGN KEY(ParentId) REFERENCES LeadManagementHistory__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_LeadRules__c_ParentId FOREIGN KEY(ParentId) REFERENCES LeadRules__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_LeadShareStaging__c_ParentId FOREIGN KEY(ParentId) REFERENCES LeadShareStaging__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_Lead_Source_Detail__c_ParentId FOREIGN KEY(ParentId) REFERENCES Lead_Source_Detail__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_Lead_SuperRegion_Mapping__c_ParentId FOREIGN KEY(ParentId) REFERENCES Lead_SuperRegion_Mapping__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_Link_to_Paid_Opportunity__c_ParentId FOREIGN KEY(ParentId) REFERENCES Link_to_Paid_Opportunity__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_Marketing_Activity__c_ParentId FOREIGN KEY(ParentId) REFERENCES Marketing_Activity__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_Marketing_Program__c_ParentId FOREIGN KEY(ParentId) REFERENCES Marketing_Program__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_Match_and_Validation_Error__c_ParentId FOREIGN KEY(ParentId) REFERENCES Match_and_Validation_Error__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_Messaging_Strategy__c_ParentId FOREIGN KEY(ParentId) REFERENCES Messaging_Strategy__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_Milestone__c_ParentId FOREIGN KEY(ParentId) REFERENCES Milestone__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_MonitoredActivity__c_ParentId FOREIGN KEY(ParentId) REFERENCES MonitoredActivity__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_NFR_LI__c_ParentId FOREIGN KEY(ParentId) REFERENCES NFR_LI__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_NFR_Request__c_ParentId FOREIGN KEY(ParentId) REFERENCES NFR_Request__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_NFR_SKU_Matrix__c_ParentId FOREIGN KEY(ParentId) REFERENCES NFR_SKU_Matrix__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_NonPrimaryBillingAddress__c_ParentId FOREIGN KEY(ParentId) REFERENCES NonPrimaryBillingAddress__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_NonPrimaryShippingAddress__c_ParentId FOREIGN KEY(ParentId) REFERENCES NonPrimaryShippingAddress__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_Opportunities_Special_Program__c_ParentId FOREIGN KEY(ParentId) REFERENCES Opportunities_Special_Program__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_Opportunity_ParentId FOREIGN KEY(ParentId) REFERENCES Opportunity (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_OpportunityPartner__c_ParentId FOREIGN KEY(ParentId) REFERENCES OpportunityPartner__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_OpportunityProductSummary__c_ParentId FOREIGN KEY(ParentId) REFERENCES OpportunityProductSummary__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_OpportunitySnapshot__c_ParentId FOREIGN KEY(ParentId) REFERENCES OpportunitySnapshot__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_OpportunityTeamMemberClone__c_ParentId FOREIGN KEY(ParentId) REFERENCES OpportunityTeamMemberClone__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_Opportunity_Header_Staging__c_ParentId FOREIGN KEY(ParentId) REFERENCES Opportunity_Header_Staging__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_Opportunity_History__c_ParentId FOREIGN KEY(ParentId) REFERENCES Opportunity_History__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_Opportunity_Line_Staging__c_ParentId FOREIGN KEY(ParentId) REFERENCES Opportunity_Line_Staging__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_Opportunity_Match_Configuration__c_ParentId FOREIGN KEY(ParentId) REFERENCES Opportunity_Match_Configuration__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_Opportunity_Partner_Staging__c_ParentId FOREIGN KEY(ParentId) REFERENCES Opportunity_Partner_Staging__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_Opportunity_Partners__c_ParentId FOREIGN KEY(ParentId) REFERENCES Opportunity_Partners__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_Opportunity_Split_Detail__c_ParentId FOREIGN KEY(ParentId) REFERENCES Opportunity_Split_Detail__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_Order_Loader_Batch__c_ParentId FOREIGN KEY(ParentId) REFERENCES Order_Loader_Batch__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_Order_Management_Profile__c_ParentId FOREIGN KEY(ParentId) REFERENCES Order_Management_Profile__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_Order_Tracking__c_ParentId FOREIGN KEY(ParentId) REFERENCES Order_Tracking__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_Outbound_Error__c_ParentId FOREIGN KEY(ParentId) REFERENCES Outbound_Error__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_Outbound_Event__c_ParentId FOREIGN KEY(ParentId) REFERENCES Outbound_Event__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_PCSearchForm__c_ParentId FOREIGN KEY(ParentId) REFERENCES PCSearchForm__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_PFSearchForm__c_ParentId FOREIGN KEY(ParentId) REFERENCES PFSearchForm__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_PP_Account_Points__c_ParentId FOREIGN KEY(ParentId) REFERENCES PP_Account_Points__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_PP_Batch__c_ParentId FOREIGN KEY(ParentId) REFERENCES PP_Batch__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_PP_Cap__c_ParentId FOREIGN KEY(ParentId) REFERENCES PP_Cap__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_PP_Catalog__c_ParentId FOREIGN KEY(ParentId) REFERENCES PP_Catalog__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_PP_ContentBatchStage__c_ParentId FOREIGN KEY(ParentId) REFERENCES PP_ContentBatchStage__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_PP_ContentStage__c_ParentId FOREIGN KEY(ParentId) REFERENCES PP_ContentStage__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_PP_Content_Workspace__c_ParentId FOREIGN KEY(ParentId) REFERENCES PP_Content_Workspace__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_PP_Content__c_ParentId FOREIGN KEY(ParentId) REFERENCES PP_Content__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_PP_InboundBatchItemStage__c_ParentId FOREIGN KEY(ParentId) REFERENCES PP_InboundBatchItemStage__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_PP_InboundBatchStage__c_ParentId FOREIGN KEY(ParentId) REFERENCES PP_InboundBatchStage__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_PP_ItemAudit__c_ParentId FOREIGN KEY(ParentId) REFERENCES PP_ItemAudit__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_PP_LMS_Stage__c_ParentId FOREIGN KEY(ParentId) REFERENCES PP_LMS_Stage__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_PP_Scores__c_ParentId FOREIGN KEY(ParentId) REFERENCES PP_Scores__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_PP_User_Points__c_ParentId FOREIGN KEY(ParentId) REFERENCES PP_User_Points__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_PartnerAgreement__c_ParentId FOREIGN KEY(ParentId) REFERENCES PartnerAgreement__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_PartnerClassification__c_ParentId FOREIGN KEY(ParentId) REFERENCES PartnerClassification__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_PartnerLogo__c_ParentId FOREIGN KEY(ParentId) REFERENCES PartnerLogo__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_PartnerProductClassification__c_ParentId FOREIGN KEY(ParentId) REFERENCES PartnerProductClassification__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_PartnerProductLanguage__c_ParentId FOREIGN KEY(ParentId) REFERENCES PartnerProductLanguage__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_PartnerProductLogo__c_ParentId FOREIGN KEY(ParentId) REFERENCES PartnerProductLogo__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_PartnerProductScreenshot__c_ParentId FOREIGN KEY(ParentId) REFERENCES PartnerProductScreenshot__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_PartnerProduct__c_ParentId FOREIGN KEY(ParentId) REFERENCES PartnerProduct__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_PartnerRequalification__c_ParentId FOREIGN KEY(ParentId) REFERENCES PartnerRequalification__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_PartnerStatus__c_ParentId FOREIGN KEY(ParentId) REFERENCES PartnerStatus__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_PartnerTopCustomer__c_ParentId FOREIGN KEY(ParentId) REFERENCES PartnerTopCustomer__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_PartnerTrack__c_ParentId FOREIGN KEY(ParentId) REFERENCES PartnerTrack__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_PartnerTraining__c_ParentId FOREIGN KEY(ParentId) REFERENCES PartnerTraining__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_PartnerUser_Email_Token__c_ParentId FOREIGN KEY(ParentId) REFERENCES PartnerUser_Email_Token__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_Partner_Attachment__c_ParentId FOREIGN KEY(ParentId) REFERENCES Partner_Attachment__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_Partner_CCP_Form__c_ParentId FOREIGN KEY(ParentId) REFERENCES Partner_CCP_Form__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_Partner_Location__c_ParentId FOREIGN KEY(ParentId) REFERENCES Partner_Location__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_Partner_Onboarding_Registration__c_ParentId FOREIGN KEY(ParentId) REFERENCES Partner_Onboarding_Registration__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_Partner_Point_Requal_Limits__c_ParentId FOREIGN KEY(ParentId) REFERENCES Partner_Point_Requal_Limits__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_Partner_Points_LMS_Catalog__c_ParentId FOREIGN KEY(ParentId) REFERENCES Partner_Points_LMS_Catalog__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_Partner_Points_Requal_Req__c_ParentId FOREIGN KEY(ParentId) REFERENCES Partner_Points_Requal_Req__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_Partner_Profile__c_ParentId FOREIGN KEY(ParentId) REFERENCES Partner_Profile__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_Partner_Program_Approval__c_ParentId FOREIGN KEY(ParentId) REFERENCES Partner_Program_Approval__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_Partner_Program_Definition__c_ParentId FOREIGN KEY(ParentId) REFERENCES Partner_Program_Definition__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_Partner_Program_Description__c_ParentId FOREIGN KEY(ParentId) REFERENCES Partner_Program_Description__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_Partner_Program_Product__c_ParentId FOREIGN KEY(ParentId) REFERENCES Partner_Program_Product__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_Partner_Program_Tier__c_ParentId FOREIGN KEY(ParentId) REFERENCES Partner_Program_Tier__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_Partner_Program__c_ParentId FOREIGN KEY(ParentId) REFERENCES Partner_Program__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_Partner_Registration_Line_Item__c_ParentId FOREIGN KEY(ParentId) REFERENCES Partner_Registration_Line_Item__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_Partner_Registration__c_ParentId FOREIGN KEY(ParentId) REFERENCES Partner_Registration__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_Partner_Requal_Points__c_ParentId FOREIGN KEY(ParentId) REFERENCES Partner_Requal_Points__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_Partner_Requal_Setup__c_ParentId FOREIGN KEY(ParentId) REFERENCES Partner_Requal_Setup__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_Partner_Requalification_Agreement__c_ParentId FOREIGN KEY(ParentId) REFERENCES Partner_Requalification_Agreement__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_Partner_Requalification_Log__c_ParentId FOREIGN KEY(ParentId) REFERENCES Partner_Requalification_Log__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_Partner_User_Invitation__c_ParentId FOREIGN KEY(ParentId) REFERENCES Partner_User_Invitation__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_Partner_s_Assessment_Summary__c_ParentId FOREIGN KEY(ParentId) REFERENCES Partner_s_Assessment_Summary__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_Partner_s_Business_Problem__c_ParentId FOREIGN KEY(ParentId) REFERENCES Partner_s_Business_Problem__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_Partner_s_Competitor__c_ParentId FOREIGN KEY(ParentId) REFERENCES Partner_s_Competitor__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_Partner_s_Messaging_Strategy__c_ParentId FOREIGN KEY(ParentId) REFERENCES Partner_s_Messaging_Strategy__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_Potential_Matched_Opportunities__c_ParentId FOREIGN KEY(ParentId) REFERENCES Potential_Matched_Opportunities__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_Priority__c_ParentId FOREIGN KEY(ParentId) REFERENCES Priority__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_Product2_ParentId FOREIGN KEY(ParentId) REFERENCES Product2 (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_Project_Item__c_ParentId FOREIGN KEY(ParentId) REFERENCES Project_Item__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_Project_Status__c_ParentId FOREIGN KEY(ParentId) REFERENCES Project_Status__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_Project_Tracker__c_ParentId FOREIGN KEY(ParentId) REFERENCES Project_Tracker__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_Project__c_ParentId FOREIGN KEY(ParentId) REFERENCES Project__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_QuoteLineItemSchedule__c_ParentId FOREIGN KEY(ParentId) REFERENCES QuoteLineItemSchedule__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_QuoteLineItem__c_ParentId FOREIGN KEY(ParentId) REFERENCES QuoteLineItem__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_QuotePaymentSchedule__c_ParentId FOREIGN KEY(ParentId) REFERENCES QuotePaymentSchedule__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_Quote__c_ParentId FOREIGN KEY(ParentId) REFERENCES Quote__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_RH_Content__c_ParentId FOREIGN KEY(ParentId) REFERENCES RH_Content__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_RH_Microsite_Page__c_ParentId FOREIGN KEY(ParentId) REFERENCES RH_Microsite_Page__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_RH_Microsite__c_ParentId FOREIGN KEY(ParentId) REFERENCES RH_Microsite__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_Rally_User__c_ParentId FOREIGN KEY(ParentId) REFERENCES Rally_User__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_RecordLookup__c_ParentId FOREIGN KEY(ParentId) REFERENCES RecordLookup__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_RecordTypeAssignment__c_ParentId FOREIGN KEY(ParentId) REFERENCES RecordTypeAssignment__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_Red_Hat_Attachment__c_ParentId FOREIGN KEY(ParentId) REFERENCES Red_Hat_Attachment__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_ReferenceStor__Rs_Account_HistoryDetail__c_ParentId FOREIGN KEY(ParentId) REFERENCES ReferenceStor__Rs_Account_HistoryDetail__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_ReferenceStor__Rs_Account_History__c_ParentId FOREIGN KEY(ParentId) REFERENCES ReferenceStor__Rs_Account_History__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_ReferenceStor__Rs_Opportunity_HistoryDetail__c_ParentId FOREIGN KEY(ParentId) REFERENCES ReferenceStor__Rs_Opportunity_HistoryDetail__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_ReferenceStor__Rs_Opportunity_History__c_ParentId FOREIGN KEY(ParentId) REFERENCES ReferenceStor__Rs_Opportunity_History__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_Reference_Collateral__c_ParentId FOREIGN KEY(ParentId) REFERENCES Reference_Collateral__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_Reference_Usage__c_ParentId FOREIGN KEY(ParentId) REFERENCES Reference_Usage__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_Region_NA__c_ParentId FOREIGN KEY(ParentId) REFERENCES Region_NA__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_Region__c_ParentId FOREIGN KEY(ParentId) REFERENCES Region__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_Reject_Lead_Setup__c_ParentId FOREIGN KEY(ParentId) REFERENCES Reject_Lead_Setup__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_Related_Case__c_ParentId FOREIGN KEY(ParentId) REFERENCES Related_Case__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_Release__c_ParentId FOREIGN KEY(ParentId) REFERENCES Release__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_RemoteAccess__c_ParentId FOREIGN KEY(ParentId) REFERENCES RemoteAccess__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_Request_Tracker__c_ParentId FOREIGN KEY(ParentId) REFERENCES Request_Tracker__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_Requirement__c_ParentId FOREIGN KEY(ParentId) REFERENCES Requirement__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_Reseller__c_ParentId FOREIGN KEY(ParentId) REFERENCES Reseller__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_Resource__c_ParentId FOREIGN KEY(ParentId) REFERENCES Resource__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_Role_Interest_Training_Matrix__c_ParentId FOREIGN KEY(ParentId) REFERENCES Role_Interest_Training_Matrix__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_SFDC_Budget_Item__c_ParentId FOREIGN KEY(ParentId) REFERENCES SFDC_Budget_Item__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_SFDC_Budget__c_ParentId FOREIGN KEY(ParentId) REFERENCES SFDC_Budget__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_SFDC_Channel_Account_Plan__c_ParentId FOREIGN KEY(ParentId) REFERENCES SFDC_Channel_Account_Plan__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_SFDC_MDF_Claim__c_ParentId FOREIGN KEY(ParentId) REFERENCES SFDC_MDF_Claim__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_SFDC_MDF__c_ParentId FOREIGN KEY(ParentId) REFERENCES SFDC_MDF__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_SFDC_Objective__c_ParentId FOREIGN KEY(ParentId) REFERENCES SFDC_Objective__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_SFDC_Plan_Resource_Association__c_ParentId FOREIGN KEY(ParentId) REFERENCES SFDC_Plan_Resource_Association__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_SalesPortalContent__c_ParentId FOREIGN KEY(ParentId) REFERENCES SalesPortalContent__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_Sales_Comments__c_ParentId FOREIGN KEY(ParentId) REFERENCES Sales_Comments__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_Schedule_Exports__c_ParentId FOREIGN KEY(ParentId) REFERENCES Schedule_Exports__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_ServicesAllocation__c_ParentId FOREIGN KEY(ParentId) REFERENCES ServicesAllocation__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_Solution_ParentId FOREIGN KEY(ParentId) REFERENCES Solution (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_SolutionProduct__c_ParentId FOREIGN KEY(ParentId) REFERENCES SolutionProduct__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_Special_Program__c_ParentId FOREIGN KEY(ParentId) REFERENCES Special_Program__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_StateProvinceTranslation__c_ParentId FOREIGN KEY(ParentId) REFERENCES StateProvinceTranslation__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_State__c_ParentId FOREIGN KEY(ParentId) REFERENCES State__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_Status_Reports__c_ParentId FOREIGN KEY(ParentId) REFERENCES Status_Reports__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_SteeringCommittee__c_ParentId FOREIGN KEY(ParentId) REFERENCES SteeringCommittee__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_StoryBookLinkLabel__c_ParentId FOREIGN KEY(ParentId) REFERENCES StoryBookLinkLabel__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_StoryBookLink__c_ParentId FOREIGN KEY(ParentId) REFERENCES StoryBookLink__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_Storybook__c_ParentId FOREIGN KEY(ParentId) REFERENCES Storybook__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_StrategicPlan_Action__c_ParentId FOREIGN KEY(ParentId) REFERENCES StrategicPlan_Action__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_StrategicPlan_OppProdSummary__c_ParentId FOREIGN KEY(ParentId) REFERENCES StrategicPlan_OppProdSummary__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_StrategicPlan_ReviewHistory__c_ParentId FOREIGN KEY(ParentId) REFERENCES StrategicPlan_ReviewHistory__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_StrategicPlan_Review__c_ParentId FOREIGN KEY(ParentId) REFERENCES StrategicPlan_Review__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_StrategicPlan_SolutionOpportunity__c_ParentId FOREIGN KEY(ParentId) REFERENCES StrategicPlan_SolutionOpportunity__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_StrategicPlan_Solution__c_ParentId FOREIGN KEY(ParentId) REFERENCES StrategicPlan_Solution__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_StrategicPlan_Strategy__c_ParentId FOREIGN KEY(ParentId) REFERENCES StrategicPlan_Strategy__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_StrategicPlan__c_ParentId FOREIGN KEY(ParentId) REFERENCES StrategicPlan__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_SubscriptionBatch__c_ParentId FOREIGN KEY(ParentId) REFERENCES SubscriptionBatch__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_SubscriptionError__c_ParentId FOREIGN KEY(ParentId) REFERENCES SubscriptionError__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_SubscriptionLine__c_ParentId FOREIGN KEY(ParentId) REFERENCES SubscriptionLine__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_SubscriptionPartnerRelationship__c_ParentId FOREIGN KEY(ParentId) REFERENCES SubscriptionPartnerRelationship__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_SubscriptionPartner__c_ParentId FOREIGN KEY(ParentId) REFERENCES SubscriptionPartner__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_SubscriptionReportCriteria__c_ParentId FOREIGN KEY(ParentId) REFERENCES SubscriptionReportCriteria__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_Subscription__c_ParentId FOREIGN KEY(ParentId) REFERENCES Subscription__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_SumTotal_Catalog__c_ParentId FOREIGN KEY(ParentId) REFERENCES SumTotal_Catalog__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_SumTotal_Request__c_ParentId FOREIGN KEY(ParentId) REFERENCES SumTotal_Request__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_SumTotal_Setting__c_ParentId FOREIGN KEY(ParentId) REFERENCES SumTotal_Setting__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_SumTotal_Training__c_ParentId FOREIGN KEY(ParentId) REFERENCES SumTotal_Training__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_Super_Industry__c_ParentId FOREIGN KEY(ParentId) REFERENCES Super_Industry__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_Task_ParentId FOREIGN KEY(ParentId) REFERENCES Task (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_Teaming_Agreement__c_ParentId FOREIGN KEY(ParentId) REFERENCES Teaming_Agreement__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_Temporal_Content__c_ParentId FOREIGN KEY(ParentId) REFERENCES Temporal_Content__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_Test_Case_Result__c_ParentId FOREIGN KEY(ParentId) REFERENCES Test_Case_Result__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_Test_Case_Step__c_ParentId FOREIGN KEY(ParentId) REFERENCES Test_Case_Step__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_Test_Case__c_ParentId FOREIGN KEY(ParentId) REFERENCES Test_Case__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_TrackingEventLog__c_ParentId FOREIGN KEY(ParentId) REFERENCES TrackingEventLog__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_TrackingEventSummary__c_ParentId FOREIGN KEY(ParentId) REFERENCES TrackingEventSummary__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_TrackingEvent__c_ParentId FOREIGN KEY(ParentId) REFERENCES TrackingEvent__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_TrendData__c_ParentId FOREIGN KEY(ParentId) REFERENCES TrendData__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_Use_Case_Step__c_ParentId FOREIGN KEY(ParentId) REFERENCES Use_Case_Step__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_Use_Case__c_ParentId FOREIGN KEY(ParentId) REFERENCES Use_Case__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_User_Agreement__c_ParentId FOREIGN KEY(ParentId) REFERENCES User_Agreement__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_VendorCatalog__c_ParentId FOREIGN KEY(ParentId) REFERENCES VendorCatalog__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_Verifiable_Outcome__c_ParentId FOREIGN KEY(ParentId) REFERENCES Verifiable_Outcome__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_Work_Package__c_ParentId FOREIGN KEY(ParentId) REFERENCES Work_Package__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_Work_Plan__c_ParentId FOREIGN KEY(ParentId) REFERENCES Work_Plan__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_dupcerts__c_ParentId FOREIGN KEY(ParentId) REFERENCES dupcerts__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_hoopla__Hoopla_Error_Log__c_ParentId FOREIGN KEY(ParentId) REFERENCES hoopla__Hoopla_Error_Log__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_hoopla__Notification_Queue__c_ParentId FOREIGN KEY(ParentId) REFERENCES hoopla__Notification_Queue__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_hoopla__Player__c_ParentId FOREIGN KEY(ParentId) REFERENCES hoopla__Player__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_hoopla__Position_Role__c_ParentId FOREIGN KEY(ParentId) REFERENCES hoopla__Position_Role__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_hoopla__Position__c_ParentId FOREIGN KEY(ParentId) REFERENCES hoopla__Position__c (Id) OPTIONS (NAMEINSOURCE 'Attachments'),
	CONSTRAINT FK_hoopla__Scoreboard_Role__c_ParentId FOREIGN KEY(ParentId) REFERENCES hoopla__Scoreboard_Role__c (Id) OPTIONS (NAMEINSOURCE 'Attachments')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE Audience__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	Available_to_Unauthenticated_Users__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Partner_Program__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'All'),
	Partner_Region__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Partner_SubRegion__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Partner_Tier__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Partner_Type__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Permission_Set_Id__c string(32768) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Permission_Set__c string(32768) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Profile_Id__c string(32768) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Profile__c string(32768) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Role__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Target_Account__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Partner_Country__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Specialization__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Account_Target_Account__c FOREIGN KEY(Target_Account__c) REFERENCES Account (Id) OPTIONS (NAMEINSOURCE 'Audiences__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE Audience__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Audience__c_ItemId FOREIGN KEY(ItemId) REFERENCES Audience__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Audience_Account__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	Account__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Audience__c string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Account_Account__c FOREIGN KEY(Account__c) REFERENCES Account (Id) OPTIONS (NAMEINSOURCE 'Audience_Accounts__r'),
	CONSTRAINT FK_Audience__c_Audience__c FOREIGN KEY(Audience__c) REFERENCES Audience__c (Id) OPTIONS (NAMEINSOURCE 'Audience_Accounts__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE Audience_Account__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Audience_Account__c_ItemId FOREIGN KEY(ItemId) REFERENCES Audience_Account__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE BigMachines__Commerce_Settings__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	SetupOwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	BigMachines__Administrator_Email__c string(80) OPTIONS (NATIVE_TYPE 'email', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BigMachines__Allow_Orphan_Creation__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	BigMachines__Allow_Quotes_on_Accounts__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	BigMachines__Display_Page_Header__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	BigMachines__First_Quote_Is_Primary__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	BigMachines__Optimize_Synchronization__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	BigMachines__Preserve_Ad_Hoc_Products__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	BigMachines__Use_Opportunity_Currency__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	BigMachines__Use_Opportunity_Pricebook__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	BigMachines__Encrypt_API_Password__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	BigMachines__Width_Adjustment__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	CONSTRAINT Id_PK PRIMARY KEY(Id)
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE BigMachines__Commerce_Settings__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_BigMachines__Commerce_Settings__c_ItemId FOREIGN KEY(ItemId) REFERENCES BigMachines__Commerce_Settings__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE BigMachines__Configuration_Record__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	RecordTypeId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	BigMachines__API_Login__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BigMachines__API_Password__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BigMachines__Description__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BigMachines__Is_Primary__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	BigMachines__Uses_SSL__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	BigMachines__action_id_copy__c string(12) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BigMachines__action_id_open__c string(12) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BigMachines__bm_site__c string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BigMachines__document_id__c string(12) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BigMachines__process__c string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BigMachines__process_id__c string(12) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BigMachines__version_id__c string(12) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id)
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE BigMachines__Configuration_Record__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_BigMachines__Configuration_Record__c_ItemId FOREIGN KEY(ItemId) REFERENCES BigMachines__Configuration_Record__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE BigMachines__Field_Mapping__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	RecordTypeId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	BigMachines__Configuration_Record__c string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BigMachines__Object_Mapping__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Quote -> Opportunity,Quote Product -> Opportunity Product'),
	BigMachines__Source_Field_Label__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BigMachines__Source_Field_Name__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BigMachines__Target_Field_Label__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BigMachines__Target_Field_Name__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_BigMachines__Configuration_Record__c_BigMachines__Configuration_Record__c FOREIGN KEY(BigMachines__Configuration_Record__c) REFERENCES BigMachines__Configuration_Record__c (Id) OPTIONS (NAMEINSOURCE 'BigMachines__BigMachines_Field_Mappings__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE BigMachines__Field_Mapping__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_BigMachines__Field_Mapping__c_ItemId FOREIGN KEY(ItemId) REFERENCES BigMachines__Field_Mapping__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE BigMachines__Quote__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	RecordTypeId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	LastActivityDate date OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	BigMachines__Account__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BigMachines__Description__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BigMachines__Is_Forced_Sync__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	BigMachines__Is_Primary__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	BigMachines__Opportunity__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BigMachines__Prep_Sync__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	BigMachines__Pricebook_Id__c string(18) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BigMachines__Process_Sync__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	BigMachines__Status__c string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BigMachines__Total_Amount__c double OPTIONS (UPDATABLE FALSE, CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BigMachines__Total__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BigMachines__Transaction_Id__c string(30) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BigMachines__Amount__c double OPTIONS (UPDATABLE FALSE, CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BigMachines__Line_Items__c double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'double', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BigMachines_Override_Yearly_Payments__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	BigMachines_Pay_Now__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	BigMachines_Year1_Payment_Amount__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BigMachines_Year2_Payment_Amount__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BigMachines_Year3_Payment_Amount__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BigMachines_Year4_Payment_Amount__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BigMachines_Year5_Payment_Amount__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BigMachines_Year6_Payment_Amount__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Contract_End_Date__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Contract_Start_Date__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	PayNow__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'No,Yes'),
	Term_of_Contract__c string(5) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	QuoteUpdateInfo__c string(32768) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Price_Override_Reason__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'No Override Reason,Approved $0 Subsc,Customer Satisfaction Issue,Deal Reg,Distributor/Reseller,Govt or Edu discount,MSA,NAT,Other,Price Rounding,Special Bid,Special Product/Program Discount,New Pricing Structure,Buffer/True-up,Upgrade,Volume Discount,Multi-element Discount,Competitive,Multi-Payment Discount'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Account_BigMachines__Account__c FOREIGN KEY(BigMachines__Account__c) REFERENCES Account (Id) OPTIONS (NAMEINSOURCE 'BigMachines__BigMachines_Quotes__r'),
	CONSTRAINT FK_Opportunity_BigMachines__Opportunity__c FOREIGN KEY(BigMachines__Opportunity__c) REFERENCES Opportunity (Id) OPTIONS (NAMEINSOURCE 'BigMachines__BigMachines_Quotes__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE BigMachines__Quote__History (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	ParentId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Field string(255) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'BigMachines__Account__c,BigMachines__Description__c,BigMachines__Is_Forced_Sync__c,BigMachines__Is_Primary__c,BigMachines__Opportunity__c,BigMachines__Prep_Sync__c,BigMachines__Pricebook_Id__c,BigMachines__Process_Sync__c,BigMachines__Status__c,BigMachines__Total__c,BigMachines__Transaction_Id__c,BigMachines_Override_Yearly_Payments__c,BigMachines_Pay_Now__c,BigMachines_Year1_Payment_Amount__c,BigMachines_Year2_Payment_Amount__c,BigMachines_Year3_Payment_Amount__c,BigMachines_Year4_Payment_Amount__c,BigMachines_Year5_Payment_Amount__c,BigMachines_Year6_Payment_Amount__c,Contract_End_Date__c,Contract_Start_Date__c,created,CurrencyIsoCode,feedEvent,Name,Owner,ownerAccepted,ownerAssignment,PayNow__c,Price_Override_Reason__c,QuoteUpdateInfo__c,locked,RecordType,unlocked,Term_of_Contract__c'),
	OldValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	NewValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_BigMachines__Quote__c_ParentId FOREIGN KEY(ParentId) REFERENCES BigMachines__Quote__c (Id) OPTIONS (NAMEINSOURCE 'Histories')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'false', "teiid_sf:Supports Delete" 'false', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE BigMachines__Quote__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_BigMachines__Quote__c_ItemId FOREIGN KEY(ItemId) REFERENCES BigMachines__Quote__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE BigMachines__Quote_Product__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	RecordTypeId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	BigMachines__Quote__c string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BigMachines__Description__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BigMachines__External_Id__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BigMachines__Prep_Delete__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	BigMachines__Product__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BigMachines__Quantity__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BigMachines__Sales_Price__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BigMachines__Synchronization_Id__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BigMachines__Total_Price__c double OPTIONS (UPDATABLE FALSE, CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Actual_End_Date__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Actual_Start_Date__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BigMachines_Configured_sku__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BigMachines_Contract_Number__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Scheduled_Locked__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	YearlySalesPrice__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	New_or_Renewal__c string(25) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Big_Machines_List_Price__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Adjusted_Price__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BigMachines_Line_ID__c string(20) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Discretionary_Discount_Type__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" '$,%'),
	Discretionary_Discount__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Entitle_To_Account__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Entitle_To_Address__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Entitle_To_Contact__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Entitle_To_Sales_Account__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Install_Base_Number__c string(100) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Line_Item_Source__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'application/vnd.redhat.sforce.channelload.apac,application/vnd.redhat.sforce.channelload.emea,application/vnd.redhat.sforce.channelload.na,application/vnd.redhat.sforce.quotebuilder'),
	MSRP__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Price_Override_Reason__c string(50) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Pricing_Adjustments__c string(65536) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Product_1st_Year_Booking__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Product_2nd_Year_Booking__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Product_3rd_Year_Booking__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Product_4th_Year_Booking__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Product_5th_Year_Booking__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Product_6th_Year_Booking__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	oneTimeDiscountAmount__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	postDiscretionaryPreOneTimeTotal__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	unitSellingPriceAfterDiscounts__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	UpdateInfo__c string(32768) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Account_Entitle_To_Sales_Account__c FOREIGN KEY(Entitle_To_Sales_Account__c) REFERENCES Account (Id) OPTIONS (NAMEINSOURCE 'BigMachines_Quote_Products__r'),
	CONSTRAINT FK_Address__c_Entitle_To_Address__c FOREIGN KEY(Entitle_To_Address__c) REFERENCES Address__c (Id) OPTIONS (NAMEINSOURCE 'BigMachines_Quote_Products__r'),
	CONSTRAINT FK_BigMachines__Quote__c_BigMachines__Quote__c FOREIGN KEY(BigMachines__Quote__c) REFERENCES BigMachines__Quote__c (Id) OPTIONS (NAMEINSOURCE 'BigMachines__BigMachines_Quote_Products__r'),
	CONSTRAINT FK_Contact_Entitle_To_Contact__c FOREIGN KEY(Entitle_To_Contact__c) REFERENCES Contact (Id) OPTIONS (NAMEINSOURCE 'BigMachines_Quote_Products__r'),
	CONSTRAINT FK_EBS_Account__c_Entitle_To_Account__c FOREIGN KEY(Entitle_To_Account__c) REFERENCES EBS_Account__c (Id) OPTIONS (NAMEINSOURCE 'BigMachines_Quote_Products__r'),
	CONSTRAINT FK_Product2_BigMachines__Product__c FOREIGN KEY(BigMachines__Product__c) REFERENCES Product2 (Id) OPTIONS (NAMEINSOURCE 'BigMachines__BigMachines_Quote_Products__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE BigMachines__Quote_Product__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_BigMachines__Quote_Product__c_ItemId FOREIGN KEY(ItemId) REFERENCES BigMachines__Quote_Product__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE BillToAccount__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	Active_Flag__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Bill_To_Account_Number__c string(40) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Channel_Code__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Direct - Carahsoft,Direct - DLT,Direct - End Customer,Direct - GTSI,Direct - immixGroup,Direct - OEM,Direct - VAR/VAD,Indirect - Internal Commissions Credit,Indirect - OEM Preload,Indirect - VAR/VAD,Indirect - Webstore'),
	Channel_Load_Tab__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Korea,India,Japan,ANZ,ASEAN,GCG,CPP,Public Sector,Comm,CCP,OEM-Tier2'),
	Channel__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Region__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'APAC,EMEA,LATAM,NA'),
	CONSTRAINT Id_PK PRIMARY KEY(Id)
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE BillToAccount__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_BillToAccount__c_ItemId FOREIGN KEY(ItemId) REFERENCES BillToAccount__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE BLND_DFAC_Shared_View__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	BLND_Application__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BLND_Data__c string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BLND_Description__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BLND_Expansion__c string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BLND_Extra_Field__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BLND_Owner__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BLND_Private__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	BLND_Version__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_User__BLND_Owner__c FOREIGN KEY(BLND_Owner__c) REFERENCES User_ (Id) OPTIONS (NAMEINSOURCE 'R00N30000002UxGuEAK__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE BLND_DFAC_Shared_View__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_BLND_DFAC_Shared_View__c_ItemId FOREIGN KEY(ItemId) REFERENCES BLND_DFAC_Shared_View__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE BLND_DFCS_Carousel__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	BLND_Bookmark__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BLND_Data__c string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BLND_Description__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BLND_Expansion__c string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BLND_Extra_Field__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BLND_Flag1__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	BLND_Flag2__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	BLND_Flag3__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	BLND_Flag4__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	BLND_Height__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BLND_Lastopen__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BLND_Locked__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	BLND_Over1__c string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BLND_Over2__c string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BLND_Over3__c string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BLND_Private__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	BLND_Type__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Presentation,Notebook,Address Book,Dashboard,To Do List,Report'),
	BLND_Version__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BLND_Width__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_BLND_DFCS_Slide__c_BLND_Bookmark__c FOREIGN KEY(BLND_Bookmark__c) REFERENCES BLND_DFCS_Slide__c (Id) OPTIONS (NAMEINSOURCE 'Carousels__r'),
	CONSTRAINT FK_BLND_DFCS_Slide__c_BLND_Lastopen__c FOREIGN KEY(BLND_Lastopen__c) REFERENCES BLND_DFCS_Slide__c (Id) OPTIONS (NAMEINSOURCE 'Carousels1__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE BLND_DFCS_Carousel__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_BLND_DFCS_Carousel__c_ItemId FOREIGN KEY(ItemId) REFERENCES BLND_DFCS_Carousel__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE BLND_DFCS_Slide__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	BLND_Carousel__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BLND_Data__c string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BLND_Description__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BLND_Expansion__c string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BLND_Extra_Field__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BLND_Flag1__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	BLND_Flag2__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	BLND_Flag3__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	BLND_Flag4__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	BLND_Index__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BLND_Keywords__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BLND_Locked__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	BLND_Over1__c string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BLND_Over2__c string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BLND_Over3__c string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BLND_Private__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	BLND_Type__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Introduction,Body,Conclusion'),
	BLND_Version__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_BLND_DFCS_Carousel__c_BLND_Carousel__c FOREIGN KEY(BLND_Carousel__c) REFERENCES BLND_DFCS_Carousel__c (Id) OPTIONS (NAMEINSOURCE 'Slides__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE BLND_DFCS_Slide__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_BLND_DFCS_Slide__c_ItemId FOREIGN KEY(ItemId) REFERENCES BLND_DFCS_Slide__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE BLND_DFDT_Action_Item__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	BLND_Action_Owner__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BLND_Description__c string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BLND_Due__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BLND_Expansion__c string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BLND_Extra_Field__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BLND_Include_in_Report__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	BLND_Issue_Link__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BLND_Project_Link__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BLND_Status__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Not Started,In Progress,Completed'),
	BLND_Task_Link__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BLND_Version__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_BLND_DFDT_Issue__c_BLND_Issue_Link__c FOREIGN KEY(BLND_Issue_Link__c) REFERENCES BLND_DFDT_Issue__c (Id) OPTIONS (NAMEINSOURCE 'R00N30000002UxEsEAK__r'),
	CONSTRAINT FK_BLND_DFDT_Project__c_BLND_Project_Link__c FOREIGN KEY(BLND_Project_Link__c) REFERENCES BLND_DFDT_Project__c (Id) OPTIONS (NAMEINSOURCE 'R00N30000002UxECEA0__r'),
	CONSTRAINT FK_BLND_DFDT_Task__c_BLND_Task_Link__c FOREIGN KEY(BLND_Task_Link__c) REFERENCES BLND_DFDT_Task__c (Id) OPTIONS (NAMEINSOURCE 'R00N30000002UxE6EAK__r'),
	CONSTRAINT FK_User__BLND_Action_Owner__c FOREIGN KEY(BLND_Action_Owner__c) REFERENCES User_ (Id) OPTIONS (NAMEINSOURCE 'R00N30000002UxHDEA0__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE BLND_DFDT_Action_Item__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_BLND_DFDT_Action_Item__c_ItemId FOREIGN KEY(ItemId) REFERENCES BLND_DFDT_Action_Item__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE BLND_DFDT_Discussion__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	BLND_Attachment_Link__c string(40) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BLND_Body__c string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BLND_Expansion__c string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BLND_Extra_Field__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BLND_Purpose__c string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BLND_Version__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id)
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE BLND_DFDT_Discussion__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_BLND_DFDT_Discussion__c_ItemId FOREIGN KEY(ItemId) REFERENCES BLND_DFDT_Discussion__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE BLND_DFDT_Highlight__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	BLND_Date__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BLND_Description__c string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BLND_Expansion__c string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BLND_Extra_Field__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BLND_Highlight_Owner__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BLND_Include_in_Report__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	BLND_Include_in_Weekly_Dashboard__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	BLND_Priority__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Medium,Low,High'),
	BLND_Project_Link__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BLND_Version__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_BLND_DFDT_Project__c_BLND_Project_Link__c FOREIGN KEY(BLND_Project_Link__c) REFERENCES BLND_DFDT_Project__c (Id) OPTIONS (NAMEINSOURCE 'R00N30000002UxFgEAK__r'),
	CONSTRAINT FK_User__BLND_Highlight_Owner__c FOREIGN KEY(BLND_Highlight_Owner__c) REFERENCES User_ (Id) OPTIONS (NAMEINSOURCE 'R00N30000002UxE1EAK__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE BLND_DFDT_Highlight__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_BLND_DFDT_Highlight__c_ItemId FOREIGN KEY(ItemId) REFERENCES BLND_DFDT_Highlight__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE BLND_DFDT_Issue__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	BLND_Description__c string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BLND_Expansion__c string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BLND_Extra_Field__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BLND_Impact__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BLND_Include_in_Report__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	BLND_Issue_Owner__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BLND_Issue_Raised_On__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BLND_Priority__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Medium,High,Low'),
	BLND_Project_Link__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BLND_Resolution__c string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BLND_Resolve_By__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BLND_Severity__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Medium,High,Low'),
	BLND_Status__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Not Started,In Progress,Resolved'),
	BLND_Task_Link__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BLND_Type__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Issue,Risk'),
	BLND_Version__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_BLND_DFDT_Project__c_BLND_Project_Link__c FOREIGN KEY(BLND_Project_Link__c) REFERENCES BLND_DFDT_Project__c (Id) OPTIONS (NAMEINSOURCE 'R00N30000002UxDhEAK__r'),
	CONSTRAINT FK_BLND_DFDT_Task__c_BLND_Task_Link__c FOREIGN KEY(BLND_Task_Link__c) REFERENCES BLND_DFDT_Task__c (Id) OPTIONS (NAMEINSOURCE 'R00N30000002UxGTEA0__r'),
	CONSTRAINT FK_User__BLND_Issue_Owner__c FOREIGN KEY(BLND_Issue_Owner__c) REFERENCES User_ (Id) OPTIONS (NAMEINSOURCE 'R00N30000002UxDJEA0__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE BLND_DFDT_Issue__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_BLND_DFDT_Issue__c_ItemId FOREIGN KEY(ItemId) REFERENCES BLND_DFDT_Issue__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE BLND_DFDT_Linker__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	BLND_Destination_Link__c string(40) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BLND_Expansion__c string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BLND_Extra_Field__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BLND_Purpose__c string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BLND_Source_Link__c string(40) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BLND_Version__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id)
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE BLND_DFDT_Linker__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_BLND_DFDT_Linker__c_ItemId FOREIGN KEY(ItemId) REFERENCES BLND_DFDT_Linker__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE BLND_DFDT_Project__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	BLND_Account_Link__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BLND_Archive__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	BLND_Complete_Tasks__c double OPTIONS (NATIVE_TYPE 'percent', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BLND_Complete__c double OPTIONS (NATIVE_TYPE 'percent', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BLND_Cost_Baseline__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BLND_Cost__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BLND_Description__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BLND_Duration_In_Business_Days__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BLND_Duration_In_Calendar_Days__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BLND_Expansion__c string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BLND_Extra_Field__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BLND_Finish_Baseline__c timestamp OPTIONS (NATIVE_TYPE 'datetime', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BLND_Finish__c timestamp OPTIONS (NATIVE_TYPE 'datetime', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BLND_Folder_Link__c string(40) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BLND_Opportunity_Link__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BLND_Priority__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BLND_Revenue_Baseline__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BLND_Revenue__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BLND_Schedule_Override__c double OPTIONS (NATIVE_TYPE 'percent', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BLND_Schedule__c double OPTIONS (NATIVE_TYPE 'percent', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BLND_Start_Baseline__c timestamp OPTIONS (NATIVE_TYPE 'datetime', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BLND_Start__c timestamp OPTIONS (NATIVE_TYPE 'datetime', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BLND_Type__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Professional Services,Product Development,Event Planning,Marketing Campaign,Sales Campaign,Technical Support,Customer Engagement,Sales Operations,Sales Infrastructure,Shared Infrastructure,Web Development,Customer Success Campaign'),
	BLND_Vacation_List__c string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BLND_Version__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BLND_Weight__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BLND_Work_In_Actual_Hours__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BLND_Work_In_Planned_Hours__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BLND_Workday_List__c string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Account_BLND_Account_Link__c FOREIGN KEY(BLND_Account_Link__c) REFERENCES Account (Id) OPTIONS (NAMEINSOURCE 'R00N30000002UxGzEAK__r'),
	CONSTRAINT FK_Opportunity_BLND_Opportunity_Link__c FOREIGN KEY(BLND_Opportunity_Link__c) REFERENCES Opportunity (Id) OPTIONS (NAMEINSOURCE 'R00N30000002UxHGEA0__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE BLND_DFDT_Project__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_BLND_DFDT_Project__c_ItemId FOREIGN KEY(ItemId) REFERENCES BLND_DFDT_Project__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE BLND_DFDT_Resource__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	BLND_Approval__c string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BLND_Archive__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	BLND_Attachment_Link__c string(40) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BLND_Billing_Cost_Per_Day__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BLND_Billing_Cost_Per_Use__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BLND_Billing_Hourly_Rate__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BLND_Billing_Overtime_Rate__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BLND_Cost_Per_Day__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BLND_Cost_Per_Use__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BLND_Description__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BLND_Expansion__c string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BLND_Extra_Field__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BLND_Hourly_Rate__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BLND_Overtime_Rate__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BLND_Project_Link__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BLND_Purpose__c string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BLND_Skill_Certification__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Cisco Certified Internetwork Expert,Certified Lotus Professional,Certified Lotus Specialist,Certified Novell Administrator,Certified Novell Engineer,Certified Solaris Administrator,Microsoft Certified Database Administrator,Microsoft Certified Professional,Microsoft Certified Solutions Developer,Microsoft Certified Systems Engineer,Novell Certified Internet Professional,Oracle Certified Professional,Project Management Professional'),
	BLND_Skill_Level__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'None,Beginner,Intermediate,Advanced,Expert'),
	BLND_Skill_Set__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'None,Auditor,Business Analyst,Consultant,Customer Relations,Database Administrator,Developer,Lead Developer,Engineer,Lead Engineer,Network Administrator,Project Manager,Senior Consultant,Senior Database Administrator,Senior Developer,Task Manager,Technical Architect,Technical Lead,Web Master,Technical Writer,QA Engineer'),
	BLND_Version__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_BLND_DFDT_Project__c_BLND_Project_Link__c FOREIGN KEY(BLND_Project_Link__c) REFERENCES BLND_DFDT_Project__c (Id) OPTIONS (NAMEINSOURCE 'R00N30000002UxGaEAK__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE BLND_DFDT_Resource__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_BLND_DFDT_Resource__c_ItemId FOREIGN KEY(ItemId) REFERENCES BLND_DFDT_Resource__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE BLND_DFDT_Task__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	BLND_Approval__c string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BLND_Archive__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	BLND_Billable_Task__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	BLND_Complete__c double OPTIONS (NATIVE_TYPE 'percent', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BLND_Constraint_Date__c timestamp OPTIONS (NATIVE_TYPE 'datetime', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BLND_Constraint_Type__c string(160) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BLND_Cost_Baseline__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BLND_Cost__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BLND_Dependent__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Units,Work,Duration'),
	BLND_Description__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BLND_Duration_In_Business_Days__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BLND_Duration_In_Calendar_Days__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BLND_Duration__c string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BLND_Expansion__c string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BLND_Extra_Field__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BLND_Finish_Baseline__c timestamp OPTIONS (NATIVE_TYPE 'datetime', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BLND_Finish__c timestamp OPTIONS (NATIVE_TYPE 'datetime', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BLND_Index__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BLND_Link__c string(160) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BLND_Project_Link__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BLND_Resources__c string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BLND_Revenue_Baseline__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BLND_Revenue__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BLND_Schedule__c double OPTIONS (NATIVE_TYPE 'percent', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BLND_Start_Baseline__c timestamp OPTIONS (NATIVE_TYPE 'datetime', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BLND_Start__c timestamp OPTIONS (NATIVE_TYPE 'datetime', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BLND_Subtask__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	BLND_Tabs__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BLND_Type__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Low Priority,Standard,High Priority,Critical'),
	BLND_Version__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BLND_Work_In_Actual_Hours__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BLND_Work_In_Planned_Hours__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BLND_Work__c string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_BLND_DFDT_Project__c_BLND_Project_Link__c FOREIGN KEY(BLND_Project_Link__c) REFERENCES BLND_DFDT_Project__c (Id) OPTIONS (NAMEINSOURCE 'R00N30000002UxFBEA0__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE BLND_DFDT_Task__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_BLND_DFDT_Task__c_ItemId FOREIGN KEY(ItemId) REFERENCES BLND_DFDT_Task__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE BLND_DFFF_Form__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	BLND_Bookmark__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BLND_Data__c string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BLND_Description__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BLND_Expansion__c string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BLND_Extra_Field__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BLND_Flag1__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	BLND_Flag2__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	BLND_Flag3__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	BLND_Flag4__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	BLND_Height__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BLND_Lastopen__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BLND_Locked__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	BLND_Over1__c string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BLND_Over2__c string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BLND_Over3__c string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BLND_Private__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	BLND_Type__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Invoice,Order,Proposal,Contract,Worksheet'),
	BLND_Version__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BLND_Width__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_BLND_DFFF_Page__c_BLND_Bookmark__c FOREIGN KEY(BLND_Bookmark__c) REFERENCES BLND_DFFF_Page__c (Id) OPTIONS (NAMEINSOURCE 'Forms1__r'),
	CONSTRAINT FK_BLND_DFFF_Page__c_BLND_Lastopen__c FOREIGN KEY(BLND_Lastopen__c) REFERENCES BLND_DFFF_Page__c (Id) OPTIONS (NAMEINSOURCE 'Forms__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE BLND_DFFF_Form__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_BLND_DFFF_Form__c_ItemId FOREIGN KEY(ItemId) REFERENCES BLND_DFFF_Form__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE BLND_DFFF_Page__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	BLND_Data__c string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BLND_Description__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BLND_Expansion__c string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BLND_Extra_Field__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BLND_Flag1__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	BLND_Flag2__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	BLND_Flag3__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	BLND_Flag4__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	BLND_Form__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BLND_Index__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BLND_Keywords__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BLND_Locked__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	BLND_Over1__c string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BLND_Over2__c string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BLND_Over3__c string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BLND_Private__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	BLND_Type__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Introduction,Conclusion,Signatures,Content'),
	BLND_Version__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_BLND_DFFF_Form__c_BLND_Form__c FOREIGN KEY(BLND_Form__c) REFERENCES BLND_DFFF_Form__c (Id) OPTIONS (NAMEINSOURCE 'Pages__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE BLND_DFFF_Page__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_BLND_DFFF_Page__c_ItemId FOREIGN KEY(ItemId) REFERENCES BLND_DFFF_Page__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE BLND_DFTE_Expense__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	BLND_Account_Link__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BLND_Amount__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BLND_Attachment_Link__c string(40) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BLND_Billable__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	BLND_Billed_Flag__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	BLND_Case_Link__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BLND_Contact_Link__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BLND_Date__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BLND_Description__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BLND_Expansion__c string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BLND_Extra_Field__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BLND_Note__c string(1000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BLND_Opportunity_Link__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BLND_Project_Link__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BLND_Status__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Saved,Submitted,Approved,Rejected,Paid'),
	BLND_Submitted__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	BLND_Task_Link__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BLND_Type__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'No Expense Type,Transportation,Lodging,Meals,Equipment purchase'),
	BLND_User_Link__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BLND_Version__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Account_BLND_Account_Link__c FOREIGN KEY(BLND_Account_Link__c) REFERENCES Account (Id) OPTIONS (NAMEINSOURCE 'R00N30000002UxFWEA0__r'),
	CONSTRAINT FK_BLND_DFDT_Project__c_BLND_Project_Link__c FOREIGN KEY(BLND_Project_Link__c) REFERENCES BLND_DFDT_Project__c (Id) OPTIONS (NAMEINSOURCE 'R00N30000002UxEuEAK__r'),
	CONSTRAINT FK_BLND_DFDT_Task__c_BLND_Task_Link__c FOREIGN KEY(BLND_Task_Link__c) REFERENCES BLND_DFDT_Task__c (Id) OPTIONS (NAMEINSOURCE 'R00N30000002UxEAEA0__r'),
	CONSTRAINT FK_Case__BLND_Case_Link__c FOREIGN KEY(BLND_Case_Link__c) REFERENCES Case_ (Id) OPTIONS (NAMEINSOURCE 'R00N30000002UxEFEA0__r'),
	CONSTRAINT FK_Contact_BLND_Contact_Link__c FOREIGN KEY(BLND_Contact_Link__c) REFERENCES Contact (Id) OPTIONS (NAMEINSOURCE 'R00N30000002UxDDEA0__r'),
	CONSTRAINT FK_Opportunity_BLND_Opportunity_Link__c FOREIGN KEY(BLND_Opportunity_Link__c) REFERENCES Opportunity (Id) OPTIONS (NAMEINSOURCE 'R00N30000002UxDaEAK__r'),
	CONSTRAINT FK_User__BLND_User_Link__c FOREIGN KEY(BLND_User_Link__c) REFERENCES User_ (Id) OPTIONS (NAMEINSOURCE 'R00N30000002UxGMEA0__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE BLND_DFTE_Expense__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_BLND_DFTE_Expense__c_ItemId FOREIGN KEY(ItemId) REFERENCES BLND_DFTE_Expense__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE BLND_DFTE_Time__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	BLND_Account_Link__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BLND_Attachment_Link__c string(40) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BLND_Billable__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	BLND_Billed_Flag__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	BLND_Case_Link__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BLND_Contact_Link__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BLND_Date__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BLND_Description__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BLND_Expansion__c string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BLND_Extra_Field__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BLND_Note__c string(1000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BLND_Opportunity_Link__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BLND_Project_Link__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BLND_Status__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Saved,Submitted,Approved,Rejected'),
	BLND_Submitted__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	BLND_Task_Link__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BLND_Time_Units__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Hours,Minutes'),
	BLND_Time__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BLND_Type__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'No Task Type,Project Task,Sales Support,Training & Education,Practice Development,Internal Meeting,Performance Management,Enterprise Account Support,General Administration,Paid Time Off,Recruiting and Interviewing,Instructing,Tom work'),
	BLND_User_Link__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BLND_Version__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Account_BLND_Account_Link__c FOREIGN KEY(BLND_Account_Link__c) REFERENCES Account (Id) OPTIONS (NAMEINSOURCE 'R00N30000002UxDWEA0__r'),
	CONSTRAINT FK_BLND_DFDT_Project__c_BLND_Project_Link__c FOREIGN KEY(BLND_Project_Link__c) REFERENCES BLND_DFDT_Project__c (Id) OPTIONS (NAMEINSOURCE 'R00N30000002UxGjEAK__r'),
	CONSTRAINT FK_BLND_DFDT_Task__c_BLND_Task_Link__c FOREIGN KEY(BLND_Task_Link__c) REFERENCES BLND_DFDT_Task__c (Id) OPTIONS (NAMEINSOURCE 'R00N30000002UxFtEAK__r'),
	CONSTRAINT FK_Case__BLND_Case_Link__c FOREIGN KEY(BLND_Case_Link__c) REFERENCES Case_ (Id) OPTIONS (NAMEINSOURCE 'R00N30000002UxG1EAK__r'),
	CONSTRAINT FK_Contact_BLND_Contact_Link__c FOREIGN KEY(BLND_Contact_Link__c) REFERENCES Contact (Id) OPTIONS (NAMEINSOURCE 'R00N30000002UxFSEA0__r'),
	CONSTRAINT FK_Opportunity_BLND_Opportunity_Link__c FOREIGN KEY(BLND_Opportunity_Link__c) REFERENCES Opportunity (Id) OPTIONS (NAMEINSOURCE 'R00N30000002UxDbEAK__r'),
	CONSTRAINT FK_User__BLND_User_Link__c FOREIGN KEY(BLND_User_Link__c) REFERENCES User_ (Id) OPTIONS (NAMEINSOURCE 'R00N30000002UxFGEA0__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE BLND_DFTE_Time__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_BLND_DFTE_Time__c_ItemId FOREIGN KEY(ItemId) REFERENCES BLND_DFTE_Time__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE BLND_DFTT_Document__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	BLND_Data__c string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BLND_Expansion__c string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BLND_Extra_Field__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BLND_Flag1__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	BLND_Flag2__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	BLND_Flag3__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	BLND_Flag4__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	BLND_Folder_Link__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BLND_Over1__c string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BLND_Over2__c string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BLND_Over3__c string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BLND_Type__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Filter,List,Snapshot,Webpage'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_BLND_DFTT_Folder__c_BLND_Folder_Link__c FOREIGN KEY(BLND_Folder_Link__c) REFERENCES BLND_DFTT_Folder__c (Id) OPTIONS (NAMEINSOURCE 'R00N30000002UxElEAK__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE BLND_DFTT_Document__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_BLND_DFTT_Document__c_ItemId FOREIGN KEY(ItemId) REFERENCES BLND_DFTT_Document__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE BLND_DFTT_Entity_Info__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	BLND_Data__c string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BLND_Expansion__c string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BLND_Extra_Field__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BLND_Flag1__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	BLND_Flag2__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	BLND_Flag3__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	BLND_Flag4__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	BLND_Type__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'RecentlyCreated,RecentlyModified,RecentlyViewed'),
	CONSTRAINT Id_PK PRIMARY KEY(Id)
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE BLND_DFTT_Entity_Info__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_BLND_DFTT_Entity_Info__c_ItemId FOREIGN KEY(ItemId) REFERENCES BLND_DFTT_Entity_Info__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE BLND_DFTT_Folder__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	BLND_Access_List__c string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BLND_Expansion__c string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BLND_Extra_Field__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BLND_Flag1__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	BLND_Flag2__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	BLND_Flag3__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	BLND_Flag4__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	BLND_Folder_Link__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_BLND_DFTT_Folder__c_BLND_Folder_Link__c FOREIGN KEY(BLND_Folder_Link__c) REFERENCES BLND_DFTT_Folder__c (Id) OPTIONS (NAMEINSOURCE 'R00N30000002UxFjEAK__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE BLND_DFTT_Folder__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_BLND_DFTT_Folder__c_ItemId FOREIGN KEY(ItemId) REFERENCES BLND_DFTT_Folder__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE BooleanSetting__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(38) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	SetupOwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Value__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	CONSTRAINT Id_PK PRIMARY KEY(Id)
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE BooleanSetting__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_BooleanSetting__c_ItemId FOREIGN KEY(ItemId) REFERENCES BooleanSetting__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE BrandTemplate (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	DeveloperName string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsActive boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Description string(1000) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Value_ string(32000) OPTIONS (NAMEINSOURCE 'Value', SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	NamespacePrefix string(15) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id)
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Budget_Status_Mapping__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(38) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	SetupOwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Image_URL__c string(255) OPTIONS (NATIVE_TYPE 'url', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id)
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE Budget_Status_Mapping__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Budget_Status_Mapping__c_ItemId FOREIGN KEY(ItemId) REFERENCES Budget_Status_Mapping__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Busines_Plan_KPI__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	Business_Plan__c string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Q1_Deal_Registration_Goal__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Q1_Pipeline_Creation_Goal__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Q1_Revenue_Goal__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Q1_Sales_Certification_Attainment_Goal__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Q1_Teaming_Agreement_Goal__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Q1_Tech_Certification_Attainment_Goal__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Q2_Deal_Registration_Goal__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Q2_Pipeline_Creation_Goal__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Q2_Revenue_Goal__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Q2_Sales_Certification_Attainment_Goal__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Q2_Teaming_Agreement_Goal__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Q2_Tech_Certification_Attainment_Goal__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Q3_Deal_Registration_Goal__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Q3_Pipeline_Creation_Goal__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Q3_Revenue_Goal__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Q3_Sales_Certification_Attainment_Goal__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Q3_Teaming_Agreement_Goal__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Q3_Tech_Certification_Attainment_Goal__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Q4_Deal_Registration_Goal__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Q4_Pipeline_Creation_Goal__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Q4_Revenue_Goal__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Q4_Sales_Certification_Attainment_Goal__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Q4_Teaming_Agreement_Goal__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Q4_Tech_Certification_Attainment_Goal__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_SFDC_Channel_Account_Plan__c_Business_Plan__c FOREIGN KEY(Business_Plan__c) REFERENCES SFDC_Channel_Account_Plan__c (Id) OPTIONS (NAMEINSOURCE 'Business_Plan_KPI__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE Busines_Plan_KPI__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Busines_Plan_KPI__c_ItemId FOREIGN KEY(ItemId) REFERENCES Busines_Plan_KPI__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Business_Plan_Customer__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	Business_Plan__c string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Customer_Name__c string(120) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Delivering_All_Tech__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Technology_Goal__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'OS,Middleware,Cloud,Virtualization,Storage'),
	Technology__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'OS,Middleware,Cloud,Virtualization,Storage'),
	Willing_to_Influence__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_SFDC_Channel_Account_Plan__c_Business_Plan__c FOREIGN KEY(Business_Plan__c) REFERENCES SFDC_Channel_Account_Plan__c (Id) OPTIONS (NAMEINSOURCE 'Business_Plan_Customers__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE Business_Plan_Customer__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Business_Plan_Customer__c_ItemId FOREIGN KEY(ItemId) REFERENCES Business_Plan_Customer__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Business_Problem__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	Proposed_Solution__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Competitive_Alternatives__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Does_this_Account_have_a_Proposal__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Yes,No'),
	Decision_Makers__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Win_Loss_Analysis__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Is_this_part_of_an_RFP_Response__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Yes,No'),
	Account_Profile__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Description_Business_Problem__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Account_Profile__c_Account_Profile__c FOREIGN KEY(Account_Profile__c) REFERENCES Account_Profile__c (Id) OPTIONS (NAMEINSOURCE 'Potential_Opportunity__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE Business_Problem__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Business_Problem__c_ItemId FOREIGN KEY(ItemId) REFERENCES Business_Problem__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE BusinessHours (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsActive boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDefault boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	SundayStartTime time OPTIONS (NATIVE_TYPE 'time', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	SundayEndTime time OPTIONS (NATIVE_TYPE 'time', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	MondayStartTime time OPTIONS (NATIVE_TYPE 'time', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	MondayEndTime time OPTIONS (NATIVE_TYPE 'time', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	TuesdayStartTime time OPTIONS (NATIVE_TYPE 'time', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	TuesdayEndTime time OPTIONS (NATIVE_TYPE 'time', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	WednesdayStartTime time OPTIONS (NATIVE_TYPE 'time', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	WednesdayEndTime time OPTIONS (NATIVE_TYPE 'time', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ThursdayStartTime time OPTIONS (NATIVE_TYPE 'time', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ThursdayEndTime time OPTIONS (NATIVE_TYPE 'time', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	FridayStartTime time OPTIONS (NATIVE_TYPE 'time', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	FridayEndTime time OPTIONS (NATIVE_TYPE 'time', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	SaturdayStartTime time OPTIONS (NATIVE_TYPE 'time', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	SaturdayEndTime time OPTIONS (NATIVE_TYPE 'time', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	TimeZoneSidKey string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Pacific/Kiritimati,Pacific/Chatham,Pacific/Auckland,Pacific/Enderbury,Pacific/Tongatapu,Asia/Kamchatka,Pacific/Fiji,Pacific/Norfolk,Australia/Lord_Howe,Australia/Sydney,Pacific/Guadalcanal,Australia/Adelaide,Australia/Brisbane,Australia/Darwin,Asia/Seoul,Asia/Tokyo,Asia/Hong_Kong,Asia/Kuala_Lumpur,Asia/Manila,Asia/Shanghai,Asia/Singapore,Asia/Taipei,Australia/Perth,Asia/Bangkok,Asia/Ho_Chi_Minh,Asia/Jakarta,Asia/Rangoon,Asia/Dhaka,Asia/Kathmandu,Asia/Colombo,Asia/Kolkata,Asia/Karachi,Asia/Tashkent,Asia/Yekaterinburg,Asia/Kabul,Asia/Dubai,Asia/Tbilisi,Asia/Tehran,Africa/Nairobi,Asia/Baghdad,Asia/Kuwait,Asia/Riyadh,Europe/Minsk,Europe/Moscow,Africa/Cairo,Africa/Johannesburg,Asia/Jerusalem,Europe/Athens,Europe/Bucharest,Europe/Helsinki,Europe/Istanbul,Africa/Algiers,Europe/Amsterdam,Europe/Berlin,Europe/Brussels,Europe/Paris,Europe/Prague,Europe/Rome,Europe/Dublin,Europe/Lisbon,Europe/London,GMT,Atlantic/Cape_Verde,Atlantic/South_Georgia,America/St_Johns,America/Argentina/Buenos_Aires,America/Halifax,America/Santiago,America/Sao_Paulo,Atlantic/Bermuda,America/Indiana/Indianapolis,America/New_York,America/Puerto_Rico,America/Caracas,America/Bogota,America/Chicago,America/Lima,America/Panama,America/Denver,America/El_Salvador,America/Mexico_City,America/Los_Angeles,America/Phoenix,America/Tijuana,America/Anchorage,Pacific/Honolulu,Pacific/Niue,Pacific/Pago_Pago'),
	CONSTRAINT Id_PK PRIMARY KEY(Id)
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'false', "teiid_sf:Supports Delete" 'false', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE BusinessPlan_MktResource__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	Business_Plan__c string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Contact__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Contact_Contact__c FOREIGN KEY(Contact__c) REFERENCES Contact (Id) OPTIONS (NAMEINSOURCE 'Business_Plan_Marketing_Resources__r'),
	CONSTRAINT FK_SFDC_Channel_Account_Plan__c_Business_Plan__c FOREIGN KEY(Business_Plan__c) REFERENCES SFDC_Channel_Account_Plan__c (Id) OPTIONS (NAMEINSOURCE 'Business_Plan_Marketing_Resources__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE BusinessPlan_MktResource__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_BusinessPlan_MktResource__c_ItemId FOREIGN KEY(ItemId) REFERENCES BusinessPlan_MktResource__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE BusinessProcess (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	NamespacePrefix string(15) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Description string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	TableEnumOrId string(40) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Case,Lead,Opportunity,Solution'),
	IsActive boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CONSTRAINT Id_PK PRIMARY KEY(Id)
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'false', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE CallCenter (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	InternalName string(240) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Version double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id)
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'false', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Campaign (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ParentId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Advertisement,Advertising,Affiliate Link,Analyst Paper,Assessment,Awareness,Banner,Banner Ad,Billboard,Billboard Ad,Blog Ad,Blog Post / Web Page,Booth Visit,Brief,Brochure,Calculator,Case Study,Catalog,Contact Sales,Content Syndication,Conversation,Datasheet,Demand Creation,Demo,Direct Mail,Display Ad,Email,Email Link,Evaluation,Event,Executive Event,External List,FAQ,Google Adwords,Homepage Promo,In-person Event,Internal List,JBoss Web inquiry,Launch,Magazine Ad,Newsletter,Nurture,Offline,Onpage Promo,Onpage Widget,Onsite Promo,Other,Paid Search,Partner Content Syndication,Partner Event,Podcast,Pre-Qualification,Pricing Promotion,Print Ad,Regional Event,Reputation,Sales Enablement,Search,Site Registration,Social Media,Social Media Follow / Like,Sponsored Event,Sponsored Link,Sponsorship,Survey,Telemarketing,Text Link,Tradeshow,Trade Show,Training,Video,Virtual Event,Web,Web/Eval,Webcast,Webinar,Website Direct Entry,Website Natural Referrer,Whitepaper'),
	RecordTypeId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Status string(40) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Aborted,Completed,In Progress,Planned'),
	StartDate date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	EndDate date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	ExpectedRevenue double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	BudgetedCost double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ActualCost double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ExpectedResponse double OPTIONS (NATIVE_TYPE 'percent', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	NumberSent double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsActive boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Description string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	NumberOfLeads integer OPTIONS (NATIVE_TYPE 'int', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	NumberOfConvertedLeads integer OPTIONS (NATIVE_TYPE 'int', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	NumberOfContacts integer OPTIONS (NATIVE_TYPE 'int', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	NumberOfResponses integer OPTIONS (NATIVE_TYPE 'int', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	NumberOfOpportunities integer OPTIONS (NATIVE_TYPE 'int', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	NumberOfWonOpportunities integer OPTIONS (NATIVE_TYPE 'int', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	AmountAllOpportunities double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	AmountWonOpportunities double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	HierarchyNumberOfLeads integer OPTIONS (NATIVE_TYPE 'int', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	HierarchyNumberOfConvertedLeads integer OPTIONS (NATIVE_TYPE 'int', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	HierarchyNumberOfContacts integer OPTIONS (NATIVE_TYPE 'int', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	HierarchyNumberOfResponses integer OPTIONS (NATIVE_TYPE 'int', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	HierarchyNumberOfOpportunities integer OPTIONS (NATIVE_TYPE 'int', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	HierarchyNumberOfWonOpportunities integer OPTIONS (NATIVE_TYPE 'int', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	HierarchyAmountAllOpportunities double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	HierarchyAmountWonOpportunities double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	HierarchyNumberSent double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	HierarchyExpectedRevenue double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	HierarchyBudgetedCost double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	HierarchyActualCost double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	OwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	LastActivityDate date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CampaignMemberRecordTypeId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Campaign_Goal__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Lead Generation,Awareness,Immediate Purchase,Retention,Up-Sell,Cross-Sell'),
	Retire_List_Source__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" '3rd Party,Eloqua,Evaluations,Event Attendee,Install Base,Nurture Database,Nurture Queue,Open Enrollment,Pre-assessment,Salesforce,Webcast,Whitepaper'),
	mkt_cl_cmp_product_group__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'All BUs,Amentra,Certificate Systems,Cluster Suite,Consulting,Cygwin,Developer Support,Development Tools,Embedded Solution,Extended Update Support for Red Hat Enterprise Linux,Global Professional Services,Global Support Services,GNUPro,Hosting Program,ISV Partner Program,JBoss Application Server (ISV/OEM embedded only),JBoss Communications Platform,JBoss Consulting Services,JBoss Developer Studio,JBoss Enterprise Application Platform,JBoss Enterprise Middleware,JBoss Enterprise Portal Platform,JBoss Enterprise SOA Platform,JBoss Hibernate Framework,JBoss jBPM Framework,JBoss MetaMatrix,JBoss Middleware,JBoss Operations Network,JBoss Rules Framework,JBoss Seam Framework,JBoss Services,JBoss SOA,JBoss SOA Consulting Services,JBoss Training,MetaMatrix Enterprise Data Services Platform,Multiple,OEM Partner Program,Partner Recruiting,Partner Training,Primary Product Focus,Red Hat Academy,Red Hat Application Server,Red Hat Application Stack,Red Hat Certificate System,Red Hat Cluster Suite,Red Hat Command Center,Red Hat Developer Subscription,Red Hat Developer Subscriptions,Red Hat Directory Server,Red Hat Enterprise IPA,Red Hat Enterprise Linux Academic,Red Hat Enterprise Linux Client Solutions,Red Hat Enterprise Linux for Desktop Computing,Red Hat Enterprise Linux for Developers,Red Hat Enterprise Linux for Education,Red Hat Enterprise Linux for High Performance Computing,Red Hat Enterprise Linux for Mainframes,Red Hat Enterprise Linux for Servers,Red Hat Enterprise Linux Server Solutions,Red Hat Enterprise MRG,Red Hat Enterprise Virtualization Manager for Desktops,Red Hat Enterprise Virtualization Manager for Servers,Red Hat Exchange,Red Hat GFS,Red Hat Global File System,Red Hat Global Learning Services,Red Hat Global Professional Services,Red Hat Network,Red Hat Network Proxy Server,Red Hat Network Satellite Server,Red Hat Proxy Server,Red Hat Satellite Server,Red Hat Training/Certification,Runtime Partner Program,Solid Ice,TAMs,Other'),
	Ad_Type__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Online,Print,Direct Mail'),
	Publication__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Certification Magazine,CMP (unixreview.com),CNET,Computer User,FCW,GCN,GovExec.com,IT.com,Knowledgestorm,Linux Magazine,MCPmag.com/Redmond Magazine,Monster,Network World,OSTG (linux.com, slashdot, newsforge),SYS-CON (LinuxWorld Magazine),TechTarget (SearhEnterpriseLinux.com),VARGov,Viacom Outdoor (DC Metro),Ziff Davis'),
	mkt_cl_cmp_media_name__c string(150) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	mkt_cl_cmp_ad_name__c string(150) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	mkt_cl_cmp_ad_group__c string(150) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	mkt_cl_cmp_cta__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" '30 Day Eval,60 Day Eval,Activate Trial,Analyst Paper,Assessment,Awareness,Beta Download,Blog Post / Web Page,Brief,Brochure,Buy Now,Buy Training,Calculator (This differs from TCO Calculator),Case Study,Contact Partner,Contact Sales,Customer Survey,Datasheet,Demo,Download,Edit Profile,Evaluation,Event,External List,FAQ,Find a Partner,Information,Informational,In-person Event,IRC Chat,Join Mailing List,Knowledgebase,Newsletter,Nurture email,Other,Podcast,Pre-assess,Pre-assessment,Register,Register for Event,Register for Podcast,Register for Video,Register for Webinar,Register for Whitepaper,Renew,Renewal,Request Eval,Search Knowledgebase,Social Media Follow / Like,Subscribe,Survey,TCO Calculator,Tools,Tradeshow,Training Catalog,Training Pre-Assessment,Video,Virtual Event,Webinar,Webstore,Whitepaper'),
	Retire_Campaign_Partner__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'AMD,Dell,HP,IBM,Intel'),
	mkt_cl_cmp_geo__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'APAC,Brazil,China,Czech Republic,EMEA,Europe,France,Germany,Global,Hong Kong,India,Italy,Japan,Korea,LATAM,Latin America,NA,Spain,United States'),
	mkt_cl_cmp_audience__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Analyst,Business Development,Buyer/Purchaser/Finance,CEO/President/Owner,Contractor/Consultant,Customer,CXO,Dept or Project Manager,Developer,Director,Educator,Engineer,IS or IT Associate,IT Architect,Marketing,Multiple,Offline,Online,Partner,Prospect,Sales,Student,System or Network Admin,VP,Other'),
	mkt_cl_cmp_campaigns__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	mkt_cl_cmp_period__c string(150) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	mkt_cl_cmp_owner__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	mkt_cl_cmp_category__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Accelerate App Delivery w/ PaaS,Brand,Brandcomm,Build & Manage a Private Cloud,Cloud,Cloud Management,CloudVirt,Consulting,CorpComm,CrossBU,Customer,Customer Goal,EAP,EAP Goal,Enlightened Innovation,GLS,GSS,I.T. without Boundaries,Infrastructure,JBoss,Liberate Your Information,Mainstream,Management,Management & Security,Management Goal,Mgmt Other,Middleware,Middleware Goal,NonInit,Nurture,OpenHybridCloud,Open Hybrid Cloud,Operational,Operational Goal,Orphan,Other,Other Cmpgn,Partner,Partner Events,People Brand,People Brand Goal,Platform,Platform Goal,Platform without Boundaries,Promo,Red Hat Shared Value,RHEL,RHELF2F,Services,Services Other,Shared,SOA,Stack Simplified,Storage,Territory Marketing,Territory Mktg,Training,Transform,Value,Vertical Programs,Virt,Virtualization,Virtualization Goal'),
	mkt_cl_cmp_vertical__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Communications,Distribution,Education,Energy,Financial Services,Government,Healthcare,Industrial,Information Technology,Manufacturing,Media and Entertainment,Multiple,Oil and Gas,Online Media,Technology,Telecommunications,Other'),
	mkt_cl_cmp_is_internal__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	mkt_cl_cmp_impressions__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	mkt_cl_cmp_email_opens__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	mkt_cl_cmp_process_leads_omniture__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" '1=Do not Process,2=Ready for Processing,3=Processed'),
	mkt_cl_cmp_process_metrics__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" '1=Do not process,2=Ready for Processing,3=Processed'),
	Origin__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Marketing,MDF,Sales'),
	Media_Source__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" '51CTO,Baidu,Bloomberg,Builder AU,CBS,CBSi,CEO,Certification Magazine,China Computer World,CIO,CMP (unixreview.com),CNET,CNN Money,Computer User,Computer World,CSDN,Dev Shed,DZone,Facebook,Fast Company,FCW,Forbes,GCN,gigaom.com,Google,GovExec.com,IDG Connect,IDG Enterprise,IDG Now,IDG TechNetwork,Impress,Information Management,Information Week,Info World,Integrate,IT.com,ITBriefcase,IT Media,IT Pro,IT Toolbox,Java Pro,Jupiter Media,Knowledgestorm,Lake Group Media,LinkedIn,Linux.com,Linux Magazine,luckland,Madison Logic,marketing matters,MCPmag.com/Redmond Magazine,Monster,MySpace,Naver,NetShelter,Network World,Nikkei,OSTG (linux.com, slashdot, newsforge),Other,Prelytix,QuinStreet,Red Hat,Redmond Developer News,Redmond magazine,Sina,Slashdot,SourceForge,Spiceworks,sys-con.com,SYS-CON (LinuxWorld Magazine),TechTarget,TechTarget (SearhEnterpriseLinux.com),Tek-Tips,TI Inside,Time Inc (Fortune),TMCNet,Twitter,UBM/Techweb,Valor Online,VARGov,Viacom Outdoor (DC Metro),virtualization magazine,vpm.com,WeChat,WeiBo,WindowsIPpro,Yahoo,YouTube,ZDNet,Ziff Davis,Zift Solutions'),
	Channel_Description__c string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	mkt_cl_cmp_searchcenter_tc__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	mkt_cl_cmp_director__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Alejandro Raffaele,Brett Hunter,Daniel Ng,David Barzilay,Eileen Egan,Emma Battle,Frank Feldmann,Fran Wilson,Gordon Tillmore,Greg Lissy,Jane Circle,Jeff Mackanic,Jeff Oberbillig,Jimmy Guerrero,Joel Berman,Jon Atkins,Kimberly Payton,Leigh Day,Linda Cafferty,Margaret-Ann Bolton,Margaret Rimmler,Maria Moore,Mark Horne,Martin D''Elia,Merry Beekman,Michael Piech,Navin Thadani,Nick Dietsch,Paul Lyons,Robert Eiselt,Sarangan Rangachari,Teresa Wilkerson,Tracey Cramer'),
	List_Source__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" '3rd Party,Eloqua,Nurture Queue,Salesforce'),
	Campaign_Partner__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'AMD,Channel,Dell,Government,HP,IBM,Intel,ISV,OEM,RHX,SI,Non-applicable,Other'),
	Notes_for_Sales__c string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Landing_Page_URL__c string(255) OPTIONS (NATIVE_TYPE 'url', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Tracking_Campaign_ID_URL__c string(255) OPTIONS (NATIVE_TYPE 'url', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Naming_Convention__c string(1000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Note_on_Tracking_Campaign_ID_URL__c string(500) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	MDF_Amount__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Note_on_Description__c string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Note_on_Notes_for_Sales__c string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	mkt_cl_parent_campaign_name__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'AAP CrossThemes,Accelerate,Accelerate App Delivery,Accelerate Business Agility,Agility,Anncmnt,Apps,Automate,Awareness,BAPC CrossThemes,BestRHEV,Big Data,Build / Manage Private / Hybrid Cloud,Cloud,CloudForms,CloudISV,CloudMgmt,CloudSem,Consulting,Content Cloud,Continuous IT Innovation,Control Unstructured Data,CrossBUEvents,Data Protection,DemandGen,DeskVirt,Developer,Direct Renewals,Economic,EcosystemSolutions,Efficiency,EI CrossThemes,Engage,EntCloud,Enterprise Cloud Storage,F2F,FuseSource,GeneralOHC,GlobalServices,GrowShare,IaaS,IIE,Improve Developer Productivity,Improve IT Efficiency,Increase IT Efficiency,Indirect Renewals,Influence,Inform,Innovation,Integrate,ITWOB CrossThemes,JBossPortfolio,JBossWay,LeadGen,Liberate CrossThemes,Make Data Actionable,Migrate,Modernize,Modernize Apps Using DevOps,Modernize - Microsoft,Modernize - U2L,Newsletter,NextGenIT,Nurture,OHC CrossThemes,OpenChoice,OpenShift,OpenShiftEnt,OpenShiftOnline,OpenStack,OTNN,PaaS,Parent,PartnerEnable,PrivateCloud,Protect Data,PublicCloud,PWOB CrossThemes,Realize,RedHatForum2011,Reduce App Delivery / Mgmt Ops Cost,Reduce TCO & Automate,RHCI,RHEL6,RHEV3,RHNSatellite,RHVE2011,RHVE2012,RiskValue,Satellite,Satellite Upsell,SeeingIsBelieving,SellRHEL,Services LeadGen,Services Nurture,Stack,Standardize,Standardize Cloud w/ Software Storage,StorageAwareness,StorageCommunity,StorageCrossSell,StorageIntro,Summit2010,Summit2011,Summit2012,Summit2013,Summit2014,Summit2015,TakeOut,Targeted,Training,Transformational,U2RH,VirtEvents,Virtualize,Website'),
	ELOQUA__Call_Center_Calls__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ELOQUA__Campaign_Search_Visits__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ELOQUA__Email_Bouncebacks__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ELOQUA__Email_Click_Throughs__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ELOQUA__Email_Unsubscribes__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ELOQUA__Emails_Opened__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ELOQUA__Emails_Sent__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ELOQUA__Event_Registrations__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ELOQUA__Faxes_Sent__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ELOQUA__Forms_Submitted__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ELOQUA__Hypersite_Visits__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ELOQUA__Online_Referral_Visits__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ELOQUA__Possible_Email_Forwards__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ELOQUA__Print_Mail_Sends__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ELOQUA__Surveys_Completed__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ELOQUA__Unique_Email_Visitors__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Fiscal_Quarter__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'FY11Q4,FY12Q1,FY12Q2,FY12Q3,FY12Q4,FY13Q1,FY13Q2,FY13Q3,FY13Q4,FY14Q1,FY14Q2,FY14Q3,FY14Q4,FY15Q1,FY15Q2,FY15Q3,FY15Q4,FY16Q1,FY16Q2,FY16Q3,FY16Q4'),
	Offer_Name__c string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	SubRegion__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'ANDINO,ANZ,ASEAN,Baltics,BeNeLux,Brazil,Canada,CEACA,Central,Commercial,DACH,Eastern Europe,France,GIT,Greater China,Hong Kong,Iberia,India,Italy,Japan,Korea,Mexico,Middle East,N-Africa,Nordics,North East,Public Sector,S-Africa,SOLA,South East,UK,West'),
	ELQ_USD_ActualCost__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ELQ_USD_BudgetedCost__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Legacy_Profile__c string(1300) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Legacy_Role__c string(1300) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Owner__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Average_Deal_Size__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Average_Deal_Size_in_Hierarchy__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Buyer_Stage__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Inquiry,Prospect,Marketing Qualified,Sales Qualified,Early / Top,Middle,Late / Bottom'),
	Conversion_Rate__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Conversion_Rate_in_Hierarchy__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Cost_per_Inquiry__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Exclude_from_reporting__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Expected_Number_of_Converted_Leads__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Expected_Number_of_Responses__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Solution_Code__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'CORP,CROSS,JEWP,MRGG,MRGM,MRGR,REDHAT,RH,RHC,RHCERT,RHCF,RHCI,RHCLOUD,RHDS,RHEL,RHEL4,RHEL5,RHEL6,RHELOSP,RHEV,RHJAMQ,RHJBRMS,RHJDG,RHJDS,RHJDV,RHJEAP,RHJF,RHJFSW,RHJM,RHJON,RHJP,RHJWS,RHMRG,RHN,RHOS,RHOSE,RHOSO,RHPART,RHS,RHSAT,RHSS,RHT,RHJBPM,RHSTG,RHSTC,RHCONS,RHJMOB'),
	Target_Offer__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Target_Persona__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'All,Architect,Business,Business Analyst,CFO,CIO,Data Center Manager,Developer,IT Decisionmaker,IT Manager,Lead Developer,System Administrator,Systems Admin,Technical'),
	Title__c string(40) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Ultimate_Parent_Campaign_Id__c string(1300) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Ultimate_Parent_Campaign_Name__c string(1300) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Total_Expected_Responses_in_Hierarchy__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Language__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'DE,EN,ES,ES_AR,FR,IT,JA,KO,PT_BR,ZH'),
	ActiveCampaignMemberRateInHierarchy__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ActiveCampaignMemberRate__c double OPTIONS (NATIVE_TYPE 'percent', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Cost_per_Inquiry_in_Hierarchy__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	HierarchyNumExpectedResponses__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	HierarchyNumOfActiveLeads__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ChildNumExpectedResponses__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ChildNumOfActiveLeads__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	NumberOfActiveLeads__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Asset_URL__c string(255) OPTIONS (NATIVE_TYPE 'url', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Media_Source_2PL__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Activate,ADT (Application Development Trends),Baidui,Bloomberg,BPM,BrightTALK,C4ISR & Networks,CBS,CBSi,CIO,ComputerWorld,DataXu,Defense News,Defense One,Developer.com,Developer Media,DZone,EdScoop,eMedia,Enterprise Innovation,eRepublic,Facebook,Federal Computer Week,Federal Times,FedInsider,FedScoop,FierecGovIT,FutureGov,gigaom.com,Google,Government Computer News (GCN),Government Executive,Government Technology,GovIT,GovLoop,GovPro,GRID,IDG Connect,IDG Enterprise,IDG TechNetwork,IDN (Integration Developer News),Impress,Information Management,Information Week,InformationWeek Government,InfoWorld,Integrate,ITBrief.com,ITBriefcase,IT Media,Knowledge Hub,Knowledge Hub News (KHN),Linkedin,Linux.com,Luckland,Madison Logic,Marketing Matters,Meritalk,Naver,Netline,Network World,NextGov,Nikkei,PMOD,Prelytix,PureB2B,QuinStreet,Redmond magazine,Rich Media,SD Times,Selling Simplified,SlashDot Media,Spiceworks,StateScoop,sys-con.com,TCI,TEC (Technology Evaluation Center),TechTarget,Tek-Tips,Telenet,Time Inc (Fortune),TMCNet,Twitter,UBM/Techweb,Vibrant,Virtualization Magazine,Virtualization Review,vpm.com,Washington Technology,WeChat,WeiBo,WindowsIPpro,WTOP,Yahoo,Ziff Davis'),
	Job__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Accelerate,Create,Enable,Nurture,Seed'),
	Objective__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Cross-sell,New Logo,Retention,Up-sell'),
	Solution_Code_Family__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Cloud,Consulting,Corporate,Middleware,Platform,Storage,Training,Virtualization'),
	Target_Persona_Family__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'All,Business,Technical'),
	Campaign_Tracking_Id__c string(1300) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Legacy_Campaign_Name__c string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Campaign_ParentId FOREIGN KEY(ParentId) REFERENCES Campaign (Id) OPTIONS (NAMEINSOURCE 'ChildCampaigns'),
	CONSTRAINT FK_Campaign_Target_Offer__c FOREIGN KEY(Target_Offer__c) REFERENCES Campaign (Id) OPTIONS (NAMEINSOURCE 'Campaigns__r'),
	CONSTRAINT FK_User__Owner__c FOREIGN KEY(Owner__c) REFERENCES User_ (Id) OPTIONS (NAMEINSOURCE 'CampaignsOwned__r')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'false', "teiid_sf:Supports Delete" 'false', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE Campaign_Hierarchy_Details__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	Campaign__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Campaign_Detail__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Expected_Number_of_Responses__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	External_ID__c string(18) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	IsCurrent__c boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	NumActiveLeadsFormula__c double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'double', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	NumActiveLeads__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	NumExpectedResponsesFormula__c double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'double', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Campaign_Campaign_Detail__c FOREIGN KEY(Campaign_Detail__c) REFERENCES Campaign (Id) OPTIONS (NAMEINSOURCE 'Campaign_Hierarchy_Details1__r'),
	CONSTRAINT FK_Campaign_Campaign__c FOREIGN KEY(Campaign__c) REFERENCES Campaign (Id) OPTIONS (NAMEINSOURCE 'Campaign_Hierarchy_Details__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE Campaign_Hierarchy_Details__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Campaign_Hierarchy_Details__c_ItemId FOREIGN KEY(ItemId) REFERENCES Campaign_Hierarchy_Details__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Campaign_Plan__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	RecordTypeId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Account__c string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Business_Plan__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Campaign_Type__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Red Hat/Partner Joint Campaign,Partner Campaign'),
	Date__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Funding_Needed__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Lead_Results__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Lead_Results_currency__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Description__c string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Lead_Target__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Lead_Target_currency__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Title__c string(100) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Marketing_Program__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Dollar For Your Thoughts,JBoss 30 Day Challenge,Red Hat 2009 Road Shows,JBoss Virtual Road Shows,Carve Out Cost,JBoss Proliferation,Value of Support Through Subscription,4600 - Mainstream Adoption,4601 - Carve Out Costs,4602 - Server Virtualization,4603 – VDI,4604 – JON,4605 – RHN/Satellite,4606 – SOA,4607 – EAP,4608 - Trade Show/Event across BUs,4609 - Other Non-BU Program,4610 - Red Hat Generic,4611 - Primary Initiatives,4612 - Partner Training & Enablement,4613 – Other,4614 - Open Source Value'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Account_Account__c FOREIGN KEY(Account__c) REFERENCES Account (Id) OPTIONS (NAMEINSOURCE 'R00N60000001ezKqEAI'),
	CONSTRAINT FK_SFDC_Channel_Account_Plan__c_Business_Plan__c FOREIGN KEY(Business_Plan__c) REFERENCES SFDC_Channel_Account_Plan__c (Id) OPTIONS (NAMEINSOURCE 'Campaign_Plans__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE Campaign_Plan__History (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	ParentId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Field string(255) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Account__c,Business_Plan__c,Campaign_Type__c,created,CurrencyIsoCode,Date__c,Description__c,feedEvent,Funding_Needed__c,Lead_Results__c,Lead_Results_currency__c,Lead_Target__c,Lead_Target_currency__c,Marketing_Program__c,Name,ownerAccepted,ownerAssignment,locked,RecordType,unlocked,Title__c'),
	OldValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	NewValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Campaign_Plan__c_ParentId FOREIGN KEY(ParentId) REFERENCES Campaign_Plan__c (Id) OPTIONS (NAMEINSOURCE 'Histories')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'false', "teiid_sf:Supports Delete" 'false', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Campaign_Plan__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Campaign_Plan__c_ItemId FOREIGN KEY(ItemId) REFERENCES Campaign_Plan__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE CampaignFeed (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	ParentId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	FeedPostId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'TrackedChange,UserStatus,TextPost,AdvancedTextPost,LinkPost,ContentPost,PollPost,RypplePost,ProfileSkillPost,DashboardComponentSnapshot,ApprovalPost,CaseCommentPost,ReplyPost,EmailMessageEvent,CallLogPost,ChangeStatusPost,AttachArticleEvent,MilestoneEvent,ActivityEvent,ChatTranscriptPost,CollaborationGroupCreated,CollaborationGroupUnarchived,SocialPost,QuestionPost,FacebookPost,BasicTemplateFeedItem,CreateRecordEvent,CanvasPost,AnnouncementPost'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Campaign_ParentId FOREIGN KEY(ParentId) REFERENCES Campaign (Id) OPTIONS (NAMEINSOURCE 'Feeds')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'false', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE CampaignMember (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CampaignId string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	LeadId string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ContactId string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Status string(40) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Attended,Captured Details,Contacted,Enviada,Enviado,Geantwortet,Gesendet,Interested,Invited,Not Attended,Not Contacted,Not Interested,Not reacheable,Registered,Registered, Attended,Registered, didn''t attend,Registered & Attended,Registered & Didn''t Attend,Registered and attended,Registered but didn''t attend,Registered didn''t attended,Rejected,Responded,Respondida,Respondido,Sent,Targeted,Unable to Contact,Will call again,Will Not Attend,レスポンスあり,実施,送信,응답됨,전송됨'),
	HasResponded boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	FirstRespondedDate date OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	RelatedCampaign__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	True_Responded_Date__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	IsLeadActive__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	LFR__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Campaign_CampaignId FOREIGN KEY(CampaignId) REFERENCES Campaign (Id) OPTIONS (NAMEINSOURCE 'CampaignMembers'),
	CONSTRAINT FK_Campaign_RelatedCampaign__c FOREIGN KEY(RelatedCampaign__c) REFERENCES Campaign (Id) OPTIONS (NAMEINSOURCE 'Campaign_Member_Related__r'),
	CONSTRAINT FK_Contact_ContactId FOREIGN KEY(ContactId) REFERENCES Contact (Id) OPTIONS (NAMEINSOURCE 'CampaignMembers'),
	CONSTRAINT FK_Lead_LeadId FOREIGN KEY(LeadId) REFERENCES Lead (Id) OPTIONS (NAMEINSOURCE 'CampaignMembers'),
	CONSTRAINT FK_LeadForReporting__c_LFR__c FOREIGN KEY(LFR__c) REFERENCES LeadForReporting__c (Id) OPTIONS (NAMEINSOURCE 'Campaign_Members__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE CampaignMemberStatus (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CampaignId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Label string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	SortOrder integer OPTIONS (NATIVE_TYPE 'int', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDefault boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	HasResponded boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CONSTRAINT Id_PK PRIMARY KEY(Id)
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'false', "teiid_sf:Supports Delete" 'false', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE CampaignShare (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CampaignId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	UserOrGroupId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CampaignAccessLevel string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Read,Edit,All'),
	RowCause string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Owner,Manual,Rule,ImplicitChild,ImplicitParent,Team,Territory,TerritoryManual,TerritoryRule,Territory2Forecast'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Campaign_CampaignId FOREIGN KEY(CampaignId) REFERENCES Campaign (Id) OPTIONS (NAMEINSOURCE 'Shares')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'false', "teiid_sf:Supports Delete" 'false', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE CampaignTag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Campaign_ItemId FOREIGN KEY(ItemId) REFERENCES Campaign (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE CampaignTag__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	LastActivityDate date OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Campaign_Tag_Id__c string(18) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Campaign__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Campaign_Campaign__c FOREIGN KEY(Campaign__c) REFERENCES Campaign (Id) OPTIONS (NAMEINSOURCE 'Campaign_Tags__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE CampaignTag__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_CampaignTag__c_ItemId FOREIGN KEY(ItemId) REFERENCES CampaignTag__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Case_ (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CaseNumber string(30) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	ContactId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	AccountId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	AssetId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	BusinessHoursId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ParentId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	SuppliedName string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	SuppliedEmail string(80) OPTIONS (NATIVE_TYPE 'email', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	SuppliedPhone string(40) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	SuppliedCompany string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" '1 - Question/Training Need,2013 RHEL Pricing/Packaging,2 - Risk,3 - Issue,4 - Action,5 - Decision,6 - Defect,Account Merge,Accounts,Add User for Existing Partner,Approvals,Bug,BU Guidance,Campaign,Cannot Submit Order,Cases,Change Order,Channel Load,Channel Load Conflicts,Chatter,Contacts,Contract Admin,Contracts,Credit,Data Upload Request,Deactivate User,Deal Registration,EMEA SEAP,EMEA SE Process,Eval,Feature Request,Forecasting,GOSS Request,GSS Support Exception,Hock Access,Hoover''s Access/Issues,HP Renewals,Lead Distribution,Leads,Market to Lead,Media Kit,New User Access,Opportunities,Other,Other-High Priority,Other-Low Priority,Other-Medium Priority,Other-Urgent Priority,Partner,Partner Activation,Partner Deal Reg,Partner Functionality,Partner Portal,Price Books,Problem/Question,Products,Public Sector - Special Bids,QuoteBuilder,Reg Number Request,Renewal,Report/Dashboard Request,Reports/Dashboards,Role / Profile change,Sharing Rule,SKU Request,SSI Approval Process,SSI Requests,Submit Order Backout,Submit Order-Functionality is Down,SWAT,Territory Change,Third Party Tools,Training Request,Transfer Account Ownership,Unable to Save Records,Unable to View Records,User Access'),
	RecordTypeId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Status string(40) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'New,Analyze,In Process,In Backlog,On Hold,Pending Close,Pending Priority,Pending Requirements,Closed,Approved,Build,Defer,Delayed,Deploy,Design,Duplicate,Escalated,Escalated - Helpdesk,Escalated - Premier Support,Existing Functionality,Failed,Fixed - Pending Resolution,Follow - up,Implemented,In Dev,In-Scope,Out-of-Scope,Passed,Pending,Process,Ready to Test,Rejected,Review,Story Needed,Submitted,Test,UAT,Waiting Response,Waiting UAT,01 - New,02 - In Progress,03 - In Development,04 - Deferred,05 - Stalled,06 - Ready for Migration,07 - Migration Complete,08 - Ready for Retest,09 - Rejected,10 - Closed'),
	Reason string(40) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'General Admin,Bad Data,Coding Error / Bug,Lack of Training,Missing / Ambiguous Requirements,Requirement Dropped,Requirement Implemented,System Performance,No Response,Inconclusive,Frontline - Basic Administration,Resolved in AM Release,Resolved in Project Workstream,Requirement Dropped by the Business,Duplicate Issue - See Parent,Coding Error – Bug,Lack of User Training,Conflicting Business Requirements,No Response - Inconclusive,Network Issue,Bug,User Question,Record Access Issue,Approved by Submitter,Closed by PMO,Duplicate (specify linked case),Rejected,Transferred,Withdrawn by Submitter'),
	Origin string(40) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'C360,Email,Email - EMEA Channel Operations,EMAIL - EMEA Partner Admin,EMAIL - EMEA Sales Admin,Email - EMEA SEAP,Email - EMEA Services Pilot,EMAIL-IT,Email NA Contracts Admin,EMAIL-Reporting,Email - SKU - Hock Access,Email - SKU - HP Renewals,Email - SKU - Media Kit,Email - SKU - Product Request,Email - SKU - Reg Numbers,Email - SKU - SKU Problems,Email - SKU - SKU Request,Email-to-case: EMEA Channel Operations,Email-to-case-APAC,Email-to-case-EMEA,Email-to-case-Inside-SA-Canada,Email-to-case-LATAM,Email-to-case-LMS,Email-to-case-NA,Email-to-case-Open Program,Email-to-case-RHPDS,EMEA SEAP Email,GOSS-Request,Phone,Portal,Public Sector - Special Bids,System,UAT,Web'),
	IsVisibleInSelfService boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Subject string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Priority string(40) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Urgent,High,Medium,Low,1 - Low,2 - Medium,3 - High,4 - Critical'),
	Description string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsClosed boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	ClosedDate timestamp OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'datetime', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsEscalated boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	HasCommentsUnreadByOwner boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	HasSelfServiceComments boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	OwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsClosedOnCreate boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsSelfServiceClosed boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Type_Detail__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" '$0 PCF,Account Merge,Accounts,Account Validation,Add User to Existing Partner,Analytics Cloud Login Issues,Analytics Cloud Reports,Anticipated Seat Request,APAC,Application Configuration,Application Performance,Application Security and Permissions,Approval Process/Approver Change,Backdating approval,Backed Out,Bill of Materials,Business Plan,Business Process,Campaigns,Cannot Save Records,Cannot Submit Order,Cannot View Records,Cases,Channel Load,Channel Load Conflicts,Channel Load Issues,Chatter Mobile,Cloud9,Cloud Management,Commissions,Competitive Question,Conflicts,Conflicts and Mapping Error,Contacts,Content,Contract Issue,Contract Renegotiation,Contracts,Co-Term Wizard,Credit,Customer Data,Customer References,Custom Object,Dashboards,Data.com,Data Management,Data Transformation and Conversion,Data Validation,Deactivate User,Deal Registration,Decommissioning,EasyLink,Eloqua,Email Campaigns,Email Notification,EMEA,End User Email Campaign,Enhancement,Eval Request,External Vendor Ticket,General,GES,Get Signature,Global Business and Analytics (GBA),Global Partners Analytics (GPA),Global SE Process,Gold Masters,Harte-Hanks,Hoover’s,HP Renewals,Invoices,Issue,Jigsaw,LATAM,Lead Distribution,Leads,Locate Contracts,Manage Products,Manual Data Cleansing,Mapping Error,Market to Lead,MDF/Fund Claims/Requests,Middleware,Missed Migration Step,Missing or Incorrect Data,Mobile,NA,NAT,Network Connectivity,New Account,New Hock User,New Product Request,New Requirement/Change to Requirement,New User Access,NFR,Old/New Product Mapping JBoss,Old/New Product Mapping RHEL,Onboarding,Openshift,Opportunities,Order Management,Other,Over-deployment,Overdue Renewals,Partner,Partner Activation,Partner Center Name Changes,Partner Certification,Partner Deal Registration,Partner Email Campaign,Partner Locator,Partner Logos,Partner Portal,Partner Products,Partner Requalification,Partner Status,Platform,Portal,Price List Update,Price Update,Profile/Role/Permissions,Project Change Form,Public Group or Queue Change,Question/Problem,Question/Problem Relating to JBoss,Question/Problem Relating to RHEL,Question/Training Need,Quoting Tool,Redemption Form,Regional Operations Support (ROS),Reg Number Replacement,Reg Number Request,Remove Hock User,Renewals,Report,Reports,Sales Data Analyst,Sales Forecasting & Analytics (SFA),Sales Reporting Analyst,Services,Services Operations,SFDC Mobile Activation,SKU Inquiry,SKU Mappings,SKU Replacement,Sku Request,SKU Update,Storage,Submit Order,SumTotal,Technical Product Query JBoss,Technical Product Query RHEL,Termination,Territory Change,Testing Process/Scenario,Transfer Account Ownership,Transfer Opportunity,User Access,Virtualization,Zero Value Change Order'),
	Country__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Afghanistan,Albania,Algeria,Angola,Argentina,Armenia,Aruba,Australia,Austria,Azerbaijan,Bahamas,Bahrain,Bangladesh,Barbados,Belarus,Belgium,Benin,Bolivia,Bosnia and Herzegovina,Botswana,Brazil,Bulgaria,Burkina Faso,Cambodia,Cameroon,Canada,Central African Republic,Chad,Chile,Colombia,Costa Rica,Côte d''Ivoire,Croatia,Cyprus,Czech Republic,Democratic Republic of Congo,Denmark,Dominican Republic,Ecuador,Egypt,El Salvador,Equatorial Guinea,Estonia,Ethiopia,Fiji,Finland,France,Gabon,Georgia,Germany,Ghana,Greece,Guatemala,Guinea,Haiti,Honduras,Hong Kong, SAR, PRC,Hungary,Iceland,India,Indonesia,Iran,Israel,Italy,Jamaica,Japan,Jordan,Kazakhstan,Kenya,Kuwait,Kyrgyz Republic,Lao PDR,Latvia,Lebanon,Libya,Lithuania,Luxembourg,Macao, China,Madagascar,Malawi,Malaysia,Mali,Malta,Mauritius,Mexico,Moldova,Mongolia,Morocco,Mozambique,Namibia,Nepal,Netherlands,New Zealand,Nicaragua,Niger,Nigeria,Norway,Oman,Pakistan,Panama,Papua New Guinea,Paraguay,People''s Republic of China (Mainland),Peru,Philippines,Poland,Portugal,Qatar,Republic of Congo,Republic of Ireland,Republic of Macedonia,Romania,Russia,Rwanda,Saudi Arabia,Senegal,Serbia and Montenegro,Singapore,Slovakia,Slovenia,South Africa,South Korea,Spain,Sri Lanka,Sudan,Swaziland,Sweden,Switzerland,Syria,Tajikistan,Tanzania,Thailand,Togo,Trinidad and Tobago,Tunisia,Turkey,Turkmenistan,Uganda,Ukraine,United Arab Emirates,United Kingdom,United States,Uruguay,Uzbekistan,Venezuela,Vietnam,West Bank and Gaza,Yemen,Zambia,Zimbabwe'),
	Modules__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Accounts,Campaigns,Contacts,Contracts,Credit,Credit Check,Dashboards,Documents,Heirarchy,Home,Leads,MDF,Opportunities,PRM,Products,Profiles,Reports,Roles,Users'),
	Areas_Affected__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Credit,Development,Finance,HR,IT,Marketing,Order Entry,Sales,Senior Management,Services,Training'),
	System_Issue__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Process_Issue__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Number_of_Seats_Requested__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Momentum_SET_UP__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Department__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Business Affairs,Finance,GIS,JBoss - Sales,Marketing,Operations,Sales,Sales College,Sales Engineer,Services'),
	Steering_Committee_Status__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Not Presented to Steering Committee,Needs Esclation to Steering Committee,Approved by Steering Committee,Denied by Steering Committee'),
	Oracle_Updated__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	sfdc_Leads_Updated__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	sfdc_Accounts_Updated__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Routing_Sheet_Updated__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Finance_Notified__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	X1_Recd_Partner_Activation_Template__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	EnterURLWhereProblemOccurs__c string(255) OPTIONS (NATIVE_TYPE 'url', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Rally_StoryPoints__c string(7) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Admin_Assessment__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Bug,Enhancement,Project,Non Technical,Support'),
	Theme__c string(50) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Comments__c string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BLOG_URL__c string(255) OPTIONS (NATIVE_TYPE 'url', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Account_Global_Region__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Rally_Iteration__c string(20) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Additional_Countries_of_Operation__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Afghanistan,Åland,Albania,Algeria,Antigua,Argentina,Aruba,Australia,Austria,Azerbaijan,Bahamas,Bahrain,Barbados,Barbuda,Belarus,Belgium,Belize,Benelux,Benin,Bermuda,Bolivia,Bosnia,Bosnia and Herzegovina,Botswana,Brazil,British Virgin Islands,Bulgaria,Burkina Faso,Burundi,Cameroon,Canada,Canary Islands,Cape Verde,Cayman Islands,Central African Republic,Central America,Chad,Chile,China,Colombia,Comoros,Congo,Costa Rica,Croatia,Cyprus,Czech Republic,Democratic Republic of Congo,Denmark,Djibouti,Dominica,Dominican Republic,Finland,France,French Guiana,Gabon,Gambia,Georgia,Germany,Ghana,Gibraltar,Greece,Grenada,Guadeloupe,Guam,Guatema,Guinea-Bissau,Guyana,Haiti,Honduras,Hong Kong,Hungary,Iceland,India,Indonesia,Ireland,Isle of Man,Israel,Italy,Jamaica,Japan,Jersey,Jordan,Kazakstan,Kenya,Kuwait,Kyrgyzstan,Laos,LATAM,Latvia,Lebanon,Liberia,Libya,Liechtenstein,Lithuania,Luxembourg,Macedonia,Madagascar,Madeira Islands,Mali,Malta,Mexico,Moldova,Monaco,Montenegro,Namibia,Netherlands,New Zealand,Nicaragua,Norway,Oman,Panama,Paraguay,Peru,Philippines,Poland,Portugal,Qatar,Romania,Russia,Rwanda,S-Africa,Sao Tome and Principe,Saudi Arabia,Senegal,Sierra Leone,Singapore,South Africa,South Korea,Spain,Sri Lanka,Suriname,Swaziland,Sweden,Switzerland,Togo,Trinidad,Tunisia,Turkey,Ukraine,United Arab Emirates,United Kingdom,United States,Venezuela,Virgin Islands,Western Sahara,Yemen,Zambia,Zimbabwe'),
	Case_Resolution__c string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	X2_Confirm_Partner_is_in_Partner_Center__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Current_Address__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Date_Opened__c date OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'date', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Module__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Account Profile,Approvals,Assigning Lead Routing Rules,Bug,Channel Management,Contracts,Credit,Data Access Setup,Enhancement,Hoover''s,Hot Topics,Lead Management,Manage Opportunity,Opportunity,Order Submitted,Performance & Insight,Question,Quote Builder,Route Lead,Search Before Create,Submit Order,Transformation,User Profile,Working Lead'),
	X3_Notify_Channel_Ops_Ready_for_Training__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Process_Area__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Administration,Analysis & Qualification,Building the Customer Case,Close Opportunity,Contract Management,Create Opportunity,Credit Management,Forecasting,Manage the Opportunity,Negotiating and Closing,Prospecting and Profiling,Sales Reporting,Working the Opportunity'),
	Requires_Follow_Up__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Resolution_Description__c string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Days_Open__c double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'double', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Source__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Back Office Training,Business Request,End User Training,GIT,Internal Review,Momentum,R1 Out of Scope,Requirements Gathering,Training Enhancement Request,TTT,UAG,UAT'),
	Information__c string(250) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Instructions__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Issue_Type_Classification__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'General Questions,Internal - EMEA Channel Ops,Module Issues,Open Program,PAM Support,Partner Onboarding,RHPDS User Request,Sales and Marketing,Training Request'),
	Targeted_Close_Date__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Issue_Type__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Aspire / Renewal Issue,BP (Business Plan),BU queries,Calculations,CCP/MSP,Certifications,Company Name/ Address Change,Content Feedback,Customer References,Deal Registration,EMEA SEAP,Eval request,General Questions,Global Queries,GLS on-site,GPS Special Bid,Ideas,Incorrect POC,Internal Approvals,ISV,LMS Access,Login to PRM,MDF (Market Development Funds),Migration Request,NFR (Not For Resale),Non Standard Requests,Non-Standard Special Bid,OEM,Old SKU,One Time Special Bid,Other,Out Of Territory,Partner Tier Upgrade Request,Partner Type Upgrade Request,PO Mandatory,Pre Sales Queries,Pricing Request,Product Queries,Quotes,Rebate,Renewal Info,Requalification Request,Request New User,RHEL 6 Release Request,Sales College/SABA,Sales Query,SEAP,Services,SI,SI orders,SKU /Pricing Request,SKU Request,Special Bid,User Activation Request,User Creation Request'),
	New_Address__c string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	New_Company_Name__c string(100) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Optional__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Release_Impacted__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'R1,R2,R3,R4,DR,M2L'),
	Partnership_Upgrade__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	NOTES_FROM_R2_GATHERING_MEETINGS__c string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Specializations__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Cloud Infrastructure,Data Center Infrastructure,Middleware Solutions,Public Sector,Specialization D'),
	RedHatLoginName__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Opportunity_Name__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CaseLogo__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Account_Country__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Spam_E_mail_to_Case__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	CaseReopenedByPartner__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Ship_To_Info__c string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Mobile_Type__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Blackberry,iPad,iPhone'),
	Mobile_Phone__c string(40) OPTIONS (NATIVE_TYPE 'phone', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Blackberry_Model_Number__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Demo__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	IT_Subject__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	IT_User_Story__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	DaysSinceLastComment__c double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'double', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	GCM_Comments__c double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'double', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Release_ID__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Target_Release__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" '2013.01,2013.02,2013.03,2013.04,2013.05,2013.06,2013.07,2013.08,2013.09,2013.10,2013.11,2013.12'),
	Prioritized__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	GCM_Business_Analyst__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Organization__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Engineering Services, Product & Technology,Facilities,Finance,Global Services,Global Support Services,IT,Legal & Business Affairs,Operations,People,Sales,Strategy & Corporate Marketing'),
	Function__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'APAC Operations,APAC Sales,Billing,Brand,Business Reporting & Analytics,Channel Sales,Corporate Development,Corporate Marketing,Credit,EMEA Operations,EMEA Sales,Global Change Management,Global Operations: Renewals,Global Sales Business Development,Government Sales,Integrated Field Marketing,LATAM Operations,LATAM Sales,NA Operations,NA Sales,Online Marketing,Operational Data,Program Marketing,Strategy'),
	Related_Project__c string(50) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	User_Story__c string(32768) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	LastCommentDate__c timestamp OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'datetime', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Rally_Last_Sync__c timestamp OPTIONS (NATIVE_TYPE 'datetime', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Rally_Schedule_State__c string(50) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Rally_State__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Pending,Ready,Created'),
	Rally_Story_URL__c string(255) OPTIONS (NATIVE_TYPE 'url', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Legacy_Profile__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Legacy_Role__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Owner__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Region__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'NA,APAC,EMEA,LATAM,GLOBAL'),
	Work_Module__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Account Management,Back Office Enablement,Forecasting,General SFDC,Lead Management,Opportunity Management,Partner Management,Reporting,Systems Integration'),
	Required_for_Release__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" '1,2,3a,3,4,Out of Scope - SA,LD - Point Release'),
	Sub_Module__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Access,Alerts,Approval,Commissions,Contracts,Credit,Data,Discounts,Docs,Forecast,Forms,General,Hierarchy,Localization,Nutcase,Prioritize,Profiles,QB,Quotes,Renewals,Reports,SBC,Triage,Validation'),
	Production_Deployment_Date__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Sign_Off_Date__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Admin_Priority__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Low,Medium,High,Urgent'),
	Queue_Name__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	User_Persona__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Bid Desk,Billing,Business Affairs,Business Unit,Channel Account Manager,Consultant,Credit,Customer Data,Finance,Inside Lead Management,Inside Sales,IT,Marketing,Marketing Operations,Marketing Sales Development,Order Management,Outside Sales,Project Accounting,Reporting Operations,Sales Manager,Sales Operations,Solution Architect,System Operations'),
	Case_Notes__c string(32768) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Rx_High_Level_Requirements__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'R2 - Localized Forms,R2 - QB HW Upgrade,R2 - Supportable X Interim Pain Relief,R2 - Dashboard Visibility,R2 - Improved Contract Visibility at Account Level,R2 - Account Profile Updates,R2 - Pre-Sales Process for SA,R2 - Dashboards and Reports Cleanup,R2 - SFDC, SBC and QB enhancements to improve efficiency,R2 - Additional OM Process Improvements,R2 - Strategic Account Classification and Hierarchy,R2 - LATAM: Local Requirements Configuration,R2 - US/APAC: Channel Load Process,R2 - Finance: Addl. Order Submit Validation,R2 - Finance: Booking and Commission Team Claims,R2 - Business Affairs: Access, Visibility, and Update Capability,R4 - Lead Distribution,R4 - Non-Salesforce.com items (QB and SBC),R4 - Remaining H/M reqs from R1/R2 (~60 SFDC pain point reqs of 80),R4 - High Post R2 Go-Live Feature reqs (SFDC),R4 - High Priority Items from Reqs Gathering Sessions (SFDC),R4 - APAC Channel Load,R4 - SKU for Metamatrix (owned by Ops),R4 - New SFDC functionality available in Dec.,R4 - EMEA Credit,R4 - Complete Process Visibility,R4 - EMEA Channel Load,R4 - Forecasting,R4 - Localization,R4 - OM Improvements,R4 - Renewals,R4 - Reports and Dashboards,R4 - SFDC Enhancements,R4 - SKU Cleanup,R4 - Supportable X,R4 - NA Pre Sales,R4 - EMEA Pre Sales,R2 - NUTCASE Enhancements'),
	EMEA_Channel_Ops_Type__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Communication,FYI,Post-fullfilment,Pre-Sales / Pre-Fulfilment,QE Support,Training,Triage,WIP'),
	Issue_Type_Detail__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Add-ons,Approvals,Backdating (SEAP),BU Query,Contract Number,Contract Questions,Co-Term,Deal Design,Discount,Downgrade,EU Details,EU Missing,General Questions,HP Related,Incorrect Quantity,Internal Use / MSP,Login / Account,NAT/Discount,Non Standard Terms,Normal,Old SKU,Other,Out of Disti Region,Out of EMEA,Out of EU,Partner Roles,Pricing,Pricing Query,Quantity,Quote,Renewal Data,Renewal Date,Reporting,Reseller Details,Reseller Missing,RH Address,Royalty,Royalty Information Missing,SKU,SKU Mapping Request,Standard,SWAT Case,Upgrade,Verification,Wrong Contract Number,Wrong Dates,Wrong Discount,Wrong NAT Used,Wrong Pricing,Wrong RH Address,Wrong SKU'),
	Owner_Design__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Jen Romano,Rebecca Loudermilk,Devon Kapler,John Herson,Kalidass,Anil,Paresh,Prasad,Brijesh,IDC - Test 1,IDC - Test 2,Earllette Frye,Timmy Boisvert,Will Larter,Phel Meyer,Sunil,Angela Daniels,Mary Chandra'),
	Owner_Build__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Jen Romano,Devon Kapler,John Herson,Kalidass,Anil,Paresh,Prasad,Brijesh,IDC - Test 1,IDC - Test 2,Rebecca Loudermilk,Antara,Gaurav,Sunil'),
	Owner_Test__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Jen Romano,Devon Kapler,John Herson,Kalidass,Anil,Paresh,Prasad,Brijesh,IDC - Test 1,IDC - Test 2'),
	Status_Design__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Not Started,In Progress,In Review,Completed,Waiting on Someone Else'),
	Status_Build__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Not Started,In Progress,In Review,Completed,Waiting on Someone Else,In QA'),
	Status_Test__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Not Started,In Progress,In Review,Completed,Waiting on Someone Else'),
	Design_Document__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Build_Document__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Technical_Requirement__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	UAT_Group__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Deployment_Date__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Training_Module__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Post_as_a_Top_Issue__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Pass_to__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Business Team,Tech Team,Transformation,QB & SBC,Other - IT,SKU/Pricebook Cleanup,App Maintenance,Program Management,Lead Management,Partner Center,Training,Future Business Process,Future Release'),
	Requester__c string(40) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	LD_Classification__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Lead Routing,Partner Facing'),
	Requirement_Traceability_Status__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Met,Partially Met,Not Met'),
	Requirement_Traceability_Comments__c string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Reason__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Business Withdrew,Passed to Transformation,Training Issue,Passed to Application Maintenance,Technical Complexity,Further Clarification could not be determined,Departmental Limitation,Existing Functionality,Pending Business Follow-up'),
	Duplicate__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	X4_Partner_Acct_Contact_exist_in_SFDC__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	X5_Create_Acct_Contact_in_SFDC__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	X6_Set_up_Inside_Sales_Rep_Access__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	X7_Set_up_Lead_Distribution_Account__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	X8_Set_up_Views_Queues__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	X9_Set_up_Routing_Rules__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	X10_Confirm_training_is_completed__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	X11_Generate_user_ID_password__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	X12_Notify_Channel_Ops_process_complete__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Related_to_SFA_Release__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	X13_Participating_in_Deal_Registration__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	X14_Participating_in_MDF__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	X15_Participating_in_Business_Planning__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Submit_to_RFC__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Approved_by_RFC__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	SLA_Actual_Delivery__c timestamp OPTIONS (NATIVE_TYPE 'datetime', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Assigned_BA__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Assigned_Developer__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Assigned_Tester__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Build_Document_Location__c string(255) OPTIONS (NATIVE_TYPE 'url', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	SLA_Target_Delivery__c timestamp OPTIONS (NATIVE_TYPE 'datetime', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Code_Location__c string(255) OPTIONS (NATIVE_TYPE 'url', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Test_Script_Location__c string(255) OPTIONS (NATIVE_TYPE 'url', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	UAT_Script__c string(32768) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Target_Deployment_Date__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Release_Notes_Location__c string(255) OPTIONS (NATIVE_TYPE 'url', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Contacts_Transferred__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	APAC_Approval__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	EMEA_Approval__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	LATAM_Approval__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	NA_Approval__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	GCM_Documentation__c string(2000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	NA_Business_Unit__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Commercial,Public Sector,N/A'),
	Impacted_Regions__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'APAC,EMEA,Global,LATAM,NA'),
	Impacted_NA_Business_Units__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Commercial,Public Sector,Both'),
	CasePriority__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CostPercentage__c double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'double', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	NPR_Countries_Sold_In__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'US,Canada,Argentina,Brazil,EMEA,Japan,Korea,China,Australia,Singapore,India'),
	NPR_EOL_Date__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	NPR_Entitlement_Quantity__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	NPR_Information__c string(32768) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	NPR_Item_Description__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	NPR_Launch_Date__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	NPR_MSRP_USD__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	NPR_New_Product_Notes__c string(32768) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	NPR_Primary_BU_Percent__c double OPTIONS (NATIVE_TYPE 'percent', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	NPR_Primary_BU__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Platform,Middleware,Cloud,Storage'),
	NPR_Product_Hierarchy__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'GLS.Fees / Other.Command Center,GLS.Fees / Other.Other,GLS.Fees / Other.Partner Training Fee,GLS.Fees / Other.Program Fees,GLS.Merchandise.Cool Stuff,GLS.On-sites.On-Site Training,GLS.On-sites.On-site Cloud,GLS.On-sites.On-site Custom,GLS.On-sites.On-site JBoss,GLS.On-sites.On-site Red Hat,GLS.Open Enrollment.Open Enrollment Cloud,GLS.Open Enrollment.Open Enrollment JBoss,GLS.Open Enrollment.Open Enrollment Red Hat,GLS.Red Hat Academy.Red Hat Academy,GLS.Training Kits.Training Kits Cloud,GLS.Training Kits.Training Kits JBoss,GLS.Training Kits.Training Kits Red Hat,GLS.Training Units.Training Units,GLS.Virtual Training.Virtual Training Cloud,GLS.Virtual Training.Virtual Training JBoss,GLS.Virtual Training.Virtual Training Red Hat,GLS.e-Learning.e-Learning,GPS.Consulting Units.Consulting Units MW,GPS.Consulting Units.Consulting Units Red Hat,GPS.Consulting.Consulting Amentra,GPS.Consulting.Consulting Cloud,GPS.Consulting.Consulting JBoss,GPS.Consulting.Consulting Middleware,GPS.Consulting.Consulting Red Hat,GPS.Fees / Other.Command Center Fee,GPS.Fees / Other.Other,GPS.GES.Embedded NRE / Service,GPS.GES.Embedded Support,GSS.Cloud.L3 Support,GSS.Developer Support.Application Developer Support,GSS.Developer Support.Dev Support Enterprise (Legacy),GSS.Developer Support.Dev Support Professional (Legacy),GSS.Developer Support.Developer Support,GSS.Developer Support.JBDS,GSS.Developer Support.JBoss IDE,GSS.Developer Support.JBoss Partner,GSS.Developer Support.Other,GSS.Developer Support.Per Incident,GSS.Developer Support.Portfolio Developer Support,GSS.Developer Support.Standard Developer Support,GSS.Other.Other,GSS.TAM.Cloud TAM,GSS.TAM.JBoss TAM,GSS.TAM.Red Hat TAM,GSS.TAM.Storage TAM,GSS.TAM.Virtualization TAM,Subscriptions.Appliances.Console,Subscriptions.Appliances.Storage Software,Subscriptions.Appliances.Virtual Storage,Subscriptions.BRMS / Rules.BRMS Platform,Subscriptions.BRMS / Rules.Rules Framework,Subscriptions.Certificate Sys and Directory Serv.Certificate Sys,Subscriptions.Certificate Sys and Directory Serv.Directory Serv,Subscriptions.Certificate Sys and Directory Serv.IPA,Subscriptions.Certification.Hardware Certification,Subscriptions.Cloud Provider.Extended Update Support,Subscriptions.Cloud Provider.High Availability,Subscriptions.Cloud Provider.JBoss for Cloud Providers,Subscriptions.Cloud Provider.Load Balancer,Subscriptions.Cloud Provider.Management Tool for Cloud Providers,Subscriptions.Cloud Provider.Provision Tool for Cloud Providers,Subscriptions.Cloud Provider.RHEL Server,Subscriptions.Cloud Provider.RHEL for Cloud Providers,Subscriptions.Cloud Provider.Resilient Storage,Subscriptions.Cloud Provider.Scalable File System,Subscriptions.CloudForms.CloudForms,Subscriptions.CloudForms.CloudForms plus RHEL,Subscriptions.CloudForms.CloudForms plus RHEL and RHEV,Subscriptions.CloudForms.CloudForms plus RHEV,Subscriptions.Data Grid.Data Grid,Subscriptions.Data Services Platform.Enterprise Data Services Platform,Subscriptions.Data Services Platform.Metamatrix,Subscriptions.Enterprise Application Platform.Apache Tomcat,Subscriptions.Enterprise Application Platform.Apache Web Server,Subscriptions.Enterprise Application Platform.Application Server,Subscriptions.Enterprise Application Platform.Cache,Subscriptions.Enterprise Application Platform.Enterprise Application Platform,Subscriptions.Enterprise Application Platform.Enterprise Web Platform,Subscriptions.Enterprise Application Platform.Enterprise Web Server,Subscriptions.Enterprise Application Platform.Enterprise Web Server Plus,Subscriptions.Enterprise Application Platform.Enterprise Web Server with RHEL,Subscriptions.Enterprise Application Platform.Extended Lifecycle Support,Subscriptions.Enterprise Application Platform.Hibernate Framework,Subscriptions.Enterprise Application Platform.JBoss Messaging,Subscriptions.Enterprise Application Platform.JEMS Bundle,Subscriptions.Enterprise Application Platform.Transactions,Subscriptions.Enterprise Application Platform.Web Framework Kit,Subscriptions.Enterprise Portal Platform.Enterprise Portal Platform,Subscriptions.Enterprise Portal Platform.Site Publisher,Subscriptions.Enterprise Web Server.Enterprise Web Server Plus,Subscriptions.Fees / Other.Command Center,Subscriptions.Fees / Other.Freight Charge,Subscriptions.Fees / Other.Other,Subscriptions.Fees / Other.Partner Fees,Subscriptions.Fees / Other.Program Fees,Subscriptions.Fuse.Fuse Developer,Subscriptions.Fuse.Fuse Production,Subscriptions.GES.Embedded NRE / Service,Subscriptions.GES.Embedded Support,Subscriptions.Images.Amazon Machine,Subscriptions.JBoss Communications Platform.Communications Platform,Subscriptions.JON Monitoring.JON Monitoring for EAP,Subscriptions.JON Monitoring.JON Monitoring for EWS,Subscriptions.JON Monitoring.JON Monitoring for SOA,Subscriptions.JON.JON for BRMS,Subscriptions.JON.JON for DG,Subscriptions.JON.JON for EAP,Subscriptions.JON.JON for EDSP,Subscriptions.JON.JON for EPP,Subscriptions.JON.JON for EWP,Subscriptions.JON.JON for EWS,Subscriptions.JON.JON for EWS Plus,Subscriptions.JON.JON for SOA,Subscriptions.MRG.Grid,Subscriptions.MRG.Messaging,Subscriptions.MRG.Realtime,Subscriptions.Openstack.Openstack,Subscriptions.RHEA.CMS,Subscriptions.RHEA.Collaboration,Subscriptions.RHEA.Content Management,Subscriptions.RHEA.PostgreSQL,Subscriptions.RHEA.RH App Stack,Subscriptions.RHEA.RHEA Application Server,Subscriptions.RHEL.Academic,Subscriptions.RHEL.Advanced Mission Critical,Subscriptions.RHEL.Extended Lifecycle Support,Subscriptions.RHEL.EUS for Server,Subscriptions.RHEL.EUS for POWER,Subscriptions.RHEL.EUS for System Z,Subscriptions.RHEL.High Availability,Subscriptions.RHEL.High Performance Network,Subscriptions.RHEL.High-Availability,Subscriptions.RHEL.Load Balancer,Subscriptions.RHEL.Media Kit,Subscriptions.RHEL.Other,Subscriptions.RHEL.RHEL Desktop,Subscriptions.RHEL.RHEL Server,Subscriptions.RHEL.RHEL Workstation,Subscriptions.RHEL.RHEL Workstations,Subscriptions.RHEL.RHEL for Grid Node,Subscriptions.RHEL.RHEL for HPC,Subscriptions.RHEL.RHEL for HPC Compute Node,Subscriptions.RHEL.RHEL for HPC Head Node,Subscriptions.RHEL.RHEL for IBM Power,Subscriptions.RHEL.RHEL for IBM System z,Subscriptions.RHEL.RHEL for ITANIUM,Subscriptions.RHEL.RHEL for Mainframe,Subscriptions.RHEL.RHEL for Point of Sale,Subscriptions.RHEL.RHEL for Prem Architectures,Subscriptions.RHEL.RHEL for SAP,Subscriptions.RHEL.RHEL for SAP applications,Subscriptions.RHEL.RHEL for System Z,Subscriptions.RHEL.RHEL for Virtual Machines,Subscriptions.RHEL.Resilient Storage,Subscriptions.RHEL.Scalable File System,Subscriptions.RHEL.Shared Storage,Subscriptions.RHEL.Stronghold Web Server,Subscriptions.RHEV.RHEV for Desktops,Subscriptions.RHEV.RHEV for Servers,Subscriptions.RHN Satellite.Academic,Subscriptions.RHN Satellite.Management Modules,Subscriptions.RHN Satellite.Mgmt + Provisioning + Monitoring,Subscriptions.RHN Satellite.Monitoring,Subscriptions.RHN Satellite.Monitoring + Management Modules,Subscriptions.RHN Satellite.Monitoring + Provisioning,Subscriptions.RHN Satellite.Other,Subscriptions.RHN Satellite.Provisioning,Subscriptions.RHN Satellite.Provisioning + Management Modules,Subscriptions.RHN Satellite.Proxy,Subscriptions.RHN Satellite.Satellite Server,Subscriptions.RHN Satellite.Satellite Starter Pack,Subscriptions.RHX.Alfresco,Subscriptions.RHX.Amanda,Subscriptions.RHX.CentricCRM,Subscriptions.RHX.Compiere,Subscriptions.RHX.Enterprise DB,Subscriptions.RHX.Groundwork,Subscriptions.RHX.Jasper,Subscriptions.RHX.MySQL,Subscriptions.RHX.OpenFire,Subscriptions.RHX.Pentaho,Subscriptions.RHX.Sugar,Subscriptions.RHX.Zenoss,Subscriptions.RHX.Zimbra,Subscriptions.Runtime.Extended Lifecycle Support,Subscriptions.Runtime.GFS and Cluster Suite Preloads,Subscriptions.Runtime.L3 Support and Annual Fee,Subscriptions.Runtime.RHEL Field Updates,Subscriptions.Runtime.RHEL Preloads,Subscriptions.SOA-P / jBPM.Business Process Bundle,Subscriptions.SOA-P / jBPM.Enterprise SOA Platform,Subscriptions.SOA-P / jBPM.jBPM Framework,Subscriptions.Templates.GoGrid,Subscriptions.Templates.Rightscale Server,Subscriptions.OpenShift.OpenShift Enterprise,Subscriptions.OpenShift.Broker Infrastructure,Subscriptions.OpenShift.JBoss EAP'),
	NPR_RHN_Channel_Families__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	NPR_Received_NPP_Approval__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	NPR_Secondary_BU_Percent__c double OPTIONS (NATIVE_TYPE 'percent', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	NPR_Secondary_BU__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Platform,Middleware,Cloud,Storage'),
	NPR_Socket_Limit__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	NPR_Support_Level__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'EMBEDDED L3,ISV L3 Partner Support,L1-L3,L3,L3 Support Partner,PSC,PSD,PSF,UNRESTRICTED L3,Other'),
	NPR_Support_Type__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'AMC,AMC-ENHANCED,DEV-ENTERPRISE,DEV-PROFESSIONAL,Layered,PREMIUM,SELF-SUPPORT,STANDARD,None'),
	NPR_Term__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" '1 Year,3 Year,30 Day,60 Day,90 Day'),
	NPR_Tertiary_BU_Percent__c double OPTIONS (NATIVE_TYPE 'percent', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	NPR_Tertiary_BU__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Platform,Middleware,Cloud,Storage'),
	NPR_Virt_Limit__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Priority__c double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'double', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	RelativeBenefit__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	RelativeCost__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	RelativePenalty__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ValuePercentage__c double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'double', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	UAT_Results__c string(32768) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	UAT__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Rank__c string(64) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Business_Justification__c string(32768) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	UserStoryCustom__c string(32768) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Alternatives__c string(600) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Discussion_Mojo_URL__c string(255) OPTIONS (NATIVE_TYPE 'url', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Object_ID__c string(10) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Recommendation__c string(1000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Reproducible__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Yes,No'),
	Severity__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" '1 - Low,2 - Medium,3 - High,4 - Critical'),
	Subteam__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Core Team,Marketing,Sales/Sales Ops,Order Management,Customer Data,Global Change Management,Global Business Analytics,Global Support Services,Enterprise Architecture,IT Biz Ops,SOA Services and ESB (SSE),Salesforce Automation (SFA)'),
	System_Environment__c string(20) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Team__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'PMO,Process,Technology'),
	Test_Case_Number__c string(20) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Test_Phase__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" '1 - Technical Unit Test,2 - Functional Unit Test,3 - Integration Test I,4 - Hardening,5 - Integration Test II,6 - User Acceptance Test,7 - Performance Test,8 - Regression Test'),
	Vendor_Request_Number__c string(20) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Release_Decision_Reasoning__c string(200) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Category__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Access/Env Issues,APPX Tool,Big Machines,Commissions Extract,Conversion,Customer Management,Dataloader Error,Design Issue,Missing Data,Opportunity Enhancements,Opportunity Splits,Opportunity to Order,Oracle extract issues,Order to Opportunity,Other Report Issue,Partner Center,Product Enhancements,Report Data Issues,SFDC Account,SFDC issues,SKU,System Defects,User'),
	Subcategory__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Additional Parties/ PRL,Address Enhancement,BigMachines Quoting and Discounts,BM SFDC Integration,Business Logic Issue,Contact Enhancement,Contact Search-Before-Create,Conversion Data Testing,Credit Check,Data Issues,EBS Account Integration,EBS Accounts Extension,EBS Order Inbound,EBS Order Outbound,Enrollment,Forms,Login Issues,New Data Fields Not Available,Opportunities,Opportunity Enhancements,Opportunity Split,Opportunity Staging Table,Opportunity to Order Process,Order to Opportunity Process,Other Issue,Partner Accounts,Portal Access,Pricing Service,PRL,Product Enhancement,Quoting/Pricing,Report/Folder Access Issue,Report Template Issues,Report Types,Sales Account Enhancements,Sales Account – Party Integration,Sales Account Search-Before-Create,Universe Access,Updating/Creating Opportunities'),
	C360_Project__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'SFDC Integration,Opportunity Conversion,SKU Redesign,GBA Reporting,SFDC Reporting,Renewals,Sales Incentives'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Account_AccountId FOREIGN KEY(AccountId) REFERENCES Account (Id) OPTIONS (NAMEINSOURCE 'Cases'),
	CONSTRAINT FK_Asset_AssetId FOREIGN KEY(AssetId) REFERENCES Asset (Id) OPTIONS (NAMEINSOURCE 'Cases'),
	CONSTRAINT FK_BusinessHours_BusinessHoursId FOREIGN KEY(BusinessHoursId) REFERENCES BusinessHours (Id) OPTIONS (NAMEINSOURCE 'Cases'),
	CONSTRAINT FK_Case__ParentId FOREIGN KEY(ParentId) REFERENCES Case_ (Id) OPTIONS (NAMEINSOURCE 'Cases'),
	CONSTRAINT FK_CasePriority__c_CasePriority__c FOREIGN KEY(CasePriority__c) REFERENCES CasePriority__c (Id) OPTIONS (NAMEINSOURCE 'Cases__r'),
	CONSTRAINT FK_Contact_ContactId FOREIGN KEY(ContactId) REFERENCES Contact (Id) OPTIONS (NAMEINSOURCE 'Cases'),
	CONSTRAINT FK_Opportunity_Opportunity_Name__c FOREIGN KEY(Opportunity_Name__c) REFERENCES Opportunity (Id) OPTIONS (NAMEINSOURCE 'Cases__r'),
	CONSTRAINT FK_User__Assigned_BA__c FOREIGN KEY(Assigned_BA__c) REFERENCES User_ (Id) OPTIONS (NAMEINSOURCE 'Cases__r'),
	CONSTRAINT FK_User__Assigned_Developer__c FOREIGN KEY(Assigned_Developer__c) REFERENCES User_ (Id) OPTIONS (NAMEINSOURCE 'Cases1__r'),
	CONSTRAINT FK_User__Assigned_Tester__c FOREIGN KEY(Assigned_Tester__c) REFERENCES User_ (Id) OPTIONS (NAMEINSOURCE 'Cases2__r'),
	CONSTRAINT FK_User__GCM_Business_Analyst__c FOREIGN KEY(GCM_Business_Analyst__c) REFERENCES User_ (Id) OPTIONS (NAMEINSOURCE 'Cases3__r'),
	CONSTRAINT FK_User__Owner__c FOREIGN KEY(Owner__c) REFERENCES User_ (Id) OPTIONS (NAMEINSOURCE 'CasesOwned__r')
) OPTIONS (NAMEINSOURCE 'Case', UPDATABLE TRUE, "teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE CaseComment (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	ParentId string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsPublished boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CommentBody string OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Case__ParentId FOREIGN KEY(ParentId) REFERENCES Case_ (Id) OPTIONS (NAMEINSOURCE 'CaseComments')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE CaseCommentData__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	Case__c string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CaseCommentId__c string(18) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CreatedBy__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CreatedDate__c timestamp OPTIONS (NATIVE_TYPE 'datetime', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	LastModifiedDate__c timestamp OPTIONS (NATIVE_TYPE 'datetime', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Case__Case__c FOREIGN KEY(Case__c) REFERENCES Case_ (Id) OPTIONS (NAMEINSOURCE 'Case_Comments_Meta_Data__r'),
	CONSTRAINT FK_User__CreatedBy__c FOREIGN KEY(CreatedBy__c) REFERENCES User_ (Id) OPTIONS (NAMEINSOURCE 'Case_Comments_Data__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE CaseCommentData__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_CaseCommentData__c_ItemId FOREIGN KEY(ItemId) REFERENCES CaseCommentData__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE CaseContactRole (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CasesId string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ContactId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Role string(40) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Technical Contact,Business Contact,Decision Maker,Other'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Case__CasesId FOREIGN KEY(CasesId) REFERENCES Case_ (Id) OPTIONS (NAMEINSOURCE 'CaseContactRoles'),
	CONSTRAINT FK_Contact_ContactId FOREIGN KEY(ContactId) REFERENCES Contact (Id) OPTIONS (NAMEINSOURCE 'CaseContactRoles')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE CaseFeed (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	ParentId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	FeedPostId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'TrackedChange,UserStatus,TextPost,AdvancedTextPost,LinkPost,ContentPost,PollPost,RypplePost,ProfileSkillPost,DashboardComponentSnapshot,ApprovalPost,CaseCommentPost,ReplyPost,EmailMessageEvent,CallLogPost,ChangeStatusPost,AttachArticleEvent,MilestoneEvent,ActivityEvent,ChatTranscriptPost,CollaborationGroupCreated,CollaborationGroupUnarchived,SocialPost,QuestionPost,FacebookPost,BasicTemplateFeedItem,CreateRecordEvent,CanvasPost,AnnouncementPost'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Case__ParentId FOREIGN KEY(ParentId) REFERENCES Case_ (Id) OPTIONS (NAMEINSOURCE 'Feeds')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'false', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE CaseHistory (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CaseId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Field string(255) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Account,Additional_Countries_of_Operation__c,Admin_Assessment__c,Admin_Priority__c,Alternatives__c,APAC_Approval__c,Approved_by_RFC__c,Areas_Affected__c,Asset,Assigned_BA__c,Assigned_Developer__c,Assigned_Tester__c,Blackberry_Model_Number__c,BLOG_URL__c,Build_Document__c,Build_Document_Location__c,Business_Justification__c,BusinessHours,C360_Project__c,Case_Notes__c,Case_Resolution__c,CasePriority__c,CaseReopenedByPartner__c,Category__c,closed,Code_Location__c,Comments__c,Contact,Contacts_Transferred__c,Country__c,created,CurrencyIsoCode,Demo__c,Department__c,Deployment_Date__c,Description,Design_Document__c,Discussion_Mojo_URL__c,Duplicate__c,EMEA_Approval__c,EMEA_Channel_Ops_Type__c,EnterURLWhereProblemOccurs__c,feedEvent,Finance_Notified__c,Function__c,GCM_Business_Analyst__c,GCM_Documentation__c,GCM_Documentation_Complete__c,Impacted_NA_Business_Units__c,Impacted_Regions__c,Information__c,Instructions__c,IsClosedOnCreate,IsEscalated,IsSelfServiceClosed,Issue_Type__c,Issue_Type_Classification__c,Issue_Type_Detail__c,IsVisibleInSelfService,IT_Subject__c,IT_User_Story__c,LATAM_Approval__c,LD_Classification__c,Mobile_Phone__c,Mobile_Type__c,Module__c,Modules__c,Momentum_SET_UP__c,NA_Approval__c,NA_Business_Unit__c,New_Address__c,New_Company_Name__c,NOTES_FROM_R2_GATHERING_MEETINGS__c,NPR_Countries_Sold_In__c,NPR_Entitlement_Quantity__c,NPR_EOL_Date__c,NPR_Information__c,NPR_Item_Description__c,NPR_Launch_Date__c,NPR_MSRP_USD__c,NPR_New_Product_Notes__c,NPR_Primary_BU__c,NPR_Primary_BU_Percent__c,NPR_Product_Hierarchy__c,NPR_Received_NPP_Approval__c,NPR_RHN_Channel_Families__c,NPR_Secondary_BU__c,NPR_Secondary_BU_Percent__c,NPR_Socket_Limit__c,NPR_Support_Level__c,NPR_Support_Type__c,NPR_Term__c,NPR_Tertiary_BU__c,NPR_Tertiary_BU_Percent__c,NPR_Virt_Limit__c,Number_of_Seats_Requested__c,Object_ID__c,Opportunity_Name__c,Optional__c,Oracle_Updated__c,Organization__c,Origin,Owner,Owner__c,Owner_Build__c,Owner_Design__c,Owner_Test__c,ownerAccepted,ownerAssignment,ownerEscalated,Parent,Partnership_Upgrade__c,Pass_to__c,Post_as_a_Top_Issue__c,Prioritized__c,Priority,Process_Area__c,Process_Issue__c,Production_Deployment_Date__c,Queue_Name__c,Rally_Iteration__c,Rally_Last_Sync__c,Rally_Schedule_State__c,Rally_State__c,Rally_Story_URL__c,Rally_StoryPoints__c,Rank__c,Reason,Reason__c,Recommendation__c,locked,RecordType,unlocked,RedHatLoginName__c,Region__c,Related_Project__c,Related_to_SFA_Release__c,RelativeBenefit__c,RelativeCost__c,RelativePenalty__c,Release_Decision_Reasoning__c,Release_ID__c,Release_Impacted__c,Release_Notes_Location__c,Release_Type__c,Reproducible__c,Requester__c,Required_for_Release__c,Requirement_Traceability_Comments__c,Requirement_Traceability_Status__c,Requires_Follow_Up__c,Resolution_Description__c,Routing_Sheet_Updated__c,Rx_High_Level_Requirements__c,Severity__c,sfdc_Accounts_Updated__c,sfdc_Leads_Updated__c,Ship_To_Info__c,Sign_Off_Date__c,SLA_Actual_Delivery__c,SLA_Target_Delivery__c,Source__c,Spam_E_mail_to_Case__c,Specializations__c,Status,Status_Build__c,Status_Design__c,Status_Test__c,Steering_Committee_Status__c,Sub_Module__c,Subcategory__c,Subject,Submit_to_RFC__c,Subteam__c,System_Environment__c,System_Issue__c,Target_Deployment_Date__c,Target_Release__c,Targeted_Close_Date__c,Team__c,Technical_Requirement__c,Test_Case_Number__c,Test_Phase__c,Test_Script_Location__c,Theme__c,Training_Module__c,Type,Type_Detail__c,UAT__c,UAT_Group__c,UAT_Results__c,UAT_Script__c,User_Persona__c,User_Story__c,UserStoryCustom__c,Vendor_Request_Number__c,Work_Module__c,X1_Recd_Partner_Activation_Template__c,X10_Confirm_training_is_completed__c,X11_Generate_user_ID_password__c,X12_Notify_Channel_Ops_process_complete__c,X13_Participating_in_Deal_Registration__c,X14_Participating_in_MDF__c,X15_Participating_in_Business_Planning__c,X2_Confirm_Partner_is_in_Partner_Center__c,X3_Notify_Channel_Ops_Ready_for_Training__c,X4_Partner_Acct_Contact_exist_in_SFDC__c,X5_Create_Acct_Contact_in_SFDC__c,X6_Set_up_Inside_Sales_Rep_Access__c,X7_Set_up_Lead_Distribution_Account__c,X8_Set_up_Views_Queues__c,X9_Set_up_Routing_Rules__c'),
	OldValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	NewValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Case__CaseId FOREIGN KEY(CaseId) REFERENCES Case_ (Id) OPTIONS (NAMEINSOURCE 'Histories')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'false', "teiid_sf:Supports Delete" 'false', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE CasePriority__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	Totals__c string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Case__c string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ExternalId__c string(36) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	RelativeCostFormula__c double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'double', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	RelativeCost__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	RelativeValueFormula__c double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'double', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	RelativeValue__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	TotalCost__c double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'double', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	TotalValue__c double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'double', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Case__Case__c FOREIGN KEY(Case__c) REFERENCES Case_ (Id) OPTIONS (NAMEINSOURCE 'Case_Priorities__r'),
	CONSTRAINT FK_CasePriorityTotals__c_Totals__c FOREIGN KEY(Totals__c) REFERENCES CasePriorityTotals__c (Id) OPTIONS (NAMEINSOURCE 'Case_Priorities__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE CasePriority__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_CasePriority__c_ItemId FOREIGN KEY(ItemId) REFERENCES CasePriority__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE CasePriorityTotals__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	TotalCost__c double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'double', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	TotalValue__c double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'double', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id)
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE CasePriorityTotals__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_CasePriorityTotals__c_ItemId FOREIGN KEY(ItemId) REFERENCES CasePriorityTotals__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE CaseRecordType__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(38) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	SetupOwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	RecordTypeId__c string(20) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	RecordTypeName__c string(40) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id)
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE CaseRecordType__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_CaseRecordType__c_ItemId FOREIGN KEY(ItemId) REFERENCES CaseRecordType__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE CaseShare (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CaseId string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	UserOrGroupId string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CaseAccessLevel string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Read,Edit,All'),
	RowCause string(40) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Owner,Manual,Rule,ImplicitChild,ImplicitParent,Team,Territory,TerritoryManual,TerritoryRule,Territory2Forecast'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Case__CaseId FOREIGN KEY(CaseId) REFERENCES Case_ (Id) OPTIONS (NAMEINSOURCE 'Shares')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE CaseSolution (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CaseId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	SolutionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Case__CaseId FOREIGN KEY(CaseId) REFERENCES Case_ (Id) OPTIONS (NAMEINSOURCE 'CaseSolutions'),
	CONSTRAINT FK_Solution_SolutionId FOREIGN KEY(SolutionId) REFERENCES Solution (Id) OPTIONS (NAMEINSOURCE 'CaseSolutions')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE CaseStatus (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	MasterLabel string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	SortOrder integer OPTIONS (NATIVE_TYPE 'int', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDefault boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsClosed boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CONSTRAINT Id_PK PRIMARY KEY(Id)
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'false', "teiid_sf:Supports Delete" 'false', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE CaseTag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Case__ItemId FOREIGN KEY(ItemId) REFERENCES Case_ (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE CaseTeamMember (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	ParentId string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	MemberId string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	TeamTemplateMemberId string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	TeamRoleId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Case__ParentId FOREIGN KEY(ParentId) REFERENCES Case_ (Id) OPTIONS (NAMEINSOURCE 'TeamMembers')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE CaseTeamRole (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	AccessLevel string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'None,Read,Edit'),
	PreferencesVisibleInCSP boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id)
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'false', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE CaseTeamTemplate (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Description string(300) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id)
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE CaseTeamTemplateMember (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TeamTemplateId string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	MemberId string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	TeamRoleId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id)
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE CaseTeamTemplateRecord (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	ParentId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	TeamTemplateId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Case__ParentId FOREIGN KEY(ParentId) REFERENCES Case_ (Id) OPTIONS (NAMEINSOURCE 'TeamTemplateRecords')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE CategoryData (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CategoryNodeId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	RelatedSobjectId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CONSTRAINT Id_PK PRIMARY KEY(Id)
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE CategoryNode (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	ParentId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	MasterLabel string(40) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	SortOrder integer OPTIONS (NATIVE_TYPE 'int', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	SortStyle string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'custom,alphabetical'),
	CONSTRAINT Id_PK PRIMARY KEY(Id)
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE CategoryNodeLocalization (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CategoryNodeId string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Language_ string(40) OPTIONS (NAMEINSOURCE 'Language', UPDATABLE FALSE, NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'en_US,de,es,fr,it,ja,sv,ko,zh_TW,zh_CN,pt_BR,nl_NL,da,th,fi,ru,es_MX'),
	Value_ string(1000) OPTIONS (NAMEINSOURCE 'Value', NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	NamespacePrefix string(15) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_CategoryNode_CategoryNodeId FOREIGN KEY(CategoryNodeId) REFERENCES CategoryNode (Id) OPTIONS (NAMEINSOURCE 'Localization')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE CCB_Event__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	LastActivityDate date OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CCB_Date_Time__c timestamp OPTIONS (NATIVE_TYPE 'datetime', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Change_Control__c string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Change_Management__c_Change_Control__c FOREIGN KEY(Change_Control__c) REFERENCES Change_Management__c (Id) OPTIONS (NAMEINSOURCE 'R00N30000000xep2EAA')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE CCB_Event__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_CCB_Event__c_ItemId FOREIGN KEY(ItemId) REFERENCES CCB_Event__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE CDH_Party__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	CDH_Party_Name__c string(240) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CDH_Party_Number_Ext__c string(20) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CDH_Party_Type__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Group,ORGANIZATION,Party Relationship,PERSON'),
	DUNS__c string(20) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id)
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE CDH_Party__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_CDH_Party__c_ItemId FOREIGN KEY(ItemId) REFERENCES CDH_Party__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Change_Control_Board__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	Approved_Changed__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Yes,No'),
	Member_Issue__c string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Attended_CCB__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	CCBMember__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CCB_Event__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_CCB_Event__c_CCB_Event__c FOREIGN KEY(CCB_Event__c) REFERENCES CCB_Event__c (Id) OPTIONS (NAMEINSOURCE 'R00N30000000xesfEAA'),
	CONSTRAINT FK_User__CCBMember__c FOREIGN KEY(CCBMember__c) REFERENCES User_ (Id) OPTIONS (NAMEINSOURCE 'R00N30000000xeo4EAA')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE Change_Control_Board__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Change_Control_Board__c_ItemId FOREIGN KEY(ItemId) REFERENCES Change_Control_Board__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Change_Management__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	RecordTypeId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	LastActivityDate date OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Business_Justification__c string(1000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Deployment_Date__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id)
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE Change_Management__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Change_Management__c_ItemId FOREIGN KEY(ItemId) REFERENCES Change_Management__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Change_Request__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	RecordTypeId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	LastActivityDate date OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Age__c double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'double', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Approver__c string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Assigned_Developer__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Biz_Process_Process_Hours__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Bug_Deployment__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Bug_description__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Build_Status__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Not Started,In Progress,Ready to Test,Ready to deploy,Completed'),
	Category__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Business,Technology,Adoption and Org Readiness'),
	Configuration_Hours__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Consensus_Meeting_Comments__c string(32768) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Date_Reviewed_in_Consensus_Meeting__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Date_for_Reassessment__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Deploying_from_environment__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Developer,Staging,Test (QA)'),
	Deploying_to_environment__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Test (QA),Staging,Production'),
	Deployment_Instructions__c string(32768) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Deployment_Type__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Code change,Configuration only,Configuration and code,Profiles and permissions,Data Migration'),
	Detailed_Description__c string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Development_Hours__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Development_Progress__c double OPTIONS (NATIVE_TYPE 'percent', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Estimated_End_Time__c timestamp OPTIONS (NATIVE_TYPE 'datetime', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Final_Approver__c string(50) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Fix_Type__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Code change,Configuration only,Configuration and code,Profiles and permissions,Data Migration'),
	Flag_for_Escalation__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Implementation_Date__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Implementation_Notes__c string(32768) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Planned_Completion_Date__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Priority__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Low,Medium,High,Critical'),
	Production_fix__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Proposed_Start_Time__c timestamp OPTIONS (NATIVE_TYPE 'datetime', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Related_Release__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Related_Requirement__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Requirements_Hours__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Rollback_plan__c string(32768) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Status__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Pending,Submitted for approval,Approved,Denied,In Progress'),
	Sub_Category__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Adoption,Application,Application Design,Communications,Data Cleansing,Data Migration,Integration,Process,Requirements,Testing,Training,Timeline,Resources,Budget'),
	Summary__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Tech_Design_Hours__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Total_Level_of_Effort__c double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'double', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Work_Package__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Release__c_Related_Release__c FOREIGN KEY(Related_Release__c) REFERENCES Release__c (Id) OPTIONS (NAMEINSOURCE 'Change_Requests__r'),
	CONSTRAINT FK_Requirement__c_Related_Requirement__c FOREIGN KEY(Related_Requirement__c) REFERENCES Requirement__c (Id) OPTIONS (NAMEINSOURCE 'Change_Requests__r'),
	CONSTRAINT FK_User__Assigned_Developer__c FOREIGN KEY(Assigned_Developer__c) REFERENCES User_ (Id) OPTIONS (NAMEINSOURCE 'Change_Requests__r'),
	CONSTRAINT FK_Work_Package__c_Work_Package__c FOREIGN KEY(Work_Package__c) REFERENCES Work_Package__c (Id) OPTIONS (NAMEINSOURCE 'Change_Requests__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE Change_Request__Feed (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	ParentId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	FeedPostId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'TrackedChange,UserStatus,TextPost,AdvancedTextPost,LinkPost,ContentPost,PollPost,RypplePost,ProfileSkillPost,DashboardComponentSnapshot,ApprovalPost,CaseCommentPost,ReplyPost,EmailMessageEvent,CallLogPost,ChangeStatusPost,AttachArticleEvent,MilestoneEvent,ActivityEvent,ChatTranscriptPost,CollaborationGroupCreated,CollaborationGroupUnarchived,SocialPost,QuestionPost,FacebookPost,BasicTemplateFeedItem,CreateRecordEvent,CanvasPost,AnnouncementPost'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Change_Request__c_ParentId FOREIGN KEY(ParentId) REFERENCES Change_Request__c (Id) OPTIONS (NAMEINSOURCE 'Feeds')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'false', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Change_Request__History (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	ParentId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Field string(255) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Approver__c,Assigned_Developer__c,Biz_Process_Process_Hours__c,Bug_Deployment__c,Bug_description__c,Build_Status__c,Category__c,Configuration_Hours__c,Consensus_Meeting_Comments__c,created,CurrencyIsoCode,Date_for_Reassessment__c,Date_Reviewed_in_Consensus_Meeting__c,Deploying_from_environment__c,Deploying_to_environment__c,Deployment_Instructions__c,Deployment_Type__c,Detailed_Description__c,Development_Hours__c,Development_Progress__c,Estimated_End_Time__c,feedEvent,Final_Approver__c,Fix_Type__c,Flag_for_Escalation__c,Implementation_Date__c,Implementation_Notes__c,Name,Owner,ownerAccepted,ownerAssignment,Planned_Completion_Date__c,Priority__c,Production_fix__c,Proposed_Start_Time__c,locked,RecordType,unlocked,Related_Release__c,Related_Requirement__c,Requirements_Hours__c,Rollback_plan__c,Status__c,Sub_Category__c,Summary__c,Tech_Design_Hours__c,Work_Package__c'),
	OldValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	NewValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Change_Request__c_ParentId FOREIGN KEY(ParentId) REFERENCES Change_Request__c (Id) OPTIONS (NAMEINSOURCE 'Histories')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'false', "teiid_sf:Supports Delete" 'false', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Change_Request__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Change_Request__c_ItemId FOREIGN KEY(ItemId) REFERENCES Change_Request__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Change_Request_Members__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	Role__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Approver,Subject Matter Expert,End-User'),
	Change_Objects__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ChangeRequestMember__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Change_Requests__c_Change_Objects__c FOREIGN KEY(Change_Objects__c) REFERENCES Change_Requests__c (Id) OPTIONS (NAMEINSOURCE 'R00N30000000xfY2EAI'),
	CONSTRAINT FK_User__ChangeRequestMember__c FOREIGN KEY(ChangeRequestMember__c) REFERENCES User_ (Id) OPTIONS (NAMEINSOURCE 'R00N30000000xfYMEAY')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE Change_Request_Members__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Change_Request_Members__c_ItemId FOREIGN KEY(ItemId) REFERENCES Change_Request_Members__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Change_Requests__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	LastActivityDate date OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Proposed_Solution__c string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Request_Date__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Impact_Analysis__c string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Does_Change_Impact_Integration__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Impact_Analysis_Date__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Integration_Impact_Analysis__c string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Module_Impacts__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Home,Campaigns,Leads,Accounts,Contacts,Opportunities,Products,Documents,Reports,Contracts,Cases,Solutions,Dashboards,Integration,Self-Service Portal'),
	Deployment_Date__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Deployment_Documentation__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Training_Required__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Rollback_Plan__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Training_Plan__c string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Assumptions__c string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Changed_Completed__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Change_Completed_Date__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CCB_Approved__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	CCB_Approval_Date__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Does_this_Request_Impact_Reporting__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Reporting_Impact_Analysis__c string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Benefits_Analysis__c string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	RelatedCase__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Change_Control__c string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CCB_Event__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_CCB_Event__c_CCB_Event__c FOREIGN KEY(CCB_Event__c) REFERENCES CCB_Event__c (Id) OPTIONS (NAMEINSOURCE 'R00N30000000xfkmEAA'),
	CONSTRAINT FK_Case__RelatedCase__c FOREIGN KEY(RelatedCase__c) REFERENCES Case_ (Id) OPTIONS (NAMEINSOURCE 'R00N30000000xeXrEAI'),
	CONSTRAINT FK_Change_Management__c_Change_Control__c FOREIGN KEY(Change_Control__c) REFERENCES Change_Management__c (Id) OPTIONS (NAMEINSOURCE 'R00N30000000xfgfEAA')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE Change_Requests__History (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	ParentId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Field string(255) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Assumptions__c,Benefits_Analysis__c,CCB_Approval_Date__c,CCB_Approved__c,CCB_Event__c,Change_Completed_Date__c,Change_Control__c,Changed_Completed__c,created,CurrencyIsoCode,Deployment_Date__c,Deployment_Documentation__c,Does_Change_Impact_Integration__c,Does_this_Request_Impact_Reporting__c,feedEvent,Impact_Analysis__c,Impact_Analysis_Date__c,Integration_Impact_Analysis__c,Module_Impacts__c,Name,ownerAccepted,ownerAssignment,Proposed_Solution__c,locked,unlocked,RelatedCase__c,Reporting_Impact_Analysis__c,Request_Date__c,Rollback_Plan__c,Training_Plan__c,Training_Required__c'),
	OldValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	NewValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Change_Requests__c_ParentId FOREIGN KEY(ParentId) REFERENCES Change_Requests__c (Id) OPTIONS (NAMEINSOURCE 'Histories')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'false', "teiid_sf:Supports Delete" 'false', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Change_Requests__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Change_Requests__c_ItemId FOREIGN KEY(ItemId) REFERENCES Change_Requests__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Chatter_Group_Name__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(38) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	SetupOwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Chatter_Group_Id__c string(15) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id)
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE Chatter_Group_Name__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Chatter_Group_Name__c_ItemId FOREIGN KEY(ItemId) REFERENCES Chatter_Group_Name__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Classification__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	Descendents__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Description__c string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	HierarchyDepth__c double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'double', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	HierarchyKey__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	HierarchyLinks__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	HierarchyRootId__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	HierarchyRootName__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Hierarchy__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	IsActive__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	IsInlineEdit__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Parent__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ReferenceKey__c string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Translations__c double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'double', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Legacy_Picklist_Value__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Legacy_Picklist__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	AvailableForOnboarding__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Help_Text__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Classification__c_Parent__c FOREIGN KEY(Parent__c) REFERENCES Classification__c (Id) OPTIONS (NAMEINSOURCE 'Subclassifications__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE Classification__History (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	ParentId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Field string(255) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'AvailableForOnboarding__c,created,CurrencyIsoCode,Descendents__c,Description__c,feedEvent,Help_Text__c,IsActive__c,IsInlineEdit__c,Legacy_Picklist__c,Legacy_Picklist_Value__c,Name,Owner,ownerAccepted,ownerAssignment,Parent__c,locked,unlocked,ReferenceKey__c'),
	OldValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	NewValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Classification__c_ParentId FOREIGN KEY(ParentId) REFERENCES Classification__c (Id) OPTIONS (NAMEINSOURCE 'Histories')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'false', "teiid_sf:Supports Delete" 'false', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Classification__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Classification__c_ItemId FOREIGN KEY(ItemId) REFERENCES Classification__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE ClassificationTranslation__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	Classification__c string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ClassificationParentId__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	GoogleTranslation__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	HierarchyDepth__c double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'double', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	HierarchyLinks__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Hierarchy__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Language__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'German,Spanish,French,Italian,Japanese,Swedish,Korean,Chinese (Traditional),Chinese (Simplified),Portuguese (Brazilian),Dutch,Danish,Thai,Finnish,Russian'),
	ManualTranslation__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Parent__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Status__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Translation__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	LanguageCode__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Help_Text__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_ClassificationTranslation__c_Parent__c FOREIGN KEY(Parent__c) REFERENCES ClassificationTranslation__c (Id) OPTIONS (NAMEINSOURCE 'Subtranslations__r'),
	CONSTRAINT FK_Classification__c_Classification__c FOREIGN KEY(Classification__c) REFERENCES Classification__c (Id) OPTIONS (NAMEINSOURCE 'Translations__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE ClassificationTranslation__History (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	ParentId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Field string(255) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Classification__c,created,CurrencyIsoCode,feedEvent,GoogleTranslation__c,Help_Text__c,Language__c,ManualTranslation__c,Name,ownerAccepted,ownerAssignment,Parent__c,locked,unlocked'),
	OldValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	NewValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_ClassificationTranslation__c_ParentId FOREIGN KEY(ParentId) REFERENCES ClassificationTranslation__c (Id) OPTIONS (NAMEINSOURCE 'Histories')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'false', "teiid_sf:Supports Delete" 'false', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE ClassificationTranslation__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_ClassificationTranslation__c_ItemId FOREIGN KEY(ItemId) REFERENCES ClassificationTranslation__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE ClientBrowser (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	UsersId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	FullUserAgent string(1024) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ProxyInfo string(1024) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	LastUpdate timestamp OPTIONS (NATIVE_TYPE 'datetime', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id)
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'false', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Communities_Featured_Headline__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	Audience__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Button_URL__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	HTML_Value__c string(32768) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Headline__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Include_Button__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Publish_Date__c timestamp OPTIONS (NATIVE_TYPE 'datetime', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Rotator_Image_URL__c string(255) OPTIONS (NATIVE_TYPE 'url', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Status__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Draft,Published,Archived'),
	Thumbnail_Image_URL__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Site_com_Page__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Cloud,Dashboard,Homepage,Marketing_Resources,Marketing_Resources_2,Middleware,Platform,Resources,Sales_Resources,Storage,Technical_Resources,Virtualization'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Audience__c_Audience__c FOREIGN KEY(Audience__c) REFERENCES Audience__c (Id) OPTIONS (NAMEINSOURCE 'Communities_Featured_Headlines__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE Communities_Featured_Headline__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Communities_Featured_Headline__c_ItemId FOREIGN KEY(ItemId) REFERENCES Communities_Featured_Headline__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Communities_Featured_Headline_Label__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	Button_Label__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Communities_Featured_Headline__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Headline_Label__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Language_Code__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Language__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'English,German,Spanish,French,Italian,Japanese,Korean,Chinese (Simplified),Portuguese (Brazilian)'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Communities_Featured_Headline__c_Communities_Featured_Headline__c FOREIGN KEY(Communities_Featured_Headline__c) REFERENCES Communities_Featured_Headline__c (Id) OPTIONS (NAMEINSOURCE 'Communities_Featured_Headline_Labels__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE Communities_Featured_Headline_Label__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Communities_Featured_Headline_Label__c_ItemId FOREIGN KEY(ItemId) REFERENCES Communities_Featured_Headline_Label__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Communities_Navigation_Item__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	Audience__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Content_Targeting__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Audience,Tab/Object Permissions'),
	English_Label__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Parent_Item__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Sequence__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Tab_Name__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	URL__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Type__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Main Navigation,Sidebar Navigation'),
	Navigation_Tree__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Audience__c_Audience__c FOREIGN KEY(Audience__c) REFERENCES Audience__c (Id) OPTIONS (NAMEINSOURCE 'Communities_Navigation_Items__r'),
	CONSTRAINT FK_Communities_Navigation_Item__c_Parent_Item__c FOREIGN KEY(Parent_Item__c) REFERENCES Communities_Navigation_Item__c (Id) OPTIONS (NAMEINSOURCE 'Communities_Navigation_Items__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE Communities_Navigation_Item__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Communities_Navigation_Item__c_ItemId FOREIGN KEY(ItemId) REFERENCES Communities_Navigation_Item__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Communities_Navigation_Item_Label__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	Communities_Navigation_Item__c string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Label__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Language_Code__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Language__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'German,Spanish,English,French,Italian,Korean,Japanese,Chinese (Simplified),Portuguese (Brazilian)'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Communities_Navigation_Item__c_Communities_Navigation_Item__c FOREIGN KEY(Communities_Navigation_Item__c) REFERENCES Communities_Navigation_Item__c (Id) OPTIONS (NAMEINSOURCE 'Communities_Navigation_Item_Labels__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE Communities_Navigation_Item_Label__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Communities_Navigation_Item_Label__c_ItemId FOREIGN KEY(ItemId) REFERENCES Communities_Navigation_Item_Label__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Communities_News_Item__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	Audience__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Publish_Date__c timestamp OPTIONS (NATIVE_TYPE 'datetime', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Sorting_Weight__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Status__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Draft,Published,Archived'),
	URL__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	English_Label__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Audience__c_Audience__c FOREIGN KEY(Audience__c) REFERENCES Audience__c (Id) OPTIONS (NAMEINSOURCE 'Communities_News_Items__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE Communities_News_Item__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Communities_News_Item__c_ItemId FOREIGN KEY(ItemId) REFERENCES Communities_News_Item__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Communities_News_Item_Label__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	Communities_News_Item__c string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Label__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Language_Code__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Language__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'German,Spanish,English,French,Italian,Japanese,Swedish,Chinese (Traditional),Chinese (Simplified),Portuguese (Brazilian),Dutch,Danish,Thai,Finnish,Russian'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Communities_News_Item__c_Communities_News_Item__c FOREIGN KEY(Communities_News_Item__c) REFERENCES Communities_News_Item__c (Id) OPTIONS (NAMEINSOURCE 'Communities_News_Item_Labels__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE Communities_News_Item_Label__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Communities_News_Item_Label__c_ItemId FOREIGN KEY(ItemId) REFERENCES Communities_News_Item_Label__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Communities_Tool_Shortcut__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	Availability_Controlled_By__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Shortcut_URL__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Tool_Name__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id)
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE Communities_Tool_Shortcut__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Communities_Tool_Shortcut__c_ItemId FOREIGN KEY(ItemId) REFERENCES Communities_Tool_Shortcut__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Communities_Tool_Shortcut_Label__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	Communities_Tool_Shortcut__c string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Language_Code__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Language__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'English,German,Spanish,French,Italian,Korean,Japanese,Chinese (Simplified),Portuguese (Brazilian)'),
	Link_Text__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Tooltip_Text__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Communities_Tool_Shortcut__c_Communities_Tool_Shortcut__c FOREIGN KEY(Communities_Tool_Shortcut__c) REFERENCES Communities_Tool_Shortcut__c (Id) OPTIONS (NAMEINSOURCE 'Communities_Tool_Shortcut_Labels__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE Communities_Tool_Shortcut_Label__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Communities_Tool_Shortcut_Label__c_ItemId FOREIGN KEY(ItemId) REFERENCES Communities_Tool_Shortcut_Label__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Community (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Description string(1000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsActive boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CONSTRAINT Id_PK PRIMARY KEY(Id)
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'false', "teiid_sf:Supports Delete" 'false', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE CommUtils__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(38) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	SetupOwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Last_Run__c timestamp OPTIONS (NATIVE_TYPE 'datetime', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CommunityURL__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id)
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE CommUtils__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_CommUtils__c_ItemId FOREIGN KEY(ItemId) REFERENCES CommUtils__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Competitor__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	Area__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Cloud,Operating System,Hardware,In-House Development,Middleware,Storage,Third Party Applications,Virtualization'),
	Weaknesses__c string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Competitor__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'IBM,Microsoft,Novell,Oracle,TIBCO,VMware,Other,BEA,Red Flag,Sun,TurboLinux'),
	Account_Profile__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Strengths__c string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Account_s_Perception_of_Competitor__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Relevant_Contract_Expiration_Date__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Competitors_Strength__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" '0,1,2,3,4,5'),
	Platform_Status_for_JBoss_RHEL__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" '1 Not Approved,2 Approved Platform,3 Approved Platform - in use and a Strategic Platform,4 Default Strategic Platform,5 Default Strategic Platform plus Big Installed Base'),
	Other_Competitor__c string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Account_Profile__c_Account_Profile__c FOREIGN KEY(Account_Profile__c) REFERENCES Account_Profile__c (Id) OPTIONS (NAMEINSOURCE 'Competitor__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE Competitor__History (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	ParentId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Field string(255) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Account_Profile__c,Account_s_Perception_of_Competitor__c,Area__c,Competitor__c,Competitors_Strength__c,created,CurrencyIsoCode,feedEvent,Name,Other_Competitor__c,Owner,ownerAccepted,ownerAssignment,Platform_Status_for_JBoss_RHEL__c,locked,unlocked,Relevant_Contract_Expiration_Date__c,Strengths__c,Weaknesses__c'),
	OldValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	NewValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Competitor__c_ParentId FOREIGN KEY(ParentId) REFERENCES Competitor__c (Id) OPTIONS (NAMEINSOURCE 'Histories')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'false', "teiid_sf:Supports Delete" 'false', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Competitor__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Competitor__c_ItemId FOREIGN KEY(ItemId) REFERENCES Competitor__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Component__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	LastActivityDate date OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Dependency_Details__c string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Description__c string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Last_Migrated_On__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Last_Migrated_To__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Production,Dev01,Config01,Test01'),
	Related_Component__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Work_Package__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Component__c_Related_Component__c FOREIGN KEY(Related_Component__c) REFERENCES Component__c (Id) OPTIONS (NAMEINSOURCE 'Components__r'),
	CONSTRAINT FK_Work_Package__c_Work_Package__c FOREIGN KEY(Work_Package__c) REFERENCES Work_Package__c (Id) OPTIONS (NAMEINSOURCE 'Components__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE Component__Feed (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	ParentId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	FeedPostId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'TrackedChange,UserStatus,TextPost,AdvancedTextPost,LinkPost,ContentPost,PollPost,RypplePost,ProfileSkillPost,DashboardComponentSnapshot,ApprovalPost,CaseCommentPost,ReplyPost,EmailMessageEvent,CallLogPost,ChangeStatusPost,AttachArticleEvent,MilestoneEvent,ActivityEvent,ChatTranscriptPost,CollaborationGroupCreated,CollaborationGroupUnarchived,SocialPost,QuestionPost,FacebookPost,BasicTemplateFeedItem,CreateRecordEvent,CanvasPost,AnnouncementPost'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Component__c_ParentId FOREIGN KEY(ParentId) REFERENCES Component__c (Id) OPTIONS (NAMEINSOURCE 'Feeds')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'false', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Component__History (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	ParentId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Field string(255) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'created,CurrencyIsoCode,Dependency_Details__c,Description__c,feedEvent,Last_Migrated_On__c,Last_Migrated_To__c,Name,Owner,ownerAccepted,ownerAssignment,locked,unlocked,Related_Component__c,Work_Package__c'),
	OldValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	NewValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Component__c_ParentId FOREIGN KEY(ParentId) REFERENCES Component__c (Id) OPTIONS (NAMEINSOURCE 'Histories')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'false', "teiid_sf:Supports Delete" 'false', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Component__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Component__c_ItemId FOREIGN KEY(ItemId) REFERENCES Component__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Configuration__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	Protected_Value__c string(175) OPTIONS (NATIVE_TYPE 'encryptedstring', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Value__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id)
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE Configuration__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Configuration__c_ItemId FOREIGN KEY(ItemId) REFERENCES Configuration__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Contact (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	MasterRecordId string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	AccountId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	LastName string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	FirstName string(40) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Salutation string(40) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Mr.,Ms.,Mrs.,Dr.,Prof.,Miss,Sir'),
	Name string(121) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	OtherStreet string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	OtherCity string(40) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	OtherState string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	OtherPostalCode string(20) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	OtherCountry string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	MailingStreet string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	MailingCity string(40) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	MailingState string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	MailingPostalCode string(20) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	MailingCountry string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Phone string(40) OPTIONS (NATIVE_TYPE 'phone', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Fax string(40) OPTIONS (NATIVE_TYPE 'phone', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	MobilePhone string(40) OPTIONS (NATIVE_TYPE 'phone', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	HomePhone string(40) OPTIONS (NATIVE_TYPE 'phone', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	OtherPhone string(40) OPTIONS (NATIVE_TYPE 'phone', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	AssistantPhone string(40) OPTIONS (NATIVE_TYPE 'phone', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ReportsToId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Email string(80) OPTIONS (NATIVE_TYPE 'email', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Title string(128) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Department string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	AssistantName string(40) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	LeadSource string(40) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Advertisement,Assessment Tool,Contact Sales,Deal Registration,Email Preferences,Employee Referral,Evaluation,Event Attendance,Event Registration,Existing Customer,External List,External Referral,FY08Q3_AU-057_007,Inbound Call,Inbound Email,Internal List,Misc. Marketing,Newsletter/Email,Offline Campaign,Other,Outbound Call,Partner,Podcast,Public Relations,Red Hat Referral,Referral,Seminar - Internal,Seminar - Partner,Survey,TCO Calculator,Tradeshow,Trade Show,Training,Training Attendee,Training Catalog,Training Pre-assessment,Video,Web Eval,Webinar Attendance,Webinar Registration,Website,Webstore,Whitepaper,Word of mouth'),
	Birthdate date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Description string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	OwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	HasOptedOutOfEmail boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	HasOptedOutOfFax boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	DoNotCall boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	LastActivityDate date OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	LastCURequestDate timestamp OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'datetime', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	LastCUUpdateDate timestamp OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'datetime', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	EmailBouncedReason string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	EmailBouncedDate timestamp OPTIONS (NATIVE_TYPE 'datetime', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	LoginName__c string(200) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	OracleAcctNo__c string(15) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	LeadSourceDescription__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	LoginId__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	LanguagePreference__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'English,French,German,Italian,Spanish,Japanese,Chinese,Russian,Other'),
	LanguagePreferenceOther__c string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	PrimaryJobFunction__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Analyst,Business Development,Buyer/Purchaser/Finance,CEO/President/Owner,Contractor/Consultant,CxO,Dept or Project Manager,Developer,Director,Educator,Engineer,IS or IT Associate,IT Architect,Legal,Marketing,Operations,Other,Sales,Student,System or Network Admin,VP'),
	PreferredPurchasingMethod__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'CDW,Dell,DLT,Don’t Have One,Fujitsu,Gateway,GTSI,HP,IBM,Local Reseller,redhat.com,Red Hat Sales Rep,Sun,Toshiba,Other'),
	LocalResellerOther__c string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	PurchasingMethodOther__c string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Level1OptInOptOut__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Opt In,Opt Out'),
	Level2OptInOptOut__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Opt In,Opt Out'),
	Level3OptInOptOut__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Opt In,Opt Out'),
	ContactPreferences__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Email,Phone,Mail,Fax,Web Meeting,Face to Face Meeting,Video Conference'),
	KeySellingContact__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Do_Not_Contact__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Interest_in_Training__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" '<Unknown>,Yes,No'),
	Oracle_Linux_Feedback__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	JBoss_Contact_ID__c string(20) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	EMEA_SE_Required__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Partner_Opt_In_Last_Modified_Date__c timestamp OPTIONS (NATIVE_TYPE 'datetime', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Partner_Opt_In_Last_Modified_By__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Partner_Opt_In_from_Lead__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	ISO_Country_Code__c string(10) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Super_Region__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'APAC,EMEA,LATAM,NA'),
	Account_Alias__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Level_of_Contact__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" '0 - None,1 - Low,2 - Medium,3 - High'),
	Level_of_Support__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" '0 - Adversary,1 - Low,2 - Medium,3 - High,? - Unsure'),
	ActivePartnerStatus__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Terms_and_Conditions_Accepted__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	JapaneseContactName__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Referenceable__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'No,Yes'),
	LanguageCode__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	PartnerUserActivationState__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'SSO_User_Created,User_Created'),
	Most_Recent_Lead_Source__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Advertisement,Deal Registration,Employee Referral,Existing Customer,External Referral,FY08Q3_AU-057_007,Inbound Call,Other,Outbound Call,Partner,Public Relations,Red Hat Referral,Seminar - Internal,Seminar - Partner,Trade Show,Training,Web Eval,Website,Word of mouth'),
	Most_Recent_Lead_Source_Detail_c__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Other'),
	Product_Interest__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Cloud,Middleware,Platform,Storage,Virtualization'),
	Product_Role__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Sales,Sales Engineering,Technical'),
	Record_Source__c string(45) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	OORID__c string(20) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Origination_Name__c string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Origination_Type__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'CSV Load,Partner'),
	Legacy_Profile__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Legacy_Role__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Owner__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Email_Confirmation_Date__c timestamp OPTIONS (NATIVE_TYPE 'datetime', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Email_Confirmation_Status__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Sent,Expired,Confirmed,Send'),
	Onboarding_Country__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Point_Accrual_Start__c timestamp OPTIONS (NATIVE_TYPE 'datetime', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Dedication_to_Red_Hat__c double OPTIONS (NATIVE_TYPE 'percent', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Account_Name_conv__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Status_Conv__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CDH_Party_Number__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Contact_External_Id__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Account_AccountId FOREIGN KEY(AccountId) REFERENCES Account (Id) OPTIONS (NAMEINSOURCE 'Contacts'),
	CONSTRAINT FK_Country__c_Onboarding_Country__c FOREIGN KEY(Onboarding_Country__c) REFERENCES Country__c (Id) OPTIONS (NAMEINSOURCE 'Contacts__r'),
	CONSTRAINT FK_PartnerStatus__c_ActivePartnerStatus__c FOREIGN KEY(ActivePartnerStatus__c) REFERENCES PartnerStatus__c (Id) OPTIONS (NAMEINSOURCE 'Contacts__r'),
	CONSTRAINT FK_User__Owner__c FOREIGN KEY(Owner__c) REFERENCES User_ (Id) OPTIONS (NAMEINSOURCE 'ContactsOwned__r'),
	CONSTRAINT FK_User__Partner_Opt_In_Last_Modified_By__c FOREIGN KEY(Partner_Opt_In_Last_Modified_By__c) REFERENCES User_ (Id) OPTIONS (NAMEINSOURCE 'Contacts__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'true', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE Contact_Converter__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	ContactId__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	UserActivationResult__c string(5000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	UserId__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_User__UserId__c FOREIGN KEY(UserId__c) REFERENCES User_ (Id) OPTIONS (NAMEINSOURCE 'Contact_Converters__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE Contact_Converter__History (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	ParentId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Field string(255) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'ContactId__c,created,CurrencyIsoCode,feedEvent,Name,Owner,ownerAccepted,ownerAssignment,locked,unlocked,UserActivationResult__c,UserId__c'),
	OldValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	NewValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Contact_Converter__c_ParentId FOREIGN KEY(ParentId) REFERENCES Contact_Converter__c (Id) OPTIONS (NAMEINSOURCE 'Histories')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'false', "teiid_sf:Supports Delete" 'false', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Contact_Converter__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Contact_Converter__c_ItemId FOREIGN KEY(ItemId) REFERENCES Contact_Converter__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Contact_Reference_Request__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	Approval_Status__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Draft,Submitted,Approved,Rejected'),
	Customer_Reference__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Reference_Account__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Requested_Contact_Account__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Requested_Contact__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Supported_Opportunity__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Contact_Requested_Contact__c FOREIGN KEY(Requested_Contact__c) REFERENCES Contact (Id) OPTIONS (NAMEINSOURCE 'R00N80000002lFCfEAM__r'),
	CONSTRAINT FK_Customer_Reference__c_Customer_Reference__c FOREIGN KEY(Customer_Reference__c) REFERENCES Customer_Reference__c (Id) OPTIONS (NAMEINSOURCE 'R00N80000002lFCcEAM__r'),
	CONSTRAINT FK_Opportunity_Supported_Opportunity__c FOREIGN KEY(Supported_Opportunity__c) REFERENCES Opportunity (Id) OPTIONS (NAMEINSOURCE 'R00N80000002lFCgEAM__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE Contact_Reference_Request__Share (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	ParentId string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	UserOrGroupId string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	AccessLevel string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Read,Edit,All'),
	RowCause string(40) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Owner,Manual,Rule,ImplicitChild,ImplicitParent,Team,Territory,TerritoryManual,TerritoryRule,Territory2Forecast'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Contact_Reference_Request__c_ParentId FOREIGN KEY(ParentId) REFERENCES Contact_Reference_Request__c (Id) OPTIONS (NAMEINSOURCE 'Shares')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Contact_Reference_Request__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Contact_Reference_Request__c_ItemId FOREIGN KEY(ItemId) REFERENCES Contact_Reference_Request__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Contact_Tool_Shortcut__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	Contact__c string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Communities_Tool_Shortcut__c string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Communities_Tool_Shortcut__c_Communities_Tool_Shortcut__c FOREIGN KEY(Communities_Tool_Shortcut__c) REFERENCES Communities_Tool_Shortcut__c (Id) OPTIONS (NAMEINSOURCE 'Contact_Tool_Shortcuts__r'),
	CONSTRAINT FK_Contact_Contact__c FOREIGN KEY(Contact__c) REFERENCES Contact (Id) OPTIONS (NAMEINSOURCE 'Contact_Tool_Shortcuts__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE Contact_Tool_Shortcut__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Contact_Tool_Shortcut__c_ItemId FOREIGN KEY(ItemId) REFERENCES Contact_Tool_Shortcut__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Contact_Track__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	Contact__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Partner_Track__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Primary__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Track__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Contact_Contact__c FOREIGN KEY(Contact__c) REFERENCES Contact (Id) OPTIONS (NAMEINSOURCE 'Contact_Tracks__r'),
	CONSTRAINT FK_PartnerTrack__c_Partner_Track__c FOREIGN KEY(Partner_Track__c) REFERENCES PartnerTrack__c (Id) OPTIONS (NAMEINSOURCE 'Partner_Track__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE Contact_Track__History (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	ParentId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Field string(255) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Contact__c,created,CurrencyIsoCode,feedEvent,Name,Owner,ownerAccepted,ownerAssignment,Partner_Track__c,Primary__c,locked,unlocked'),
	OldValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	NewValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Contact_Track__c_ParentId FOREIGN KEY(ParentId) REFERENCES Contact_Track__c (Id) OPTIONS (NAMEINSOURCE 'Histories')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'false', "teiid_sf:Supports Delete" 'false', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Contact_Track__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Contact_Track__c_ItemId FOREIGN KEY(ItemId) REFERENCES Contact_Track__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE ContactFeed (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	ParentId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	FeedPostId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'TrackedChange,UserStatus,TextPost,AdvancedTextPost,LinkPost,ContentPost,PollPost,RypplePost,ProfileSkillPost,DashboardComponentSnapshot,ApprovalPost,CaseCommentPost,ReplyPost,EmailMessageEvent,CallLogPost,ChangeStatusPost,AttachArticleEvent,MilestoneEvent,ActivityEvent,ChatTranscriptPost,CollaborationGroupCreated,CollaborationGroupUnarchived,SocialPost,QuestionPost,FacebookPost,BasicTemplateFeedItem,CreateRecordEvent,CanvasPost,AnnouncementPost'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Contact_ParentId FOREIGN KEY(ParentId) REFERENCES Contact (Id) OPTIONS (NAMEINSOURCE 'Feeds')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'false', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE ContactHistory (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	ContactId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Field string(255) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Account,ActivePartnerStatus__c,AssistantName,AssistantPhone,Birthdate,CDH_Party__c,CleanStatus,Contact_External_Id__c,contactMerged,ContactPreferences__c,created,contactCreatedFromLead,CurrencyIsoCode,Dedication_to_Red_Hat__c,Department,Description,Do_Not_Contact__c,DoNotCall,Email,Email_Confirmation_Date__c,Email_Confirmation_Status__c,EmailBouncedDate,EmailBouncedReason,EMEA_SE_Required__c,Fax,feedEvent,FirstName,HasOptedOutOfEmail,HasOptedOutOfFax,HomePhone,Interest_in_Training__c,ISO_Country_Code__c,JBoss_Contact_ID__c,Jigsaw,KeySellingContact__c,LanguagePreference__c,LanguagePreferenceOther__c,LastName,contactUpdatedByLead,LeadSource,LeadSourceDescription__c,Level_of_Contact__c,Level_of_Support__c,Level1OptInOptOut__c,Level2OptInOptOut__c,Level3OptInOptOut__c,LocalResellerOther__c,LoginId__c,LoginName__c,MailingAddress,MailingCity,MailingCountry,MailingLatitude,MailingLongitude,MailingPostalCode,MailingState,MailingStreet,MobilePhone,Most_Recent_Lead_Source__c,Most_Recent_Lead_Source_Detail_c__c,Name,Onboarding_Country__c,OORID__c,Oracle_Linux_Feedback__c,OracleAcctNo__c,Origination_Name__c,Origination_Type__c,OtherAddress,OtherCity,OtherCountry,OtherLatitude,OtherLongitude,OtherPhone,OtherPostalCode,OtherState,OtherStreet,Owner,Owner__c,ownerAccepted,ownerAssignment,Partner_Opt_In_from_Lead__c,Partner_Opt_In_Last_Modified_By__c,Partner_Opt_In_Last_Modified_Date__c,PartnerUserActivationState__c,Phone,Point_Accrual_Start__c,PreferredPurchasingMethod__c,PrimaryJobFunction__c,Product_Interest__c,Product_Role__c,PurchasingMethodOther__c,Record_Source__c,locked,unlocked,Referenceable__c,ReportsTo,Salutation,Status__c,Super_Region__c,Terms_and_Conditions_Accepted__c,Title'),
	OldValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	NewValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Contact_ContactId FOREIGN KEY(ContactId) REFERENCES Contact (Id) OPTIONS (NAMEINSOURCE 'Histories')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'false', "teiid_sf:Supports Delete" 'false', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE ContactShare (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	ContactId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	UserOrGroupId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ContactAccessLevel string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Read,Edit,All'),
	RowCause string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Owner,Manual,Rule,ImplicitChild,ImplicitParent,Team,Territory,TerritoryManual,TerritoryRule,Territory2Forecast'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Contact_ContactId FOREIGN KEY(ContactId) REFERENCES Contact (Id) OPTIONS (NAMEINSOURCE 'Shares')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'false', "teiid_sf:Supports Delete" 'false', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE ContactTag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Contact_ItemId FOREIGN KEY(ItemId) REFERENCES Contact (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE ContentDocument (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Title string(255) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	PublishStatus string(40) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'U,P,R'),
	LatestPublishedVersionId string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id)
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'false', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE ContentDocumentFeed (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	ParentId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	FeedPostId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'TrackedChange,UserStatus,TextPost,AdvancedTextPost,LinkPost,ContentPost,PollPost,RypplePost,ProfileSkillPost,DashboardComponentSnapshot,ApprovalPost,CaseCommentPost,ReplyPost,EmailMessageEvent,CallLogPost,ChangeStatusPost,AttachArticleEvent,MilestoneEvent,ActivityEvent,ChatTranscriptPost,CollaborationGroupCreated,CollaborationGroupUnarchived,SocialPost,QuestionPost,FacebookPost,BasicTemplateFeedItem,CreateRecordEvent,CanvasPost,AnnouncementPost'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_ContentDocument_ParentId FOREIGN KEY(ParentId) REFERENCES ContentDocument (Id) OPTIONS (NAMEINSOURCE 'Feeds')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'false', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE ContentDocumentHistory (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	ContentDocumentId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Field string(255) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'ArchivedBy,ArchivedDate,created,DeletedBy,DeletedDate,contentDocPublished,contentDocFeatured,contentDocRepublished,contentDocUnpublished,contentDocSubscribed,contentDocUnsubscribed,feedEvent,IsArchived,Owner,ownerAccepted,ownerAssignment,Parent,PublishStatus,locked,unlocked,Title'),
	OldValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	NewValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_ContentDocument_ContentDocumentId FOREIGN KEY(ContentDocumentId) REFERENCES ContentDocument (Id) OPTIONS (NAMEINSOURCE 'Histories')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'false', "teiid_sf:Supports Delete" 'false', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE ContentVersion (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	ContentDocumentId string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	RecordTypeId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsLatest boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	ContentUrl string(1333) OPTIONS (NATIVE_TYPE 'url', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	VersionNumber string(20) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Title string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Description string(1000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ReasonForChange string(1000) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	PathOnClient string(500) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	RatingCount integer OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'int', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	ContentModifiedDate timestamp OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'datetime', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ContentModifiedById string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Language_ string(40) OPTIONS (NAMEINSOURCE 'Language', NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'en_US,de,es,fr,it,ja,sv,ko,zh_TW,zh_CN,pt_BR,nl_NL,da,th,fi,ru,es_MX'),
	PositiveRatingCount integer OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'int', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	NegativeRatingCount integer OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'int', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	FeaturedContentBoost integer OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'int', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	FeaturedContentDate date OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	OwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagCsv string(2000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	FileType string(20) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	PublishStatus string(40) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'U,P,R'),
	VersionData blob OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'base64', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ContentSize integer OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'int', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	FirstPublishLocationId string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Document_Type__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Call Scripts,Case Studies,Channel Newsletters,Compliance,FAQs,Graphics and Images,Marketing Collateral,News and Events,Presentations,Presentations for Customers,Pricing,Product Overviews,Quick Reference Guides,Sales Guides,Sales Training,Training and Certification,Videos and Animation,Webinars,White Papers,Analyst Reports,Briefs,Cheatsheets,Datasheets,Playbooks,Best practices,Cookbooks,Documents'),
	Sharing_Status__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'External,Red Hat & Partner,Red Hat Only'),
	Expiration_Date__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" '2013-09,2014-01,2014-02,2014-03,2014-04,2014-05,2014-06,2014-07,2014-08,2014-09,2014-10,2014-11,2014-12,2015-01,2015-02,2015-03,2015-04,2015-05,2015-06,2015-07,2015-08,2015-09,2015-10,2015-11,2015-12,2016-01,2016-02,2016-03,2016-04,2016-05,2016-06,2016-07,2016-08,2016-09,2016-10,2016-11,2016-12'),
	Industry_Focus__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Aerospace,Construction,Consulting,Education,Financial Services,Government,Government Military,Healthcare,Information Technology,Insurance,Life Sciences,Manufacturing,Media and Entertainment,Non Profit Organization,Oil and Gas,Other,Product Distributor,Retail,Services,State/County/Local Government,Tech Online,Telecommunications,Transportation,Utilities,All'),
	Category__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Access Technical Resources,Build a Campaign,Cloud Training,Collateral & Whitepapers,Engage customers,Home,Presentations & Customer Successes,Resources,SA Training Sessions,Sell RHEL Partner Solutions,Train to sell,What''s Working'),
	Feedback__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Review_Date__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Support_Topics__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Max,Mini'),
	Tech_Topics__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Getting Started,Getting Software,Tech Training,Tech Product Info,Win More Business'),
	Tech_Topics_in_Detail__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Where to Start,Partner Support,Internal Use/NFR Software,Evaluation Software,Cookbooks/Demo Scripts,Recorded Training,Recorded Webinars,Videos,Best Practices,Competitive,Reference Architectures,Technical Presentations,Whitepapers,Technical Videos,Open Source,Proposal Templates,Partnerships,Industry Info,ROI and TCO Calculators,Quick Reference Guides'),
	is_New__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Document_Date__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" '2010-09,2010-10,2010-11,2010-12,2011-01,2011-02,2011-03,2011-04,2011-05,2011-06,2011-07,2011-08,2011-09,2011-10,2011-11,2011-12,2012-01,2012-02,2012-03,2012-04,2012-05,2012-06,2012-07,2012-08,2012-09,2012-10,2012-11,2012-12,2013-01,2013-02,2013-03,2013-04,2013-05,2013-06,2013-07,2013-08,2013-09,2013-10,2013-11,2013-12'),
	Latest_Version_View_Count__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Storybook__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_ContentDocument_ContentDocumentId FOREIGN KEY(ContentDocumentId) REFERENCES ContentDocument (Id) OPTIONS (NAMEINSOURCE 'ContentVersions'),
	CONSTRAINT FK_Storybook__c_Storybook__c FOREIGN KEY(Storybook__c) REFERENCES Storybook__c (Id) OPTIONS (NAMEINSOURCE 'Content__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'false', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE ContentVersionHistory (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	ContentVersionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Field string(255) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'AvgRating,Category__c,ContentModifiedBy,ContentModifiedDate,ContentUrl,created,CurrencyIsoCode,Description,Document_Date__c,Document_Type__c,Expiration_Date__c,ExternalDataSource,ExternalDocumentInfo1,ExternalDocumentInfo2,FeaturedContentBoost,FeaturedContentDate,feedEvent,FileType,FirstPublishLocation,Industry_Focus__c,IsMajorVersion,IsPublic,Language,Latest_Version_View_Count__c,MaxRating,MinRating,NegativeRatingCount,Owner,ownerAccepted,ownerAssignment,PositiveRatingCount,PublishStatus,RatingCount,ReasonForChange,locked,RecordType,unlocked,Reference,Review_Date__c,Sharing_Status__c,Storybook__c,SuggestedTags,Support_Topics__c,Tech_Topics__c,Tech_Topics_in_Detail__c,Title,contentVersionCommented,contentVersionCreated,contentVersionDataReplaced,contentVersionDeleted,contentVersionDownloaded,VersionNumber,contentVersionRated,contentVersionUpdated,contentVersionViewed'),
	OldValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	NewValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_ContentVersion_ContentVersionId FOREIGN KEY(ContentVersionId) REFERENCES ContentVersion (Id) OPTIONS (NAMEINSOURCE 'Histories')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'false', "teiid_sf:Supports Delete" 'false', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE ContentWorkspace (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Description string(500) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	TagModel string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'U,G,R'),
	DefaultRecordTypeId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsRestrictContentTypes boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsRestrictLinkedContentTypes boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CONSTRAINT Id_PK PRIMARY KEY(Id)
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'false', "teiid_sf:Supports Delete" 'false', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE ContentWorkspaceDoc (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	ContentWorkspaceId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ContentDocumentId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsOwner boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CONSTRAINT Id_PK PRIMARY KEY(Id)
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Contract (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	AccountId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	OwnerExpirationNotice string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" '15,30,45,60,90,120'),
	StartDate date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	EndDate date OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	BillingStreet string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	BillingCity string(40) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	BillingState string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	BillingPostalCode string(20) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	BillingCountry string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ContractTerm integer OPTIONS (NATIVE_TYPE 'int', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	OwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Status string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'Deal Design Request Submitted,Completed,Draft,Crafted Deal sent to Sales'),
	CompanySignedId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CompanySignedDate date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CustomerSignedId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CustomerSignedTitle string(40) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CustomerSignedDate date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	SpecialTerms string OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ActivatedById string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ActivatedDate timestamp OPTIONS (NATIVE_TYPE 'datetime', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	StatusCode string(40) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Draft,InApproval,Activated,Terminated,Expired'),
	Description string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	RecordTypeId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Name string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	ContractNumber string(30) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	LastApprovedDate timestamp OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'datetime', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	LastActivityDate date OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Opportunity__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Contract_Effective_Date__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Contract__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Red Hat Enterprise Agreement,Framework Agreement,Master Services Agreement,Addendum Certified Service Provider,Advanced Business Partner Agreement,Alliance Training Partner,Certified Training Partner Agreement,Customer''s Form of Agreement,Cygwin License Agreement,Distribution Partner Agreement,Engineering Services Agreement,Enterprise Agreement,Eval Agreement,GLS Amendment Distribution Agreement,Hardware Partner - Runtime,Independent Software Vendor Agreement,Independent Software Vendor Agreement JBoss,JBoss Reseller Agreement,Master Subcontract Agreement,Negotiated Subscription Agreement,Order Form,Other,Professional Services Agreement,Red Hat Academy,Red Hat Ready Business Partner Agreement,Reseller Agreement,Statement of Work,Subcontractor Agreement,Subcontractor Agreement (RH as Subcontractor),Subscription Agreement,Toolchain/GNUPro Services Agreement,Work Order'),
	Date_Contract_Assigned__c timestamp OPTIONS (NATIVE_TYPE 'datetime', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Parties_to_the_Agreement__c string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Certain_Non_Standard_Terms__c string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Note__c string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Agreement_Can_Be_Referred_by_Affiliate__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Yes,No'),
	BA__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Probability_to_Close_in_Quarter__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Very Low,Low,Medium,Unknown,High,Very High,Closed'),
	Deal_Background_and_Issues__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BA_Status_and_Open_Issues__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Next_Steps__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Latest_Updates__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	RH_Contract_Number__c string(30) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	of_Units_Used__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Total_of_Units_Sold__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	of_Units_Remaining__c double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'double', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Approximate_Time_to_Complete__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" '.5 hours or less,.5 - 2 hours,2 - 5 hours,5 - 8 hours,2 - 4 days,5 - 8 days,8 - 12 days,12 - 18 days,18 - 25 days,25 - 30 days,more than 30 days'),
	Approximate_Value__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Less than $50k,$50k - $250k,$250k - $500k,$500 - $1M,$1M - $3M,More than $3M'),
	Business_Unit__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Partner - OEM,Partner - ISV,Partner - VAR,Partner - Embedded,Partner - Runtime,Partner - Other,BU - Platform,BU - Middleware,BU - Management and Security,BU - Services,Industry - Financial Services,Industry - Healthcare,Industry - Telco,Telephony,IT,Operations,Marketing,Engineering,Finance,HC,Sales'),
	Channel_formula__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Completed_Date__c timestamp OPTIONS (NATIVE_TYPE 'datetime', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Level_of_Complexity__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'None,Low,Moderate,Difficult'),
	Matter_Description__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Acquisition language,Addendum Certified Service Provider,Additional products not on purchase summary,Advanced Business Partner,Advanced Business Partner Agreement,Alliance Training Partner,Annual payments for 3 Year deals <150K,Buffer language,Certified Training Partner Agreement,Channel Agreements,Channel Special Bids,Client/Partner Relationship Support,Customer''s Form of Agreement,Customized definitions of types of installed systems,Cygwin License Agreement,Develop Contract Form,Develop Program,Distribution Agreement,Distribution Partner Agreement,Engineering Services Agreement,Enterprise Agreement,EULA,Eval Agreement,Extended duration,Framework Agreement,GLS Amendment Distribution Agreement,Hardware Partner Agreement,Hardware Partner - Runtime,HPA Appendix,Independent Software Vendor Agreement,Independent Software Vendor Agreement JBoss,ISV Agreement,JBoss Reseller Agreement,Master Services Agreement,Master Subcontract Agreement,Negotiate Agreement,Negotiated Subscription Agreement,Non-standard product offering,Non-standard T&E language,No PO Required,Order Form,Other,Partner Agreement,Partner Agreement Track Appendix,Professional Services Agreement,Red Hat Academy,Red Hat Enterprise Agreement,Red Hat Ready Business Partner Agreement,Reseller Agreement,RHEA Appendix 1,RHEA Appendix 2,RHEA Appendix 3,RHEA Appendix 4,Statement of Work,Structure Transaction,Subcontractor Agreement,Subcontractor Agreement (RH as Subcontractor),Subscription Agreement,Subscription exchange/conversion,Toolchain/GNUPro Services Agreement,True-up,Upgrade language,Variation in renewal terms,Variations in support terms,Virtualization Special Terms,Volume discount table for custom pricing on additional subscriptions of products within purchase summary,Work Order'),
	Non_Standard_Elements__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Acquisition language,Products not ordered w/pricing,Annual payments 3yr deals<150K,Auditing/Reporting/Insepctions,Buffer language,Confidentiality,Customized Definitions,Definitions,Extended Contract duration,Insurance language,Invoice/Payment/Finance terms,Liability Limitation language,License and ownership,No PO Required,Non-standard product offering,Non-standard T&E language,Obligations of Parties,Representations and Warranties,Scope,Security language,Subscription exchange,Taxes language,Term and/or Termination,True-up,Upgrade language,Variation in renewal terms,Variations in support terms,Virtualization Special Terms,Volume Discount Table'),
	Notes_from_Sales__c string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Opportunity_Stage__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	SubRegion__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Argentina,ASEAN,Australia,Brazil,Canada,CE,DACH,Eastern Europe,FED/SLED,Greater China,India,Japan,Korea,Mexico,NE,Nordic,Other,SE,SEMEA,UK and SA,Verticals,WE'),
	Stage__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'New,In Progress,Completed'),
	Vertical__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Financial Services,Healthcare,Media & Technology,Other,Telco'),
	Account_Record_Type__c string(100) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Deal_Type__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Amentra,Channel,JBoss,Not Applicable,Red Hat,RHEL,RH GPS,Other'),
	Region__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'ANZ,APAC,ASEAN,Brazil,Canada,CE,EMEA,GCG,Global,India,India/Pakistan,Japan,Korea,LATAM,Mexico,NA,NEE,SAC,SEMEA,US'),
	Opportunity_Amount__c double OPTIONS (UPDATABLE FALSE, CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Opportunity_Close_Date__c date OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'date', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BA_BRC_Owner__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ChannelTemp__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Country_of_Order__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Duration__c double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'double', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Internal_Customer__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'BA,Channel - OEM or SI,Channel - Other,Cloud BU,Facilities,GLS,IT,Legal Affairs,Middleware BU,People  & Brand,Platform BU,Sales,SEAP - Compliance,Services BU,Storage BU,Telecom,Other'),
	Paper_Source__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Customer / Vendor,Partner,Red Hat'),
	SubTerritory__c string(22) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Territory__c string(20) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	GPSDetails__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'DEE,Fuse,Migration,Other,Pathway - Cloud Readiness,Pathway - IT Consolidation,Pathway - IT Freedom,Pathway - Operation Efficiency,SOE,Trusted Advisor'),
	GPS_Other_Details__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BA_Bid_Desk_Owner_2__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Contract_Type__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Amendment Agreement,Assignments,Business Unit Matter,BU Support (Business Affairs Use Only),Client/Partner Relationship Support,Cloud Deal (Appendix for CCP),Consulting - Complex,Consulting - Individual,Customer – Create Order Form,Customer – Deal Guidance,Customer – GPS SOW,Customer NDA,Customer – Negotiation Escalation,Customer – New Amentra MSA,Customer – New Contract on Customer Form,Customer – New Enterprise Agreement,Customer – Other,Customer – Review Order Form,Customer – RFP/RFI,Develop Contract Form,Develop Program,Direct Contract,Embedded Deal,Enterprise Agt - Subs Master Agt,Equipment Loan,Expense Contract,Facilities,Finance,GLS,HC,Inbound Licensing,Indirect Contract,Industry Vertical Matter,Infrastructure Consulting - Individual,ISV Support,Marketing - Events,Marketing - Public Relations,Marketing - Research,NDA,Negotiate Agreement,Opportunity Contract,Order Form or SOW,Other,Other Agreement,Other-Non Agreement,Partner Agreement,Partner – Certifications,Partner – CRADA,Partner – Embedded,Partner – ISV,Partner – Marketing Agreements,Partner NDA,Partner – OEM,Partner – Other,Partner Relationship Matter,Partner – Runtime,Partner – Special Bid,Partner – Teaming Agreements,Partner – VAR,Professional Services Master Agreement,Project (Business Affairs Use Only),Red Hat NDA,Regional Team Matter,RFP/RFI,Software Licenses,Special Bid for Partner,Sponsorship,Subcontracting,Telecommunications,Transformation,Vendor Forms,Vendor NDA'),
	Legacy_Profile__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Legacy_Role__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Approval_Status__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CountryOfOrder__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Afghanistan,Albania,Algeria,Andorra,Angola,Anguilla,Antigua and Barbuda,Argentina,Armenia,Aruba,Australia,Austria,Azerbaijan,Bahamas,Bahrain,Bangladesh,Barbados,Belarus,Belgium,Belize,Benin,Bermuda,Bhutan,Bolivia,Bosnia and Herzegovina,Botswana,Bouvet Island,Brazil,Brunei Darussalam,Bulgaria,Burkina Faso,Burundi,Cambodia,Cameroon,Canada,Cape Verde,Cayman Islands,Central African Republic,Chad,Chile,China,Colombia,Comoros,Congo,Congo, The Democratic Republic of the,Costa Rica,Cote d''Ivoire,Croatia,Cyprus,Czech Republic,Denmark,Djibouti,Dominica,Dominican Republic,Ecuador,Egypt,El Salvador,Equatorial Guinea,Eritrea,Estonia,Ethiopia,Falkland Islands (Malvinas),Faroe Islands,Fiji,Finland,France,French Guiana,French Polynesia,Gabon,Gambia,Georgia,Germany,Ghana,Gibraltar,Greece,Greenland,Grenada,Guadeloupe,Guam,Guatemala,Guernsey,Guinea,Guinea-Bissau,Guyana,Haiti,Holy See (Vatican City State),Honduras,Hong Kong,Hungary,Iceland,India,Indonesia,Iraq,Ireland,Israel,Italy,Jamaica,Japan,Jordan,Kazakhstan,Kenya,Kiribati,Korea, Republic of,Kuwait,Kyrgyzstan,Lao People''s Democratic Republic,Latvia,Lebanon,Lesotho,Liberia,Libyan Arab Jamahiriya,Liechtenstein,Lithuania,Luxembourg,Macao,Macedonia, the Former Yugoslav Republic of,Madagascar,Malawi,Malaysia,Maldives,Mali,Malta,Martinique,Mauritania,Mauritius,Mayotte,Mexico,Moldova, Republic of,Monaco,Mongolia,Montserrat,Morocco,Mozambique,Myanmar,Namibia,Nauru,Nepal,Netherlands,New Zealand,Nicaragua,Niger,Nigeria,Norway,Oman,Pakistan,Palau,Panama,Papua New Guinea,Paraguay,Peru,Philippines,Poland,Portugal,Puerto Rico,Qatar,Reunion,Romania,Russian Federation,Rwanda,Saint Helena,Saint Kitts and Nevis,Saint Lucia,Saint Pierre and Miquelon,Saint Vincent and the Grenadines,Samoa,San Marino,Sao Tome and Principe,Saudi Arabia,Senegal,Serbia,Serbia and Montenegro,Seychelles,Sierra Leone,Singapore,Slovakia,Slovenia,Solomon Islands,Somalia,South Africa,Spain,Sri Lanka,Suriname,Svalbard and Jan Mayen,Swaziland,Sweden,Switzerland,Taiwan,Tajikistan,Tanzania, United Republic of,Thailand,Timor-Leste,Togo,Tonga,Trinidad and Tobago,Tunisia,Turkey,Turkmenistan,Turks and Caicos Islands,Tuvalu,Uganda,Ukraine,United Arab Emirates,United Kingdom,United States,United States Minor Outlying Islands,Uruguay,Uzbekistan,Vanuatu,Venezuela,Vietnam,Virgin Islands, British,Virgin Islands, U.S,Wallis and Futuna,Western Sahara,Yemen,Zambia,Zimbabwe'),
	Global__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Pending_Approval_By__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Pending_Approval_Date__c timestamp OPTIONS (NATIVE_TYPE 'datetime', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Pending_Approval_Duration__c double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'double', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	SendBackToBidDesk__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Sub_Region__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Baltics,Benelux,CEE,CIS,DACH,France,Iberia,IGC,Italy,MET,N-Africa,Nordics,S-Africa,UK'),
	SubmitCount__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Super_Region__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'APAC,EMEA,LATAM,NA'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Account_AccountId FOREIGN KEY(AccountId) REFERENCES Account (Id) OPTIONS (NAMEINSOURCE 'Contracts'),
	CONSTRAINT FK_Contact_CustomerSignedId FOREIGN KEY(CustomerSignedId) REFERENCES Contact (Id) OPTIONS (NAMEINSOURCE 'ContractsSigned'),
	CONSTRAINT FK_Opportunity_Opportunity__c FOREIGN KEY(Opportunity__c) REFERENCES Opportunity (Id) OPTIONS (NAMEINSOURCE 'Contract__r'),
	CONSTRAINT FK_User__BA_BRC_Owner__c FOREIGN KEY(BA_BRC_Owner__c) REFERENCES User_ (Id) OPTIONS (NAMEINSOURCE 'Contracts1__r'),
	CONSTRAINT FK_User__BA_Bid_Desk_Owner_2__c FOREIGN KEY(BA_Bid_Desk_Owner_2__c) REFERENCES User_ (Id) OPTIONS (NAMEINSOURCE 'Contracts2__r'),
	CONSTRAINT FK_User__BA__c FOREIGN KEY(BA__c) REFERENCES User_ (Id) OPTIONS (NAMEINSOURCE 'Contracts__r'),
	CONSTRAINT FK_User__CompanySignedId FOREIGN KEY(CompanySignedId) REFERENCES User_ (Id) OPTIONS (NAMEINSOURCE 'ContractsSigned')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE ContractContactRole (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	ContractId string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ContactId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Role string(40) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Business User,Decision Maker,Economic Buyer,Economic Decision Maker,Evaluator,Executive Sponsor,Influencer,Technical Buyer,Other'),
	IsPrimary boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Contact_ContactId FOREIGN KEY(ContactId) REFERENCES Contact (Id) OPTIONS (NAMEINSOURCE 'ContractContactRoles'),
	CONSTRAINT FK_Contract_ContractId FOREIGN KEY(ContractId) REFERENCES Contract (Id) OPTIONS (NAMEINSOURCE 'ContractContactRoles')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE ContractFeed (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	ParentId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	FeedPostId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'TrackedChange,UserStatus,TextPost,AdvancedTextPost,LinkPost,ContentPost,PollPost,RypplePost,ProfileSkillPost,DashboardComponentSnapshot,ApprovalPost,CaseCommentPost,ReplyPost,EmailMessageEvent,CallLogPost,ChangeStatusPost,AttachArticleEvent,MilestoneEvent,ActivityEvent,ChatTranscriptPost,CollaborationGroupCreated,CollaborationGroupUnarchived,SocialPost,QuestionPost,FacebookPost,BasicTemplateFeedItem,CreateRecordEvent,CanvasPost,AnnouncementPost'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Contract_ParentId FOREIGN KEY(ParentId) REFERENCES Contract (Id) OPTIONS (NAMEINSOURCE 'Feeds')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'false', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE ContractHistory (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	ContractId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Field string(255) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Account,Account_Record_Type__c,ActivatedBy,ActivatedDate,Agreement_Can_Be_Referred_by_Affiliate__c,Approval_Status__c,Approximate_Time_to_Complete__c,Approximate_Value__c,BA__c,BA_Bid_Desk_Owner_2__c,BA_BRC_Owner__c,BA_Status_and_Open_Issues__c,BillingAddress,BillingCity,BillingCountry,BillingLatitude,BillingLongitude,BillingPostalCode,BillingState,BillingStreet,Business_Unit__c,Certain_Non_Standard_Terms__c,CompanySigned,CompanySignedDate,Completed_Date__c,Contract__c,Contract_Effective_Date__c,Contract_Type__c,contractActivation,contractApproval,contractConversion,contractDraft,contractExpiration,ContractTerm,contractTermination,CountryOfOrder__c,created,CurrencyIsoCode,CustomerSigned,CustomerSignedDate,CustomerSignedTitle,Date_Contract_Assigned__c,Deal_Background_and_Issues__c,Deal_Type__c,Description,EndDate,feedEvent,Global__c,GPS_Other_Details__c,GPSDetails__c,Internal_Customer__c,Latest_Updates__c,Level_of_Complexity__c,Matter_Description__c,Name,Next_Steps__c,Non_Standard_Elements__c,Note__c,Notes_from_Sales__c,of_Units_Used__c,Opportunity__c,Owner,Owner__c,ownerAccepted,ownerAssignment,OwnerExpirationNotice,Paper_Source__c,Parties_to_the_Agreement__c,Pending_Approval_By__c,Pending_Approval_Date__c,Probability_to_Close_in_Quarter__c,locked,RecordType,unlocked,Region__c,SendBackToBidDesk__c,ShippingAddress,ShippingCity,ShippingCountry,ShippingLatitude,ShippingLongitude,ShippingPostalCode,ShippingState,ShippingStreet,SpecialTerms,Stage__c,StartDate,Status,Sub_Region__c,SubmitCount__c,SubRegion__c,SubTerritory__c,Super_Region__c,Territory__c,Total_of_Units_Sold__c,Vertical__c'),
	OldValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	NewValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Contract_ContractId FOREIGN KEY(ContractId) REFERENCES Contract (Id) OPTIONS (NAMEINSOURCE 'Histories')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'false', "teiid_sf:Supports Delete" 'false', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE ContractStatus (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	MasterLabel string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	SortOrder integer OPTIONS (NATIVE_TYPE 'int', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDefault boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	StatusCode string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Draft,InApproval,Activated,Terminated,Expired'),
	CONSTRAINT Id_PK PRIMARY KEY(Id)
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'false', "teiid_sf:Supports Delete" 'false', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE ContractTag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Contract_ItemId FOREIGN KEY(ItemId) REFERENCES Contract (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Country__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	Abbreviation__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Country_Name__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'AFGHANISTAN,ALAND ISLANDS,ALBANIA,ALGERIA,AMERICAN SAMOA,ANDORRA,ANGOLA,ANGUILLA,ANTARCTICA,ANTIGUA AND BARBUDA,ARGENTINA,ARMENIA,ARUBA,AUSTRALIA,Austria,AZERBAIJAN,BAHAMAS,BAHRAIN,BANGLADESH,BARBADOS,BELARUS,BELGIUM,BELIZE,BENIN,BERMUDA,BHUTAN,BOLIVIA PLURINATIONAL STATE OF,BOSNIA AND HERZEGOVINA,BOTSWANA,BOUVET ISLAND,BRAZIL,BRITISH INDIAN OCEAN TERRITORY,BRUNEI DARUSSALAM,BULGARIA,BURKINA FASO,BURUNDI,CAMBODIA,CANADA,CAPE VERDE,CAYMAN ISLANDS,CENTRAL AFRICAN REPUBLIC,CHAD,CHILE,CHINA,CHRISTMAS ISLAND,CLATAMOON,COCOS (KEELING) ISLANDS,COLOMBIA,COMOROS,CONGO,CONGO THE DEMOCRATIC REPUBLIC OF THE,COOK ISLANDS,COSTA RICA,COTE D''IVOIRE,CROATIA,CUBA,CYPRUS,CZECH REPUBLIC,DENMARK,DJIBOUTI,DOMINICA,DOMINICAN REPUBLIC,ECUADOR,EGYPT,EL SALVADOR,EQUATORIAL GUINEA,ERITREA,ESTONIA,ETHIOPIA,FAEROE ISLANDS (MALVINAS),FALKLAND ISLANDS (MALVINAS),FIJI,FINLAND,FRANCE,FRENCH GUIANA,FRENCH POLYNESIA,FRENCH SOUTHERN TERRITORIES,GABON,GAMBIA,GEORGIA,GERMANY,GHANA,GIBRALTAR,GREECE,GREENLAND,GRENADA,GUADELOUPE,GUAM,GUATEMALA,GUERNSEY,GUINEA,GUINEA-BISSAU,GUYANA,HAITI,HEARD ISLAND AND MCDONALD ISLANDS,HONDURAS,HONG KONG,HUNGARY,ICELAND,INDIA,INDONESIA,IRAN ISLAMIC REPUBLIC OF IRAN,IRAQ,IRELAND,ISLE OF MAN,ISRAEL,ITALY,JAMAICA,JAPAN,JERSEY,JORDAN (Hashemite Kingdom of Jordan),KAZAKHSTAN,KENYA,KIRIBATI,KOREA (Republic of [South] Korea),KOSOVO,KUWAIT,KYRGYZSTAN,LAO PEOPLE''S DEMOCRATIC REPUBLIC,LATVIA,LEBANON,LESOTHO,LIBERIA,LIBYA (Libyan Arab Jamahirya),LIECHTENSTEIN (Fürstentum Liechtenstein),LITHUANIA,LUXEMBOURG,MACAO (Special Administrative Region of China),MACEDONIA (Former Yugoslav Republic of Macedonia),MADAGASCAR,MALAWI,MALAYSIA,MALDIVES,MALI,MALTA,MARSHALL ISLANDS,MARTINIQUE,MAURITANIA,MAURITIUS,MAYOTTE,MEXICO,MICRONESIA (Federated States of Micronesia),MOLDOVA,MONACO,MONGOLIA,MONTENEGRO,MONTSERRAT,MOROCCO,MOZAMBIQUE (Moçambique),MYANMAR (formerly Burma),NAMIBIA,NAURU,NEPAL,NETHERLANDS,NETHERLANDS ANTILLES,NEW CALEDONIA,NEW ZEALAND,NICARAGUA,NIGER,NIGERIA,NIUE,NORFOLK ISLAND,NORTHERN MARIANA ISLANDS,NORWAY,OMAN,PAKISTAN,PALAU,PALESTINIAN TERRITORIES,PANAMA,PAPUA NEW GUINEA,PARAGUAY,PERU,PHILIPPINES,PITCAIRN,POLAND,PORTUGAL,PUERTO RICO,QATAR,RÉUNION,ROMANIA,RUSSIAN FEDERATION,RWANDA,SAINT BARTHÉLEMY,SAINT HELENA,SAINT KITTS AND NEVIS,SAINT LUCIA,SAINT MARTIN (French portion),SAINT PIERRE AND MIQUELON,SAINT VINCENT AND THE GRENADINES,SAMOA (formerly Western Samoa),SAN MARINO (Republic of),SAO TOME AND PRINCIPE,SAUDI ARABIA (Kingdom of Saudi Arabia),SENEGAL,SERBIA (Republic of Serbia),SEYCHELLES,SIERRA LEONE,SINGAPORE,SLOVAKIA (Slovak Republic),SLOVENIA,SOLOMON ISLANDS,SOMALIA,SOUTH AFRICA (Zuid Afrika),SOUTH GEORGIA AND THE SOUTH SANDWICH ISLANDS,SPAIN (España),SRI LANKA (formerly Ceylon),SUDAN,SURINAME,SVALBARD AND JAN MAYEN,SWAZILAND,SWEDEN,SWITZERLAND (Confederation of Helvetia),SYRIAN ARAB REPUBLIC,TAIWAN ("Chinese Taipei" for IOC),TAJIKISTAN,TANZANIA,THAILAND,TIMOR-LESTE (formerly East Timor),TOGO,TOKELAU,TONGA,TRINIDAD AND TOBAGO,TUNISIA,TURKEY,TURKMENISTAN,TURKS AND CAICOS ISLANDS,TUVALU,UGANDA,UKRAINE,UNITED ARAB EMIRATES,UNITED KINGDOM,UNITED STATES,UNITED STATES MINOR OUTLYING ISLANDS,URUGUAY,UZBEKISTAN,VANUATU,VATICAN CITY (Holy See),VENEZUELA,VIET NAM,VIRGIN ISLANDS, BRITISH,VIRGIN ISLANDS, U.S.,WALLIS AND FUTUNA,WESTERN SAHARA (formerly Spanish Sahara),YEMEN (Yemen Arab Republic),ZAMBIA (formerly Northern Rhodesia),ZIMBABWE'),
	Country_of_Order__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Afghanistan,Albania,Algeria,Andorra,Angola,Anguilla,Antigua,Argentina,Armenia,Aruba,Australia,Austria,Azerbaijan,Bahamas,Bahrain,Bangladesh,Barbados,Belarus,Belgium,Belize,Benin,Bermuda,Bolivia,Bosnia and Herzegovina,Botswana,Brazil,British Virgin Islands,Bulgaria,Burkina Faso,Burundi,Cambodia,Cameroon,Canada,Canary Islands,Cape Verde,Cayman Islands,Central African Republic,Chad,Chile,China,Colombia,Comoros,Congo,Costa Rica,Cote d''Ivoire,Croatia,Cyprus,Czech Republic,Democratic Republic of Congo,Denmark,Djibouti,Dominica,Dominican Republic,Ecuador,Egypt,El Salvador,Equatorial Guinea,Eritrea,Estonia,Ethiopia,Falkland Islands,Finland,France,French Guiana,French Polynesia,Gabon,Gambia,Georgia,Germany,Ghana,Gibraltar,Greece,Grenada,Guadeloupe,Guam,Guatemala,Guinea,Guinea-Bissau,Guyana,Haiti,Honduras,Hong Kong,Hungary,Iceland,India,Indonesia,Iran,Iraq,Ireland,Israel,Italy,Jamaica,Japan,Jordan,Kazakhstan,Kenya,Korea, Republic of,Kosovo,Kuwait,Kyrgyzstan,Latvia,Lebanon,Lesotho,Liberia,Libya,Liechtenstein,Lithuania,Luxembourg,Macedonia,Madagascar,Malawi,Malaysia,Mali,Malta,Martinique,Mauritania,Mauritius,Mexico,Moldova,Monaco,Montenegro,Montserrat,Morocco,Mozambique,Namibia,Nepal,Netherlands,New Zealand,Nicaragua,Niger,Nigeria,Norway,Oman,Pakistan,Palestine,Panama,Paraguay,Peru,Philippines,Poland,Portugal,Qatar,Romania,Russia,Rwanda,Saint Kitts and Nevis,Saint Lucia,Saint Vincent and the Grenadines,San Marino,São Tomé and Príncipe,Saudi Arabia,Senegal,Serbia,Seychelles,Sierra Leone,Singapore,Slovakia,Slovenia,Somalia,South Africa,South Korea,Spain,Sri Lanka,Sudan,Suriname,Swaziland,Sweden,Switzerland,Syria,Taiwan,Tajikistan,Tanzania,Thailand,Togo,Trinidad,Tunisia,Turkey,Turkmenistan,Turks and Caicos Islands,U.S. - Puerto Rico,Uganda,Ukraine,United Arab Emirates,United Kingdom,United States,United States Minor Outlying Islands,Uruguay,Uzbekistan,Venezuela,Vietnam,Virgin Islands,Western Sahara,Yemen,Zambia,Zimbabwe'),
	Global_Region__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'NA,APAC,EMEA,LATAM'),
	IDDCallingCode__c string(10) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	IsAgreementSignatureRequired__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	IsExportComplianceIndicated__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	IsFCPAIndicated__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	IsMigrated__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Iso3166Alpha2__c string(2) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Iso3166Alpha3__c string(3) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Iso3166Numeric3__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Subregion__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'ANZ,ASEAN,Brazil,Canada,CE,Central,Distributor,Fed Sled,Greater China,High Volume,Hong Kong,India,Japan,Korea,Mexico,Mid-Atlantic,NA,National,NEE,North Central,Northeast,SAC,SEMEA,South Central,Southeast,SWE,Taiwan,UKI,West'),
	Supported_Specialized_Partner_Types__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Corporate Reseller'),
	SearchByVAT__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	TI_Index__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	CONSTRAINT Id_PK PRIMARY KEY(Id)
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE Country__History (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	ParentId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Field string(255) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Country_Name__c,Country_of_Order__c,created,CurrencyIsoCode,feedEvent,Global_Region__c,IDDCallingCode__c,IsAgreementSignatureRequired__c,IsExportComplianceIndicated__c,IsFCPAIndicated__c,IsMigrated__c,Iso3166Alpha2__c,Iso3166Alpha3__c,Iso3166Numeric3__c,Name,Owner,ownerAccepted,ownerAssignment,locked,unlocked,SearchByVAT__c,Subregion__c,Supported_Specialized_Partner_Types__c,TI_Index__c'),
	OldValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	NewValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Country__c_ParentId FOREIGN KEY(ParentId) REFERENCES Country__c (Id) OPTIONS (NAMEINSOURCE 'Histories')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'false', "teiid_sf:Supports Delete" 'false', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Country__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Country__c_ItemId FOREIGN KEY(ItemId) REFERENCES Country__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE CountryTranslation__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	Country__c string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CountryName__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	LanguageCode__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'de,en,es,fr,it,ja,pt_BR,ru,ko,zh_CN'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Country__c_Country__c FOREIGN KEY(Country__c) REFERENCES Country__c (Id) OPTIONS (NAMEINSOURCE 'CountryTranslations__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE CountryTranslation__History (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	ParentId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Field string(255) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Country__c,CountryName__c,created,CurrencyIsoCode,feedEvent,LanguageCode__c,Name,ownerAccepted,ownerAssignment,locked,unlocked'),
	OldValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	NewValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_CountryTranslation__c_ParentId FOREIGN KEY(ParentId) REFERENCES CountryTranslation__c (Id) OPTIONS (NAMEINSOURCE 'Histories')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'false', "teiid_sf:Supports Delete" 'false', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE CountryTranslation__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_CountryTranslation__c_ItemId FOREIGN KEY(ItemId) REFERENCES CountryTranslation__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE CR_Components_Join__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	Component__c string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Change_Request__c string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Change_Request__c_Change_Request__c FOREIGN KEY(Change_Request__c) REFERENCES Change_Request__c (Id) OPTIONS (NAMEINSOURCE 'CR_Components_Join__r'),
	CONSTRAINT FK_Component__c_Component__c FOREIGN KEY(Component__c) REFERENCES Component__c (Id) OPTIONS (NAMEINSOURCE 'CR_Components_Join__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE CR_Components_Join__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_CR_Components_Join__c_ItemId FOREIGN KEY(ItemId) REFERENCES CR_Components_Join__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Credit__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	RecordTypeId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	LastActivityDate date OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	A_R_Balance__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	A_R_Past_Due_Amount__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Exposure__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Credit_Limit__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Comments__c string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Credit_Stage__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Approved,Approved - Manual,Pending - Credit,Pending - Sales,Pending Customer Data,Rejected,Rejected - Manual,Sale Hold,Sale Hold Removed,Closed'),
	Account__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Pending_Reasons__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Bill Schedule Confirm,Confirm Credit Required - Channel,Confirm Credit Required - Non-Local Deal,Credit Limit Under Review,Customer Data,Customer Finance Contact Missing,Customer Financials Needed,Deal Attachment Missing,Non SFDC Credit Deal,Opp Closed/Won w/o Credit Approval,Opp Stale Dated,Other - See Credit Comments,Past Due Balance,Project Date Range Missing,RH Finance Discussions with Customer'),
	JBoss_Credit_Check_ID__c string(20) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	DecisionNumber__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BillingAccountNumberUsed__c string(30) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BillingAccountNameUsed__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	isFinal__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	AvailableCredit__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Payment_Terms__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" '30 NET,IMMEDIATE,EOM +1,EOM +2,10 NET,15 NET,45 NET,50 NET,60 NET,EOM +60,EOM Next Month,90 NET,75 NET,EOM+30,EOM+40,EOM+45,EOM+60,EOM+120,EOM+90,Credit Card,Due On Receipt,40 Net,35 NET,Prepayment Reqd,CO10th+40,CO15th+60,CO20th+45,CO25th+40,105 NET,120 NET,160 NET,180 NET,215 NET,360 NET,68 NET,EOAP + 45 FOM,EOAP + 50'),
	Opportunity__c string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BigMachines_Quote__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Quote__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	RecordType__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Opportunity_Amount__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Account_Account__c FOREIGN KEY(Account__c) REFERENCES Account (Id) OPTIONS (NAMEINSOURCE 'R00N300000019BTWEA2'),
	CONSTRAINT FK_BigMachines__Quote__c_BigMachines_Quote__c FOREIGN KEY(BigMachines_Quote__c) REFERENCES BigMachines__Quote__c (Id) OPTIONS (NAMEINSOURCE 'Credit_Checks__r'),
	CONSTRAINT FK_Opportunity_Opportunity__c FOREIGN KEY(Opportunity__c) REFERENCES Opportunity (Id) OPTIONS (NAMEINSOURCE 'CreditChecks__r'),
	CONSTRAINT FK_Quote__c_Quote__c FOREIGN KEY(Quote__c) REFERENCES Quote__c (Id) OPTIONS (NAMEINSOURCE 'Credit_Checks__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE Credit__History (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	ParentId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Field string(255) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'A_R_Balance__c,A_R_Past_Due_Amount__c,Account__c,AvailableCredit__c,BigMachines_Quote__c,BillingAccountNameUsed__c,BillingAccountNumberUsed__c,Comments__c,created,Credit_Limit__c,Credit_Stage__c,CurrencyIsoCode,DecisionNumber__c,Exposure__c,feedEvent,isFinal__c,JBoss_Credit_Check_ID__c,Name,Opportunity__c,Opportunity_Amount__c,ownerAccepted,ownerAssignment,Payment_Terms__c,Pending_Reasons__c,Quote__c,locked,RecordType,unlocked'),
	OldValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	NewValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Credit__c_ParentId FOREIGN KEY(ParentId) REFERENCES Credit__c (Id) OPTIONS (NAMEINSOURCE 'Histories')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'false', "teiid_sf:Supports Delete" 'false', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Credit__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Credit__c_ItemId FOREIGN KEY(ItemId) REFERENCES Credit__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE CronTrigger (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	NextFireTime timestamp OPTIONS (NATIVE_TYPE 'datetime', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	PreviousFireTime timestamp OPTIONS (NATIVE_TYPE 'datetime', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	State string(16) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	StartTime timestamp OPTIONS (NATIVE_TYPE 'datetime', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	EndTime timestamp OPTIONS (NATIVE_TYPE 'datetime', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CronExpression string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	TimeZoneSidKey string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Pacific/Kiritimati,Pacific/Chatham,Pacific/Auckland,Pacific/Enderbury,Pacific/Tongatapu,Asia/Kamchatka,Pacific/Fiji,Pacific/Norfolk,Australia/Lord_Howe,Australia/Sydney,Pacific/Guadalcanal,Australia/Adelaide,Australia/Brisbane,Australia/Darwin,Asia/Seoul,Asia/Tokyo,Asia/Hong_Kong,Asia/Kuala_Lumpur,Asia/Manila,Asia/Shanghai,Asia/Singapore,Asia/Taipei,Australia/Perth,Asia/Bangkok,Asia/Ho_Chi_Minh,Asia/Jakarta,Asia/Rangoon,Asia/Dhaka,Asia/Kathmandu,Asia/Colombo,Asia/Kolkata,Asia/Karachi,Asia/Tashkent,Asia/Yekaterinburg,Asia/Kabul,Asia/Dubai,Asia/Tbilisi,Asia/Tehran,Africa/Nairobi,Asia/Baghdad,Asia/Kuwait,Asia/Riyadh,Europe/Minsk,Europe/Moscow,Africa/Cairo,Africa/Johannesburg,Asia/Jerusalem,Europe/Athens,Europe/Bucharest,Europe/Helsinki,Europe/Istanbul,Africa/Algiers,Europe/Amsterdam,Europe/Berlin,Europe/Brussels,Europe/Paris,Europe/Prague,Europe/Rome,Europe/Dublin,Europe/Lisbon,Europe/London,GMT,Atlantic/Cape_Verde,Atlantic/South_Georgia,America/St_Johns,America/Argentina/Buenos_Aires,America/Halifax,America/Santiago,America/Sao_Paulo,Atlantic/Bermuda,America/Indiana/Indianapolis,America/New_York,America/Puerto_Rico,America/Caracas,America/Bogota,America/Chicago,America/Lima,America/Panama,America/Denver,America/El_Salvador,America/Mexico_City,America/Los_Angeles,America/Phoenix,America/Tijuana,America/Anchorage,Pacific/Honolulu,Pacific/Niue,Pacific/Pago_Pago'),
	OwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	TimesTriggered integer OPTIONS (NATIVE_TYPE 'int', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id)
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'false', "teiid_sf:Supports Delete" 'false', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE CTSK_INSP__Field_Statistic__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	CTSK_INSP__Object_Statistic__c string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CTSK_INSP__Custom_Field__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	CTSK_INSP__Default_Value__c string(100) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CTSK_INSP__Field_Name__c string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CTSK_INSP__Field_Type__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Auto Number,Checkbox,Currency,Date,Date/Time,Email,Formula,Lookup Relationship,Master-Detail Relationship,None Selected,Number,Percent,Phone,Picklist,Picklist (Multi-Select),Roll-Up Summary,Text,Text Area,Text Area (Long),Text Area (Rich),URL'),
	CTSK_INSP__First_Used_Date__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CTSK_INSP__Last_Used_Date__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CTSK_INSP__Last_Used_Non_Default_Date__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CTSK_INSP__Number_Records__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CTSK_INSP__Records_Non_Default_Value__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CTSK_INSP__Records_With_Non_Default_Value__c double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'percent', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CTSK_INSP__Total_Records__c double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'percent', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CTSK_INSP__of_days_since_last_used__c double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'double', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_CTSK_INSP__Object_Statistic__c_CTSK_INSP__Object_Statistic__c FOREIGN KEY(CTSK_INSP__Object_Statistic__c) REFERENCES CTSK_INSP__Object_Statistic__c (Id) OPTIONS (NAMEINSOURCE 'CTSK_INSP__Field_Statistics__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE CTSK_INSP__Field_Statistic__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_CTSK_INSP__Field_Statistic__c_ItemId FOREIGN KEY(ItemId) REFERENCES CTSK_INSP__Field_Statistic__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE CTSK_INSP__Object_Statistic__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	CTSK_INSP__Custom_Object_Text__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CTSK_INSP__Custom_Object__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	CTSK_INSP__Last_Run__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	CTSK_INSP__Number_Records__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	CTSK_INSP__Object__c string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CTSK_INSP__Record_First_Created_Date__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CTSK_INSP__Record_Last_Created_Date__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CTSK_INSP__Record_Last_Modified_Date__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CTSK_INSP__Request_End__c timestamp OPTIONS (NATIVE_TYPE 'datetime', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CTSK_INSP__Request_Start__c timestamp OPTIONS (NATIVE_TYPE 'datetime', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	CTSK_INSP__Request_Time__c double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'double', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CTSK_INSP__Number_Fields__c double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'double', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id)
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE CTSK_INSP__Object_Statistic__Share (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	ParentId string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	UserOrGroupId string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	AccessLevel string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Read,Edit,All'),
	RowCause string(40) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Owner,Manual,Rule,ImplicitChild,ImplicitParent,Team,Territory,TerritoryManual,TerritoryRule,Territory2Forecast'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_CTSK_INSP__Object_Statistic__c_ParentId FOREIGN KEY(ParentId) REFERENCES CTSK_INSP__Object_Statistic__c (Id) OPTIONS (NAMEINSOURCE 'Shares')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE CTSK_INSP__Object_Statistic__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_CTSK_INSP__Object_Statistic__c_ItemId FOREIGN KEY(ItemId) REFERENCES CTSK_INSP__Object_Statistic__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE CurrencyType (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsoCode string(40) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'ADP,AED,AFA,AFN,ALL,AMD,ANG,AOA,ARS,ATS,AUD,AWG,AZM,AZN,BAM,BBD,BDT,BEF,BGL,BGN,BHD,BIF,BMD,BND,BOB,BOV,BRL,BSD,BTN,BWP,BYB,BYR,BZD,CAD,CDF,CHF,CLF,CLP,CNY,COP,CRC,CUP,CVE,CYP,CZK,DEM,DJF,DKK,DOP,DZD,ECS,EEK,EGP,ERN,ESP,ETB,EUR,FIM,FJD,FKP,FRF,GBP,GEL,GHC,GHS,GIP,GMD,GNF,GRD,GTQ,GWP,GYD,HKD,HNL,HRK,HTG,HUF,IDR,IEP,ILS,INR,IQD,IRR,ISK,ITL,JMD,JOD,JPY,KES,KGS,KHR,KMF,KPW,KRW,KWD,KYD,KZT,LAK,LBP,LKR,LRD,LSL,LTL,LUF,LVL,LYD,MAD,MDL,MGA,MGF,MKD,MMK,MNT,MOP,MRO,MTL,MUR,MVR,MWK,MXN,MXV,MYR,MZM,MZN,NAD,NGN,NIO,NLG,NOK,NPR,NZD,OMR,PAB,PEN,PGK,PHP,PKR,PLN,PTE,PYG,QAR,RMB,ROL,RON,RSD,RUB,RUR,RWF,SAR,SBD,SCR,SDD,SDG,SEK,SGD,SHP,SIT,SKK,SLL,SOS,SRD,SRG,STD,SVC,SYP,SZL,THB,TJR,TJS,TMM,TMT,TND,TOP,TPE,TRL,TRY,TTD,TWD,TZS,UAH,UGX,USD,UYU,UZS,VEB,VEF,VND,VUV,WST,XAF,XCD,XOF,XPF,YER,YUM,ZAR,ZMK,ZMW,ZWD,ZWL'),
	ConversionRate double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	DecimalPlaces integer OPTIONS (NATIVE_TYPE 'int', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsActive boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsCorporate boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CONSTRAINT Id_PK PRIMARY KEY(Id)
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'false', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Customer_Reference__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	RecordTypeId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	LastActivityDate date OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	AMD__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Account__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Applications_running_on__c string(5000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Approval_Status__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Draft,Submitted,Pre Approved,Accepted,Rejected,Retired'),
	Approved_Date__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	City__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Company_Address__c string(150) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Company_Name__c string(150) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Contact_Email__c string(80) OPTIONS (NATIVE_TYPE 'email', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Contact_First_Name__c string(100) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Contact_Last_Name__c string(100) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Contact_Phone__c string(40) OPTIONS (NATIVE_TYPE 'phone', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Contact__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Country__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Afghanistan,Åland,Albania,Algeria,Andorra,Angola,Anguilla,Antigua,Argentina,Aruba,Australia,Austria,Azerbaijan,Bahamas,Bahrain,Barbados,Barbuda,Belarus,Belgium,Belize,Benelux,Benin,Bermuda,Bolivia,Bosnia,Bosnia and Herzegovina,Botswana,Brazil,British Virgin Islands,Bulgaria,Burkina Faso,Burundi,Cameroon,Canada,Canary Islands,Cape Verde,Caribbean,Cayman Islands,Central African Republic,Central America,Ceuta,Chad,Chile,China,Colombia,Comoros,Congo,Costa Rica,Cote d''Ivoire,Croatia,Cyprus,Czech Republic,Democratic Republic of Congo,Denmark,Djibouti,Dominica,Dominican Republic,Eastern Europe,Ecuador,Egypt,El Salvador,Equatorial Guinea,Eritrea,Estonia,Ethiopia,Falkland Islands,Faroe Islands,Finland,France,French Guiana,Gabon,Gambia,Gaza Strip,Georgia,Germany,Ghana,Gibraltar,Greece,Grenada,Guadeloupe,Guam,Guatemala,Guernsey,Guinea,Guinea-Bissau,Guyana,Haiti,Honduras,Hong Kong,Hungary,Iberia,Iceland,India,Indonesia,Ireland,Isle of Man,Israel,Italy,Jamaica,Japan,Jersey,Jordan,Kazakstan,Kenya,Kuwait,Kyrgyzstan,LATAM,Latvia,Lebanon,Lesotho,Liberia,Libya,Liechtenstein,Lithuania,Luxembourg,Macedonia,Madagascar,Madeira Islands,Malawi,Malaysia,Mali,Malta,Martinique,Mauritania,Mauritius,Mayotte,Melilla,Mexico,Middle East,Moldova,Monaco,Montenegro,Montserrat,Morocco,Mozambique,N-Africa,Namibia,Netherlands,New Zealand,Nicaragua,Niger,Nigeria,Nordics,Norway,Oman,Pakistan,Palestine,Panama,Paraguay,Peru,Philippines,Poland,Portugal,Qatar,Réunion,Romania,Russia,Rwanda,S-Africa,Saint Helena,Saint Kitts and Nevis,Saint Lucia,Saint Vincent and the Grenadines,San Marino,Sao Tome and Principe,Saudi Arabia,Senegal,Serbia,Seychelles,Sierra Leone,Singapore,Slovakia,Slovenia,Somalia,South Africa,South Korea,Spain,Sri Lanka,Suriname,Svalbard and JanMayen Islands,Swaziland,Sweden,Switzerland,Taiwan,Tanzania,Thailand,Togo,Trinidad,Tunisia,Turkey,Turks and Caicos Islands,U.S. – Puerto Rico,Uganda,UK,Ukraine,United Arab Emirates,United States Minor Outlying Islands,Uruguay,US,Vatican City,Venezuela,Virgin,Virgin Islands,Western Sahara,Yemen,Zambia,Zimbabwe'),
	Customer_Company_Zip_Postal_Code__c string(25) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Date_Submitted__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Deployment_Date__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Description__c string(3000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	FSC_manufacture__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	First_Level_Approver_Email__c string(80) OPTIONS (NATIVE_TYPE 'email', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Global_Region__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Greeting__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Mr.,Mrs.,Ms.,Miss,Dr.,Hr.,Sr.'),
	HP_manufacture__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	IBM_Manufacture__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	I_have_permission__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	If_other__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	If_other_please_specify__c string(40) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Industry__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Advertising/PR,Agri/Construction/Chemicals/Metals,Broadcasting/Film/Production/Music,Education,Financial Services,Govt - Fed,Govt - State/Local,Healthcare/Pharma/Biotech,Hospitality/Recreation/Leisure,Legal,Manufacturing,Non-Profit/Religious,Print/Pub,Retailer,SI/Consulting/Engineering,Tech - HW,Tech - SW,Tech - Telecomm/Network,Transportation/Shipping,Utilities/Energy,Other'),
	Intel__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Link_to_customer_reference__c string(255) OPTIONS (NATIVE_TYPE 'url', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Number_of_Actual_References__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Number_of_Allowable_References__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Opportunity__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Other_manufacture__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Pl__c string(5000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Please_describe_how_the_customer_benefit__c string(5000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Please_describe_the_solution_benefit__c string(5000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Private_Contact__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Quote_from__c string(5000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	RHEL_Advanced_Platform__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	RHEL_Desktop__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	RHEL_Server__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	RHN_Management__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	RHN_Monitoring__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	RHN_Provisi__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	RHN_Proxy_Server__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	RHN_Satell__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	RHN_Satellite_Server__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Red_Hat_Certificate_System__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Red_Hat_Cluser_Suite__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Red_Hat_Directory_Server__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Red__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Reference_Expiration_Date__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Reference_Name__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Retire__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Search_Keywords__c string(100) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	State__c string(100) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Subregion__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Sun_manufacture__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Type__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Quote,Internal Reference,External Reference/ 1 to 1 Reference,Success Story,Video'),
	approval_step_1__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	dealSize__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" '< $50,000,$50,000 - $100,000,> $100,000'),
	first_Level_Approver__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	solutionList__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Virtualization,Migration Center,Medium & Large Enterprise Business,Enterprise Solutins,Industry -> Education,Industry -> Financial,Industry -> Government,Industry -> Healthcare,Industry -> Oil & Gas,Industry -> Telecommunications,Business Needs - > Business Intelligence,Business Needs - > Collaboration,Business Needs - > Content Management,Business Needs - > Enterprise Apps,Business Needs - > Security,Business Needs - > Identity Management,Customer Success'),
	CRP_Count__c double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'double', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Account_Owner_Name__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Account_Account__c FOREIGN KEY(Account__c) REFERENCES Account (Id) OPTIONS (NAMEINSOURCE 'R00N80000002lFChEAM__r'),
	CONSTRAINT FK_Contact_Contact__c FOREIGN KEY(Contact__c) REFERENCES Contact (Id) OPTIONS (NAMEINSOURCE 'R00N80000002lFCkEAM__r'),
	CONSTRAINT FK_Contact_Private_Contact__c FOREIGN KEY(Private_Contact__c) REFERENCES Contact (Id) OPTIONS (NAMEINSOURCE 'R00N80000002lFCpEAM__r'),
	CONSTRAINT FK_Opportunity_Opportunity__c FOREIGN KEY(Opportunity__c) REFERENCES Opportunity (Id) OPTIONS (NAMEINSOURCE 'R00N80000002lFCoEAM__r'),
	CONSTRAINT FK_User__first_Level_Approver__c FOREIGN KEY(first_Level_Approver__c) REFERENCES User_ (Id) OPTIONS (NAMEINSOURCE 'Customer_References__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE Customer_Reference__History (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	ParentId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Field string(255) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Account__c,AMD__c,Applications_running_on__c,Approval_Status__c,approval_step_1__c,Approved_Date__c,City__c,Company_Address__c,Company_Name__c,Contact__c,Contact_Email__c,Contact_First_Name__c,Contact_Last_Name__c,Contact_Phone__c,Country__c,created,CurrencyIsoCode,Customer_Company_Zip_Postal_Code__c,Date_Submitted__c,dealSize__c,Deployment_Date__c,Description__c,feedEvent,first_Level_Approver__c,First_Level_Approver_Email__c,FSC_manufacture__c,Greeting__c,HP_manufacture__c,I_have_permission__c,IBM_Manufacture__c,If_other__c,If_other_please_specify__c,Industry__c,Intel__c,Link_to_customer_reference__c,Name,Number_of_Actual_References__c,Number_of_Allowable_References__c,Opportunity__c,Other_manufacture__c,Owner,ownerAccepted,ownerAssignment,Pl__c,Please_describe_how_the_customer_benefit__c,Please_describe_the_solution_benefit__c,Private_Contact__c,Quote_from__c,locked,RecordType,unlocked,Red__c,Red_Hat_Certificate_System__c,Red_Hat_Cluser_Suite__c,Red_Hat_Directory_Server__c,Reference_Expiration_Date__c,RHEL_Advanced_Platform__c,RHEL_Desktop__c,RHEL_Server__c,RHN_Management__c,RHN_Monitoring__c,RHN_Provisi__c,RHN_Proxy_Server__c,RHN_Satell__c,RHN_Satellite_Server__c,Search_Keywords__c,solutionList__c,State__c,Sun_manufacture__c,Type__c'),
	OldValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	NewValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Customer_Reference__c_ParentId FOREIGN KEY(ParentId) REFERENCES Customer_Reference__c (Id) OPTIONS (NAMEINSOURCE 'Histories')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'false', "teiid_sf:Supports Delete" 'false', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Customer_Reference__Share (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	ParentId string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	UserOrGroupId string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	AccessLevel string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Read,Edit,All'),
	RowCause string(40) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Partner_Account_Owner__c,Owner,Manual,Rule,ImplicitChild,ImplicitParent,Team,Territory,TerritoryManual,TerritoryRule,Territory2Forecast'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Customer_Reference__c_ParentId FOREIGN KEY(ParentId) REFERENCES Customer_Reference__c (Id) OPTIONS (NAMEINSOURCE 'Shares')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Customer_Reference__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Customer_Reference__c_ItemId FOREIGN KEY(ItemId) REFERENCES Customer_Reference__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Customer_Reference_Product__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	RecordTypeId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Customer_Reference__c string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Customer_Reference_Name__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Product__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'RHEL Server,RHEL Advanced Platform,RHEL Desktop,Red Hat Global File System,Red Hat Certificate System,Red Hat Directory Server,RHN Management,RHN Provisioning,RHN Monitoring,RHN Proxy Server,RHN Satellite Server,Red Hat Application Stack,JBoss Application Stack,JBoss Enterprise Portal Platform,JBoss Operations Network,JBoss Operations Network Monitoring,Hibernate,JBoss ESB,JBoss jBPM,JBoss Rules,Red Hat Cluster Suite'),
	Quantity__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Version__c string(50) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Customer_Reference__c_Customer_Reference__c FOREIGN KEY(Customer_Reference__c) REFERENCES Customer_Reference__c (Id) OPTIONS (NAMEINSOURCE 'Customer_Reference_Products__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE Customer_Reference_Product__History (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	ParentId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Field string(255) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'created,CurrencyIsoCode,Customer_Reference__c,feedEvent,Name,ownerAccepted,ownerAssignment,Product__c,Quantity__c,locked,RecordType,unlocked,Version__c'),
	OldValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	NewValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Customer_Reference_Product__c_ParentId FOREIGN KEY(ParentId) REFERENCES Customer_Reference_Product__c (Id) OPTIONS (NAMEINSOURCE 'Histories')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'false', "teiid_sf:Supports Delete" 'false', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Customer_Reference_Product__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Customer_Reference_Product__c_ItemId FOREIGN KEY(ItemId) REFERENCES Customer_Reference_Product__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Date_Setting__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(38) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	SetupOwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Value__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id)
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE Date_Setting__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Date_Setting__c_ItemId FOREIGN KEY(ItemId) REFERENCES Date_Setting__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE DatedConversionRate (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsoCode string(40) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'ADP,AED,AFA,AFN,ALL,AMD,ANG,AOA,ARS,ATS,AUD,AWG,AZM,AZN,BAM,BBD,BDT,BEF,BGL,BGN,BHD,BIF,BMD,BND,BOB,BOV,BRL,BSD,BTN,BWP,BYB,BYR,BZD,CAD,CDF,CHF,CLF,CLP,CNY,COP,CRC,CUP,CVE,CYP,CZK,DEM,DJF,DKK,DOP,DZD,ECS,EEK,EGP,ERN,ESP,ETB,EUR,FIM,FJD,FKP,FRF,GBP,GEL,GHC,GHS,GIP,GMD,GNF,GRD,GTQ,GWP,GYD,HKD,HNL,HRK,HTG,HUF,IDR,IEP,ILS,INR,IQD,IRR,ISK,ITL,JMD,JOD,JPY,KES,KGS,KHR,KMF,KPW,KRW,KWD,KYD,KZT,LAK,LBP,LKR,LRD,LSL,LTL,LUF,LVL,LYD,MAD,MDL,MGA,MGF,MKD,MMK,MNT,MOP,MRO,MTL,MUR,MVR,MWK,MXN,MXV,MYR,MZM,MZN,NAD,NGN,NIO,NLG,NOK,NPR,NZD,OMR,PAB,PEN,PGK,PHP,PKR,PLN,PTE,PYG,QAR,RMB,ROL,RON,RSD,RUB,RUR,RWF,SAR,SBD,SCR,SDD,SDG,SEK,SGD,SHP,SIT,SKK,SLL,SOS,SRD,SRG,STD,SVC,SYP,SZL,THB,TJR,TJS,TMM,TMT,TND,TOP,TPE,TRL,TRY,TTD,TWD,TZS,UAH,UGX,USD,UYU,UZS,VEB,VEF,VND,VUV,WST,XAF,XCD,XOF,XPF,YER,YUM,ZAR,ZMK,ZMW,ZWD,ZWL'),
	StartDate date OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	NextStartDate date OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ConversionRate double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id)
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE DateTimeSetting__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(38) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	SetupOwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Value__c timestamp OPTIONS (NATIVE_TYPE 'datetime', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	CONSTRAINT Id_PK PRIMARY KEY(Id)
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE DateTimeSetting__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_DateTimeSetting__c_ItemId FOREIGN KEY(ItemId) REFERENCES DateTimeSetting__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE DefaultRecordTypes__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	SetupOwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	GlobalAs__c string(10) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	PreferredAccountRecordType__c string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	PreferredOpportunityRecordType__c string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	SecondaryAccountRecordType__c string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	SecondaryOpportunityRecordType__c string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id)
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE DefaultRecordTypes__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_DefaultRecordTypes__c_ItemId FOREIGN KEY(ItemId) REFERENCES DefaultRecordTypes__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Defect__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	LastActivityDate date OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Actual_Closed_Date__c timestamp OPTIONS (NATIVE_TYPE 'datetime', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Age__c double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'double', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Assigned_to__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Closed_Date__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Defect_Status__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" '1. Submitted,2. Assigned,3. In Progress,4. Fixed, Ready to Retest,5a. Closed,5b. Converted to Change Request,5c. Rejected'),
	Detailed_Description__c string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Impacted_Object__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Activities,Campaigns,Leads,Accounts,Contacts,Opportunities,Quotes,Contracts,Cases,Solutions'),
	Open_Date__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Requirement__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Resolution__c string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Severity__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'High,Medium,Low'),
	Status_Update__c string(32768) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Summary__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Test_Case_Step__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Test_Case__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Test_Case_Step__c_Test_Case_Step__c FOREIGN KEY(Test_Case_Step__c) REFERENCES Test_Case_Step__c (Id) OPTIONS (NAMEINSOURCE 'Defects__r'),
	CONSTRAINT FK_Test_Case__c_Test_Case__c FOREIGN KEY(Test_Case__c) REFERENCES Test_Case__c (Id) OPTIONS (NAMEINSOURCE 'Defects__r'),
	CONSTRAINT FK_User__Assigned_to__c FOREIGN KEY(Assigned_to__c) REFERENCES User_ (Id) OPTIONS (NAMEINSOURCE 'Defects__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE Defect__Feed (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	ParentId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	FeedPostId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'TrackedChange,UserStatus,TextPost,AdvancedTextPost,LinkPost,ContentPost,PollPost,RypplePost,ProfileSkillPost,DashboardComponentSnapshot,ApprovalPost,CaseCommentPost,ReplyPost,EmailMessageEvent,CallLogPost,ChangeStatusPost,AttachArticleEvent,MilestoneEvent,ActivityEvent,ChatTranscriptPost,CollaborationGroupCreated,CollaborationGroupUnarchived,SocialPost,QuestionPost,FacebookPost,BasicTemplateFeedItem,CreateRecordEvent,CanvasPost,AnnouncementPost'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Defect__c_ParentId FOREIGN KEY(ParentId) REFERENCES Defect__c (Id) OPTIONS (NAMEINSOURCE 'Feeds')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'false', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Defect__History (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	ParentId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Field string(255) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Actual_Closed_Date__c,Assigned_to__c,Closed_Date__c,created,CurrencyIsoCode,Defect_Status__c,Detailed_Description__c,feedEvent,Impacted_Object__c,Name,Open_Date__c,Owner,ownerAccepted,ownerAssignment,locked,unlocked,Resolution__c,Severity__c,Status_Update__c,Summary__c,Test_Case__c,Test_Case_Step__c'),
	OldValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	NewValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Defect__c_ParentId FOREIGN KEY(ParentId) REFERENCES Defect__c (Id) OPTIONS (NAMEINSOURCE 'Histories')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'false', "teiid_sf:Supports Delete" 'false', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Defect__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Defect__c_ItemId FOREIGN KEY(ItemId) REFERENCES Defect__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Defect_Requirement_Join__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	LastActivityDate date OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Defect__c string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Requirement__c string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Defect__c_Defect__c FOREIGN KEY(Defect__c) REFERENCES Defect__c (Id) OPTIONS (NAMEINSOURCE 'Defect_Requirement_Join__r'),
	CONSTRAINT FK_Requirement__c_Requirement__c FOREIGN KEY(Requirement__c) REFERENCES Requirement__c (Id) OPTIONS (NAMEINSOURCE 'Defect_Requirement_Join__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE Defect_Requirement_Join__Feed (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	ParentId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	FeedPostId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'TrackedChange,UserStatus,TextPost,AdvancedTextPost,LinkPost,ContentPost,PollPost,RypplePost,ProfileSkillPost,DashboardComponentSnapshot,ApprovalPost,CaseCommentPost,ReplyPost,EmailMessageEvent,CallLogPost,ChangeStatusPost,AttachArticleEvent,MilestoneEvent,ActivityEvent,ChatTranscriptPost,CollaborationGroupCreated,CollaborationGroupUnarchived,SocialPost,QuestionPost,FacebookPost,BasicTemplateFeedItem,CreateRecordEvent,CanvasPost,AnnouncementPost'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Defect_Requirement_Join__c_ParentId FOREIGN KEY(ParentId) REFERENCES Defect_Requirement_Join__c (Id) OPTIONS (NAMEINSOURCE 'Feeds')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'false', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Defect_Requirement_Join__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Defect_Requirement_Join__c_ItemId FOREIGN KEY(ItemId) REFERENCES Defect_Requirement_Join__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Deliverables__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	LastActivityDate date OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Release__c string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Actual_Completion_Date__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Completed__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" '0%,25%,50%,75%,100%'),
	Owner_s__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Planned_Completion_Date__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Release_Phase__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Plan,Design,Build,Test,Deploy,Data Migration'),
	Reviewer_s_and_Approver_s__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Status__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Not Started,In Progress,Draft Completed,Under Review,Signed-Off,Deferred,Completed'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Release__c_Release__c FOREIGN KEY(Release__c) REFERENCES Release__c (Id) OPTIONS (NAMEINSOURCE 'Deliverable__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE Deliverables__History (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	ParentId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Field string(255) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Actual_Completion_Date__c,Completed__c,created,CurrencyIsoCode,feedEvent,Name,Owner_s__c,ownerAccepted,ownerAssignment,Planned_Completion_Date__c,locked,unlocked,Release__c,Release_Phase__c,Reviewer_s_and_Approver_s__c,Status__c'),
	OldValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	NewValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Deliverables__c_ParentId FOREIGN KEY(ParentId) REFERENCES Deliverables__c (Id) OPTIONS (NAMEINSOURCE 'Histories')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'false', "teiid_sf:Supports Delete" 'false', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Deliverables__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Deliverables__c_ItemId FOREIGN KEY(ItemId) REFERENCES Deliverables__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Document (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	FolderId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	DeveloperName string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	NamespacePrefix string(15) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ContentType string(120) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsPublic boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	BodyLength integer OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'int', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Body blob OPTIONS (NATIVE_TYPE 'base64', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Url string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Description string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Keywords string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsInternalUseOnly boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	AuthorId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsBodySearchable boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CONSTRAINT Id_PK PRIMARY KEY(Id)
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE DocumentAttachmentMap (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	ParentId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	DocumentId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	DocumentSequence integer OPTIONS (NATIVE_TYPE 'int', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id)
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'false', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE DocumentTag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Document_ItemId FOREIGN KEY(ItemId) REFERENCES Document (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE DomainValidation__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(38) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	SetupOwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Domain__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ProviderURL__c string(255) OPTIONS (NATIVE_TYPE 'url', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id)
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE DomainValidation__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_DomainValidation__c_ItemId FOREIGN KEY(ItemId) REFERENCES DomainValidation__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE dupcerts__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	Accreditation__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	code__c string(100) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Contact__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Contact_Name__c string(200) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Partner__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Account_Partner__c FOREIGN KEY(Partner__c) REFERENCES Account (Id) OPTIONS (NAMEINSOURCE 'dupcerts__r'),
	CONSTRAINT FK_Contact_Contact__c FOREIGN KEY(Contact__c) REFERENCES Contact (Id) OPTIONS (NAMEINSOURCE 'dupcerts__r'),
	CONSTRAINT FK_PartnerTraining__c_Accreditation__c FOREIGN KEY(Accreditation__c) REFERENCES PartnerTraining__c (Id) OPTIONS (NAMEINSOURCE 'dupcerts__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE dupcerts__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_dupcerts__c_ItemId FOREIGN KEY(ItemId) REFERENCES dupcerts__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE EBS_Account__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	LastActivityDate date OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Sales_Account__c string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Account_Type__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Internal,External'),
	CDH_Party_Number__c string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Classification__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Federal,Public Sector Companies'),
	Credit_Hold__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Credit_Review_Cycle__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'YEARLY,Pri-Annually,Pri-Quarterly,Pri-Semiannually,Pub-Annually,Pub-Quarterly,Pub-Semiannually,QUARTERLY,SEMI-ANNUALLY,MONTHLY'),
	EBS_Account_Description__c string(240) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	EBS_Account_External_Id__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	EBS_Party_Name__c string(240) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	EBS_Party_Number__c string(30) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Last_Credit_Review_Date__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Next_Credit_Review_Date__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Primary_EBS_Account__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Sales_channel__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'EMAIL CENTER,DIRECT END CUSTOMER,WEBSTORE,OEM PO,OEM Royalties,Distributor,Reseller'),
	Status__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Active.,Inactive.'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Account_Sales_Account__c FOREIGN KEY(Sales_Account__c) REFERENCES Account (Id) OPTIONS (NAMEINSOURCE 'EBS_Account__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE EBS_Account__History (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	ParentId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Field string(255) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Account_Type__c,CDH_Party_Number__c,Classification__c,created,Credit_Hold__c,Credit_Review_Cycle__c,CurrencyIsoCode,EBS_Account_Description__c,EBS_Account_External_Id__c,EBS_Party_Name__c,EBS_Party_Number__c,feedEvent,Last_Credit_Review_Date__c,Name,Next_Credit_Review_Date__c,ownerAccepted,ownerAssignment,Primary_EBS_Account__c,locked,unlocked,Sales_Account__c,Sales_channel__c,Status__c'),
	OldValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	NewValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_EBS_Account__c_ParentId FOREIGN KEY(ParentId) REFERENCES EBS_Account__c (Id) OPTIONS (NAMEINSOURCE 'Histories')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'false', "teiid_sf:Supports Delete" 'false', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE EBS_Account__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_EBS_Account__c_ItemId FOREIGN KEY(ItemId) REFERENCES EBS_Account__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE ELOQUA__Campaign_s_Marketing_Asset__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	ELOQUA__Campaign__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ELOQUA__Marketing_Asset_Type__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Call on Demand,Company Groups,Contact Groups,Distribution Lists,Emails,Events,Forms,Hypersites,Online Referrals,Print Mail,Programs,Prospect Groups,Search Campaigns,Surveys'),
	ELOQUA__Marketing_Asset__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Campaign_ELOQUA__Campaign__c FOREIGN KEY(ELOQUA__Campaign__c) REFERENCES Campaign (Id) OPTIONS (NAMEINSOURCE 'ELOQUA__R00N30000000rQ8CEAU__r'),
	CONSTRAINT FK_ELOQUA__Marketing_Asset__c_ELOQUA__Marketing_Asset__c FOREIGN KEY(ELOQUA__Marketing_Asset__c) REFERENCES ELOQUA__Marketing_Asset__c (Id) OPTIONS (NAMEINSOURCE 'ELOQUA__R00N30000000rPvzEAE__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE ELOQUA__Campaign_s_Marketing_Asset__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_ELOQUA__Campaign_s_Marketing_Asset__c_ItemId FOREIGN KEY(ItemId) REFERENCES ELOQUA__Campaign_s_Marketing_Asset__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE ELOQUA__Marketing_Activity__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	ELOQUA__Activity_Date__c timestamp OPTIONS (NATIVE_TYPE 'datetime', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ELOQUA__Activity_Detail__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ELOQUA__Activity_Type__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Chat,Email Bounceback,Email Click Through,Email Open,Email Send,Email Subscribe,Email Unsubscribe,Fax Send,Form Submit,Hypersite Visit,Print Mail Send,Website Visit'),
	ELOQUA__Contact__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ELOQUA__Lead__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Contact_ELOQUA__Contact__c FOREIGN KEY(ELOQUA__Contact__c) REFERENCES Contact (Id) OPTIONS (NAMEINSOURCE 'ELOQUA__R00N30000000rPtwEAE__r'),
	CONSTRAINT FK_Lead_ELOQUA__Lead__c FOREIGN KEY(ELOQUA__Lead__c) REFERENCES Lead (Id) OPTIONS (NAMEINSOURCE 'ELOQUA__R00N30000000rQ2tEAE__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE ELOQUA__Marketing_Activity__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_ELOQUA__Marketing_Activity__c_ItemId FOREIGN KEY(ItemId) REFERENCES ELOQUA__Marketing_Activity__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE ELOQUA__Marketing_Asset__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	ELOQUA__Call_Center_Calls__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ELOQUA__Campaign_Search_Visits__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ELOQUA__Eloqua_Internal_ID__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ELOQUA__Email_Bouncebacks__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ELOQUA__Email_Click_Throughs__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ELOQUA__Email_Unsubscribes__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ELOQUA__Emails_Opened__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ELOQUA__Emails_Sent__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ELOQUA__Faxes_Sent__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ELOQUA__Forms_Submitted__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ELOQUA__Hypersite_Visits__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ELOQUA__Marketing_Asset_Type__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Call on Demand,Company Groups,Contact Groups,Distribution Lists,Emails,Events,Forms,Hypersites,Online Referrals,Print Mail,Programs,Prospect Groups,Search Campaigns,Surveys'),
	ELOQUA__Online_Referral_Visits__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ELOQUA__Possible_Email_Forwards__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ELOQUA__Print_Mail_Sends__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ELOQUA__Registrations__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ELOQUA__Surveys_Completed__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ELOQUA__Unique_Email_Visitors__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id)
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE ELOQUA__Marketing_Asset__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_ELOQUA__Marketing_Asset__c_ItemId FOREIGN KEY(ItemId) REFERENCES ELOQUA__Marketing_Asset__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE EmailMessage (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	ParentId string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ActivityId string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	TextBody string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	HtmlBody string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Headers string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Subject string(3000) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	FromName string(1000) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	FromAddress string(1000) OPTIONS (NATIVE_TYPE 'email', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ToAddress string OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CcAddress string OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	BccAddress string OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Incoming boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	HasAttachment boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Status string(40) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" '0,1,2,3,4,5'),
	MessageDate timestamp OPTIONS (NATIVE_TYPE 'datetime', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Case__ParentId FOREIGN KEY(ParentId) REFERENCES Case_ (Id) OPTIONS (NAMEINSOURCE 'EmailMessages')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE EmailServicesAddress (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsActive boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	LocalPart string(64) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	EmailDomainName string(255) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	AuthorizedSenders string OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	RunAsUserId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	FunctionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_EmailServicesFunction_FunctionId FOREIGN KEY(FunctionId) REFERENCES EmailServicesFunction (Id) OPTIONS (NAMEINSOURCE 'Addresses')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE EmailServicesFunction (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsActive boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	FunctionName string(64) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	AuthorizedSenders string OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsAuthenticationRequired boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsTlsRequired boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	AttachmentOption string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" '0,1,2,3,4'),
	ApexClassId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	OverLimitAction string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" '0,1,2,3'),
	FunctionInactiveAction string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" '0,1,2,3'),
	AddressInactiveAction string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" '0,1,2,3'),
	AuthenticationFailureAction string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" '0,1,2,3'),
	AuthorizationFailureAction string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" '0,1,2,3'),
	IsTextTruncated boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsErrorRoutingEnabled boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	ErrorRoutingAddress string(270) OPTIONS (NATIVE_TYPE 'email', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsTextAttachmentsAsBinary boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CONSTRAINT Id_PK PRIMARY KEY(Id)
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE EmailStatus (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TaskId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	WhoId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	TimesOpened integer OPTIONS (NATIVE_TYPE 'int', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	FirstOpenDate timestamp OPTIONS (NATIVE_TYPE 'datetime', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	LastOpenDate timestamp OPTIONS (NATIVE_TYPE 'datetime', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	EmailTemplateName string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Contact_WhoId FOREIGN KEY(WhoId) REFERENCES Contact (Id) OPTIONS (NAMEINSOURCE 'EmailStatuses'),
	CONSTRAINT FK_Lead_WhoId FOREIGN KEY(WhoId) REFERENCES Lead (Id) OPTIONS (NAMEINSOURCE 'EmailStatuses')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'false', "teiid_sf:Supports Delete" 'false', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'false', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'false', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE EmailTemplate (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	DeveloperName string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	NamespacePrefix string(15) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	OwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	FolderId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	BrandTemplateId string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	TemplateStyle string(40) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'none,freeForm,formalLetter,promotionRight,promotionLeft,newsletter,products'),
	IsActive boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TemplateType string(40) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'text,html,custom,visualforce'),
	Encoding string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'UTF-8,ISO-8859-1,Shift_JIS,ISO-2022-JP,EUC-JP,ks_c_5601-1987,Big5,GB2312'),
	Description string OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Subject string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	HtmlValue string(384000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Body string(384000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	TimesUsed integer OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'int', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	LastUsedDate timestamp OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'datetime', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ApiVersion double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Markup string(1048576) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id)
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE EmbeddedOverride__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	SetupOwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	OverrideAllowed__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	CONSTRAINT Id_PK PRIMARY KEY(Id)
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE EmbeddedOverride__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_EmbeddedOverride__c_ItemId FOREIGN KEY(ItemId) REFERENCES EmbeddedOverride__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE EmbeddedSKU__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(38) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	SetupOwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id)
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE EmbeddedSKU__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_EmbeddedSKU__c_ItemId FOREIGN KEY(ItemId) REFERENCES EmbeddedSKU__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE EntitySubscription (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	ParentId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	SubscriberId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_APPR_DGRP__Dynamic_Group__c_ParentId FOREIGN KEY(ParentId) REFERENCES APPR_DGRP__Dynamic_Group__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_APPR_DGRP__Group_Rule__c_ParentId FOREIGN KEY(ParentId) REFERENCES APPR_DGRP__Group_Rule__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_APPR_PUB_XT__Headline_Link_Group_Translation__c_ParentId FOREIGN KEY(ParentId) REFERENCES APPR_PUB_XT__Headline_Link_Group_Translation__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_APPR_PUB_XT__Headline_Link__c_ParentId FOREIGN KEY(ParentId) REFERENCES APPR_PUB_XT__Headline_Link__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_APPR_PUB_XT__Headline_Translation__c_ParentId FOREIGN KEY(ParentId) REFERENCES APPR_PUB_XT__Headline_Translation__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_APPR_PUB__Headline_Link_Group__c_ParentId FOREIGN KEY(ParentId) REFERENCES APPR_PUB__Headline_Link_Group__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_APPR_PUB__Headline_Link__c_ParentId FOREIGN KEY(ParentId) REFERENCES APPR_PUB__Headline_Link__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_APPR_PUB__Headline__c_ParentId FOREIGN KEY(ParentId) REFERENCES APPR_PUB__Headline__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_APPR_PUB__PortalPublisherSettings__c_ParentId FOREIGN KEY(ParentId) REFERENCES APPR_PUB__PortalPublisherSettings__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_Account_ParentId FOREIGN KEY(ParentId) REFERENCES Account (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_AccountCatalogRelationship__c_ParentId FOREIGN KEY(ParentId) REFERENCES AccountCatalogRelationship__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_AccountChangeRequestField__c_ParentId FOREIGN KEY(ParentId) REFERENCES AccountChangeRequestField__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_AccountChangeRequest__c_ParentId FOREIGN KEY(ParentId) REFERENCES AccountChangeRequest__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_AccountFields__c_ParentId FOREIGN KEY(ParentId) REFERENCES AccountFields__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_AccountHierarchy__c_ParentId FOREIGN KEY(ParentId) REFERENCES AccountHierarchy__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_AccountProfile_PartnerStatus__c_ParentId FOREIGN KEY(ParentId) REFERENCES AccountProfile_PartnerStatus__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_AccountReadOnly__c_ParentId FOREIGN KEY(ParentId) REFERENCES AccountReadOnly__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_AccountRecordType__c_ParentId FOREIGN KEY(ParentId) REFERENCES AccountRecordType__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_AccountTeamRule__c_ParentId FOREIGN KEY(ParentId) REFERENCES AccountTeamRule__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_Account_Profile_Other_Partner__c_ParentId FOREIGN KEY(ParentId) REFERENCES Account_Profile_Other_Partner__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_Account_Profile_Power_Map__c_ParentId FOREIGN KEY(ParentId) REFERENCES Account_Profile_Power_Map__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_Account_Profile_SWOT__c_ParentId FOREIGN KEY(ParentId) REFERENCES Account_Profile_SWOT__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_Account_Profile__c_ParentId FOREIGN KEY(ParentId) REFERENCES Account_Profile__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_Account_SWOT_Analysis__c_ParentId FOREIGN KEY(ParentId) REFERENCES Account_SWOT_Analysis__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_Accounts_Special_Program__c_ParentId FOREIGN KEY(ParentId) REFERENCES Accounts_Special_Program__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_AcctPicklistSync__c_ParentId FOREIGN KEY(ParentId) REFERENCES AcctPicklistSync__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_Action_Items__c_ParentId FOREIGN KEY(ParentId) REFERENCES Action_Items__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_Address__c_ParentId FOREIGN KEY(ParentId) REFERENCES Address__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_AdminByPass__c_ParentId FOREIGN KEY(ParentId) REFERENCES AdminByPass__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_Agreement_Country__c_ParentId FOREIGN KEY(ParentId) REFERENCES Agreement_Country__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_Agreement__c_ParentId FOREIGN KEY(ParentId) REFERENCES Agreement__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_Anti_corruption__c_ParentId FOREIGN KEY(ParentId) REFERENCES Anti_corruption__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_ApprovalCustom__c_ParentId FOREIGN KEY(ParentId) REFERENCES ApprovalCustom__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_Assessment_Summary__c_ParentId FOREIGN KEY(ParentId) REFERENCES Assessment_Summary__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_Asset_ParentId FOREIGN KEY(ParentId) REFERENCES Asset (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_Audience_Account__c_ParentId FOREIGN KEY(ParentId) REFERENCES Audience_Account__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_Audience__c_ParentId FOREIGN KEY(ParentId) REFERENCES Audience__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_BLND_DFAC_Shared_View__c_ParentId FOREIGN KEY(ParentId) REFERENCES BLND_DFAC_Shared_View__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_BLND_DFCS_Carousel__c_ParentId FOREIGN KEY(ParentId) REFERENCES BLND_DFCS_Carousel__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_BLND_DFCS_Slide__c_ParentId FOREIGN KEY(ParentId) REFERENCES BLND_DFCS_Slide__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_BLND_DFDT_Action_Item__c_ParentId FOREIGN KEY(ParentId) REFERENCES BLND_DFDT_Action_Item__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_BLND_DFDT_Discussion__c_ParentId FOREIGN KEY(ParentId) REFERENCES BLND_DFDT_Discussion__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_BLND_DFDT_Highlight__c_ParentId FOREIGN KEY(ParentId) REFERENCES BLND_DFDT_Highlight__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_BLND_DFDT_Issue__c_ParentId FOREIGN KEY(ParentId) REFERENCES BLND_DFDT_Issue__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_BLND_DFDT_Linker__c_ParentId FOREIGN KEY(ParentId) REFERENCES BLND_DFDT_Linker__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_BLND_DFDT_Project__c_ParentId FOREIGN KEY(ParentId) REFERENCES BLND_DFDT_Project__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_BLND_DFDT_Resource__c_ParentId FOREIGN KEY(ParentId) REFERENCES BLND_DFDT_Resource__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_BLND_DFDT_Task__c_ParentId FOREIGN KEY(ParentId) REFERENCES BLND_DFDT_Task__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_BLND_DFFF_Form__c_ParentId FOREIGN KEY(ParentId) REFERENCES BLND_DFFF_Form__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_BLND_DFFF_Page__c_ParentId FOREIGN KEY(ParentId) REFERENCES BLND_DFFF_Page__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_BLND_DFTE_Expense__c_ParentId FOREIGN KEY(ParentId) REFERENCES BLND_DFTE_Expense__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_BLND_DFTE_Time__c_ParentId FOREIGN KEY(ParentId) REFERENCES BLND_DFTE_Time__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_BLND_DFTT_Document__c_ParentId FOREIGN KEY(ParentId) REFERENCES BLND_DFTT_Document__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_BLND_DFTT_Entity_Info__c_ParentId FOREIGN KEY(ParentId) REFERENCES BLND_DFTT_Entity_Info__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_BLND_DFTT_Folder__c_ParentId FOREIGN KEY(ParentId) REFERENCES BLND_DFTT_Folder__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_BigMachines__Commerce_Settings__c_ParentId FOREIGN KEY(ParentId) REFERENCES BigMachines__Commerce_Settings__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_BigMachines__Configuration_Record__c_ParentId FOREIGN KEY(ParentId) REFERENCES BigMachines__Configuration_Record__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_BigMachines__Field_Mapping__c_ParentId FOREIGN KEY(ParentId) REFERENCES BigMachines__Field_Mapping__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_BigMachines__Quote_Product__c_ParentId FOREIGN KEY(ParentId) REFERENCES BigMachines__Quote_Product__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_BigMachines__Quote__c_ParentId FOREIGN KEY(ParentId) REFERENCES BigMachines__Quote__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_BillToAccount__c_ParentId FOREIGN KEY(ParentId) REFERENCES BillToAccount__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_BooleanSetting__c_ParentId FOREIGN KEY(ParentId) REFERENCES BooleanSetting__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_Budget_Status_Mapping__c_ParentId FOREIGN KEY(ParentId) REFERENCES Budget_Status_Mapping__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_Busines_Plan_KPI__c_ParentId FOREIGN KEY(ParentId) REFERENCES Busines_Plan_KPI__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_BusinessPlan_MktResource__c_ParentId FOREIGN KEY(ParentId) REFERENCES BusinessPlan_MktResource__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_Business_Plan_Customer__c_ParentId FOREIGN KEY(ParentId) REFERENCES Business_Plan_Customer__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_Business_Problem__c_ParentId FOREIGN KEY(ParentId) REFERENCES Business_Problem__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_CCB_Event__c_ParentId FOREIGN KEY(ParentId) REFERENCES CCB_Event__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_CDH_Party__c_ParentId FOREIGN KEY(ParentId) REFERENCES CDH_Party__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_CR_Components_Join__c_ParentId FOREIGN KEY(ParentId) REFERENCES CR_Components_Join__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_CTSK_INSP__Field_Statistic__c_ParentId FOREIGN KEY(ParentId) REFERENCES CTSK_INSP__Field_Statistic__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_CTSK_INSP__Object_Statistic__c_ParentId FOREIGN KEY(ParentId) REFERENCES CTSK_INSP__Object_Statistic__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_Campaign_ParentId FOREIGN KEY(ParentId) REFERENCES Campaign (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_CampaignTag__c_ParentId FOREIGN KEY(ParentId) REFERENCES CampaignTag__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_Campaign_Hierarchy_Details__c_ParentId FOREIGN KEY(ParentId) REFERENCES Campaign_Hierarchy_Details__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_Campaign_Plan__c_ParentId FOREIGN KEY(ParentId) REFERENCES Campaign_Plan__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_Case__ParentId FOREIGN KEY(ParentId) REFERENCES Case_ (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_CaseCommentData__c_ParentId FOREIGN KEY(ParentId) REFERENCES CaseCommentData__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_CasePriorityTotals__c_ParentId FOREIGN KEY(ParentId) REFERENCES CasePriorityTotals__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_CasePriority__c_ParentId FOREIGN KEY(ParentId) REFERENCES CasePriority__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_CaseRecordType__c_ParentId FOREIGN KEY(ParentId) REFERENCES CaseRecordType__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_Change_Control_Board__c_ParentId FOREIGN KEY(ParentId) REFERENCES Change_Control_Board__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_Change_Management__c_ParentId FOREIGN KEY(ParentId) REFERENCES Change_Management__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_Change_Request_Members__c_ParentId FOREIGN KEY(ParentId) REFERENCES Change_Request_Members__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_Change_Request__c_ParentId FOREIGN KEY(ParentId) REFERENCES Change_Request__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_Change_Requests__c_ParentId FOREIGN KEY(ParentId) REFERENCES Change_Requests__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_Chatter_Group_Name__c_ParentId FOREIGN KEY(ParentId) REFERENCES Chatter_Group_Name__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_ClassificationTranslation__c_ParentId FOREIGN KEY(ParentId) REFERENCES ClassificationTranslation__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_Classification__c_ParentId FOREIGN KEY(ParentId) REFERENCES Classification__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_CommUtils__c_ParentId FOREIGN KEY(ParentId) REFERENCES CommUtils__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_Communities_Featured_Headline_Label__c_ParentId FOREIGN KEY(ParentId) REFERENCES Communities_Featured_Headline_Label__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_Communities_Featured_Headline__c_ParentId FOREIGN KEY(ParentId) REFERENCES Communities_Featured_Headline__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_Communities_Navigation_Item_Label__c_ParentId FOREIGN KEY(ParentId) REFERENCES Communities_Navigation_Item_Label__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_Communities_Navigation_Item__c_ParentId FOREIGN KEY(ParentId) REFERENCES Communities_Navigation_Item__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_Communities_News_Item_Label__c_ParentId FOREIGN KEY(ParentId) REFERENCES Communities_News_Item_Label__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_Communities_News_Item__c_ParentId FOREIGN KEY(ParentId) REFERENCES Communities_News_Item__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_Communities_Tool_Shortcut_Label__c_ParentId FOREIGN KEY(ParentId) REFERENCES Communities_Tool_Shortcut_Label__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_Communities_Tool_Shortcut__c_ParentId FOREIGN KEY(ParentId) REFERENCES Communities_Tool_Shortcut__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_Competitor__c_ParentId FOREIGN KEY(ParentId) REFERENCES Competitor__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_Component__c_ParentId FOREIGN KEY(ParentId) REFERENCES Component__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_Configuration__c_ParentId FOREIGN KEY(ParentId) REFERENCES Configuration__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_Contact_ParentId FOREIGN KEY(ParentId) REFERENCES Contact (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_Contact_Converter__c_ParentId FOREIGN KEY(ParentId) REFERENCES Contact_Converter__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_Contact_Reference_Request__c_ParentId FOREIGN KEY(ParentId) REFERENCES Contact_Reference_Request__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_Contact_Tool_Shortcut__c_ParentId FOREIGN KEY(ParentId) REFERENCES Contact_Tool_Shortcut__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_Contact_Track__c_ParentId FOREIGN KEY(ParentId) REFERENCES Contact_Track__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_ContentDocument_ParentId FOREIGN KEY(ParentId) REFERENCES ContentDocument (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_Contract_ParentId FOREIGN KEY(ParentId) REFERENCES Contract (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_CountryTranslation__c_ParentId FOREIGN KEY(ParentId) REFERENCES CountryTranslation__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_Country__c_ParentId FOREIGN KEY(ParentId) REFERENCES Country__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_Credit__c_ParentId FOREIGN KEY(ParentId) REFERENCES Credit__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_Customer_Reference_Product__c_ParentId FOREIGN KEY(ParentId) REFERENCES Customer_Reference_Product__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_Customer_Reference__c_ParentId FOREIGN KEY(ParentId) REFERENCES Customer_Reference__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_DateTimeSetting__c_ParentId FOREIGN KEY(ParentId) REFERENCES DateTimeSetting__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_Date_Setting__c_ParentId FOREIGN KEY(ParentId) REFERENCES Date_Setting__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_DefaultRecordTypes__c_ParentId FOREIGN KEY(ParentId) REFERENCES DefaultRecordTypes__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_Defect_Requirement_Join__c_ParentId FOREIGN KEY(ParentId) REFERENCES Defect_Requirement_Join__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_Defect__c_ParentId FOREIGN KEY(ParentId) REFERENCES Defect__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_Deliverables__c_ParentId FOREIGN KEY(ParentId) REFERENCES Deliverables__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_DomainValidation__c_ParentId FOREIGN KEY(ParentId) REFERENCES DomainValidation__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_EBS_Account__c_ParentId FOREIGN KEY(ParentId) REFERENCES EBS_Account__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_ELOQUA__Campaign_s_Marketing_Asset__c_ParentId FOREIGN KEY(ParentId) REFERENCES ELOQUA__Campaign_s_Marketing_Asset__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_ELOQUA__Marketing_Activity__c_ParentId FOREIGN KEY(ParentId) REFERENCES ELOQUA__Marketing_Activity__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_ELOQUA__Marketing_Asset__c_ParentId FOREIGN KEY(ParentId) REFERENCES ELOQUA__Marketing_Asset__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_EmbeddedOverride__c_ParentId FOREIGN KEY(ParentId) REFERENCES EmbeddedOverride__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_EmbeddedSKU__c_ParentId FOREIGN KEY(ParentId) REFERENCES EmbeddedSKU__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_Environment__c_ParentId FOREIGN KEY(ParentId) REFERENCES Environment__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_Evaluation__c_ParentId FOREIGN KEY(ParentId) REFERENCES Evaluation__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_Event_ParentId FOREIGN KEY(ParentId) REFERENCES Event (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_Event_Log__c_ParentId FOREIGN KEY(ParentId) REFERENCES Event_Log__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_Event__c_ParentId FOREIGN KEY(ParentId) REFERENCES Event__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_Executive_Summary__c_ParentId FOREIGN KEY(ParentId) REFERENCES Executive_Summary__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_Expiring_Product__c_ParentId FOREIGN KEY(ParentId) REFERENCES Expiring_Product__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_Featured_Partner__c_ParentId FOREIGN KEY(ParentId) REFERENCES Featured_Partner__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_FieldId__c_ParentId FOREIGN KEY(ParentId) REFERENCES FieldId__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_FiscalGoals__c_ParentId FOREIGN KEY(ParentId) REFERENCES FiscalGoals__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_GroupSetting__c_ParentId FOREIGN KEY(ParentId) REFERENCES GroupSetting__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_Hashes__c_ParentId FOREIGN KEY(ParentId) REFERENCES Hashes__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_Inbound_Event__c_ParentId FOREIGN KEY(ParentId) REFERENCES Inbound_Event__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_Indirect_Matching_Static_Data__c_ParentId FOREIGN KEY(ParentId) REFERENCES Indirect_Matching_Static_Data__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_Key_Joint_Sales_Engagement__c_ParentId FOREIGN KEY(ParentId) REFERENCES Key_Joint_Sales_Engagement__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_LMS_Training_Request__c_ParentId FOREIGN KEY(ParentId) REFERENCES LMS_Training_Request__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_Lead_ParentId FOREIGN KEY(ParentId) REFERENCES Lead (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_LeadAccountRules__c_ParentId FOREIGN KEY(ParentId) REFERENCES LeadAccountRules__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_LeadConvertWizardOppDefaultAmount__c_ParentId FOREIGN KEY(ParentId) REFERENCES LeadConvertWizardOppDefaultAmount__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_LeadConvertWizardOppDefaultStage__c_ParentId FOREIGN KEY(ParentId) REFERENCES LeadConvertWizardOppDefaultStage__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_LeadCountryMap__c_ParentId FOREIGN KEY(ParentId) REFERENCES LeadCountryMap__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_LeadCronRoutingRule__c_ParentId FOREIGN KEY(ParentId) REFERENCES LeadCronRoutingRule__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_LeadForReporting__c_ParentId FOREIGN KEY(ParentId) REFERENCES LeadForReporting__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_LeadManagementHistory__c_ParentId FOREIGN KEY(ParentId) REFERENCES LeadManagementHistory__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_LeadRules__c_ParentId FOREIGN KEY(ParentId) REFERENCES LeadRules__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_LeadShareStaging__c_ParentId FOREIGN KEY(ParentId) REFERENCES LeadShareStaging__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_Lead_Source_Detail__c_ParentId FOREIGN KEY(ParentId) REFERENCES Lead_Source_Detail__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_Lead_SuperRegion_Mapping__c_ParentId FOREIGN KEY(ParentId) REFERENCES Lead_SuperRegion_Mapping__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_Link_to_Paid_Opportunity__c_ParentId FOREIGN KEY(ParentId) REFERENCES Link_to_Paid_Opportunity__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_LongSetting__c_ParentId FOREIGN KEY(ParentId) REFERENCES LongSetting__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_Marketing_Activity__c_ParentId FOREIGN KEY(ParentId) REFERENCES Marketing_Activity__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_Marketing_Program__c_ParentId FOREIGN KEY(ParentId) REFERENCES Marketing_Program__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_Match_and_Validation_Error__c_ParentId FOREIGN KEY(ParentId) REFERENCES Match_and_Validation_Error__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_Messaging_Strategy__c_ParentId FOREIGN KEY(ParentId) REFERENCES Messaging_Strategy__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_Milestone_Status_Mapping__c_ParentId FOREIGN KEY(ParentId) REFERENCES Milestone_Status_Mapping__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_Milestone__c_ParentId FOREIGN KEY(ParentId) REFERENCES Milestone__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_MonitoredActivity__c_ParentId FOREIGN KEY(ParentId) REFERENCES MonitoredActivity__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_NFR_LI__c_ParentId FOREIGN KEY(ParentId) REFERENCES NFR_LI__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_NFR_Request__c_ParentId FOREIGN KEY(ParentId) REFERENCES NFR_Request__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_NFR_SKU_Matrix__c_ParentId FOREIGN KEY(ParentId) REFERENCES NFR_SKU_Matrix__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_NonPrimaryBillingAddress__c_ParentId FOREIGN KEY(ParentId) REFERENCES NonPrimaryBillingAddress__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_NonPrimaryShippingAddress__c_ParentId FOREIGN KEY(ParentId) REFERENCES NonPrimaryShippingAddress__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_Opportunities_Special_Program__c_ParentId FOREIGN KEY(ParentId) REFERENCES Opportunities_Special_Program__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_Opportunity_ParentId FOREIGN KEY(ParentId) REFERENCES Opportunity (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_OpportunityPartner__c_ParentId FOREIGN KEY(ParentId) REFERENCES OpportunityPartner__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_OpportunityProductSummary__c_ParentId FOREIGN KEY(ParentId) REFERENCES OpportunityProductSummary__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_OpportunitySnapshot__c_ParentId FOREIGN KEY(ParentId) REFERENCES OpportunitySnapshot__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_OpportunitySplitUserProfiles__c_ParentId FOREIGN KEY(ParentId) REFERENCES OpportunitySplitUserProfiles__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_OpportunityTeamMemberClone__c_ParentId FOREIGN KEY(ParentId) REFERENCES OpportunityTeamMemberClone__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_Opportunity_Header_Staging__c_ParentId FOREIGN KEY(ParentId) REFERENCES Opportunity_Header_Staging__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_Opportunity_History__c_ParentId FOREIGN KEY(ParentId) REFERENCES Opportunity_History__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_Opportunity_Line_Staging__c_ParentId FOREIGN KEY(ParentId) REFERENCES Opportunity_Line_Staging__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_Opportunity_Match_Configuration__c_ParentId FOREIGN KEY(ParentId) REFERENCES Opportunity_Match_Configuration__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_Opportunity_Partner_Staging__c_ParentId FOREIGN KEY(ParentId) REFERENCES Opportunity_Partner_Staging__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_Opportunity_Partners__c_ParentId FOREIGN KEY(ParentId) REFERENCES Opportunity_Partners__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_Opportunity_Split_Detail__c_ParentId FOREIGN KEY(ParentId) REFERENCES Opportunity_Split_Detail__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_Oppty_Staging_Limit__c_ParentId FOREIGN KEY(ParentId) REFERENCES Oppty_Staging_Limit__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_OrderTypeDefault__c_ParentId FOREIGN KEY(ParentId) REFERENCES OrderTypeDefault__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_Order_Loader_Batch__c_ParentId FOREIGN KEY(ParentId) REFERENCES Order_Loader_Batch__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_Order_Management_Profile__c_ParentId FOREIGN KEY(ParentId) REFERENCES Order_Management_Profile__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_Order_Tracking__c_ParentId FOREIGN KEY(ParentId) REFERENCES Order_Tracking__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_OutboundMessagePriority__c_ParentId FOREIGN KEY(ParentId) REFERENCES OutboundMessagePriority__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_Outbound_Error__c_ParentId FOREIGN KEY(ParentId) REFERENCES Outbound_Error__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_Outbound_Event__c_ParentId FOREIGN KEY(ParentId) REFERENCES Outbound_Event__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_PAR_MDF_Allocations__c_ParentId FOREIGN KEY(ParentId) REFERENCES PAR_MDF_Allocations__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_PAR_Pilot_Account__c_ParentId FOREIGN KEY(ParentId) REFERENCES PAR_Pilot_Account__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_PCSearchForm__c_ParentId FOREIGN KEY(ParentId) REFERENCES PCSearchForm__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_PFSearchForm__c_ParentId FOREIGN KEY(ParentId) REFERENCES PFSearchForm__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_POC_Enabled__c_ParentId FOREIGN KEY(ParentId) REFERENCES POC_Enabled__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_PP_Account_Points__c_ParentId FOREIGN KEY(ParentId) REFERENCES PP_Account_Points__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_PP_Batch__c_ParentId FOREIGN KEY(ParentId) REFERENCES PP_Batch__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_PP_Cap__c_ParentId FOREIGN KEY(ParentId) REFERENCES PP_Cap__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_PP_Catalog__c_ParentId FOREIGN KEY(ParentId) REFERENCES PP_Catalog__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_PP_ContentBatchStage__c_ParentId FOREIGN KEY(ParentId) REFERENCES PP_ContentBatchStage__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_PP_ContentStage__c_ParentId FOREIGN KEY(ParentId) REFERENCES PP_ContentStage__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_PP_Content_Workspace__c_ParentId FOREIGN KEY(ParentId) REFERENCES PP_Content_Workspace__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_PP_Content__c_ParentId FOREIGN KEY(ParentId) REFERENCES PP_Content__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_PP_InboundBatchItemStage__c_ParentId FOREIGN KEY(ParentId) REFERENCES PP_InboundBatchItemStage__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_PP_InboundBatchStage__c_ParentId FOREIGN KEY(ParentId) REFERENCES PP_InboundBatchStage__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_PP_ItemAudit__c_ParentId FOREIGN KEY(ParentId) REFERENCES PP_ItemAudit__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_PP_LMS_Stage__c_ParentId FOREIGN KEY(ParentId) REFERENCES PP_LMS_Stage__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_PP_Scores__c_ParentId FOREIGN KEY(ParentId) REFERENCES PP_Scores__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_PP_User_Points__c_ParentId FOREIGN KEY(ParentId) REFERENCES PP_User_Points__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_PartnerAgreement__c_ParentId FOREIGN KEY(ParentId) REFERENCES PartnerAgreement__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_PartnerClassification__c_ParentId FOREIGN KEY(ParentId) REFERENCES PartnerClassification__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_PartnerLogo__c_ParentId FOREIGN KEY(ParentId) REFERENCES PartnerLogo__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_PartnerProductClassification__c_ParentId FOREIGN KEY(ParentId) REFERENCES PartnerProductClassification__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_PartnerProductLanguage__c_ParentId FOREIGN KEY(ParentId) REFERENCES PartnerProductLanguage__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_PartnerProductLogo__c_ParentId FOREIGN KEY(ParentId) REFERENCES PartnerProductLogo__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_PartnerProductScreenshot__c_ParentId FOREIGN KEY(ParentId) REFERENCES PartnerProductScreenshot__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_PartnerProduct__c_ParentId FOREIGN KEY(ParentId) REFERENCES PartnerProduct__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_PartnerRequalification__c_ParentId FOREIGN KEY(ParentId) REFERENCES PartnerRequalification__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_PartnerStatus__c_ParentId FOREIGN KEY(ParentId) REFERENCES PartnerStatus__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_PartnerTopCustomer__c_ParentId FOREIGN KEY(ParentId) REFERENCES PartnerTopCustomer__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_PartnerTrack__c_ParentId FOREIGN KEY(ParentId) REFERENCES PartnerTrack__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_PartnerTraining__c_ParentId FOREIGN KEY(ParentId) REFERENCES PartnerTraining__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_PartnerUser_Email_Token__c_ParentId FOREIGN KEY(ParentId) REFERENCES PartnerUser_Email_Token__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_Partner_Attachment__c_ParentId FOREIGN KEY(ParentId) REFERENCES Partner_Attachment__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_Partner_CCP_Form__c_ParentId FOREIGN KEY(ParentId) REFERENCES Partner_CCP_Form__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_Partner_Location__c_ParentId FOREIGN KEY(ParentId) REFERENCES Partner_Location__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_Partner_Onboarding_Registration__c_ParentId FOREIGN KEY(ParentId) REFERENCES Partner_Onboarding_Registration__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_Partner_Point_Requal_Limits__c_ParentId FOREIGN KEY(ParentId) REFERENCES Partner_Point_Requal_Limits__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_Partner_Points_Course__c_ParentId FOREIGN KEY(ParentId) REFERENCES Partner_Points_Course__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_Partner_Points_LMS_Catalog__c_ParentId FOREIGN KEY(ParentId) REFERENCES Partner_Points_LMS_Catalog__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_Partner_Points_Requal_Req__c_ParentId FOREIGN KEY(ParentId) REFERENCES Partner_Points_Requal_Req__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_Partner_Points__c_ParentId FOREIGN KEY(ParentId) REFERENCES Partner_Points__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_Partner_Profile__c_ParentId FOREIGN KEY(ParentId) REFERENCES Partner_Profile__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_Partner_Program_Approval__c_ParentId FOREIGN KEY(ParentId) REFERENCES Partner_Program_Approval__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_Partner_Program_Definition__c_ParentId FOREIGN KEY(ParentId) REFERENCES Partner_Program_Definition__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_Partner_Program_Description__c_ParentId FOREIGN KEY(ParentId) REFERENCES Partner_Program_Description__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_Partner_Program_Product__c_ParentId FOREIGN KEY(ParentId) REFERENCES Partner_Program_Product__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_Partner_Program_Tier__c_ParentId FOREIGN KEY(ParentId) REFERENCES Partner_Program_Tier__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_Partner_Program__c_ParentId FOREIGN KEY(ParentId) REFERENCES Partner_Program__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_Partner_Registration_Line_Item__c_ParentId FOREIGN KEY(ParentId) REFERENCES Partner_Registration_Line_Item__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_Partner_Registration__c_ParentId FOREIGN KEY(ParentId) REFERENCES Partner_Registration__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_Partner_Requal_Points__c_ParentId FOREIGN KEY(ParentId) REFERENCES Partner_Requal_Points__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_Partner_Requal_Setup__c_ParentId FOREIGN KEY(ParentId) REFERENCES Partner_Requal_Setup__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_Partner_Requalification_Agreement__c_ParentId FOREIGN KEY(ParentId) REFERENCES Partner_Requalification_Agreement__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_Partner_Requalification_Log__c_ParentId FOREIGN KEY(ParentId) REFERENCES Partner_Requalification_Log__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_Partner_User_Invitation__c_ParentId FOREIGN KEY(ParentId) REFERENCES Partner_User_Invitation__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_Partner_s_Assessment_Summary__c_ParentId FOREIGN KEY(ParentId) REFERENCES Partner_s_Assessment_Summary__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_Partner_s_Business_Problem__c_ParentId FOREIGN KEY(ParentId) REFERENCES Partner_s_Business_Problem__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_Partner_s_Competitor__c_ParentId FOREIGN KEY(ParentId) REFERENCES Partner_s_Competitor__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_Partner_s_Messaging_Strategy__c_ParentId FOREIGN KEY(ParentId) REFERENCES Partner_s_Messaging_Strategy__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_Potential_Matched_Opportunities__c_ParentId FOREIGN KEY(ParentId) REFERENCES Potential_Matched_Opportunities__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_Priority__c_ParentId FOREIGN KEY(ParentId) REFERENCES Priority__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_Product2_ParentId FOREIGN KEY(ParentId) REFERENCES Product2 (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_Project_Item__c_ParentId FOREIGN KEY(ParentId) REFERENCES Project_Item__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_Project_Status_Mapping__c_ParentId FOREIGN KEY(ParentId) REFERENCES Project_Status_Mapping__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_Project_Status__c_ParentId FOREIGN KEY(ParentId) REFERENCES Project_Status__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_Project_Tracker__c_ParentId FOREIGN KEY(ParentId) REFERENCES Project_Tracker__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_Project__c_ParentId FOREIGN KEY(ParentId) REFERENCES Project__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_ProxyApprover__c_ParentId FOREIGN KEY(ParentId) REFERENCES ProxyApprover__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_QuoteLineItemSchedule__c_ParentId FOREIGN KEY(ParentId) REFERENCES QuoteLineItemSchedule__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_QuoteLineItem__c_ParentId FOREIGN KEY(ParentId) REFERENCES QuoteLineItem__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_QuotePaymentSchedule__c_ParentId FOREIGN KEY(ParentId) REFERENCES QuotePaymentSchedule__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_Quote__c_ParentId FOREIGN KEY(ParentId) REFERENCES Quote__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_RH_AddressCountryMapping__c_ParentId FOREIGN KEY(ParentId) REFERENCES RH_AddressCountryMapping__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_RH_Content__c_ParentId FOREIGN KEY(ParentId) REFERENCES RH_Content__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_RH_CountryCode_CountryName__c_ParentId FOREIGN KEY(ParentId) REFERENCES RH_CountryCode_CountryName__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_RH_Microsite_Page__c_ParentId FOREIGN KEY(ParentId) REFERENCES RH_Microsite_Page__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_RH_Microsite__c_ParentId FOREIGN KEY(ParentId) REFERENCES RH_Microsite__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_Rally_User__c_ParentId FOREIGN KEY(ParentId) REFERENCES Rally_User__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_RecordLookup__c_ParentId FOREIGN KEY(ParentId) REFERENCES RecordLookup__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_RecordTypeAssignment__c_ParentId FOREIGN KEY(ParentId) REFERENCES RecordTypeAssignment__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_RecordTypeLookup__c_ParentId FOREIGN KEY(ParentId) REFERENCES RecordTypeLookup__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_RedHatObjectReferences__c_ParentId FOREIGN KEY(ParentId) REFERENCES RedHatObjectReferences__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_Red_Hat_Attachment__c_ParentId FOREIGN KEY(ParentId) REFERENCES Red_Hat_Attachment__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_ReferenceStor__Rs_Account_HistoryDetail__c_ParentId FOREIGN KEY(ParentId) REFERENCES ReferenceStor__Rs_Account_HistoryDetail__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_ReferenceStor__Rs_Account_History__c_ParentId FOREIGN KEY(ParentId) REFERENCES ReferenceStor__Rs_Account_History__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_ReferenceStor__Rs_Opportunity_HistoryDetail__c_ParentId FOREIGN KEY(ParentId) REFERENCES ReferenceStor__Rs_Opportunity_HistoryDetail__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_ReferenceStor__Rs_Opportunity_History__c_ParentId FOREIGN KEY(ParentId) REFERENCES ReferenceStor__Rs_Opportunity_History__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_Reference_Collateral__c_ParentId FOREIGN KEY(ParentId) REFERENCES Reference_Collateral__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_Reference_Usage__c_ParentId FOREIGN KEY(ParentId) REFERENCES Reference_Usage__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_Region_NA__c_ParentId FOREIGN KEY(ParentId) REFERENCES Region_NA__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_Region__c_ParentId FOREIGN KEY(ParentId) REFERENCES Region__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_Reject_Lead_Setup__c_ParentId FOREIGN KEY(ParentId) REFERENCES Reject_Lead_Setup__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_Related_Case__c_ParentId FOREIGN KEY(ParentId) REFERENCES Related_Case__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_Release__c_ParentId FOREIGN KEY(ParentId) REFERENCES Release__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_RemoteAccess__c_ParentId FOREIGN KEY(ParentId) REFERENCES RemoteAccess__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_RequalMetVsSetRequirements__c_ParentId FOREIGN KEY(ParentId) REFERENCES RequalMetVsSetRequirements__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_Request_Tracker__c_ParentId FOREIGN KEY(ParentId) REFERENCES Request_Tracker__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_Requirement__c_ParentId FOREIGN KEY(ParentId) REFERENCES Requirement__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_Reseller__c_ParentId FOREIGN KEY(ParentId) REFERENCES Reseller__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_Resource_Scope_Status_Mapping__c_ParentId FOREIGN KEY(ParentId) REFERENCES Resource_Scope_Status_Mapping__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_Resource__c_ParentId FOREIGN KEY(ParentId) REFERENCES Resource__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_Role_Interest_Training_Matrix__c_ParentId FOREIGN KEY(ParentId) REFERENCES Role_Interest_Training_Matrix__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_RushOrderSKU__c_ParentId FOREIGN KEY(ParentId) REFERENCES RushOrderSKU__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_SFDC_Budget_Item__c_ParentId FOREIGN KEY(ParentId) REFERENCES SFDC_Budget_Item__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_SFDC_Budget__c_ParentId FOREIGN KEY(ParentId) REFERENCES SFDC_Budget__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_SFDC_Channel_Account_Plan__c_ParentId FOREIGN KEY(ParentId) REFERENCES SFDC_Channel_Account_Plan__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_SFDC_MDF_Claim__c_ParentId FOREIGN KEY(ParentId) REFERENCES SFDC_MDF_Claim__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_SFDC_MDF__c_ParentId FOREIGN KEY(ParentId) REFERENCES SFDC_MDF__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_SFDC_Objective__c_ParentId FOREIGN KEY(ParentId) REFERENCES SFDC_Objective__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_SFDC_Plan_Resource_Association__c_ParentId FOREIGN KEY(ParentId) REFERENCES SFDC_Plan_Resource_Association__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_SalesContentSections__c_ParentId FOREIGN KEY(ParentId) REFERENCES SalesContentSections__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_SalesOperations__c_ParentId FOREIGN KEY(ParentId) REFERENCES SalesOperations__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_SalesPortalContent__c_ParentId FOREIGN KEY(ParentId) REFERENCES SalesPortalContent__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_Sales_Comments__c_ParentId FOREIGN KEY(ParentId) REFERENCES Sales_Comments__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_Schedule_Exports__c_ParentId FOREIGN KEY(ParentId) REFERENCES Schedule_Exports__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_ScheduledApex__c_ParentId FOREIGN KEY(ParentId) REFERENCES ScheduledApex__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_SearchBeforeCreateURL__c_ParentId FOREIGN KEY(ParentId) REFERENCES SearchBeforeCreateURL__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_ServicesAllocation__c_ParentId FOREIGN KEY(ParentId) REFERENCES ServicesAllocation__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_ServicesSKU__c_ParentId FOREIGN KEY(ParentId) REFERENCES ServicesSKU__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_Site_ParentId FOREIGN KEY(ParentId) REFERENCES Site (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_Solution_ParentId FOREIGN KEY(ParentId) REFERENCES Solution (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_SolutionProduct__c_ParentId FOREIGN KEY(ParentId) REFERENCES SolutionProduct__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_Special_Program__c_ParentId FOREIGN KEY(ParentId) REFERENCES Special_Program__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_StateProvinceTranslation__c_ParentId FOREIGN KEY(ParentId) REFERENCES StateProvinceTranslation__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_State__c_ParentId FOREIGN KEY(ParentId) REFERENCES State__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_States_ISO_codes__c_ParentId FOREIGN KEY(ParentId) REFERENCES States_ISO_codes__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_Status_Reports__c_ParentId FOREIGN KEY(ParentId) REFERENCES Status_Reports__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_SteeringCommittee__c_ParentId FOREIGN KEY(ParentId) REFERENCES SteeringCommittee__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_StoryBookLinkLabel__c_ParentId FOREIGN KEY(ParentId) REFERENCES StoryBookLinkLabel__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_StoryBookLink__c_ParentId FOREIGN KEY(ParentId) REFERENCES StoryBookLink__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_Storybook__c_ParentId FOREIGN KEY(ParentId) REFERENCES Storybook__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_StrategicPlan_Action__c_ParentId FOREIGN KEY(ParentId) REFERENCES StrategicPlan_Action__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_StrategicPlan_OppProdSummary__c_ParentId FOREIGN KEY(ParentId) REFERENCES StrategicPlan_OppProdSummary__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_StrategicPlan_ReviewHistory__c_ParentId FOREIGN KEY(ParentId) REFERENCES StrategicPlan_ReviewHistory__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_StrategicPlan_Review__c_ParentId FOREIGN KEY(ParentId) REFERENCES StrategicPlan_Review__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_StrategicPlan_SolutionOpportunity__c_ParentId FOREIGN KEY(ParentId) REFERENCES StrategicPlan_SolutionOpportunity__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_StrategicPlan_Solution__c_ParentId FOREIGN KEY(ParentId) REFERENCES StrategicPlan_Solution__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_StrategicPlan_Strategy__c_ParentId FOREIGN KEY(ParentId) REFERENCES StrategicPlan_Strategy__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_StrategicPlan__c_ParentId FOREIGN KEY(ParentId) REFERENCES StrategicPlan__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_StringSetting__c_ParentId FOREIGN KEY(ParentId) REFERENCES StringSetting__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_SubscriptionBatch__c_ParentId FOREIGN KEY(ParentId) REFERENCES SubscriptionBatch__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_SubscriptionError__c_ParentId FOREIGN KEY(ParentId) REFERENCES SubscriptionError__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_SubscriptionLine__c_ParentId FOREIGN KEY(ParentId) REFERENCES SubscriptionLine__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_SubscriptionPartnerRelationship__c_ParentId FOREIGN KEY(ParentId) REFERENCES SubscriptionPartnerRelationship__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_SubscriptionPartner__c_ParentId FOREIGN KEY(ParentId) REFERENCES SubscriptionPartner__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_SubscriptionReportCriteria__c_ParentId FOREIGN KEY(ParentId) REFERENCES SubscriptionReportCriteria__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_Subscription__c_ParentId FOREIGN KEY(ParentId) REFERENCES Subscription__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_SumTotal_Catalog__c_ParentId FOREIGN KEY(ParentId) REFERENCES SumTotal_Catalog__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_SumTotal_Request__c_ParentId FOREIGN KEY(ParentId) REFERENCES SumTotal_Request__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_SumTotal_Setting__c_ParentId FOREIGN KEY(ParentId) REFERENCES SumTotal_Setting__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_SumTotal_Training__c_ParentId FOREIGN KEY(ParentId) REFERENCES SumTotal_Training__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_Super_Industry__c_ParentId FOREIGN KEY(ParentId) REFERENCES Super_Industry__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_Task_ParentId FOREIGN KEY(ParentId) REFERENCES Task (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_Teaming_Agreement__c_ParentId FOREIGN KEY(ParentId) REFERENCES Teaming_Agreement__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_Temporal_Content__c_ParentId FOREIGN KEY(ParentId) REFERENCES Temporal_Content__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_Test_Case_Result__c_ParentId FOREIGN KEY(ParentId) REFERENCES Test_Case_Result__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_Test_Case_Step__c_ParentId FOREIGN KEY(ParentId) REFERENCES Test_Case_Step__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_Test_Case__c_ParentId FOREIGN KEY(ParentId) REFERENCES Test_Case__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_TestingIds__c_ParentId FOREIGN KEY(ParentId) REFERENCES TestingIds__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_TrackingEventLog__c_ParentId FOREIGN KEY(ParentId) REFERENCES TrackingEventLog__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_TrackingEventSummary__c_ParentId FOREIGN KEY(ParentId) REFERENCES TrackingEventSummary__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_TrackingEvent__c_ParentId FOREIGN KEY(ParentId) REFERENCES TrackingEvent__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_TrendDataSettings__c_ParentId FOREIGN KEY(ParentId) REFERENCES TrendDataSettings__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_TrendData__c_ParentId FOREIGN KEY(ParentId) REFERENCES TrendData__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_Use_Case_Step__c_ParentId FOREIGN KEY(ParentId) REFERENCES Use_Case_Step__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_Use_Case__c_ParentId FOREIGN KEY(ParentId) REFERENCES Use_Case__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_User__ParentId FOREIGN KEY(ParentId) REFERENCES User_ (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_User__SubscriberId FOREIGN KEY(SubscriberId) REFERENCES User_ (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptions'),
	CONSTRAINT FK_User_Agreement__c_ParentId FOREIGN KEY(ParentId) REFERENCES User_Agreement__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_Util__c_ParentId FOREIGN KEY(ParentId) REFERENCES Util__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_VendorCatalog__c_ParentId FOREIGN KEY(ParentId) REFERENCES VendorCatalog__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_Verifiable_Outcome__c_ParentId FOREIGN KEY(ParentId) REFERENCES Verifiable_Outcome__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_Work_Package__c_ParentId FOREIGN KEY(ParentId) REFERENCES Work_Package__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_Work_Plan__c_ParentId FOREIGN KEY(ParentId) REFERENCES Work_Plan__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_dupcerts__c_ParentId FOREIGN KEY(ParentId) REFERENCES dupcerts__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_hoopla__Field__c_ParentId FOREIGN KEY(ParentId) REFERENCES hoopla__Field__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_hoopla__Hoopla_Entity__c_ParentId FOREIGN KEY(ParentId) REFERENCES hoopla__Hoopla_Entity__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_hoopla__Hoopla_Error_Log__c_ParentId FOREIGN KEY(ParentId) REFERENCES hoopla__Hoopla_Error_Log__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_hoopla__Hoopla_Trigger_Settings__c_ParentId FOREIGN KEY(ParentId) REFERENCES hoopla__Hoopla_Trigger_Settings__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_hoopla__Hoopla_User__c_ParentId FOREIGN KEY(ParentId) REFERENCES hoopla__Hoopla_User__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_hoopla__Notification_Queue__c_ParentId FOREIGN KEY(ParentId) REFERENCES hoopla__Notification_Queue__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_hoopla__Object__c_ParentId FOREIGN KEY(ParentId) REFERENCES hoopla__Object__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_hoopla__Player__c_ParentId FOREIGN KEY(ParentId) REFERENCES hoopla__Player__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_hoopla__Position_Role__c_ParentId FOREIGN KEY(ParentId) REFERENCES hoopla__Position_Role__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_hoopla__Position__c_ParentId FOREIGN KEY(ParentId) REFERENCES hoopla__Position__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity'),
	CONSTRAINT FK_hoopla__Scoreboard_Role__c_ParentId FOREIGN KEY(ParentId) REFERENCES hoopla__Scoreboard_Role__c (Id) OPTIONS (NAMEINSOURCE 'FeedSubscriptionsForEntity')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Environment__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	Account_Profile__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	AMComments__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	AMInformation__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	AMNumber_of_Cores__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	AMRefresh_Contract_Renewal_date__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ASComments__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ASInformation__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ASInstall_Contract_Renewal_Date__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Age_of_Hardware_Installed__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Application_Server_Product__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'FUSION,GlassFish,JBOSS,JBOSS.ORG,SEE BEYOND IPLANET,WEBLOGIC,WEBSPHERE'),
	Application_Server_Vendor__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'COMMUNITY,HP,IBM,ORACLE,OTHER,Red Hat,VMWARE'),
	Application_Vendor__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'COMMUNITY,HP,IBM,MICROSOFT,ORACLE,OTHER'),
	Applications_List__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Architecture__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'X86,X86_64,POWER PC,SYSTEM Z,ARM,Itanium,Sparc,Other'),
	CPComments__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CPInformation__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CPPlatform_Location__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'LOCAL,CLOUD,HYBRID,HOSTED,OTHER'),
	CPSystem_Integrator__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'ACCENTURE,CAP,COGNIZANT,DELIOTTE,HP,IBM,INFOSYS,OTHER,TCS'),
	Formatted_Total_Capacity__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	HWComments__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Hardware_Help_Text__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Hardware_Vendor__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Cisco,DELL,HP,IBM,OTHER'),
	Information__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Middleware_Classification__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'RULES,SOA,MESSAGING,PORTAL,BPM,OTHER'),
	Middleware_Software_and_version__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" '.NET,ILOG,WODM,IBM LOMARDI,PEGGER,COMMUNITY,OTHER'),
	Middleware_Vendor__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'COMMUNITY,COMPOSITE INFORMATION SERVER,FICO,HP,IBM,LIFERAY,MICROSOFT,MULESOURCE,ORACLE,PEGASYSTEMS,PROGRESS,TIBCO,OTHER'),
	Move_Contract_Renewal_Date__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Number_of_Cores__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Number_of_Instances__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Number_of_Servers__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	OS_Software_and_Version__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'SUSE,WINDOWS,SOLARIS,HPUX,AIX,COMMUNITY LINUX,EXISTING RHEL'),
	OS_Vendor__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'COMMUNITY,IBM,MICROSOFT,ORACLE,RED HAT,SUSE (ATTACHMATE),OTHER'),
	PSAComments__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	PSAInformation__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	PSANumber_of_Cores__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	PSARefresh_Contract_Renewal_date__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Platform_Location__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'LOCAL,CLOUD,HYBRID,HOSTED,OTHER'),
	Platform_Vendor__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'BESPOKE (custom),COMMUNITY,HP,IBM,MICROSOFT,ORACLE,SAP,SYMANTEC,OTHER'),
	Platform_list__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Profile_Help_Text__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Refresh_Contract_Renewal_Date__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	SCComments__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	SCInstall_Contract_Renewal_Date__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	SOSComments__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	SOSInformation__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	SOSRefresh_Contract_Renewal_Date__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	SPComments__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	SPInformation__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	SPNumber_of_Cores__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	SPPlatform_Location__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'LOCAL,CLOUD,HYBRID,HOSTED,OTHER'),
	SPSystem_Integrator__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'ACCENTURE,CAP,COGNIZANT,DELIOTTE,HP,IBM,INFOSYS,OTHER,TCS'),
	Software_Vendor__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'AMAZON,BMC,CA,HP,IBM,MICROSOFT,ORACLE,VMWARE,OTHER'),
	Storage_Product__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Storage_Vendor__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'DELL,EMC,HITACHI,HP,IBM,NETAPP,OTHER'),
	System_Integrator__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'ACCENTURE,CAP,COGNIZANT,DELIOTTE,HP,IBM,INFOSYS,OTHER,TCS'),
	Type__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'ONSITE IAAS,HYBRID IAAS,PaaS,SaaS,OTHER'),
	VEComments__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	VEInformation__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	VERefresh_Contract_Renewal_date__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Virtualization_Product__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Virtualization_Vendor__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'KVM-RHEV,VMWARE,OTHER'),
	Other_Application_Server_Vendor__c string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Other_Application_Vendor__c string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Other_Hardware_Vendor__c string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Other_Middleware_Vendor__c string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Other_OS_Vendor__c string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Other_Platform_Vendor__c string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Other_Software_Vendor__c string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Other_Storage_Vendor__c string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Other_Virtualization_Vendor__c string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Account_Profile__c_Account_Profile__c FOREIGN KEY(Account_Profile__c) REFERENCES Account_Profile__c (Id) OPTIONS (NAMEINSOURCE 'Infrastructure_Profiles__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE Environment__History (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	ParentId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Field string(255) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Account_Profile__c,Age_of_Hardware_Installed__c,AMComments__c,AMNumber_of_Cores__c,AMRefresh_Contract_Renewal_date__c,Application_Server_Product__c,Application_Server_Vendor__c,Application_Vendor__c,Applications_List__c,Architecture__c,ASComments__c,ASInstall_Contract_Renewal_Date__c,CPComments__c,CPPlatform_Location__c,CPSystem_Integrator__c,created,CurrencyIsoCode,feedEvent,Formatted_Total_Capacity__c,Hardware_Vendor__c,HWComments__c,Middleware_Classification__c,Middleware_Software_and_version__c,Middleware_Vendor__c,Move_Contract_Renewal_Date__c,Name,Number_of_Cores__c,Number_of_Instances__c,Number_of_Servers__c,OS_Software_and_Version__c,OS_Vendor__c,Other_Application_Server_Vendor__c,Other_Application_Vendor__c,Other_Hardware_Vendor__c,Other_Middleware_Vendor__c,Other_OS_Vendor__c,Other_Platform_Vendor__c,Other_Software_Vendor__c,Other_Storage_Vendor__c,Other_Virtualization_Vendor__c,ownerAccepted,ownerAssignment,Platform_list__c,Platform_Location__c,Platform_Vendor__c,PSAComments__c,PSANumber_of_Cores__c,PSARefresh_Contract_Renewal_date__c,locked,unlocked,Refresh_Contract_Renewal_Date__c,SCComments__c,SCInstall_Contract_Renewal_Date__c,Software_Vendor__c,SOSComments__c,SOSRefresh_Contract_Renewal_Date__c,SPComments__c,SPNumber_of_Cores__c,SPPlatform_Location__c,SPSystem_Integrator__c,Storage_Product__c,Storage_Vendor__c,System_Integrator__c,Type__c,VEComments__c,VERefresh_Contract_Renewal_date__c,Virtualization_Product__c,Virtualization_Vendor__c'),
	OldValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	NewValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Environment__c_ParentId FOREIGN KEY(ParentId) REFERENCES Environment__c (Id) OPTIONS (NAMEINSOURCE 'Histories')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'false', "teiid_sf:Supports Delete" 'false', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Environment__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Environment__c_ItemId FOREIGN KEY(ItemId) REFERENCES Environment__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Evaluation__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	LastActivityDate date OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Comments__c string(200) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Contact__c string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Product_s_of_Interest__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'RHEL,Desktop,RHN,Storage,App Stack,ID Mgmt'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Contact_Contact__c FOREIGN KEY(Contact__c) REFERENCES Contact (Id) OPTIONS (NAMEINSOURCE 'Evaluations__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE Evaluation__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Evaluation__c_ItemId FOREIGN KEY(ItemId) REFERENCES Evaluation__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Event (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	RecordTypeId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	WhoId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	WhatId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Subject string(255) OPTIONS (NATIVE_TYPE 'combobox', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Location string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsAllDayEvent boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	ActivityDateTime timestamp OPTIONS (NATIVE_TYPE 'datetime', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ActivityDate date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	DurationInMinutes integer OPTIONS (NATIVE_TYPE 'int', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	StartDateTime timestamp OPTIONS (NATIVE_TYPE 'datetime', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	EndDateTime timestamp OPTIONS (NATIVE_TYPE 'datetime', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Description string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	AccountId string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	OwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	Type string(40) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Email,Meeting,Other,Call'),
	IsPrivate boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	ShowAs string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Busy,OutOfOffice,Free'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsChild boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsGroupEvent boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	GroupEventType string(40) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" '0,1,2'),
	IsArchived boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsVisibleInSelfService boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	RecurrenceActivityId string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsRecurrence boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	RecurrenceStartDateTime timestamp OPTIONS (NATIVE_TYPE 'datetime', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	RecurrenceEndDateOnly date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	RecurrenceTimeZoneSidKey string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Pacific/Kiritimati,Pacific/Chatham,Pacific/Auckland,Pacific/Enderbury,Pacific/Tongatapu,Asia/Kamchatka,Pacific/Fiji,Pacific/Norfolk,Australia/Lord_Howe,Australia/Sydney,Pacific/Guadalcanal,Australia/Adelaide,Australia/Brisbane,Australia/Darwin,Asia/Seoul,Asia/Tokyo,Asia/Hong_Kong,Asia/Kuala_Lumpur,Asia/Manila,Asia/Shanghai,Asia/Singapore,Asia/Taipei,Australia/Perth,Asia/Bangkok,Asia/Ho_Chi_Minh,Asia/Jakarta,Asia/Rangoon,Asia/Dhaka,Asia/Kathmandu,Asia/Colombo,Asia/Kolkata,Asia/Karachi,Asia/Tashkent,Asia/Yekaterinburg,Asia/Kabul,Asia/Dubai,Asia/Tbilisi,Asia/Tehran,Africa/Nairobi,Asia/Baghdad,Asia/Kuwait,Asia/Riyadh,Europe/Minsk,Europe/Moscow,Africa/Cairo,Africa/Johannesburg,Asia/Jerusalem,Europe/Athens,Europe/Bucharest,Europe/Helsinki,Europe/Istanbul,Africa/Algiers,Europe/Amsterdam,Europe/Berlin,Europe/Brussels,Europe/Paris,Europe/Prague,Europe/Rome,Europe/Dublin,Europe/Lisbon,Europe/London,GMT,Atlantic/Cape_Verde,Atlantic/South_Georgia,America/St_Johns,America/Argentina/Buenos_Aires,America/Halifax,America/Santiago,America/Sao_Paulo,Atlantic/Bermuda,America/Indiana/Indianapolis,America/New_York,America/Puerto_Rico,America/Caracas,America/Bogota,America/Chicago,America/Lima,America/Panama,America/Denver,America/El_Salvador,America/Mexico_City,America/Los_Angeles,America/Phoenix,America/Tijuana,America/Anchorage,Pacific/Honolulu,Pacific/Niue,Pacific/Pago_Pago'),
	RecurrenceType string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'RecursDaily,RecursEveryWeekday,RecursMonthly,RecursMonthlyNth,RecursWeekly,RecursYearly,RecursYearlyNth'),
	RecurrenceInterval integer OPTIONS (NATIVE_TYPE 'int', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	RecurrenceDayOfWeekMask integer OPTIONS (NATIVE_TYPE 'int', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	RecurrenceDayOfMonth integer OPTIONS (NATIVE_TYPE 'int', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	RecurrenceInstance string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'First,Second,Third,Fourth,Last'),
	RecurrenceMonthOfYear string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'January,February,March,April,May,June,July,August,September,October,November,December'),
	ReminderDateTime timestamp OPTIONS (NATIVE_TYPE 'datetime', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsReminderSet boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	BestTimeToCall__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Morning,Noon,Night'),
	externalIdName__c string(30) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	RejectionReason__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" '0.00 Amount not approved,Backdate Subsc Start-date,Billing/Shipping Info Missing,Billing Account Number Invalid,Billing Acct/Info Incorrect/Missing,Billing Address Incorrect,Billing Address Missing,Contract Incorrect/Missing/Unsigned,Contract Missing/Not Signed,Contract Numbers Incorrect,Contract Numbers Missing,Co-Terms Info Incorrect/Missing,Credit Card Declined,Credit Related/Payment Terms Issues,Credit Status/Payment Terms Issues,Customer Hold or Delivery Delay,Cut-Off Time Exceeded,Description Missing,Discount Not Approved,Duplicate Order,EU Login Incorrect/Missing,Finance Approval Required,Handwritten Change Not Acceptable,Incorrect Account Classification,Incorrect SKUs,Invalid RH Entitlement Login,Legal/BD Review & Approval,Legal Agreement not attached / Missing,Legal Approval,Legal Approval Required,Legal Entity Not Correct,Login/Acct # Invalid/Missing,Missing Pages,Missing Reference to Existing Agreement,Missing Signatures,Missing SKUs,New Party / Account Request,No PO Letter needs Approval,No PO Letter Required,Other,Payment Terms Missing,Payment Terms Not Approved,PO/Credit Card Info Incorrect/Missing,PO Missing,PO not attached / missing,Pricing Incorrect,Product/Discount Approval Required,Qty/Price/Products Not Equal,Renewal Dates are Incorrect/Missing,Renewal Info/Start Date Needed,Renewal Information Incorrect/Missing,Sales Mgmt or PM Approval Required,Shipping Address Incorrect,Shipping Address Missing,Shipping Info Incorrect/Missing,SKU/Qty/Currency/Price Incorrect,SKU Qty/Price/Desc Issue,Start/End Date Missing,Start Date Over 14 Days Old,Subsc Dates/Term Issue,Tax Info Missing/Incorrect,Unclear - Auto entitlement Vs Keys,VAT # Missing/Incorrect,VAT number missing/incorrect,Waiting Saba # or CM# or Others'' Info,Wrong Billing Acct#,Wrong Currency'),
	OMComments__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Prepay_Required__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	OE_Form_Printed__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Prepay_Paid__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Task_Duration__c double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'double', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Credit_Finance_Comments__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	OM_Verified__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Strategic_Selling_Category__c string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Partner_Created__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Sales_Comments__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Category__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Goal,Tandem Review,Education (webinar, house fair, product presentation, workshops  etc.),Reporting (quarterly performance review, progress analysis, plain numbers),Documentation (creation of account profile, account plan, account overview etc.),Task (anything else)'),
	Requester__c string(200) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Last_Due_date__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Due_date_changed_on__c timestamp OPTIONS (NATIVE_TYPE 'datetime', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Contents__c string(255) OPTIONS (NATIVE_TYPE 'url', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Related_Opportunity_Region__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Send_Notification__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Billing_Comments__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Actions_from_Visit__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Notes_from_Visit__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Reason_of_Visit__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	OM_Comments_Continued__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	OM_Comments_Final__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Call_Results__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Bad Number,Left Message,Obtained Information Needed,Scheduled Follow Up,Sent Email'),
	Partner_Comments__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Purpose__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Welcome - Schedule Initial Call,Qualification - Reselling?,Commitment - Obtainment,Commitment - Monitoring,Nurturing - Sales Activation,Nurturing - Monitoring'),
	Escalation_Stage__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Customer Identified,Waiting Customer Response,Negotiation With Customer,Proposal Approved,CIO Letter,Voluntary Assessment (Rho),Assessment (Program),Assessment (Migrate),Assessment (Terminate),Audit,Termination Letter,Certification (Migrate),Certification (Decommissioned),Certification (No Distribution ISV),Certification (Over-Deployment),Waiting PO,Sales Team Engaged,Compliance Team Engaged,Self Assessment,Self-Assessment (Migrate),Self-Assessment (Terminate)'),
	Summary__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Project_Account_Comments__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	GLS_Comments__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Age_of_Escalation_Stage__c double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'double', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Clearances__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'US Citizen,US DoD Secret,US DoD Top Secret,US DoD Top Secret/SCI,Other'),
	Date_Escalation_Stage_Set__c timestamp OPTIONS (NATIVE_TYPE 'datetime', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Distributor__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Carahsoft,DLT,Other,Not Applicable'),
	Legal_Comments__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Other__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Task_Source_Detail__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Task_Source__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'GSS ID,Sales ID,SEAP ID'),
	Contract_Date__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Current_Contract__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Click Through,MSA'),
	Latest_Expiration__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Server_Environment_Size__c string(25) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Servers_Checking_In__c string(25) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Support_Tickets__c string(25) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ClosedDate__c timestamp OPTIONS (NATIVE_TYPE 'datetime', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Due_Date_Time__c timestamp OPTIONS (NATIVE_TYPE 'datetime', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Legacy_Profile__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Legacy_Role__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Owner__c string(18) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Monitor__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	MonitoredActivityId__c string(18) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	OORID__c string(20) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Record_Source__c string(45) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ActionSubject__c string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	End__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Start__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Attendees__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Sent_To__c string(80) OPTIONS (NATIVE_TYPE 'email', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_APPR_DGRP__Dynamic_Group__c_WhatId FOREIGN KEY(WhatId) REFERENCES APPR_DGRP__Dynamic_Group__c (Id) OPTIONS (NAMEINSOURCE 'Events'),
	CONSTRAINT FK_APPR_DGRP__Group_Rule__c_WhatId FOREIGN KEY(WhatId) REFERENCES APPR_DGRP__Group_Rule__c (Id) OPTIONS (NAMEINSOURCE 'Events'),
	CONSTRAINT FK_Account_WhatId FOREIGN KEY(WhatId) REFERENCES Account (Id) OPTIONS (NAMEINSOURCE 'Events'),
	CONSTRAINT FK_Action_Items__c_WhatId FOREIGN KEY(WhatId) REFERENCES Action_Items__c (Id) OPTIONS (NAMEINSOURCE 'Events'),
	CONSTRAINT FK_Anti_corruption__c_WhatId FOREIGN KEY(WhatId) REFERENCES Anti_corruption__c (Id) OPTIONS (NAMEINSOURCE 'Events'),
	CONSTRAINT FK_ApprovalCustom__c_WhatId FOREIGN KEY(WhatId) REFERENCES ApprovalCustom__c (Id) OPTIONS (NAMEINSOURCE 'Events'),
	CONSTRAINT FK_Asset_WhatId FOREIGN KEY(WhatId) REFERENCES Asset (Id) OPTIONS (NAMEINSOURCE 'Events'),
	CONSTRAINT FK_BigMachines__Quote__c_WhatId FOREIGN KEY(WhatId) REFERENCES BigMachines__Quote__c (Id) OPTIONS (NAMEINSOURCE 'Events'),
	CONSTRAINT FK_CCB_Event__c_WhatId FOREIGN KEY(WhatId) REFERENCES CCB_Event__c (Id) OPTIONS (NAMEINSOURCE 'Events'),
	CONSTRAINT FK_Campaign_WhatId FOREIGN KEY(WhatId) REFERENCES Campaign (Id) OPTIONS (NAMEINSOURCE 'Events'),
	CONSTRAINT FK_CampaignTag__c_WhatId FOREIGN KEY(WhatId) REFERENCES CampaignTag__c (Id) OPTIONS (NAMEINSOURCE 'Events'),
	CONSTRAINT FK_Case__WhatId FOREIGN KEY(WhatId) REFERENCES Case_ (Id) OPTIONS (NAMEINSOURCE 'Events'),
	CONSTRAINT FK_Change_Management__c_WhatId FOREIGN KEY(WhatId) REFERENCES Change_Management__c (Id) OPTIONS (NAMEINSOURCE 'Events'),
	CONSTRAINT FK_Change_Request__c_WhatId FOREIGN KEY(WhatId) REFERENCES Change_Request__c (Id) OPTIONS (NAMEINSOURCE 'Events'),
	CONSTRAINT FK_Change_Requests__c_WhatId FOREIGN KEY(WhatId) REFERENCES Change_Requests__c (Id) OPTIONS (NAMEINSOURCE 'Events'),
	CONSTRAINT FK_Component__c_WhatId FOREIGN KEY(WhatId) REFERENCES Component__c (Id) OPTIONS (NAMEINSOURCE 'Events'),
	CONSTRAINT FK_Contact_WhoId FOREIGN KEY(WhoId) REFERENCES Contact (Id) OPTIONS (NAMEINSOURCE 'Events'),
	CONSTRAINT FK_Contract_WhatId FOREIGN KEY(WhatId) REFERENCES Contract (Id) OPTIONS (NAMEINSOURCE 'Events'),
	CONSTRAINT FK_Credit__c_WhatId FOREIGN KEY(WhatId) REFERENCES Credit__c (Id) OPTIONS (NAMEINSOURCE 'Events'),
	CONSTRAINT FK_Customer_Reference__c_WhatId FOREIGN KEY(WhatId) REFERENCES Customer_Reference__c (Id) OPTIONS (NAMEINSOURCE 'Events'),
	CONSTRAINT FK_Defect_Requirement_Join__c_WhatId FOREIGN KEY(WhatId) REFERENCES Defect_Requirement_Join__c (Id) OPTIONS (NAMEINSOURCE 'Events'),
	CONSTRAINT FK_Defect__c_WhatId FOREIGN KEY(WhatId) REFERENCES Defect__c (Id) OPTIONS (NAMEINSOURCE 'Events'),
	CONSTRAINT FK_Deliverables__c_WhatId FOREIGN KEY(WhatId) REFERENCES Deliverables__c (Id) OPTIONS (NAMEINSOURCE 'Events'),
	CONSTRAINT FK_EBS_Account__c_WhatId FOREIGN KEY(WhatId) REFERENCES EBS_Account__c (Id) OPTIONS (NAMEINSOURCE 'Events'),
	CONSTRAINT FK_Evaluation__c_WhatId FOREIGN KEY(WhatId) REFERENCES Evaluation__c (Id) OPTIONS (NAMEINSOURCE 'Events'),
	CONSTRAINT FK_Event_RecurrenceActivityId FOREIGN KEY(RecurrenceActivityId) REFERENCES Event (Id) OPTIONS (NAMEINSOURCE 'RecurringEvents'),
	CONSTRAINT FK_LMS_Training_Request__c_WhatId FOREIGN KEY(WhatId) REFERENCES LMS_Training_Request__c (Id) OPTIONS (NAMEINSOURCE 'Events'),
	CONSTRAINT FK_Lead_WhoId FOREIGN KEY(WhoId) REFERENCES Lead (Id) OPTIONS (NAMEINSOURCE 'Events'),
	CONSTRAINT FK_Lead_SuperRegion_Mapping__c_WhatId FOREIGN KEY(WhatId) REFERENCES Lead_SuperRegion_Mapping__c (Id) OPTIONS (NAMEINSOURCE 'Events'),
	CONSTRAINT FK_Marketing_Activity__c_WhatId FOREIGN KEY(WhatId) REFERENCES Marketing_Activity__c (Id) OPTIONS (NAMEINSOURCE 'Events'),
	CONSTRAINT FK_Milestone__c_WhatId FOREIGN KEY(WhatId) REFERENCES Milestone__c (Id) OPTIONS (NAMEINSOURCE 'Events'),
	CONSTRAINT FK_MonitoredActivity__c_WhatId FOREIGN KEY(WhatId) REFERENCES MonitoredActivity__c (Id) OPTIONS (NAMEINSOURCE 'Events'),
	CONSTRAINT FK_NFR_Request__c_WhatId FOREIGN KEY(WhatId) REFERENCES NFR_Request__c (Id) OPTIONS (NAMEINSOURCE 'Events'),
	CONSTRAINT FK_NonPrimaryBillingAddress__c_WhatId FOREIGN KEY(WhatId) REFERENCES NonPrimaryBillingAddress__c (Id) OPTIONS (NAMEINSOURCE 'Events'),
	CONSTRAINT FK_NonPrimaryShippingAddress__c_WhatId FOREIGN KEY(WhatId) REFERENCES NonPrimaryShippingAddress__c (Id) OPTIONS (NAMEINSOURCE 'Events'),
	CONSTRAINT FK_Opportunity_WhatId FOREIGN KEY(WhatId) REFERENCES Opportunity (Id) OPTIONS (NAMEINSOURCE 'Events'),
	CONSTRAINT FK_Order_Tracking__c_WhatId FOREIGN KEY(WhatId) REFERENCES Order_Tracking__c (Id) OPTIONS (NAMEINSOURCE 'Events'),
	CONSTRAINT FK_Partner_Onboarding_Registration__c_WhatId FOREIGN KEY(WhatId) REFERENCES Partner_Onboarding_Registration__c (Id) OPTIONS (NAMEINSOURCE 'Events'),
	CONSTRAINT FK_Partner_Profile__c_WhatId FOREIGN KEY(WhatId) REFERENCES Partner_Profile__c (Id) OPTIONS (NAMEINSOURCE 'Events'),
	CONSTRAINT FK_Partner_Program_Tier__c_WhatId FOREIGN KEY(WhatId) REFERENCES Partner_Program_Tier__c (Id) OPTIONS (NAMEINSOURCE 'Events'),
	CONSTRAINT FK_Partner_Registration__c_WhatId FOREIGN KEY(WhatId) REFERENCES Partner_Registration__c (Id) OPTIONS (NAMEINSOURCE 'Events'),
	CONSTRAINT FK_Product2_WhatId FOREIGN KEY(WhatId) REFERENCES Product2 (Id) OPTIONS (NAMEINSOURCE 'Events'),
	CONSTRAINT FK_Project_Item__c_WhatId FOREIGN KEY(WhatId) REFERENCES Project_Item__c (Id) OPTIONS (NAMEINSOURCE 'Events'),
	CONSTRAINT FK_Project_Status__c_WhatId FOREIGN KEY(WhatId) REFERENCES Project_Status__c (Id) OPTIONS (NAMEINSOURCE 'Events'),
	CONSTRAINT FK_Project__c_WhatId FOREIGN KEY(WhatId) REFERENCES Project__c (Id) OPTIONS (NAMEINSOURCE 'Events'),
	CONSTRAINT FK_Red_Hat_Attachment__c_WhatId FOREIGN KEY(WhatId) REFERENCES Red_Hat_Attachment__c (Id) OPTIONS (NAMEINSOURCE 'Events'),
	CONSTRAINT FK_Reference_Collateral__c_WhatId FOREIGN KEY(WhatId) REFERENCES Reference_Collateral__c (Id) OPTIONS (NAMEINSOURCE 'Events'),
	CONSTRAINT FK_Release__c_WhatId FOREIGN KEY(WhatId) REFERENCES Release__c (Id) OPTIONS (NAMEINSOURCE 'Events'),
	CONSTRAINT FK_Requirement__c_WhatId FOREIGN KEY(WhatId) REFERENCES Requirement__c (Id) OPTIONS (NAMEINSOURCE 'Events'),
	CONSTRAINT FK_Resource__c_WhatId FOREIGN KEY(WhatId) REFERENCES Resource__c (Id) OPTIONS (NAMEINSOURCE 'Events'),
	CONSTRAINT FK_SFDC_Channel_Account_Plan__c_WhatId FOREIGN KEY(WhatId) REFERENCES SFDC_Channel_Account_Plan__c (Id) OPTIONS (NAMEINSOURCE 'Events'),
	CONSTRAINT FK_SFDC_Objective__c_WhatId FOREIGN KEY(WhatId) REFERENCES SFDC_Objective__c (Id) OPTIONS (NAMEINSOURCE 'Events'),
	CONSTRAINT FK_Schedule_Exports__c_WhatId FOREIGN KEY(WhatId) REFERENCES Schedule_Exports__c (Id) OPTIONS (NAMEINSOURCE 'Events'),
	CONSTRAINT FK_Solution_WhatId FOREIGN KEY(WhatId) REFERENCES Solution (Id) OPTIONS (NAMEINSOURCE 'Events'),
	CONSTRAINT FK_SteeringCommittee__c_WhatId FOREIGN KEY(WhatId) REFERENCES SteeringCommittee__c (Id) OPTIONS (NAMEINSOURCE 'Events'),
	CONSTRAINT FK_StrategicPlan_Solution__c_WhatId FOREIGN KEY(WhatId) REFERENCES StrategicPlan_Solution__c (Id) OPTIONS (NAMEINSOURCE 'Events'),
	CONSTRAINT FK_StrategicPlan_Strategy__c_WhatId FOREIGN KEY(WhatId) REFERENCES StrategicPlan_Strategy__c (Id) OPTIONS (NAMEINSOURCE 'Events'),
	CONSTRAINT FK_StrategicPlan__c_WhatId FOREIGN KEY(WhatId) REFERENCES StrategicPlan__c (Id) OPTIONS (NAMEINSOURCE 'Events'),
	CONSTRAINT FK_SubscriptionBatch__c_WhatId FOREIGN KEY(WhatId) REFERENCES SubscriptionBatch__c (Id) OPTIONS (NAMEINSOURCE 'Events'),
	CONSTRAINT FK_SubscriptionLine__c_WhatId FOREIGN KEY(WhatId) REFERENCES SubscriptionLine__c (Id) OPTIONS (NAMEINSOURCE 'Events'),
	CONSTRAINT FK_SubscriptionPartner__c_WhatId FOREIGN KEY(WhatId) REFERENCES SubscriptionPartner__c (Id) OPTIONS (NAMEINSOURCE 'Events'),
	CONSTRAINT FK_Subscription__c_WhatId FOREIGN KEY(WhatId) REFERENCES Subscription__c (Id) OPTIONS (NAMEINSOURCE 'Events'),
	CONSTRAINT FK_SumTotal_Catalog__c_WhatId FOREIGN KEY(WhatId) REFERENCES SumTotal_Catalog__c (Id) OPTIONS (NAMEINSOURCE 'Events'),
	CONSTRAINT FK_Teaming_Agreement__c_WhatId FOREIGN KEY(WhatId) REFERENCES Teaming_Agreement__c (Id) OPTIONS (NAMEINSOURCE 'Events'),
	CONSTRAINT FK_Temporal_Content__c_WhatId FOREIGN KEY(WhatId) REFERENCES Temporal_Content__c (Id) OPTIONS (NAMEINSOURCE 'Events'),
	CONSTRAINT FK_Test_Case__c_WhatId FOREIGN KEY(WhatId) REFERENCES Test_Case__c (Id) OPTIONS (NAMEINSOURCE 'Events'),
	CONSTRAINT FK_Use_Case__c_WhatId FOREIGN KEY(WhatId) REFERENCES Use_Case__c (Id) OPTIONS (NAMEINSOURCE 'Events'),
	CONSTRAINT FK_Verifiable_Outcome__c_WhatId FOREIGN KEY(WhatId) REFERENCES Verifiable_Outcome__c (Id) OPTIONS (NAMEINSOURCE 'Events'),
	CONSTRAINT FK_Work_Package__c_WhatId FOREIGN KEY(WhatId) REFERENCES Work_Package__c (Id) OPTIONS (NAMEINSOURCE 'Events'),
	CONSTRAINT FK_Work_Plan__c_WhatId FOREIGN KEY(WhatId) REFERENCES Work_Plan__c (Id) OPTIONS (NAMEINSOURCE 'Events')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE Event__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	Deleted__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Opportunity__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Processed__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Opportunity_Opportunity__c FOREIGN KEY(Opportunity__c) REFERENCES Opportunity (Id) OPTIONS (NAMEINSOURCE 'Events__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE Event__History (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	ParentId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Field string(255) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'created,CurrencyIsoCode,Deleted__c,feedEvent,Name,Opportunity__c,Owner,ownerAccepted,ownerAssignment,Processed__c,locked,unlocked'),
	OldValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	NewValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Event__c_ParentId FOREIGN KEY(ParentId) REFERENCES Event__c (Id) OPTIONS (NAMEINSOURCE 'Histories')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'false', "teiid_sf:Supports Delete" 'false', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Event__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Event__c_ItemId FOREIGN KEY(ItemId) REFERENCES Event__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Event_Log__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	Direction__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Inbound,Outbound'),
	Error_Message__c string(32768) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Event_Type__c string(30) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Full_Message_In_Attachment__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Message__c string(131072) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Operation__c string(100) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Original_Event_Id__c string(20) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Priority__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Retries__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Status__c string(20) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id)
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE Event_Log__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Event_Log__c_ItemId FOREIGN KEY(ItemId) REFERENCES Event_Log__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE EventAttendee (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	EventId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	AttendeeId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Status string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'New,Declined,Accepted,Uninvited,Maybe'),
	RespondedDate timestamp OPTIONS (NATIVE_TYPE 'datetime', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Response string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Event_EventId FOREIGN KEY(EventId) REFERENCES Event (Id) OPTIONS (NAMEINSOURCE 'EventAttendees')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'false', "teiid_sf:Supports Delete" 'false', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE EventFeed (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	ParentId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	FeedPostId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'TrackedChange,UserStatus,TextPost,AdvancedTextPost,LinkPost,ContentPost,PollPost,RypplePost,ProfileSkillPost,DashboardComponentSnapshot,ApprovalPost,CaseCommentPost,ReplyPost,EmailMessageEvent,CallLogPost,ChangeStatusPost,AttachArticleEvent,MilestoneEvent,ActivityEvent,ChatTranscriptPost,CollaborationGroupCreated,CollaborationGroupUnarchived,SocialPost,QuestionPost,FacebookPost,BasicTemplateFeedItem,CreateRecordEvent,CanvasPost,AnnouncementPost'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Event_ParentId FOREIGN KEY(ParentId) REFERENCES Event (Id) OPTIONS (NAMEINSOURCE 'Feeds')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'false', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE EventTag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Event_ItemId FOREIGN KEY(ItemId) REFERENCES Event (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Executive_Summary__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	CONSTRAINT Id_PK PRIMARY KEY(Id)
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE Executive_Summary__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Executive_Summary__c_ItemId FOREIGN KEY(ItemId) REFERENCES Executive_Summary__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Expiring_Product__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	Opportunity__c string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Already_Renewed_Contract_Number__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Already_Renewed__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Co_Term_Contract_Number__c string(18) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Co_Term__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Expiring_Contract_Number__c string(18) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Expiring_Contract_PO_Number__c string(50) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Expiring_Oracle_Order_Number__c string(18) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Expiring_Product_End_Date__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Expiring_Product_Start_Date__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Mapped_Description__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Mapped_SKU__c string(20) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Product_Code__c string(18) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Product__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Quantity__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Renewal_Opportunity__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Sales_Price__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Source_OpportunityId__c string(18) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Source_OpportunityNumber__c string(18) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Configured_Renewal_SKU__c string(20) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Source_Opportunity__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Total_Price_Formula__c double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'double', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Total_Price__c double OPTIONS (UPDATABLE FALSE, CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ExternalId__c string(40) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Opportunity_Opportunity__c FOREIGN KEY(Opportunity__c) REFERENCES Opportunity (Id) OPTIONS (NAMEINSOURCE 'Expiring_Products__r'),
	CONSTRAINT FK_Opportunity_Renewal_Opportunity__c FOREIGN KEY(Renewal_Opportunity__c) REFERENCES Opportunity (Id) OPTIONS (NAMEINSOURCE 'Expiring_Products1__r'),
	CONSTRAINT FK_Opportunity_Source_Opportunity__c FOREIGN KEY(Source_Opportunity__c) REFERENCES Opportunity (Id) OPTIONS (NAMEINSOURCE 'Expiring_Products2__r'),
	CONSTRAINT FK_Product2_Product__c FOREIGN KEY(Product__c) REFERENCES Product2 (Id) OPTIONS (NAMEINSOURCE 'Expiring_Products__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE Expiring_Product__History (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	ParentId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Field string(255) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Already_Renewed__c,Already_Renewed_Contract_Number__c,Co_Term__c,Co_Term_Contract_Number__c,Configured_Renewal_SKU__c,created,CurrencyIsoCode,Expiring_Contract_Number__c,Expiring_Contract_PO_Number__c,Expiring_Oracle_Order_Number__c,Expiring_Product_End_Date__c,Expiring_Product_Start_Date__c,ExternalId__c,feedEvent,Mapped_Description__c,Mapped_SKU__c,Name,Opportunity__c,ownerAccepted,ownerAssignment,Product__c,Product_Code__c,Quantity__c,locked,unlocked,Renewal_Opportunity__c,Sales_Price__c,Source_Opportunity__c,Source_OpportunityId__c,Source_OpportunityNumber__c'),
	OldValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	NewValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Expiring_Product__c_ParentId FOREIGN KEY(ParentId) REFERENCES Expiring_Product__c (Id) OPTIONS (NAMEINSOURCE 'Histories')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'false', "teiid_sf:Supports Delete" 'false', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Expiring_Product__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Expiring_Product__c_ItemId FOREIGN KEY(ItemId) REFERENCES Expiring_Product__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Featured_Partner__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	Global_Region__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Partner__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Account_Partner__c FOREIGN KEY(Partner__c) REFERENCES Account (Id) OPTIONS (NAMEINSOURCE 'Featured_Partners__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE Featured_Partner__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Featured_Partner__c_ItemId FOREIGN KEY(ItemId) REFERENCES Featured_Partner__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE FeedComment (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	FeedItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ParentId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CommentBody string(5000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_AccountFeed_FeedItemId FOREIGN KEY(FeedItemId) REFERENCES AccountFeed (Id) OPTIONS (NAMEINSOURCE 'FeedComments'),
	CONSTRAINT FK_AssetFeed_FeedItemId FOREIGN KEY(FeedItemId) REFERENCES AssetFeed (Id) OPTIONS (NAMEINSOURCE 'FeedComments'),
	CONSTRAINT FK_CampaignFeed_FeedItemId FOREIGN KEY(FeedItemId) REFERENCES CampaignFeed (Id) OPTIONS (NAMEINSOURCE 'FeedComments'),
	CONSTRAINT FK_CaseFeed_FeedItemId FOREIGN KEY(FeedItemId) REFERENCES CaseFeed (Id) OPTIONS (NAMEINSOURCE 'FeedComments'),
	CONSTRAINT FK_Change_Request__Feed_FeedItemId FOREIGN KEY(FeedItemId) REFERENCES Change_Request__Feed (Id) OPTIONS (NAMEINSOURCE 'FeedComments'),
	CONSTRAINT FK_Component__Feed_FeedItemId FOREIGN KEY(FeedItemId) REFERENCES Component__Feed (Id) OPTIONS (NAMEINSOURCE 'FeedComments'),
	CONSTRAINT FK_ContactFeed_FeedItemId FOREIGN KEY(FeedItemId) REFERENCES ContactFeed (Id) OPTIONS (NAMEINSOURCE 'FeedComments'),
	CONSTRAINT FK_ContentDocumentFeed_FeedItemId FOREIGN KEY(FeedItemId) REFERENCES ContentDocumentFeed (Id) OPTIONS (NAMEINSOURCE 'FeedComments'),
	CONSTRAINT FK_ContractFeed_FeedItemId FOREIGN KEY(FeedItemId) REFERENCES ContractFeed (Id) OPTIONS (NAMEINSOURCE 'FeedComments'),
	CONSTRAINT FK_Defect_Requirement_Join__Feed_FeedItemId FOREIGN KEY(FeedItemId) REFERENCES Defect_Requirement_Join__Feed (Id) OPTIONS (NAMEINSOURCE 'FeedComments'),
	CONSTRAINT FK_Defect__Feed_FeedItemId FOREIGN KEY(FeedItemId) REFERENCES Defect__Feed (Id) OPTIONS (NAMEINSOURCE 'FeedComments'),
	CONSTRAINT FK_EventFeed_FeedItemId FOREIGN KEY(FeedItemId) REFERENCES EventFeed (Id) OPTIONS (NAMEINSOURCE 'FeedComments'),
	CONSTRAINT FK_LeadFeed_FeedItemId FOREIGN KEY(FeedItemId) REFERENCES LeadFeed (Id) OPTIONS (NAMEINSOURCE 'FeedComments'),
	CONSTRAINT FK_NewsFeed_FeedItemId FOREIGN KEY(FeedItemId) REFERENCES NewsFeed (Id) OPTIONS (NAMEINSOURCE 'FeedComments'),
	CONSTRAINT FK_OpportunityFeed_FeedItemId FOREIGN KEY(FeedItemId) REFERENCES OpportunityFeed (Id) OPTIONS (NAMEINSOURCE 'FeedComments'),
	CONSTRAINT FK_Product2Feed_FeedItemId FOREIGN KEY(FeedItemId) REFERENCES Product2Feed (Id) OPTIONS (NAMEINSOURCE 'FeedComments'),
	CONSTRAINT FK_Project_Item__Feed_FeedItemId FOREIGN KEY(FeedItemId) REFERENCES Project_Item__Feed (Id) OPTIONS (NAMEINSOURCE 'FeedComments'),
	CONSTRAINT FK_Release__Feed_FeedItemId FOREIGN KEY(FeedItemId) REFERENCES Release__Feed (Id) OPTIONS (NAMEINSOURCE 'FeedComments'),
	CONSTRAINT FK_Requirement__Feed_FeedItemId FOREIGN KEY(FeedItemId) REFERENCES Requirement__Feed (Id) OPTIONS (NAMEINSOURCE 'FeedComments'),
	CONSTRAINT FK_Schedule_Exports__Feed_FeedItemId FOREIGN KEY(FeedItemId) REFERENCES Schedule_Exports__Feed (Id) OPTIONS (NAMEINSOURCE 'FeedComments'),
	CONSTRAINT FK_SiteFeed_FeedItemId FOREIGN KEY(FeedItemId) REFERENCES SiteFeed (Id) OPTIONS (NAMEINSOURCE 'FeedComments'),
	CONSTRAINT FK_SolutionFeed_FeedItemId FOREIGN KEY(FeedItemId) REFERENCES SolutionFeed (Id) OPTIONS (NAMEINSOURCE 'FeedComments'),
	CONSTRAINT FK_StrategicPlan__Feed_FeedItemId FOREIGN KEY(FeedItemId) REFERENCES StrategicPlan__Feed (Id) OPTIONS (NAMEINSOURCE 'FeedComments'),
	CONSTRAINT FK_TaskFeed_FeedItemId FOREIGN KEY(FeedItemId) REFERENCES TaskFeed (Id) OPTIONS (NAMEINSOURCE 'FeedComments'),
	CONSTRAINT FK_Test_Case_Result__Feed_FeedItemId FOREIGN KEY(FeedItemId) REFERENCES Test_Case_Result__Feed (Id) OPTIONS (NAMEINSOURCE 'FeedComments'),
	CONSTRAINT FK_Test_Case_Step__Feed_FeedItemId FOREIGN KEY(FeedItemId) REFERENCES Test_Case_Step__Feed (Id) OPTIONS (NAMEINSOURCE 'FeedComments'),
	CONSTRAINT FK_Test_Case__Feed_FeedItemId FOREIGN KEY(FeedItemId) REFERENCES Test_Case__Feed (Id) OPTIONS (NAMEINSOURCE 'FeedComments'),
	CONSTRAINT FK_Use_Case_Step__Feed_FeedItemId FOREIGN KEY(FeedItemId) REFERENCES Use_Case_Step__Feed (Id) OPTIONS (NAMEINSOURCE 'FeedComments'),
	CONSTRAINT FK_Use_Case__Feed_FeedItemId FOREIGN KEY(FeedItemId) REFERENCES Use_Case__Feed (Id) OPTIONS (NAMEINSOURCE 'FeedComments'),
	CONSTRAINT FK_UserFeed_FeedItemId FOREIGN KEY(FeedItemId) REFERENCES UserFeed (Id) OPTIONS (NAMEINSOURCE 'FeedComments'),
	CONSTRAINT FK_UserProfileFeed_FeedItemId FOREIGN KEY(FeedItemId) REFERENCES UserProfileFeed (Id) OPTIONS (NAMEINSOURCE 'FeedComments'),
	CONSTRAINT FK_Work_Package__Feed_FeedItemId FOREIGN KEY(FeedItemId) REFERENCES Work_Package__Feed (Id) OPTIONS (NAMEINSOURCE 'FeedComments')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE FeedPost (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	FeedItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ParentId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'TrackedChange,UserStatus,TextPost,AdvancedTextPost,LinkPost,ContentPost,PollPost,RypplePost,ProfileSkillPost,DashboardComponentSnapshot,ApprovalPost,CaseCommentPost,ReplyPost,EmailMessageEvent,CallLogPost,ChangeStatusPost,AttachArticleEvent,MilestoneEvent,ActivityEvent,ChatTranscriptPost,CollaborationGroupCreated,CollaborationGroupUnarchived,SocialPost,QuestionPost,FacebookPost,BasicTemplateFeedItem,CreateRecordEvent,CanvasPost,AnnouncementPost'),
	Title string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Body string(5000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	LinkUrl string(1000) OPTIONS (NATIVE_TYPE 'url', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	ContentData blob OPTIONS (NATIVE_TYPE 'base64', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ContentFileName string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ContentDescription string(1000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ContentType string(120) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ContentSize integer OPTIONS (NATIVE_TYPE 'int', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id)
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'false', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'false', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE FeedTrackedChange (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	FeedItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	FieldName string(120) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	OldValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	NewValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	OldCurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_AccountFeed_FeedItemId FOREIGN KEY(FeedItemId) REFERENCES AccountFeed (Id) OPTIONS (NAMEINSOURCE 'FeedTrackedChanges'),
	CONSTRAINT FK_AssetFeed_FeedItemId FOREIGN KEY(FeedItemId) REFERENCES AssetFeed (Id) OPTIONS (NAMEINSOURCE 'FeedTrackedChanges'),
	CONSTRAINT FK_CampaignFeed_FeedItemId FOREIGN KEY(FeedItemId) REFERENCES CampaignFeed (Id) OPTIONS (NAMEINSOURCE 'FeedTrackedChanges'),
	CONSTRAINT FK_CaseFeed_FeedItemId FOREIGN KEY(FeedItemId) REFERENCES CaseFeed (Id) OPTIONS (NAMEINSOURCE 'FeedTrackedChanges'),
	CONSTRAINT FK_Change_Request__Feed_FeedItemId FOREIGN KEY(FeedItemId) REFERENCES Change_Request__Feed (Id) OPTIONS (NAMEINSOURCE 'FeedTrackedChanges'),
	CONSTRAINT FK_Component__Feed_FeedItemId FOREIGN KEY(FeedItemId) REFERENCES Component__Feed (Id) OPTIONS (NAMEINSOURCE 'FeedTrackedChanges'),
	CONSTRAINT FK_ContactFeed_FeedItemId FOREIGN KEY(FeedItemId) REFERENCES ContactFeed (Id) OPTIONS (NAMEINSOURCE 'FeedTrackedChanges'),
	CONSTRAINT FK_ContentDocumentFeed_FeedItemId FOREIGN KEY(FeedItemId) REFERENCES ContentDocumentFeed (Id) OPTIONS (NAMEINSOURCE 'FeedTrackedChanges'),
	CONSTRAINT FK_ContractFeed_FeedItemId FOREIGN KEY(FeedItemId) REFERENCES ContractFeed (Id) OPTIONS (NAMEINSOURCE 'FeedTrackedChanges'),
	CONSTRAINT FK_Defect_Requirement_Join__Feed_FeedItemId FOREIGN KEY(FeedItemId) REFERENCES Defect_Requirement_Join__Feed (Id) OPTIONS (NAMEINSOURCE 'FeedTrackedChanges'),
	CONSTRAINT FK_Defect__Feed_FeedItemId FOREIGN KEY(FeedItemId) REFERENCES Defect__Feed (Id) OPTIONS (NAMEINSOURCE 'FeedTrackedChanges'),
	CONSTRAINT FK_EventFeed_FeedItemId FOREIGN KEY(FeedItemId) REFERENCES EventFeed (Id) OPTIONS (NAMEINSOURCE 'FeedTrackedChanges'),
	CONSTRAINT FK_LeadFeed_FeedItemId FOREIGN KEY(FeedItemId) REFERENCES LeadFeed (Id) OPTIONS (NAMEINSOURCE 'FeedTrackedChanges'),
	CONSTRAINT FK_NewsFeed_FeedItemId FOREIGN KEY(FeedItemId) REFERENCES NewsFeed (Id) OPTIONS (NAMEINSOURCE 'FeedTrackedChanges'),
	CONSTRAINT FK_OpportunityFeed_FeedItemId FOREIGN KEY(FeedItemId) REFERENCES OpportunityFeed (Id) OPTIONS (NAMEINSOURCE 'FeedTrackedChanges'),
	CONSTRAINT FK_Product2Feed_FeedItemId FOREIGN KEY(FeedItemId) REFERENCES Product2Feed (Id) OPTIONS (NAMEINSOURCE 'FeedTrackedChanges'),
	CONSTRAINT FK_Project_Item__Feed_FeedItemId FOREIGN KEY(FeedItemId) REFERENCES Project_Item__Feed (Id) OPTIONS (NAMEINSOURCE 'FeedTrackedChanges'),
	CONSTRAINT FK_Release__Feed_FeedItemId FOREIGN KEY(FeedItemId) REFERENCES Release__Feed (Id) OPTIONS (NAMEINSOURCE 'FeedTrackedChanges'),
	CONSTRAINT FK_Requirement__Feed_FeedItemId FOREIGN KEY(FeedItemId) REFERENCES Requirement__Feed (Id) OPTIONS (NAMEINSOURCE 'FeedTrackedChanges'),
	CONSTRAINT FK_Schedule_Exports__Feed_FeedItemId FOREIGN KEY(FeedItemId) REFERENCES Schedule_Exports__Feed (Id) OPTIONS (NAMEINSOURCE 'FeedTrackedChanges'),
	CONSTRAINT FK_SiteFeed_FeedItemId FOREIGN KEY(FeedItemId) REFERENCES SiteFeed (Id) OPTIONS (NAMEINSOURCE 'FeedTrackedChanges'),
	CONSTRAINT FK_SolutionFeed_FeedItemId FOREIGN KEY(FeedItemId) REFERENCES SolutionFeed (Id) OPTIONS (NAMEINSOURCE 'FeedTrackedChanges'),
	CONSTRAINT FK_StrategicPlan__Feed_FeedItemId FOREIGN KEY(FeedItemId) REFERENCES StrategicPlan__Feed (Id) OPTIONS (NAMEINSOURCE 'FeedTrackedChanges'),
	CONSTRAINT FK_TaskFeed_FeedItemId FOREIGN KEY(FeedItemId) REFERENCES TaskFeed (Id) OPTIONS (NAMEINSOURCE 'FeedTrackedChanges'),
	CONSTRAINT FK_Test_Case_Result__Feed_FeedItemId FOREIGN KEY(FeedItemId) REFERENCES Test_Case_Result__Feed (Id) OPTIONS (NAMEINSOURCE 'FeedTrackedChanges'),
	CONSTRAINT FK_Test_Case_Step__Feed_FeedItemId FOREIGN KEY(FeedItemId) REFERENCES Test_Case_Step__Feed (Id) OPTIONS (NAMEINSOURCE 'FeedTrackedChanges'),
	CONSTRAINT FK_Test_Case__Feed_FeedItemId FOREIGN KEY(FeedItemId) REFERENCES Test_Case__Feed (Id) OPTIONS (NAMEINSOURCE 'FeedTrackedChanges'),
	CONSTRAINT FK_Use_Case_Step__Feed_FeedItemId FOREIGN KEY(FeedItemId) REFERENCES Use_Case_Step__Feed (Id) OPTIONS (NAMEINSOURCE 'FeedTrackedChanges'),
	CONSTRAINT FK_Use_Case__Feed_FeedItemId FOREIGN KEY(FeedItemId) REFERENCES Use_Case__Feed (Id) OPTIONS (NAMEINSOURCE 'FeedTrackedChanges'),
	CONSTRAINT FK_UserFeed_FeedItemId FOREIGN KEY(FeedItemId) REFERENCES UserFeed (Id) OPTIONS (NAMEINSOURCE 'FeedTrackedChanges'),
	CONSTRAINT FK_UserProfileFeed_FeedItemId FOREIGN KEY(FeedItemId) REFERENCES UserProfileFeed (Id) OPTIONS (NAMEINSOURCE 'FeedTrackedChanges'),
	CONSTRAINT FK_Work_Package__Feed_FeedItemId FOREIGN KEY(FeedItemId) REFERENCES Work_Package__Feed (Id) OPTIONS (NAMEINSOURCE 'FeedTrackedChanges')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'false', "teiid_sf:Supports Delete" 'false', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'false', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'false', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE FieldId__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(38) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	SetupOwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	FieldName__c string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Object__c string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	SFACloneValue__c string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	SFACloneable__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	SFACloneField__c string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	SFANewValue__c string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id)
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE FieldId__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_FieldId__c_ItemId FOREIGN KEY(ItemId) REFERENCES FieldId__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE FiscalGoals__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	Active__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Fiscal_Year__c string(10) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Fiscal_Year_Active__c string(100) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Pick_Fiscal_Year__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Current Fiscal Year,Next Fiscal Year'),
	Red_Hat_Sales_Strategy_new__c string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Language__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Chinese,English,Japanese,Korean'),
	CONSTRAINT Id_PK PRIMARY KEY(Id)
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE FiscalGoals__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_FiscalGoals__c_ItemId FOREIGN KEY(ItemId) REFERENCES FiscalGoals__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE FiscalYearSettings (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	PeriodId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	StartDate date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	EndDate date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Name string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsStandardYear boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	YearType string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Standard,Custom,Placeholder'),
	QuarterLabelScheme string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'NumberByYear,Custom'),
	PeriodLabelScheme string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'NumberByYear,NumberByQuarter,StandardMonths,Custom'),
	WeekLabelScheme string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'NumberByYear,NumberByQuarter,NumberByPeriod'),
	QuarterPrefix string(40) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Quarter,FQ,Q,Trimester'),
	PeriodPrefix string(40) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Period,FP,P,Month'),
	WeekStartDay integer OPTIONS (NATIVE_TYPE 'int', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Description string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id)
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'false', "teiid_sf:Supports Delete" 'false', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Folder (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(40) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	DeveloperName string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	AccessType string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Shared,Public,Hidden,PublicInternal'),
	IsReadonly boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Type string(40) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Document,Email,Report,Dashboard'),
	NamespacePrefix string(15) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id)
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE ForecastShare (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	UserRoleId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	UserOrGroupId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	AccessLevel string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Read,Edit,All'),
	CanSubmit boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	RowCause string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Owner,Manual,Rule,ImplicitChild,ImplicitParent,Team,Territory,TerritoryManual,TerritoryRule,Territory2Forecast'),
	CONSTRAINT Id_PK PRIMARY KEY(Id)
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'false', "teiid_sf:Supports Delete" 'false', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Group_ (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(40) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	RelatedId string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'AllCustomerPortal,CollaborationGroup,Manager,ManagerAndSubordinatesInternal,Organization,PRMOrganization,Queue,Regular,Role,RoleAndSubordinates,RoleAndSubordinatesInternal,SharingRuleGroup,Territory,TerritoryAndSubordinates'),
	Email string(255) OPTIONS (NATIVE_TYPE 'email', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	OwnerId string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	DoesSendEmailToMembers boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	DoesIncludeBosses boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CONSTRAINT Id_PK PRIMARY KEY(Id)
) OPTIONS (NAMEINSOURCE 'Group', UPDATABLE TRUE, "teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE GroupMember (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	GroupId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	UserOrGroupId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Group__GroupId FOREIGN KEY(GroupId) REFERENCES Group_ (Id) OPTIONS (NAMEINSOURCE 'GroupMembers')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE GroupSetting__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(38) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	SetupOwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	GroupName__c string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ProtectedCaseFields__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	CONSTRAINT Id_PK PRIMARY KEY(Id)
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE GroupSetting__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_GroupSetting__c_ItemId FOREIGN KEY(ItemId) REFERENCES GroupSetting__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Hashes__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	RecentCloneHashes__c string(240) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id)
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE Hashes__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Hashes__c_ItemId FOREIGN KEY(ItemId) REFERENCES Hashes__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Holiday (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Description string(100) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsAllDay boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	ActivityDate date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	StartTimeInMinutes integer OPTIONS (NATIVE_TYPE 'int', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	EndTimeInMinutes integer OPTIONS (NATIVE_TYPE 'int', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsRecurrence boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	RecurrenceStartDate date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	RecurrenceEndDateOnly date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	RecurrenceType string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'RecursDaily,RecursEveryWeekday,RecursMonthly,RecursMonthlyNth,RecursWeekly,RecursYearly,RecursYearlyNth'),
	RecurrenceInterval integer OPTIONS (NATIVE_TYPE 'int', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	RecurrenceDayOfWeekMask integer OPTIONS (NATIVE_TYPE 'int', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	RecurrenceDayOfMonth integer OPTIONS (NATIVE_TYPE 'int', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	RecurrenceInstance string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'First,Second,Third,Fourth,Last'),
	RecurrenceMonthOfYear string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'January,February,March,April,May,June,July,August,September,October,November,December'),
	CONSTRAINT Id_PK PRIMARY KEY(Id)
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'false', "teiid_sf:Supports Delete" 'false', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE hoopla__Field__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(38) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	SetupOwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	hoopla__Field_Name__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	hoopla__Field_Type__c string(124) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	hoopla__Full_Name__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	hoopla__Object_Name__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id)
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE hoopla__Field__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_hoopla__Field__c_ItemId FOREIGN KEY(ItemId) REFERENCES hoopla__Field__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE hoopla__Hoopla_Entity__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(38) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	SetupOwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	hoopla__Entity_Id__c string(18) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	hoopla__Primary_Object__c string(128) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id)
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE hoopla__Hoopla_Entity__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_hoopla__Hoopla_Entity__c_ItemId FOREIGN KEY(ItemId) REFERENCES hoopla__Hoopla_Entity__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE hoopla__Hoopla_Error_Log__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	CONSTRAINT Id_PK PRIMARY KEY(Id)
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE hoopla__Hoopla_Error_Log__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_hoopla__Hoopla_Error_Log__c_ItemId FOREIGN KEY(ItemId) REFERENCES hoopla__Hoopla_Error_Log__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE hoopla__Hoopla_Trigger_Settings__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(38) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	SetupOwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	hoopla__Has_Action_Definitions__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	hoopla__Has_Stat_Definitions__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	hoopla__Last_Executed__c timestamp OPTIONS (NATIVE_TYPE 'datetime', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	hoopla__Run_Trigger__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	hoopla__Trigger_Name__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	hoopla__Has_Metric_Definitions__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	CONSTRAINT Id_PK PRIMARY KEY(Id)
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE hoopla__Hoopla_Trigger_Settings__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_hoopla__Hoopla_Trigger_Settings__c_ItemId FOREIGN KEY(ItemId) REFERENCES hoopla__Hoopla_Trigger_Settings__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE hoopla__Hoopla_User__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(38) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	SetupOwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	hoopla__User_Id__c string(18) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id)
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE hoopla__Hoopla_User__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_hoopla__Hoopla_User__c_ItemId FOREIGN KEY(ItemId) REFERENCES hoopla__Hoopla_User__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE hoopla__Notification_Queue__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	CONSTRAINT Id_PK PRIMARY KEY(Id)
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE hoopla__Notification_Queue__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_hoopla__Notification_Queue__c_ItemId FOREIGN KEY(ItemId) REFERENCES hoopla__Notification_Queue__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE hoopla__Object__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(38) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	SetupOwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id)
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE hoopla__Object__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_hoopla__Object__c_ItemId FOREIGN KEY(ItemId) REFERENCES hoopla__Object__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE hoopla__Player__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	CONSTRAINT Id_PK PRIMARY KEY(Id)
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE hoopla__Player__History (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	ParentId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Field string(255) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'created,CurrencyIsoCode,feedEvent,hoopla__Active__c,hoopla__Alternate_Photo__c,hoopla__Position__c,hoopla__Scoreboard_Admin__c,hoopla__Use_Alternate_Photo__c,hoopla__User__c,hoopla__User_External_ID__c,Name,Owner,ownerAccepted,ownerAssignment,locked,unlocked'),
	OldValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	NewValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_hoopla__Player__c_ParentId FOREIGN KEY(ParentId) REFERENCES hoopla__Player__c (Id) OPTIONS (NAMEINSOURCE 'Histories')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'false', "teiid_sf:Supports Delete" 'false', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE hoopla__Player__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_hoopla__Player__c_ItemId FOREIGN KEY(ItemId) REFERENCES hoopla__Player__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE hoopla__Position__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	CONSTRAINT Id_PK PRIMARY KEY(Id)
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE hoopla__Position__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_hoopla__Position__c_ItemId FOREIGN KEY(ItemId) REFERENCES hoopla__Position__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE hoopla__Position_Role__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	hoopla__Position__c string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	hoopla__Role__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_hoopla__Position__c_hoopla__Position__c FOREIGN KEY(hoopla__Position__c) REFERENCES hoopla__Position__c (Id) OPTIONS (NAMEINSOURCE 'hoopla__Position_Roles__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE hoopla__Position_Role__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_hoopla__Position_Role__c_ItemId FOREIGN KEY(ItemId) REFERENCES hoopla__Position_Role__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE hoopla__Scoreboard_Role__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	hoopla__Role__c string(18) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id)
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE hoopla__Scoreboard_Role__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_hoopla__Scoreboard_Role__c_ItemId FOREIGN KEY(ItemId) REFERENCES hoopla__Scoreboard_Role__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Idea (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Title string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	RecordTypeId string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsLocked boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CommunityId string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Body string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	NumComments integer OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'int', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	VoteScore double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	VoteTotal double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Categories string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Red Hat Partner Portal,Other'),
	Status string(40) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'New Idea,Under Review,Reviewed – Accepted,Reviewed – Rejected,Coming Soon,Now Available'),
	LastCommentDate timestamp OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'datetime', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	LastCommentId string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ParentIdeaId string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsHtml boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Existing_Momentum_Case__c string(25) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Region__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Global,North America,Latin America,EMEA,APAC'),
	Internal_Category__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id)
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE IdeaComment (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IdeaId string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CommentBody string OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsHtml boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Idea_IdeaId FOREIGN KEY(IdeaId) REFERENCES Idea (Id) OPTIONS (NAMEINSOURCE 'Comments')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE Inbound_Event__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	Error_Message__c string(32768) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Event_Type__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Address,Contact,SalesAccount,Order,TransactionalAccount'),
	Full_Message_In_Attachment__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Message__c string(131072) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Operation__c string(100) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Retries__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Status__c string(20) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id)
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE Inbound_Event__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Inbound_Event__c_ItemId FOREIGN KEY(ItemId) REFERENCES Inbound_Event__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Indirect_Matching_Static_Data__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(38) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	SetupOwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Value__c string(100) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id)
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE Indirect_Matching_Static_Data__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Indirect_Matching_Static_Data__c_ItemId FOREIGN KEY(ItemId) REFERENCES Indirect_Matching_Static_Data__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Key_Joint_Sales_Engagement__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	Account_Name__c string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Channel_Plan__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Description__c string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Objective_Type__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'New Customer Target,Renewal Target JBoss,Renewal Target RHEL,Revenue $ Target JBoss,Revenue $ Target RHEL,Training Other,Training Sales,Training Technical'),
	Target_Date__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Targetdate_Print__c double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'double', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Account_Account_Name__c FOREIGN KEY(Account_Name__c) REFERENCES Account (Id) OPTIONS (NAMEINSOURCE 'Key_Joint_Sales__r'),
	CONSTRAINT FK_SFDC_Channel_Account_Plan__c_Channel_Plan__c FOREIGN KEY(Channel_Plan__c) REFERENCES SFDC_Channel_Account_Plan__c (Id) OPTIONS (NAMEINSOURCE 'Key_Joint_Sales__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE Key_Joint_Sales_Engagement__History (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	ParentId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Field string(255) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Account_Name__c,Channel_Plan__c,created,CurrencyIsoCode,Description__c,feedEvent,Name,Objective_Type__c,ownerAccepted,ownerAssignment,locked,unlocked,Target_Date__c'),
	OldValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	NewValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Key_Joint_Sales_Engagement__c_ParentId FOREIGN KEY(ParentId) REFERENCES Key_Joint_Sales_Engagement__c (Id) OPTIONS (NAMEINSOURCE 'Histories')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'false', "teiid_sf:Supports Delete" 'false', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Key_Joint_Sales_Engagement__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Key_Joint_Sales_Engagement__c_ItemId FOREIGN KEY(ItemId) REFERENCES Key_Joint_Sales_Engagement__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Lead (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	MasterRecordId string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	LastName string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	FirstName string(40) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Salutation string(40) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Mr.,Ms.,Mrs.,Dr.,Prof.,Miss,Sir'),
	Name string(121) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	RecordTypeId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Title string(128) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Company string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Street string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	City string(40) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	State string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	PostalCode string(20) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Country string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Phone string(40) OPTIONS (NATIVE_TYPE 'phone', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	MobilePhone string(40) OPTIONS (NATIVE_TYPE 'phone', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Fax string(40) OPTIONS (NATIVE_TYPE 'phone', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Email string(80) OPTIONS (NATIVE_TYPE 'email', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Website string(255) OPTIONS (NATIVE_TYPE 'url', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Description string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	LeadSource string(40) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Advertisement,Assessment Tool,Contact Sales,Deal Registration,Email Preferences,Employee Referral,Evaluation,Event Attendance,Event Registration,Existing Customer,External List,External Referral,FY08Q3_AU-057_007,Inbound Call,Inbound Email,Internal List,Misc. Marketing,Newsletter/Email,Offline Campaign,Other,Outbound Call,Partner,Podcast,Public Relations,Red Hat Referral,Referral,Seminar - Internal,Seminar - Partner,Survey,TCO Calculator,Tradeshow,Trade Show,Training,Training Attendee,Training Catalog,Training Pre-assessment,Video,Web Eval,Webinar Attendance,Webinar Registration,Website,Webstore,Whitepaper,Word of mouth'),
	Status string(40) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'New,In Progress,Inquiry,Nurture,Passed to Partner,Poor Data,Dead/Unqualified,Do Not Contact,Converted,Deal Registration,Waiting,Working,Not Working,Developing,Nurturing'),
	Industry string(40) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Aerospace,Construction,Consulting,Education,Financial Services,Government,Government-Military,Healthcare,Information Technology,Insurance,Life Sciences,Manufacturing,Media and Entertainment,Non Profit Organization,Oil and Gas,Other,Product Distributor,Retail,Services,State/County/Local Government,Tech Online,Telecom,Transportation,Utilities'),
	Rating string(40) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Hot,Warm,Cold'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	AnnualRevenue double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	NumberOfEmployees integer OPTIONS (NATIVE_TYPE 'int', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	OwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	HasOptedOutOfEmail boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsConverted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	ConvertedDate date OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ConvertedAccountId string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ConvertedContactId string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ConvertedOpportunityId string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsUnreadByOwner boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	LastActivityDate date OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	DoNotCall boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	HasOptedOutOfFax boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	LastTransferDate date OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	PartnerAccountId string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	EmailBouncedReason string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	EmailBouncedDate timestamp OPTIONS (NATIVE_TYPE 'datetime', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	LeadSourceDescription__c string(25) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	OraclePartyNumber__c string(20) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Priority__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Urgent,Hot,Warm,Cold,Already Purchased,Will Purchase,Might Purchase,Just Browsing,Lead Ranked,Unqualified'),
	RHNLogin__c string(100) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Region__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'ANDINO,BeNeLux,Brazil,CE,CEACA,EE,LATAM,Mexico,NAP,NEE,Nordics,SAP,SEMEA,SOLA,SWE,UK,US'),
	SIC_Code__c string(20) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Products_of_Interest__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Academic,Apache Tomcat,Business Rules,Certificate System,Cloud,Cloud Computing,Cluster Suite,Consulting,Cygwin,Data Integration,Developer Productivity Tools,Development Tools,Directory Server,Extended Lifecycle Support Add-On,Extended Update Support Add-On,Extended Update Support for RHEL,FuseSource,GFS,Global Professional Services,Global Support Services,GLS,GNU Pro,GPS,GSS,Hibernate,High Availability Add-On,High Performance Network Add-On,Hosting,Hosting Program,ISV Partner Program,Java Application Servers,JBoss,JBoss/RHEL Stack,JBoss Application Server,JBoss BRMS,JBoss Cache,JBoss Consulting Services,JBoss Developer Studio,JBoss Eclipse IDE,JBoss Enterprise Application Platform,JBoss Enterprise BRMS,JBoss Enterprise Communications Platform,JBoss Enterprise Data Services Platform,JBoss Enterprise Portal Platform,JBoss Enterprise SOA Platform,JBoss Enterprise Web Server,JBoss Hibernate,JBoss jBPM,JBoss Messaging,JBoss Operations Network,JBoss Portal,JBoss Rules,JBoss Seam,JBoss SOA Consulting Services,JBoss Solutions,JBoss Training,JBoss Transactions,Layered Applications,Load Balancer Add-On,Management,Middleware,Middleware Consulting,Middleware Management,Middleware Training,Mobile App Platform,OEM Partner Program,OpenShift by Red Hat,Other,Partnering/Embedding JBoss,Portals,Red Hat Academy,Red Hat Application Stack,Red Hat Certificate System,Red Hat CloudForms,Red Hat Cloud Infrastructure,Red Hat Cluster Suite,Red Hat Command Center,Red Hat Directory Server,Red Hat Enterprise IPA,Red Hat Enterprise Linux Desktop,Red Hat Enterprise Linux for Developers,Red Hat Enterprise Linux for Education,Red Hat Enterprise Linux for HPC,Red Hat Enterprise Linux for Mainframes,Red Hat Enterprise Linux for Servers,Red Hat Enterprise Linux for System z,Red Hat Enterprise Linux Server,Red Hat Enterprise MRG,Red Hat Enterprise MRG Grid,Red Hat Enterprise MRG Realtime,Red Hat Enterprise Virtualization,Red Hat Global File System,Red Hat JBoss A-MQ,Red Hat JBoss BPM Suite,Red Hat JBoss BRMS,Red Hat JBoss Data Grid,Red Hat JBoss Data Virtualization,Red Hat JBoss Developer Studio,Red Hat JBoss EAP,Red Hat JBoss Fuse,Red Hat JBoss Fuse Service Works,Red Hat JBoss Operations Network,Red Hat JBoss Portal,Red Hat JBoss Web Framework Kit,Red Hat JBoss Web Server,Red Hat Network Proxy,Red Hat Network Satellite,Red Hat Satellite,Red Hat Storage Server,Resilient Storage Add-On,RHEL,RHEL OpenStack Platform,RHEV,RHEV Hypervisor,RHEV Manager for Desktop,RHEV Manager for Servers,RHN,RHN Satellite Management Tools,RHX - Alfresco,RHX - CentricCRM,RHX - Compiere,RHX - EnterpriseDB,RHX - Groundwork,RHX - Jaspersoft,RHX - MySQL,RHX - OpenFire,RHX - Pentaho,RHX - SugarCRM,RHX - Zenoss,RHX - Zimbra,RHX - Zmanda,Runtime,Runtime Partner Program,Scalable File System Add-On,Smart Management Add-On,SOA & Application Integration,Solid ICE,SPICE,Storage,Storage Software Appliance,Training and Certification,Virtualization,Virtual Storage Appliance for AWS'),
	Passed_to_Partner__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Acquity Group, Llc,ACS,Adeara Inc,Agilysis,Akibia,ASAP,Atrion Corporation,Benefits To Marketing Inc,CDW,Champion Solutions Group, Inc.,Chariot Solutions,Citytech,Cloudware,Consilium1,Dimension Systems,Exadel, Inc.,Expert Server Group,Forsythe Solutions Group, Inc,Forsythe Technology, Inc.,Freedom Services & Technologies,FusionStorm,Groupware Technology, Inc.,Helio Solutions,Hypertec,Incentric,Infogain Corporation,Information Design, Inc.,Insight,Int3s Inc.,Integrated Technical Services,Ironworks Consulting Llc,Ixsystems, Inc,Latin Source Tech    (Central and South America),Locus Software,Locus Systems Inc,Logicalis,Lotus 911, Inc,Mainline Information Systems Inc,MCE,Melillo Consulting,Metafore (West Canada),MSI,Net Direct Systems, Llc,NetSphere Strategies,New England Service Source,New England Serv Source -Expert Server Group,OpenPole,Optaros,Peri Software Solutions,Presens Technologies, Ltd.,Rivet Logic,Roundstone Systems,Saven Technologies, Inc,Scalar Decisions,Siwel Consulting,Software House International,Software Spectrum,Synergy,Tallard  (Mexico),TEAM  (Mexico),The Worx Group,Vendere Partners Ltd,Vicom Computer Services,Virtus,Vizuri,Whalley Computer Associates, Inc.,Xwave (East Canada),Zsl Inc'),
	LanguagePreference__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Chinese,Chinese (Simplified),English,French,German,Italian,Japanese,Korean,Other,Portuguese,Russian,Spanish'),
	LanguagePreferenceOther__c string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	PrimaryJobFunction__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Account Executive,Administrator,Analyst,Architect,Business Development,Buyer/Purchaser/Finance,CEO/President/Owner,CIO/CTO,Consultant/Contractor,Contractor/Consultant,CxO,Dept or Project Manager,Developer,Developer/Engineer,Director,Educator,Engineer,IS or IT Associate,IT Architect,Manager,Marketing,Other,Personal,Sales,Student,System or Network Admin,VP'),
	QualifiesForGSASchedule__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Yes,No'),
	WorkloadsDeployedDeployingOnLinux__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Application Development,Business Processing,Collaborative,Database,Decision Support,Desktop or Workstation,IT Infrastructure,Not Applicable to My Project,Other Server Application,Scientific/Engineering,Web infrastructure'),
	EstAnnualRevForWWOrg__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Unknown,1-50M,51-100M,101-150M,151-250M,251-300M,301-500M,501-750M,751-1B>,Less than $100 million,More than $100 million'),
	NumberOfEmployeesInWWOrg__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Less than 500,501-1000,More than 1001,1001-1500,More than 1500,Less than 1,000,More than 1,000,Unknown'),
	NumberOfServerClassSystemsInWWOrg__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Unknown,1-10,11-25,26-50,1-50,51 or more'),
	PurchasingHWWithThisDeployment__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Yes,No'),
	PreferredHWVendor__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Dell,Don’t Have One,Fujitsu,Gateway,HP,IBM,Other,Sun,Toshiba'),
	OtherHWVendor__c string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	PreferredPurchasingMethod__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'CDW,Dell,Direct,DLT,Don’t Have One,Fujitsu,Gateway,GTSI,HP,IBM,Local Reseller,OEM,Other,redhat.com,Red Hat Direct,Reseller,Sun,Toshiba'),
	LocalResellerOther__c string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	AccountClassification__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Partner - Advance Partner,Partner - Distributor,Partner - ISV,Partner - OEM,Partner - Other,Partner - Systems Integrator,Partner - Technology,Partner - Training,Partner - Value Added Reseller,Sales - Customer,Sales - ETR,Sales - FED,Sales - Hosting,Sales - Key Account,Sales - Other,Sales - Prospect,Sales - SLED,Sales - SMB'),
	PartnerProvidedLead__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Bull,CDW,Dell,DLT,Fujitsu,GTSI,HP,IBM,Local Reseller,Other,Toshiba'),
	ReasonForInboundCall__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Academic Products,Fedora,Other,Post-Sale Issue,Reseller,Sales Inquiry,Support'),
	LeadSourceDetail__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" '[GLOBAL] Contact Sales - Red Hat Consulting Solaris to RHEL Strategic Migration Planning,[Global] Dell International Renewals,APAC Channel,Assessment Lead: already_purchased,Assessment Lead: just_curious,Assessment Lead: plan_enroll_within_30_days,Assessment Lead: plan_enroll_within_few_months,CRUSH,CSMB - MW Leadpass,Customer_NA_FY10_NA_GLS Leads_Global Knowledge,Deal Registration,EMAIL_TO_SALES,Evaluation,FY09_Q3_[Global] Management_JBoss ON Webinar (20081211) (Partner Link),FY09_Q3_[NA] Road Tour_Webinar_Your Road to Open Source: Middleware Breakout (20081002) (Partner link),FY09_Q3_[NA] Satellite Webinar (Dell) (20090122),FY09_Q4_Dollar for your Thoughts_JBoss_Optaros,FY09_Q4_GLS_Customer FollowUp_NA,FY09_Q4_GLS Pressassment_NA,FY09Q3[NA]_Sales Acceleration Vikings Event,FY10_Q1_[Global] JBoss on Dell Campaign (Banner),FY10_Q1_[NA] Vancouver Registration (20090407),FY10_Q1_NA_Channel Recruitment_Central Region,FY10_Q1_SAP Webinar (20090416),GLS,GSS,GSS - Compliance,Harte Hanks,HP-RH Sun Migration Program,Is_existing,IS_outbound,Jboss_Eloqua_FY09,New Inquiry_Website,Platform_NA_FY10_Q4_Global_Intelligent_Server_Choice_Intel_Workshop_Atlanta Feb,Renewal,RHEL SSP Referral,SD_Presales_Inbound,SD_Presales_Outbound,SSI Referral,Vendere - Dollar for your Thoughts,WEB_STORE'),
	Oracle_Account_Number__c string(10) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Country_of_Order__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Afghanistan,Albania,Algeria,Andorra,Angola,Anguilla,Antigua and Barbuda,Argentina,Armenia,Aruba,Australia,Austria,Azerbaijan,Bahamas,Bahrain,Bangladesh,Barbados,Belarus,Belgium,Belize,Benin,Bermuda,Bhutan,Bolivia,Bosnia and Herzegovina,Botswana,Bouvet Island,Brazil,Brunei Darussalam,Bulgaria,Burkina Faso,Burundi,Cambodia,Cameroon,Canada,Cape Verde,Cayman Islands,Central African Republic,Central America,Chad,Chile,China,Colombia,Comoros,Congo,Congo, The Democratic Republic of the,Costa Rica,Cote d''Ivoire,Croatia,Cyprus,Czech Republic,Denmark,Djibouti,Dominica,Dominican Republic,Ecuador,Egypt,El Salvador,Equatorial Guinea,Eritrea,Estonia,Ethiopia,Falkland Islands (Malvinas),Faroe Islands,Fiji,Finland,France,French Guiana,Gabon,Gambia,Georgia,Germany,Ghana,Gibraltar,Greece,Greenland,Grenada,Guadeloupe,Guam,Guatemala,Guernsey,Guinea,Guinea-Bissau,Guyana,Haiti,Holy See (Vatican City State),Honduras,Hong Kong,Hungary,Iceland,India,Indonesia,Iraq,Ireland,Isle of Man,Israel,Italy,Jamaica,Japan,Jersey,Jordan,Kazakhstan,Kenya,Kiribati,Korea, Republic of,Kuwait,Kyrgyzstan,Lao People''s Democratic Republic,Latvia,Lebanon,Lesotho,Liberia,Libyan Arab Jamahiriya,Liechtenstein,Lithuania,Luxembourg,Macao,Macedonia, the Former Yugoslav Republic of,Madagascar,Malawi,Malaysia,Maldives,Mali,Malta,Marshall Islands,Martinique,Mauritania,Mauritius,Mayotte,Mexico,Moldova, Republic of,Monaco,Mongolia,Montserrat,Morocco,Mozambique,Myanmar,Namibia,Nauru,Nepal,Netherlands,New Zealand,Nicaragua,Niger,Nigeria,Norway,Oman,Pakistan,Palau,Panama,Papua New Guinea,Paraguay,Peru,Philippines,Poland,Portugal,Puerto Rico,Qatar,Reunion,Romania,Russian Federation,Rwanda,Saint Helena,Saint Kitts and Nevis,Saint Lucia,Saint Pierre and Miquelon,Saint Vincent and the Grenadines,Samoa,San Marino,Sao Tome and Principe,Saudi Arabia,Senegal,Serbia,Serbia and Montenegro,Seychelles,Sierra Leone,Singapore,Slovakia,Slovenia,Solomon Islands,Somalia,South Africa,Spain,Sri Lanka,Suriname,Svalbard and Jan Mayen,Swaziland,Sweden,Switzerland,Taiwan,Tajikistan,Tanzania, United Republic of,Thailand,Timor-Leste,Togo,Tonga,Trinidad and Tobago,Tunisia,Turkey,Turkmenistan,Turks and Caicos Islands,Tuvalu,Uganda,Ukraine,United Arab Emirates,United Kingdom,United States,United States Minor Outlying Islands,Uruguay,Uzbekistan,Vanuatu,Venezuela,Vietnam,Virgin Islands, British,Virgin Islands, U.S,Wallis and Futuna,Western Sahara,Yemen,Zambia,Zimbabwe'),
	Do_Not_Contact__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Details_from_Lead__c string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	D_U_N_S__c string(20) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	firs_profileid__c string(6) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	firs_Industry_Profile_Name__c string(100) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	firs_Opp_Rating_Image__c string(18) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	firs_Profile_Link__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	firs_Rating_Desc__c string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	firs_Opp_Rating__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	JBoss_Lead_ID__c string(20) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Sales_Ops_Reviewed__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	mkt_cl_previous_status__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'New,In Progress,Inquiry,Nurture,Passed To Partner,Poor Data,Dead Unqualified,Do Not Contact,Converted'),
	mkt_cl_mkt_lead_id__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	mkt_cl_nurtured__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	mkt_cl_new__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	mkt_cl_converted__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	mkt_cl_partner__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	mkt_cl_lead_exisiting__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	mkt_cl_lead_in_progress__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	mkt_cl_lead_existing_found__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	mkt_cl_lead_duplicates_found__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	mkt_cl_lead_duplicates_message__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	mkt_cl_wf_lead_in_progress__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	mkt_cl_wf_lead_nurture__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	mkt_cl_wf_passed_to_partner__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	mkt_cl_wf_converted_status__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Lead_Ranking__c string(50) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Lead_Scoring__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Lead_Age_Weeks__c double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'double', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Lead_Age_Months__c double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'double', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Lead_partner_Worked__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Yes,No'),
	Last_Modified_by_Partner__c string(100) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Partner_Last_Modified_Date_Time__c timestamp OPTIONS (NATIVE_TYPE 'datetime', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Days_Since_Partner_Touched__c double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'double', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Partner_Created__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Lead_Date_Created__c timestamp OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'datetime', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Age_of_Lead__c double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'double', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Revenue_Type__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Services,Subscription,Subscription & Services'),
	Partner_Opt_In__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Assignment_Error__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ISO_Country_Code__c string(10) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Dummy_Field__c string(10) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Ready_To_Automatically_Route__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Red_Hat_Opt_In__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Accept_Disclaimer__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'I have read and I agree'),
	Distributor__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Ação,ALSO Deutschland GmbH,ALSO Deutschland GmbH - DE,Alternative Technology Inc.,Altimate,Altimate Belgium,Altimate Belgium - BE,Altimate Belgium BVBA,Altimate France,Altimate Portugal,Arrow,Arrow ECS France,Arrow ECS PL,Arrow ECS Portugal,Arrow ECS Portugal - PT,Arrow ECS SAS,Arrow ECS SAS - FR,ATP AR - IT College,ATP BO - S&T,ATP CC - ITM,ATP CL - Sonda,ATP CO - BMind,ATP CO - Business Support,ATP CO - Summan,ATP CR - Vidalinux,ATP EC - BMind,ATP EC - New Horizons Infotraining,ATP PE - New Horizon,ATP PY - ISIL,ATP UY - Tilsor,Avnet,Avnet AG,Avnet AG - CH,LI,Avnet Austria,Avnet Denmark,Avnet Eastern Europe,Avnet Europe Comm VA,Avnet Germany,Avnet Italy,Avnet Spain,Avnet Switzerland,Avnet Technology Solutions A/S,Avnet Technology Solutions A/S - GL,IS,FO,Avnet Technology Solutions GmbH,Avnet Technology Solutions GmbH - DE,Avnet Technology Solutions Handelsgesellschaft m.b.H.,Avnet Technology Solutions Handelsgesellschaft m.b.H. - AT,AVNET Technology Solutions Ltd,AVNET Technology Solutions Ltd - UK,IE,Avnet TS Italy S.r.l.,Avnet TS Italy S.r.l. - IT,Avnet TS Spain, SL,Avnet TS Spain, SL - ES,Avnet UK,AxizWorkgroup,AxizWorkgroup - AZ,AxizWorkgroup - ZA,Axoft LLC,B2B,B2B Sp. z o.o. - PL,B2B SP z.o.o,Carahsoft,CMS Distribution Ltd,CMS DISTRIBUTION LTD - UK, IE, GI, GR, CY,COMMEO,Commeo - FR,Copaco DC BV,Copaco DC BV - NL,Copaco Nederland,Corporación Netix,Dupaco B.V.,Dupaco B.V. - NL,Dupaco Distribution,ETC,FRANK Robin Linux Systems,GTI, Software y Networking Sa,GTI Software & Comunicaciones,GTI Software y Networking Sa - ES,Immix,Inacorp SA,Ingram Micro,Interactive Ideas Limited,Itway S.p.A.,Itway S.p.A. - IT,Itway VAD,LxPN Distributions GmbH,Magirus,Magirus Espana S.L.,Magirus Italia S.p.A.,Makro,Matrix,Matrix I.T ltd,Matrix I.T ltd - IL,Matrix IT Software Products LTD,Mont,Nexsys Argentina,Nexsys Centroamerica y Caribe,Nexsys Colombia,Nexsys de Bolivia,Nexsys de Chile,Nexsys del Uruguay,Nexsys de Paraguay,Nexsys Peru,Nordicmind Ltd.,Nordicmind Oy,Nordicmind Oy - EE, FI, LV, LT,Officer,OSL Distribution,Other,Otros,Preteco,Preteco Argentina,Preteco Bolivia,Preteco Chile,Prolink,Prolink Mumessillik,Red Hat,Redhat Reseller Partner,Redington Gulf,Romsym Data Srl,Romsym Data Srl - RO,Servodata a.s.,Servodata a.s. - CZ,Software Libre Andino,Synnex,Tallard,TD Tech Data AB,TD TechData AB - DK,FI,NO,SE,Team,Teamnet,Tech Data,Tech Data AB,Tech Data Denmark A/S,Tech Data France,Tech Data France - FR,Tech Data Latin America,Tech Data Norge AS,Technoglobal,The Linux Warehouse,The Linux Warehouse - ZA,ULX Open Source Consulting & Distribution,VDEL'),
	Lead_Age__c double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'double', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Deal_Forward__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Distributor_if_other__c string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Project_Budget_Amount__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Public_Sector_Program__c string(180) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Reseller_Phone__c string(40) OPTIONS (NATIVE_TYPE 'phone', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Copy_End_Cust_Email__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Partner_Uniqueness__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Customer_s_Ultimate_Goal__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Approved_Additional_Discount__c double OPTIONS (NATIVE_TYPE 'percent', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Reseller_Last_Name__c string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Agency_Level_1__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Department of Defense,Intelligence,Federal Civilian,State and Local,Independent/Other Agencies,EDU'),
	Agency_Level_2__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" '2-Year Career School,2-Year Community College,4-Year University/College,Board of Governors of the Federal Reserve System,Board of Regents,CA,City Government,CO,Commodity Futures Trading Commission (CFTC),Consumer Product Safety Commission (CPSC),County Government,DC,Defense Finance & Accounting Service (DFAS),Defense Information Systems Agency (DISA),Defense Intelligence Agency (DIA),Defense Logistics Agency (DLA),Defense Threat Reduction Agency (DTRA),Department of Agriculture (USDA),Department of Commerce (DOC),Department of Education,Department of Energy (DOE),Department of Health & Human Services (HHS),Department of Homeland Security (DHS),Department of Housing & Urban Development (HUD),Department of Justice (DOJ),Department of Labor (DOL),Department of State (DOS),Department of the Air Force (USAF),Department of the Army (USA),Department of the Interior (DOI),Department of the Navy (USN),Department of Transportation (DOT),Department of Treasury (TRE),Department of Veterans Affairs (VA),Environmental Protection Agency (EPA),Equal Employment Opportunity Commission (EEOC),Export-Import Bank of the United States,FED-C,Federal Bureau of Investigation (FBI),Federal Communications Commission (FCC),Federal Deposit Insurance Corporation (FDIC),Federal Reserve Bank,Federal Retirement Thrift Investment Board,Federal Trade Commission (FTC),FL,For Profit EDU,GA,General Services Administration(GSA),General Services Administration (GSA),Government Printing Office (GPO),HI,IA,ID,IL,IN,Joint Chiefs of Staff (JCS),K-12,KS,KY,LA,Library of Congress,MA,Marine Corps (USMC),Maryland Procurement Office (MPO),MD,ME,MI,Missile Defense Agency (MDA),MN,MO,MS,MT,National Aeronautics and Space Administration (NASA),National Archives and Records Administration (NARA),National Defense University (NDU),National Geospatial Intelligence Agency (NGA),National Railroad Passenger Corporation (Amtrak),National Reconnaissance Office (NRO),National Science Foundation (NSF),National Security Agency (NSA),Navy,NC,ND,NE,NH,NJ,NM,Nuclear Regulatory Commission (NRC),NV,NY,Office of Personnel Management,Office of Personnel Management (OPM),Office of the Inspector General (IG),Office of the Secretary of Defense (OSD),Office of the Under Secretary of Defense for Personnel and Readiness (OUSD),OH,OK,OR,Other – DOD,Other - EDU,Other - Federal Civilian,Other – Independent/Other Agency,Other - Intelligence,Other – State and Local,PA,Peace Corps,Pension Benefit Guaranty Corporation,Postal Regulatory Commission,PR,Quasi-Governmental,Railroad Retirement Board,RI,SC,SD,Small Business Administration (SBA),Social Security Administration (SSA),Special Operations Command (SOCOM),State Government,The National Guard,TN,TX,U.S. House of Representative,U.S. Senate,Unified Combatant Commands (COCOMs),United States International Trade Commission (USITC),United States Marine Corps (USMC),United States Postal Service,US Agency for International Development (US AID),US Corp of Engineers (COE),UT,Utility District,VA,VT,WA,Washington Headquarters Services (WHS),WI,WV,WY,Air Force (USAF),AK,AL,AR,Armed Forces Information Service (AFIS),Army,AZ,Business Transformation Agency (BTA),CT,DE,Defense Advanced Research Projects Agency (DARPA),Defense Contract Audit Agency (DCAA),Defense Contract Management Agency (DCMA),Defense Human Resource Activity (DHRA),Defense Security Cooperation Agency (DSCA),Defense Security Services (DSS),Dept of Agriculture (USDA),Dept of Commerce (DOC),Dept of Education,Dept of Energy (DOE),Dept of Health & Human Services (DHHS),Dept of Homeland Security (DHS),Dept of Housing & Human Development (HUD),Dept of Justice (DOJ),Dept of Labor,Dept of the Interior,Dept of the State,Dept of Transportation,Dept of Treasury,Dept of Veterans Affairs (VA),Teaching Hospital'),
	Project_Name__c string(50) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Agency_Level_3__c string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Email_New_Owner__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Reseller_First_Name__c string(40) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Deal_Source__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Existing Customer,New Business,RFP'),
	Registration_Expiration__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Deal_Approved_Date__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Reseller_Email__c string(80) OPTIONS (NATIVE_TYPE 'email', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Days_Left_Until_Expiry__c double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'double', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Competitive_Deal__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Project_Description__c string(1000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CC_on_Deal_Registration_Alerts__c string(80) OPTIONS (NATIVE_TYPE 'email', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Deal_Registration_Classification__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Cloud,JBoss,Management,MetaMatrix,Middleware,Multi-Product,RHEL,RHEL and JBoss,RHEL and Middleware,RHEV,Storage'),
	Estimated_Close_Date__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Reseller_Company_Name__c string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	View_Guidelines__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Project_Budgeted__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Deal_Registration__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Decision_Role__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Decision Maker,Recommender,Influencer'),
	Deal_Registration_Status__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Draft,Submitted,Approved,Rejected,Pending First Approval,Pending Final Approval,Pending Second Approval,Pending Approval'),
	Purchasing_Services_with_this_Deployment__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Yes,No'),
	Estimated_Value_of_Services__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" '0-5,000,5,001-20,000,20,001-50,000,50,001-100,000,100,001 and up'),
	Competition__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'BEA,Cisco,Free Java,Free Linux,HP,IBM,Microsoft,Novell,Oracle,Oracle/BEA,Other,Otros,SAP,Sun,SUSE/Centos/Debian/Ubuntu,UNIX,Unknown,VMWare'),
	Value_Added_Sales_Activity__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Value_Added_Sales_Activity_Description__c string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Value_Added_Services_Proposed__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Value_Added_Services_Proposed_Desc__c string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Stage__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Inquiry,Prospect,Marketing Accepted,Marketing Qualified,Sales Accepted,Sales Qualified,Won,Sales Contact,Marketing Rejected,Marketing Disqualified,Sales Rejected,Sales Disqualified,Lost,Qualification and Acceptance,Discovery/Value Proposition,Develop Proposal,Present Quote,Negotiation,Customer'),
	Competition_Details_if_Other__c string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Deal_ID__c string(30) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Omniture_External_Campaign_ID__c string(18) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Omniture_Internal_Campaign_ID__c string(18) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Super_Region__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'APAC,EMEA,LATAM,NA'),
	Deal_Registration_Renewal__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Up_Sell_Activity__c string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Red_Hat_Subscription_Revenue__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Red_Hat_Services_Revenue__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Red_Hat_Total_Revenue__c double OPTIONS (UPDATABLE FALSE, CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	LeadID__c string(18) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Partner_Opt_In_Last_Modified_Date__c timestamp OPTIONS (NATIVE_TYPE 'datetime', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Partner_Opt_In_Last_Modified_By__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Marketing_Program__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Associated_Marketing_Program_Discount__c double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'percent', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Reasons_for_Rejection__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Duplicate deal or a deal that was already identified,Previous purchased product by the same customer,Deal registered by another partner,Deal is below the established clip level,Duplicate Deal,Deal already identified by Red Hat,Fed/Sled - Government Lead,Renewal included in deal reg,Other - with notes,Additional Information Required'),
	Enter_Rejection_Reason__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Primary_ProductFormula__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Partner_Comments__c string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	I_need_additional_sales_presales_support__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Note__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Red_Hat_can_contact_the_Customer__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Account__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Additional_Countries_of_Operations__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'None,Afghanistan,Åland,Albania,Algeria,Antigua and Barbuda,Argentina,Aruba,Australia,Austria,Azerbaijan,Bahamas,Bahrain,Barbados,Barbuda,Belarus,Belgium,Belize,Benin,Bermuda,Bolivia,Bosnia and Herzegovina,Botswana,Brazil,British Virgin Islands,Bulgaria,Burkina Faso,Burundi,Cameroon,Canada,Cape Verde,Cayman Islands,Central African Republic,Chad,Chile,China,Colombia,Comoros,Congo,Costa Rica,Croatia,Cyprus,Czech Republic,Democratic Republic of Congo,Denmark,Djibouti,Dominica,Dominican Republic,Finland,France,Gabon,Gambia,Georgia,Germany,Ghana,Gibraltar,Greece,Grenada,Guadeloupe,Guam,Guatemala,Guiana,Guinea-Bissau,Guyana,Haiti,Honduras,Hong Kong,Hungary,Iceland,India,Indonesia,Ireland,Isle of Man,Israel,Italy,Jamaica,Japan,Jersey,Jordan,Kazakhstan,Kenya,Kuwait,Kyrgyzstan,Laos,Latvia,Lebanon,Liberia,Libya,Liechtenstein,Lithuania,Luxembourg,Macedonia,Madagascar,Mali,Malta,Mexico,Moldova,Monaco,Montenegro,Namibia,Netherlands,New Zealand,Nicaragua,Norway,Oman,Panama,Paraguay,Peru,Philippines,Poland,Portugal,Qatar,Romania,Russia,Rwanda,Sao Tome and Principe,Saudi Arabia,Senegal,Sierra Leone,Singapore,South Africa,South Korea,Spain,Sri Lanka,Suriname,Swaziland,Sweden,Switzerland,Togo,Trinidad and Tobago,Tunisia,Turkey,U.S. Virgin Islands,Ukraine,United Arab Emirates,United Kingdom,United States,Venezuela,Western Sahara,Yemen,Zambia,Zimbabwe'),
	Additional_Partnerships__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'AMD,Cisco,Citrix,Fujitsu,HP Hardware,HP Software,IBM Hardware,IBM Software,Intel,Microsoft,None,Novell SuSE,Oracle/BEA,SAP,Siemens,VMWare'),
	Agree_To_Partner_TC__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Application_Types__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'None,Application Design/Construction/IDE,Application Life-Cycle Management,Back-Office Enterprise,Collaboration/Groupware/Messaging,Consumer,Content Management/Authoring,Customer Relationship Management,Database/Information/Data Management,Engineering,Enterprise Resource Planning,Information Access/Delivery/Mining,Middleware/Message-Oriented/Transaction,Networking,Other Development Tools,Security,ServerWare/Clustering/Web/VM,Storage,System-Level Software,Systems Management,Application Design/Construction,Application Life-Cycle Mgt,Collaboration/Groupware,Content Management,Authoring,Information Access,Delivery/Mining/Portal,Middleware/Message-oriented,Transaction Network Management'),
	Company_Description__c string(2000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Country__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Date_Applied__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Days_Pending_Review__c double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'double', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Do_they_act_in_any_government_position__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Yes,No'),
	FCPA_Status_2__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Federation_ID__c string(64) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Generic_Email_Address__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Generic_Email__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Global_Region__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'NA,EMEA,APAC,LATAM'),
	Hardware_Focus__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'No Hardware Focus,Mainframe,Intel based servers,Power-PC RISC Workstations,Notebooks/Desktop Solutions/Thin Clients'),
	Hardware_Platform__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'None,IBM zSeries,IBM Power Series,IBM s390,IBM pSeries,IBM iSeries,Intel Itanium,Intel 64,Intel x86,AMD 64,Sun Sparc'),
	Have_they_been_convicted__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Yes,No'),
	If_Other_Middleware__c string(40) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	If_Other_Operating_System__c string(40) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	If_Other_Ownership__c string(40) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Industry_Focus__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Aerospace,All Industries (Horizontal Application),Automotive and Transport Equipment,Construction,Consulting,Discrete Manufacturing - Aerospace/Def,Discrete Manufacturing - Automotive,Discrete Manufacturing - High Tech,Discrete Manufacturing - Industrials,Education,Electronic Design Automation,Energy,Engineering,Environment,Financial,Financial Services,Financial Services - Banking,Financial Services - Securities,Government,Government-Military,Healthcare,Information Technology,Insurance,Legal Services,Leisure,Life Sciences,Manufacturing,Media and Entertainment,Non Profit Organization,Oil and Gas,Other,Pharmaceuticals,Process Manufacturing,Process Manufacturing - Chemicals,Process Manufacturing - Consumer Product,Product Distributor,Public Services,Publishing,Retail,Services,State/County/Local Government,Tech Online,Telecom,Transportation,Utilities,Wholesale'),
	Middleware_Supported__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'JBoss,Websphere,Weblogic,Other,None'),
	No_Agreements__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Number_of_Employees__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" '1 - 5,6 - 25,26 - 50,51 - 100,101 - 500,501 - 1000,>1000'),
	Operating_System_Supported__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Red Hat Enterprise Linux,SuSe Linux,Windows,Solaris,Fedora,FreeBSD,CentOS,Ubuntu,OEL,HPUX,AIX,Other'),
	Other_Countries__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Other_Partnerships__c string(40) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Ownership_Type__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Other,Public,Private,Subsidiary'),
	Partner_Onboarding_Profile__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'APAC Partner Portal – Strategic License,APAC Partner Portal - Strategic License - Deal Registration,EMEA Partner Portal – Strategic License,EMEA Partner Portal - Strategic License - ISV,LATAM Partner Portal – Strategic License,NA Partner Portal – Strategic License,Partner Portal - Strategic License - CCP,Partner Portal – Strategic License - ISV,Partner Portal - Strategic License - OEM - SI,Partner Portal – Strategic License – Training User,Preapproved Portal User'),
	Partner_Onboarding_Status__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Submitted,Pending,Approved,Rejected,Pending Data Review'),
	Partner_Primary_Contact__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Partner_Tier_Name__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Partner_Tier__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Partner_Type_Formula__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Partner_Type_Name__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Partner_Type__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Portal_Lead_Link__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Promo_Code__c string(40) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Reference__c string(30) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Software_Focus__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'OS,Middleware,Virtualization'),
	State_Province__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	SubRegion__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'ANDINO,ANZ,ASEAN,Benelux,Brazil,Canada,CEACA,CEE,Central,CIS,Distributor,Fed Sled,Greater China,High Volume,Hong Kong,IGC,India,Japan,Korea,META,Mexico,Mid-Atlantic,NA,National,NEE,NOLA,North Central,Northeast,Northwest,SAC,SOLA,South Central,Southeast,Southwest,SWE,Taiwan'),
	T_C_Status__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Target_Market_Size__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Small,Medium,Large,Enterprise'),
	Title__c string(20) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Total_Annual_Revenue__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'TBD,< $1 Million,$1 Million - $20 Million,$2 Million - $50 Million,$50 Million - $100 Million,> $100 Million,Unknown'),
	Are_you_the_Sales_Rep_for_this_Lead__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Yes,No'),
	Sales_Rep_Email__c string(80) OPTIONS (NATIVE_TYPE 'email', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Sales_Rep_Name__c string(40) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Sales_Rep_Phone__c string(40) OPTIONS (NATIVE_TYPE 'phone', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Onboarding_Language_Preference__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'da,de,en,es,fi,fr,it,ja,ko,nl,pt,ru,sv,th,zh'),
	Deal_Type__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'New,Renewal,Extension'),
	Most_Recent_Lead_Source_Detail__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'GLOBAL] Contact Sales - Red Hat Consulting Solaris to RHEL Strategic Migration Planning,[Global] Dell International Renewals,APAC Channel,CRUSH,Customer_NA_FY10_NA_GLS Leads_Global Knowledge,Deal Registration,EMAIL_TO_SALES,Evaluation,FY09_Q3_[Global] Management_JBoss ON Webinar (20081211) (Partner Link),FY09_Q3_[NA] Road Tour_Webinar_Your Road to Open Source: Middleware Breakout (20081002) (Partner link),FY09_Q3_[NA] Satellite Webinar (Dell) (20090122),FY09_Q4_Dollar for your Thoughts_JBoss_Optaros,FY09_Q4_GLS_Customer FollowUp_NA,FY09_Q4_GLS Pressassment_NA,FY09Q3[NA]_Sales Acceleration Vikings Event,FY10_Q1_[Global] JBoss on Dell Campaign (Banner),FY10_Q1_[NA] Vancouver Registration (20090407),FY10_Q1_NA_Channel Recruitment_Central Region,FY10_Q1_SAP Webinar (20090416),GLS,Harte Hanks,HP-RH Sun Migration Program,Is_existing,IS_outbound,Jboss_Eloqua_FY09,New Inquiry_Website,Platform_NA_FY10_Q4_Global_Intelligent_Server_Choice_Intel_Workshop_Atlanta,Renewal,SD_Presales_Inbound,SD_Presales_Outbound,Vendere - Dollar for your Thoughts,WEB_STORE'),
	Most_Recent_Lead_Source__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Advertisement,Assessment Tool,Contact Sales,Deal Registration,Email Preferences,Employee Referral,Evaluation,Event Attendance,Event Registration,Existing Customer,External List,External Referral,FY08Q3_AU-057_007,Inbound Call,Inbound Email,Internal List,Misc. Marketing,Newsletter/Email,Offline Campaign,Other,Outbound Call,Partner,Podcast,Public Relations,Red Hat Referral,Referral,Seminar - Internal,Seminar - Partner,Survey,TCO Calculator,Tradeshow,Trade Show,Training,Training Attendee,Training Catalog,Training Pre-assessment,Video,Web Eval,Webinar Attendance,Webinar Registration,Website,Webstore,Whitepaper,Word of mouth'),
	HooversId__c string(20) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Address_Instructions__c string(150) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Are_you_purchasing_Hardware_deployment__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Yes,No'),
	Do_they_have_funding_for_this_quarter__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Yes,No'),
	Do_they_need_a_Red_Hat_Technical_resourc__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Yes,No'),
	Does_customer_have_an_open_source_strate__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Yes,No'),
	Marketing_Program_na__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'AWS - Test Drive,Canadian Partner Enablement,Cloud,CrossBU,Design Win Program,Dollar for Your Thoughts,Double Down,HP/RH Sun Attack,JBoss,JBoss 30 Day Challenge,JBoss Now,JBoss Virtual Road Shows,Next Gen Datacenter - U2L,Partner Lead Marketing Activity,Pick 5,PSR,Red Hat 2009 Road Shows,Red Hat 2010 Road Shows,Red Hat Hosted Events (Summit, Gov''t Symposium, SI Golf Tournament, etc.),RHEL,RHEV,RHEV Accelerator,Sales Sourced/Nurture,Seven Up,SSI Middleware,Storage,Systems Management,Take 10,Take 5,Teaming Agreement,Tech Data Sun Migration,Tradeshows,Under Penetrated Accounts,West ABP DR Accelerator'),
	OEM_hardware_options__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'OEM,Intel,Hewlett Packard,IBM,Cisco,Dell,Other'),
	Other_OEM_Hardware__c string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Requalification_Date__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Current_Hardware__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Dell,HP,IBM System p,IBM System x,IBM System z,Sun SPARC,Sun X86,Other (Please Specify)'),
	Current_Key_Applications__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'IBM DB2,IBM UDB,Oracle Financials,Oracle Database,SAP,SAS,Sybase,Other (Please Specify)'),
	Current_Middleware__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'JBoss,WebSphere,WebLogic,.Net,Other (Please Specify)'),
	Current_Operating_Systems__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'AIX,HPUX,Solaris/SunOS,Windows,Other (Please Specify)'),
	Customer_Information_Email_Note__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Deal_Registration_Amount__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Email_Note__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Enter Customer''s Email Address Above'),
	Middleware_Services_of_Interest__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'JBoss Migration,Middleware Healthcheck,SOA,Portal,BRMS,SEAM,Assessment,Reference Architecture,JON Quickstart,Middleware Cloud Services,Other (Please Specify),Metamatrix'),
	Other_Current_Hardware__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Other_Key_Applications__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Other_Middleware_Services_of_Interest__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Other_Middleware__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Other_Operating_Systems__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Other_Platform_Services_of_Interest__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Platform_Services_of_Interest__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'SOE,Cloud Quickstart,Cluster Suite/GFS,Core Build,DEE,Directory Server,Migration,MRG,Optimization/Performance Tuning,RHEL Healthcheck,RHEV Quickstart,Satellite/Systems Management,Other (Please Specify)'),
	Services_Requested__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Red Hat Consulting,Amentra Consulting'),
	Reason_Agreements_Declined__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Named_Account__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	NoteTeaming__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Teaming_Agreement_Convert__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Teaming_Agreement_Text__c string(20) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Teaming_Agreement__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Company_Alias__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Date_Last_Scored__c timestamp OPTIONS (NATIVE_TYPE 'datetime', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Is_Primary_Public_Sector__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Yes,No'),
	LastStageModifiedDateTime__c timestamp OPTIONS (NATIVE_TYPE 'datetime', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Lead_Ranking_View__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	NextActivityDate__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Next_Status_Update__c timestamp OPTIONS (NATIVE_TYPE 'datetime', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Next_Step_Graphic__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Pain_Points__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Latent Pain,Admitted Pain,Vision of Solution,Active Evaluation,Unknown'),
	Partner_Center_ID__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	PenaltyBoxExpiration__c timestamp OPTIONS (NATIVE_TYPE 'datetime', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Pre_Qualified__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Public_Sector_Market__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'US Federal Government,US State and Local Government,Education'),
	Route_Around__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Time_Frame__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" '< 1 month,1-3 months,3-6 months,> 6 months,Unknown'),
	Interest_Score_View__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Interest_Score__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Qualification_Score_View__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Qualification_Score__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Authority__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Sponsor,Power Sponsor,Beneficiary,Adversary,End User,Legal/Technical/Administrative,Financial,Ultimate Authority,Unknown'),
	Budget__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Approved,Submitted for Approval,Unknown'),
	DaysSinceStageUpdate__c double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'double', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	LastActivityHistoryDate__c timestamp OPTIONS (NATIVE_TYPE 'datetime', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Need__c string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Object_Counter__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	BusinessDaysSinceStage_Update__c double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'double', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Assigned_By__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Cloud_Products__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Cloud 1,Cloud 2'),
	JBoss_Products__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'JBoss Consulting,JBoss Exam Voucher,Jboss Seam Application Development,Jboss SOA,Jboss BRMS,Jboss Training Units'),
	RHEL_Products__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'RHEL Server - Standard,RHEL Server - ES,RHEL Server - AS,RHEL Server for Mainframe,RHEL Workstation,High Availability,Proxy,Provisioning,Directory Server,Monitoring,Certificate System,RHEL for HPC compute Mode,Resilient Storage,Satellite Server,Provisioning + Management Modules,Provisioning Mgmt Modules Monitoring'),
	RHEV_Products__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'RHEV for Servers,RHEV for Desktops'),
	Sales_Stage__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Engaged,Qualified,In Negotiations'),
	Partner_Account_Name__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Partner_Account_Subregion__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	VATNumber__c string(15) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	HistoryOnInsert__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	HistoryOnInsertStage__c string(100) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Legacy_Profile__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Legacy_Role__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Queue_Name__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	RecordType__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Partner_Led_Lead__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	BusinessDaysSinceOwnerUpdate__c double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'double', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	DaysSinceOwnerUpdate__c double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'double', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	LastOwnerModifiedDateTime__c timestamp OPTIONS (NATIVE_TYPE 'datetime', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Qualified_By__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	OORID__c string(20) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Record_Source__c string(45) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Trace_Lead_Sequence__c string(30) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Trace_Lead__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Is_Partner_Owned_Lead__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Anti_Corruption_Status__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Channel_Ops_Approved__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Partner_Role__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Are_You_a_Red_Hat_Distributor__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'No,Yes'),
	CAM_Email_address__c string(80) OPTIONS (NATIVE_TYPE 'email', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Comments__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Contact_Email__c string(80) OPTIONS (NATIVE_TYPE 'email', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Contact_First_and_Last_Name__c string(100) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Contact_Phone__c string(40) OPTIONS (NATIVE_TYPE 'phone', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Customer_ID__c string(100) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Deal_Registration_Type__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'FED,SLED'),
	Onboarding_Country__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Partner_Full_Name__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Partner_Program_Participation__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'CCP,JBoss M+,RHEV'),
	Partner_Status__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Previous_PO_Number__c string(100) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Red_Hat_Products_SKU_Quantity__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Registration_Length_Days__c double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'double', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	SI__c string(100) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Deal_Registration_Fed_Sled__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	AntiCorruption_Review_Channel_Ops__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'I do not know of anything with this potential partner that should require additional checks,I know of something with this potential partner that may require additional checks'),
	Original_Renewal_Opportunity__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Partner_ID__c string(18) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	SSIReferralCreatorEmail__c string(80) OPTIONS (NATIVE_TYPE 'email', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Business_Unit__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Platform,Middleware,Virtualization,Cloud,Storage,Training'),
	Desired_Account_Owner__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Desired_Contact_Owner__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Desired_Opportunity_CloseDate__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Desired_Opportunity_Owner__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	SendEmailToOpportunityTeam__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	StandardConversion__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Contract_Number__c string(100) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Contract_Type__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'GSA,ESI,BPA'),
	BPA_Type__c string(100) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Rejected__c double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'double', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Linked_Contact__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Onboarding_Profile_Id__c string(18) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Distributor_Quote_Number__c string(100) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	FCPA_Underlying_Facts__c string(32768) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Linked_Account__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Reseller_Company_Name2__c string(100) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	AntiCorruption_Review_Answerer__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	LFR__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CustomTerms__c string(32768) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	HasCustomTerms__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Special_Deal_Type__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'OpenStack'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Account_Account__c FOREIGN KEY(Account__c) REFERENCES Account (Id) OPTIONS (NAMEINSOURCE 'Leads__r'),
	CONSTRAINT FK_Account_Linked_Account__c FOREIGN KEY(Linked_Account__c) REFERENCES Account (Id) OPTIONS (NAMEINSOURCE 'LinkedLeads__r'),
	CONSTRAINT FK_Classification__c_Partner_Role__c FOREIGN KEY(Partner_Role__c) REFERENCES Classification__c (Id) OPTIONS (NAMEINSOURCE 'Partner_Roles__r'),
	CONSTRAINT FK_Classification__c_Partner_Tier__c FOREIGN KEY(Partner_Tier__c) REFERENCES Classification__c (Id) OPTIONS (NAMEINSOURCE 'Leads1__r'),
	CONSTRAINT FK_Classification__c_Partner_Type__c FOREIGN KEY(Partner_Type__c) REFERENCES Classification__c (Id) OPTIONS (NAMEINSOURCE 'Leads__r'),
	CONSTRAINT FK_Contact_Linked_Contact__c FOREIGN KEY(Linked_Contact__c) REFERENCES Contact (Id) OPTIONS (NAMEINSOURCE 'Leads__r'),
	CONSTRAINT FK_Country__c_Country__c FOREIGN KEY(Country__c) REFERENCES Country__c (Id) OPTIONS (NAMEINSOURCE 'Leads__r'),
	CONSTRAINT FK_Country__c_Onboarding_Country__c FOREIGN KEY(Onboarding_Country__c) REFERENCES Country__c (Id) OPTIONS (NAMEINSOURCE 'Leads1__r'),
	CONSTRAINT FK_LeadForReporting__c_LFR__c FOREIGN KEY(LFR__c) REFERENCES LeadForReporting__c (Id) OPTIONS (NAMEINSOURCE 'Leads__r'),
	CONSTRAINT FK_Marketing_Program__c_Marketing_Program__c FOREIGN KEY(Marketing_Program__c) REFERENCES Marketing_Program__c (Id) OPTIONS (NAMEINSOURCE 'Leads__r'),
	CONSTRAINT FK_Opportunity_Original_Renewal_Opportunity__c FOREIGN KEY(Original_Renewal_Opportunity__c) REFERENCES Opportunity (Id) OPTIONS (NAMEINSOURCE 'Leads__r'),
	CONSTRAINT FK_State__c_State_Province__c FOREIGN KEY(State_Province__c) REFERENCES State__c (Id) OPTIONS (NAMEINSOURCE 'Leads__r'),
	CONSTRAINT FK_Teaming_Agreement__c_Teaming_Agreement__c FOREIGN KEY(Teaming_Agreement__c) REFERENCES Teaming_Agreement__c (Id) OPTIONS (NAMEINSOURCE 'Leads__r'),
	CONSTRAINT FK_User__Assigned_By__c FOREIGN KEY(Assigned_By__c) REFERENCES User_ (Id) OPTIONS (NAMEINSOURCE 'Leads1__r'),
	CONSTRAINT FK_User__Desired_Account_Owner__c FOREIGN KEY(Desired_Account_Owner__c) REFERENCES User_ (Id) OPTIONS (NAMEINSOURCE 'Leads_Desired_Owner__r'),
	CONSTRAINT FK_User__Desired_Contact_Owner__c FOREIGN KEY(Desired_Contact_Owner__c) REFERENCES User_ (Id) OPTIONS (NAMEINSOURCE 'Leads_Desired_Contact_Owner__r'),
	CONSTRAINT FK_User__Desired_Opportunity_Owner__c FOREIGN KEY(Desired_Opportunity_Owner__c) REFERENCES User_ (Id) OPTIONS (NAMEINSOURCE 'Leads_Desired_Opp_Owner__r'),
	CONSTRAINT FK_User__Partner_Opt_In_Last_Modified_By__c FOREIGN KEY(Partner_Opt_In_Last_Modified_By__c) REFERENCES User_ (Id) OPTIONS (NAMEINSOURCE 'Leads__r'),
	CONSTRAINT FK_User__Qualified_By__c FOREIGN KEY(Qualified_By__c) REFERENCES User_ (Id) OPTIONS (NAMEINSOURCE 'Leads2__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'true', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE Lead_Source_Detail__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	CONSTRAINT Id_PK PRIMARY KEY(Id)
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE Lead_Source_Detail__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Lead_Source_Detail__c_ItemId FOREIGN KEY(ItemId) REFERENCES Lead_Source_Detail__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Lead_SuperRegion_Mapping__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	LastActivityDate date OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CountryFormula__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Country_Iso_Code__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'AD,AE,AF,AG,AI,AL,AM,AN,AO,AQ,AR,AS,AT,AU,AW,AX,AZ,BA,BB,BD,BE,BF,BG,BH,BI,BJ,BL,BM,BN,BO,BR,BS,BT,BV,BW,BY,BZ,CA,CC,CD,CF,CG,CH,CI,CK,CL,CM,CN,CO,CR,CS,CU,CV,CX,CY,CZ,DE,DJ,DK,DM,DO,DZ,EC,EE,EG,EH,ER,ES,ET,FI,FJ,FK,FM,FO,FR,FX,GA,GB,GD,GE,GF,GG,GH,GI,GL,GM,GN,GP,GQ,GR,GS,GT,GU,GW,GY,HK,HM,HN,HR,HT,HU,ID,IE,IL,IM,IN,IO,IQ,IR,IS,IT,JE,JM,JO,JP,KE,KG,KH,KI,KM,KN,KP,KR,KW,KY,KZ,LA,LB,LC,LI,LK,LR,LS,LT,LU,LV,LX,LY,MA,MC,MD,ME,MF,MG,MH,MK,ML,MM,MN,MO,MP,MQ,MR,MS,MT,MU,MV,MW,MX,MY,MZ,NA,NC,NE,NF,NG,NI,NL,NO,NP,NR,NU,NZ,OM,PA,PE,PF,PG,PH,PK,PL,PM,PN,PR,PS,PT,PW,PY,QA,RE,RO,RS,RU,RW,SA,SB,SC,SD,SE,see HOLY SEE,SG,SH,SI,SJ,SK,SL,SM,SN,SO,SR,ST,SV,SY,SZ,TC,TD,TF,TG,TH,TJ,TK,TL,TM,TN,TO,TP,TR,TT,TV,TW,TZ,UA,UG,UM,US,UY,UZ,VA,VC,VE,VG,VI,VN,VU,WF,WS,YE,YT,YU,ZA,ZM,ZR,ZW'),
	Country__c string(100) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	SuperRegion__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'EMEA,LATAM,APAC,NA'),
	CONSTRAINT Id_PK PRIMARY KEY(Id)
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE Lead_SuperRegion_Mapping__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Lead_SuperRegion_Mapping__c_ItemId FOREIGN KEY(ItemId) REFERENCES Lead_SuperRegion_Mapping__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE LeadAccountRules__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	Account__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Value__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Assign_To_Account_Owner__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Assign_To__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'APAC Delete Queue,EMEA Delete Queue,EMEA Sales Support Queue,LATAM Delete Queue,LATAM Priority 1 Queue,LATAM Priority 2 Queue,NA New Business Queue,NA Sales Dev,NA Delete Queue,NA Sled Sales Queue,NA Fed Sales Queue'),
	User__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Country__c string(10) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	SuperRegion__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'APAC,EMEA,LATAM,NA'),
	Type__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Named Account,Partner Account,ANZ Commercial Named Account,Japan Commercial,SLED Sales,Territory List,FED Sales'),
	Unique_Identifier__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Territory_Exception__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	State__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	PartnerUser__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	PartnerQueue__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'EMEA Partners: Greece Queue,EMEA Partners: Israel Queue,EMEA Partners: Maghreb Queue,EMEA Partners: Middle East Queue,EMEA Partners: South Africa Queue,EMEA Partners: Turkey Queue,APAC India Telemarketing Queue'),
	Assign_To_Partner__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Assign_To_Account_Team_Role__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Account Owner,Back-Up,Business Affairs,Business Development,Channel Account Manager,Inside Channel Account Manager,Inside Rep,Inside SE,ISV Rep,Local Strategic Rep,OEM Inside Sales,Outside Rep,Outside SE,Partner,Presales Owner,Rescue Team,Secondary Outside Rep,Service Delivery Manager,SI Rep,Strategic Account Manager,Technical Account Manager,Technology Development Manager,Vertical Marketing,Middleware Outside Rep,Middleware Inside Rep,Inside Channel Account,ManagerInside Rep,Inside SEISV Rep,PartnerPresales Owner,Partner Relationship Manager - Regional'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Account_Account__c FOREIGN KEY(Account__c) REFERENCES Account (Id) OPTIONS (NAMEINSOURCE 'R00N60000001d4xKEAQ'),
	CONSTRAINT FK_User__PartnerUser__c FOREIGN KEY(PartnerUser__c) REFERENCES User_ (Id) OPTIONS (NAMEINSOURCE 'R00N60000001d4ySEAQ'),
	CONSTRAINT FK_User__User__c FOREIGN KEY(User__c) REFERENCES User_ (Id) OPTIONS (NAMEINSOURCE 'R00N60000001d4xtEAA')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE LeadAccountRules__History (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	ParentId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Field string(255) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Account__c,Assign_To__c,Assign_To_Account_Owner__c,Assign_To_Account_Team_Role__c,Assign_To_Partner__c,Country__c,created,CurrencyIsoCode,feedEvent,Name,Owner,ownerAccepted,ownerAssignment,PartnerQueue__c,PartnerUser__c,locked,unlocked,State__c,SuperRegion__c,Territory_Exception__c,Type__c,Unique_Identifier__c,User__c,Value__c'),
	OldValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	NewValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_LeadAccountRules__c_ParentId FOREIGN KEY(ParentId) REFERENCES LeadAccountRules__c (Id) OPTIONS (NAMEINSOURCE 'Histories')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'false', "teiid_sf:Supports Delete" 'false', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE LeadAccountRules__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_LeadAccountRules__c_ItemId FOREIGN KEY(ItemId) REFERENCES LeadAccountRules__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE LeadConvertWizardOppDefaultAmount__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(38) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	SetupOwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Amount__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Business_Unit__c string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Currency__c string(3) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Super_Region__c string(10) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id)
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE LeadConvertWizardOppDefaultAmount__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_LeadConvertWizardOppDefaultAmount__c_ItemId FOREIGN KEY(ItemId) REFERENCES LeadConvertWizardOppDefaultAmount__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE LeadConvertWizardOppDefaultStage__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(38) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	SetupOwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Probability__c double OPTIONS (NATIVE_TYPE 'percent', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Stage__c string(25) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Super_Region__c string(10) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id)
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE LeadConvertWizardOppDefaultStage__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_LeadConvertWizardOppDefaultStage__c_ItemId FOREIGN KEY(ItemId) REFERENCES LeadConvertWizardOppDefaultStage__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE LeadCountryMap__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	Country__c string(100) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ISO_Code__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'AD,AE,AF,AG,AI,AL,AM,AN,AO,AR,AS,AT,AU,AW,AX,AZ,BA,BB,BD,BE,BF,BG,BH,BI,BJ,BL,BM,BN,BO,BR,BS,BT,BV,BW,BY,BZ,CA,CC,CD,CF,CG,CH,CI,CL,CM,CN,CO,CR,CS,CU,CV,CX,CY,CZ,DE,DJ,DK,DM,DO,DZ,EC,EE,EG,EH,ER,ES,ET,FI,FJ,FK,FO,FR,FX,GA,GB,GD,GE,GF,GG,GH,GI,GL,GM,GN,GP,GQ,GR,GT,GU,GW,GY,HK,HN,HR,HT,HU,ID,IE,IL,IM,IN,IO,IQ,IR,IS,IT,JE,JM,JO,JP,KE,KG,KH,KI,KM,KN,KO,KP,KR,KW,KY,KZ,LA,LB,LC,LI,LK,LR,LS,LT,LU,LV,LY,MA,MC,MD,ME,MF,MG,MK,ML,MM,MN,MO,MP,MQ,MR,MS,MT,MU,MV,MW,MX,MY,MZ,NA,NC,NE,NG,NI,NL,NO,NP,NR,NU,NZ,OM,PA,PE,PF,PG,PH,PK,PL,PM,PR,PS,PT,PW,PY,QA,RE,RO,RS,RU,RW,SA,SB,SC,SD,SE,SG,SI,SJ,SK,SL,SM,SN,SO,SR,ST,SV,SY,SZ,TC,TD,TF,TG,TH,TJ,TL,TM,TN,TO,TP,TR,TT,TV,TW,TZ,UA,UG,UK,UM,US,UY,UZ,VA,VC,VE,VG,VI,VN,VU,WF,WS,xx,YE,YT,ZA,ZM,ZR,ZW'),
	Region__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'APAC,EMEA,NA,LATAM'),
	CONSTRAINT Id_PK PRIMARY KEY(Id)
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE LeadCountryMap__History (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	ParentId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Field string(255) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Country__c,created,CurrencyIsoCode,feedEvent,ISO_Code__c,Name,Owner,ownerAccepted,ownerAssignment,locked,unlocked,Region__c'),
	OldValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	NewValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_LeadCountryMap__c_ParentId FOREIGN KEY(ParentId) REFERENCES LeadCountryMap__c (Id) OPTIONS (NAMEINSOURCE 'Histories')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'false', "teiid_sf:Supports Delete" 'false', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE LeadCountryMap__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_LeadCountryMap__c_ItemId FOREIGN KEY(ItemId) REFERENCES LeadCountryMap__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE LeadCronRoutingRule__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	Lead_Ranking__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'P1,P2,P3,P4,P5,A1,A2,A3,A4,B1,B2,B3,B4,C1,C2,C3,C4,D1,D2,D3,D4'),
	Super_Region__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'APAC,EMEA,LATAM,NA'),
	CONSTRAINT Id_PK PRIMARY KEY(Id)
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE LeadCronRoutingRule__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_LeadCronRoutingRule__c_ItemId FOREIGN KEY(ItemId) REFERENCES LeadCronRoutingRule__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE LeadFeed (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	ParentId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	FeedPostId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'TrackedChange,UserStatus,TextPost,AdvancedTextPost,LinkPost,ContentPost,PollPost,RypplePost,ProfileSkillPost,DashboardComponentSnapshot,ApprovalPost,CaseCommentPost,ReplyPost,EmailMessageEvent,CallLogPost,ChangeStatusPost,AttachArticleEvent,MilestoneEvent,ActivityEvent,ChatTranscriptPost,CollaborationGroupCreated,CollaborationGroupUnarchived,SocialPost,QuestionPost,FacebookPost,BasicTemplateFeedItem,CreateRecordEvent,CanvasPost,AnnouncementPost'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Lead_ParentId FOREIGN KEY(ParentId) REFERENCES Lead (Id) OPTIONS (NAMEINSOURCE 'Feeds')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'false', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE LeadForReporting__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	LMH__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	LeadId__c string(18) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Lead_Link__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Lead_RecordType__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Lead__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Route_Around__c boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Super_Region__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Lead_Lead__c FOREIGN KEY(Lead__c) REFERENCES Lead (Id) OPTIONS (NAMEINSOURCE 'Leads_For_Reporting__r'),
	CONSTRAINT FK_LeadManagementHistory__c_LMH__c FOREIGN KEY(LMH__c) REFERENCES LeadManagementHistory__c (Id) OPTIONS (NAMEINSOURCE 'Leads_For_Reporting__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE LeadForReporting__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_LeadForReporting__c_ItemId FOREIGN KEY(ItemId) REFERENCES LeadForReporting__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE LeadHistory (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	LeadId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Field string(255) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Accept_Disclaimer__c,Account__c,AccountClassification__c,Additional_Countries_of_Operations__c,Additional_Partnerships__c,Address,Address_Instructions__c,Agency_Level_1__c,Agency_Level_2__c,Agency_Level_3__c,Agree_To_Partner_TC__c,AnnualRevenue,AntiCorruption_Review_Answerer__c,AntiCorruption_Review_Channel_Ops__c,Application_Types__c,Approved_Additional_Discount__c,Are_You_a_Red_Hat_Distributor__c,Are_you_purchasing_Hardware_deployment__c,Are_you_the_Sales_Rep_for_this_Lead__c,Assigned_By__c,Assignment_Error__c,Authority__c,BPA_Type__c,Budget__c,Business_Unit__c,CAM_Email_address__c,CC_on_Deal_Registration_Alerts__c,Channel_Ops_Approved__c,City,CleanStatus,Cloud_Products__c,Comments__c,Company,Company_Alias__c,Company_Description__c,CompanyDunsNumber,Competition__c,Competition_Details_if_Other__c,Competitive_Deal__c,Contact_Email__c,Contact_First_and_Last_Name__c,Contact_Phone__c,Contract_Number__c,Contract_Type__c,Copy_End_Cust_Email__c,Country,Country__c,Country_of_Order__c,created,CurrencyIsoCode,Current_Hardware__c,Current_Key_Applications__c,Current_Middleware__c,Current_Operating_Systems__c,Customer_ID__c,Customer_s_Ultimate_Goal__c,CustomTerms__c,D_U_N_S__c,DandbCompany,Date_Applied__c,Date_Last_Scored__c,Deal_Approved_Date__c,Deal_Forward__c,Deal_Registration__c,Deal_Registration_Amount__c,Deal_Registration_Classification__c,Deal_Registration_Fed_Sled__c,Deal_Registration_Renewal__c,Deal_Registration_Status__c,Deal_Registration_Type__c,Deal_Source__c,Deal_Type__c,Decision_Role__c,Description,Desired_Account_Owner__c,Desired_Contact_Owner__c,Desired_Opportunity_CloseDate__c,Desired_Opportunity_Owner__c,Details_from_Lead__c,Distributor__c,Distributor_if_other__c,Distributor_Quote_Number__c,Do_Not_Contact__c,Do_they_act_in_any_government_position__c,Do_they_have_funding_for_this_quarter__c,Do_they_need_a_Red_Hat_Technical_resourc__c,Does_customer_have_an_open_source_strate__c,DoNotCall,Dummy_Field__c,Email,Email_New_Owner__c,Email_Note__c,EmailBouncedDate,EmailBouncedReason,EstAnnualRevForWWOrg__c,Estimated_Close_Date__c,Estimated_Value_of_Services__c,Fax,FCPA_Underlying_Facts__c,Federation_ID__c,feedEvent,firs_Industry_Profile_Name__c,firs_Opp_Rating_Image__c,firs_profileid__c,firs_Rating_Desc__c,FirstName,Global_Region__c,Hardware_Focus__c,Hardware_Platform__c,HasCustomTerms__c,HasOptedOutOfEmail,HasOptedOutOfFax,Have_they_been_convicted__c,HistoryOnInsert__c,HistoryOnInsertStage__c,HooversId__c,I_need_additional_sales_presales_support__c,If_Other_Middleware__c,If_Other_Operating_System__c,If_Other_Ownership__c,Industry,Industry_Focus__c,Interest_Score__c,Is_Partner_Owned_Lead__c,Is_Primary_Public_Sector__c,ISO_Country_Code__c,IsUnreadByOwner,JBoss_Lead_ID__c,JBoss_Products__c,Jigsaw,LanguagePreference__c,LanguagePreferenceOther__c,Last_Modified_by_Partner__c,LastActivityHistoryDate__c,LastName,LastOwnerModifiedDateTime__c,LastStageModifiedDateTime__c,Latitude,Lead_partner_Worked__c,Lead_Ranking__c,Lead_Scoring__c,leadConverted,LeadID__c,leadMerged,LeadSource,LeadSourceDescription__c,LeadSourceDetail__c,LFR__c,Linked_Account__c,Linked_Contact__c,LocalResellerOther__c,Longitude,Marketing_Program__c,Marketing_Program_na__c,Middleware_Services_of_Interest__c,Middleware_Supported__c,mkt_cl_converted__c,mkt_cl_lead_duplicates_found__c,mkt_cl_lead_duplicates_message__c,mkt_cl_lead_exisiting__c,mkt_cl_lead_existing_found__c,mkt_cl_lead_in_progress__c,mkt_cl_mkt_lead_id__c,mkt_cl_new__c,mkt_cl_nurtured__c,mkt_cl_partner__c,mkt_cl_previous_status__c,mkt_cl_wf_converted_status__c,mkt_cl_wf_lead_in_progress__c,mkt_cl_wf_lead_nurture__c,mkt_cl_wf_passed_to_partner__c,MobilePhone,Most_Recent_Lead_Source__c,Most_Recent_Lead_Source_Detail__c,Name,Named_Account__c,Need__c,Next_Status_Update__c,NextActivityDate__c,No_Agreements__c,Number_of_Employees__c,NumberOfEmployees,NumberOfEmployeesInWWOrg__c,NumberOfServerClassSystemsInWWOrg__c,Object_Counter__c,OEM_hardware_options__c,Omniture_External_Campaign_ID__c,Omniture_Internal_Campaign_ID__c,Onboarding_Country__c,Onboarding_Language_Preference__c,Onboarding_Profile_Id__c,OORID__c,Operating_System_Supported__c,Oracle_Account_Number__c,OraclePartyNumber__c,Original_Renewal_Opportunity__c,Other_Countries__c,Other_Current_Hardware__c,Other_Key_Applications__c,Other_Middleware__c,Other_Middleware_Services_of_Interest__c,Other_OEM_Hardware__c,Other_Operating_Systems__c,Other_Partnerships__c,Other_Platform_Services_of_Interest__c,OtherHWVendor__c,Owner,Owner__c,ownerAccepted,ownerAssignment,Ownership_Type__c,Pain_Points__c,Partner_Center_ID__c,Partner_Comments__c,Partner_Created__c,Partner_ID__c,Partner_Last_Modified_Date_Time__c,Partner_Led_Lead__c,Partner_Onboarding_Profile__c,Partner_Onboarding_Status__c,Partner_Opt_In__c,Partner_Opt_In_Last_Modified_By__c,Partner_Opt_In_Last_Modified_Date__c,Partner_Program_Participation__c,Partner_Role__c,Partner_Tier__c,Partner_Type__c,Partner_Uniqueness__c,PartnerProvidedLead__c,Passed_to_Partner__c,PenaltyBoxExpiration__c,Phone,Platform_Services_of_Interest__c,PostalCode,Pre_Qualified__c,PreferredHWVendor__c,PreferredPurchasingMethod__c,Previous_PO_Number__c,PrimaryJobFunction__c,Priority__c,Products_of_Interest__c,Project_Budget_Amount__c,Project_Budgeted__c,Project_Description__c,Project_Name__c,Promo_Code__c,Public_Sector_Market__c,Public_Sector_Program__c,Purchasing_Services_with_this_Deployment__c,PurchasingHWWithThisDeployment__c,Qualification_Score__c,Qualified_By__c,QualifiesForGSASchedule__c,Queue_Name__c,Rating,Ready_To_Automatically_Route__c,Reason_Agreements_Declined__c,ReasonForInboundCall__c,Reasons_for_Rejection__c,Record_Source__c,locked,RecordType,unlocked,Red_Hat_can_contact_the_Customer__c,Red_Hat_Opt_In__c,Red_Hat_Products_SKU_Quantity__c,Red_Hat_Services_Revenue__c,Red_Hat_Subscription_Revenue__c,Region__c,Registration_Expiration__c,Requalification_Date__c,Reseller_Company_Name__c,Reseller_Company_Name2__c,Reseller_Email__c,Reseller_First_Name__c,Reseller_Last_Name__c,Reseller_Phone__c,Revenue_Type__c,RHEL_Products__c,RHEV_Products__c,RHNLogin__c,Route_Around__c,Sales_Ops_Reviewed__c,Sales_Rep_Email__c,Sales_Rep_Name__c,Sales_Rep_Phone__c,Sales_Stage__c,Salutation,SendEmailToOpportunityTeam__c,Services_Requested__c,SI__c,SIC_Code__c,Software_Focus__c,Special_Deal_Type__c,SSIReferralCreatorEmail__c,Stage__c,StandardConversion__c,State,State_Province__c,Status,Street,SubRegion__c,Super_Region__c,Target_Market_Size__c,Teaming_Agreement__c,Teaming_Agreement_Text__c,Time_Frame__c,Title,Title__c,Total_Annual_Revenue__c,Trace_Lead__c,Up_Sell_Activity__c,Value_Added_Sales_Activity__c,Value_Added_Sales_Activity_Description__c,Value_Added_Services_Proposed__c,Value_Added_Services_Proposed_Desc__c,VATNumber__c,Website,WorkloadsDeployedDeployingOnLinux__c'),
	OldValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	NewValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Lead_LeadId FOREIGN KEY(LeadId) REFERENCES Lead (Id) OPTIONS (NAMEINSOURCE 'Histories')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'false', "teiid_sf:Supports Delete" 'false', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE LeadManagementHistory__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	RecordTypeId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Action__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Comments__c string OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	DaysInFromLeadStage__c double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'double', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	FromStageModifiedDateTime__c timestamp OPTIONS (NATIVE_TYPE 'datetime', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Group_Name_From__c string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Group_Name_To__c string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Interest_Score__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	LeadStageFrom__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	LeadStageTo__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Lead_Ranking__c string(50) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Lead_Source_Detail__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Lead_Source__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Lead__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	OwnerId_From__c string(18) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	OwnerId_To__c string(18) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Owner_From__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Owner_Lookup_From__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Owner_Lookup_To__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Owner_Name_From__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Owner_Name_To__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Owner_To__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Qualification_Score__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Rejection_Reason__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Pre_Qualified_From__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Pre_Qualified_To__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	BusinessDaysInFromLeadOwner__c double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'double', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BusinessDaysInFromLeadStage__c double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'double', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	DaysInFromLeadOwner__c double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'double', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	FromOwnerModifiedDateTime__c timestamp OPTIONS (NATIVE_TYPE 'datetime', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Owner_Role_From__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Owner_Role_To__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Qualified_By__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Route_Around_From__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Route_Around_To__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	LFR__c string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Amount_From__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Amount_To__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BusinessDaysInFromCloseDateChange__c double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'double', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BusinessDaysOfCloseDateChange__c double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'double', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CloseDate_Changed__c boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	CloseDate_From__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CloseDate_To__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	DaysInFromCloseDateChange__c double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'double', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	DaysOfCloseDateChange__c double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'double', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ForecastCategory_From__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Omitted,Pipeline,Best Case,Commit,Closed'),
	ForecastCategory_To__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Omitted,Pipeline,Best Case,Commit,Closed'),
	FromCloseDateModifiedDateTime__c timestamp OPTIONS (NATIVE_TYPE 'datetime', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	LeadId__c string(18) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	LeadStageChanged__c boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Opportunity__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Owner_Changed__c boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Probability_From__c double OPTIONS (NATIVE_TYPE 'percent', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Probability_To__c double OPTIONS (NATIVE_TYPE 'percent', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Lead_Lead__c FOREIGN KEY(Lead__c) REFERENCES Lead (Id) OPTIONS (NAMEINSOURCE 'Lead_Management_History__r'),
	CONSTRAINT FK_LeadForReporting__c_LFR__c FOREIGN KEY(LFR__c) REFERENCES LeadForReporting__c (Id) OPTIONS (NAMEINSOURCE 'Lead_Management_Histories__r'),
	CONSTRAINT FK_Opportunity_Opportunity__c FOREIGN KEY(Opportunity__c) REFERENCES Opportunity (Id) OPTIONS (NAMEINSOURCE 'Lead_Management_Histories__r'),
	CONSTRAINT FK_User__Owner_Lookup_From__c FOREIGN KEY(Owner_Lookup_From__c) REFERENCES User_ (Id) OPTIONS (NAMEINSOURCE 'Lead_Management_Histories_From__r'),
	CONSTRAINT FK_User__Owner_Lookup_To__c FOREIGN KEY(Owner_Lookup_To__c) REFERENCES User_ (Id) OPTIONS (NAMEINSOURCE 'Lead_Management_Histories_To__r'),
	CONSTRAINT FK_User__Qualified_By__c FOREIGN KEY(Qualified_By__c) REFERENCES User_ (Id) OPTIONS (NAMEINSOURCE 'LMHQualifiedBy__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE LeadManagementHistory__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_LeadManagementHistory__c_ItemId FOREIGN KEY(ItemId) REFERENCES LeadManagementHistory__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE LeadRules__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	RecordTypeId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Assign_To__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'APAC Delete Queue,EMEA Delete Queue,EMEA Sales Support Queue,LATAM Delete Queue,LATAM Priority 1 Queue,LATAM Priority 2 Queue,NA New Business Queue,NA Sales Dev,NA Delete Queue,NA Fed Sales Queue,NA Sled Sales Queue,NA EDU Queue,NA FED Queue,NA CIV Queue'),
	User__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	SMB_Partner_User__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ETR_Partner_User__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Country__c string(100) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ETR_Assign_To__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	SuperRegion__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'APAC,EMEA,LATAM,NA'),
	Revenue__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	SMB_Assign_To__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Type__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'ANZ Province,China Province,Country,EDU State,Email Domain,Eval/Renew,India Province,Japan Province,NA Commercial,New Business North Cal,New Business Revenue,New Business South Cal,New Business State,Non Eval/Renew,SLED State'),
	Unique_Identifier__c string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Value__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Zip_Code__c string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	PartnerUser__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	PartnerQueue__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'EMEA Partners: Eastern Europe Queue,EMEA Partners: Greece Queue,EMEA Partners: Israel Queue,EMEA Partners: Maghreb Queue,EMEA Partners: Middle East Queue,EMEA Partners: South Africa Queue,EMEA Partners: Turkey Queue,APAC India Telemarketing Queue'),
	Assign_To_Partner__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Email_Overide__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	New_Business_Assign_To__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	New_Business_Partner_User__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Product_Of_Interest__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Cloud,Management,MetaMatrix,Middleware,Platform,Virtualization'),
	Territory_Assign_to__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Territory_Partner_User__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	City__c string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Ending_Range__c string(50) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Starting_Range__c string(50) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Unique_Identifiers__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_User__ETR_Assign_To__c FOREIGN KEY(ETR_Assign_To__c) REFERENCES User_ (Id) OPTIONS (NAMEINSOURCE 'R00N60000001d4zuEAA'),
	CONSTRAINT FK_User__ETR_Partner_User__c FOREIGN KEY(ETR_Partner_User__c) REFERENCES User_ (Id) OPTIONS (NAMEINSOURCE 'R00N60000001d4zkEAA'),
	CONSTRAINT FK_User__New_Business_Assign_To__c FOREIGN KEY(New_Business_Assign_To__c) REFERENCES User_ (Id) OPTIONS (NAMEINSOURCE 'LD_Other_Mapping__r'),
	CONSTRAINT FK_User__New_Business_Partner_User__c FOREIGN KEY(New_Business_Partner_User__c) REFERENCES User_ (Id) OPTIONS (NAMEINSOURCE 'LD_Other_Mapping1__r'),
	CONSTRAINT FK_User__PartnerUser__c FOREIGN KEY(PartnerUser__c) REFERENCES User_ (Id) OPTIONS (NAMEINSOURCE 'R00N60000001d50AEAQ'),
	CONSTRAINT FK_User__SMB_Assign_To__c FOREIGN KEY(SMB_Assign_To__c) REFERENCES User_ (Id) OPTIONS (NAMEINSOURCE 'R00N60000001d4zrEAA'),
	CONSTRAINT FK_User__SMB_Partner_User__c FOREIGN KEY(SMB_Partner_User__c) REFERENCES User_ (Id) OPTIONS (NAMEINSOURCE 'R00N60000001d4zfEAA'),
	CONSTRAINT FK_User__Territory_Assign_to__c FOREIGN KEY(Territory_Assign_to__c) REFERENCES User_ (Id) OPTIONS (NAMEINSOURCE 'LD_Other_Mapping2__r'),
	CONSTRAINT FK_User__Territory_Partner_User__c FOREIGN KEY(Territory_Partner_User__c) REFERENCES User_ (Id) OPTIONS (NAMEINSOURCE 'LD_Other_Mapping3__r'),
	CONSTRAINT FK_User__User__c FOREIGN KEY(User__c) REFERENCES User_ (Id) OPTIONS (NAMEINSOURCE 'R00N60000001d4zbEAA')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE LeadRules__History (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	ParentId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Field string(255) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Assign_To__c,Assign_To_Partner__c,City__c,Country__c,created,CurrencyIsoCode,Email_Overide__c,Ending_Range__c,ETR_Assign_To__c,ETR_Partner_User__c,feedEvent,Name,New_Business_Assign_To__c,New_Business_Partner_User__c,Owner,ownerAccepted,ownerAssignment,PartnerQueue__c,PartnerUser__c,Product_Of_Interest__c,locked,RecordType,unlocked,Revenue__c,SMB_Assign_To__c,SMB_Partner_User__c,Starting_Range__c,SuperRegion__c,Territory_Assign_to__c,Territory_Partner_User__c,Type__c,Unique_Identifier__c,Unique_Identifiers__c,User__c,Value__c,Zip_Code__c'),
	OldValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	NewValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_LeadRules__c_ParentId FOREIGN KEY(ParentId) REFERENCES LeadRules__c (Id) OPTIONS (NAMEINSOURCE 'Histories')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'false', "teiid_sf:Supports Delete" 'false', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE LeadRules__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_LeadRules__c_ItemId FOREIGN KEY(ItemId) REFERENCES LeadRules__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE LeadShare (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	LeadId string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	UserOrGroupId string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	LeadAccessLevel string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Read,Edit,All'),
	RowCause string(40) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Owner,Manual,Rule,ImplicitChild,ImplicitParent,Team,Territory,TerritoryManual,TerritoryRule,Territory2Forecast'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Lead_LeadId FOREIGN KEY(LeadId) REFERENCES Lead (Id) OPTIONS (NAMEINSOURCE 'Shares')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE LeadShareStaging__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	Lead_ID__c string(18) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id)
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE LeadShareStaging__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_LeadShareStaging__c_ItemId FOREIGN KEY(ItemId) REFERENCES LeadShareStaging__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE LeadStatus (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	MasterLabel string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	SortOrder integer OPTIONS (NATIVE_TYPE 'int', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDefault boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsConverted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CONSTRAINT Id_PK PRIMARY KEY(Id)
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'false', "teiid_sf:Supports Delete" 'false', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE LeadTag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Lead_ItemId FOREIGN KEY(ItemId) REFERENCES Lead (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE LineitemOverride (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OpportunityLineItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	OpportunityId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	OwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	OverrideForecastCategory string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Omitted,Pipeline,BestCase,Forecast,Closed'),
	ForecastCategoryInherited boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OverrideAmount double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	AmountInherited boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OverrideUnitPrice double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	UnitPriceInherited boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OverrideQuantity double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	QuantityInherited boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	CONSTRAINT Id_PK PRIMARY KEY(Id)
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'false', "teiid_sf:Supports Delete" 'false', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Link_to_Paid_Opportunity__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	Proof_of_Concept__c string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Paid_Opportunity__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Opportunity_Paid_Opportunity__c FOREIGN KEY(Paid_Opportunity__c) REFERENCES Opportunity (Id) OPTIONS (NAMEINSOURCE 'Proofs_of_Concept__r'),
	CONSTRAINT FK_Opportunity_Proof_of_Concept__c FOREIGN KEY(Proof_of_Concept__c) REFERENCES Opportunity (Id) OPTIONS (NAMEINSOURCE 'Paid_Opportunities__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE Link_to_Paid_Opportunity__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Link_to_Paid_Opportunity__c_ItemId FOREIGN KEY(ItemId) REFERENCES Link_to_Paid_Opportunity__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE LMS_Training_Request__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	LastActivityDate date OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Approval_Status__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Draft,Pending,Approved,Rejected'),
	Course_Date__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'May 06 2013 - May 17 2013,May 13 2013 - June 07 2013,May 28 2013 - June 07 2013,June 17 2013 - June 21 2013,June 24 2013 - July 19 2013,July 08 2013 - July 26 2013,July 08 2013 - July 12 2013,July 15 2013 - July 26 2013,July 22 2013 - July 25 2013 (09:00 GMT-5 to 14:00 GMT-5),July 22 2013 - Aug 02 2013,July 29 2013 - Aug 09 2013,Aug 05 2013 - Aug 30 2013,Aug 5 2013 - Aug 23 2013,Aug 05 2013 - Aug 16 2013,Aug 05 2013 - Aug 09 2013,Aug 12 2013 - Aug 16 2013,Aug 12 2013 - Aug 30 2013,Aug 12 2013 - Aug 15 2013  (4hr/day x 4days; starting at 10am GMT-5),Aug 19 - Aug 30 2013,Aug 19 2013 - Aug 30 2013,Sept 02 2013 - Sept 13 2013,Sep 02 2013 - Sep 06, 2013,Sept 16 2013 - Oct 11 2013,Sept 16 2013 - Sept 27 2013,Sept 16 2013 - Sept 20 2013,Sep 16 2013 - Sep 27 2013,Sept 16 2013 - Sept 19 2013 (4hr/day x 4days; starting at 10am GMT-5),Sept 16 2013 - Oct 04 2013,Sep 23 2013 - Sep 27 2013,Sep 23, 2013 - Sept 27, 2013 (4hr/day x 4 days; starting 10am GMT-5),Sept 30 2013 - Oct 11 2013,Oct 07, 2013 - Oct 11, 2013,Oct 07, 2013 - Oct 11, 2013 (4hr/day x 4 days; starting 10am GMT-5),Oct 14 2013 - Oct 25 2013,Oct 14 2013 - Oct 25 2013 - Full,Oct 21 2013 - Oct 24 2013 (4hr/day x 4days; starting at 10am GMT-4),Oct 21 2013 - Nov 08 2013,Oct 28 2013 - Oct 31 2013 (4hr/day x4days; starting 10am GMT-4),Oct 28 2013 - Nov 01 2013,Oct 28 2013 - Nov 08 2013,Oct 28 2013 - Nov 22 2013,Nov 04, 2013 - Nov 08, 2013 (4hr/day x 4 days; starting 10am GMT-5),Nov 04, 2013 - Nov 08, 2013,Nov 11, 2013 - Nov 15, 2013,Nov 11, 2013 - Nov 22, 2013,Nov 11 2013 - Nov 22 2013 - Full,Nov 11, 2013 - Nov 15, 2013 (4hr/day x 4 days; starting 10am GMT-5),Nov 11 2013 - Nov 14 2013 (4 hrs/day x 4 days; starting at 10am GMT-4),Nov 25 2013 - Dec 05 2013 - Full,Nov 25, 2013 - Dec 06, 2013,Nov 25, 2013 - Dec 13, 2013'),
	Course_Name__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'RHEV 3.1 Fastrax,Business Logic Development with BRMS5,RHEL Implementation,RHEV 3.1 Implementation,RHEL Troubleshooting,Satellite FASTRAX,Application Development with EAP 6,JBoss A-MQ [VT] - Instructor led virtual training,Camel Development with JBoss FUSE [VT],Application Migration to EAP 6,Application Migration with Windup,Storage Implementation'),
	Course_is_Full__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Enroll in next session,Add to waitlist'),
	Email__c string(80) OPTIONS (NATIVE_TYPE 'email', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	RHNLogin__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id)
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE LMS_Training_Request__History (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	ParentId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Field string(255) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Approval_Status__c,Course_Date__c,Course_is_Full__c,Course_Name__c,created,CurrencyIsoCode,Email__c,feedEvent,Name,Owner,ownerAccepted,ownerAssignment,locked,unlocked'),
	OldValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	NewValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_LMS_Training_Request__c_ParentId FOREIGN KEY(ParentId) REFERENCES LMS_Training_Request__c (Id) OPTIONS (NAMEINSOURCE 'Histories')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'false', "teiid_sf:Supports Delete" 'false', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE LMS_Training_Request__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_LMS_Training_Request__c_ItemId FOREIGN KEY(ItemId) REFERENCES LMS_Training_Request__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE LoginIp (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	UsersId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	SourceIp string(39) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsAuthenticated boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	ChallengeSentDate timestamp OPTIONS (NATIVE_TYPE 'datetime', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id)
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'false', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE LongSetting__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(38) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	SetupOwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Value__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	CONSTRAINT Id_PK PRIMARY KEY(Id)
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE LongSetting__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_LongSetting__c_ItemId FOREIGN KEY(ItemId) REFERENCES LongSetting__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE MailmergeTemplate (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Description string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Filename string(255) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	BodyLength integer OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'int', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Body blob OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'base64', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	LastUsedDate timestamp OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'datetime', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id)
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Marketing_Activity__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	LastActivityDate date OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Activity_ID__c string(38) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Activity_Type__c string(100) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Activity_Date__c timestamp OPTIONS (NATIVE_TYPE 'datetime', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Activity_Detail__c string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Campaign_ID__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Contact_ID__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Lead_ID__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Marketing_Score__c string(50) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Campaign_Campaign_ID__c FOREIGN KEY(Campaign_ID__c) REFERENCES Campaign (Id) OPTIONS (NAMEINSOURCE 'R00N60000001dwRLEAY'),
	CONSTRAINT FK_Contact_Contact_ID__c FOREIGN KEY(Contact_ID__c) REFERENCES Contact (Id) OPTIONS (NAMEINSOURCE 'R00N60000001dwRMEAY'),
	CONSTRAINT FK_Lead_Lead_ID__c FOREIGN KEY(Lead_ID__c) REFERENCES Lead (Id) OPTIONS (NAMEINSOURCE 'R00N60000001dwRQEAY')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE Marketing_Activity__History (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	ParentId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Field string(255) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Activity_Date__c,Activity_Detail__c,Activity_ID__c,Activity_Type__c,Campaign_ID__c,Contact_ID__c,created,CurrencyIsoCode,feedEvent,Lead_ID__c,Marketing_Score__c,Name,Owner,ownerAccepted,ownerAssignment,locked,unlocked'),
	OldValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	NewValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Marketing_Activity__c_ParentId FOREIGN KEY(ParentId) REFERENCES Marketing_Activity__c (Id) OPTIONS (NAMEINSOURCE 'Histories')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'false', "teiid_sf:Supports Delete" 'false', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Marketing_Activity__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Marketing_Activity__c_ItemId FOREIGN KEY(ItemId) REFERENCES Marketing_Activity__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Marketing_Program__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	Discount__c double OPTIONS (NATIVE_TYPE 'percent', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id)
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE Marketing_Program__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Marketing_Program__c_ItemId FOREIGN KEY(ItemId) REFERENCES Marketing_Program__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Match_and_Validation_Error__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	Opportunity_Staging_Header__c string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Opportunity_Header_Staging__c_Opportunity_Staging_Header__c FOREIGN KEY(Opportunity_Staging_Header__c) REFERENCES Opportunity_Header_Staging__c (Id) OPTIONS (NAMEINSOURCE 'Match_and_Validation_Errors__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE Match_and_Validation_Error__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Match_and_Validation_Error__c_ItemId FOREIGN KEY(ItemId) REFERENCES Match_and_Validation_Error__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Messaging_Strategy__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	Procurement_Approach__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Capacity_to_Change__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Messaging_Strategy_Summary__c string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Business_Issues_to_Address_in_Message__c string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Account_Profile__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Account_Culture__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Account_Profile__c_Account_Profile__c FOREIGN KEY(Account_Profile__c) REFERENCES Account_Profile__c (Id) OPTIONS (NAMEINSOURCE 'Messaging_Strategy__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE Messaging_Strategy__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Messaging_Strategy__c_ItemId FOREIGN KEY(ItemId) REFERENCES Messaging_Strategy__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Milestone__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	LastActivityDate date OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Release__c string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Actual_Completion_Date__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Alerts__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Detailed_Description__c string(32768) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Predecessor_Milestone__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Start_Date__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Status__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'On Schedule,Off Schedule,Deferred,Completed'),
	Target_Completion_Date__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Work_Package__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Milestone__c_Predecessor_Milestone__c FOREIGN KEY(Predecessor_Milestone__c) REFERENCES Milestone__c (Id) OPTIONS (NAMEINSOURCE 'Milestones__r'),
	CONSTRAINT FK_Release__c_Release__c FOREIGN KEY(Release__c) REFERENCES Release__c (Id) OPTIONS (NAMEINSOURCE 'Milestones__r'),
	CONSTRAINT FK_Work_Package__c_Work_Package__c FOREIGN KEY(Work_Package__c) REFERENCES Work_Package__c (Id) OPTIONS (NAMEINSOURCE 'Milestones__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE Milestone__History (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	ParentId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Field string(255) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Actual_Completion_Date__c,created,CurrencyIsoCode,Detailed_Description__c,feedEvent,Name,ownerAccepted,ownerAssignment,Predecessor_Milestone__c,locked,unlocked,Release__c,Start_Date__c,Status__c,Target_Completion_Date__c,Work_Package__c'),
	OldValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	NewValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Milestone__c_ParentId FOREIGN KEY(ParentId) REFERENCES Milestone__c (Id) OPTIONS (NAMEINSOURCE 'Histories')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'false', "teiid_sf:Supports Delete" 'false', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Milestone__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Milestone__c_ItemId FOREIGN KEY(ItemId) REFERENCES Milestone__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Milestone_Status_Mapping__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(38) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	SetupOwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Status__c string(40) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id)
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE Milestone_Status_Mapping__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Milestone_Status_Mapping__c_ItemId FOREIGN KEY(ItemId) REFERENCES Milestone_Status_Mapping__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE MonitoredActivity__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	LastActivityDate date OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ActivityDate__c timestamp OPTIONS (NATIVE_TYPE 'datetime', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	RecordTypeId__c string(18) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Status__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Subject__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	TaskId__c string(18) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Task__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	AsyncApexJobId__c string(18) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	SkippedCount__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	CONSTRAINT Id_PK PRIMARY KEY(Id)
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE MonitoredActivity__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_MonitoredActivity__c_ItemId FOREIGN KEY(ItemId) REFERENCES MonitoredActivity__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Name (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	LastName string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	FirstName string(40) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Account,Account_Profile__c,Account_Profile_Other_Partner__c,Account_Profile_Power_Map__c,Account_Profile_SWOT__c,Account_SWOT_Analysis__c,AccountCatalogRelationship__c,AccountChangeRequest__c,AccountChangeRequestField__c,AccountContactRole,AccountHierarchy__c,AccountProfile_PartnerStatus__c,AccountReadOnly__c,Accounts_Special_Program__c,AccountTeamRule__c,AcctPicklistSync__c,Action_Items__c,Address__c,Agreement__c,Agreement_Country__c,Anti_corruption__c,APPR_DGRP__Dynamic_Group__c,APPR_DGRP__Group_Rule__c,APPR_PUB__Headline__c,APPR_PUB__Headline_Link__c,APPR_PUB__Headline_Link_Group__c,APPR_PUB_XT__Headline_Link__c,APPR_PUB_XT__Headline_Link_Group_Translation__c,APPR_PUB_XT__Headline_Translation__c,ApprovalCustom__c,Assessment_Summary__c,Asset,Audience__c,Audience_Account__c,BigMachines__Configuration_Record__c,BigMachines__Field_Mapping__c,BigMachines__Quote__c,BigMachines__Quote_Product__c,BillToAccount__c,BLND_DFAC_Shared_View__c,BLND_DFCS_Carousel__c,BLND_DFCS_Slide__c,BLND_DFDT_Action_Item__c,BLND_DFDT_Discussion__c,BLND_DFDT_Highlight__c,BLND_DFDT_Issue__c,BLND_DFDT_Linker__c,BLND_DFDT_Project__c,BLND_DFDT_Resource__c,BLND_DFDT_Task__c,BLND_DFFF_Form__c,BLND_DFFF_Page__c,BLND_DFTE_Expense__c,BLND_DFTE_Time__c,BLND_DFTT_Document__c,BLND_DFTT_Entity_Info__c,BLND_DFTT_Folder__c,Busines_Plan_KPI__c,Business_Plan_Customer__c,Business_Problem__c,BusinessPlan_MktResource__c,Campaign,Campaign_Hierarchy_Details__c,Campaign_Plan__c,CampaignTag__c,Case,CaseCommentData__c,CasePriority__c,CasePriorityTotals__c,CCB_Event__c,CDH_Party__c,Change_Control_Board__c,Change_Management__c,Change_Request__c,Change_Request_Members__c,Change_Requests__c,Classification__c,ClassificationTranslation__c,Communities_Featured_Headline__c,Communities_Featured_Headline_Label__c,Communities_Navigation_Item__c,Communities_Navigation_Item_Label__c,Communities_News_Item__c,Communities_News_Item_Label__c,Communities_Tool_Shortcut__c,Communities_Tool_Shortcut_Label__c,Competitor__c,Component__c,Configuration__c,Contact,Contact_Converter__c,Contact_Reference_Request__c,Contact_Tool_Shortcut__c,Contact_Track__c,ContentDocument,ContentVersion,Contract,Country__c,CountryTranslation__c,CR_Components_Join__c,Credit__c,CTSK_INSP__Field_Statistic__c,CTSK_INSP__Object_Statistic__c,Customer_Reference__c,Customer_Reference_Product__c,Defect__c,Defect_Requirement_Join__c,Deliverables__c,Document,dupcerts__c,EBS_Account__c,ELOQUA__Campaign_s_Marketing_Asset__c,ELOQUA__Marketing_Activity__c,ELOQUA__Marketing_Asset__c,EmailMessage,Environment__c,Evaluation__c,Event,Event__c,Event_Log__c,Executive_Summary__c,Expiring_Product__c,Featured_Partner__c,FiscalGoals__c,Hashes__c,hoopla__Hoopla_Error_Log__c,hoopla__Notification_Queue__c,hoopla__Player__c,hoopla__Position__c,hoopla__Position_Role__c,hoopla__Scoreboard_Role__c,Idea,IdeaComment,Inbound_Event__c,Key_Joint_Sales_Engagement__c,Lead,Lead_Source_Detail__c,Lead_SuperRegion_Mapping__c,LeadAccountRules__c,LeadCountryMap__c,LeadCronRoutingRule__c,LeadForReporting__c,LeadManagementHistory__c,LeadRules__c,LeadShareStaging__c,Link_to_Paid_Opportunity__c,LMS_Training_Request__c,Marketing_Activity__c,Marketing_Program__c,Match_and_Validation_Error__c,Messaging_Strategy__c,Milestone__c,MonitoredActivity__c,NFR_LI__c,NFR_Request__c,NFR_SKU_Matrix__c,NonPrimaryBillingAddress__c,NonPrimaryShippingAddress__c,Opportunities_Special_Program__c,Opportunity,Opportunity_Header_Staging__c,Opportunity_History__c,Opportunity_Line_Staging__c,Opportunity_Match_Configuration__c,Opportunity_Partner_Staging__c,Opportunity_Partners__c,Opportunity_Split_Detail__c,OpportunityPartner__c,OpportunityProductSummary__c,OpportunitySnapshot__c,OpportunitySplit,OpportunityTeamMemberClone__c,Order_Loader_Batch__c,Order_Management_Profile__c,Order_Tracking__c,Outbound_Error__c,Outbound_Event__c,Partner_Attachment__c,Partner_CCP_Form__c,Partner_Location__c,Partner_Onboarding_Registration__c,Partner_Point_Requal_Limits__c,Partner_Points_LMS_Catalog__c,Partner_Points_Requal_Req__c,Partner_Profile__c,Partner_Program__c,Partner_Program_Approval__c,Partner_Program_Definition__c,Partner_Program_Description__c,Partner_Program_Product__c,Partner_Program_Tier__c,Partner_Registration__c,Partner_Registration_Line_Item__c,Partner_Requal_Points__c,Partner_Requal_Setup__c,Partner_Requalification_Agreement__c,Partner_Requalification_Log__c,Partner_s_Assessment_Summary__c,Partner_s_Business_Problem__c,Partner_s_Competitor__c,Partner_s_Messaging_Strategy__c,Partner_User_Invitation__c,PartnerAgreement__c,PartnerClassification__c,PartnerLogo__c,PartnerProduct__c,PartnerProductClassification__c,PartnerProductLanguage__c,PartnerProductLogo__c,PartnerProductScreenshot__c,PartnerRequalification__c,PartnerStatus__c,PartnerTopCustomer__c,PartnerTrack__c,PartnerTraining__c,PartnerUser_Email_Token__c,PCSearchForm__c,PFSearchForm__c,Potential_Matched_Opportunities__c,PP_Account_Points__c,PP_Batch__c,PP_Cap__c,PP_Catalog__c,PP_Content__c,PP_Content_Workspace__c,PP_ContentBatchStage__c,PP_ContentStage__c,PP_InboundBatchItemStage__c,PP_InboundBatchStage__c,PP_ItemAudit__c,PP_LMS_Stage__c,PP_Scores__c,PP_User_Points__c,Pricebook2,Priority__c,Product2,Project__c,Project_Item__c,Project_Status__c,Project_Tracker__c,Queue,Quote__c,QuoteLineItem__c,QuoteLineItemSchedule__c,QuotePaymentSchedule__c,Rally_User__c,RecordLookup__c,RecordTypeAssignment__c,Red_Hat_Attachment__c,Reference_Collateral__c,Reference_Usage__c,ReferenceStor__Rs_Account_History__c,ReferenceStor__Rs_Account_HistoryDetail__c,ReferenceStor__Rs_Opportunity_History__c,ReferenceStor__Rs_Opportunity_HistoryDetail__c,Region__c,Region_NA__c,Reject_Lead_Setup__c,Related_Case__c,Release__c,RemoteAccess__c,Request_Tracker__c,Requirement__c,Reseller__c,Resource__c,RH_Content__c,RH_Microsite__c,RH_Microsite_Page__c,Role_Interest_Training_Matrix__c,Sales_Comments__c,SalesPortalContent__c,Schedule_Exports__c,SelfServiceUser,ServicesAllocation__c,SFDC_Budget__c,SFDC_Budget_Item__c,SFDC_Channel_Account_Plan__c,SFDC_MDF__c,SFDC_MDF_Claim__c,SFDC_Objective__c,SFDC_Plan_Resource_Association__c,Solution,SolutionProduct__c,Special_Program__c,State__c,StateProvinceTranslation__c,Status_Reports__c,SteeringCommittee__c,Storybook__c,StoryBookLink__c,StoryBookLinkLabel__c,StrategicPlan__c,StrategicPlan_Action__c,StrategicPlan_OppProdSummary__c,StrategicPlan_Review__c,StrategicPlan_ReviewHistory__c,StrategicPlan_Solution__c,StrategicPlan_SolutionOpportunity__c,StrategicPlan_Strategy__c,Subscription__c,SubscriptionBatch__c,SubscriptionError__c,SubscriptionLine__c,SubscriptionPartner__c,SubscriptionPartnerRelationship__c,SubscriptionReportCriteria__c,SumTotal_Catalog__c,SumTotal_Request__c,SumTotal_Setting__c,SumTotal_Training__c,Super_Industry__c,Task,Teaming_Agreement__c,Temporal_Content__c,Test_Case__c,Test_Case_Result__c,Test_Case_Step__c,TrackingEvent__c,TrackingEventLog__c,TrackingEventSummary__c,TrendData__c,Use_Case__c,Use_Case_Step__c,User,User_Agreement__c,VendorCatalog__c,Verifiable_Outcome__c,Work_Package__c,Work_Plan__c'),
	Alias string(8) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	UserRoleId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsActive boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	ProfileId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Title string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Email string(80) OPTIONS (NATIVE_TYPE 'email', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Phone string(40) OPTIONS (NATIVE_TYPE 'phone', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Username string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id)
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'false', "teiid_sf:Supports Delete" 'false', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'false', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'false', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE NewsFeed (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	ParentId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	FeedPostId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'TrackedChange,UserStatus,TextPost,AdvancedTextPost,LinkPost,ContentPost,PollPost,RypplePost,ProfileSkillPost,DashboardComponentSnapshot,ApprovalPost,CaseCommentPost,ReplyPost,EmailMessageEvent,CallLogPost,ChangeStatusPost,AttachArticleEvent,MilestoneEvent,ActivityEvent,ChatTranscriptPost,CollaborationGroupCreated,CollaborationGroupUnarchived,SocialPost,QuestionPost,FacebookPost,BasicTemplateFeedItem,CreateRecordEvent,CanvasPost,AnnouncementPost'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CONSTRAINT Id_PK PRIMARY KEY(Id)
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'false', "teiid_sf:Supports Delete" 'false', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE NFR_LI__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	NFR__c string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	EndDate__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Product_Code__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Product__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Quantity__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	StartDate__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	NFR_Product_Name__c string(200) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Product_Description__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Configured_SKU__c string(40) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_NFR_Request__c_NFR__c FOREIGN KEY(NFR__c) REFERENCES NFR_Request__c (Id) OPTIONS (NAMEINSOURCE 'NFR_LIs__r'),
	CONSTRAINT FK_Product2_Product__c FOREIGN KEY(Product__c) REFERENCES Product2 (Id) OPTIONS (NAMEINSOURCE 'NFR_LIs__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE NFR_LI__History (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	ParentId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Field string(255) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Configured_SKU__c,created,CurrencyIsoCode,EndDate__c,feedEvent,Name,NFR__c,NFR_Product_Name__c,ownerAccepted,ownerAssignment,Product__c,Product_Family__c,Quantity__c,locked,unlocked,StartDate__c'),
	OldValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	NewValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_NFR_LI__c_ParentId FOREIGN KEY(ParentId) REFERENCES NFR_LI__c (Id) OPTIONS (NAMEINSOURCE 'Histories')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'false', "teiid_sf:Supports Delete" 'false', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE NFR_LI__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_NFR_LI__c_ItemId FOREIGN KEY(ItemId) REFERENCES NFR_LI__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE NFR_Request__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	LastActivityDate date OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Activation_Date__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Additional_Approval__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Auto_Generated__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Comments__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Contact_at_Partner__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Expected_ROI__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Expiration_Date__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Extension_Sent__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Global_Region__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	NFR_Approved__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Yes,No'),
	NFR_Type__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" '30 Day,90 Day,1 year,Permanent'),
	Opportunity__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Partner_Status__c string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Partner__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	RHN_Login__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Status__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Draft,Submitted,Approved,Rejected,Extension Requested,Extension Submitted,Extension Approved,Extension Rejected,Processed,Extension Processed'),
	Subregion__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	NFRLI_Count__c double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'double', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Account_Owner__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Product_Family__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Cloud,Middleware,Platform,Storage,Virtualization,Cloud - Cloudforms,Cloud - Satellite,Cloud - OpenShift,Cloud - OpenStack'),
	Use_Case__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Customer Demonstration,Customer Support,Development,Evaluation in Non-Production,Internal Enablement,Interoperability Testing & Certification'),
	Active__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Account_Partner__c FOREIGN KEY(Partner__c) REFERENCES Account (Id) OPTIONS (NAMEINSOURCE 'NFR__r'),
	CONSTRAINT FK_Contact_Contact_at_Partner__c FOREIGN KEY(Contact_at_Partner__c) REFERENCES Contact (Id) OPTIONS (NAMEINSOURCE 'R00N50000001IY54EAG__r'),
	CONSTRAINT FK_Opportunity_Opportunity__c FOREIGN KEY(Opportunity__c) REFERENCES Opportunity (Id) OPTIONS (NAMEINSOURCE 'NFR__r'),
	CONSTRAINT FK_User__Account_Owner__c FOREIGN KEY(Account_Owner__c) REFERENCES User_ (Id) OPTIONS (NAMEINSOURCE 'NFR__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE NFR_Request__Share (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	ParentId string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	UserOrGroupId string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	AccessLevel string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Read,Edit,All'),
	RowCause string(40) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Partner__c,Owner,Manual,Rule,ImplicitChild,ImplicitParent,Team,Territory,TerritoryManual,TerritoryRule,Territory2Forecast'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_NFR_Request__c_ParentId FOREIGN KEY(ParentId) REFERENCES NFR_Request__c (Id) OPTIONS (NAMEINSOURCE 'Shares')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE NFR_Request__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_NFR_Request__c_ItemId FOREIGN KEY(ItemId) REFERENCES NFR_Request__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE NFR_SKU_Matrix__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	Account_Classification__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Partner - Ready Partner,Partner - Advanced Partner,Partner - Premier Partner'),
	Auto_Assignment__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Default_Quantity__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Global_Region__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'NA,APAC,LATAM,EMEA'),
	Partner_Tier__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Partner_Type_PL__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'VAR,Reseller,ISV,OEM,Distributor,DMR,Systems Integrator,Corporate Reseller'),
	Partner_Type__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Product_Code__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Product__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Subregion__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'ASEAN,ANZ,India,Hong Kong,Greater China,Japan,Korea,Taiwan,Northeast,Central,Southeast,West,Canada,National,Fed Sled,High Volume,Distributor,Brazil,Mexico,CEE,UKI,SEMEA,NORDICS,NA,North Central,South Central,Mid-Atlantic,SAC'),
	Selected__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Product_Description__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Configured_SKU__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Additional_Rules__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Special_Approval,CloudForms_Enablement,Solution_Architect_Sales_Engineer_Req'),
	Enablement_Prerequisite__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	GSS_Support_Type__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Standard,Self-Support,Developer'),
	Is_Internal_only__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Max_Quantity__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	OEM_Tier__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Tier 1,Tier 2,Tier 3'),
	Product_Family__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Cloud,Middleware,Platform,Storage,Virtualization,Cloud - Cloudforms,Cloud - Satellite,Cloud - OpenShift,Cloud - OpenStack'),
	Active_Line_Items__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Classification__c_Partner_Tier__c FOREIGN KEY(Partner_Tier__c) REFERENCES Classification__c (Id) OPTIONS (NAMEINSOURCE 'NFR_SKU_Matricies1__r'),
	CONSTRAINT FK_Classification__c_Partner_Type__c FOREIGN KEY(Partner_Type__c) REFERENCES Classification__c (Id) OPTIONS (NAMEINSOURCE 'NFR_SKU_Matricies__r'),
	CONSTRAINT FK_Product2_Product__c FOREIGN KEY(Product__c) REFERENCES Product2 (Id) OPTIONS (NAMEINSOURCE 'NFR_SKU_Matricies__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE NFR_SKU_Matrix__History (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	ParentId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Field string(255) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Account_Classification__c,Active_Line_Items__c,Additional_Rules__c,Auto_Assignment__c,Configured_SKU__c,created,CurrencyIsoCode,Default_Quantity__c,Enablement_Prerequisite__c,feedEvent,Global_Region__c,GSS_Support_Type__c,Is_Internal_only__c,Max_Quantity__c,Name,OEM_Tier__c,Owner,ownerAccepted,ownerAssignment,Partner_Tier__c,Partner_Type__c,Partner_Type_PL__c,Product__c,Product_Family__c,locked,unlocked,Selected__c,Subregion__c'),
	OldValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	NewValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_NFR_SKU_Matrix__c_ParentId FOREIGN KEY(ParentId) REFERENCES NFR_SKU_Matrix__c (Id) OPTIONS (NAMEINSOURCE 'Histories')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'false', "teiid_sf:Supports Delete" 'false', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE NFR_SKU_Matrix__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_NFR_SKU_Matrix__c_ItemId FOREIGN KEY(ItemId) REFERENCES NFR_SKU_Matrix__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE NonPrimaryBillingAddress__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	LastActivityDate date OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	BillingAddress__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BillingCity__c string(40) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BillingState__c string(20) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BillingZipPostalCode__c string(20) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BillingCountry__c string(40) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ASIDBT__c string(20) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Account__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Account_Account__c FOREIGN KEY(Account__c) REFERENCES Account (Id) OPTIONS (NAMEINSOURCE 'R00N30000000rxENEAY')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE NonPrimaryBillingAddress__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_NonPrimaryBillingAddress__c_ItemId FOREIGN KEY(ItemId) REFERENCES NonPrimaryBillingAddress__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE NonPrimaryShippingAddress__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	LastActivityDate date OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ShippingAddress__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ShippingCity__c string(40) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ShippingCountry__c string(40) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ShippingState__c string(20) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ShippingZipPostalCode__c string(20) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ASIDST__c string(20) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	RHN_Account_Name__c string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Oracle_Account_Number__c string(20) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Account__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Account_Account__c FOREIGN KEY(Account__c) REFERENCES Account (Id) OPTIONS (NAMEINSOURCE 'R00N30000000sH5HEAU')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE NonPrimaryShippingAddress__History (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	ParentId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Field string(255) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Account__c,ASIDST__c,created,CurrencyIsoCode,feedEvent,Name,Oracle_Account_Number__c,Owner,ownerAccepted,ownerAssignment,locked,unlocked,RHN_Account_Name__c,ShippingAddress__c,ShippingCity__c,ShippingCountry__c,ShippingState__c,ShippingZipPostalCode__c'),
	OldValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	NewValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_NonPrimaryShippingAddress__c_ParentId FOREIGN KEY(ParentId) REFERENCES NonPrimaryShippingAddress__c (Id) OPTIONS (NAMEINSOURCE 'Histories')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'false', "teiid_sf:Supports Delete" 'false', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE NonPrimaryShippingAddress__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_NonPrimaryShippingAddress__c_ItemId FOREIGN KEY(ItemId) REFERENCES NonPrimaryShippingAddress__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Note (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	ParentId string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Title string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsPrivate boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Body string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	OwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_APPR_DGRP__Dynamic_Group__c_ParentId FOREIGN KEY(ParentId) REFERENCES APPR_DGRP__Dynamic_Group__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_APPR_DGRP__Group_Rule__c_ParentId FOREIGN KEY(ParentId) REFERENCES APPR_DGRP__Group_Rule__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_APPR_PUB_XT__Headline_Link_Group_Translation__c_ParentId FOREIGN KEY(ParentId) REFERENCES APPR_PUB_XT__Headline_Link_Group_Translation__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_APPR_PUB_XT__Headline_Link__c_ParentId FOREIGN KEY(ParentId) REFERENCES APPR_PUB_XT__Headline_Link__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_APPR_PUB_XT__Headline_Translation__c_ParentId FOREIGN KEY(ParentId) REFERENCES APPR_PUB_XT__Headline_Translation__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_APPR_PUB__Headline_Link_Group__c_ParentId FOREIGN KEY(ParentId) REFERENCES APPR_PUB__Headline_Link_Group__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_APPR_PUB__Headline_Link__c_ParentId FOREIGN KEY(ParentId) REFERENCES APPR_PUB__Headline_Link__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_APPR_PUB__Headline__c_ParentId FOREIGN KEY(ParentId) REFERENCES APPR_PUB__Headline__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_Account_ParentId FOREIGN KEY(ParentId) REFERENCES Account (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_AccountCatalogRelationship__c_ParentId FOREIGN KEY(ParentId) REFERENCES AccountCatalogRelationship__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_AccountChangeRequestField__c_ParentId FOREIGN KEY(ParentId) REFERENCES AccountChangeRequestField__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_AccountChangeRequest__c_ParentId FOREIGN KEY(ParentId) REFERENCES AccountChangeRequest__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_AccountHierarchy__c_ParentId FOREIGN KEY(ParentId) REFERENCES AccountHierarchy__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_AccountProfile_PartnerStatus__c_ParentId FOREIGN KEY(ParentId) REFERENCES AccountProfile_PartnerStatus__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_AccountReadOnly__c_ParentId FOREIGN KEY(ParentId) REFERENCES AccountReadOnly__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_AccountTeamRule__c_ParentId FOREIGN KEY(ParentId) REFERENCES AccountTeamRule__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_Account_Profile_Other_Partner__c_ParentId FOREIGN KEY(ParentId) REFERENCES Account_Profile_Other_Partner__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_Account_Profile_Power_Map__c_ParentId FOREIGN KEY(ParentId) REFERENCES Account_Profile_Power_Map__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_Account_Profile_SWOT__c_ParentId FOREIGN KEY(ParentId) REFERENCES Account_Profile_SWOT__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_Account_Profile__c_ParentId FOREIGN KEY(ParentId) REFERENCES Account_Profile__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_Account_SWOT_Analysis__c_ParentId FOREIGN KEY(ParentId) REFERENCES Account_SWOT_Analysis__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_Accounts_Special_Program__c_ParentId FOREIGN KEY(ParentId) REFERENCES Accounts_Special_Program__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_AcctPicklistSync__c_ParentId FOREIGN KEY(ParentId) REFERENCES AcctPicklistSync__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_Action_Items__c_ParentId FOREIGN KEY(ParentId) REFERENCES Action_Items__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_Address__c_ParentId FOREIGN KEY(ParentId) REFERENCES Address__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_Agreement_Country__c_ParentId FOREIGN KEY(ParentId) REFERENCES Agreement_Country__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_Agreement__c_ParentId FOREIGN KEY(ParentId) REFERENCES Agreement__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_Anti_corruption__c_ParentId FOREIGN KEY(ParentId) REFERENCES Anti_corruption__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_ApprovalCustom__c_ParentId FOREIGN KEY(ParentId) REFERENCES ApprovalCustom__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_Assessment_Summary__c_ParentId FOREIGN KEY(ParentId) REFERENCES Assessment_Summary__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_Asset_ParentId FOREIGN KEY(ParentId) REFERENCES Asset (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_Audience_Account__c_ParentId FOREIGN KEY(ParentId) REFERENCES Audience_Account__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_Audience__c_ParentId FOREIGN KEY(ParentId) REFERENCES Audience__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_BLND_DFAC_Shared_View__c_ParentId FOREIGN KEY(ParentId) REFERENCES BLND_DFAC_Shared_View__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_BLND_DFCS_Carousel__c_ParentId FOREIGN KEY(ParentId) REFERENCES BLND_DFCS_Carousel__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_BLND_DFCS_Slide__c_ParentId FOREIGN KEY(ParentId) REFERENCES BLND_DFCS_Slide__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_BLND_DFDT_Action_Item__c_ParentId FOREIGN KEY(ParentId) REFERENCES BLND_DFDT_Action_Item__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_BLND_DFDT_Discussion__c_ParentId FOREIGN KEY(ParentId) REFERENCES BLND_DFDT_Discussion__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_BLND_DFDT_Highlight__c_ParentId FOREIGN KEY(ParentId) REFERENCES BLND_DFDT_Highlight__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_BLND_DFDT_Issue__c_ParentId FOREIGN KEY(ParentId) REFERENCES BLND_DFDT_Issue__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_BLND_DFDT_Linker__c_ParentId FOREIGN KEY(ParentId) REFERENCES BLND_DFDT_Linker__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_BLND_DFDT_Project__c_ParentId FOREIGN KEY(ParentId) REFERENCES BLND_DFDT_Project__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_BLND_DFDT_Resource__c_ParentId FOREIGN KEY(ParentId) REFERENCES BLND_DFDT_Resource__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_BLND_DFDT_Task__c_ParentId FOREIGN KEY(ParentId) REFERENCES BLND_DFDT_Task__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_BLND_DFFF_Form__c_ParentId FOREIGN KEY(ParentId) REFERENCES BLND_DFFF_Form__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_BLND_DFFF_Page__c_ParentId FOREIGN KEY(ParentId) REFERENCES BLND_DFFF_Page__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_BLND_DFTE_Expense__c_ParentId FOREIGN KEY(ParentId) REFERENCES BLND_DFTE_Expense__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_BLND_DFTE_Time__c_ParentId FOREIGN KEY(ParentId) REFERENCES BLND_DFTE_Time__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_BLND_DFTT_Document__c_ParentId FOREIGN KEY(ParentId) REFERENCES BLND_DFTT_Document__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_BLND_DFTT_Entity_Info__c_ParentId FOREIGN KEY(ParentId) REFERENCES BLND_DFTT_Entity_Info__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_BLND_DFTT_Folder__c_ParentId FOREIGN KEY(ParentId) REFERENCES BLND_DFTT_Folder__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_BigMachines__Configuration_Record__c_ParentId FOREIGN KEY(ParentId) REFERENCES BigMachines__Configuration_Record__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_BigMachines__Field_Mapping__c_ParentId FOREIGN KEY(ParentId) REFERENCES BigMachines__Field_Mapping__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_BigMachines__Quote_Product__c_ParentId FOREIGN KEY(ParentId) REFERENCES BigMachines__Quote_Product__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_BigMachines__Quote__c_ParentId FOREIGN KEY(ParentId) REFERENCES BigMachines__Quote__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_BillToAccount__c_ParentId FOREIGN KEY(ParentId) REFERENCES BillToAccount__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_Busines_Plan_KPI__c_ParentId FOREIGN KEY(ParentId) REFERENCES Busines_Plan_KPI__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_BusinessPlan_MktResource__c_ParentId FOREIGN KEY(ParentId) REFERENCES BusinessPlan_MktResource__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_Business_Plan_Customer__c_ParentId FOREIGN KEY(ParentId) REFERENCES Business_Plan_Customer__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_Business_Problem__c_ParentId FOREIGN KEY(ParentId) REFERENCES Business_Problem__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_CCB_Event__c_ParentId FOREIGN KEY(ParentId) REFERENCES CCB_Event__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_CDH_Party__c_ParentId FOREIGN KEY(ParentId) REFERENCES CDH_Party__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_CR_Components_Join__c_ParentId FOREIGN KEY(ParentId) REFERENCES CR_Components_Join__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_CTSK_INSP__Field_Statistic__c_ParentId FOREIGN KEY(ParentId) REFERENCES CTSK_INSP__Field_Statistic__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_CTSK_INSP__Object_Statistic__c_ParentId FOREIGN KEY(ParentId) REFERENCES CTSK_INSP__Object_Statistic__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_CampaignTag__c_ParentId FOREIGN KEY(ParentId) REFERENCES CampaignTag__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_Campaign_Hierarchy_Details__c_ParentId FOREIGN KEY(ParentId) REFERENCES Campaign_Hierarchy_Details__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_Campaign_Plan__c_ParentId FOREIGN KEY(ParentId) REFERENCES Campaign_Plan__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_CaseCommentData__c_ParentId FOREIGN KEY(ParentId) REFERENCES CaseCommentData__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_CasePriorityTotals__c_ParentId FOREIGN KEY(ParentId) REFERENCES CasePriorityTotals__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_CasePriority__c_ParentId FOREIGN KEY(ParentId) REFERENCES CasePriority__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_Change_Control_Board__c_ParentId FOREIGN KEY(ParentId) REFERENCES Change_Control_Board__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_Change_Management__c_ParentId FOREIGN KEY(ParentId) REFERENCES Change_Management__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_Change_Request_Members__c_ParentId FOREIGN KEY(ParentId) REFERENCES Change_Request_Members__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_Change_Request__c_ParentId FOREIGN KEY(ParentId) REFERENCES Change_Request__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_Change_Requests__c_ParentId FOREIGN KEY(ParentId) REFERENCES Change_Requests__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_ClassificationTranslation__c_ParentId FOREIGN KEY(ParentId) REFERENCES ClassificationTranslation__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_Classification__c_ParentId FOREIGN KEY(ParentId) REFERENCES Classification__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_Communities_Featured_Headline_Label__c_ParentId FOREIGN KEY(ParentId) REFERENCES Communities_Featured_Headline_Label__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_Communities_Featured_Headline__c_ParentId FOREIGN KEY(ParentId) REFERENCES Communities_Featured_Headline__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_Communities_Navigation_Item_Label__c_ParentId FOREIGN KEY(ParentId) REFERENCES Communities_Navigation_Item_Label__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_Communities_Navigation_Item__c_ParentId FOREIGN KEY(ParentId) REFERENCES Communities_Navigation_Item__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_Communities_News_Item_Label__c_ParentId FOREIGN KEY(ParentId) REFERENCES Communities_News_Item_Label__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_Communities_News_Item__c_ParentId FOREIGN KEY(ParentId) REFERENCES Communities_News_Item__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_Communities_Tool_Shortcut_Label__c_ParentId FOREIGN KEY(ParentId) REFERENCES Communities_Tool_Shortcut_Label__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_Communities_Tool_Shortcut__c_ParentId FOREIGN KEY(ParentId) REFERENCES Communities_Tool_Shortcut__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_Competitor__c_ParentId FOREIGN KEY(ParentId) REFERENCES Competitor__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_Component__c_ParentId FOREIGN KEY(ParentId) REFERENCES Component__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_Configuration__c_ParentId FOREIGN KEY(ParentId) REFERENCES Configuration__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_Contact_ParentId FOREIGN KEY(ParentId) REFERENCES Contact (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_Contact_Converter__c_ParentId FOREIGN KEY(ParentId) REFERENCES Contact_Converter__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_Contact_Reference_Request__c_ParentId FOREIGN KEY(ParentId) REFERENCES Contact_Reference_Request__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_Contact_Tool_Shortcut__c_ParentId FOREIGN KEY(ParentId) REFERENCES Contact_Tool_Shortcut__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_Contact_Track__c_ParentId FOREIGN KEY(ParentId) REFERENCES Contact_Track__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_Contract_ParentId FOREIGN KEY(ParentId) REFERENCES Contract (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_CountryTranslation__c_ParentId FOREIGN KEY(ParentId) REFERENCES CountryTranslation__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_Country__c_ParentId FOREIGN KEY(ParentId) REFERENCES Country__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_Credit__c_ParentId FOREIGN KEY(ParentId) REFERENCES Credit__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_Customer_Reference_Product__c_ParentId FOREIGN KEY(ParentId) REFERENCES Customer_Reference_Product__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_Customer_Reference__c_ParentId FOREIGN KEY(ParentId) REFERENCES Customer_Reference__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_Defect_Requirement_Join__c_ParentId FOREIGN KEY(ParentId) REFERENCES Defect_Requirement_Join__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_Defect__c_ParentId FOREIGN KEY(ParentId) REFERENCES Defect__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_Deliverables__c_ParentId FOREIGN KEY(ParentId) REFERENCES Deliverables__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_EBS_Account__c_ParentId FOREIGN KEY(ParentId) REFERENCES EBS_Account__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_ELOQUA__Campaign_s_Marketing_Asset__c_ParentId FOREIGN KEY(ParentId) REFERENCES ELOQUA__Campaign_s_Marketing_Asset__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_ELOQUA__Marketing_Activity__c_ParentId FOREIGN KEY(ParentId) REFERENCES ELOQUA__Marketing_Activity__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_ELOQUA__Marketing_Asset__c_ParentId FOREIGN KEY(ParentId) REFERENCES ELOQUA__Marketing_Asset__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_Environment__c_ParentId FOREIGN KEY(ParentId) REFERENCES Environment__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_Evaluation__c_ParentId FOREIGN KEY(ParentId) REFERENCES Evaluation__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_Event_Log__c_ParentId FOREIGN KEY(ParentId) REFERENCES Event_Log__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_Event__c_ParentId FOREIGN KEY(ParentId) REFERENCES Event__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_Executive_Summary__c_ParentId FOREIGN KEY(ParentId) REFERENCES Executive_Summary__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_Expiring_Product__c_ParentId FOREIGN KEY(ParentId) REFERENCES Expiring_Product__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_Featured_Partner__c_ParentId FOREIGN KEY(ParentId) REFERENCES Featured_Partner__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_FiscalGoals__c_ParentId FOREIGN KEY(ParentId) REFERENCES FiscalGoals__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_Hashes__c_ParentId FOREIGN KEY(ParentId) REFERENCES Hashes__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_Inbound_Event__c_ParentId FOREIGN KEY(ParentId) REFERENCES Inbound_Event__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_Key_Joint_Sales_Engagement__c_ParentId FOREIGN KEY(ParentId) REFERENCES Key_Joint_Sales_Engagement__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_LMS_Training_Request__c_ParentId FOREIGN KEY(ParentId) REFERENCES LMS_Training_Request__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_Lead_ParentId FOREIGN KEY(ParentId) REFERENCES Lead (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_LeadAccountRules__c_ParentId FOREIGN KEY(ParentId) REFERENCES LeadAccountRules__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_LeadCountryMap__c_ParentId FOREIGN KEY(ParentId) REFERENCES LeadCountryMap__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_LeadCronRoutingRule__c_ParentId FOREIGN KEY(ParentId) REFERENCES LeadCronRoutingRule__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_LeadForReporting__c_ParentId FOREIGN KEY(ParentId) REFERENCES LeadForReporting__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_LeadManagementHistory__c_ParentId FOREIGN KEY(ParentId) REFERENCES LeadManagementHistory__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_LeadRules__c_ParentId FOREIGN KEY(ParentId) REFERENCES LeadRules__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_LeadShareStaging__c_ParentId FOREIGN KEY(ParentId) REFERENCES LeadShareStaging__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_Lead_Source_Detail__c_ParentId FOREIGN KEY(ParentId) REFERENCES Lead_Source_Detail__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_Lead_SuperRegion_Mapping__c_ParentId FOREIGN KEY(ParentId) REFERENCES Lead_SuperRegion_Mapping__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_Link_to_Paid_Opportunity__c_ParentId FOREIGN KEY(ParentId) REFERENCES Link_to_Paid_Opportunity__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_Marketing_Activity__c_ParentId FOREIGN KEY(ParentId) REFERENCES Marketing_Activity__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_Marketing_Program__c_ParentId FOREIGN KEY(ParentId) REFERENCES Marketing_Program__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_Match_and_Validation_Error__c_ParentId FOREIGN KEY(ParentId) REFERENCES Match_and_Validation_Error__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_Messaging_Strategy__c_ParentId FOREIGN KEY(ParentId) REFERENCES Messaging_Strategy__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_Milestone__c_ParentId FOREIGN KEY(ParentId) REFERENCES Milestone__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_MonitoredActivity__c_ParentId FOREIGN KEY(ParentId) REFERENCES MonitoredActivity__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_NFR_LI__c_ParentId FOREIGN KEY(ParentId) REFERENCES NFR_LI__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_NFR_Request__c_ParentId FOREIGN KEY(ParentId) REFERENCES NFR_Request__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_NFR_SKU_Matrix__c_ParentId FOREIGN KEY(ParentId) REFERENCES NFR_SKU_Matrix__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_NonPrimaryBillingAddress__c_ParentId FOREIGN KEY(ParentId) REFERENCES NonPrimaryBillingAddress__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_NonPrimaryShippingAddress__c_ParentId FOREIGN KEY(ParentId) REFERENCES NonPrimaryShippingAddress__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_Opportunities_Special_Program__c_ParentId FOREIGN KEY(ParentId) REFERENCES Opportunities_Special_Program__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_Opportunity_ParentId FOREIGN KEY(ParentId) REFERENCES Opportunity (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_OpportunityPartner__c_ParentId FOREIGN KEY(ParentId) REFERENCES OpportunityPartner__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_OpportunityProductSummary__c_ParentId FOREIGN KEY(ParentId) REFERENCES OpportunityProductSummary__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_OpportunitySnapshot__c_ParentId FOREIGN KEY(ParentId) REFERENCES OpportunitySnapshot__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_OpportunityTeamMemberClone__c_ParentId FOREIGN KEY(ParentId) REFERENCES OpportunityTeamMemberClone__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_Opportunity_Header_Staging__c_ParentId FOREIGN KEY(ParentId) REFERENCES Opportunity_Header_Staging__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_Opportunity_History__c_ParentId FOREIGN KEY(ParentId) REFERENCES Opportunity_History__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_Opportunity_Line_Staging__c_ParentId FOREIGN KEY(ParentId) REFERENCES Opportunity_Line_Staging__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_Opportunity_Match_Configuration__c_ParentId FOREIGN KEY(ParentId) REFERENCES Opportunity_Match_Configuration__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_Opportunity_Partner_Staging__c_ParentId FOREIGN KEY(ParentId) REFERENCES Opportunity_Partner_Staging__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_Opportunity_Partners__c_ParentId FOREIGN KEY(ParentId) REFERENCES Opportunity_Partners__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_Opportunity_Split_Detail__c_ParentId FOREIGN KEY(ParentId) REFERENCES Opportunity_Split_Detail__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_Order_Loader_Batch__c_ParentId FOREIGN KEY(ParentId) REFERENCES Order_Loader_Batch__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_Order_Management_Profile__c_ParentId FOREIGN KEY(ParentId) REFERENCES Order_Management_Profile__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_Order_Tracking__c_ParentId FOREIGN KEY(ParentId) REFERENCES Order_Tracking__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_Outbound_Error__c_ParentId FOREIGN KEY(ParentId) REFERENCES Outbound_Error__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_Outbound_Event__c_ParentId FOREIGN KEY(ParentId) REFERENCES Outbound_Event__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_PCSearchForm__c_ParentId FOREIGN KEY(ParentId) REFERENCES PCSearchForm__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_PFSearchForm__c_ParentId FOREIGN KEY(ParentId) REFERENCES PFSearchForm__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_PP_Account_Points__c_ParentId FOREIGN KEY(ParentId) REFERENCES PP_Account_Points__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_PP_Batch__c_ParentId FOREIGN KEY(ParentId) REFERENCES PP_Batch__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_PP_Cap__c_ParentId FOREIGN KEY(ParentId) REFERENCES PP_Cap__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_PP_Catalog__c_ParentId FOREIGN KEY(ParentId) REFERENCES PP_Catalog__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_PP_ContentBatchStage__c_ParentId FOREIGN KEY(ParentId) REFERENCES PP_ContentBatchStage__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_PP_ContentStage__c_ParentId FOREIGN KEY(ParentId) REFERENCES PP_ContentStage__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_PP_Content_Workspace__c_ParentId FOREIGN KEY(ParentId) REFERENCES PP_Content_Workspace__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_PP_Content__c_ParentId FOREIGN KEY(ParentId) REFERENCES PP_Content__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_PP_InboundBatchItemStage__c_ParentId FOREIGN KEY(ParentId) REFERENCES PP_InboundBatchItemStage__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_PP_InboundBatchStage__c_ParentId FOREIGN KEY(ParentId) REFERENCES PP_InboundBatchStage__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_PP_ItemAudit__c_ParentId FOREIGN KEY(ParentId) REFERENCES PP_ItemAudit__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_PP_LMS_Stage__c_ParentId FOREIGN KEY(ParentId) REFERENCES PP_LMS_Stage__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_PP_Scores__c_ParentId FOREIGN KEY(ParentId) REFERENCES PP_Scores__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_PP_User_Points__c_ParentId FOREIGN KEY(ParentId) REFERENCES PP_User_Points__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_PartnerAgreement__c_ParentId FOREIGN KEY(ParentId) REFERENCES PartnerAgreement__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_PartnerClassification__c_ParentId FOREIGN KEY(ParentId) REFERENCES PartnerClassification__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_PartnerLogo__c_ParentId FOREIGN KEY(ParentId) REFERENCES PartnerLogo__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_PartnerProductClassification__c_ParentId FOREIGN KEY(ParentId) REFERENCES PartnerProductClassification__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_PartnerProductLanguage__c_ParentId FOREIGN KEY(ParentId) REFERENCES PartnerProductLanguage__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_PartnerProductLogo__c_ParentId FOREIGN KEY(ParentId) REFERENCES PartnerProductLogo__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_PartnerProductScreenshot__c_ParentId FOREIGN KEY(ParentId) REFERENCES PartnerProductScreenshot__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_PartnerProduct__c_ParentId FOREIGN KEY(ParentId) REFERENCES PartnerProduct__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_PartnerRequalification__c_ParentId FOREIGN KEY(ParentId) REFERENCES PartnerRequalification__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_PartnerStatus__c_ParentId FOREIGN KEY(ParentId) REFERENCES PartnerStatus__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_PartnerTopCustomer__c_ParentId FOREIGN KEY(ParentId) REFERENCES PartnerTopCustomer__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_PartnerTrack__c_ParentId FOREIGN KEY(ParentId) REFERENCES PartnerTrack__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_PartnerTraining__c_ParentId FOREIGN KEY(ParentId) REFERENCES PartnerTraining__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_PartnerUser_Email_Token__c_ParentId FOREIGN KEY(ParentId) REFERENCES PartnerUser_Email_Token__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_Partner_Attachment__c_ParentId FOREIGN KEY(ParentId) REFERENCES Partner_Attachment__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_Partner_CCP_Form__c_ParentId FOREIGN KEY(ParentId) REFERENCES Partner_CCP_Form__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_Partner_Location__c_ParentId FOREIGN KEY(ParentId) REFERENCES Partner_Location__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_Partner_Onboarding_Registration__c_ParentId FOREIGN KEY(ParentId) REFERENCES Partner_Onboarding_Registration__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_Partner_Point_Requal_Limits__c_ParentId FOREIGN KEY(ParentId) REFERENCES Partner_Point_Requal_Limits__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_Partner_Points_LMS_Catalog__c_ParentId FOREIGN KEY(ParentId) REFERENCES Partner_Points_LMS_Catalog__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_Partner_Points_Requal_Req__c_ParentId FOREIGN KEY(ParentId) REFERENCES Partner_Points_Requal_Req__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_Partner_Profile__c_ParentId FOREIGN KEY(ParentId) REFERENCES Partner_Profile__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_Partner_Program_Approval__c_ParentId FOREIGN KEY(ParentId) REFERENCES Partner_Program_Approval__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_Partner_Program_Definition__c_ParentId FOREIGN KEY(ParentId) REFERENCES Partner_Program_Definition__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_Partner_Program_Description__c_ParentId FOREIGN KEY(ParentId) REFERENCES Partner_Program_Description__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_Partner_Program_Product__c_ParentId FOREIGN KEY(ParentId) REFERENCES Partner_Program_Product__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_Partner_Program_Tier__c_ParentId FOREIGN KEY(ParentId) REFERENCES Partner_Program_Tier__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_Partner_Program__c_ParentId FOREIGN KEY(ParentId) REFERENCES Partner_Program__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_Partner_Registration_Line_Item__c_ParentId FOREIGN KEY(ParentId) REFERENCES Partner_Registration_Line_Item__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_Partner_Registration__c_ParentId FOREIGN KEY(ParentId) REFERENCES Partner_Registration__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_Partner_Requal_Points__c_ParentId FOREIGN KEY(ParentId) REFERENCES Partner_Requal_Points__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_Partner_Requal_Setup__c_ParentId FOREIGN KEY(ParentId) REFERENCES Partner_Requal_Setup__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_Partner_Requalification_Agreement__c_ParentId FOREIGN KEY(ParentId) REFERENCES Partner_Requalification_Agreement__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_Partner_Requalification_Log__c_ParentId FOREIGN KEY(ParentId) REFERENCES Partner_Requalification_Log__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_Partner_User_Invitation__c_ParentId FOREIGN KEY(ParentId) REFERENCES Partner_User_Invitation__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_Partner_s_Assessment_Summary__c_ParentId FOREIGN KEY(ParentId) REFERENCES Partner_s_Assessment_Summary__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_Partner_s_Business_Problem__c_ParentId FOREIGN KEY(ParentId) REFERENCES Partner_s_Business_Problem__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_Partner_s_Competitor__c_ParentId FOREIGN KEY(ParentId) REFERENCES Partner_s_Competitor__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_Partner_s_Messaging_Strategy__c_ParentId FOREIGN KEY(ParentId) REFERENCES Partner_s_Messaging_Strategy__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_Potential_Matched_Opportunities__c_ParentId FOREIGN KEY(ParentId) REFERENCES Potential_Matched_Opportunities__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_Priority__c_ParentId FOREIGN KEY(ParentId) REFERENCES Priority__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_Product2_ParentId FOREIGN KEY(ParentId) REFERENCES Product2 (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_Project_Item__c_ParentId FOREIGN KEY(ParentId) REFERENCES Project_Item__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_Project_Status__c_ParentId FOREIGN KEY(ParentId) REFERENCES Project_Status__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_Project_Tracker__c_ParentId FOREIGN KEY(ParentId) REFERENCES Project_Tracker__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_Project__c_ParentId FOREIGN KEY(ParentId) REFERENCES Project__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_QuoteLineItemSchedule__c_ParentId FOREIGN KEY(ParentId) REFERENCES QuoteLineItemSchedule__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_QuoteLineItem__c_ParentId FOREIGN KEY(ParentId) REFERENCES QuoteLineItem__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_QuotePaymentSchedule__c_ParentId FOREIGN KEY(ParentId) REFERENCES QuotePaymentSchedule__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_Quote__c_ParentId FOREIGN KEY(ParentId) REFERENCES Quote__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_RH_Content__c_ParentId FOREIGN KEY(ParentId) REFERENCES RH_Content__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_RH_Microsite_Page__c_ParentId FOREIGN KEY(ParentId) REFERENCES RH_Microsite_Page__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_RH_Microsite__c_ParentId FOREIGN KEY(ParentId) REFERENCES RH_Microsite__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_Rally_User__c_ParentId FOREIGN KEY(ParentId) REFERENCES Rally_User__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_RecordLookup__c_ParentId FOREIGN KEY(ParentId) REFERENCES RecordLookup__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_RecordTypeAssignment__c_ParentId FOREIGN KEY(ParentId) REFERENCES RecordTypeAssignment__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_Red_Hat_Attachment__c_ParentId FOREIGN KEY(ParentId) REFERENCES Red_Hat_Attachment__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_ReferenceStor__Rs_Account_HistoryDetail__c_ParentId FOREIGN KEY(ParentId) REFERENCES ReferenceStor__Rs_Account_HistoryDetail__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_ReferenceStor__Rs_Account_History__c_ParentId FOREIGN KEY(ParentId) REFERENCES ReferenceStor__Rs_Account_History__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_ReferenceStor__Rs_Opportunity_HistoryDetail__c_ParentId FOREIGN KEY(ParentId) REFERENCES ReferenceStor__Rs_Opportunity_HistoryDetail__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_ReferenceStor__Rs_Opportunity_History__c_ParentId FOREIGN KEY(ParentId) REFERENCES ReferenceStor__Rs_Opportunity_History__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_Reference_Collateral__c_ParentId FOREIGN KEY(ParentId) REFERENCES Reference_Collateral__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_Reference_Usage__c_ParentId FOREIGN KEY(ParentId) REFERENCES Reference_Usage__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_Region_NA__c_ParentId FOREIGN KEY(ParentId) REFERENCES Region_NA__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_Region__c_ParentId FOREIGN KEY(ParentId) REFERENCES Region__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_Reject_Lead_Setup__c_ParentId FOREIGN KEY(ParentId) REFERENCES Reject_Lead_Setup__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_Related_Case__c_ParentId FOREIGN KEY(ParentId) REFERENCES Related_Case__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_Release__c_ParentId FOREIGN KEY(ParentId) REFERENCES Release__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_RemoteAccess__c_ParentId FOREIGN KEY(ParentId) REFERENCES RemoteAccess__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_Request_Tracker__c_ParentId FOREIGN KEY(ParentId) REFERENCES Request_Tracker__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_Requirement__c_ParentId FOREIGN KEY(ParentId) REFERENCES Requirement__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_Reseller__c_ParentId FOREIGN KEY(ParentId) REFERENCES Reseller__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_Resource__c_ParentId FOREIGN KEY(ParentId) REFERENCES Resource__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_Role_Interest_Training_Matrix__c_ParentId FOREIGN KEY(ParentId) REFERENCES Role_Interest_Training_Matrix__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_SFDC_Budget_Item__c_ParentId FOREIGN KEY(ParentId) REFERENCES SFDC_Budget_Item__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_SFDC_Budget__c_ParentId FOREIGN KEY(ParentId) REFERENCES SFDC_Budget__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_SFDC_Channel_Account_Plan__c_ParentId FOREIGN KEY(ParentId) REFERENCES SFDC_Channel_Account_Plan__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_SFDC_MDF_Claim__c_ParentId FOREIGN KEY(ParentId) REFERENCES SFDC_MDF_Claim__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_SFDC_MDF__c_ParentId FOREIGN KEY(ParentId) REFERENCES SFDC_MDF__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_SFDC_Objective__c_ParentId FOREIGN KEY(ParentId) REFERENCES SFDC_Objective__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_SFDC_Plan_Resource_Association__c_ParentId FOREIGN KEY(ParentId) REFERENCES SFDC_Plan_Resource_Association__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_SalesPortalContent__c_ParentId FOREIGN KEY(ParentId) REFERENCES SalesPortalContent__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_Sales_Comments__c_ParentId FOREIGN KEY(ParentId) REFERENCES Sales_Comments__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_Schedule_Exports__c_ParentId FOREIGN KEY(ParentId) REFERENCES Schedule_Exports__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_ServicesAllocation__c_ParentId FOREIGN KEY(ParentId) REFERENCES ServicesAllocation__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_SolutionProduct__c_ParentId FOREIGN KEY(ParentId) REFERENCES SolutionProduct__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_Special_Program__c_ParentId FOREIGN KEY(ParentId) REFERENCES Special_Program__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_StateProvinceTranslation__c_ParentId FOREIGN KEY(ParentId) REFERENCES StateProvinceTranslation__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_State__c_ParentId FOREIGN KEY(ParentId) REFERENCES State__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_Status_Reports__c_ParentId FOREIGN KEY(ParentId) REFERENCES Status_Reports__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_SteeringCommittee__c_ParentId FOREIGN KEY(ParentId) REFERENCES SteeringCommittee__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_StoryBookLinkLabel__c_ParentId FOREIGN KEY(ParentId) REFERENCES StoryBookLinkLabel__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_StoryBookLink__c_ParentId FOREIGN KEY(ParentId) REFERENCES StoryBookLink__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_Storybook__c_ParentId FOREIGN KEY(ParentId) REFERENCES Storybook__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_StrategicPlan_Action__c_ParentId FOREIGN KEY(ParentId) REFERENCES StrategicPlan_Action__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_StrategicPlan_OppProdSummary__c_ParentId FOREIGN KEY(ParentId) REFERENCES StrategicPlan_OppProdSummary__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_StrategicPlan_ReviewHistory__c_ParentId FOREIGN KEY(ParentId) REFERENCES StrategicPlan_ReviewHistory__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_StrategicPlan_Review__c_ParentId FOREIGN KEY(ParentId) REFERENCES StrategicPlan_Review__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_StrategicPlan_SolutionOpportunity__c_ParentId FOREIGN KEY(ParentId) REFERENCES StrategicPlan_SolutionOpportunity__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_StrategicPlan_Solution__c_ParentId FOREIGN KEY(ParentId) REFERENCES StrategicPlan_Solution__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_StrategicPlan_Strategy__c_ParentId FOREIGN KEY(ParentId) REFERENCES StrategicPlan_Strategy__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_StrategicPlan__c_ParentId FOREIGN KEY(ParentId) REFERENCES StrategicPlan__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_SubscriptionBatch__c_ParentId FOREIGN KEY(ParentId) REFERENCES SubscriptionBatch__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_SubscriptionError__c_ParentId FOREIGN KEY(ParentId) REFERENCES SubscriptionError__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_SubscriptionLine__c_ParentId FOREIGN KEY(ParentId) REFERENCES SubscriptionLine__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_SubscriptionPartnerRelationship__c_ParentId FOREIGN KEY(ParentId) REFERENCES SubscriptionPartnerRelationship__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_SubscriptionPartner__c_ParentId FOREIGN KEY(ParentId) REFERENCES SubscriptionPartner__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_SubscriptionReportCriteria__c_ParentId FOREIGN KEY(ParentId) REFERENCES SubscriptionReportCriteria__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_Subscription__c_ParentId FOREIGN KEY(ParentId) REFERENCES Subscription__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_SumTotal_Catalog__c_ParentId FOREIGN KEY(ParentId) REFERENCES SumTotal_Catalog__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_SumTotal_Request__c_ParentId FOREIGN KEY(ParentId) REFERENCES SumTotal_Request__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_SumTotal_Setting__c_ParentId FOREIGN KEY(ParentId) REFERENCES SumTotal_Setting__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_SumTotal_Training__c_ParentId FOREIGN KEY(ParentId) REFERENCES SumTotal_Training__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_Super_Industry__c_ParentId FOREIGN KEY(ParentId) REFERENCES Super_Industry__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_Teaming_Agreement__c_ParentId FOREIGN KEY(ParentId) REFERENCES Teaming_Agreement__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_Temporal_Content__c_ParentId FOREIGN KEY(ParentId) REFERENCES Temporal_Content__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_Test_Case_Result__c_ParentId FOREIGN KEY(ParentId) REFERENCES Test_Case_Result__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_Test_Case_Step__c_ParentId FOREIGN KEY(ParentId) REFERENCES Test_Case_Step__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_Test_Case__c_ParentId FOREIGN KEY(ParentId) REFERENCES Test_Case__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_TrackingEventLog__c_ParentId FOREIGN KEY(ParentId) REFERENCES TrackingEventLog__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_TrackingEventSummary__c_ParentId FOREIGN KEY(ParentId) REFERENCES TrackingEventSummary__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_TrackingEvent__c_ParentId FOREIGN KEY(ParentId) REFERENCES TrackingEvent__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_TrendData__c_ParentId FOREIGN KEY(ParentId) REFERENCES TrendData__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_Use_Case_Step__c_ParentId FOREIGN KEY(ParentId) REFERENCES Use_Case_Step__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_Use_Case__c_ParentId FOREIGN KEY(ParentId) REFERENCES Use_Case__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_User_Agreement__c_ParentId FOREIGN KEY(ParentId) REFERENCES User_Agreement__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_VendorCatalog__c_ParentId FOREIGN KEY(ParentId) REFERENCES VendorCatalog__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_Verifiable_Outcome__c_ParentId FOREIGN KEY(ParentId) REFERENCES Verifiable_Outcome__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_Work_Package__c_ParentId FOREIGN KEY(ParentId) REFERENCES Work_Package__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_Work_Plan__c_ParentId FOREIGN KEY(ParentId) REFERENCES Work_Plan__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_dupcerts__c_ParentId FOREIGN KEY(ParentId) REFERENCES dupcerts__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_hoopla__Hoopla_Error_Log__c_ParentId FOREIGN KEY(ParentId) REFERENCES hoopla__Hoopla_Error_Log__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_hoopla__Notification_Queue__c_ParentId FOREIGN KEY(ParentId) REFERENCES hoopla__Notification_Queue__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_hoopla__Player__c_ParentId FOREIGN KEY(ParentId) REFERENCES hoopla__Player__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_hoopla__Position_Role__c_ParentId FOREIGN KEY(ParentId) REFERENCES hoopla__Position_Role__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_hoopla__Position__c_ParentId FOREIGN KEY(ParentId) REFERENCES hoopla__Position__c (Id) OPTIONS (NAMEINSOURCE 'Notes'),
	CONSTRAINT FK_hoopla__Scoreboard_Role__c_ParentId FOREIGN KEY(ParentId) REFERENCES hoopla__Scoreboard_Role__c (Id) OPTIONS (NAMEINSOURCE 'Notes')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE NoteAndAttachment (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsNote boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	ParentId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Title string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsPrivate boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_APPR_DGRP__Dynamic_Group__c_ParentId FOREIGN KEY(ParentId) REFERENCES APPR_DGRP__Dynamic_Group__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_APPR_DGRP__Group_Rule__c_ParentId FOREIGN KEY(ParentId) REFERENCES APPR_DGRP__Group_Rule__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_APPR_PUB_XT__Headline_Link_Group_Translation__c_ParentId FOREIGN KEY(ParentId) REFERENCES APPR_PUB_XT__Headline_Link_Group_Translation__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_APPR_PUB_XT__Headline_Link__c_ParentId FOREIGN KEY(ParentId) REFERENCES APPR_PUB_XT__Headline_Link__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_APPR_PUB_XT__Headline_Translation__c_ParentId FOREIGN KEY(ParentId) REFERENCES APPR_PUB_XT__Headline_Translation__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_APPR_PUB__Headline_Link_Group__c_ParentId FOREIGN KEY(ParentId) REFERENCES APPR_PUB__Headline_Link_Group__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_APPR_PUB__Headline_Link__c_ParentId FOREIGN KEY(ParentId) REFERENCES APPR_PUB__Headline_Link__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_APPR_PUB__Headline__c_ParentId FOREIGN KEY(ParentId) REFERENCES APPR_PUB__Headline__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_Account_ParentId FOREIGN KEY(ParentId) REFERENCES Account (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_AccountCatalogRelationship__c_ParentId FOREIGN KEY(ParentId) REFERENCES AccountCatalogRelationship__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_AccountChangeRequestField__c_ParentId FOREIGN KEY(ParentId) REFERENCES AccountChangeRequestField__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_AccountChangeRequest__c_ParentId FOREIGN KEY(ParentId) REFERENCES AccountChangeRequest__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_AccountHierarchy__c_ParentId FOREIGN KEY(ParentId) REFERENCES AccountHierarchy__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_AccountProfile_PartnerStatus__c_ParentId FOREIGN KEY(ParentId) REFERENCES AccountProfile_PartnerStatus__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_AccountReadOnly__c_ParentId FOREIGN KEY(ParentId) REFERENCES AccountReadOnly__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_AccountTeamRule__c_ParentId FOREIGN KEY(ParentId) REFERENCES AccountTeamRule__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_Account_Profile_Other_Partner__c_ParentId FOREIGN KEY(ParentId) REFERENCES Account_Profile_Other_Partner__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_Account_Profile_Power_Map__c_ParentId FOREIGN KEY(ParentId) REFERENCES Account_Profile_Power_Map__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_Account_Profile_SWOT__c_ParentId FOREIGN KEY(ParentId) REFERENCES Account_Profile_SWOT__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_Account_Profile__c_ParentId FOREIGN KEY(ParentId) REFERENCES Account_Profile__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_Account_SWOT_Analysis__c_ParentId FOREIGN KEY(ParentId) REFERENCES Account_SWOT_Analysis__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_Accounts_Special_Program__c_ParentId FOREIGN KEY(ParentId) REFERENCES Accounts_Special_Program__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_AcctPicklistSync__c_ParentId FOREIGN KEY(ParentId) REFERENCES AcctPicklistSync__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_Action_Items__c_ParentId FOREIGN KEY(ParentId) REFERENCES Action_Items__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_Address__c_ParentId FOREIGN KEY(ParentId) REFERENCES Address__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_Agreement_Country__c_ParentId FOREIGN KEY(ParentId) REFERENCES Agreement_Country__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_Agreement__c_ParentId FOREIGN KEY(ParentId) REFERENCES Agreement__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_Anti_corruption__c_ParentId FOREIGN KEY(ParentId) REFERENCES Anti_corruption__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_ApprovalCustom__c_ParentId FOREIGN KEY(ParentId) REFERENCES ApprovalCustom__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_Assessment_Summary__c_ParentId FOREIGN KEY(ParentId) REFERENCES Assessment_Summary__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_Asset_ParentId FOREIGN KEY(ParentId) REFERENCES Asset (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_Audience_Account__c_ParentId FOREIGN KEY(ParentId) REFERENCES Audience_Account__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_Audience__c_ParentId FOREIGN KEY(ParentId) REFERENCES Audience__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_BLND_DFAC_Shared_View__c_ParentId FOREIGN KEY(ParentId) REFERENCES BLND_DFAC_Shared_View__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_BLND_DFCS_Carousel__c_ParentId FOREIGN KEY(ParentId) REFERENCES BLND_DFCS_Carousel__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_BLND_DFCS_Slide__c_ParentId FOREIGN KEY(ParentId) REFERENCES BLND_DFCS_Slide__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_BLND_DFDT_Action_Item__c_ParentId FOREIGN KEY(ParentId) REFERENCES BLND_DFDT_Action_Item__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_BLND_DFDT_Discussion__c_ParentId FOREIGN KEY(ParentId) REFERENCES BLND_DFDT_Discussion__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_BLND_DFDT_Highlight__c_ParentId FOREIGN KEY(ParentId) REFERENCES BLND_DFDT_Highlight__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_BLND_DFDT_Issue__c_ParentId FOREIGN KEY(ParentId) REFERENCES BLND_DFDT_Issue__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_BLND_DFDT_Linker__c_ParentId FOREIGN KEY(ParentId) REFERENCES BLND_DFDT_Linker__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_BLND_DFDT_Project__c_ParentId FOREIGN KEY(ParentId) REFERENCES BLND_DFDT_Project__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_BLND_DFDT_Resource__c_ParentId FOREIGN KEY(ParentId) REFERENCES BLND_DFDT_Resource__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_BLND_DFDT_Task__c_ParentId FOREIGN KEY(ParentId) REFERENCES BLND_DFDT_Task__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_BLND_DFFF_Form__c_ParentId FOREIGN KEY(ParentId) REFERENCES BLND_DFFF_Form__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_BLND_DFFF_Page__c_ParentId FOREIGN KEY(ParentId) REFERENCES BLND_DFFF_Page__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_BLND_DFTE_Expense__c_ParentId FOREIGN KEY(ParentId) REFERENCES BLND_DFTE_Expense__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_BLND_DFTE_Time__c_ParentId FOREIGN KEY(ParentId) REFERENCES BLND_DFTE_Time__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_BLND_DFTT_Document__c_ParentId FOREIGN KEY(ParentId) REFERENCES BLND_DFTT_Document__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_BLND_DFTT_Entity_Info__c_ParentId FOREIGN KEY(ParentId) REFERENCES BLND_DFTT_Entity_Info__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_BLND_DFTT_Folder__c_ParentId FOREIGN KEY(ParentId) REFERENCES BLND_DFTT_Folder__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_BigMachines__Configuration_Record__c_ParentId FOREIGN KEY(ParentId) REFERENCES BigMachines__Configuration_Record__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_BigMachines__Field_Mapping__c_ParentId FOREIGN KEY(ParentId) REFERENCES BigMachines__Field_Mapping__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_BigMachines__Quote_Product__c_ParentId FOREIGN KEY(ParentId) REFERENCES BigMachines__Quote_Product__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_BigMachines__Quote__c_ParentId FOREIGN KEY(ParentId) REFERENCES BigMachines__Quote__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_BillToAccount__c_ParentId FOREIGN KEY(ParentId) REFERENCES BillToAccount__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_Busines_Plan_KPI__c_ParentId FOREIGN KEY(ParentId) REFERENCES Busines_Plan_KPI__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_BusinessPlan_MktResource__c_ParentId FOREIGN KEY(ParentId) REFERENCES BusinessPlan_MktResource__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_Business_Plan_Customer__c_ParentId FOREIGN KEY(ParentId) REFERENCES Business_Plan_Customer__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_Business_Problem__c_ParentId FOREIGN KEY(ParentId) REFERENCES Business_Problem__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_CCB_Event__c_ParentId FOREIGN KEY(ParentId) REFERENCES CCB_Event__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_CDH_Party__c_ParentId FOREIGN KEY(ParentId) REFERENCES CDH_Party__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_CR_Components_Join__c_ParentId FOREIGN KEY(ParentId) REFERENCES CR_Components_Join__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_CTSK_INSP__Field_Statistic__c_ParentId FOREIGN KEY(ParentId) REFERENCES CTSK_INSP__Field_Statistic__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_CTSK_INSP__Object_Statistic__c_ParentId FOREIGN KEY(ParentId) REFERENCES CTSK_INSP__Object_Statistic__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_CampaignTag__c_ParentId FOREIGN KEY(ParentId) REFERENCES CampaignTag__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_Campaign_Hierarchy_Details__c_ParentId FOREIGN KEY(ParentId) REFERENCES Campaign_Hierarchy_Details__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_Campaign_Plan__c_ParentId FOREIGN KEY(ParentId) REFERENCES Campaign_Plan__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_CaseCommentData__c_ParentId FOREIGN KEY(ParentId) REFERENCES CaseCommentData__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_CasePriorityTotals__c_ParentId FOREIGN KEY(ParentId) REFERENCES CasePriorityTotals__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_CasePriority__c_ParentId FOREIGN KEY(ParentId) REFERENCES CasePriority__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_Change_Control_Board__c_ParentId FOREIGN KEY(ParentId) REFERENCES Change_Control_Board__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_Change_Management__c_ParentId FOREIGN KEY(ParentId) REFERENCES Change_Management__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_Change_Request_Members__c_ParentId FOREIGN KEY(ParentId) REFERENCES Change_Request_Members__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_Change_Request__c_ParentId FOREIGN KEY(ParentId) REFERENCES Change_Request__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_Change_Requests__c_ParentId FOREIGN KEY(ParentId) REFERENCES Change_Requests__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_ClassificationTranslation__c_ParentId FOREIGN KEY(ParentId) REFERENCES ClassificationTranslation__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_Classification__c_ParentId FOREIGN KEY(ParentId) REFERENCES Classification__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_Communities_Featured_Headline_Label__c_ParentId FOREIGN KEY(ParentId) REFERENCES Communities_Featured_Headline_Label__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_Communities_Featured_Headline__c_ParentId FOREIGN KEY(ParentId) REFERENCES Communities_Featured_Headline__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_Communities_Navigation_Item_Label__c_ParentId FOREIGN KEY(ParentId) REFERENCES Communities_Navigation_Item_Label__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_Communities_Navigation_Item__c_ParentId FOREIGN KEY(ParentId) REFERENCES Communities_Navigation_Item__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_Communities_News_Item_Label__c_ParentId FOREIGN KEY(ParentId) REFERENCES Communities_News_Item_Label__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_Communities_News_Item__c_ParentId FOREIGN KEY(ParentId) REFERENCES Communities_News_Item__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_Communities_Tool_Shortcut_Label__c_ParentId FOREIGN KEY(ParentId) REFERENCES Communities_Tool_Shortcut_Label__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_Communities_Tool_Shortcut__c_ParentId FOREIGN KEY(ParentId) REFERENCES Communities_Tool_Shortcut__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_Competitor__c_ParentId FOREIGN KEY(ParentId) REFERENCES Competitor__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_Component__c_ParentId FOREIGN KEY(ParentId) REFERENCES Component__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_Configuration__c_ParentId FOREIGN KEY(ParentId) REFERENCES Configuration__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_Contact_ParentId FOREIGN KEY(ParentId) REFERENCES Contact (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_Contact_Converter__c_ParentId FOREIGN KEY(ParentId) REFERENCES Contact_Converter__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_Contact_Reference_Request__c_ParentId FOREIGN KEY(ParentId) REFERENCES Contact_Reference_Request__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_Contact_Tool_Shortcut__c_ParentId FOREIGN KEY(ParentId) REFERENCES Contact_Tool_Shortcut__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_Contact_Track__c_ParentId FOREIGN KEY(ParentId) REFERENCES Contact_Track__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_Contract_ParentId FOREIGN KEY(ParentId) REFERENCES Contract (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_CountryTranslation__c_ParentId FOREIGN KEY(ParentId) REFERENCES CountryTranslation__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_Country__c_ParentId FOREIGN KEY(ParentId) REFERENCES Country__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_Credit__c_ParentId FOREIGN KEY(ParentId) REFERENCES Credit__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_Customer_Reference_Product__c_ParentId FOREIGN KEY(ParentId) REFERENCES Customer_Reference_Product__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_Customer_Reference__c_ParentId FOREIGN KEY(ParentId) REFERENCES Customer_Reference__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_Defect_Requirement_Join__c_ParentId FOREIGN KEY(ParentId) REFERENCES Defect_Requirement_Join__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_Defect__c_ParentId FOREIGN KEY(ParentId) REFERENCES Defect__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_Deliverables__c_ParentId FOREIGN KEY(ParentId) REFERENCES Deliverables__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_EBS_Account__c_ParentId FOREIGN KEY(ParentId) REFERENCES EBS_Account__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_ELOQUA__Campaign_s_Marketing_Asset__c_ParentId FOREIGN KEY(ParentId) REFERENCES ELOQUA__Campaign_s_Marketing_Asset__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_ELOQUA__Marketing_Activity__c_ParentId FOREIGN KEY(ParentId) REFERENCES ELOQUA__Marketing_Activity__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_ELOQUA__Marketing_Asset__c_ParentId FOREIGN KEY(ParentId) REFERENCES ELOQUA__Marketing_Asset__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_Environment__c_ParentId FOREIGN KEY(ParentId) REFERENCES Environment__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_Evaluation__c_ParentId FOREIGN KEY(ParentId) REFERENCES Evaluation__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_Event_Log__c_ParentId FOREIGN KEY(ParentId) REFERENCES Event_Log__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_Event__c_ParentId FOREIGN KEY(ParentId) REFERENCES Event__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_Executive_Summary__c_ParentId FOREIGN KEY(ParentId) REFERENCES Executive_Summary__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_Expiring_Product__c_ParentId FOREIGN KEY(ParentId) REFERENCES Expiring_Product__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_Featured_Partner__c_ParentId FOREIGN KEY(ParentId) REFERENCES Featured_Partner__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_FiscalGoals__c_ParentId FOREIGN KEY(ParentId) REFERENCES FiscalGoals__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_Hashes__c_ParentId FOREIGN KEY(ParentId) REFERENCES Hashes__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_Inbound_Event__c_ParentId FOREIGN KEY(ParentId) REFERENCES Inbound_Event__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_Key_Joint_Sales_Engagement__c_ParentId FOREIGN KEY(ParentId) REFERENCES Key_Joint_Sales_Engagement__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_LMS_Training_Request__c_ParentId FOREIGN KEY(ParentId) REFERENCES LMS_Training_Request__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_Lead_ParentId FOREIGN KEY(ParentId) REFERENCES Lead (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_LeadAccountRules__c_ParentId FOREIGN KEY(ParentId) REFERENCES LeadAccountRules__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_LeadCountryMap__c_ParentId FOREIGN KEY(ParentId) REFERENCES LeadCountryMap__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_LeadCronRoutingRule__c_ParentId FOREIGN KEY(ParentId) REFERENCES LeadCronRoutingRule__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_LeadForReporting__c_ParentId FOREIGN KEY(ParentId) REFERENCES LeadForReporting__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_LeadManagementHistory__c_ParentId FOREIGN KEY(ParentId) REFERENCES LeadManagementHistory__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_LeadRules__c_ParentId FOREIGN KEY(ParentId) REFERENCES LeadRules__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_LeadShareStaging__c_ParentId FOREIGN KEY(ParentId) REFERENCES LeadShareStaging__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_Lead_Source_Detail__c_ParentId FOREIGN KEY(ParentId) REFERENCES Lead_Source_Detail__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_Lead_SuperRegion_Mapping__c_ParentId FOREIGN KEY(ParentId) REFERENCES Lead_SuperRegion_Mapping__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_Link_to_Paid_Opportunity__c_ParentId FOREIGN KEY(ParentId) REFERENCES Link_to_Paid_Opportunity__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_Marketing_Activity__c_ParentId FOREIGN KEY(ParentId) REFERENCES Marketing_Activity__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_Marketing_Program__c_ParentId FOREIGN KEY(ParentId) REFERENCES Marketing_Program__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_Match_and_Validation_Error__c_ParentId FOREIGN KEY(ParentId) REFERENCES Match_and_Validation_Error__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_Messaging_Strategy__c_ParentId FOREIGN KEY(ParentId) REFERENCES Messaging_Strategy__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_Milestone__c_ParentId FOREIGN KEY(ParentId) REFERENCES Milestone__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_MonitoredActivity__c_ParentId FOREIGN KEY(ParentId) REFERENCES MonitoredActivity__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_NFR_LI__c_ParentId FOREIGN KEY(ParentId) REFERENCES NFR_LI__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_NFR_Request__c_ParentId FOREIGN KEY(ParentId) REFERENCES NFR_Request__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_NFR_SKU_Matrix__c_ParentId FOREIGN KEY(ParentId) REFERENCES NFR_SKU_Matrix__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_NonPrimaryBillingAddress__c_ParentId FOREIGN KEY(ParentId) REFERENCES NonPrimaryBillingAddress__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_NonPrimaryShippingAddress__c_ParentId FOREIGN KEY(ParentId) REFERENCES NonPrimaryShippingAddress__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_Opportunities_Special_Program__c_ParentId FOREIGN KEY(ParentId) REFERENCES Opportunities_Special_Program__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_Opportunity_ParentId FOREIGN KEY(ParentId) REFERENCES Opportunity (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_OpportunityPartner__c_ParentId FOREIGN KEY(ParentId) REFERENCES OpportunityPartner__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_OpportunityProductSummary__c_ParentId FOREIGN KEY(ParentId) REFERENCES OpportunityProductSummary__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_OpportunitySnapshot__c_ParentId FOREIGN KEY(ParentId) REFERENCES OpportunitySnapshot__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_OpportunityTeamMemberClone__c_ParentId FOREIGN KEY(ParentId) REFERENCES OpportunityTeamMemberClone__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_Opportunity_Header_Staging__c_ParentId FOREIGN KEY(ParentId) REFERENCES Opportunity_Header_Staging__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_Opportunity_History__c_ParentId FOREIGN KEY(ParentId) REFERENCES Opportunity_History__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_Opportunity_Line_Staging__c_ParentId FOREIGN KEY(ParentId) REFERENCES Opportunity_Line_Staging__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_Opportunity_Match_Configuration__c_ParentId FOREIGN KEY(ParentId) REFERENCES Opportunity_Match_Configuration__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_Opportunity_Partner_Staging__c_ParentId FOREIGN KEY(ParentId) REFERENCES Opportunity_Partner_Staging__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_Opportunity_Partners__c_ParentId FOREIGN KEY(ParentId) REFERENCES Opportunity_Partners__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_Opportunity_Split_Detail__c_ParentId FOREIGN KEY(ParentId) REFERENCES Opportunity_Split_Detail__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_Order_Loader_Batch__c_ParentId FOREIGN KEY(ParentId) REFERENCES Order_Loader_Batch__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_Order_Management_Profile__c_ParentId FOREIGN KEY(ParentId) REFERENCES Order_Management_Profile__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_Order_Tracking__c_ParentId FOREIGN KEY(ParentId) REFERENCES Order_Tracking__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_Outbound_Error__c_ParentId FOREIGN KEY(ParentId) REFERENCES Outbound_Error__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_Outbound_Event__c_ParentId FOREIGN KEY(ParentId) REFERENCES Outbound_Event__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_PCSearchForm__c_ParentId FOREIGN KEY(ParentId) REFERENCES PCSearchForm__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_PFSearchForm__c_ParentId FOREIGN KEY(ParentId) REFERENCES PFSearchForm__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_PP_Account_Points__c_ParentId FOREIGN KEY(ParentId) REFERENCES PP_Account_Points__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_PP_Batch__c_ParentId FOREIGN KEY(ParentId) REFERENCES PP_Batch__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_PP_Cap__c_ParentId FOREIGN KEY(ParentId) REFERENCES PP_Cap__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_PP_Catalog__c_ParentId FOREIGN KEY(ParentId) REFERENCES PP_Catalog__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_PP_ContentBatchStage__c_ParentId FOREIGN KEY(ParentId) REFERENCES PP_ContentBatchStage__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_PP_ContentStage__c_ParentId FOREIGN KEY(ParentId) REFERENCES PP_ContentStage__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_PP_Content_Workspace__c_ParentId FOREIGN KEY(ParentId) REFERENCES PP_Content_Workspace__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_PP_Content__c_ParentId FOREIGN KEY(ParentId) REFERENCES PP_Content__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_PP_InboundBatchItemStage__c_ParentId FOREIGN KEY(ParentId) REFERENCES PP_InboundBatchItemStage__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_PP_InboundBatchStage__c_ParentId FOREIGN KEY(ParentId) REFERENCES PP_InboundBatchStage__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_PP_ItemAudit__c_ParentId FOREIGN KEY(ParentId) REFERENCES PP_ItemAudit__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_PP_LMS_Stage__c_ParentId FOREIGN KEY(ParentId) REFERENCES PP_LMS_Stage__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_PP_Scores__c_ParentId FOREIGN KEY(ParentId) REFERENCES PP_Scores__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_PP_User_Points__c_ParentId FOREIGN KEY(ParentId) REFERENCES PP_User_Points__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_PartnerAgreement__c_ParentId FOREIGN KEY(ParentId) REFERENCES PartnerAgreement__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_PartnerClassification__c_ParentId FOREIGN KEY(ParentId) REFERENCES PartnerClassification__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_PartnerLogo__c_ParentId FOREIGN KEY(ParentId) REFERENCES PartnerLogo__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_PartnerProductClassification__c_ParentId FOREIGN KEY(ParentId) REFERENCES PartnerProductClassification__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_PartnerProductLanguage__c_ParentId FOREIGN KEY(ParentId) REFERENCES PartnerProductLanguage__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_PartnerProductLogo__c_ParentId FOREIGN KEY(ParentId) REFERENCES PartnerProductLogo__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_PartnerProductScreenshot__c_ParentId FOREIGN KEY(ParentId) REFERENCES PartnerProductScreenshot__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_PartnerProduct__c_ParentId FOREIGN KEY(ParentId) REFERENCES PartnerProduct__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_PartnerRequalification__c_ParentId FOREIGN KEY(ParentId) REFERENCES PartnerRequalification__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_PartnerStatus__c_ParentId FOREIGN KEY(ParentId) REFERENCES PartnerStatus__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_PartnerTopCustomer__c_ParentId FOREIGN KEY(ParentId) REFERENCES PartnerTopCustomer__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_PartnerTrack__c_ParentId FOREIGN KEY(ParentId) REFERENCES PartnerTrack__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_PartnerTraining__c_ParentId FOREIGN KEY(ParentId) REFERENCES PartnerTraining__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_PartnerUser_Email_Token__c_ParentId FOREIGN KEY(ParentId) REFERENCES PartnerUser_Email_Token__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_Partner_Attachment__c_ParentId FOREIGN KEY(ParentId) REFERENCES Partner_Attachment__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_Partner_CCP_Form__c_ParentId FOREIGN KEY(ParentId) REFERENCES Partner_CCP_Form__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_Partner_Location__c_ParentId FOREIGN KEY(ParentId) REFERENCES Partner_Location__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_Partner_Onboarding_Registration__c_ParentId FOREIGN KEY(ParentId) REFERENCES Partner_Onboarding_Registration__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_Partner_Point_Requal_Limits__c_ParentId FOREIGN KEY(ParentId) REFERENCES Partner_Point_Requal_Limits__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_Partner_Points_LMS_Catalog__c_ParentId FOREIGN KEY(ParentId) REFERENCES Partner_Points_LMS_Catalog__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_Partner_Points_Requal_Req__c_ParentId FOREIGN KEY(ParentId) REFERENCES Partner_Points_Requal_Req__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_Partner_Profile__c_ParentId FOREIGN KEY(ParentId) REFERENCES Partner_Profile__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_Partner_Program_Approval__c_ParentId FOREIGN KEY(ParentId) REFERENCES Partner_Program_Approval__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_Partner_Program_Definition__c_ParentId FOREIGN KEY(ParentId) REFERENCES Partner_Program_Definition__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_Partner_Program_Description__c_ParentId FOREIGN KEY(ParentId) REFERENCES Partner_Program_Description__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_Partner_Program_Product__c_ParentId FOREIGN KEY(ParentId) REFERENCES Partner_Program_Product__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_Partner_Program_Tier__c_ParentId FOREIGN KEY(ParentId) REFERENCES Partner_Program_Tier__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_Partner_Program__c_ParentId FOREIGN KEY(ParentId) REFERENCES Partner_Program__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_Partner_Registration_Line_Item__c_ParentId FOREIGN KEY(ParentId) REFERENCES Partner_Registration_Line_Item__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_Partner_Registration__c_ParentId FOREIGN KEY(ParentId) REFERENCES Partner_Registration__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_Partner_Requal_Points__c_ParentId FOREIGN KEY(ParentId) REFERENCES Partner_Requal_Points__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_Partner_Requal_Setup__c_ParentId FOREIGN KEY(ParentId) REFERENCES Partner_Requal_Setup__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_Partner_Requalification_Agreement__c_ParentId FOREIGN KEY(ParentId) REFERENCES Partner_Requalification_Agreement__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_Partner_Requalification_Log__c_ParentId FOREIGN KEY(ParentId) REFERENCES Partner_Requalification_Log__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_Partner_User_Invitation__c_ParentId FOREIGN KEY(ParentId) REFERENCES Partner_User_Invitation__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_Partner_s_Assessment_Summary__c_ParentId FOREIGN KEY(ParentId) REFERENCES Partner_s_Assessment_Summary__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_Partner_s_Business_Problem__c_ParentId FOREIGN KEY(ParentId) REFERENCES Partner_s_Business_Problem__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_Partner_s_Competitor__c_ParentId FOREIGN KEY(ParentId) REFERENCES Partner_s_Competitor__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_Partner_s_Messaging_Strategy__c_ParentId FOREIGN KEY(ParentId) REFERENCES Partner_s_Messaging_Strategy__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_Potential_Matched_Opportunities__c_ParentId FOREIGN KEY(ParentId) REFERENCES Potential_Matched_Opportunities__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_Priority__c_ParentId FOREIGN KEY(ParentId) REFERENCES Priority__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_Product2_ParentId FOREIGN KEY(ParentId) REFERENCES Product2 (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_Project_Item__c_ParentId FOREIGN KEY(ParentId) REFERENCES Project_Item__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_Project_Status__c_ParentId FOREIGN KEY(ParentId) REFERENCES Project_Status__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_Project_Tracker__c_ParentId FOREIGN KEY(ParentId) REFERENCES Project_Tracker__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_Project__c_ParentId FOREIGN KEY(ParentId) REFERENCES Project__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_QuoteLineItemSchedule__c_ParentId FOREIGN KEY(ParentId) REFERENCES QuoteLineItemSchedule__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_QuoteLineItem__c_ParentId FOREIGN KEY(ParentId) REFERENCES QuoteLineItem__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_QuotePaymentSchedule__c_ParentId FOREIGN KEY(ParentId) REFERENCES QuotePaymentSchedule__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_Quote__c_ParentId FOREIGN KEY(ParentId) REFERENCES Quote__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_RH_Content__c_ParentId FOREIGN KEY(ParentId) REFERENCES RH_Content__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_RH_Microsite_Page__c_ParentId FOREIGN KEY(ParentId) REFERENCES RH_Microsite_Page__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_RH_Microsite__c_ParentId FOREIGN KEY(ParentId) REFERENCES RH_Microsite__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_Rally_User__c_ParentId FOREIGN KEY(ParentId) REFERENCES Rally_User__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_RecordLookup__c_ParentId FOREIGN KEY(ParentId) REFERENCES RecordLookup__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_RecordTypeAssignment__c_ParentId FOREIGN KEY(ParentId) REFERENCES RecordTypeAssignment__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_Red_Hat_Attachment__c_ParentId FOREIGN KEY(ParentId) REFERENCES Red_Hat_Attachment__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_ReferenceStor__Rs_Account_HistoryDetail__c_ParentId FOREIGN KEY(ParentId) REFERENCES ReferenceStor__Rs_Account_HistoryDetail__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_ReferenceStor__Rs_Account_History__c_ParentId FOREIGN KEY(ParentId) REFERENCES ReferenceStor__Rs_Account_History__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_ReferenceStor__Rs_Opportunity_HistoryDetail__c_ParentId FOREIGN KEY(ParentId) REFERENCES ReferenceStor__Rs_Opportunity_HistoryDetail__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_ReferenceStor__Rs_Opportunity_History__c_ParentId FOREIGN KEY(ParentId) REFERENCES ReferenceStor__Rs_Opportunity_History__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_Reference_Collateral__c_ParentId FOREIGN KEY(ParentId) REFERENCES Reference_Collateral__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_Reference_Usage__c_ParentId FOREIGN KEY(ParentId) REFERENCES Reference_Usage__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_Region_NA__c_ParentId FOREIGN KEY(ParentId) REFERENCES Region_NA__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_Region__c_ParentId FOREIGN KEY(ParentId) REFERENCES Region__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_Reject_Lead_Setup__c_ParentId FOREIGN KEY(ParentId) REFERENCES Reject_Lead_Setup__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_Related_Case__c_ParentId FOREIGN KEY(ParentId) REFERENCES Related_Case__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_Release__c_ParentId FOREIGN KEY(ParentId) REFERENCES Release__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_RemoteAccess__c_ParentId FOREIGN KEY(ParentId) REFERENCES RemoteAccess__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_Request_Tracker__c_ParentId FOREIGN KEY(ParentId) REFERENCES Request_Tracker__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_Requirement__c_ParentId FOREIGN KEY(ParentId) REFERENCES Requirement__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_Reseller__c_ParentId FOREIGN KEY(ParentId) REFERENCES Reseller__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_Resource__c_ParentId FOREIGN KEY(ParentId) REFERENCES Resource__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_Role_Interest_Training_Matrix__c_ParentId FOREIGN KEY(ParentId) REFERENCES Role_Interest_Training_Matrix__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_SFDC_Budget_Item__c_ParentId FOREIGN KEY(ParentId) REFERENCES SFDC_Budget_Item__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_SFDC_Budget__c_ParentId FOREIGN KEY(ParentId) REFERENCES SFDC_Budget__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_SFDC_Channel_Account_Plan__c_ParentId FOREIGN KEY(ParentId) REFERENCES SFDC_Channel_Account_Plan__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_SFDC_MDF_Claim__c_ParentId FOREIGN KEY(ParentId) REFERENCES SFDC_MDF_Claim__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_SFDC_MDF__c_ParentId FOREIGN KEY(ParentId) REFERENCES SFDC_MDF__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_SFDC_Objective__c_ParentId FOREIGN KEY(ParentId) REFERENCES SFDC_Objective__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_SFDC_Plan_Resource_Association__c_ParentId FOREIGN KEY(ParentId) REFERENCES SFDC_Plan_Resource_Association__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_SalesPortalContent__c_ParentId FOREIGN KEY(ParentId) REFERENCES SalesPortalContent__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_Sales_Comments__c_ParentId FOREIGN KEY(ParentId) REFERENCES Sales_Comments__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_Schedule_Exports__c_ParentId FOREIGN KEY(ParentId) REFERENCES Schedule_Exports__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_ServicesAllocation__c_ParentId FOREIGN KEY(ParentId) REFERENCES ServicesAllocation__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_SolutionProduct__c_ParentId FOREIGN KEY(ParentId) REFERENCES SolutionProduct__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_Special_Program__c_ParentId FOREIGN KEY(ParentId) REFERENCES Special_Program__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_StateProvinceTranslation__c_ParentId FOREIGN KEY(ParentId) REFERENCES StateProvinceTranslation__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_State__c_ParentId FOREIGN KEY(ParentId) REFERENCES State__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_Status_Reports__c_ParentId FOREIGN KEY(ParentId) REFERENCES Status_Reports__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_SteeringCommittee__c_ParentId FOREIGN KEY(ParentId) REFERENCES SteeringCommittee__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_StoryBookLinkLabel__c_ParentId FOREIGN KEY(ParentId) REFERENCES StoryBookLinkLabel__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_StoryBookLink__c_ParentId FOREIGN KEY(ParentId) REFERENCES StoryBookLink__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_Storybook__c_ParentId FOREIGN KEY(ParentId) REFERENCES Storybook__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_StrategicPlan_Action__c_ParentId FOREIGN KEY(ParentId) REFERENCES StrategicPlan_Action__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_StrategicPlan_OppProdSummary__c_ParentId FOREIGN KEY(ParentId) REFERENCES StrategicPlan_OppProdSummary__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_StrategicPlan_ReviewHistory__c_ParentId FOREIGN KEY(ParentId) REFERENCES StrategicPlan_ReviewHistory__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_StrategicPlan_Review__c_ParentId FOREIGN KEY(ParentId) REFERENCES StrategicPlan_Review__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_StrategicPlan_SolutionOpportunity__c_ParentId FOREIGN KEY(ParentId) REFERENCES StrategicPlan_SolutionOpportunity__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_StrategicPlan_Solution__c_ParentId FOREIGN KEY(ParentId) REFERENCES StrategicPlan_Solution__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_StrategicPlan_Strategy__c_ParentId FOREIGN KEY(ParentId) REFERENCES StrategicPlan_Strategy__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_StrategicPlan__c_ParentId FOREIGN KEY(ParentId) REFERENCES StrategicPlan__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_SubscriptionBatch__c_ParentId FOREIGN KEY(ParentId) REFERENCES SubscriptionBatch__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_SubscriptionError__c_ParentId FOREIGN KEY(ParentId) REFERENCES SubscriptionError__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_SubscriptionLine__c_ParentId FOREIGN KEY(ParentId) REFERENCES SubscriptionLine__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_SubscriptionPartnerRelationship__c_ParentId FOREIGN KEY(ParentId) REFERENCES SubscriptionPartnerRelationship__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_SubscriptionPartner__c_ParentId FOREIGN KEY(ParentId) REFERENCES SubscriptionPartner__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_SubscriptionReportCriteria__c_ParentId FOREIGN KEY(ParentId) REFERENCES SubscriptionReportCriteria__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_Subscription__c_ParentId FOREIGN KEY(ParentId) REFERENCES Subscription__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_SumTotal_Catalog__c_ParentId FOREIGN KEY(ParentId) REFERENCES SumTotal_Catalog__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_SumTotal_Request__c_ParentId FOREIGN KEY(ParentId) REFERENCES SumTotal_Request__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_SumTotal_Setting__c_ParentId FOREIGN KEY(ParentId) REFERENCES SumTotal_Setting__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_SumTotal_Training__c_ParentId FOREIGN KEY(ParentId) REFERENCES SumTotal_Training__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_Super_Industry__c_ParentId FOREIGN KEY(ParentId) REFERENCES Super_Industry__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_Teaming_Agreement__c_ParentId FOREIGN KEY(ParentId) REFERENCES Teaming_Agreement__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_Temporal_Content__c_ParentId FOREIGN KEY(ParentId) REFERENCES Temporal_Content__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_Test_Case_Result__c_ParentId FOREIGN KEY(ParentId) REFERENCES Test_Case_Result__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_Test_Case_Step__c_ParentId FOREIGN KEY(ParentId) REFERENCES Test_Case_Step__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_Test_Case__c_ParentId FOREIGN KEY(ParentId) REFERENCES Test_Case__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_TrackingEventLog__c_ParentId FOREIGN KEY(ParentId) REFERENCES TrackingEventLog__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_TrackingEventSummary__c_ParentId FOREIGN KEY(ParentId) REFERENCES TrackingEventSummary__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_TrackingEvent__c_ParentId FOREIGN KEY(ParentId) REFERENCES TrackingEvent__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_TrendData__c_ParentId FOREIGN KEY(ParentId) REFERENCES TrendData__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_Use_Case_Step__c_ParentId FOREIGN KEY(ParentId) REFERENCES Use_Case_Step__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_Use_Case__c_ParentId FOREIGN KEY(ParentId) REFERENCES Use_Case__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_User_Agreement__c_ParentId FOREIGN KEY(ParentId) REFERENCES User_Agreement__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_VendorCatalog__c_ParentId FOREIGN KEY(ParentId) REFERENCES VendorCatalog__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_Verifiable_Outcome__c_ParentId FOREIGN KEY(ParentId) REFERENCES Verifiable_Outcome__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_Work_Package__c_ParentId FOREIGN KEY(ParentId) REFERENCES Work_Package__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_Work_Plan__c_ParentId FOREIGN KEY(ParentId) REFERENCES Work_Plan__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_dupcerts__c_ParentId FOREIGN KEY(ParentId) REFERENCES dupcerts__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_hoopla__Hoopla_Error_Log__c_ParentId FOREIGN KEY(ParentId) REFERENCES hoopla__Hoopla_Error_Log__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_hoopla__Notification_Queue__c_ParentId FOREIGN KEY(ParentId) REFERENCES hoopla__Notification_Queue__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_hoopla__Player__c_ParentId FOREIGN KEY(ParentId) REFERENCES hoopla__Player__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_hoopla__Position_Role__c_ParentId FOREIGN KEY(ParentId) REFERENCES hoopla__Position_Role__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_hoopla__Position__c_ParentId FOREIGN KEY(ParentId) REFERENCES hoopla__Position__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments'),
	CONSTRAINT FK_hoopla__Scoreboard_Role__c_ParentId FOREIGN KEY(ParentId) REFERENCES hoopla__Scoreboard_Role__c (Id) OPTIONS (NAMEINSOURCE 'NotesAndAttachments')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'false', "teiid_sf:Supports Delete" 'false', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'false', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'false', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE NoteTag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Note_ItemId FOREIGN KEY(ItemId) REFERENCES Note (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE OpenActivity (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	AccountId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	WhoId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	WhatId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Subject string(80) OPTIONS (NATIVE_TYPE 'combobox', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsTask boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	ActivityDate date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	OwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Status string(40) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Not Started,In Progress,Waiting for RSM,Waiting for SA,Completed,Waiting on someone else,Deferred,Triage - Credit,Triage - Finance,Triage - Sales,System Deferred,Triage - Legal,Sent,0 Day Renewal Notice'),
	Priority string(40) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'High,Normal,Low'),
	ActivityType string(40) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Call,Call,Email,Email,Meeting,Meeting,Other,Other'),
	IsClosed boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsAllDayEvent boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsVisibleInSelfService boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	DurationInMinutes integer OPTIONS (NATIVE_TYPE 'int', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Location string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Description string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CallDurationInSeconds integer OPTIONS (NATIVE_TYPE 'int', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CallType string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Internal,Inbound,Outbound'),
	CallDisposition string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CallObject string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ReminderDateTime timestamp OPTIONS (NATIVE_TYPE 'datetime', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsReminderSet boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	BestTimeToCall__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Morning,Noon,Night'),
	externalIdName__c string(30) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	RejectionReason__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" '0.00 Amount not approved,Backdate Subsc Start-date,Billing/Shipping Info Missing,Billing Account Number Invalid,Billing Acct/Info Incorrect/Missing,Billing Address Incorrect,Billing Address Missing,Contract Incorrect/Missing/Unsigned,Contract Missing/Not Signed,Contract Numbers Incorrect,Contract Numbers Missing,Co-Terms Info Incorrect/Missing,Credit Card Declined,Credit Related/Payment Terms Issues,Credit Status/Payment Terms Issues,Customer Hold or Delivery Delay,Cut-Off Time Exceeded,Description Missing,Discount Not Approved,Duplicate Order,EU Login Incorrect/Missing,Finance Approval Required,Handwritten Change Not Acceptable,Incorrect Account Classification,Incorrect SKUs,Invalid RH Entitlement Login,Legal/BD Review & Approval,Legal Agreement not attached / Missing,Legal Approval,Legal Approval Required,Legal Entity Not Correct,Login/Acct # Invalid/Missing,Missing Pages,Missing Reference to Existing Agreement,Missing Signatures,Missing SKUs,New Party / Account Request,No PO Letter needs Approval,No PO Letter Required,Other,Payment Terms Missing,Payment Terms Not Approved,PO/Credit Card Info Incorrect/Missing,PO Missing,PO not attached / missing,Pricing Incorrect,Product/Discount Approval Required,Qty/Price/Products Not Equal,Renewal Dates are Incorrect/Missing,Renewal Info/Start Date Needed,Renewal Information Incorrect/Missing,Sales Mgmt or PM Approval Required,Shipping Address Incorrect,Shipping Address Missing,Shipping Info Incorrect/Missing,SKU/Qty/Currency/Price Incorrect,SKU Qty/Price/Desc Issue,Start/End Date Missing,Start Date Over 14 Days Old,Subsc Dates/Term Issue,Tax Info Missing/Incorrect,Unclear - Auto entitlement Vs Keys,VAT # Missing/Incorrect,VAT number missing/incorrect,Waiting Saba # or CM# or Others'' Info,Wrong Billing Acct#,Wrong Currency'),
	OMComments__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Prepay_Required__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	OE_Form_Printed__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Prepay_Paid__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Task_Duration__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Credit_Finance_Comments__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	OM_Verified__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Strategic_Selling_Category__c string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Partner_Created__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Sales_Comments__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Category__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Goal,Tandem Review,Education (webinar, house fair, product presentation, workshops  etc.),Reporting (quarterly performance review, progress analysis, plain numbers),Documentation (creation of account profile, account plan, account overview etc.),Task (anything else)'),
	Requester__c string(200) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Last_Due_date__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Due_date_changed_on__c timestamp OPTIONS (NATIVE_TYPE 'datetime', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Contents__c string(255) OPTIONS (NATIVE_TYPE 'url', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Related_Opportunity_Region__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Send_Notification__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Billing_Comments__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Actions_from_Visit__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Notes_from_Visit__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Reason_of_Visit__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	OM_Comments_Continued__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	OM_Comments_Final__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Call_Results__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Bad Number,Left Message,Obtained Information Needed,Scheduled Follow Up,Sent Email'),
	Partner_Comments__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Purpose__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Welcome - Schedule Initial Call,Qualification - Reselling?,Commitment - Obtainment,Commitment - Monitoring,Nurturing - Sales Activation,Nurturing - Monitoring'),
	Escalation_Stage__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Customer Identified,Waiting Customer Response,Negotiation With Customer,Proposal Approved,CIO Letter,Voluntary Assessment (Rho),Assessment (Program),Assessment (Migrate),Assessment (Terminate),Audit,Termination Letter,Certification (Migrate),Certification (Decommissioned),Certification (No Distribution ISV),Certification (Over-Deployment),Waiting PO,Sales Team Engaged,Compliance Team Engaged,Self Assessment,Self-Assessment (Migrate),Self-Assessment (Terminate)'),
	Summary__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Project_Account_Comments__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	GLS_Comments__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Age_of_Escalation_Stage__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Clearances__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'US Citizen,US DoD Secret,US DoD Top Secret,US DoD Top Secret/SCI,Other'),
	Date_Escalation_Stage_Set__c timestamp OPTIONS (NATIVE_TYPE 'datetime', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Distributor__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Carahsoft,DLT,Other,Not Applicable'),
	Legal_Comments__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Other__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Task_Source_Detail__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Task_Source__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'GSS ID,Sales ID,SEAP ID'),
	Contract_Date__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Current_Contract__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Click Through,MSA'),
	Latest_Expiration__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Server_Environment_Size__c string(25) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Servers_Checking_In__c string(25) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Support_Tickets__c string(25) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ClosedDate__c timestamp OPTIONS (NATIVE_TYPE 'datetime', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Due_Date_Time__c timestamp OPTIONS (NATIVE_TYPE 'datetime', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Legacy_Profile__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Legacy_Role__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Owner__c string(18) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Monitor__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	MonitoredActivityId__c string(18) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	OORID__c string(20) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Record_Source__c string(45) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ActionSubject__c string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	End__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Start__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Attendees__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Sent_To__c string(80) OPTIONS (NATIVE_TYPE 'email', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_APPR_DGRP__Dynamic_Group__c_WhatId FOREIGN KEY(WhatId) REFERENCES APPR_DGRP__Dynamic_Group__c (Id) OPTIONS (NAMEINSOURCE 'OpenActivities'),
	CONSTRAINT FK_APPR_DGRP__Group_Rule__c_WhatId FOREIGN KEY(WhatId) REFERENCES APPR_DGRP__Group_Rule__c (Id) OPTIONS (NAMEINSOURCE 'OpenActivities'),
	CONSTRAINT FK_Account_AccountId FOREIGN KEY(AccountId) REFERENCES Account (Id) OPTIONS (NAMEINSOURCE 'OpenActivities'),
	CONSTRAINT FK_Action_Items__c_WhatId FOREIGN KEY(WhatId) REFERENCES Action_Items__c (Id) OPTIONS (NAMEINSOURCE 'OpenActivities'),
	CONSTRAINT FK_Anti_corruption__c_WhatId FOREIGN KEY(WhatId) REFERENCES Anti_corruption__c (Id) OPTIONS (NAMEINSOURCE 'OpenActivities'),
	CONSTRAINT FK_ApprovalCustom__c_WhatId FOREIGN KEY(WhatId) REFERENCES ApprovalCustom__c (Id) OPTIONS (NAMEINSOURCE 'OpenActivities'),
	CONSTRAINT FK_Asset_WhatId FOREIGN KEY(WhatId) REFERENCES Asset (Id) OPTIONS (NAMEINSOURCE 'OpenActivities'),
	CONSTRAINT FK_BigMachines__Quote__c_WhatId FOREIGN KEY(WhatId) REFERENCES BigMachines__Quote__c (Id) OPTIONS (NAMEINSOURCE 'OpenActivities'),
	CONSTRAINT FK_CCB_Event__c_WhatId FOREIGN KEY(WhatId) REFERENCES CCB_Event__c (Id) OPTIONS (NAMEINSOURCE 'OpenActivities'),
	CONSTRAINT FK_Campaign_WhatId FOREIGN KEY(WhatId) REFERENCES Campaign (Id) OPTIONS (NAMEINSOURCE 'OpenActivities'),
	CONSTRAINT FK_CampaignTag__c_WhatId FOREIGN KEY(WhatId) REFERENCES CampaignTag__c (Id) OPTIONS (NAMEINSOURCE 'OpenActivities'),
	CONSTRAINT FK_Case__WhatId FOREIGN KEY(WhatId) REFERENCES Case_ (Id) OPTIONS (NAMEINSOURCE 'OpenActivities'),
	CONSTRAINT FK_Change_Management__c_WhatId FOREIGN KEY(WhatId) REFERENCES Change_Management__c (Id) OPTIONS (NAMEINSOURCE 'OpenActivities'),
	CONSTRAINT FK_Change_Request__c_WhatId FOREIGN KEY(WhatId) REFERENCES Change_Request__c (Id) OPTIONS (NAMEINSOURCE 'OpenActivities'),
	CONSTRAINT FK_Change_Requests__c_WhatId FOREIGN KEY(WhatId) REFERENCES Change_Requests__c (Id) OPTIONS (NAMEINSOURCE 'OpenActivities'),
	CONSTRAINT FK_Component__c_WhatId FOREIGN KEY(WhatId) REFERENCES Component__c (Id) OPTIONS (NAMEINSOURCE 'OpenActivities'),
	CONSTRAINT FK_Contact_WhoId FOREIGN KEY(WhoId) REFERENCES Contact (Id) OPTIONS (NAMEINSOURCE 'OpenActivities'),
	CONSTRAINT FK_Contract_WhatId FOREIGN KEY(WhatId) REFERENCES Contract (Id) OPTIONS (NAMEINSOURCE 'OpenActivities'),
	CONSTRAINT FK_Credit__c_WhatId FOREIGN KEY(WhatId) REFERENCES Credit__c (Id) OPTIONS (NAMEINSOURCE 'OpenActivities'),
	CONSTRAINT FK_Customer_Reference__c_WhatId FOREIGN KEY(WhatId) REFERENCES Customer_Reference__c (Id) OPTIONS (NAMEINSOURCE 'OpenActivities'),
	CONSTRAINT FK_Defect_Requirement_Join__c_WhatId FOREIGN KEY(WhatId) REFERENCES Defect_Requirement_Join__c (Id) OPTIONS (NAMEINSOURCE 'OpenActivities'),
	CONSTRAINT FK_Defect__c_WhatId FOREIGN KEY(WhatId) REFERENCES Defect__c (Id) OPTIONS (NAMEINSOURCE 'OpenActivities'),
	CONSTRAINT FK_Deliverables__c_WhatId FOREIGN KEY(WhatId) REFERENCES Deliverables__c (Id) OPTIONS (NAMEINSOURCE 'OpenActivities'),
	CONSTRAINT FK_EBS_Account__c_WhatId FOREIGN KEY(WhatId) REFERENCES EBS_Account__c (Id) OPTIONS (NAMEINSOURCE 'OpenActivities'),
	CONSTRAINT FK_Evaluation__c_WhatId FOREIGN KEY(WhatId) REFERENCES Evaluation__c (Id) OPTIONS (NAMEINSOURCE 'OpenActivities'),
	CONSTRAINT FK_LMS_Training_Request__c_WhatId FOREIGN KEY(WhatId) REFERENCES LMS_Training_Request__c (Id) OPTIONS (NAMEINSOURCE 'OpenActivities'),
	CONSTRAINT FK_Lead_WhoId FOREIGN KEY(WhoId) REFERENCES Lead (Id) OPTIONS (NAMEINSOURCE 'OpenActivities'),
	CONSTRAINT FK_Lead_SuperRegion_Mapping__c_WhatId FOREIGN KEY(WhatId) REFERENCES Lead_SuperRegion_Mapping__c (Id) OPTIONS (NAMEINSOURCE 'OpenActivities'),
	CONSTRAINT FK_Marketing_Activity__c_WhatId FOREIGN KEY(WhatId) REFERENCES Marketing_Activity__c (Id) OPTIONS (NAMEINSOURCE 'OpenActivities'),
	CONSTRAINT FK_Milestone__c_WhatId FOREIGN KEY(WhatId) REFERENCES Milestone__c (Id) OPTIONS (NAMEINSOURCE 'OpenActivities'),
	CONSTRAINT FK_MonitoredActivity__c_WhatId FOREIGN KEY(WhatId) REFERENCES MonitoredActivity__c (Id) OPTIONS (NAMEINSOURCE 'OpenActivities'),
	CONSTRAINT FK_NFR_Request__c_WhatId FOREIGN KEY(WhatId) REFERENCES NFR_Request__c (Id) OPTIONS (NAMEINSOURCE 'OpenActivities'),
	CONSTRAINT FK_NonPrimaryBillingAddress__c_WhatId FOREIGN KEY(WhatId) REFERENCES NonPrimaryBillingAddress__c (Id) OPTIONS (NAMEINSOURCE 'OpenActivities'),
	CONSTRAINT FK_NonPrimaryShippingAddress__c_WhatId FOREIGN KEY(WhatId) REFERENCES NonPrimaryShippingAddress__c (Id) OPTIONS (NAMEINSOURCE 'OpenActivities'),
	CONSTRAINT FK_Opportunity_WhatId FOREIGN KEY(WhatId) REFERENCES Opportunity (Id) OPTIONS (NAMEINSOURCE 'OpenActivities'),
	CONSTRAINT FK_Order_Tracking__c_WhatId FOREIGN KEY(WhatId) REFERENCES Order_Tracking__c (Id) OPTIONS (NAMEINSOURCE 'OpenActivities'),
	CONSTRAINT FK_Partner_Onboarding_Registration__c_WhatId FOREIGN KEY(WhatId) REFERENCES Partner_Onboarding_Registration__c (Id) OPTIONS (NAMEINSOURCE 'OpenActivities'),
	CONSTRAINT FK_Partner_Profile__c_WhatId FOREIGN KEY(WhatId) REFERENCES Partner_Profile__c (Id) OPTIONS (NAMEINSOURCE 'OpenActivities'),
	CONSTRAINT FK_Partner_Program_Tier__c_WhatId FOREIGN KEY(WhatId) REFERENCES Partner_Program_Tier__c (Id) OPTIONS (NAMEINSOURCE 'OpenActivities'),
	CONSTRAINT FK_Partner_Registration__c_WhatId FOREIGN KEY(WhatId) REFERENCES Partner_Registration__c (Id) OPTIONS (NAMEINSOURCE 'OpenActivities'),
	CONSTRAINT FK_Product2_WhatId FOREIGN KEY(WhatId) REFERENCES Product2 (Id) OPTIONS (NAMEINSOURCE 'OpenActivities'),
	CONSTRAINT FK_Project_Item__c_WhatId FOREIGN KEY(WhatId) REFERENCES Project_Item__c (Id) OPTIONS (NAMEINSOURCE 'OpenActivities'),
	CONSTRAINT FK_Project_Status__c_WhatId FOREIGN KEY(WhatId) REFERENCES Project_Status__c (Id) OPTIONS (NAMEINSOURCE 'OpenActivities'),
	CONSTRAINT FK_Project__c_WhatId FOREIGN KEY(WhatId) REFERENCES Project__c (Id) OPTIONS (NAMEINSOURCE 'OpenActivities'),
	CONSTRAINT FK_Red_Hat_Attachment__c_WhatId FOREIGN KEY(WhatId) REFERENCES Red_Hat_Attachment__c (Id) OPTIONS (NAMEINSOURCE 'OpenActivities'),
	CONSTRAINT FK_Reference_Collateral__c_WhatId FOREIGN KEY(WhatId) REFERENCES Reference_Collateral__c (Id) OPTIONS (NAMEINSOURCE 'OpenActivities'),
	CONSTRAINT FK_Release__c_WhatId FOREIGN KEY(WhatId) REFERENCES Release__c (Id) OPTIONS (NAMEINSOURCE 'OpenActivities'),
	CONSTRAINT FK_Requirement__c_WhatId FOREIGN KEY(WhatId) REFERENCES Requirement__c (Id) OPTIONS (NAMEINSOURCE 'OpenActivities'),
	CONSTRAINT FK_Resource__c_WhatId FOREIGN KEY(WhatId) REFERENCES Resource__c (Id) OPTIONS (NAMEINSOURCE 'OpenActivities'),
	CONSTRAINT FK_SFDC_Channel_Account_Plan__c_WhatId FOREIGN KEY(WhatId) REFERENCES SFDC_Channel_Account_Plan__c (Id) OPTIONS (NAMEINSOURCE 'OpenActivities'),
	CONSTRAINT FK_SFDC_Objective__c_WhatId FOREIGN KEY(WhatId) REFERENCES SFDC_Objective__c (Id) OPTIONS (NAMEINSOURCE 'OpenActivities'),
	CONSTRAINT FK_Schedule_Exports__c_WhatId FOREIGN KEY(WhatId) REFERENCES Schedule_Exports__c (Id) OPTIONS (NAMEINSOURCE 'OpenActivities'),
	CONSTRAINT FK_Solution_WhatId FOREIGN KEY(WhatId) REFERENCES Solution (Id) OPTIONS (NAMEINSOURCE 'OpenActivities'),
	CONSTRAINT FK_SteeringCommittee__c_WhatId FOREIGN KEY(WhatId) REFERENCES SteeringCommittee__c (Id) OPTIONS (NAMEINSOURCE 'OpenActivities'),
	CONSTRAINT FK_StrategicPlan_Solution__c_WhatId FOREIGN KEY(WhatId) REFERENCES StrategicPlan_Solution__c (Id) OPTIONS (NAMEINSOURCE 'OpenActivities'),
	CONSTRAINT FK_StrategicPlan_Strategy__c_WhatId FOREIGN KEY(WhatId) REFERENCES StrategicPlan_Strategy__c (Id) OPTIONS (NAMEINSOURCE 'OpenActivities'),
	CONSTRAINT FK_StrategicPlan__c_WhatId FOREIGN KEY(WhatId) REFERENCES StrategicPlan__c (Id) OPTIONS (NAMEINSOURCE 'OpenActivities'),
	CONSTRAINT FK_SubscriptionBatch__c_WhatId FOREIGN KEY(WhatId) REFERENCES SubscriptionBatch__c (Id) OPTIONS (NAMEINSOURCE 'OpenActivities'),
	CONSTRAINT FK_SubscriptionLine__c_WhatId FOREIGN KEY(WhatId) REFERENCES SubscriptionLine__c (Id) OPTIONS (NAMEINSOURCE 'OpenActivities'),
	CONSTRAINT FK_SubscriptionPartner__c_WhatId FOREIGN KEY(WhatId) REFERENCES SubscriptionPartner__c (Id) OPTIONS (NAMEINSOURCE 'OpenActivities'),
	CONSTRAINT FK_Subscription__c_WhatId FOREIGN KEY(WhatId) REFERENCES Subscription__c (Id) OPTIONS (NAMEINSOURCE 'OpenActivities'),
	CONSTRAINT FK_SumTotal_Catalog__c_WhatId FOREIGN KEY(WhatId) REFERENCES SumTotal_Catalog__c (Id) OPTIONS (NAMEINSOURCE 'OpenActivities'),
	CONSTRAINT FK_Teaming_Agreement__c_WhatId FOREIGN KEY(WhatId) REFERENCES Teaming_Agreement__c (Id) OPTIONS (NAMEINSOURCE 'OpenActivities'),
	CONSTRAINT FK_Temporal_Content__c_WhatId FOREIGN KEY(WhatId) REFERENCES Temporal_Content__c (Id) OPTIONS (NAMEINSOURCE 'OpenActivities'),
	CONSTRAINT FK_Test_Case__c_WhatId FOREIGN KEY(WhatId) REFERENCES Test_Case__c (Id) OPTIONS (NAMEINSOURCE 'OpenActivities'),
	CONSTRAINT FK_Use_Case__c_WhatId FOREIGN KEY(WhatId) REFERENCES Use_Case__c (Id) OPTIONS (NAMEINSOURCE 'OpenActivities'),
	CONSTRAINT FK_Verifiable_Outcome__c_WhatId FOREIGN KEY(WhatId) REFERENCES Verifiable_Outcome__c (Id) OPTIONS (NAMEINSOURCE 'OpenActivities'),
	CONSTRAINT FK_Work_Package__c_WhatId FOREIGN KEY(WhatId) REFERENCES Work_Package__c (Id) OPTIONS (NAMEINSOURCE 'OpenActivities'),
	CONSTRAINT FK_Work_Plan__c_WhatId FOREIGN KEY(WhatId) REFERENCES Work_Plan__c (Id) OPTIONS (NAMEINSOURCE 'OpenActivities')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'false', "teiid_sf:Supports Delete" 'false', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'false', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'false', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Opportunities_Special_Program__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	Opportunity__c string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Special_Program__c string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	End_Date__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Start_Date__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Opportunity_Opportunity__c FOREIGN KEY(Opportunity__c) REFERENCES Opportunity (Id) OPTIONS (NAMEINSOURCE 'Special_Program_Junction_Objects__r'),
	CONSTRAINT FK_Special_Program__c_Special_Program__c FOREIGN KEY(Special_Program__c) REFERENCES Special_Program__c (Id) OPTIONS (NAMEINSOURCE 'SP_User_Junctions__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE Opportunities_Special_Program__History (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	ParentId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Field string(255) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'created,CurrencyIsoCode,End_Date__c,feedEvent,Name,Opportunity__c,ownerAccepted,ownerAssignment,locked,unlocked,Special_Program__c,Start_Date__c'),
	OldValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	NewValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Opportunities_Special_Program__c_ParentId FOREIGN KEY(ParentId) REFERENCES Opportunities_Special_Program__c (Id) OPTIONS (NAMEINSOURCE 'Histories')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'false', "teiid_sf:Supports Delete" 'false', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Opportunities_Special_Program__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Opportunities_Special_Program__c_ItemId FOREIGN KEY(ItemId) REFERENCES Opportunities_Special_Program__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Opportunity (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	AccountId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	RecordTypeId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsPrivate boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(120) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Description string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	StageName string(40) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Prepare,Pending,Approved,Rejected,Recalled,Engage,Qualify,Validate,Propose,Negotiate,Closed Won,Closed Lost,Closed Booked,Closed Won - Partner,POC'),
	Amount double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Probability double OPTIONS (NATIVE_TYPE 'percent', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	ExpectedRevenue double OPTIONS (UPDATABLE FALSE, CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	TotalOpportunityQuantity double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CloseDate date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Standard 1 Year Contract'),
	NextStep string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	LeadSource string(40) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Advertisement,Assessment Tool,Contact Sales,Deal Registration,Email Preferences,Employee Referral,Evaluation,Event Attendance,Event Registration,Existing Customer,External List,External Referral,FY08Q3_AU-057_007,Inbound Call,Inbound Email,Internal List,Misc. Marketing,Newsletter/Email,Offline Campaign,Other,Outbound Call,Partner,Podcast,Public Relations,Red Hat Referral,Referral,Seminar - Internal,Seminar - Partner,Survey,TCO Calculator,Tradeshow,Trade Show,Training,Training Attendee,Training Catalog,Training Pre-assessment,Video,Web Eval,Webinar Attendance,Webinar Registration,Website,Webstore,Whitepaper,Word of mouth'),
	IsClosed boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsWon boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	ForecastCategory string(40) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Omitted,Pipeline,BestCase,Forecast,Closed'),
	ForecastCategoryName string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'Omitted,Pipeline,Best Case,Commit,Closed'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	CampaignId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	HasOpportunityLineItem boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsSplit boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Pricebook2Id string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	LastActivityDate date OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	FiscalQuarter integer OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'int', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	FiscalYear integer OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'int', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Fiscal string(6) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	PartnerAccountId string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	isOnSaleHold__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	CC_SpecialInstructions__c string(100) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CreditCardType__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'American Express,Mastercard,Visa'),
	CreditCardNumberPreR4__c string(20) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	QualifiesForGSASchedule__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Yes,No'),
	WorkloadsDeployedDeployingOnLinux__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Application Development,Business Processing,Collaborative,Decision Support,Desktop or Workstation,IT Infrastructure,Not Applicable to My Project,Other Server Application,Scientific/Engineering,Web infrastructure'),
	PurchasingHWWithThisDeployment__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Yes,No'),
	PartnerProvidedLead__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'CDW,Dell,DLT,GTSI,HP,IBM,Local Reseller,Toshiba,Other'),
	LeadSourceDetail__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" '04122008_RoadShow_AR,2009_Q3_Renewal,2009_Q4_Renewal,2010_Q1_Renewal,2010_Q2_Renewal,2010_Q3_Renewal,2010_Q4_Renewal,2011_Q1_Renewal,2011_Q2_Renewal,2011_Q3_Renewal,2011_Q4_Renewal,2012_Q1_Renewal,2012_Q2_Renewal,2012_Q3_Renewal,2012_Q4_Renewal,2013_Q1_Renewal,2013_Q2_Renewal,2013_Q3_Renewal,2013_Q4_Renewal,2014_Q1_Renewal,2014_Q2_Renewal,2014_Q3_Renewal,2014_Q3_Renewal_Dell_OEM,2014_Q4_Renewal,2014_Q4_Renewal_Dell_OEM,2015_Q1_Renewal,2015_Q1_Renewal_Dell_OEM,2015_Q2_Renewal,2015_Q2_Renewal_Dell_OEM,2015_Q3_Renewal,2015_Q4_Renewal,2016_Q1_Renewal,2016_Q2_Renewal,2016_Q3_Renewal,2016_Q4_Renewal,CALL_FROM_GLS,Channel Sell Thru,COS_RENEWAL_NOTICE,COS_WEB_as_0402_45555,CRS_WEB_STORE,CRUSH,CS_PreSales,CSMB - MW Leadpass,Deal Registration,EDU_WEB_EDU,EMAIL_TO_SALES,FY09_Q2_Switch2JBoss_Rainmaker_BEAtoJBossMigration,FY10_Q1_NA_Channel Recruitment_Central Region,GLS_Preassesssment,GLS_Student_Survey,GLS_VAR_Academy,GLS_VAR_CorpTrng,GLS inbound,GLS On-Site,GSS,GSS_WEB_SUPPORT_EXT_45000,GSS - Compliance,GSS Opportunity Program,GSSWebSupportEXT45000,Harte Hanks,InboundVoiceMail,INTERNAL_CALL_FWD,INTERNAL_FWD_EMAIL,IS_DIRECT_INCOMING,IS_EXEC_LEAD,IS_EXISTING_CUSTOMER,IS_Outbound_NEW,IS_SALES_PLGE,IS_TRAINING_GROUP_FWD,Jigsaw,LinuxEasy_DE_TS,LinuxEasy_EMEA_TS,LinuxEasy_FR_TS,LinuxEasy_SE_TS,NAMEDACCT_INBOUND,NAMEDACCT_OUTBOUND,OEM Royalty,RHEL SSP Referral,RHN_Web_Esm,SD_DESKTOP,SD_EXISTING,SD_MENU_RHEL4,SD_PRESALES,SD_PRICING,SEAP Oracle Data Mining_10/23/2009,Sponsorship,Vendere - Dollar for your Thoughts,Web_EmbLnx,WEB_STORE'),
	PriceOfWinningBid__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Value_Added_Sales_Activity_Description__c string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ReasonWonLostCompanyReputation__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Superior Company Image,Superior Financial Stability,Lost to Competitor,Not Pursued'),
	ReasonWonLostProduct__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Superior Quality of Technical Support,Superior Quality of Professional Svcs,Superior Quality of Training Svcs,Easier Company to do Business With,Price to Competitor,Lost to Competitor,Not Pursued'),
	FulfillmentChannel__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Cloud Service Provider,Direct - Carahsoft,Direct - DLT,Direct End Customer,Direct - End Customer,Direct - GTSI,Direct - immixGroup,Direct – OEM,Direct Reseller,Direct - VAR/VAD,Distributor,Indirect - Internal Commissions Credit,Indirect – OEM Preload,Indirect - VAR/VAD,Indirect – Webstore,N/A,OEM,Webstore'),
	PONumber__c string(200) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	PODate__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	OracleOrderNumber__c string(18) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	OracleOrderID__c string(20) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	TermOfOpportunity__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" '1 Yr.,2 Yrs.,3 Yrs.,4 Yrs.,5 Yrs.'),
	Year1Amount__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Year2Amount__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Year3Amount__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Year4Amount__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Year5Amount__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	TotalAmount__c double OPTIONS (UPDATABLE FALSE, CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	AgreementType__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Subscription Agreement with RSS Addendum,Framework/Master Service,Framework /MSA - SOW/Work Order,Subscription,RSS Addendum,Click-Through/Subscription Order Form,Learning Services,Red Hat Academy Services,Hosting Provider Program,Professional Services,Professional Services - SOW,Toolchain/GNUPro Services and Support,Engineering Services,ISV Partner,Training Partner,Cygwin License,OEM Partner,Evaluation,Distribution,Reseller/Business Partner'),
	PaymentType__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'APAC Purchase Order,Channel Fulfillment,Credit Card,EMEA Purchase Order,LATAM Purchase Order,N/A,NA Purchase Order,Pre-Pay,Purchase Order'),
	CreditChecked__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	ASIDBT__c string(20) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	PaymentTerms__c string(40) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ARBalance__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ARPastDueAmount__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CreditLimit__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ContractStartDate__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ContractEndDate__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ASIDST__c string(20) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ExpirationDate__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	NameOnCard__c string(50) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	SendingMedia__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	BillingAddress__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ShippingAddress__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BillingCity__c string(40) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ShippingCity__c string(40) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BillingCountry__c string(40) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ShippingCountry__c string(40) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BillingZipPostalCode__c string(20) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ShippingZipPostalCode__c string(20) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BillingState__c string(20) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ShippingState__c string(20) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ProductsOfInterest__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Academic,Apache Tomcat,Business Rules,Certificate System,Cluster Suite,Consulting,Cygwin,Data Integration,Developer Productivity Tools,Development Tools,Directory Server,Extended Update Support for RHEL,GFS,Global Professional Services,Global Support Services,GLS,GNU Pro,GPS,GSS,Hibernate,Hosting,Hosting Program,ISV Partner Program,Java Application Servers,JBoss,JBoss/RHEL Stack,JBoss Application Server,JBoss Cache,JBoss Consulting Services,JBoss Developer Studio,JBoss Eclipse IDE,JBoss Enterprise Application Platform,JBoss Enterprise BRMS,JBoss Enterprise Communications Platform,JBoss Enterprise Data Services Platform,JBoss Enterprise Portal Platform,JBoss Enterprise SOA Platform,JBoss Enterprise Web Server,JBoss Hibernate,JBoss jBPM,JBoss Messaging,JBoss Operations Network,JBoss Portal,JBoss Rules,JBoss Seam,JBoss SOA Consulting Services,JBoss Solutions,JBoss Training,JBoss Transactions,Layered Applications,Middleware Consulting,Middleware Management,Middleware Training,Mobile App Platform,OEM Partner Program,Other,Partnering/Embedding JBoss,Portals,Red Hat Academy,Red Hat Application Stack,Red Hat Certificate System,Red Hat Cluster Suite,Red Hat Command Center,Red Hat Directory Server,Red Hat Enterprise IPA,Red Hat Enterprise Linux Desktop,Red Hat Enterprise Linux for Developers,Red Hat Enterprise Linux for Education,Red Hat Enterprise Linux for HPC,Red Hat Enterprise Linux for Mainframes,Red Hat Enterprise Linux for Servers,Red Hat Enterprise MRG,Red Hat Global File System,Red Hat Network Proxy,Red Hat Network Satellite,RHEL,RHEV Hypervisor,RHEV Manager for Desktop,RHEV Manager for Servers,RHN,RHX - Alfresco,RHX - CentricCRM,RHX - Compiere,RHX - EnterpriseDB,RHX - Groundwork,RHX - Jaspersoft,RHX - MySQL,RHX - OpenFire,RHX - Pentaho,RHX - SugarCRM,RHX - Zenoss,RHX - Zimbra,RHX - Zmanda,Runtime,Runtime Partner Program,SOA & Application Integration,Training and Certification'),
	PO_Special_Instructions__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	SaleHoldStatus__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Co_Term__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Yes,No'),
	Comments__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ContractNumber__c string(10) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	OpportunityNumber__c string(30) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	BillingAccountNumber__c string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Country_of_Order__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Afghanistan,Albania,Algeria,Andorra,Angola,Anguilla,Antigua and Barbuda,Argentina,Armenia,Aruba,Australia,Austria,Azerbaijan,Bahamas,Bahrain,Bangladesh,Barbados,Belarus,Belgium,Belize,Benin,Bermuda,Bhutan,Bolivia,Bosnia and Herzegovina,Botswana,Bouvet Island,Brazil,Brunei Darussalam,Bulgaria,Burkina Faso,Burundi,Cambodia,Cameroon,Canada,Cape Verde,Cayman Islands,Central African Republic,Chad,Chile,China,Colombia,Comoros,Congo,Congo, The Democratic Republic of the,Costa Rica,Cote d''Ivoire,Croatia,Cyprus,Czech Republic,Denmark,Djibouti,Dominica,Dominican Republic,Ecuador,Egypt,El Salvador,Equatorial Guinea,Eritrea,Estonia,Ethiopia,Falkland Islands (Malvinas),Faroe Islands,Fiji,Finland,France,French Guiana,French Polynesia,Gabon,Gambia,Georgia,Germany,Ghana,Gibraltar,Greece,Greenland,Grenada,Guadeloupe,Guam,Guatemala,Guernsey,Guinea,Guinea-Bissau,Guyana,Haiti,Holy See (Vatican City State),Honduras,Hong Kong,Hungary,Iceland,India,Indonesia,Iraq,Ireland,Israel,Italy,Jamaica,Japan,Jordan,Kazakhstan,Kenya,Kiribati,Korea, Republic of,Kuwait,Kyrgyzstan,Lao People''s Democratic Republic,Latvia,Lebanon,Lesotho,Liberia,Libyan Arab Jamahiriya,Liechtenstein,Lithuania,Luxembourg,Macao,Macedonia, the Former Yugoslav Republic of,Madagascar,Malawi,Malaysia,Maldives,Mali,Malta,Martinique,Mauritania,Mauritius,Mayotte,Mexico,Moldova, Republic of,Monaco,Mongolia,Montserrat,Morocco,Mozambique,Myanmar,Namibia,Nauru,Nepal,Netherlands,New Zealand,Nicaragua,Niger,Nigeria,Norway,Oman,Pakistan,Palau,Panama,Papua New Guinea,Paraguay,Peru,Philippines,Poland,Portugal,Puerto Rico,Qatar,Reunion,Romania,Russian Federation,Rwanda,Saint Helena,Saint Kitts and Nevis,Saint Lucia,Saint Pierre and Miquelon,Saint Vincent and the Grenadines,Samoa,San Marino,Sao Tome and Principe,Saudi Arabia,Senegal,Serbia,Serbia and Montenegro,Seychelles,Sierra Leone,Singapore,Slovakia,Slovenia,Solomon Islands,Somalia,South Africa,Spain,Sri Lanka,Suriname,Svalbard and Jan Mayen,Swaziland,Sweden,Switzerland,Taiwan,Tajikistan,Tanzania, United Republic of,Thailand,Timor-Leste,Togo,Tonga,Trinidad and Tobago,Tunisia,Turkey,Turkmenistan,Turks and Caicos Islands,Tuvalu,Uganda,Ukraine,United Arab Emirates,United Kingdom,United States,United States Minor Outlying Islands,Uruguay,Uzbekistan,Vanuatu,Venezuela,Vietnam,Virgin Islands, British,Virgin Islands, U.S,Wallis and Futuna,Western Sahara,Yemen,Zambia,Zimbabwe'),
	Percent_of_Credit_Limit__c double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'percent', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Time_and_Date_Approved__c timestamp OPTIONS (NATIVE_TYPE 'datetime', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Credit_Approved_by__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Jacqui Fleury,Pam Watrous,Sheree Alhmer'),
	Primary_Partner__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Acao,Accenture,Acer,ACE Training Limited,Acol,Activate Datastar Argentina SA,ACW Distribution,AddOn,Adelux,Advance Training,Agilysys,Alstom,ALTEC S.E.,Alternative Technology an Arrow Co,Alternative Technology Inc,Altimate,AMR CONSULTORIA INFORMATICA SERVICOS E SOLUCOES LTDA,Applied Marketing,Arjuna,Atena,ATG,Atlas,Atos Origin,Auldhouse,Automated Systems Holdings,Avanzit Tecnologia S.A.,Avnet,Avnet Partner Solution,Axoft,Azeemi Technologies,Baoding Feizhi Network Technology Co., Ltd.,Bearing Point,Beijing Fendou Education Science Co,. Ltd - 北京奋斗教育科技有限公司,Beijing Jin Fan Shu Ren Science and Technology Co.,Ltd - 北京金帆树人科技有限公司,Beijing Open-Lab Investment And Management Ltd.,BeiJing TigerSQL Technology Co.,LTD,Beijing WanHua ChuangLi Digitial Technology & Development Co., Ltd. - 北京万华创力数码科技开发有限公司,Bell Micro,Belo Horizonte Sistemas,Bestcom Infotech,Bexpert,BH Sistemas,Bluefox Networking Technology Training School ,Hunan Province-湖南省蓝狐网络技术培训学校,BPAN,BRASOFTWARE INFORMATICA LTDA,BroadVision,BSI TECNOLOGIA LTDA.,Bull,Bull do Brasil,BusinessMind,BusinessMind Colombia S.A.,BusinessMind S.A.,Business Solutions,Business to Business Informatica Do Brasil,Bytec,Cap Gemini,Carahsoft,Caravela Tech,Carius Informatica,Carius Informática Ltda,CCD,CDW,Celona,Changhong IT Information Products Co., Ltd - 四川长虹佳华信息产品有限责任公司,Changsha Myway Information Technology Co., Ltd - 长沙迈威信息技术有限公司,Chengdu E-triumph Information and Technology co.,Ltd  - 成都励创伟业信息技术有限公司,Chengdu High-Tech Gocean Education Center - 成都高新金海洋教育中心,Chongqing Neptune Network Co., Ltd - 重庆海王星网络有限公司,Chongqing Xiechuang Co.,Ltd-重庆协创信息技术有限公司,CIMCORP COMERCIO INTERNACIONAL E INFORMÁTICA LTDA,Cisco Systems, Inc. - シスコシステムズ合同会社,Cobra,CodeGen,Commeo,CompuEducacion S.A. de C.V.,Computer Point,Consultoria Globlal,Copaco,Criar Solucoes,CSC,CSK,CTI,CTIS Tecnologia S/A,Cxrus Solutions,Cygwin,Cypher Martin Systems Ltd,Cyrus Technology,Daiwabo Information System,Daou Data System,Daou Tech Inc.,Datastar Argentina S.A.,Dawning Technology,DBA ENGENHARIA DE SISTEMAS,Debug Computer Peripherals Pvt Limited,Decatron Automação e TI LTDA.,Dell – APAC,Dell – EMEA,Dell - LATAM,Dell – NA,Deloitte,DH&C Outsourcing S.A.,Digidea China,Digital China,Digital Henge Co.,Ltd. - (주)디지털헨지,Dimension Data Learning,Diode,Diquest,Distrilogie,Diveo,Diveo do Brasil Ltda,DLT,DMS,DMS Software Technologies Pvt Limited.,Dupaco,ECS Computers (Asia) Pte Ltd,ECS Pericomp Sdn Bhd,EDB,EDC,EDS,EDS Brazil,Education Tecnologia da Informação Ltda,eduStance,Eft Group,Egenera,Egenera - Japan,Elosoft,EMEA ISV Embedding,EMEA ISV Partner Fee,Emergen Consulting,Enlogit,EN-SOF Consultoria e Informática Ltda,Escala,ESERV,ETC,Evolution Multimedia,Express Training Connections,Fastlane,Florida Micro,FPT Distribution,FRANK Robin Linux Systems,FSC,FTD Comunicacao de Dados,Fujitsu,Fujitsu – APAC,Fujitsu Brazil,Fujitsu – EMEA,Fujitsu – LATAM,Fujitsu Middleware Limited,Fuzhou Alading Network Education Center - 福州阿拉丁网络教育培训中心,Fuzhou Wecan,G.T. Enterprises,GFI,GKI,Global Knowledge,Global Red Soluções em Software Livre LTDA,GPS Global Projetos e Sistemas Ltda,GTI Software,Guangdong Linux Centre,Guanzhou TOGOGO Network Technolody Co Ltd - 广州腾科网络技术有限公司,Hangzhou BOXUE Info Technology Ltd.,Hanoi Information Technology Co Ltd,HCL,Hefei broade Network Technology Co. - 合肥博科网络科技有限公司,Hefei Ding Jie Information Technology Co.,Ltd /合肥鼎杰信息科技有限公司,Hitachi - APAC,Hitachi Data Systems S.A.,Hitachi Systems & Services,Ltd (Japan only),Hitron Systems,Hosting,HP – APAC,HP-Brasil,HPD Systems,HP – EMEA,HP - ES,HP - LATAM,HP – NA,Huawei,Hubei Superich Computer Training School - 湖北斯瑞计算机职业培训学校,Hunan Myway Information Technology Co., Ltd - 湖南迈威信息技术有限公司,IBM – APAC,IBM - AR,IBM – EMEA,IBM Japan Application Solution Co., Ltd,IBM - LATAM,IBM – NA,Ibrowse Consultoria,ICE Systems,Ideal Hardware,Inacorp S.A.,IndoLinux,Indra,Infor,Informatica (El Cortes Ingles),Infosys,Ingenieros Profesionales en Comunicaciones,Ingram Micro – APAC/ Tech Pacific India,Ingram Micro -Brasil,Ingram Micro Mexico,Ingram Micro – NA,Inova Tecnologias da Informação Ltda,Insight,Integra,Interactive Ideas,Intuit,Isisa,Itautec,IT Learning Solution - 晨宇汇佳,ITM,Itochu Techno-Solutions,IT One,IT Way,iTX,Iverson Associates Sdn Bhd,IX Soft,JBoss ISV,JBoss SI,Jinan SiNuo information technology Co., LTD  - 济南思诺信息科技有限公司,Just In time ( Holdings) Pvt Limited,Kobian Technologies,Lanlink Informática,Lenovo,Lenovo (Beijing) Limited,Lesson Software,Lien Cheng Computer Inc.,Liga,Lilien, Llc,Lindist,LINK,LinuxCenter,Linux Center HK,Linux Data System (Korea),LinuxKorea,Linuxland,Linux Warehouse,LM2 CONSULTING INFORMÁTICA LTDA,Logica,Logica Sistemas,Logix,Lombardi Software,LX,LxPN Distributions,Magirus,Mainline,Makro,Markt & Technik Vertriebs,Markway Business e Informática Ltda,Matrix,Medidata Informatica S/A,Mega Legend,Megatelcom,Merlin International,MFEC Public Company Limited,Mformation,Microgenesis Software Inc.,Microlog Informatica,Microsintese (OS Informatica Ltda),Millenium Information Tech,Millenium IT Pvt Limited,Mirante,MK Nod,MSI,MSI-ECS,Multimode,Munir Brothers,Nanjing TieHeng Technology,Nanjing University YIPAI Technology,Nanning Teamu Technology Co.,Ltd /南宁市天耀科技有限责任公司,NEAT Lanka,NEC,NECAM,NEC - APAC,Netix Colombia,Netix - Venezuela,Nexsys Colombia,Nexsys del Peru S.A.C.,Nihon Unisys,Nomura Research Institute,Nordicmind,NORTHTECH TECNOLOGIA,Novell,NRI Learning Network,NT SYSTEMS TECNOLOGIA,NTT Learning Systems,NTT-Neomeit,Objective Solutions,Officer,OKI Electronics,Omniwaresoft Technology Inc.,Open Money Info,Open Net,Open PSL,Open Systems,Opentech,Open Way,Open-XChange,Ora-Tech Systems Ltd,OS INFORMATICA (MICROSINTESE),OSL Distribution,OST,Oxya,Panasonic Solution Technology,Paramettro Solucoes Gerenciais,Partner Fee ABP,PC Systems,PD Case,Pearson Education,Perception,Peridrome,PFU LIMITED,PNX China,Politec,Power Logic,Premier System Pvt Ltd,Preteco,Preteco - Bolivia,Preteco Chile,Proativa (Open 5),Prosoft,PT Bajau Escorindo (Indonesia),PT ECS INDO JAYA,QA LTD,QCM,Qingdao Qiuzhi Vocational Technology Training School - 青岛求知职业技能培训学校,Q-Linux,Qrios,Quality Software S/A,Quintec EDU,Rainmaker,RCA Informatica Ltda.,Red Hat South America,Redix Serviços em Informática Ltda.,RED-Partner,Redpill,Renaissance Tech,Repton,R K Traders,Rock Place,RR Tec,Rumos,Samsung,Samsung SDS Co. Ltd,Scaler,Scribona,SCS Thailand,Seaq Servicios Cia Ltda,Sea Tecnologia em Informatica Ltda,SECURITY WEB INFORMÁTICA S/C LTDA.,Selenca,Sercompe,Service IT,Servix,Servodata,Shanghai East-Glow Digital,Shanghai Putian Marconi Network Technologies,Shanghai Yuanchi Education Centre 上海远驰专修学院,Shantu Times Information Technology Training Center - 陕图时代国际认证培训基地,Shenzhen Kerrysmart Industrial Co Ltd,Shenzhen Xunfang Communication Technology Co., Ltd - 深圳市讯方通信技术有限公司,SHI,Shijiazhuang hsuhai Human Resources Co., Ltd. - 石家庄旭海人力资源有限公司 /,Siemens Business Information Services,SINOSOFT CO.，LTD,Sinux S.A.C.,SIOS Technology,SK C&C,SK C&C CO., LTD,Sky Net/Antonio David Salgado Cordero,Sodifrance,Softbank,Softchoice,Softcon,Softline,Softprom,Soft Pro System Ltd.,SoftwareLibreAndino,Software Libre Andino,Software libre - Venezuela,Software Spectrum,Soluciones Tecnologicas para la Gestion de la Informacion SpA,Sonata Software,Sonset,Sopra,SPASSU Informatica,Spectrum Training Brokers,Star Company,Star do Brasil,Stefanini Consultoria,Step One Group,Steria,Stratus,Sumati Information Technologies,Sumisho Computer Systems,Summan Ltda,Sun – APAC,Sun – EMEA,Sun - LATAM,Sun Microsystems do Brasil Ind. e Com Ltda,Sun – NA,Superich Dongguan Pacific Gold Technology - 东莞斯瑞计算机有限公司,Support Technologies,Suprimatica Computadores e Serviços LTDA,SureBridge Pty Ltd,Surfdiensten,Suzhou Sanxin Internet Education Consulting Co., Ltd - 苏州三信网际教育咨询有限公司,Swan,Synapsis Argentina SRL,Synapsis Brasil,Synergy Information Systems (Pvt.) Ltd,Synnex,SYNOS,Synos Consultoria e Informática,System Manager Tecnologia em Inf. Ltda,Sysware Corporation,Tallard,TCS,Teamnet,Tech Data,Tech Data - NA,Tech Pacific New Zealand,TecniSys Informática e Assessoria Empresarial Ltda,Tecnoglobal,Thales,The Linux Warehouse,The Value Systems,Thunip Union (China),TIBCO,TietoEnator,TIS,Touch Solutions,Trade UP,Training Choice (Malaysia),Training Choice Pte Ltd (Singapore),Training Partner Fee,Triforsec,T-Systems,Ubik do Brasil,Ucom Information TW,ULX,UNILOG/Logica,Unimix,Union Education Consultation (BeiJing)CO.,Ltd 联创精英教育咨询（北京）有限公司,Union IT,Unisys,United Business Solutions Limited,Unitek,UPGRADE Consultoria e Serviços em Processamento de Dados Ltda,UTStarcom Telecom Co Ltd - UT 斯达康,VDEL IT & Consulting,Versatu,Vinic,Visual Computing Services (VCS),Vitria,V S INFORMATION SYSTEMS (PVT) LTD,W3S SOLUTIONS LTDA - EPP,Webbertek,WinWorld,Wipro Infotech,WTEC,Wuhan Yutian Internet Technology Co., Ltd - 武汉誉天互联科技有限责任公司,Wuhan ZD Information & Technology Co.,Ltd - 武汉市支点信息技术有限公司,Xiamen Wisdom Computer Technology Co.Ltd/厦门微思计算机技术有限公司,Xpertise,X-Tech,Xtivia Inc,YuNuo Computer (China),Zenith Computers Ltd,上海央邦培训中心 - Shanghai Yangbang Computer Technologies,上海文华专修学院 - Winworld Academy,上海旗盈信息咨询有限公司 - Shanghai Qiying IT Consulting Co., Ltd,上海毕威教育信息咨询有限公司 - Shanghai Bizwisdom Education Consulting Co., Ltd,东方瑞通（北京）咨询服务有限公司 - Easthome (Beijing) Consulting & Services Co,. Ltd,中软总公司计算机培训中心 - Computer Training Center of CS&S,北京华清远见科技信息有限公司 - Beijing Farsight Technology & I nformation C O., LTD,北京尚观科技有限公司-Beijing Uplooking Technology Co., Ltd,北京怡立北方系统集成有限公司 - Rileader (Beijing) Northern System Integration Co.,Ltd,北京拓朴创杰教育咨询有限公司-Beijing Tuo Pu ChuangJie Education Consulting Co., Ltd,北京晨宇汇佳咨询有限公司-IT Learning Solution Inc,太原市小店区金飞峰计算机培训学校 - Taiyuan City Xiaodian District Jinfeifeng Computer Training School,徐州正科网络科技有限公司 - Xuzhou ZhengKe Network Technology Co.,,成都银河信息技术学校 - Chengdu Milkyway Education Center,昆山央邦信息科技有限公司 - Kunshan Yangbang Computer Technologies,林科思（北京）人力资源管理 咨询有限公司 - Links Beijing Human Resource Consultancy Company,株洲市怀思曼计算机科技有限责任公司 - Wiseman Computer Technology Co., Ltd,江苏万和计算机培训中心 - Jiangsu WanHe Computer Training Center,沈阳吾思特东大教育培训学校 - Shen Yang Wu Shi Te Dong Da Education and training schools,西安尚赛信息技术有限公司  - Xian Sunshine Volcano IT Certification Center,郑州爱科信息技术有限公司 - Zhengzhou Aike Information Technology Co., Ltd,郑州瑞琪教育咨询有限公司 - Zhengzhou Rich Education Consultant Ltd'),
	DateOrderSubmitted__c timestamp OPTIONS (NATIVE_TYPE 'datetime', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Requisition_Number__c string(20) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Canadian_Federal_Government__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Pay_No__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Region__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'ANZ,ASEAN,Brazil,Canada,CE,GCG,India/Pakistan,Japan,Korea,LATAM,Mexico,NEE,NOLA,SAC,SE,SEMEA,US'),
	SubRegion__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Baltics,Benelux,CEE,CIS,DACH,France,Iberia,IGC,Italy,MET,N-Africa,Nordics,S-Africa,UK'),
	OpportunityTypess__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Co-Term <Fill Co-Term Calculator>,Evaluation <Zero Value Opportunity>,Multi-Year <Populate Contracts Section>,Rebook <Zero Out 1st Opp>,Renewal<Include Contract #s>,Royalty <Report from OEM>,Runtime,Standard 1 Year Contract'),
	Notify_Credit__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Credit_Notification_Reason__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Credit - Initial Request,Credit - New Billing Account Requested,Credit - Opp Less than $10K,Credit - Pre-Approved Account,Credit - Updated Request'),
	Opportunity_Completeness_Status__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Credit_Status__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Approved,Pending - Sales,Pending - Credit,Denied'),
	Day_of_week__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Day_of_Week_NUM__c double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'double', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Triage_Opportunity__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Close_Month_num__c double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'double', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Access_Protocol__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'GlusteFS Native,NFS,CIFS,VM,Hadoop'),
	CreatedFromSolution__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Hardware_Model__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Platform_Vendor__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'HP,Dell,Supermicro,Cloud,Fujitsu,IBM,Cisco,NEC,Hitachi,AWS,RHEV 3.0,RHEV 3.x,VMware vSphere 5.x,VMWare ESXi 5.x,Other'),
	Storage_Use_Case__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Large File & Object Store,Nearline / Active Archive,Content Cloud & Content Delivery,Enterprise NAS Dropbox & Object Store / Cloud Storage,Live VM Image Storage,DR using replicated storage,Disaster Recovery using Replicated Storage,Hadoop,No concrete info available,Scale-out File Storage,Scale-out Object Storage,VM Store for RHEV,Big Data Analytics'),
	GSSO_Solution__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Apps: Behavior Driven Development (BDD),Apps: Business Automation,Apps: Data Consolidation,Apps: Integration,Apps: JBoss Enterprise Migration,Apps: Messaging,Apps: Other,Apps: Service Oriented Architecture,Arch Svc - Certified Cloud Provider,Arch Svc - Enterprise PaaS,Arch Svc - JBoss BRMS with BDD,Arch Svc - JBoss Fuse,Arch Svc - Open IaaS,Arch Svc - Red Hat OpenStack,Arch Svc - Red Hat Storage,Cloud: Cert Cloud Prov Arch Svc (CCPAS),Cloud: DevOps,Cloud: Enterprise PaaS Arch Svc (EPAS),Cloud: IaaS,Cloud: Open IaaS Arch Svc (OIAS),Cloud: OpenStack Accelerator (RHOSPA),Cloud: Other,Cloud: PaaS,Cloud: Unified Management,DEE - Dedicated Enterprise Engineer,Design & Sprint,Infra: IT Modernization and Migration,Infra: Operational Efficiency,Infra: Other,Infra: Standard Operating Environment,Infra: Storage,Infra: Systems Management,OpenStack,Other,Other: Open Source Enablement (OSEP),Pathway - IT Efficiency,Pathway - IT Modernization,Pathway - Open Cloud,Pathway - Open Source Enablement,PoC,POD,Tech Sol - Business Process Management,Tech Sol - Cloud and Virtualization,Tech Sol - Custom Software Dev.,Tech Sol - Enterprise Data and Storage,Tech Sol - Service Oriented Architecture,Tech Sol - Standard Operating Envmt.,Workshop'),
	EngagementEndDate__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	EngagementStartDate__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	IsLockedForSales__c boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	POC_Close_Comments__c string OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	POC_Close_Reason__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Failed Engagement - Customer Disengaged,Failed Scoping - Cannot Meet Requirements,Failed Scoping - Customer Disengaged,POC Successful,POC Unsuccessful,Rejected by BU Management,Rejected by SA Management'),
	POC_Parent_Opportunity_Owner_Role__c string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	POC_Primary_Product__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Enemies__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" '+5 No competition in account, only solution considered,+4 Short list of competitors, our solution preferred,+3 Short list of competitors, our solution is favorable,+2 On short list of competitors,+1 Reason to believe that we have made the short list,0 Not yet discussed competitors,-1 Numerous competitors,-2 Competitors solutions better solve business needs,-3 Competitors solutions better solved needs and is favorable,-4 Competitors solution being negotiated,-5 Competitor is awaiting signature'),
	PocStatusFormula__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	PrimaryBusinessUnit__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	SSIReferralCreatorEmailOpp__c string(80) OPTIONS (NATIVE_TYPE 'email', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Source_Opportunity_Referrals__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Region_tmp__c string(100) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Renewable__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Yes,No'),
	Source_Opportunity__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	fromRenewal__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	isRenewed__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Days_Since_Partner_Touched__c double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'double', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Partner_Created__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	ReasonWonLostSalesProcess__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" '14 Day Rule not met,90 Days Post Expiration,Company out of business/acquired,Competitive - Other,Competitor offered better pricing,Compliance Duplicate,Compliance No Concern,Co-Termed Opp,Customer does not need updates or support,Customer Not Renewing,Deal Registration Expired,Duplicate Opp,Lack of certifications/Not Compatible,Lack of necessary certification(s),Legal/payment terms not acceptable to customer,No budget at this time/project canceled,No response/incorrect contact information,Not compatible with existing environment,Opportunity created for forecasting (APAC),Per Finance Request,Poor experience with Red Hat support,Product does not meet technical requirements/performance is poor,Project canceled,Sales Ops Cleansing,Sales Ops Investigating,Sales Rep Created Renewal Opp,Superior Product Positioning,Too late to deal,Unqualified opportunity'),
	Lead_Created_Date__c timestamp OPTIONS (NATIVE_TYPE 'datetime', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Age_of_Opportunity__c double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'double', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Age_of_Sales_Cycle__c double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'double', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Credit_Card_Number__c string(20) OPTIONS (NATIVE_TYPE 'encryptedstring', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Region_of_Order__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Extended_Total_Price__c double OPTIONS (UPDATABLE FALSE, CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	QuoteNumber__c string(25) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	DateOrderBooked__c timestamp OPTIONS (NATIVE_TYPE 'datetime', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Revenue_Type__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Subscription,Services,Subscription & Services'),
	Statement_of_Work_Reference__c string(20) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Notify_Order_Entry__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Year6Amount__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Details_from_Lead__c string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Year1PaymentAmount__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Year2PaymentAmount__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Year3PaymentAmount__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Year4PaymentAmount__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Year5PaymentAmount__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Year6PaymentAmount__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	OpportunityType__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Standard,CoTerm,Eval,Runtime,Royalty,Royalty - EMEA,REBOOK,Hosting,Hosting - Initial,OM Exception,DO NOT ADD TO ANY RECORD TYPE,Bridge,Buffer,Customer Satisfaction,Master Claim,Commissions Claim'),
	Sales_Comments_to_Credit__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Credit_Limit_Requested__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	JBoss_Product_Opp2__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	JBoss_Opp_Number__c string(10) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Cloned_Opp_Number__c string(10) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Framework_on_File__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Reasons_Won_Lost_Other__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	TimeTillOrderBooked__c double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'double', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	PO_Confirmed_By__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	mkt_cl_oppty__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	mkt_cl_oppty_quote__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	mkt_cl_closed_deal__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Bill_To_Address_Details__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Bill_To_Contact__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Present_Quote__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Reseller__c string(100) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Opportunity_Priority__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" '1,2,3,4,5'),
	EMEA_SE_Required__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	BusinessDaysInEngagement__c double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'double', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	EmbeddedOverridden__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Embedded__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	POC_Paid__c boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Services_Effort_Allocation_6__c double OPTIONS (NATIVE_TYPE 'percent', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Services_Product_Line_6__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Cloud,Platform,Middleware,Open Source Enablement,Storage,Virtualization'),
	POC_Paid_Opportunity_Count__c double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'double', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Engagement_SA__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	New_Business__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	IsOwnerLookupCurrent__c boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	POC_Approved_by_BU_Management__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	POC_Approved_by_SA_Management__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	POC_Assigned_by_SA_Management__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	POC_Parent_Stage__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	POC_Submit_for_BU_Approval__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Forecast_Interval__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Distributor_Annual_Pay_Program__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	AssignedApprovers__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ApprovalStatusDate__c timestamp OPTIONS (NATIVE_TYPE 'datetime', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ApprovalStatus__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Pending,Approved,Rejected,Recalled'),
	Country_of_Order_Formula__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Future_Reporting_Requirement__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Yes,No'),
	LFR__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Royalty_Type__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Embedded,True-up,CCP'),
	ShippingContact__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Technical_Win_Date__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Sales_Ops_Reviewed__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ProductsWithoutContractNumberCount__c double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'double', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	AccountOwner__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	OriginalOpportunity__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	RHN_AccountNumber__c string(10) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	RenewalOpportunityNumber__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Is_PAR__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	CDH_Party_Number__c string(30) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Special_Deal_Type__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'OpenStack'),
	Reminder__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Region2__c string(10) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Super_Region__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Channel_Load_Date__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	FED_SLED_Sales_Team__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Opportunity_partner_Worked__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Yes,No'),
	Opportunity_Last_Modified_by_Partner__c string(30) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Opportunity_Last_Modified_Date_Time__c timestamp OPTIONS (NATIVE_TYPE 'datetime', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Partner_Close_Rating__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" '5,4,3,2,1'),
	Partner_Multiplier__c double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'double', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Channel_Load_Opp__c string(15) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Deal_Registration__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Lead_Expiration_Date__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	SubmitConfirmDate__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	SubmitConfirmUser__c string(30) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Owner_Role_at_Close__c string(40) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Value_Added_Services_Proposed_Desc__c string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	NA_Reseller__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" '180 IT,2Netsolution,3leaf Systems,5-elements Consulting,7056443 Canada Inc.,A2Z Computers INC.,Aarons Computer Services,A-Assist-Integration, LLC,Abilis Solutions,Abstract Initiative, LLC,Accura-tech Ltd,Ace DBA consulting,Acquity,Acresso Software Inc,Adcap Network Systems, Inc.,ADCOM Corp.,Advanced HPC, Inc.,AEM,Agege Information Systems, Inc.,Agilysys, Inc,AH Computer Services,Ainsworth Inc.,Akibia,Alcomp Inernational, Inc.,Alcomp International, Inc.,Alternative Technology (Arrow),Americas Online Auto Mall Inc,Apex Technology Systems, Inc,Appleton Computer Corporation,Arlin Media,ASAP,Atlantia Technology Group, Inc.,Atrion,Avaunt,Axeda Corporation,Axispoint,Azuris Technologies,B:LAST Development Corp,Bayside Solutions, Inc.,BDNelson, Inc.,Beebe Enterprises Ltd,Bemidji Communications,Bits In Glass Inc.,BITZ Secure Networks, Inc.,bluarch,Bluereef Group, LLC,BoostPlatform,Bradford Web Creation,Brown Enterprise Solutions,Bryco Digital Solutions,Business on a host,Business Process In Motion LLC,C & G Technologies Consulting,capital city technology group,Capitalware Inc.,CAS Severn,Castle Rock Innovations, LLC.,Caza Informatique,CDW,CDWG,Centaurus Technology Partners, LLC,CGSNYC,Champion Solutions Group,Chariot Solutions,CH Business Solutions,Chenoa Information Services,Chiral Software, Inc.,CIGNEX Technologies, Inc.,Cillian Technologies,CITENT,Cloud 9 -SaaS-,Cloudware Connections Inc,Cold Creek Solutions, Inc,Commercial Data Systems,Common Cents Deals LLC,Comport Consulting Corp.,CompuCom,Computer Plus,Computer Sales Service and Repair,Computer Technologies Inc,Computer User Solutions,CompuWizards,Conetic Software Systems, Inc.,Connate Holdings,Consilium1,Consolidated Information Systems,Constructive Media,Contego Tech Solutions Inc.,Continental Resources Inc,CPI USA Inc,CP Tholen & Associates, LLC,Crawford Technologies Inc.,Creation Technology,Crowell Systems,Crystal Technology,Cuna Communications, LLC,CW Computer and Accounting Service,CWY Technologies, LLC,CyberCore Technologies,CyberTech Design,Daniel Gingras,Data Access Technologies, Inc.,Data Processing Services, Inc.,DBMS Inc.,DB security,dcVAST, Inc.,DEEMING AND ASSOCIATES LIMITED,Dell,De Novo Group LLC,Devon IT,DFO Networks,Diginix Technologies,Digital Futures,digital media research, inc.,digitalVAR, Inc.,Dimension Systems,Direct Professional Services,DotMil Technologies,DRH & Associates,DW Unix Consulting,Dynamics Development Group,Easy! Software LLC,EasyCo LLC,ECG Inc.,EDC Solutions,Edison Associates Corporation,Effective Automation Solutions LLC,Effective Software Solutions, LLC,E-gineering, LLC,ElectroNerdz, Inc.,Elite Support of New Hampshire,EmpowerIT Consulting,Enterprise Computing Solutions, Inc.,EPIC Information Solutions,esbcloud.com,Evolution Ce,EWM Enterprises,EXACENT,Exadel,Exaprotect,eXludus Technologies Inc,Expert Server Group,Fifth Plateau,Flintridge,Fore A Partners, Inc,Forsythe Solutions Group,Frankenmedia Design,Freedom OSS,freeman research,Fujitsu Consulting,FUKUDA DENSHI USA INC,Fulton Technology Solutions,FusionStorm,G.P.D.G.A.,GalaxyTech,GamePlan Technologies,Garnet River,Gartman Systems,GeekSupport911,General Microsystems Inc,Goldtech Consulting,Government Acqusitions,Great Falls Services LLC,GreenPagse, Inc,Groundswell Group Inc.,Group4 Technologies,Groupware Technology,Harpoon Technologies,Hayward Systems,HD Protech,Helio Solutions,HIC Network Security Solutions LLC,High-Tech Operations,LLC,Hirt Group,Hot Pepper Hosting, LLC,Hoyu America Holding Co.,HP Direct,Hub City Media, Inc,HYPERTEC SYSTEMS INC,ICGI,ICOA Inc.,Identicentric,IDI (Information Design, Inc.),Incentra Solutions,InCentric Solutions, LLC,Indicatum LLC,Infinite Corporation,Infinite Software,Infinite Technologies,Infinite Technology,Infiniti Networking, Inc.,Infogain Corporation,INFORMATIQUE MERCIER INC.,Infotek Solutions, LLC,InLine Corporation,Innovativ Consulting Partners, LLC,Insight,InstallFree,integrai LLC,Integral Tek Solutions, Inc.,Integrated Technical Services,Integrators of New Systems, LLC,IntelliTechnics,International Consulting Group,International Technology Ventures, Inc.,Intersect IT Solutions Inc,Interwoven,Intuitive Imaging Informatics, LLC,Intuitive Technologies,LLC,Invertix,Ipopolis Consulting Group,irontechsolutions,Ironworks Consulting, LLC,Island Corporation,ISSGLOBAL,IT &T Systems Inc,i-tech,IT Pros,IT Tag Team,Iverson Computer Systems LLC,J & N Computer Services,JARSoft Inc,JBE Inc.,Jericho Industries, L.L.C.,Jerry Wei,Jose Reyes,Kali Systems LLC,KanataIT Inc.,KASC, Ltd,Katmai Technologies,Keane Inc.,Kirker Enterprises,Knitlogix Inc,Knowledge United, Inc.,Lanamark,Lancer Information Solutions,LCN Technology,Lenovo,Lilien Systems,LimeTech Solutions,LinearTime Informatics, LLC,Locus Software,Logicalis,logica Systems,Logica Systems Laboratories,Logikinfo,LogikxSolutions,Lotus 911,MadRooster.com,Mainline Information Systems,Making Tracks Sales,Mantaro Enterprise Systems Group,Mayet Information Systems,McCabe Software, Inc.,McMinnTek,McNatton Technologies,MDcentric Technology Solutions,m Dimension Technology,MDM Service Group,MD Solutions, Inc.,Melillo Consulting Inc.,Merlin International,Metoo Labs,Metropolitan Techs,Miami Holdings,MILLENION,Milwaukee Microbusiness, LLC,MindTree,Mission Networks, LLC, dba: Arcscale,Modcomp,Morningstar Computer Solutions, LLC,MSI Systems Integrators,Mushkin, Inc.,MVU Technologies LLC,Nationwide Training Alliance,NCG Services,NetClick LLC,NETCOM Group,Net Direct Systems,NetSphere Strategies,NetWorks Inc,Neuron Global,New Computech, Inc,New England Serv Source -Expert Server Group,New Relic,Nextanalytics,NEXTdigital,Next Digital,Nexttock Communications Inc.,Northern New York Innovative Technologies,North Star Colocation LLC,NSI,Nuance Communications,Oasys Information Systems Incorporated,OCI Technologies, LLC,Office Paradise inc,OnDemand Engineers, LLC,OnSpot IT,Open Enigma, LLC,OpenPole,Open Source Fulfillment Center,Open Systems Support, Inc,Optaros,Other,P2 Technology Solutions,p3 Computer Solutions,Palantir Technologies, Inc.,Par 4 Technology Group,Parkway PCs Inc.,PC Connection,PC Co-Pilots, LLC,PC Mall,PC Patrol,PC Pro,PDK Associates, LLC,PeerSec Networks Inc.,Pefanis Computer &amp; Network Services,Perez Networks,Perficient,Performance Pc''s,Peri Software,Phantom Networks LLC,PICS,Positive Control Networks,Potomac Computer Care,Premier Systems Ltd.,Presens Technologies, Ltd.,Prevalent Enterprises,Process Control Outlet,Procomm Consulting,Productive Networks,Pulse Technology Solutions LLC,Queen City Technologies,R2Nets,rackAID,Ravi Reddy,RCL Systems, Inc.,RedLegg,Renaissance Partner Group, Inc.,ReportsGuru, INC,Rexocon Corporation,Right Open Solutions, Inc.,Rivet Logic Corporation,RockFish Tek, Inc.,Roundstone Systems,RTG,RTP Electronics, Inc.,Ryals Enterprises,S & G Computing,SageServer IT Solutions,SANE Consulting Inc.,SANTech Networks LTD.,Saven,Scalar Decisions,Secure Commerce Systems,Security Cube,Sekora Technology Solutions,SereniTech Business Systems,Serenotek Inc.,SF Bay IT,Shadow-Soft,Shane Jawanda & Co. IT Consultation, Service & Support,Sharp BancSystems, Inc.,SHI,Sibyl Systems,SICORP, Inc,Sierra w/o Wires,Siliconaire,SiliconGrey, LLC.,Silotech Group Inc.,Siwel Consulting, Inc.,SMB Network Solutions,Smith Information Systems,Softchoice,Soft Landing Technology Partners,Software Spectrum,Sofware AG Inc,Solarian, Inc.,Solutions Resource, LLC.,Spedient, Inc.,Spider Solutions,SSR IT SOLUTIONS AND SERVICES LLC,Stafford Jones,Sterling Commerce,Steve''s Computer Consulting,Suatech Consulting,Summit IT Services,Summit Software Inc.,Syntenic Inc.,SYS-TECH,Systemware,TeamCentric Technologies,Telkin Inc,The Braintree Group,The Ideal Computer Group Inc.,The Worx Group,ThinkWrap Solutions Inc.,Tom Power,Tooley Consulting Group, LLC,Toptech Systems, Inc.,totalnetsolutions.net,Total Server Solutions L.L.C.,TouchPoint Inc,Trace3,Tricerion,Tricom Communication Services, Inc.,Tridia Corporation,Triple Data,Trower Hosting Service Provider, LLC.,TSVar, Inc.,U1 Technologies,Unilogik Systems Inc,Unopsys Inc.,Uptime Networks,U Solutions,V_Systems, Inc.,Vantage Solutions,Vegas IT Pros,Vengear, Inc.,Veracity Consulting,Vertex,Vicom Computer Sevices,Vikas Malhotra,Virtual Bridges,VirtualOSiti LLC,Virtuize, Inc.,Virtus Partners,Virtuworx Technologies, LLC,Vital Support Systems,Vizuri,Vlahos Associates,Vormetric,Vorpal Technical Consulting, LLC,Vox Mobile,VT Miltope,W3Eye Inc.,Waves Corporation,WEI,Whalley Computer Asscociates,Whole I.T. Solutions,Wide Spiral Corporation,William Fox,wirehead,Workgroup Technology,World Internet Marketing, Inc.,World Wide Technology, Inc,xcino,Xeta Technologies,XLYSI LLC,Xpress Computer Systems,Xtreme PC,xwave a Division of Bell Aliant,Your Sales Team Online,Zeus Technology,Ziino Tech, LLC,ZINC Solutions,Zlago,Zones,ZSL Inc,Zupco'),
	Deal_Approved_Date__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	View_Forwarded_Lead__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Days_Left_Until_Expire__c double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'double', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Project_Name__c string(50) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	MapLeadID__c string(18) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Registration_Expiration__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Decision_Role__c string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Deal_ID__c string(30) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Red_Hat_Subscription_Revenue__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Deal_Forward__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Opportunity_Reference_Name__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Opportunity_User_Account__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Project_Delivery_Start_Date__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	OM_review_complete__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Red_Hat_Services_Revenue__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Forwarded_Lead_ID__c string(18) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Red_Hat_Total_Revenue__c double OPTIONS (UPDATABLE FALSE, CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Deal_Registration_Expired__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Competitive_Deal__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Distributor__c string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Project_Budget__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Project_Description__c string(1000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Intial_Estimated_Close_Date__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Competition__c string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Deal_Source__c string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Project_Budgeted__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Deal_Registration_Classification__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'RHEL,JBoss,RHEL and JBoss'),
	Opportunity_ID__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Reseller_PO__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Opportunity_Partners__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CrossRegionalCreditCheck__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'None,APJ-ANZ,APJ-ASEAN,APJ-Greater China,APJ-India,APJ-Japan,APJ-Korea,EMEA,NA-Canada,NA-US,NA,LATAM-Argentina,LATAM-Brazil,LATAM-Mexico,eNovance France'),
	Order_Management_Profile__c string(250) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Value_Selling_Cycle__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Immediate,03 Months,04 Months,06 Months,08 Months,09 Months,12 Months'),
	Value_Selling_Stage_Changed__c timestamp OPTIONS (NATIVE_TYPE 'datetime', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Value_Selling_Stage__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Prepare,Engage,Qualify,Validate,Propose,Negotiate,Closed Lost,Closed Won,Closed Booked'),
	Value_Selling_Type__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Active,Latent'),
	Verifiable_Outcome__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	True_Up__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Close_Date_Moved__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	SEA_Stage__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Assessment Result,Audit,Competitive (CENTOS),Competitive (Oracle),Competitive (Other),Competitive (Suse),Compliance Team Engaged,CRM - Canada - BI Reporting,CRM - Canada - Non-renewal,CRM - Central - BI Reporting,CRM - Central - Non-Renewal,CRM - NE - BI Reporting,CRM - NE - Non-Renewal,CRM - SE - BI Reporting,CRM - SE - Non-Renewal,CRM - West - BI Reporting,CRM - West - Non-Renewal,Customer Identified,Educational,Evaluation/Media Kit Abuse,Evaluation Abuse,ISV,Non-Renewal,Over-deployment,Pending Review,Reporting,Sales Team Engaged,Self Assessment,TBD,Under Renewal'),
	AmountText__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Year1AmountText__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Year2AmountText__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Year3AmountText__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Year4AmountText__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Year5AmountText__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Year6AmountText__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Year1AmountAuto__c double OPTIONS (UPDATABLE FALSE, CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Year2AmountAuto__c double OPTIONS (UPDATABLE FALSE, CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Year3AmountAuto__c double OPTIONS (UPDATABLE FALSE, CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Year4AmountAuto__c double OPTIONS (UPDATABLE FALSE, CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Year5AmountAuto__c double OPTIONS (UPDATABLE FALSE, CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Year6AmountAuto__c double OPTIONS (UPDATABLE FALSE, CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Chief_Competitors__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'BMC,CentOS,Fedora,Free – Other,Fujitsu,Hitach,HP,IBM,IBM- WebSphere,Internal/Do-It-Yourself,JBoss.org,Microsoft,Not Applicable,Novell,Oracle – Linux,Oracle – WebLogic,Other,Sun,Ubuntu,VMware'),
	Closed_Lost_Details_Marketing__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'CentOS,Channel partner acted too slowly,Competitor offered better pricing,Compliance Duplicate,Compliance No Concern,Customer does not need support/updates for deployment,Customer has had negative experience with Red Hat support,Customer lacks relationship with Red Hat executives,Dissatisfied with past consulting engagement,Duplicate Opportunity,Existing systems shut down,Fedora,Fujitsu,Hitachi,HP,IBM,IBM- WebSphere,Jboss.org,Lack of product localization,Legal terms not acceptable to customer,Microsoft,Move to/remaining on free distribution,No budget at this time,No reference customer/success story to support project,Not compatible with existing environment,Novell,Oracle – Linux,Oracle - WebLogic,Ordering process too difficult/took too long,Organization lacks technical expertise to support deployment,Payment terms/payment schedule not acceptable to customer,Poor performance,Product does not meet technical requirements/does not have desired functionality,Red Hat is lacking desired hardware certification(s),Red Hat is lacking desired ISV certification(s),RFP canceled by customer,SI/OEM/Partner unable to provide support,Sun,Terms of deal/margin not adequate for channel partner,Ubuntu,VMware,Other'),
	JBoss_Opp_ID__c string(20) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Reason_Closed_Lost_Marketing__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Closed Lost Compliance,Economic/Pricing,Ecosystem,Product,Relationship,Support,Training and Services,Other'),
	Close_Date_Moved_Details__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Buying vision has not been engineered,Channel partner creating delay,Credit check not yet performed,Customer awaiting additional technical proof points,Customer awaiting resolution on support issue,Customer is awaiting desired hardware certification(s),Customer is awaiting desired ISV certification(s),Customer is waiting for internal budget approval,Customer pain/need not fully agreed upon,Data Entry Error,Deal Reg – Expiration Extended,Deal Reg – Moved Upon Conversion,Evaluation plan not agreed upon,Legal terms not yet agreed to,Negotiations delayed over price,Payment terms/payment schedule not acceptable to customer,Power Sponsor not identified,Prospect business unit stalling (legal, administrative, etc),Prospect Evaluating competitive offering,Red Hat solution requirements not fully defined,RFP put on hold by customer,Sponsor not identified,Terms of deal/margin not adequate for channel partner,Transfer to a new replacement rep,Working to establish customer relationship with Red Hat executives,Working to identify and provide reference customer/success story to support project,Working to re-engineer buying vision'),
	Close_Date_Moved_Reason__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Competition,Control,Economic/Pricing/Budget,Ecosystem,Pain,Power,Product,Relationship,Support,Value,Vision,Other'),
	Send_Notification_to_Opp_Owner__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Language_Preference__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Chinese,English,French,German,Italian,Japanese,Korean,Other,Portuguese,Russian,Spanish'),
	Solution_Sector__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'IT Infrastructure,Multimedia,General Laptop/Desktop Replacement,Other Vertical Industry Specific Apps,Unknown Use/None of These'),
	Global_Chip__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'AMD,Intel'),
	Global_ISV__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Amdocs,ATG,Azul Systems,BMC,CA,Dassault Systems,EMC,EMEA ISV,Epic Software,Finacle,FNIS,HP BTO,HP CMS,HP SW,IBM SWG,Murex,Norkom,Paradigm Software,SAP,SAS,SunGard,Sybase,Symantec,Thomson Reuters'),
	Global_OEM__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Bull,Cisco,Dell,Egenera,Fujitsu,Hitachi,HP,IBM,NEC,Stratus'),
	Global_SI__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Accenture (ACN),Affiliated Computer (ACS),Atos Origin,Axciom,Booz Allen,Cap Gemini,Computacenter,Computer Science,Deloitte,HCL Infosystems,HP Enterprise Services (HPES / EDS),IBM Global Services (IBM),Infosys,KPMG,Logica,Mphasis,Perot Systems (Dell/PSI),Siemens,Tata Consultancy (TCS),Tech Mahindra / Mahindra Satyam,TietoEnator,T-Systems,Unisys,Wipro'),
	Age_at_Closed_Lost__c double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'double', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Chief_Competitors_Other__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Closed_Lost_Date__c timestamp OPTIONS (NATIVE_TYPE 'datetime', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Department__c string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Renewal_Opportunity__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Billing_City__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Billing_Country__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Billing_State__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Billing_Street__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Billing_Zip__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Contact_Email_Address__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Contact_Full_Name__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	NFR__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	RHN_Entitlement_Login__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Date_Booked_Changed__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Date_Submitted_Changed__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	FinancialPartnerName__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	FinancialPartner__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ResellerPartnerName__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ResellerPartner__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Close_Opportunity_Requested_by_Partner__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	ELQ_USD_AMT__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Override_Auto_Close__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Teaming_Agreement__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	NFR_Reason_for_Request__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Expected_SYB_Opp__c double OPTIONS (UPDATABLE FALSE, CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Latest_Verifiable_Outcome__c string(200) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	VOUpdate__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Vo_status_msg__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Services_Risk_Review__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	SSI_In_Scope__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	OORID__c string(20) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Record_Source__c string(45) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Touched__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	BigMachines__Line_Items__c double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'double', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Legacy_Owner_Role_at_Close_Value__c string(40) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Legacy_Owner_Role_at_Close__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Legacy_Profile__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Legacy_Role__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Owner__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	RecordType__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Expiring_Products_Total_Amount_RollUp__c double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'double', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	PriceOverrideReason__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'No Override Reason,Approved $0 Subsc,Customer Satisfaction Issue,Deal Reg,Distributor/Reseller,Govt or Edu discount,MSA,NAT,Other,Price Rounding,Special Bid,Special Product/Program Discount,New Pricing Structure,Buffer/True-up,Upgrade,Volume Discount,Multi-element Discount,Competitive,Multi-Payment Discount'),
	Rush_Order_Reason__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Rush_Order_Set_By_System__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Rush_Order__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Expiring_Products_Total_Amount__c double OPTIONS (UPDATABLE FALSE, CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Account_Solutions_Architect__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Cloned_From_Opportunity__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Current_User_of_Product_Line__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Pay_Now__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Yes,No'),
	JBoss_Product_Opp__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Yes,No'),
	Notify_Billing__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	JBoss_Opportunity_ID__c string(20) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Sales_Incentive_Program__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'F07Q4_Fast Start Migration Kit. Save 30%,GLS_F7_Q4_Spiff_In-Quarter,GLS_F7_Q4_Spiff_Out-Of-Quarter,Q108_RHEL5_Spiff_NewCust,Q108_RHEL5_Spiff_Rev'),
	Passed_to_Partner__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'ACS,Agilysis,Akibia,ASAP,CDW,Expert Server Group,FusionStorm,Helio Solutions,Hypertec,Incentric,Insight,Latin Source Tech (Central and South America),Logicalis,MCE,Melillo Consulting,Metafore (West Canada),MSI,Scalar Decisions,Siwel Consulting,Software House International,Software Spectrum,Synergy,Tallard (Mexico),TEAM (Mexico),Vicom Computer Services,Virtus,Xwave (East Canada)'),
	Description_of_Product_Lines__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Desired_Delivery_Timeframe__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Likelihood_of_Opportunity_Win__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Obstacles_to_Closing_Opportunity__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Obstacles_to_Completing_POC__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	POC_Description__c string(32768) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	POC_Status__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'New Request,Submit for Scoping Assignment,Scoping,Submitted,Accepted,Rejected,Closed,Defined,Approved,Engaged'),
	Previous_Red_Hat_Consulting_Details__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Previous_Red_Hat_Consulting_Involvement__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Reason_POC_Required__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Require_POC_Approval_Cloud_RHEV__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Require_POC_Approval_GPS__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Require_POC_Approval_GSS__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Require_POC_Approval_Middleware__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Require_POC_Approval_Platform__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Require_POC_Approval_Storage__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Services_Contract_Type__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Time and Materials,Fixed Price'),
	Services_Effort_Allocation_1__c double OPTIONS (NATIVE_TYPE 'percent', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Services_Effort_Allocation_2__c double OPTIONS (NATIVE_TYPE 'percent', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Services_Effort_Allocation_3__c double OPTIONS (NATIVE_TYPE 'percent', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Services_Effort_Allocation_4__c double OPTIONS (NATIVE_TYPE 'percent', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Services_Effort_Allocation_5__c double OPTIONS (NATIVE_TYPE 'percent', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Services_Product_Line_1__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Cloud,INFRASTRUCTURE,Middleware,OPENSOURCE ENABLEMENT,Open Source Enablement,Platform,Storage,Virtualization'),
	Services_Product_Line_2__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Cloud,INFRASTRUCTURE,Middleware,OPENSOURCE ENABLEMENT,Open Source Enablement,Platform,Storage,Virtualization'),
	Services_Product_Line_3__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Cloud,INFRASTRUCTURE,Middleware,OPENSOURCE ENABLEMENT,Open Source Enablement,Platform,Storage,Virtualization'),
	Services_Product_Line_4__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Cloud,INFRASTRUCTURE,Middleware,OPENSOURCE ENABLEMENT,Open Source Enablement,Platform,Storage,Virtualization'),
	Services_Product_Line_5__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Cloud,INFRASTRUCTURE,Middleware,OPENSOURCE ENABLEMENT,Open Source Enablement,Platform,Storage,Virtualization'),
	Services_Program_Manager__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Specialist_Solutions_Architect__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Success_Criteria__c string(32768) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Use_Cases__c string(32768) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Willingness_to_Engage_Red_Hat_Consulting__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Expiring_Products_Total_Amount_2__c string(10) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Deal_Registration_Fed_Sled__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Operating_Unit__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'RH Argentina Operating Unit,RH Australia Operating Unit,RH Brazil Operating Unit,RH Canada Operating Unit,RH China Operating Unit,RH Hong Kong Operating Unit,RH India Operating Unit,RH Indonesia Operating Unit,RH Ireland Operating Unit,RH Japan Operating Unit,RH Korea Operating Unit,RH Malaysia Operating Unit,RH Mexico Operating Unit,RH New Zealand Operating Unit,RH Singapore Operating Unit,RH US Operating Unit'),
	Bill_To_Account__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Bill_To_Address__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Bill_To_Sales_Account__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Entitle_To_Account__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Entitle_To_Address_Details__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Entitle_To_Address__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Entitle_To_Contact__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Entitle_To_Sales_Account__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Ship_To_Account__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Ship_To_Address__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Ship_To_Sales_Account__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Order_Status__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'No Order,Submitted for OM Review,Submitted for Order,Entered,Booked,Closed,Cancelled,Invoiced,Reverted'),
	Order_Type__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'BILL - AR - FC A,BILL - AR - FC B,BILL - AR - FC E,BILL - AU,BILL - CA,BILL - CN,BILL CONSULTING - BR,BILL - HK,BILL - ID,BILL - IE,BILL - IN,BILL - JP,BILL - KR,BILL - MX - NVAT,BILL - MX - VAT,BILL - MY,BILL - NZ,BILL - SG,BILL SUBSCRIPTION - BR,BILL TRAINING - BR,BILL - US,CREDIT ONLY - CA,HOCK SHIP/ENTITLE - AR,HOCK SHIP/ENTITLE - AU,HOCK SHIP/ENTITLE - BR,HOCK SHIP/ENTITLE - CA,HOCK SHIP/ENTITLE - CN,HOCK SHIP/ENTITLE - HK,HOCK SHIP/ENTITLE - ID,HOCK SHIP/ENTITLE - IE,HOCK SHIP/ENTITLE - IN,HOCK SHIP/ENTITLE - JP,HOCK SHIP/ENTITLE - KR,HOCK SHIP/ENTITLE - MY,HOCK SHIP/ENTITLE - NZ,HOCK SHIP/ENTITLE - SG,HOCK SHIP/ENTITLE - US,HOCK STANDARD - AR,HOCK STANDARD - AU,HOCK STANDARD - BR,HOCK STANDARD - CA,HOCK STANDARD - CN,HOCK STANDARD - HK,HOCK STANDARD - ID,HOCK STANDARD - IE,HOCK STANDARD - IN,HOCK STANDARD - JP,HOCK STANDARD - KR,HOCK STANDARD - MY,HOCK STANDARD - NZ,HOCK STANDARD - SG,HOCK STANDARD - US,MEDIA - AR,MEDIA - BR,MEDIA - MX,MULTI BILL - AU,MULTI BILL - CA,MULTI BILL - ID,MULTI BILL - IE,MULTI BILL - IN,MULTI BILL - KR,MULTI BILL  - MX - NVAT,MULTI BILL  - MX - VAT,MULTI BILL SUBSCRIPTION - BR,MULTI BILL - US,MULTI SHIP/ENTITLE - AR,MULTI SHIP/ENTITLE - AU,MULTI SHIP/ENTITLE - CA,MULTI SHIP/ENTITLE - CN,MULTI SHIP/ENTITLE CON - BR,MULTI SHIP/ENTITLE - HK,MULTI SHIP/ENTITLE - ID,MULTI SHIP/ENTITLE - IE,MULTI SHIP/ENTITLE - IN,MULTI SHIP/ENTITLE - JP,MULTI SHIP/ENTITLE - KR,MULTI SHIP/ENTITLE - MX,MULTI SHIP/ENTITLE - MY,MULTI SHIP/ENTITLE - NZ,MULTI SHIP/ENTITLE - SG,MULTI SHIP/ENTITLE SUBSC - BR,MULTI SHIP/ENTITLE TRAIN - BR,MULTI SHIP/ENTITLE - US,MULTI STANDARD BILL ORDER,MULTI STANDARD BILL ORDER - CA,MULTI STANDARD BILL ORDER - IN,NO CHARGE - AR,NO CHARGE - AU,NO CHARGE - BR,NO CHARGE - CA,NO CHARGE - CN,NO CHARGE - HK,NO CHARGE - ID,NO CHARGE - IE,NO CHARGE - IN,NO CHARGE - JP,NO CHARGE - KR,NO CHARGE - MX,NO CHARGE - MY,NO CHARGE - NZ,NO CHARGE - SG,NO CHARGE - US,PA SHIP/ENTITLE - AR,PA SHIP/ENTITLE - AU,PA SHIP/ENTITLE - BR,PA SHIP/ENTITLE - CA,PA SHIP/ENTITLE - IE,PA SHIP/ENTITLE - JP,PA SHIP/ENTITLE - MX,PA SHIP/ENTITLE - NZ,PA SHIP/ENTITLE - US,RETURN RECEIPT - ID,RETURN RECEIPT - MX,RETURN RECEIPT NO CREDIT - ID,ROYALTY - AR,ROYALTY - AR - FC A,ROYALTY - AR - FC B,ROYALTY - AR - FC E,ROYALTY - AU,ROYALTY - BR,ROYALTY - CA,ROYALTY - CN,ROYALTY DRAW-DOWN - ID,ROYALTY DRAW-DOWN - MX - VAT,ROYALTY - HK,ROYALTY - ID,ROYALTY - IE,ROYALTY - IN,ROYALTY - JP,ROYALTY - KR,ROYALTY - MX,ROYALTY - MX - NVAT,ROYALTY - MX - VAT,ROYALTY - MY,ROYALTY - NZ,ROYALTY PA SHIP/ENTITLE - AR,ROYALTY PA SHIP/ENTITLE - AU,ROYALTY PA SHIP/ENTITLE - BR,ROYALTY PA SHIP/ENTITLE - CA,ROYALTY PA SHIP/ENTITLE - IE,ROYALTY PA SHIP/ENTITLE - JP,ROYALTY PA SHIP/ENTITLE - MX,ROYALTY PA SHIP/ENTITLE - NZ,ROYALTY PA SHIP/ENTITLE - US,ROYALTY - SG,ROYALTY SHIP/ENTITLE - AR,ROYALTY SHIP/ENTITLE - AU,ROYALTY SHIP/ENTITLE - BR,ROYALTY SHIP/ENTITLE - CA,ROYALTY SHIP/ENTITLE - CN,ROYALTY SHIP/ENTITLE - HK,ROYALTY SHIP/ENTITLE - ID,ROYALTY SHIP/ENTITLE - IE,ROYALTY SHIP/ENTITLE - IN,ROYALTY SHIP/ENTITLE - JP,ROYALTY SHIP/ENTITLE - KR,ROYALTY SHIP/ENTITLE - MX,ROYALTY SHIP/ENTITLE - MY,ROYALTY SHIP/ENTITLE - NZ,ROYALTY SHIP/ENTITLE - SG,ROYALTY SHIP/ENTITLE - US,ROYALTY STANDARD - AR,ROYALTY STANDARD - AR- FC A,ROYALTY STANDARD - AR- FC B,ROYALTY STANDARD - AR- FC E,ROYALTY STANDARD - AU,ROYALTY STANDARD - BR,ROYALTY STANDARD - CA,ROYALTY STANDARD - CN,ROYALTY STANDARD - HK,ROYALTY STANDARD - ID,ROYALTY STANDARD - IE,ROYALTY STANDARD - IN,ROYALTY STANDARD - JP,ROYALTY STANDARD - KR,ROYALTY STANDARD - MX,ROYALTY STANDARD - MX - NVAT,ROYALTY STANDARD - MX - VAT,ROYALTY STANDARD - MY,ROYALTY STANDARD - NZ,ROYALTY STANDARD - SG,ROYALTY STANDARD - US,ROYALTY - US,SHIP/ENTITLE - AR,SHIP/ENTITLE - AU,SHIP/ENTITLE - BR,SHIP/ENTITLE - CA,SHIP/ENTITLE - CN,SHIP/ENTITLE - HK,SHIP/ENTITLE - ID,SHIP/ENTITLE - IE,SHIP/ENTITLE - IN,SHIP/ENTITLE - JP,SHIP/ENTITLE - KR,SHIP/ENTITLE - MX,SHIP/ENTITLE - MY,SHIP/ENTITLE - NZ,SHIP/ENTITLE - SG,SHIP/ENTITLE - US,STANDARD - AR,STANDARD - AR - FC A,STANDARD - AR - FC B,STANDARD - AR - FC E,STANDARD - AU,STANDARD - BR,STANDARD - CA,STANDARD - CN,STANDARD - HK,STANDARD - ID,STANDARD - IE,STANDARD - IN,STANDARD - JP,STANDARD - KR,STANDARD - MX,STANDARD - MX - NVAT,STANDARD - MX - VAT,STANDARD - MY,STANDARD - NZ,STANDARD - SG,STANDARD - US,TRANSFER - ID,TRANSFER - MX,WEB STANDARD - US'),
	Pending_OM_Review__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Previous_Record_Type__c string(18) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Set_As_Default_Profile__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Ship_To_Address_Details__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Ship_To_Contact__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Shipping_Instructions__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Sold_To_Account__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Sold_To_Address_Details__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Sold_To_Address__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Sold_To_Contact__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Sold_To_Sales_Account__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	VAT_Code__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Account_AccountId FOREIGN KEY(AccountId) REFERENCES Account (Id) OPTIONS (NAMEINSOURCE 'Opportunities'),
	CONSTRAINT FK_Account_Bill_To_Sales_Account__c FOREIGN KEY(Bill_To_Sales_Account__c) REFERENCES Account (Id) OPTIONS (NAMEINSOURCE 'OpportunitiesBilltoSAcc__r'),
	CONSTRAINT FK_Account_Entitle_To_Sales_Account__c FOREIGN KEY(Entitle_To_Sales_Account__c) REFERENCES Account (Id) OPTIONS (NAMEINSOURCE 'OpportunitiesEntitleToSAcc__r'),
	CONSTRAINT FK_Account_FinancialPartner__c FOREIGN KEY(FinancialPartner__c) REFERENCES Account (Id) OPTIONS (NAMEINSOURCE 'FiniancialPartnerOpportunities__r'),
	CONSTRAINT FK_Account_ResellerPartner__c FOREIGN KEY(ResellerPartner__c) REFERENCES Account (Id) OPTIONS (NAMEINSOURCE 'ResellerOpportunities__r'),
	CONSTRAINT FK_Account_Ship_To_Sales_Account__c FOREIGN KEY(Ship_To_Sales_Account__c) REFERENCES Account (Id) OPTIONS (NAMEINSOURCE 'OpportunitiesShipToSAcc__r'),
	CONSTRAINT FK_Account_Sold_To_Sales_Account__c FOREIGN KEY(Sold_To_Sales_Account__c) REFERENCES Account (Id) OPTIONS (NAMEINSOURCE 'OpportunitiesSoldToSAcc__r'),
	CONSTRAINT FK_Address__c_Bill_To_Address__c FOREIGN KEY(Bill_To_Address__c) REFERENCES Address__c (Id) OPTIONS (NAMEINSOURCE 'OpportunitiesBillToAdd__r'),
	CONSTRAINT FK_Address__c_Entitle_To_Address__c FOREIGN KEY(Entitle_To_Address__c) REFERENCES Address__c (Id) OPTIONS (NAMEINSOURCE 'OpportunitiesEntitleToAdd__r'),
	CONSTRAINT FK_Address__c_Ship_To_Address__c FOREIGN KEY(Ship_To_Address__c) REFERENCES Address__c (Id) OPTIONS (NAMEINSOURCE 'OpportunitiesShipToAdd__r'),
	CONSTRAINT FK_Address__c_Sold_To_Address__c FOREIGN KEY(Sold_To_Address__c) REFERENCES Address__c (Id) OPTIONS (NAMEINSOURCE 'OpportunitiesSoldToAdd__r'),
	CONSTRAINT FK_Campaign_CampaignId FOREIGN KEY(CampaignId) REFERENCES Campaign (Id) OPTIONS (NAMEINSOURCE 'Opportunities'),
	CONSTRAINT FK_Contact_Account_Solutions_Architect__c FOREIGN KEY(Account_Solutions_Architect__c) REFERENCES Contact (Id) OPTIONS (NAMEINSOURCE 'Proof_Of_Concepts__r'),
	CONSTRAINT FK_Contact_Bill_To_Contact__c FOREIGN KEY(Bill_To_Contact__c) REFERENCES Contact (Id) OPTIONS (NAMEINSOURCE 'OpportunitiesBillToCon__r'),
	CONSTRAINT FK_Contact_Entitle_To_Contact__c FOREIGN KEY(Entitle_To_Contact__c) REFERENCES Contact (Id) OPTIONS (NAMEINSOURCE 'OpportunitiesEntitleToCon__r'),
	CONSTRAINT FK_Contact_Services_Program_Manager__c FOREIGN KEY(Services_Program_Manager__c) REFERENCES Contact (Id) OPTIONS (NAMEINSOURCE 'Proof_Of_Concepts3__r'),
	CONSTRAINT FK_Contact_Ship_To_Contact__c FOREIGN KEY(Ship_To_Contact__c) REFERENCES Contact (Id) OPTIONS (NAMEINSOURCE 'OpportunitiesShipToCon__r'),
	CONSTRAINT FK_Contact_ShippingContact__c FOREIGN KEY(ShippingContact__c) REFERENCES Contact (Id) OPTIONS (NAMEINSOURCE 'Opportunities1__r'),
	CONSTRAINT FK_Contact_Sold_To_Contact__c FOREIGN KEY(Sold_To_Contact__c) REFERENCES Contact (Id) OPTIONS (NAMEINSOURCE 'OpportunitiesSoldToCon__r'),
	CONSTRAINT FK_Contact_Specialist_Solutions_Architect__c FOREIGN KEY(Specialist_Solutions_Architect__c) REFERENCES Contact (Id) OPTIONS (NAMEINSOURCE 'Proof_Of_Concepts2__r'),
	CONSTRAINT FK_EBS_Account__c_Bill_To_Account__c FOREIGN KEY(Bill_To_Account__c) REFERENCES EBS_Account__c (Id) OPTIONS (NAMEINSOURCE 'OpportunitiesBillToAcc__r'),
	CONSTRAINT FK_EBS_Account__c_Entitle_To_Account__c FOREIGN KEY(Entitle_To_Account__c) REFERENCES EBS_Account__c (Id) OPTIONS (NAMEINSOURCE 'OpportunitiesEntitleToAcc__r'),
	CONSTRAINT FK_EBS_Account__c_Ship_To_Account__c FOREIGN KEY(Ship_To_Account__c) REFERENCES EBS_Account__c (Id) OPTIONS (NAMEINSOURCE 'OpportunitiesShipToAcc__r'),
	CONSTRAINT FK_EBS_Account__c_Sold_To_Account__c FOREIGN KEY(Sold_To_Account__c) REFERENCES EBS_Account__c (Id) OPTIONS (NAMEINSOURCE 'OpportunitiesSoldToAcc__r'),
	CONSTRAINT FK_LeadForReporting__c_LFR__c FOREIGN KEY(LFR__c) REFERENCES LeadForReporting__c (Id) OPTIONS (NAMEINSOURCE 'Opportunities__r'),
	CONSTRAINT FK_NFR_Request__c_NFR__c FOREIGN KEY(NFR__c) REFERENCES NFR_Request__c (Id) OPTIONS (NAMEINSOURCE 'NFR__r'),
	CONSTRAINT FK_Opportunity_Cloned_From_Opportunity__c FOREIGN KEY(Cloned_From_Opportunity__c) REFERENCES Opportunity (Id) OPTIONS (NAMEINSOURCE 'ClonedOpportunities__r'),
	CONSTRAINT FK_Opportunity_Opportunity_Reference_Name__c FOREIGN KEY(Opportunity_Reference_Name__c) REFERENCES Opportunity (Id) OPTIONS (NAMEINSOURCE 'Opportunities1__r'),
	CONSTRAINT FK_Opportunity_OriginalOpportunity__c FOREIGN KEY(OriginalOpportunity__c) REFERENCES Opportunity (Id) OPTIONS (NAMEINSOURCE 'OriginalOpportunities__r'),
	CONSTRAINT FK_Opportunity_Source_Opportunity_Referrals__c FOREIGN KEY(Source_Opportunity_Referrals__c) REFERENCES Opportunity (Id) OPTIONS (NAMEINSOURCE 'Opportunities3__r'),
	CONSTRAINT FK_Opportunity_Source_Opportunity__c FOREIGN KEY(Source_Opportunity__c) REFERENCES Opportunity (Id) OPTIONS (NAMEINSOURCE 'Opportunities__r'),
	CONSTRAINT FK_Opportunity_Partners__c_Opportunity_Partners__c FOREIGN KEY(Opportunity_Partners__c) REFERENCES Opportunity_Partners__c (Id) OPTIONS (NAMEINSOURCE 'Opportunities__r'),
	CONSTRAINT FK_Pricebook2_Pricebook2Id FOREIGN KEY(Pricebook2Id) REFERENCES Pricebook2 (Id) OPTIONS (NAMEINSOURCE 'Opportunities'),
	CONSTRAINT FK_StrategicPlan_Solution__c_CreatedFromSolution__c FOREIGN KEY(CreatedFromSolution__c) REFERENCES StrategicPlan_Solution__c (Id) OPTIONS (NAMEINSOURCE 'CreatedOpportunities__r'),
	CONSTRAINT FK_Teaming_Agreement__c_Teaming_Agreement__c FOREIGN KEY(Teaming_Agreement__c) REFERENCES Teaming_Agreement__c (Id) OPTIONS (NAMEINSOURCE 'Opportunities__r'),
	CONSTRAINT FK_User__Engagement_SA__c FOREIGN KEY(Engagement_SA__c) REFERENCES User_ (Id) OPTIONS (NAMEINSOURCE 'Proof_of_Concepts__r'),
	CONSTRAINT FK_User__Owner__c FOREIGN KEY(Owner__c) REFERENCES User_ (Id) OPTIONS (NAMEINSOURCE 'OpportunityOwner__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE Opportunity_Header_Staging__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	Assigned_To__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Bill_To_Account_Number__c string(50) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Bill_To_Account__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Bill_To_Address_CDH_Party_Site_Number__c string(50) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Bill_To_Address_Line_1__c string(240) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Bill_To_Address_Line_2__c string(240) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Bill_To_Address_Line_3__c string(240) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Bill_To_Address_Line_4__c string(240) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Bill_To_Address__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Bill_To_CDH_Party_Number__c string(60) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Bill_To_City__c string(60) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Bill_To_Contact_Email__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Bill_To_Contact_First_Name__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Bill_To_Contact_Last_Name__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Bill_To_Contact_Phone__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Bill_To_Contact__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Bill_To_Country__c string(240) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Bill_To_County__c string(240) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Bill_To_Party_Name__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Bill_To_Party_Number__c string(50) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Bill_To_Party_Type__c string(20) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Bill_To_Province__c string(240) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Bill_To_Sales_Account__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Bill_To_State__c string(240) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Bill_To_Zip_Postal_Code__c string(240) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Channel__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Direct End Customer,Direct Reseller,Distributor,OEM,Webstore'),
	Date_Ordered__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Employee_Number__c string(20) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Entitle_To_Account_Number__c string(50) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Entitle_To_Account__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Entitle_To_Address_CDH_Party_Site_Number__c string(50) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Entitle_To_Address_Line_1__c string(240) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Entitle_To_Address_Line_2__c string(240) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Entitle_To_Address_Line_3__c string(240) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Entitle_To_Address_Line_4__c string(240) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Entitle_To_Address__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Entitle_To_CDH_Party_Number__c string(60) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Entitle_To_City__c string(60) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Entitle_To_Contact_Email__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Entitle_To_Contact_First_Name__c string(240) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Entitle_To_Contact_Last_Name__c string(240) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Entitle_To_Contact_Phone__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Entitle_To_Contact__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Entitle_To_Country__c string(240) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Entitle_To_County__c string(240) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Entitle_To_Party_Name__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Entitle_To_Party_Number__c string(50) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Entitle_To_Party_Type__c string(20) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Entitle_To_Province__c string(240) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Entitle_To_Sales_Account__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Entitle_To_State__c string(240) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Entitle_To_Zip_Postal_Code__c string(240) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Operating_Unit__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'RH Argentina Operating Unit,RH Australia Operating Unit,RH Brazil Operating Unit,RH Canada Operating Unit,RH China Operating Unit,RH Hong Kong Operating Unit,RH India Operating Unit,RH Ireland Operating Unit,RH Japan Operating Unit,RH Korea Operating Unit,RH Malaysia Operating Unit,RH New Zealand Operating Unit,RH Singapore Operating Unit,RH US Operating Unit'),
	Opportunity_ID__c string(100) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Opportunity_Name__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Opportunity_Number__c string(20) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Opportunity_Owner__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Oracle_Order_ID__c string(20) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Oracle_Order_Number__c string(18) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Order_Last_Update_Date__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Order_Source__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Order_Status__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'ENTERED,CLOSED,BOOKED,CANCELLED,INVOICED'),
	Order_Type__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'STANDARD - AR - FC A,BILL - AR - FC A,STANDARD - AR - FC E,STANDARD - AR - FC B,SHIP/ENTITLE - AR,BILL - AR - FC E,BILL - AR - FC B,PA SHIP/ENTITLE – AR,HOCK SHIP/ENTITLE - AU,HOCK STANDARD - AU,MULTI BILL - AU,SHIP/ENTITLE - AU,STANDARD - AU,NO CHARGE - AU,ROYALTY STANDARD - AU,BILL - AU,ROYALTY - AU,BILL TRAINING - BR,BILL SUBSCRIPTION - BR,BILL CONSULTING - BR,PA SHIP/ENTITLE - BR,MULTI SHIP/ENTITLE SUBSC - BR,SHIP/ENTITLE - BR,MULTI BILL SUBSCRIPTION - BR,STANDARD - BR,HOCK SHIP/ENTITLE - BR,STANDARD - CA,ROYALTY - CA,PA SHIP/ENTITLE - CA,MULTI SHIP/ENTITLE - CA,MULTI BILL - CA,BILL - CA,NO CHARGE - CA,CREDIT ONLY - CA,MULTI STANDARD BILL ORDER - CA,SHIP/ENTITLE - CA,SHIP/ENTITLE - CN,NO CHARGE - CN,STANDARD - CN,BILL - CN,HOCK STANDARD - CN,STANDARD - HK,BILL - HK,NO CHARGE - HK,SHIP/ENTITLE - HK,HOCK STANDARD - HK,STANDARD - IN,MULTI BILL - IN,MULTI STANDARD BILL ORDER - IN,MULTI SHIP/ENTITLE - IN,BILL - IN,SHIP/ENTITLE - IN,NO CHARGE - IN,HOCK STANDARD - IN,HOCK SHIP/ENTITLE - IN,STANDARD - IE,HOCK STANDARD - IE,MULTI SHIP/ENTITLE - IE,MULTI BILL - IE,BILL - IE,SHIP/ENTITLE - IE,PA SHIP/ENTITLE - IE,NO CHARGE - IE,HOCK SHIP/ENTITLE - JP,STANDARD - JP,SHIP/ENTITLE - JP,NO CHARGE - JP,HOCK STANDARD - JP,BILL - JP,ROYALTY - JP,STANDARD - KR,MULTI BILL - KR,BILL - KR,SHIP/ENTITLE - KR,NO CHARGE - KR,NO CHARGE - MY,STANDARD - MY,BILL - MY,SHIP/ENTITLE - MY,ROYALTY - NZ,SHIP/ENTITLE - NZ,NO CHARGE - NZ,STANDARD - NZ,BILL - NZ,ROYALTY - SG,HOCK STANDARD - SG,ROYALTY STANDARD - SG,STANDARD - SG,SHIP/ENTITLE - SG,NO CHARGE - SG,BILL - SG,NO CHARGE - US,MULTI SHIP/ENTITLE - US,WEB STANDARD - US,HOCK SHIP/ENTITLE - US,SHIP/ENTITLE - US,MULTI STANDARD BILL ORDER,MULTI BILL - US,HOCK STANDARD - US,ROYALTY - US,STANDARD - US,BILL - US,ROYALTY STANDARD - US,PA SHIP/ENTITLE - US'),
	PO_Number__c string(200) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Payment_Type__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Purchase Order,Credit Card,Pre-Pay'),
	Resller_PO__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Sales_Account__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Ship_To_Account_Number__c string(50) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Ship_To_Account__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Ship_To_Address_CDH_Party_Site_Number__c string(50) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Ship_To_Address_Line_1__c string(240) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Ship_To_Address_Line_2__c string(240) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Ship_To_Address_Line_3__c string(240) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Ship_To_Address_Line_4__c string(240) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Ship_To_Address__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Ship_To_CDH_Party_Number__c string(60) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Ship_To_City__c string(60) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Ship_To_Contact_Email__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Ship_To_Contact_First_Name__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Ship_To_Contact_Last_Name__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Ship_To_Contact_Phone__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Ship_To_Contact__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Ship_To_Country__c string(240) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Ship_To_County__c string(240) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Ship_To_Party_Name__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Ship_To_Party_Number__c string(50) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Ship_To_Party_Type__c string(20) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Ship_To_Province__c string(240) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Ship_To_Sales_Account__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Ship_To_State__c string(240) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Ship_To_Zip_Postal_Code__c string(240) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Sold_To_Account_Number__c string(50) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Sold_To_Account__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Sold_To_Address_CDH_Party_Site_Number__c string(50) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Sold_To_Address_Line_1__c string(240) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Sold_To_Address_Line_2__c string(240) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Sold_To_Address_Line_3__c string(240) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Sold_To_Address_Line_4__c string(240) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Sold_To_Address__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Sold_To_CDH_Party_Number__c string(60) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Sold_To_City__c string(60) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Sold_To_Contact_Email__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Sold_To_Contact_First_Name__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Sold_To_Contact_Last_Name__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Sold_To_Contact_Phone__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Sold_To_Contact__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Sold_To_Country__c string(240) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Sold_To_County__c string(240) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Sold_To_Party_Name__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Sold_To_Party_Number__c string(50) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Sold_To_Party_Type__c string(20) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Sold_To_Province__c string(240) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Sold_To_Sales_Account__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Sold_To_State__c string(240) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Sold_To_Zip_Postal_Code__c string(240) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Transaction_ID__c string(50) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Amount__c double OPTIONS (UPDATABLE FALSE, CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Account_Bill_To_Sales_Account__c FOREIGN KEY(Bill_To_Sales_Account__c) REFERENCES Account (Id) OPTIONS (NAMEINSOURCE 'Opportunities_Header_Staging1__r'),
	CONSTRAINT FK_Account_Entitle_To_Sales_Account__c FOREIGN KEY(Entitle_To_Sales_Account__c) REFERENCES Account (Id) OPTIONS (NAMEINSOURCE 'Opportunities_Header_Staging4__r'),
	CONSTRAINT FK_Account_Sales_Account__c FOREIGN KEY(Sales_Account__c) REFERENCES Account (Id) OPTIONS (NAMEINSOURCE 'Opportunities_Header_Staging__r'),
	CONSTRAINT FK_Account_Ship_To_Sales_Account__c FOREIGN KEY(Ship_To_Sales_Account__c) REFERENCES Account (Id) OPTIONS (NAMEINSOURCE 'Opportunities_Header_Staging2__r'),
	CONSTRAINT FK_Account_Sold_To_Sales_Account__c FOREIGN KEY(Sold_To_Sales_Account__c) REFERENCES Account (Id) OPTIONS (NAMEINSOURCE 'Opportunities_Header_Staging3__r'),
	CONSTRAINT FK_Address__c_Bill_To_Address__c FOREIGN KEY(Bill_To_Address__c) REFERENCES Address__c (Id) OPTIONS (NAMEINSOURCE 'Opportunities_Header_Staging__r'),
	CONSTRAINT FK_Address__c_Entitle_To_Address__c FOREIGN KEY(Entitle_To_Address__c) REFERENCES Address__c (Id) OPTIONS (NAMEINSOURCE 'Opportunities_Header_Staging3__r'),
	CONSTRAINT FK_Address__c_Ship_To_Address__c FOREIGN KEY(Ship_To_Address__c) REFERENCES Address__c (Id) OPTIONS (NAMEINSOURCE 'Opportunities_Header_Staging1__r'),
	CONSTRAINT FK_Address__c_Sold_To_Address__c FOREIGN KEY(Sold_To_Address__c) REFERENCES Address__c (Id) OPTIONS (NAMEINSOURCE 'Opportunities_Header_Staging2__r'),
	CONSTRAINT FK_Contact_Bill_To_Contact__c FOREIGN KEY(Bill_To_Contact__c) REFERENCES Contact (Id) OPTIONS (NAMEINSOURCE 'Opportunities_Header_Staging__r'),
	CONSTRAINT FK_Contact_Entitle_To_Contact__c FOREIGN KEY(Entitle_To_Contact__c) REFERENCES Contact (Id) OPTIONS (NAMEINSOURCE 'Opportunities_Header_Staging3__r'),
	CONSTRAINT FK_Contact_Ship_To_Contact__c FOREIGN KEY(Ship_To_Contact__c) REFERENCES Contact (Id) OPTIONS (NAMEINSOURCE 'Opportunities_Header_Staging1__r'),
	CONSTRAINT FK_Contact_Sold_To_Contact__c FOREIGN KEY(Sold_To_Contact__c) REFERENCES Contact (Id) OPTIONS (NAMEINSOURCE 'Opportunities_Header_Staging2__r'),
	CONSTRAINT FK_EBS_Account__c_Bill_To_Account__c FOREIGN KEY(Bill_To_Account__c) REFERENCES EBS_Account__c (Id) OPTIONS (NAMEINSOURCE 'Opportunities_Header_Staging__r'),
	CONSTRAINT FK_EBS_Account__c_Entitle_To_Account__c FOREIGN KEY(Entitle_To_Account__c) REFERENCES EBS_Account__c (Id) OPTIONS (NAMEINSOURCE 'Opportunities_Header_Staging3__r'),
	CONSTRAINT FK_EBS_Account__c_Ship_To_Account__c FOREIGN KEY(Ship_To_Account__c) REFERENCES EBS_Account__c (Id) OPTIONS (NAMEINSOURCE 'Opportunities_Header_Staging1__r'),
	CONSTRAINT FK_EBS_Account__c_Sold_To_Account__c FOREIGN KEY(Sold_To_Account__c) REFERENCES EBS_Account__c (Id) OPTIONS (NAMEINSOURCE 'Opportunities_Header_Staging2__r'),
	CONSTRAINT FK_Opportunity_Opportunity_Name__c FOREIGN KEY(Opportunity_Name__c) REFERENCES Opportunity (Id) OPTIONS (NAMEINSOURCE 'Opportunities_Header_Staging__r'),
	CONSTRAINT FK_User__Assigned_To__c FOREIGN KEY(Assigned_To__c) REFERENCES User_ (Id) OPTIONS (NAMEINSOURCE 'Opportunities_Header_Staging1__r'),
	CONSTRAINT FK_User__Opportunity_Owner__c FOREIGN KEY(Opportunity_Owner__c) REFERENCES User_ (Id) OPTIONS (NAMEINSOURCE 'Opportunities_Header_Staging__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE Opportunity_Header_Staging__History (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	ParentId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Field string(255) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Assigned_To__c,Bill_To_Account__c,Bill_To_Account_Number__c,Bill_To_Address__c,Bill_To_Address_CDH_Party_Site_Number__c,Bill_To_Address_Line_1__c,Bill_To_Address_Line_2__c,Bill_To_Address_Line_3__c,Bill_To_Address_Line_4__c,Bill_To_CDH_Party_Number__c,Bill_To_CDH_Party_Number_Account__c,Bill_To_City__c,Bill_To_Contact__c,Bill_To_Contact_Email__c,Bill_To_Contact_First_Name__c,Bill_To_Contact_Last_Name__c,Bill_To_Contact_Phone__c,Bill_To_Country__c,Bill_To_County__c,Bill_To_Party_Name__c,Bill_To_Party_Number__c,Bill_To_Party_Type__c,Bill_To_Province__c,Bill_To_Sales_Account__c,Bill_To_State__c,Bill_To_Zip_Postal_Code__c,Channel__c,Create_New_Opportunity__c,created,CurrencyIsoCode,Date_Booked__c,Date_Ordered__c,Employee_Number__c,Entitle_To_Account__c,Entitle_To_Account_Number__c,Entitle_To_Address__c,Entitle_To_Address_CDH_Party_Site_Number__c,Entitle_To_Address_Line_1__c,Entitle_To_Address_Line_2__c,Entitle_To_Address_Line_3__c,Entitle_To_Address_Line_4__c,Entitle_To_CDH_Party_Number__c,Entitle_To_CDH_Party_Number_Account__c,Entitle_To_City__c,Entitle_To_Contact__c,Entitle_To_Contact_Email__c,Entitle_To_Contact_First_Name__c,Entitle_To_Contact_Last_Name__c,Entitle_To_Contact_Phone__c,Entitle_To_Country__c,Entitle_To_County__c,Entitle_To_Party_Name__c,Entitle_To_Party_Number__c,Entitle_To_Party_Type__c,Entitle_To_Province__c,Entitle_To_Sales_Account__c,Entitle_To_State__c,Entitle_To_Zip_Postal_Code__c,Error_Message__c,feedEvent,Name,Operating_Unit__c,Opportunity_ID__c,Opportunity_Name__c,Opportunity_Number__c,Opportunity_Owner__c,Oracle_Order_ID__c,Oracle_Order_Number__c,Order_Last_Update_Date__c,Order_Source__c,Order_Status__c,Order_Type__c,Owner,ownerAccepted,ownerAssignment,Payment_Type__c,PO_Number__c,locked,unlocked,Resller_PO__c,Sales_Account__c,Ship_To_Account__c,Ship_To_Account_Number__c,Ship_To_Address__c,Ship_To_Address_CDH_Party_Site_Number__c,Ship_To_Address_Line_1__c,Ship_To_Address_Line_2__c,Ship_To_Address_Line_3__c,Ship_To_Address_Line_4__c,Ship_To_CDH_Party_Number__c,Ship_To_CDH_Party_Number_Account__c,Ship_To_City__c,Ship_To_Contact__c,Ship_To_Contact_Email__c,Ship_To_Contact_First_Name__c,Ship_To_Contact_Last_Name__c,Ship_To_Contact_Phone__c,Ship_To_Country__c,Ship_To_County__c,Ship_To_Party_Name__c,Ship_To_Party_Number__c,Ship_To_Party_Type__c,Ship_To_Province__c,Ship_To_Sales_Account__c,Ship_To_State__c,Ship_To_Zip_Postal_Code__c,Sold_To_Account__c,Sold_To_Account_Number__c,Sold_To_Address__c,Sold_To_Address_CDH_Party_Site_Number__c,Sold_To_Address_Line_1__c,Sold_To_Address_Line_2__c,Sold_To_Address_Line_3__c,Sold_To_Address_Line_4__c,Sold_To_CDH_Party_Number__c,Sold_To_CDH_Party_Number_Account__c,Sold_To_City__c,Sold_To_Contact__c,Sold_To_Contact_Email__c,Sold_To_Contact_First_Name__c,Sold_To_Contact_Last_Name__c,Sold_To_Contact_Phone__c,Sold_To_Country__c,Sold_To_County__c,Sold_To_Party_Name__c,Sold_To_Party_Number__c,Sold_To_Party_Type__c,Sold_To_Province__c,Sold_To_Sales_Account__c,Sold_To_State__c,Sold_To_Zip_Postal_Code__c,Status__c,Transaction_ID__c'),
	OldValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	NewValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Opportunity_Header_Staging__c_ParentId FOREIGN KEY(ParentId) REFERENCES Opportunity_Header_Staging__c (Id) OPTIONS (NAMEINSOURCE 'Histories')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'false', "teiid_sf:Supports Delete" 'false', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Opportunity_Header_Staging__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Opportunity_Header_Staging__c_ItemId FOREIGN KEY(ItemId) REFERENCES Opportunity_Header_Staging__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Opportunity_History__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	Opportunity__c string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Account__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Owner__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Channel__c string(100) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Financial_Partner__c string(100) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Opportunity_Type__c string(100) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Payment_Type__c string(100) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Pay_Now__c string(50) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Opportunity_Name__c string(200) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Account_Account__c FOREIGN KEY(Account__c) REFERENCES Account (Id) OPTIONS (NAMEINSOURCE 'R00N60000001d4c7EAA'),
	CONSTRAINT FK_Opportunity_Opportunity__c FOREIGN KEY(Opportunity__c) REFERENCES Opportunity (Id) OPTIONS (NAMEINSOURCE 'R00N60000001d4c2EAA'),
	CONSTRAINT FK_User__Owner__c FOREIGN KEY(Owner__c) REFERENCES User_ (Id) OPTIONS (NAMEINSOURCE 'R00N60000001d4cHEAQ')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE Opportunity_History__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Opportunity_History__c_ItemId FOREIGN KEY(ItemId) REFERENCES Opportunity_History__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Opportunity_Line_Staging__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	Opportunity_Stage_Header_ID__c string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ActualEndDate__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ActualStartDate__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Adjusted_Price__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Base_Price__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Contract_Numbers__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Entitle_To_Account_Number__c string(50) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Entitle_To_Account__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Entitle_To_Address_Line_1__c string(240) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Entitle_To_Address_Line_2__c string(240) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Entitle_To_Address_Line_3__c string(240) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Entitle_To_Address_Line_4__c string(240) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Entitle_To_Address__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Entitle_To_CDH_Party_Number__c string(60) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Entitle_To_CDH_Party_Site_Number__c string(50) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Entitle_To_City__c string(60) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Entitle_To_Contact_Email__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Entitle_To_Contact_First_Name__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Entitle_To_Contact_Last_Name__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Entitle_To_Contact_Phone__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Entitle_To_Contact__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Entitle_To_Country__c string(240) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Entitle_To_County__c string(240) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Entitle_To_Party_Name__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Entitle_To_Party_Number__c string(50) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Entitle_To_Party_Type__c string(240) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Entitle_To_Province__c string(240) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Entitle_To_State__c string(240) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Entitle_To_Zip_Postal_Code__c string(240) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Entitle_to_Sales_Account__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Install_Base_Number__c string(100) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Opportunity_ID__c string(18) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Opportunity_Number__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Opportunity_Product_ID__c string(18) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Oracle_Order_Header_Id__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	OrderImportProcessorTime__c timestamp OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'datetime', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Product_Code_Oracle__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Product_Code__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Quantity__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Return_Reason_Code__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Total_Price__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Transaction_ID__c string(50) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	UnitPrice__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Unit_of_Measure__c string(10) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Account_Entitle_to_Sales_Account__c FOREIGN KEY(Entitle_to_Sales_Account__c) REFERENCES Account (Id) OPTIONS (NAMEINSOURCE 'Opportunities_Line_Staging__r'),
	CONSTRAINT FK_Address__c_Entitle_To_Address__c FOREIGN KEY(Entitle_To_Address__c) REFERENCES Address__c (Id) OPTIONS (NAMEINSOURCE 'Opportunities_Line_Staging__r'),
	CONSTRAINT FK_Contact_Entitle_To_Contact__c FOREIGN KEY(Entitle_To_Contact__c) REFERENCES Contact (Id) OPTIONS (NAMEINSOURCE 'Opportunities_Line_Staging__r'),
	CONSTRAINT FK_EBS_Account__c_Entitle_To_Account__c FOREIGN KEY(Entitle_To_Account__c) REFERENCES EBS_Account__c (Id) OPTIONS (NAMEINSOURCE 'Opportunities_Line_Staging__r'),
	CONSTRAINT FK_Opportunity_Header_Staging__c_Opportunity_Stage_Header_ID__c FOREIGN KEY(Opportunity_Stage_Header_ID__c) REFERENCES Opportunity_Header_Staging__c (Id) OPTIONS (NAMEINSOURCE 'Opportunities_Line_Staging__r'),
	CONSTRAINT FK_Product2_Product_Code__c FOREIGN KEY(Product_Code__c) REFERENCES Product2 (Id) OPTIONS (NAMEINSOURCE 'Opportunities_Line_Staging__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE Opportunity_Line_Staging__History (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	ParentId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Field string(255) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'ActualEndDate__c,ActualStartDate__c,Adjusted_Price__c,Base_Price__c,Contract_Numbers__c,created,CurrencyIsoCode,Entitle_To_Account__c,Entitle_To_Account_Number__c,Entitle_To_Address__c,Entitle_To_Address_Line_1__c,Entitle_To_Address_Line_2__c,Entitle_To_Address_Line_3__c,Entitle_To_Address_Line_4__c,Entitle_To_CDH_Party_Number__c,Entitle_To_CDH_Party_Number_Account__c,Entitle_To_CDH_Party_Site_Number__c,Entitle_To_City__c,Entitle_To_Contact__c,Entitle_To_Contact_Email__c,Entitle_To_Contact_First_Name__c,Entitle_To_Contact_Last_Name__c,Entitle_To_Contact_Phone__c,Entitle_To_Country__c,Entitle_To_County__c,Entitle_To_Party_Name__c,Entitle_To_Party_Number__c,Entitle_To_Party_Type__c,Entitle_To_Province__c,Entitle_to_Sales_Account__c,Entitle_To_State__c,Entitle_To_Zip_Postal_Code__c,feedEvent,Install_Base_Number__c,Name,Opportunity_ID__c,Opportunity_Number__c,Opportunity_Product_ID__c,Opportunity_Stage_Header_ID__c,Oracle_Order_Header_Id__c,ownerAccepted,ownerAssignment,Product_Code__c,Product_Code_Oracle__c,Quantity__c,locked,unlocked,Return_Reason_Code__c,Total_Price__c,Transaction_ID__c,Unit_of_Measure__c,UnitPrice__c'),
	OldValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	NewValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Opportunity_Line_Staging__c_ParentId FOREIGN KEY(ParentId) REFERENCES Opportunity_Line_Staging__c (Id) OPTIONS (NAMEINSOURCE 'Histories')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'false', "teiid_sf:Supports Delete" 'false', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Opportunity_Line_Staging__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Opportunity_Line_Staging__c_ItemId FOREIGN KEY(ItemId) REFERENCES Opportunity_Line_Staging__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Opportunity_Match_Configuration__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	Operator__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'EQUAL TO,NOT EQUAL TO,RANGE,GREATER THAN,LESS THAN'),
	Value__c string(240) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id)
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE Opportunity_Match_Configuration__Share (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	ParentId string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	UserOrGroupId string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	AccessLevel string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Read,Edit,All'),
	RowCause string(40) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Owner,Manual,Rule,ImplicitChild,ImplicitParent,Team,Territory,TerritoryManual,TerritoryRule,Territory2Forecast'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Opportunity_Match_Configuration__c_ParentId FOREIGN KEY(ParentId) REFERENCES Opportunity_Match_Configuration__c (Id) OPTIONS (NAMEINSOURCE 'Shares')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Opportunity_Match_Configuration__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Opportunity_Match_Configuration__c_ItemId FOREIGN KEY(ItemId) REFERENCES Opportunity_Match_Configuration__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Opportunity_Partner_Staging__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	Opportunity_Stage_Header_ID__c string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CDH_Party_Number__c string(60) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	EBS_Account_Number__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Escape_Partner_Check__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Oracle_Order_Header_Id__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	PartnerTier__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Partner_Contact_CDH_Party_Number__c string(60) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Partner_Contact_Email__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Partner_Contact_First_Name__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Partner_Contact_Last_Name__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Partner_Contact_Phone__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Partner_Contact__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Partner_Sales_Account__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Partner_Sub_Type__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Partner_Type__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	RelationshipType__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Financial'),
	Transaction_ID__c string(50) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Account_Partner_Sales_Account__c FOREIGN KEY(Partner_Sales_Account__c) REFERENCES Account (Id) OPTIONS (NAMEINSOURCE 'Opportunities_Partner_Staging__r'),
	CONSTRAINT FK_Contact_Partner_Contact__c FOREIGN KEY(Partner_Contact__c) REFERENCES Contact (Id) OPTIONS (NAMEINSOURCE 'Opportunities_Partner_Staging__r'),
	CONSTRAINT FK_Opportunity_Header_Staging__c_Opportunity_Stage_Header_ID__c FOREIGN KEY(Opportunity_Stage_Header_ID__c) REFERENCES Opportunity_Header_Staging__c (Id) OPTIONS (NAMEINSOURCE 'Opportunities_Partner_Staging__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE Opportunity_Partner_Staging__History (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	ParentId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Field string(255) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'CDH_Party_Name__c,CDH_Party_Number__c,created,CurrencyIsoCode,EBS_Account_Number__c,Escape_Partner_Check__c,feedEvent,Name,Opportunity_Stage_Header_ID__c,Oracle_Classification_Code__c,Oracle_Order_Header_Id__c,ownerAccepted,ownerAssignment,Partner_Contact__c,Partner_Contact_CDH_Party_Number__c,Partner_Contact_Email__c,Partner_Contact_First_Name__c,Partner_Contact_Last_Name__c,Partner_Contact_Phone__c,Partner_Sales_Account__c,Partner_Sub_Type__c,Partner_Type__c,PartnerTier__c,locked,unlocked,RelationshipType__c,Transaction_ID__c'),
	OldValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	NewValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Opportunity_Partner_Staging__c_ParentId FOREIGN KEY(ParentId) REFERENCES Opportunity_Partner_Staging__c (Id) OPTIONS (NAMEINSOURCE 'Histories')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'false', "teiid_sf:Supports Delete" 'false', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Opportunity_Partner_Staging__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Opportunity_Partner_Staging__c_ItemId FOREIGN KEY(ItemId) REFERENCES Opportunity_Partner_Staging__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Opportunity_Partners__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	Financial_Partner_Tier__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Advanced,Affiliated,Premier,Ready,Unaffiliated'),
	Financial_Partner_Type__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Distributor,Global Chip,ISP,ISV,OEM,Reseller,SI,Training'),
	Financial_Partner__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Influencer_1_Tier__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Advanced,Affiliated,Premier,Ready,Unaffiliated'),
	Influencer_1_Type__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Distributor,Global Chip,ISP,ISV,OEM,Reseller,SI,Training'),
	Influencer_1__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Influencer_2_Tier__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Advanced,Affiliated,Premier,Ready,Unaffiliated'),
	Influencer_2_Type__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Distributor,Global Chip,ISP,ISV,OEM,Reseller,SI,Training'),
	Influencer_2__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Influencer_3_Tier__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Advanced,Affiliated,Premier,Ready,Unaffiliated'),
	Influencer_3_Type__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Distributor,Global Chip,ISP,ISV,OEM,Reseller,SI,Training'),
	Influencer_3__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Influencer_4_Tier__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Advanced,Affiliated,Premier,Ready,Unaffiliated'),
	Influencer_4_Type__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Distributor,Global Chip,ISP,ISV,OEM,Reseller,SI,Training'),
	Influencer_4__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	OpportunityId__c string(18) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Opportunity_Number__c string(100) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Opportunity__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Reseller1_Tier__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Advanced,Affiliated,Premier,Ready,Unaffiliated'),
	Reseller1_Type__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Distributor,Global Chip,ISP,ISV,OEM,Reseller,SI,Training'),
	Reseller1__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Reseller_2_Tier__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Advanced,Affiliated,Premier,Ready,Unaffiliated'),
	Reseller_2_Type__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Distributor,Global Chip,ISP,ISV,OEM,Reseller,SI,Training'),
	Reseller_2__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Reseller_3_Tier__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Advanced,Affiliated,Premier,Ready,Unaffiliated'),
	Reseller_3_Type__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Distributor,Global Chip,ISP,ISV,OEM,Reseller,SI,Training'),
	Reseller_3__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Reseller_4_Tier__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Advanced,Affiliated,Premier,Ready,Unaffiliated'),
	Reseller_4_Type__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Distributor,Global Chip,ISP,ISV,OEM,Reseller,SI,Training'),
	Reseller_4__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Reseller_5_Tier__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Advanced,Affiliated,Premier,Ready,Unaffiliated'),
	Reseller_5_Type__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Distributor,Global Chip,ISP,ISV,OEM,Reseller,SI,Training'),
	Reseller_5__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Reseller_6_Tier__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Advanced,Affiliated,Premier,Ready,Unaffiliated'),
	Reseller_6_Type__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Distributor,Global Chip,ISP,ISV,OEM,Reseller,SI,Training'),
	Reseller_6__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Account_Financial_Partner__c FOREIGN KEY(Financial_Partner__c) REFERENCES Account (Id) OPTIONS (NAMEINSOURCE 'OPFinancialPartner__r'),
	CONSTRAINT FK_Account_Influencer_1__c FOREIGN KEY(Influencer_1__c) REFERENCES Account (Id) OPTIONS (NAMEINSOURCE 'OPInfluencer1__r'),
	CONSTRAINT FK_Account_Influencer_2__c FOREIGN KEY(Influencer_2__c) REFERENCES Account (Id) OPTIONS (NAMEINSOURCE 'OPInfluencer2__r'),
	CONSTRAINT FK_Account_Influencer_3__c FOREIGN KEY(Influencer_3__c) REFERENCES Account (Id) OPTIONS (NAMEINSOURCE 'OPInfluencer3__r'),
	CONSTRAINT FK_Account_Influencer_4__c FOREIGN KEY(Influencer_4__c) REFERENCES Account (Id) OPTIONS (NAMEINSOURCE 'OPInfluencer4__r'),
	CONSTRAINT FK_Account_Reseller1__c FOREIGN KEY(Reseller1__c) REFERENCES Account (Id) OPTIONS (NAMEINSOURCE 'OPReseller1__r'),
	CONSTRAINT FK_Account_Reseller_2__c FOREIGN KEY(Reseller_2__c) REFERENCES Account (Id) OPTIONS (NAMEINSOURCE 'OPReseller2__r'),
	CONSTRAINT FK_Account_Reseller_3__c FOREIGN KEY(Reseller_3__c) REFERENCES Account (Id) OPTIONS (NAMEINSOURCE 'OPReseller3__r'),
	CONSTRAINT FK_Account_Reseller_4__c FOREIGN KEY(Reseller_4__c) REFERENCES Account (Id) OPTIONS (NAMEINSOURCE 'OPReseller4__r'),
	CONSTRAINT FK_Account_Reseller_5__c FOREIGN KEY(Reseller_5__c) REFERENCES Account (Id) OPTIONS (NAMEINSOURCE 'OPReseller5__r'),
	CONSTRAINT FK_Account_Reseller_6__c FOREIGN KEY(Reseller_6__c) REFERENCES Account (Id) OPTIONS (NAMEINSOURCE 'OPReseller6__r'),
	CONSTRAINT FK_Opportunity_Opportunity__c FOREIGN KEY(Opportunity__c) REFERENCES Opportunity (Id) OPTIONS (NAMEINSOURCE 'Opportunity_Partners_Set__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE Opportunity_Partners__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Opportunity_Partners__c_ItemId FOREIGN KEY(ItemId) REFERENCES Opportunity_Partners__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Opportunity_Split_Detail__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	ARS_Conversion_Rate__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	AUD_Conversion_Rate__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BRL_Conversion_Rate__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CAD_Conversion_Rate__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CNY_Conversion_Rate__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Configured_SKU__c string(20) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	EUR_Conversion_Rate__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Entitle_To_Country__c string(100) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	GBP_Conversion_Rate__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	HKD_Conversion_Rate__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	IDR_Conversion_Rate__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	INR_Conversion_Rate__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	JPY_Conversion_Rate__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	KRW_Conversion_Rate__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	MXN_Conversion_Rate__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	MYR_Conversion_Rate__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	NZD_Conversion_Rate__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	OpportunityLineItem__c string(18) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	OpportunitySplit__c string(18) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Opportunity_Line_Item_Total_Price__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Opportunity_Split_Type__c string(50) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Opportunity__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	OwnerRegion__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	OwnerSubregion__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	OwnerSuperRegion__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	PHP_Conversion_Rate__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Primary_Business_Unit_Amount__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Product__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Quaternary_Business_Unit_Amount__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Quinary_Business_Unit_Amount__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Region__c string(150) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	SGD_Conversion_Rate__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Sales_Incentive_Country__c string(100) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Secondary_Business_Unit_Amount__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Split_Amount__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Split_Percent__c double OPTIONS (NATIVE_TYPE 'percent', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Sub_Region__c string(150) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Super_Region__c string(150) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	THB_Conversion_Rate__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Team_Member_Role__c string(30) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Tertiary_Business_Unit_Amount__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Total_Amount_ARS__c double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'double', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Total_Amount_AUD__c double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'double', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Total_Amount_BRL__c double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'double', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Total_Amount_CAD__c double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'double', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Total_Amount_CNY__c double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'double', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Total_Amount_EUR__c double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'double', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Total_Amount_GBP__c double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'double', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Total_Amount_HKD__c double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'double', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Total_Amount_IDR__c double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'double', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Total_Amount_INR__c double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'double', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Total_Amount_JPY__c double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'double', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Total_Amount_KRW__c double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'double', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Total_Amount_MXN__c double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'double', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Total_Amount_MYR__c double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'double', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Total_Amount_NZD__c double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'double', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Total_Amount_PHP__c double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'double', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Total_Amount_SGD__c double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'double', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Total_Amount_THB__c double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'double', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Total_Amount_USD__c double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'double', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Total_Amount__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Year1_Amount__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Year2_Amount__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Year3_Amount__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Year4_Amount__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Year5_Amount__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Year6_Amount__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Opportunity_Opportunity__c FOREIGN KEY(Opportunity__c) REFERENCES Opportunity (Id) OPTIONS (NAMEINSOURCE 'Opportunity_Split_Details__r'),
	CONSTRAINT FK_Product2_Product__c FOREIGN KEY(Product__c) REFERENCES Product2 (Id) OPTIONS (NAMEINSOURCE 'Opportunity_Split_Details__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE Opportunity_Split_Detail__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Opportunity_Split_Detail__c_ItemId FOREIGN KEY(ItemId) REFERENCES Opportunity_Split_Detail__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE OpportunityCompetitor (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OpportunityId string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CompetitorName string(40) OPTIONS (NATIVE_TYPE 'combobox', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Strengths string(1000) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Weaknesses string(1000) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Opportunity_OpportunityId FOREIGN KEY(OpportunityId) REFERENCES Opportunity (Id) OPTIONS (NAMEINSOURCE 'OpportunityCompetitors')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE OpportunityContactRole (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OpportunityId string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ContactId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Role string(40) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Administrative,Approver - Administrative / Procurement,Approver - Financial,Approver - Legal,Approver - Operational,Approver - Technical,Business User,Champion,Decision Maker,Economic Buyer,Economic Decision Maker,Evaluator,Executive Sponsor,Financial,Influencer,JBoss Dev+Prod. Contact,JBoss Developer Contact,JBoss Production Contact,Legal,Operational,Other,Partner Contact,Payables Contact,Power Sponsor,Renewal Contact,Shipping Contact,Sponsor,Technical,Technical Buyer,Ultimate Authority,Unsure'),
	IsPrimary boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Contact_ContactId FOREIGN KEY(ContactId) REFERENCES Contact (Id) OPTIONS (NAMEINSOURCE 'OpportunityContactRoles'),
	CONSTRAINT FK_Opportunity_OpportunityId FOREIGN KEY(OpportunityId) REFERENCES Opportunity (Id) OPTIONS (NAMEINSOURCE 'OpportunityContactRoles')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE OpportunityFeed (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	ParentId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	FeedPostId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'TrackedChange,UserStatus,TextPost,AdvancedTextPost,LinkPost,ContentPost,PollPost,RypplePost,ProfileSkillPost,DashboardComponentSnapshot,ApprovalPost,CaseCommentPost,ReplyPost,EmailMessageEvent,CallLogPost,ChangeStatusPost,AttachArticleEvent,MilestoneEvent,ActivityEvent,ChatTranscriptPost,CollaborationGroupCreated,CollaborationGroupUnarchived,SocialPost,QuestionPost,FacebookPost,BasicTemplateFeedItem,CreateRecordEvent,CanvasPost,AnnouncementPost'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Opportunity_ParentId FOREIGN KEY(ParentId) REFERENCES Opportunity (Id) OPTIONS (NAMEINSOURCE 'Feeds')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'false', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE OpportunityFieldHistory (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OpportunityId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Field string(255) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Access_Protocol__c,Account,Account_Solutions_Architect__c,AgreementType__c,Amount,ApprovalStatus__c,ApprovalStatusDate__c,ARBalance__c,ARPastDueAmount__c,ASIDBT__c,ASIDST__c,AssignedApprovers__c,Bill_To_Account__c,Bill_To_Address__c,Bill_To_Contact__c,Bill_To_Sales_Account__c,BillingAccountNumber__c,BillingAddress__c,BillingCity__c,BillingCountry__c,BillingState__c,BillingZipPostalCode__c,Campaign,Canadian_Federal_Government__c,CC_SpecialInstructions__c,CDH_Party_Number__c,Channel_Load_Date__c,Channel_Load_Opp__c,Chief_Competitors__c,Chief_Competitors_Other__c,Cloned_From_Opportunity__c,Cloned_Opp_Number__c,Close_Date_Moved__c,Close_Date_Moved_Details__c,Close_Date_Moved_Reason__c,Close_Opportunity_Requested_by_Partner__c,Closed_Lost_Date__c,Closed_Lost_Details_Marketing__c,CloseDate,Co_Term__c,Comments__c,Competition__c,Competitive_Deal__c,Contract,ContractEndDate__c,ContractNumber__c,ContractStartDate__c,Country_of_Order__c,created,opportunityCreatedFromLead,CreatedFromSolution__c,Credit_Approved_by__c,Credit_Card_Number__c,Credit_Limit_Requested__c,Credit_Notification_Reason__c,Credit_Status__c,CreditCardNumberPreR4__c,CreditCardType__c,CreditChecked__c,CreditLimit__c,CrossRegionalCreditCheck__c,CurrencyIsoCode,Current_User_of_Product_Line__c,Date_Booked_Changed__c,Date_Submitted_Changed__c,DateOrderBooked__c,DateOrderSubmitted__c,Deal_Approved_Date__c,Deal_Forward__c,Deal_ID__c,Deal_Registration__c,Deal_Registration_Classification__c,Deal_Registration_Expired__c,Deal_Registration_Fed_Sled__c,Deal_Source__c,Decision_Role__c,Department__c,Description,Desired_Delivery_Timeframe__c,Details_from_Lead__c,Distributor__c,Distributor_Annual_Pay_Program__c,ELQ_USD_AMT__c,Embedded__c,EmbeddedOverridden__c,EMEA_SE_Required__c,Enemies__c,Engagement_SA__c,EngagementEndDate__c,EngagementStartDate__c,Entitle_To_Account__c,Entitle_To_Address__c,Entitle_To_Contact__c,Entitle_To_Sales_Account__c,ExpirationDate__c,Expiring_Products_Total_Amount_2__c,FED_SLED_Sales_Team__c,feedEvent,FinancialPartner__c,ForecastCategoryName,Forwarded_Lead_ID__c,Framework_on_File__c,fromRenewal__c,FulfillmentChannel__c,Future_Reporting_Requirement__c,Global_Chip__c,Global_ISV__c,Global_OEM__c,Global_SI__c,GSSO_Solution__c,Hardware_Model__c,Intial_Estimated_Close_Date__c,Is_PAR__c,isOnSaleHold__c,IsPrivate,isRenewed__c,JBoss_Opp_ID__c,JBoss_Opp_Number__c,JBoss_Opportunity_ID__c,JBoss_Product_Opp__c,JBoss_Product_Opp2__c,Language_Preference__c,Latest_Verifiable_Outcome__c,Lead_Created_Date__c,Lead_Expiration_Date__c,LeadSource,LeadSourceDetail__c,Legacy_Owner_Role_at_Close_Value__c,LFR__c,Likelihood_of_Opportunity_Win__c,MapLeadID__c,Master_Claim_Opportunity__c,mkt_cl_closed_deal__c,mkt_cl_oppty__c,mkt_cl_oppty_quote__c,NA_Reseller__c,Name,NameOnCard__c,New_Business__c,NextStep,NFR__c,Notify_Billing__c,Notify_Credit__c,Notify_Order_Entry__c,Obstacles_to_Closing_Opportunity__c,Obstacles_to_Completing_POC__c,OM_review_complete__c,OORID__c,Operating_Unit__c,Opportunity_Last_Modified_by_Partner__c,Opportunity_Last_Modified_Date_Time__c,Opportunity_partner_Worked__c,Opportunity_Partners__c,Opportunity_Priority__c,Opportunity_Reference_Name__c,OpportunityType__c,OpportunityTypess__c,OracleOrderID__c,OracleOrderNumber__c,Order_Management_Profile__c,Order_Status__c,Order_Type__c,OriginalOpportunity__c,Override_Auto_Close__c,Owner,Owner__c,Owner_Role_at_Close__c,ownerAccepted,ownerAssignment,Partner_Close_Rating__c,Partner_Created__c,PartnerProvidedLead__c,Passed_to_Partner__c,Pay_No__c,Pay_Now__c,PaymentTerms__c,PaymentType__c,Pending_OM_Review__c,Platform_Vendor__c,PO_Confirmed_By__c,PO_Special_Instructions__c,POC_Approved_by_BU_Management__c,POC_Approved_by_SA_Management__c,POC_Assigned_by_SA_Management__c,POC_Close_Comments__c,POC_Close_Reason__c,POC_Description__c,POC_Parent_Opportunity_Owner_Role__c,POC_Parent_Stage__c,POC_Primary_Product__c,POC_Status__c,POC_Submit_for_BU_Approval__c,PODate__c,PONumber__c,Present_Quote__c,Previous_Record_Type__c,Previous_Red_Hat_Consulting_Details__c,Previous_Red_Hat_Consulting_Involvement__c,PriceOfWinningBid__c,PriceOverrideReason__c,Primary_Partner__c,PrimaryBusinessUnit__c,Probability,ProductsOfInterest__c,Project_Budget__c,Project_Budgeted__c,Project_Delivery_Start_Date__c,Project_Description__c,Project_Name__c,PurchasingHWWithThisDeployment__c,QualifiesForGSASchedule__c,QuoteNumber__c,Reason_Closed_Lost_Marketing__c,Reason_POC_Required__c,Reasons_Won_Lost_Other__c,ReasonWonLostCompanyReputation__c,ReasonWonLostProduct__c,ReasonWonLostSalesProcess__c,Record_Source__c,locked,RecordType,unlocked,Red_Hat_Services_Revenue__c,Red_Hat_Subscription_Revenue__c,Region__c,Region_tmp__c,Region2__c,Registration_Expiration__c,Renewable__c,Renewal_Opportunity__c,Require_POC_Approval_Cloud_RHEV__c,Require_POC_Approval_GPS__c,Require_POC_Approval_GSS__c,Require_POC_Approval_Middleware__c,Require_POC_Approval_Platform__c,Require_POC_Approval_Storage__c,Requisition_Number__c,Reseller__c,Reseller_PO__c,ResellerPartner__c,Revenue_Type__c,RHN_AccountNumber__c,Royalty_Type__c,Rush_Order__c,Rush_Order_Reason__c,Rush_Order_Set_By_System__c,Sales_Comments_to_Credit__c,Sales_Incentive_Program__c,Sales_Ops_Reviewed__c,SEA_Stage__c,Send_Notification_to_Opp_Owner__c,SendingMedia__c,Services_Contract_Type__c,Services_Effort_Allocation_1__c,Services_Effort_Allocation_2__c,Services_Effort_Allocation_3__c,Services_Effort_Allocation_4__c,Services_Effort_Allocation_5__c,Services_Effort_Allocation_6__c,Services_Product_Line_1__c,Services_Product_Line_2__c,Services_Product_Line_3__c,Services_Product_Line_4__c,Services_Product_Line_5__c,Services_Product_Line_6__c,Services_Program_Manager__c,Services_Risk_Review__c,Set_As_Default_Profile__c,Ship_To_Account__c,Ship_To_Address__c,Ship_To_Contact__c,Ship_To_Sales_Account__c,Shipping_Instructions__c,ShippingAddress__c,ShippingCity__c,ShippingContact__c,ShippingCountry__c,ShippingState__c,ShippingZipPostalCode__c,Sold_To_Account__c,Sold_To_Address__c,Sold_To_Contact__c,Sold_To_Sales_Account__c,Solution_Sector__c,Source_Opportunity__c,Source_Opportunity_Referrals__c,Special_Deal_Type__c,Specialist_Solutions_Architect__c,SSI_In_Scope__c,SSIReferralCreatorEmailOpp__c,StageName,Statement_of_Work_Reference__c,Storage_Use_Case__c,SubmitConfirmDate__c,SubmitConfirmUser__c,SubRegion__c,Success_Criteria__c,Teaming_Agreement__c,Technical_Win_Date__c,TermOfOpportunity__c,Time_and_Date_Approved__c,TotalOpportunityQuantity,Touched__c,Triage_Opportunity__c,True_Up__c,Type,Use_Cases__c,Value_Added_Sales_Activity_Description__c,Value_Added_Services_Proposed_Desc__c,Value_Selling_Cycle__c,Value_Selling_Stage__c,Value_Selling_Stage_Changed__c,Value_Selling_Type__c,VAT_Code__c,VOUpdate__c,Willingness_to_Engage_Red_Hat_Consulting__c,WorkloadsDeployedDeployingOnLinux__c,Year1Amount__c,Year1PaymentAmount__c,Year2Amount__c,Year2PaymentAmount__c,Year3Amount__c,Year3PaymentAmount__c,Year4Amount__c,Year4PaymentAmount__c,Year5Amount__c,Year5PaymentAmount__c,Year6Amount__c,Year6PaymentAmount__c'),
	OldValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	NewValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Opportunity_OpportunityId FOREIGN KEY(OpportunityId) REFERENCES Opportunity (Id) OPTIONS (NAMEINSOURCE 'Histories')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'false', "teiid_sf:Supports Delete" 'false', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE OpportunityHistory (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OpportunityId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	StageName string(40) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Prepare,Pending,Approved,Rejected,Recalled,Engage,Qualify,Validate,Propose,Negotiate,Closed Won,Closed Lost,Closed Booked,Closed Won - Partner,POC'),
	Amount double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ExpectedRevenue double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CloseDate date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Probability double OPTIONS (NATIVE_TYPE 'percent', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ForecastCategory string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Omitted,Pipeline,BestCase,Forecast,Closed'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Opportunity_OpportunityId FOREIGN KEY(OpportunityId) REFERENCES Opportunity (Id) OPTIONS (NAMEINSOURCE 'OpportunityHistories')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'false', "teiid_sf:Supports Delete" 'false', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE OpportunityLineItem (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OpportunityId string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	SortOrder integer OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'int', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	PricebookEntryId string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CurrencyIsoCode string(3) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	Quantity double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Discount double OPTIONS (NATIVE_TYPE 'percent', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	TotalPrice double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	UnitPrice double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	ListPrice double OPTIONS (UPDATABLE FALSE, CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ServiceDate date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	HasRevenueSchedule boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	HasQuantitySchedule boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Description string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	HasSchedule boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	NewOrRenewal__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'New,Renewal,Renewal - SKU Change'),
	Contract_Numbers__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Suggested_List_Price__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ActualTerm__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ActualStartDate__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	YearlySalesPrice__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Extended_Sales_Price__c double OPTIONS (UPDATABLE FALSE, CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	RenewalProduct__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Year1Amount__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Year2Amount__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Year3Amount__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Year4Amount__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Year5Amount__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Year6Amount__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ActualEndDate__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ScheduleLocked__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	OpportunityCloseDate__c date OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'date', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ProductDefaultTerm__c double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'double', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Line_Item_Source__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'application/vnd.redhat.sforce.channelload.apac,application/vnd.redhat.sforce.channelload.emea,application/vnd.redhat.sforce.channelload.na,application/vnd.redhat.sforce.quotebuilder'),
	Configured_SKU__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Pricing_Attributes__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Base_Price__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Expected_SYB_Product__c double OPTIONS (UPDATABLE FALSE, CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BigMachines__Origin_Quote__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BigMachines__Synchronization_Id__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	PriceOverrideReason__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'No Override Reason,Approved $0 Subsc,Customer Satisfaction Issue,Deal Reg,Distributor/Reseller,Govt or Edu discount,MSA,NAT,Other,Price Rounding,Special Bid,Special Product/Program Discount,New Pricing Structure,Buffer/True-up,Upgrade,Volume Discount,Multi-element Discount,Competitive,Multi-Payment Discount,Miscellaneous,Refund,Manually Applied Adjustment,Multi-Year Discount Applied Over Each Year,EDI Override,Updated from Deal Workbench'),
	ActualEndDateNormalized__c double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'double', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CloseDateNormalized__c double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'double', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	SYBNextStart__c double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'double', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	SYBStart__c double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'double', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Year1AmountAdjust__c double OPTIONS (UPDATABLE FALSE, CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Adjusted_Price__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BM_Discretionary_Discount__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BM_Discretionary_discount_operator__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" '$,%'),
	BM_One_time_discount_operator__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" '$,%'),
	BigMachines_Line_ID__c string(20) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Discretionary_Discount_Amount__c double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'double', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Entitle_To_Account__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Entitle_To_Address__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Entitle_To_Contact__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Entitle_To_Sales_Account__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Install_Base_Number__c string(100) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	One_Time_Discount__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	One_time_Discount_Amount__c double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'double', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Oracle_Price_Adjustments__c string(32768) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Price_After_Discretionary_Discount__c double OPTIONS (UPDATABLE FALSE, CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Price_After_One_Time_Discount__c double OPTIONS (UPDATABLE FALSE, CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	PostDiscretionaryPreOneTimeTotal__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BMunitSellingPriceAfterDiscounts_line__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	UnitSellingPriceAfterDiscounts__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	extendedProRatedPrice_line__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Account_Entitle_To_Sales_Account__c FOREIGN KEY(Entitle_To_Sales_Account__c) REFERENCES Account (Id) OPTIONS (NAMEINSOURCE 'Opportunity_Product__r'),
	CONSTRAINT FK_Address__c_Entitle_To_Address__c FOREIGN KEY(Entitle_To_Address__c) REFERENCES Address__c (Id) OPTIONS (NAMEINSOURCE 'Opportunity_Product__r'),
	CONSTRAINT FK_BigMachines__Quote__c_BigMachines__Origin_Quote__c FOREIGN KEY(BigMachines__Origin_Quote__c) REFERENCES BigMachines__Quote__c (Id) OPTIONS (NAMEINSOURCE 'BigMachines__Opportunity_Product__r'),
	CONSTRAINT FK_Contact_Entitle_To_Contact__c FOREIGN KEY(Entitle_To_Contact__c) REFERENCES Contact (Id) OPTIONS (NAMEINSOURCE 'Opportunity_Product__r'),
	CONSTRAINT FK_EBS_Account__c_Entitle_To_Account__c FOREIGN KEY(Entitle_To_Account__c) REFERENCES EBS_Account__c (Id) OPTIONS (NAMEINSOURCE 'Opportunity_Product__r'),
	CONSTRAINT FK_Opportunity_OpportunityId FOREIGN KEY(OpportunityId) REFERENCES Opportunity (Id) OPTIONS (NAMEINSOURCE 'OpportunityLineItems'),
	CONSTRAINT FK_PricebookEntry_PricebookEntryId FOREIGN KEY(PricebookEntryId) REFERENCES PricebookEntry (Id) OPTIONS (NAMEINSOURCE 'OpportunityLineItems'),
	CONSTRAINT FK_Product2_RenewalProduct__c FOREIGN KEY(RenewalProduct__c) REFERENCES Product2 (Id) OPTIONS (NAMEINSOURCE 'R00N60000001f0x1EAA')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE OpportunityLineItemSchedule (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OpportunityLineItemId string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Quantity,QuantityRevenueRelated,Revenue,Both'),
	Revenue double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Quantity double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Description string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ScheduleDate date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CurrencyIsoCode string(3) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_OpportunityLineItem_OpportunityLineItemId FOREIGN KEY(OpportunityLineItemId) REFERENCES OpportunityLineItem (Id) OPTIONS (NAMEINSOURCE 'OpportunityLineItemSchedules')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE OpportunityOverride (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OpportunityId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	OwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	OverrideComment string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	OverrideForecastCategory string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Omitted,Pipeline,BestCase,Forecast,Closed'),
	ForecastCategoryInherited boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OverridePeriodId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	PeriodInherited boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OverrideAmount double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	AmountInherited boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OverrideQuantity double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	QuantityInherited boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OutOfDate boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	CONSTRAINT Id_PK PRIMARY KEY(Id)
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'false', "teiid_sf:Supports Delete" 'false', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE OpportunityPartner (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OpportunityId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	AccountToId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Role string(40) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Advanced Partner,Chip,Distributor,ISV,OEM,Other,System Integrator,Technology,Training,Value Added Reseller'),
	IsPrimary boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	ReversePartnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Account_AccountToId FOREIGN KEY(AccountToId) REFERENCES Account (Id) OPTIONS (NAMEINSOURCE 'OpportunityPartnersTo'),
	CONSTRAINT FK_Opportunity_OpportunityId FOREIGN KEY(OpportunityId) REFERENCES Opportunity (Id) OPTIONS (NAMEINSOURCE 'OpportunityPartnersFrom')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'false', "teiid_sf:Supports Delete" 'false', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE OpportunityPartner__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	Opportunity__c string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	PartnerName__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	PartnerTier__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	PartnerTypeHierarchy__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	PartnerType__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Partner__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	RelationshipType__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Financial,Influencing,Reseller 2,Reseller 3,Reseller 4,Reseller 5,Reseller 6,Reseller 7,Reseller 8,Reseller 9,Reseller 10,Non Entitled Endco'),
	Legacy_PartnerId__c string(18) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	PartnerSubTypeName__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	PartnerTierName__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	PartnerTypeName__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Oracle_Classification_Code__c string(50) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Account_Number_Test__c string(240) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Escape_Partner_Check__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Partner_Contact__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Partner_Tier_Test__c string(240) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Partner_Type_Test__c string(240) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Transaction_Role_Test__c string(240) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Account_Partner__c FOREIGN KEY(Partner__c) REFERENCES Account (Id) OPTIONS (NAMEINSOURCE 'OpportunityPartners2__r'),
	CONSTRAINT FK_Classification__c_PartnerTier__c FOREIGN KEY(PartnerTier__c) REFERENCES Classification__c (Id) OPTIONS (NAMEINSOURCE 'Opportunity_PartnersByTier__r'),
	CONSTRAINT FK_Classification__c_PartnerType__c FOREIGN KEY(PartnerType__c) REFERENCES Classification__c (Id) OPTIONS (NAMEINSOURCE 'Opportunity_PartnersByType__r'),
	CONSTRAINT FK_Contact_Partner_Contact__c FOREIGN KEY(Partner_Contact__c) REFERENCES Contact (Id) OPTIONS (NAMEINSOURCE 'Opportunity_Partners_contact__r'),
	CONSTRAINT FK_Opportunity_Opportunity__c FOREIGN KEY(Opportunity__c) REFERENCES Opportunity (Id) OPTIONS (NAMEINSOURCE 'OpportunityPartners2__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE OpportunityPartner__History (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	ParentId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Field string(255) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Account_Number_Test__c,created,CurrencyIsoCode,Escape_Partner_Check__c,feedEvent,Legacy_PartnerId__c,Name,Opportunity__c,Oracle_Classification_Code__c,ownerAccepted,ownerAssignment,Partner__c,Partner_Contact__c,Partner_Tier_Test__c,Partner_Type_Test__c,PartnerTier__c,PartnerType__c,locked,unlocked,RelationshipType__c,Transaction_Role_Test__c'),
	OldValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	NewValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_OpportunityPartner__c_ParentId FOREIGN KEY(ParentId) REFERENCES OpportunityPartner__c (Id) OPTIONS (NAMEINSOURCE 'Histories')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'false', "teiid_sf:Supports Delete" 'false', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE OpportunityPartner__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_OpportunityPartner__c_ItemId FOREIGN KEY(ItemId) REFERENCES OpportunityPartner__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE OpportunityProductSummary__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	Opportunity__c string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	AmountUSD__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Amount__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	DateCaptured__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	ExternalId__c string(36) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ProductCode__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ProductFamily__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Product__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Opportunity_Opportunity__c FOREIGN KEY(Opportunity__c) REFERENCES Opportunity (Id) OPTIONS (NAMEINSOURCE 'Opportunity_Product_Summaries__r'),
	CONSTRAINT FK_Product2_Product__c FOREIGN KEY(Product__c) REFERENCES Product2 (Id) OPTIONS (NAMEINSOURCE 'Opportunity_Product_Summaries__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE OpportunityProductSummary__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_OpportunityProductSummary__c_ItemId FOREIGN KEY(ItemId) REFERENCES OpportunityProductSummary__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE OpportunityShare (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OpportunityId string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	UserOrGroupId string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	OpportunityAccessLevel string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Read,Edit,All'),
	RowCause string(40) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Owner,Manual,Rule,ImplicitChild,ImplicitParent,Team,Territory,TerritoryManual,TerritoryRule,Territory2Forecast'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Opportunity_OpportunityId FOREIGN KEY(OpportunityId) REFERENCES Opportunity (Id) OPTIONS (NAMEINSOURCE 'Shares')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE OpportunitySnapshot__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	CONSTRAINT Id_PK PRIMARY KEY(Id)
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE OpportunitySnapshot__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_OpportunitySnapshot__c_ItemId FOREIGN KEY(ItemId) REFERENCES OpportunitySnapshot__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE OpportunitySplit (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Split string(255) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	OpportunityId string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	SplitOwnerId string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	SplitPercentage double OPTIONS (NATIVE_TYPE 'percent', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	SplitNote string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	SplitAmount double OPTIONS (UPDATABLE FALSE, CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Country__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Afghanistan,Albania,Algeria,American Samoa,Andorra,Angola,Anguilla,Antigua,Antigua and Barbuda,Argentina,Armenia,Aruba,Australia,Austria,Azerbaijan,Bahamas,Bahrain,Bangladesh,Barbados,Barbuda,Belarus,Belgium,Belize,Benin,Bermuda,Bhutan,Bolivia,Bosnia and Herzegovina,Bosnia and Herzegowina,Botswana,Bouvet Island,Brazil,British Virgin Islands,Brunei Darussalam,Bulgaria,Burkina Faso,Burundi,Cambodia,Cameroon,Canada,Cape Verde,Caribbean,Cayman Islands,Central African Republic,Central America,Chad,Chile,China,Colombia,Comoros,Congo,Congo, The Democratic Republic of the,Costa Rica,Cote d''Ivoire,Croatia,Cyprus,Czech Republic,Democratic Republic of Congo,Denmark,Djibouti,Dominica,Dominican Republic,Eastern Europe,East Timor,Ecuador,Egypt,El Salvador,Equatorial Guinea,Eritrea,Estonia,Ethiopia,Falkland Islands,Falkland Islands (Malvinas),Faroe Islands,Fiji,Finland,France,French Guiana,French Polynesia,Gabon,Gambia,Georgia,Germany,Ghana,Gibraltar,Greece,Greenland,Grenada,Guadeloupe,Guam,Guatemala,Guernsey,Guinea,Guinea-Bissau,Guyana,Haiti,Holy See (Vatican City),Holy See (Vatican City State),Honduras,Hong Kong,Hungary,Iberia,Iceland,India,Indonesia,Iran,Iraq,Ireland,Israel,Italy,Jamaica,Jan Mayen,Japan,Jersey,Jordan,Kazakhstan,Kenya,Kiribati,Korea, Republic of,Kuwait,Kyrgyzstan,Lao People''s Democratic Republic,Laos,Latvia,Lebanon,Lesotho,Liberia,Libya,Libyan Arab Jamahiriya,Liechtenstein,Lithuania,Luxembourg,Macao,Macau,Macedonia,Macedonia, the Former Yugoslav Republic of,Madagascar,Malawi,Malaysia,Maldives,Mali,Malta,Martinique,Mauritania,Mauritius,Mayotte,Mexico,Middle East,Moldova,Moldova, Republic of,Monaco,Mongolia,Montenegro,Montserrat,Morocco,Mozambique,Myanmar,Namibia,Nauru,Nepal,Netherlands,New Caledonia,New Zealand,Nicaragua,Niger,Nigeria,Norway,Oman,Pakistan,Palau,Palestine,Palestinian Territory, Occupied,Panama,Papua New Guinea,Paraguay,Peru,Philippines,Poland,Portugal,Puerto Rico,Qatar,Reunion,Romania,Russia,Russian Federation,Rwanda,S-Africa,Saint Helena,Saint Kitts and Nevis,Saint Lucia,Saint Pierre and Miquelon,Saint Vincent and the Grenadines,Samoa,San Marino,Sao Tome and Principe,São Tomé and Príncipe,Saudi Arabia,Senegal,Serbia,Serbia and Montenegro,Seychelles,Sierra Leone,Singapore,Slovakia,Slovenia,Solomon Islands,Somalia,South Africa,South Korea,Spain,Sri Lanka,Sudan,Suriname,Svalbard,Svalbard and Jan Mayen,Swaziland,Sweden,Switzerland,Syria,Taiwan,Tajikistan,Tanzania,Tanzania, United Republic of,Thailand,Timor-Leste,Togo,Tokelau,Tonga,Trinidad,Trinidad and Tobago,Tunisia,Turkey,Turkmenistan,Turks and Caicos Islands,Tuvalu,U.S. - Puerto Rico,Uganda,UK,Ukraine,United Arab Emirates,United Kingdom,United States,United States Minor Outlying Islands,Uruguay,US,Uzbekistan,Vanuatu,Venezuela,Vietnam,Virgin Islands,Virgin Islands, British,Virgin Islands, U.S,Wallis and Futuna,Western Sahara,Yemen,Zambia,Zimbabwe'),
	Region__c string(100) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Sub_Region__c string(100) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Super_Region__c string(100) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Opportunity_OpportunityId FOREIGN KEY(OpportunityId) REFERENCES Opportunity (Id) OPTIONS (NAMEINSOURCE 'OpportunitySplits'),
	CONSTRAINT FK_User__SplitOwnerId FOREIGN KEY(SplitOwnerId) REFERENCES User_ (Id) OPTIONS (NAMEINSOURCE 'OpportunitySplits')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE OpportunitySplitUserProfiles__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(38) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	SetupOwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Administrator__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Operations_User__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Sales_User__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	CONSTRAINT Id_PK PRIMARY KEY(Id)
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE OpportunitySplitUserProfiles__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_OpportunitySplitUserProfiles__c_ItemId FOREIGN KEY(ItemId) REFERENCES OpportunitySplitUserProfiles__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE OpportunityStage (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	MasterLabel string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsActive boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	SortOrder integer OPTIONS (NATIVE_TYPE 'int', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsClosed boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsWon boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	ForecastCategory string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Omitted,Pipeline,BestCase,Forecast,Closed'),
	ForecastCategoryName string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Omitted,Pipeline,Best Case,Commit,Closed'),
	DefaultProbability double OPTIONS (NATIVE_TYPE 'percent', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Description string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id)
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'false', "teiid_sf:Supports Delete" 'false', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE OpportunityTag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Opportunity_ItemId FOREIGN KEY(ItemId) REFERENCES Opportunity (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE OpportunityTeamMember (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OpportunityId string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	UserId string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	TeamMemberRole string(40) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Back-Up,Business Affairs,Business Development,Channel Account Manager,Channel Marketing - EMEA,Channel Marketing Manager - Country,Cloud Rep,DA,Engagement SA,Fusesource Middleware,Inside Channel Account Manager,Inside Rep,Inside Sales Owned Opportunity,Inside SE,ISV Recruit,ISV Rep,Local Strategic Rep,Marketing Program Manager,Middleware Inside Rep,Middleware Rep,OEM Inside Sales,Opportunity Owner,Outside Rep,Outside SE,Partner,Partner Manager,Partner Relationship Manager,Partner Relationship Manager - Regional,Presales Owner,PSR,Public Cloud Tier 2 Team Rep,Public Cloud Tiger Team Rep,Rescue Team,Secondary Outside Rep,Service Delivery Manager,SI Rep,SSI Vendor Rep,SSP,Storage Rep,Strategic Account Manager,Support Relationship Manager,Technical Account Manager,Technology Development Manager,Vertical Marketing'),
	OpportunityAccessLevel string(40) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'None,Read,Edit,All'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Opportunity_OpportunityId FOREIGN KEY(OpportunityId) REFERENCES Opportunity (Id) OPTIONS (NAMEINSOURCE 'OpportunityTeamMembers'),
	CONSTRAINT FK_User__UserId FOREIGN KEY(UserId) REFERENCES User_ (Id) OPTIONS (NAMEINSOURCE 'OpportunityTeams')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE OpportunityTeamMemberClone__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	Opportunity__c string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	OpportunityAccessLevel__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Read Only'),
	OpportunityTeamMemberId__c string(18) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	TeamMemberRole__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Back-Up,Business Affairs,Business Development,Channel Account Manager,Channel Marketing - EMEA,Channel Marketing Manager - Country,DA,Engagement SA,Fusesource Middleware,Inside Channel Account Manager,Inside Rep,Inside SE,ISV Recruit,ISV Rep,Local Strategic Rep,Marketing Program Manager,Middleware Inside Rep,Middleware Rep,OEM Inside Sales,Outside Rep,Outside SE,Partner,Partner Manager,Partner Relationship Manager,Partner Relationship Manager - Regional,Presales Owner,PSR,Public Cloud Tier 2 Team Rep,Public Cloud Tiger Team Rep,Rescue Team,Secondary Outside Rep,Service Delivery Manager,SI Rep,SSI Vendor Rep,SSP,Storage Rep,Strategic Account Manager,Support Relationship Manager,Technical Account Manager,Technology Development Manager,Vertical Marketing'),
	User__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Opportunity_Opportunity__c FOREIGN KEY(Opportunity__c) REFERENCES Opportunity (Id) OPTIONS (NAMEINSOURCE 'OpportunityTeamMemberClones__r'),
	CONSTRAINT FK_User__User__c FOREIGN KEY(User__c) REFERENCES User_ (Id) OPTIONS (NAMEINSOURCE 'Opportunity_Team_Member_Clones__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE OpportunityTeamMemberClone__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_OpportunityTeamMemberClone__c_ItemId FOREIGN KEY(ItemId) REFERENCES OpportunityTeamMemberClone__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Oppty_Staging_Limit__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(38) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	SetupOwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Limit__c string(100) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id)
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE Oppty_Staging_Limit__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Oppty_Staging_Limit__c_ItemId FOREIGN KEY(ItemId) REFERENCES Oppty_Staging_Limit__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Order_Loader_Batch__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	Batch_Start_Date__c timestamp OPTIONS (NATIVE_TYPE 'datetime', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id)
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE Order_Loader_Batch__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Order_Loader_Batch__c_ItemId FOREIGN KEY(ItemId) REFERENCES Order_Loader_Batch__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Order_Management_Profile__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	Account__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Bill_To_Account__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Bill_To_Address_Details__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Bill_To_Address__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Bill_To_Contact__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Bill_To_EBS_Account__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Default__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Entitle_To_Account__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Entitle_To_Address__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Entitle_To_Contact__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Entitle_To_EBS_Account__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Operating_Unit__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'RH Argentina Operating Unit,RH Australia Operating Unit,RH Brazil Operating Unit,RH Canada Operating Unit,RH China Operating Unit,RH Hong Kong Operating Unit,RH India Operating Unit,RH Ireland Operating Unit,RH Japan Operating Unit,RH Korea Operating Unit,RH Malaysia Operating Unit,RH New Zealand Operating Unit,RH Singapore Operating Unit,RH US Operating Unit'),
	Order_Type__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'STANDARD - AR - FC A,BILL - AR - FC A,STANDARD - AR - FC E,STANDARD - AR - FC B,SHIP/ENTITLE - AR,BILL - AR - FC E,BILL - AR - FC B,PA SHIP/ENTITLE – AR,HOCK SHIP/ENTITLE - AU,HOCK STANDARD - AU,MULTI BILL - AU,SHIP/ENTITLE - AU,STANDARD - AU,NO CHARGE - AU,ROYALTY STANDARD - AU,BILL - AU,ROYALTY - AU,BILL TRAINING - BR,BILL SUBSCRIPTION - BR,BILL CONSULTING - BR,PA SHIP/ENTITLE - BR,MULTI SHIP/ENTITLE SUBSC - BR,SHIP/ENTITLE - BR,MULTI BILL SUBSCRIPTION - BR,STANDARD - BR,HOCK SHIP/ENTITLE - BR,STANDARD - CA,ROYALTY - CA,PA SHIP/ENTITLE - CA,MULTI SHIP/ENTITLE - CA,MULTI BILL - CA,BILL - CA,NO CHARGE - CA,CREDIT ONLY - CA,MULTI STANDARD BILL ORDER - CA,SHIP/ENTITLE - CA,SHIP/ENTITLE - CN,NO CHARGE - CN,STANDARD - CN,BILL - CN,HOCK STANDARD - CN,STANDARD - HK,BILL - HK,NO CHARGE - HK,SHIP/ENTITLE - HK,HOCK STANDARD - HK,STANDARD - IN,MULTI BILL - IN,MULTI STANDARD BILL ORDER - IN,MULTI SHIP/ENTITLE - IN,BILL - IN,SHIP/ENTITLE - IN,NO CHARGE - IN,HOCK STANDARD - IN,HOCK SHIP/ENTITLE - IN,STANDARD - IE,HOCK STANDARD - IE,MULTI SHIP/ENTITLE - IE,MULTI BILL - IE,BILL - IE,SHIP/ENTITLE - IE,PA SHIP/ENTITLE - IE,NO CHARGE - IE,HOCK SHIP/ENTITLE - JP,STANDARD - JP,SHIP/ENTITLE - JP,NO CHARGE - JP,HOCK STANDARD - JP,BILL - JP,ROYALTY - JP,STANDARD - KR,MULTI BILL - KR,BILL - KR,SHIP/ENTITLE - KR,NO CHARGE - KR,NO CHARGE - MY,STANDARD - MY,BILL - MY,SHIP/ENTITLE - MY,ROYALTY - NZ,SHIP/ENTITLE - NZ,NO CHARGE - NZ,STANDARD - NZ,BILL - NZ,ROYALTY - SG,HOCK STANDARD - SG,ROYALTY STANDARD - SG,STANDARD - SG,SHIP/ENTITLE - SG,NO CHARGE - SG,BILL - SG,NO CHARGE - US,MULTI SHIP/ENTITLE - US,WEB STANDARD - US,HOCK SHIP/ENTITLE - US,SHIP/ENTITLE - US,MULTI STANDARD BILL ORDER,MULTI BILL - US,HOCK STANDARD - US,ROYALTY - US,STANDARD - US,BILL - US,ROYALTY STANDARD - US,PA SHIP/ENTITLE - US'),
	Ship_To_Account__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Ship_To_Address_Details__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Ship_To_Address__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Ship_To_Contact__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Ship_To_EBS_Account__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Sold_To_Account__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Sold_To_Address_Details__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Sold_To_Address__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Sold_To_Contact__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Sold_To_EBS_Account__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Account_Account__c FOREIGN KEY(Account__c) REFERENCES Account (Id) OPTIONS (NAMEINSOURCE 'Order_Management_Profiles4__r'),
	CONSTRAINT FK_Account_Bill_To_Account__c FOREIGN KEY(Bill_To_Account__c) REFERENCES Account (Id) OPTIONS (NAMEINSOURCE 'Order_Management_Profiles__r'),
	CONSTRAINT FK_Account_Entitle_To_Account__c FOREIGN KEY(Entitle_To_Account__c) REFERENCES Account (Id) OPTIONS (NAMEINSOURCE 'Order_Management_Profiles3__r'),
	CONSTRAINT FK_Account_Ship_To_Account__c FOREIGN KEY(Ship_To_Account__c) REFERENCES Account (Id) OPTIONS (NAMEINSOURCE 'Order_Management_Profiles1__r'),
	CONSTRAINT FK_Account_Sold_To_Account__c FOREIGN KEY(Sold_To_Account__c) REFERENCES Account (Id) OPTIONS (NAMEINSOURCE 'Order_Management_Profiles2__r'),
	CONSTRAINT FK_Address__c_Bill_To_Address__c FOREIGN KEY(Bill_To_Address__c) REFERENCES Address__c (Id) OPTIONS (NAMEINSOURCE 'Order_Management_Profiles__r'),
	CONSTRAINT FK_Address__c_Entitle_To_Address__c FOREIGN KEY(Entitle_To_Address__c) REFERENCES Address__c (Id) OPTIONS (NAMEINSOURCE 'Order_Management_Profiles3__r'),
	CONSTRAINT FK_Address__c_Ship_To_Address__c FOREIGN KEY(Ship_To_Address__c) REFERENCES Address__c (Id) OPTIONS (NAMEINSOURCE 'Order_Management_Profiles1__r'),
	CONSTRAINT FK_Address__c_Sold_To_Address__c FOREIGN KEY(Sold_To_Address__c) REFERENCES Address__c (Id) OPTIONS (NAMEINSOURCE 'Order_Management_Profiles2__r'),
	CONSTRAINT FK_Contact_Bill_To_Contact__c FOREIGN KEY(Bill_To_Contact__c) REFERENCES Contact (Id) OPTIONS (NAMEINSOURCE 'Order_Management_Profiles__r'),
	CONSTRAINT FK_Contact_Entitle_To_Contact__c FOREIGN KEY(Entitle_To_Contact__c) REFERENCES Contact (Id) OPTIONS (NAMEINSOURCE 'Order_Management_Profiles3__r'),
	CONSTRAINT FK_Contact_Ship_To_Contact__c FOREIGN KEY(Ship_To_Contact__c) REFERENCES Contact (Id) OPTIONS (NAMEINSOURCE 'Order_Management_Profiles1__r'),
	CONSTRAINT FK_Contact_Sold_To_Contact__c FOREIGN KEY(Sold_To_Contact__c) REFERENCES Contact (Id) OPTIONS (NAMEINSOURCE 'Order_Management_Profiles2__r'),
	CONSTRAINT FK_EBS_Account__c_Bill_To_EBS_Account__c FOREIGN KEY(Bill_To_EBS_Account__c) REFERENCES EBS_Account__c (Id) OPTIONS (NAMEINSOURCE 'Order_Management_Profiles__r'),
	CONSTRAINT FK_EBS_Account__c_Entitle_To_EBS_Account__c FOREIGN KEY(Entitle_To_EBS_Account__c) REFERENCES EBS_Account__c (Id) OPTIONS (NAMEINSOURCE 'Order_Management_Profiles3__r'),
	CONSTRAINT FK_EBS_Account__c_Ship_To_EBS_Account__c FOREIGN KEY(Ship_To_EBS_Account__c) REFERENCES EBS_Account__c (Id) OPTIONS (NAMEINSOURCE 'Order_Management_Profiles1__r'),
	CONSTRAINT FK_EBS_Account__c_Sold_To_EBS_Account__c FOREIGN KEY(Sold_To_EBS_Account__c) REFERENCES EBS_Account__c (Id) OPTIONS (NAMEINSOURCE 'Order_Management_Profiles2__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE Order_Management_Profile__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Order_Management_Profile__c_ItemId FOREIGN KEY(ItemId) REFERENCES Order_Management_Profile__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Order_Tracking__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	LastActivityDate date OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Opportunity_Owner__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Opportunity_Stage__c string(250) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Opportunity__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Oracle_Order_Number__c string(18) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Order_Status__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'No Order,Submitted for Order,Entered,Booked,Closed,Cancelled,Submitted for OM Review,Invoiced,Reverted'),
	Submitted_By__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Submitted_Date__c timestamp OPTIONS (NATIVE_TYPE 'datetime', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Opportunity_Opportunity__c FOREIGN KEY(Opportunity__c) REFERENCES Opportunity (Id) OPTIONS (NAMEINSOURCE 'Order_Tracking__r'),
	CONSTRAINT FK_User__Opportunity_Owner__c FOREIGN KEY(Opportunity_Owner__c) REFERENCES User_ (Id) OPTIONS (NAMEINSOURCE 'Orders_Tracking__r'),
	CONSTRAINT FK_User__Submitted_By__c FOREIGN KEY(Submitted_By__c) REFERENCES User_ (Id) OPTIONS (NAMEINSOURCE 'Orders_Tracking1__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE Order_Tracking__History (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	ParentId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Field string(255) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'created,CurrencyIsoCode,feedEvent,Name,Opportunity__c,Opportunity_Owner__c,Opportunity_Stage__c,Oracle_Order_Number__c,Order_Status__c,Owner,ownerAccepted,ownerAssignment,locked,unlocked,Submitted_By__c,Submitted_Date__c'),
	OldValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	NewValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Order_Tracking__c_ParentId FOREIGN KEY(ParentId) REFERENCES Order_Tracking__c (Id) OPTIONS (NAMEINSOURCE 'Histories')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'false', "teiid_sf:Supports Delete" 'false', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Order_Tracking__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Order_Tracking__c_ItemId FOREIGN KEY(ItemId) REFERENCES Order_Tracking__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE OrderTypeDefault__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(38) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	SetupOwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Order_Type__c string(150) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id)
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE OrderTypeDefault__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_OrderTypeDefault__c_ItemId FOREIGN KEY(ItemId) REFERENCES OrderTypeDefault__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Organization (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Division string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Street string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	City string(40) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	State string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	PostalCode string(20) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Country string(80) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Phone string(40) OPTIONS (NATIVE_TYPE 'phone', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Fax string(40) OPTIONS (NATIVE_TYPE 'phone', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	PrimaryContact string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	DefaultLocaleSidKey string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'ar,ar_BH,ar_EG,ar_JO,ar_KW,ar_LB,ar_SA,ar_AE,hy_AM,bg,bg_BG,ca,ca_ES_EURO,ca_ES,zh,zh_CN,zh_HK,zh_TW,hr_HR,cs,cs_CZ,da,da_DK,nl,nl_BE,nl_NL,nl_SR,en_AU,en_BB,en_BM,en_CA,en_GH,en_IN,en_ID,en_IE_EURO,en_IE,en_NZ,en_NG,en_PH,en_SG,en_ZA,en_GB,en_US,et_EE,fi,fi_FI_EURO,fi_FI,fr,fr_BE,fr_CA,fr_FR_EURO,fr_FR,fr_LU,fr_MC,fr_CH,de,de_AT_EURO,de_AT,de_DE_EURO,de_DE,de_LU_EURO,de_LU,de_CH,el,el_GR,iw,iw_IL,hu,is_IS,in,it,it_IT,it_CH,ja,ja_JP,kk_KZ,km_KH,ko,ko_KR,lv_LV,lt_LT,ms_MY,no,no_NO,pl,pt,pt_AO,pt_BR,pt_PT,ro,ro_RO,ru,ru_RU,sk_SK,sl_SI,es,es_AR,es_BO,es_CL,es_CO,es_CR,es_DO,es_EC,es_SV,es_GT,es_HN,es_MX,es_PA,es_PY,es_PE,es_PR,es_ES_EURO,es_ES,es_UY,es_VE,sv,sv_SE,tl,tl_PH,th,th_TH,tr,uk,uk_UA,ur_PK,vi,vi_VN'),
	LanguageLocaleKey string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'en_US,de,es,fr,it,ja,sv,ko,zh_TW,zh_CN,pt_BR,nl_NL,da,th,fi,ru,es_MX'),
	ReceivesInfoEmails boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	ReceivesAdminInfoEmails boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	PreferencesRequireOpportunityProducts boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	FiscalYearStartMonth integer OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'int', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	UsesStartDateAsFiscalYearName boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	DefaultAccountAccess string(40) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'None,Read,Edit'),
	DefaultContactAccess string(40) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'None,Read,Edit,ControlledByParent'),
	DefaultOpportunityAccess string(40) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'None,Read,Edit'),
	DefaultLeadAccess string(40) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'None,Read,Edit,ReadEditTransfer'),
	DefaultCaseAccess string(40) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'None,Read,Edit,ReadEditTransfer'),
	DefaultCalendarAccess string(40) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'HideDetails,HideDetailsInsert,ShowDetails,ShowDetailsInsert,AllowEdits'),
	DefaultPricebookAccess string(40) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'None,Read,ReadSelect'),
	DefaultCampaignAccess string(40) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'None,Read,Edit,All'),
	ComplianceBccEmail string(80) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'email', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	UiSkin string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Theme1,Theme2,PortalDefault,Webstore,Theme3'),
	TrialExpirationDate timestamp OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'datetime', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	OrganizationType string(40) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Team Edition,Professional Edition,Enterprise Edition,Developer Edition,Personal Edition,Unlimited Edition,Contact Manager Edition,Base Edition'),
	WebToCaseDefaultOrigin string(40) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	MonthlyPageViewsUsed integer OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'int', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	MonthlyPageViewsEntitlement integer OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'int', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id)
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'false', "teiid_sf:Supports Delete" 'false', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE OrgWideEmailAddress (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Address string(270) OPTIONS (NATIVE_TYPE 'email', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	DisplayName string(300) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsAllowAllProfiles boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CONSTRAINT Id_PK PRIMARY KEY(Id)
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Outbound_Error__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	Event_Type__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Addresss,Contact,Order,SalesAccount'),
	Message__c string(131072) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Operation__c string(100) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Priority__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Record_Id__c string(20) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Status__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'New,Pending,Processed,Error'),
	CONSTRAINT Id_PK PRIMARY KEY(Id)
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE Outbound_Error__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Outbound_Error__c_ItemId FOREIGN KEY(ItemId) REFERENCES Outbound_Error__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Outbound_Event__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	Event_Type__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Address,Contact,Order,SalesAccount'),
	Full_Message_In_Attachment__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Message__c string(131072) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Operation__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'CREATE,UPDATE,DELETE'),
	Priority__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Record_Id__c string(20) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Send_Load_Alert__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Status__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'New,Pending,Processed,Error,Retry'),
	CONSTRAINT Id_PK PRIMARY KEY(Id)
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE Outbound_Event__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Outbound_Event__c_ItemId FOREIGN KEY(ItemId) REFERENCES Outbound_Event__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE OutboundMessagePriority__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(38) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	SetupOwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Event__c string(50) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Object__c string(50) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Order__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Priority__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id)
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE OutboundMessagePriority__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_OutboundMessagePriority__c_ItemId FOREIGN KEY(ItemId) REFERENCES OutboundMessagePriority__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE PAR_MDF_Allocations__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(38) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	SetupOwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Active__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Percentage__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Region__c string(40) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id)
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE PAR_MDF_Allocations__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_PAR_MDF_Allocations__c_ItemId FOREIGN KEY(ItemId) REFERENCES PAR_MDF_Allocations__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE PAR_Pilot_Account__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(38) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	SetupOwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	AccountId__c string(15) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id)
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE PAR_Pilot_Account__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_PAR_Pilot_Account__c_ItemId FOREIGN KEY(ItemId) REFERENCES PAR_Pilot_Account__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Partner (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OpportunityId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	AccountFromId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	AccountToId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Role string(40) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Advanced Partner,Chip,Distributor,ISV,OEM,Other,System Integrator,Technology,Training,Value Added Reseller'),
	IsPrimary boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	ReversePartnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Account_AccountFromId FOREIGN KEY(AccountFromId) REFERENCES Account (Id) OPTIONS (NAMEINSOURCE 'PartnersFrom'),
	CONSTRAINT FK_Account_AccountToId FOREIGN KEY(AccountToId) REFERENCES Account (Id) OPTIONS (NAMEINSOURCE 'PartnersTo'),
	CONSTRAINT FK_Opportunity_OpportunityId FOREIGN KEY(OpportunityId) REFERENCES Opportunity (Id) OPTIONS (NAMEINSOURCE 'Partners')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Partner_Attachment__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	Attachment_Type__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Learning Reference Guide,Program Guide,Terms And Conditions,Training Partner'),
	Display_Type__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Download,Web'),
	Fiscal_Year__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'FY2009,FY2010,FY2011,FY2012'),
	Global_Region__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'NA,APAC,LATAM,EMEA'),
	Language__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'English,Japanese,Korean,Chinese (Simplified)'),
	Module__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Business Plan,Deal Registration,MDF'),
	Subregion__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'ANZ,ASEAN,Brazil,Canada,CEE,Central,Distributor,Fed Sled,Greater China,High Volume,Hong Kong,India,Japan,Korea,Mexico,Mid-Atlantic,National,NORDICS,North Central,Northeast,SAC,SEMEA,South central,Southeast,Taiwan,UKI,West'),
	Partner_Location__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Partner_Location__c_Partner_Location__c FOREIGN KEY(Partner_Location__c) REFERENCES Partner_Location__c (Id) OPTIONS (NAMEINSOURCE 'Partner_Attachments__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE Partner_Attachment__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Partner_Attachment__c_ItemId FOREIGN KEY(ItemId) REFERENCES Partner_Attachment__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Partner_CCP_Form__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	Cloud_Infrastructure_Details__c string(32768) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Cloud_Infrastructure_Type__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'RHEL-OSP,RHEV,VMWare,RHEL-KVM,Hyper-V,Other,RHEL'),
	Cloud_Type_Details__c string(32768) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Description_of_Services__c string(32768) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Expected_Contract_Close_Date__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Has_Tech_Qualification_Call__c string(3) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Is_Complete__c boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Lead__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Moving_Details__c string(32768) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Moving_to_Compliant_CCP__c string(3) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Notes__c string(32768) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	PAD_Details__c string(32768) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Partner__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Regions__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Global,NA,EMEA,APAC,LATAM,PS'),
	Standard_CCP_Documentation__c string(3) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Type_of_Service__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'IaaS,PaaS,MSP,Multiple'),
	Website__c string(255) OPTIONS (NATIVE_TYPE 'url', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Account_Partner__c FOREIGN KEY(Partner__c) REFERENCES Account (Id) OPTIONS (NAMEINSOURCE 'Partner_CCP_Forms__r'),
	CONSTRAINT FK_Lead_Lead__c FOREIGN KEY(Lead__c) REFERENCES Lead (Id) OPTIONS (NAMEINSOURCE 'Partner_CCP_Forms__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE Partner_CCP_Form__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Partner_CCP_Form__c_ItemId FOREIGN KEY(ItemId) REFERENCES Partner_CCP_Form__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Partner_Location__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	Partner__c string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	City__c string(50) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Convert__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Country__c string(2) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Description__c string(1000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Email__c string(80) OPTIONS (NATIVE_TYPE 'email', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Is_Primary__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Latitude__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Longitude__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	PartnerValidated__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Phone__c string(40) OPTIONS (NATIVE_TYPE 'phone', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Point_of_Contact_Email__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Point_of_Contact_Name__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Point_of_Contact_Phone__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Point_of_Contact__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Postal_Code__c string(20) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	State_Province__c string(50) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Street__c string(250) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Validated__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Website__c string(255) OPTIONS (NATIVE_TYPE 'url', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Account_Partner__c FOREIGN KEY(Partner__c) REFERENCES Account (Id) OPTIONS (NAMEINSOURCE 'Partner_Locations__r'),
	CONSTRAINT FK_Contact_Point_of_Contact__c FOREIGN KEY(Point_of_Contact__c) REFERENCES Contact (Id) OPTIONS (NAMEINSOURCE 'Partner_Locations__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE Partner_Location__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Partner_Location__c_ItemId FOREIGN KEY(ItemId) REFERENCES Partner_Location__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Partner_Onboarding_Registration__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	RecordTypeId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	LastActivityDate date OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Account__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Additional_Countries_of_Operations__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'None,Afghanistan,Åland,Albania,Algeria,Antigua and Barbuda,Argentina,Aruba,Australia,Austria,Azerbaijan,Bahamas,Bahrain,Barbados,Barbuda,Belarus,Belgium,Belize,Benin,Bermuda,Bolivia,Bosnia and Herzegovina,Botswana,Brazil,British Virgin Islands,Bulgaria,Burkina Faso,Burundi,Cameroon,Canada,Cape Verde,Cayman Islands,Central African Republic,Chad,Chile,China,Colombia,Comoros,Congo,Costa Rica,Croatia,Cyprus,Czech Republic,Democratic Republic of Congo,Denmark,Djibouti,Dominica,Dominican Republic,Finland,France,Gabon,Gambia,Georgia,Germany,Ghana,Gibraltar,Greece,Grenada,Guadeloupe,Guam,Guatemala,Guiana,Guinea-Bissau,Guyana,Haiti,Honduras,Hong Kong,Hungary,Iceland,India,Indonesia,Ireland,Isle of Man,Israel,Italy,Jamaica,Japan,Jersey,Jordan,Kazakhstan,Kenya,Kuwait,Kyrgyzstan,Laos,Latvia,Lebanon,Liberia,Libya,Liechtenstein,Lithuania,Luxembourg,Macedonia,Madagascar,Mali,Malta,Mexico,Moldova,Monaco,Montenegro,Namibia,Netherlands,New Zealand,Nicaragua,Norway,Oman,Panama,Paraguay,Peru,Philippines,Poland,Portugal,Qatar,Romania,Russia,Rwanda,Sao Tome and Principe,Saudi Arabia,Senegal,Sierra Leone,Singapore,South Africa,South Korea,Spain,Sri Lanka,Suriname,Swaziland,Sweden,Switzerland,Togo,Trinidad and Tobago,Tunisia,Turkey,U.S. Virgin Islands,Ukraine,United Arab Emirates,United Kingdom,United States,Venezuela,Western Sahara,Yemen,Zambia,Zimbabwe'),
	Additional_Partnerships__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'AMD,Cisco,Citrix,Fujitsu,HP Hardware,HP Software,IBM Hardware,IBM Software,Intel,Microsoft,None,Novell SuSE,Oracle/BEA,SAP,Siemens,VMWare'),
	Address1__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Address2__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Agree_To_Partner_TC__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	AntiCorruption_Review_Answerer__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	AntiCorruption_Review_Channel_Ops__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'I do not know of anything with this potential partner that should require additional checks,I know of something with this potential partner that may require additional checks'),
	Anti_Corruption_Status__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Application_Types__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'None,Application Design/Construction/IDE,Application Life-Cycle Management,Back-Office Enterprise,Collaboration/Groupware/Messaging,Consumer,Content Management/Authoring,Customer Relationship Management,Database/Information/Data Management,Engineering,Enterprise Resource Planning,Information Access/Delivery/Mining,Middleware/Message-Oriented/Transaction,Networking,Other Development Tools,Security,ServerWare/Clustering/Web/VM,Storage,System-Level Software,Systems Management,Application Design/Construction,Application Life-Cycle Mgt,Collaboration/Groupware,Content Management,Authoring,Information Access,Delivery/Mining/Portal,Middleware/Message-oriented,Transaction Network Management'),
	Business_Days_Pending_Review__c double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'double', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CampaignId__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Campaign__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Channel_Ops_Approved__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	City__c string(100) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Company_Description__c string(2000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Company__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ConvertedAccount__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ConvertedContact__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Country__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CustomTerms__c string(32768) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Date_Applied__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Days_Pending_Review__c double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'double', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Do_they_act_in_any_government_position__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Yes,No'),
	Email__c string(80) OPTIONS (NATIVE_TYPE 'email', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	FCPA_Status_2__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	FCPA_Underlying_Facts__c string(32768) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	FirstName__c string(100) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Generic_Email__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Global_Region__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'NA,EMEA,APAC,LATAM'),
	Hardware_Focus__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'No Hardware Focus,Mainframe,Intel based servers,Power-PC RISC Workstations,Notebooks/Desktop Solutions/Thin Clients'),
	Hardware_Platform__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'None,IBM zSeries,IBM Power Series,IBM s390,IBM pSeries,IBM iSeries,Intel Itanium,Intel 64,Intel x86,AMD 64,Sun Sparc'),
	HasCustomTerms__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Has_Existing_Account__c boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Have_they_been_convicted__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Yes,No'),
	If_Other_Middleware__c string(40) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	If_Other_Operating_System__c string(40) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	If_Other_Ownership__c string(40) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Industry_Focus__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Aerospace,All Industries (Horizontal Application),Automotive and Transport Equipment,Construction,Consulting,Discrete Manufacturing - Aerospace/Def,Discrete Manufacturing - Automotive,Discrete Manufacturing - High Tech,Discrete Manufacturing - Industrials,Education,Electronic Design Automation,Energy,Engineering,Environment,Financial,Financial Services,Financial Services - Banking,Financial Services - Securities,Government,Government-Military,Healthcare,Information Technology,Insurance,Legal Services,Leisure,Life Sciences,Manufacturing,Media and Entertainment,Non Profit Organization,Oil and Gas,Other,Pharmaceuticals,Process Manufacturing,Process Manufacturing - Chemicals,Process Manufacturing - Consumer Product,Product Distributor,Public Services,Publishing,Retail,Services,State/County/Local Government,Tech Online,Telecom,Transportation,Utilities,Wholesale'),
	IsConverted__c boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Is_Primary_Public_Sector__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Yes,No'),
	LastName__c string(100) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Lead_Status__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'New,In Progress,Inquiry,Nurture,Passed to Partner,Poor Data,Dead/Unqualified,Do Not Contact,Converted,Deal Registration,Waiting,Working,Not Working,Developing,Nurturing'),
	Middleware_Supported__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'JBoss,Websphere,Weblogic,Other,None'),
	Name__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	No_Agreements__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Number_of_Employees__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" '1 - 5,6 - 25,26 - 50,51 - 100,101 - 500,501 - 1000,>1000'),
	Onboarding_Country__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Onboarding_Language_Preference__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'da,de,en,es,fi,fr,it,ja,ko,nl,pt,ru,sv,th,zh'),
	Onboarding_Profile_Id__c string(18) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Operating_System_Supported__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Red Hat Enterprise Linux,SuSe Linux,Windows,Solaris,Fedora,FreeBSD,CentOS,Ubuntu,OEL,HPUX,AIX,Other'),
	Other_Countries__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Other_Partnerships__c string(40) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Owner__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Ownership_Type__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Other,Public,Private,Subsidiary'),
	Pain_Points__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Latent Pain,Admitted Pain,Vision of Solution,Active Evaluation,Unknown'),
	PartnerProvidedLead__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Bull,CDW,Dell,DLT,Fujitsu,GTSI,HP,IBM,Local Reseller,Other,Toshiba'),
	Partner_Onboarding_Profile__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Partner_Onboarding_Status__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Submitted,Pending,Approved,Rejected,Pending Data Review,First Approval'),
	Partner_Primary_Contact__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Partner_Tier_Name__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Partner_Tier__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Partner_Type_Formula__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Partner_Type__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Phone__c string(40) OPTIONS (NATIVE_TYPE 'phone', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Postal_Code__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Promo_Code__c string(40) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Public_Sector_Market__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'US Federal Government,US State and Local Government,Education'),
	RHNLogin__c string(100) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Reason_Agreements_Declined__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Registration_Expiration__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Registration_Length_Days__c double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'double', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Requalification_Date__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Salutation__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Mr.,Ms.,Mrs.,Dr.,Prof.,Miss,Sir'),
	Software_Focus__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'OS,Middleware,Virtualization'),
	State_Province__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	SubRegion__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'ANZ,ASEAN,Benelux,Brazil,Canada,CEE,Central,CIS,Distributor,Fed Sled,Greater China,High Volume,Hong Kong,IGC,India,Japan,Korea,META,Mexico,Mid-Atlantic,NA,National,NEE,North Central,Northeast,Northwest,SAC,South Central,Southeast,Southwest,SWE,Taiwan'),
	T_C_Status__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Target_Market_Size__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Small,Medium,Large,Enterprise'),
	Title__c string(20) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Total_Annual_Revenue__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'TBD,< $1 Million,$1 Million - $20 Million,$2 Million - $50 Million,$50 Million - $100 Million,> $100 Million,Unknown'),
	VATNumber__c string(15) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Website__c string(255) OPTIONS (NATIVE_TYPE 'url', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CDH_Party_Postal_Code__c string(55) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CDH_Party_Site_Number__c string(50) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	County__c string(50) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	DUNSNumber__c string(50) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Manual_Onboard__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Partner_Onboarding_Application__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	SBC_Initiated__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Sales_Account__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Account_Account__c FOREIGN KEY(Account__c) REFERENCES Account (Id) OPTIONS (NAMEINSOURCE 'OnboardLeads__r'),
	CONSTRAINT FK_Account_ConvertedAccount__c FOREIGN KEY(ConvertedAccount__c) REFERENCES Account (Id) OPTIONS (NAMEINSOURCE 'Partner_Onboarding__r'),
	CONSTRAINT FK_Account_Sales_Account__c FOREIGN KEY(Sales_Account__c) REFERENCES Account (Id) OPTIONS (NAMEINSOURCE 'Partner_Onboarding1__r'),
	CONSTRAINT FK_Campaign_CampaignId__c FOREIGN KEY(CampaignId__c) REFERENCES Campaign (Id) OPTIONS (NAMEINSOURCE 'OnboardLeads__r'),
	CONSTRAINT FK_Campaign_Campaign__c FOREIGN KEY(Campaign__c) REFERENCES Campaign (Id) OPTIONS (NAMEINSOURCE 'OnboardLeadsCampaign__r'),
	CONSTRAINT FK_Classification__c_Partner_Tier__c FOREIGN KEY(Partner_Tier__c) REFERENCES Classification__c (Id) OPTIONS (NAMEINSOURCE 'OnboardLeads1__r'),
	CONSTRAINT FK_Classification__c_Partner_Type__c FOREIGN KEY(Partner_Type__c) REFERENCES Classification__c (Id) OPTIONS (NAMEINSOURCE 'OnboardLeads__r'),
	CONSTRAINT FK_Contact_ConvertedContact__c FOREIGN KEY(ConvertedContact__c) REFERENCES Contact (Id) OPTIONS (NAMEINSOURCE 'Partner_Onboarding__r'),
	CONSTRAINT FK_Country__c_Country__c FOREIGN KEY(Country__c) REFERENCES Country__c (Id) OPTIONS (NAMEINSOURCE 'OnboardLeads__r'),
	CONSTRAINT FK_Country__c_Onboarding_Country__c FOREIGN KEY(Onboarding_Country__c) REFERENCES Country__c (Id) OPTIONS (NAMEINSOURCE 'Partner_Onboarding__r'),
	CONSTRAINT FK_Partner_Onboarding_Registration__c_Partner_Onboarding_Application__c FOREIGN KEY(Partner_Onboarding_Application__c) REFERENCES Partner_Onboarding_Registration__c (Id) OPTIONS (NAMEINSOURCE 'Partner_Onboarding__r'),
	CONSTRAINT FK_State__c_State_Province__c FOREIGN KEY(State_Province__c) REFERENCES State__c (Id) OPTIONS (NAMEINSOURCE 'OnboardLeads__r'),
	CONSTRAINT FK_User__Owner__c FOREIGN KEY(Owner__c) REFERENCES User_ (Id) OPTIONS (NAMEINSOURCE 'OnboardLeadsOwned__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE Partner_Onboarding_Registration__History (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	ParentId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Field string(255) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Account__c,Additional_Countries_of_Operations__c,Additional_Partnerships__c,Address1__c,Address2__c,Agree_To_Partner_TC__c,AntiCorruption_Review_Answerer__c,AntiCorruption_Review_Channel_Ops__c,Application_Types__c,Campaign__c,CampaignId__c,CDH_Party_Address1__c,CDH_Party_Address2__c,CDH_Party_City__c,CDH_Party_Number__c,CDH_Party_Postal_Code__c,CDH_Party_Site_Number__c,CDHCountry__c,CDHState__c,Channel_Ops_Approved__c,City__c,Company__c,Company_Description__c,ConvertedAccount__c,ConvertedContact__c,Country__c,County__c,created,CurrencyIsoCode,CustomTerms__c,Date_Applied__c,Do_they_act_in_any_government_position__c,DUNSNumber__c,Email__c,FCPA_Underlying_Facts__c,feedEvent,FirstName__c,Global_Region__c,Hardware_Focus__c,Hardware_Platform__c,HasCustomTerms__c,Have_they_been_convicted__c,If_Other_Middleware__c,If_Other_Operating_System__c,If_Other_Ownership__c,Industry_Focus__c,Is_Primary_Public_Sector__c,LastName__c,Lead_Status__c,Manual_Onboard__c,Middleware_Supported__c,Name,No_Agreements__c,Number_of_Employees__c,Onboarding_Country__c,Onboarding_Language_Preference__c,Onboarding_Profile_Id__c,Operating_System_Supported__c,Other_Countries__c,Other_Partnerships__c,Owner,Owner__c,ownerAccepted,ownerAssignment,Ownership_Type__c,Pain_Points__c,Partner_Onboarding_Application__c,Partner_Onboarding_Status__c,Partner_Role__c,Partner_Tier__c,Partner_Type__c,PartnerProvidedLead__c,Phone__c,Postal_Code__c,Promo_Code__c,Public_Sector_Market__c,Reason_Agreements_Declined__c,locked,RecordType,unlocked,Registration_Expiration__c,Requalification_Date__c,RHNLogin__c,Sales_Account__c,Salutation__c,SBC_Initiated__c,Software_Focus__c,State_Province__c,SubRegion__c,Target_Market_Size__c,Title__c,Total_Annual_Revenue__c,VATNumber__c,Website__c'),
	OldValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	NewValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Partner_Onboarding_Registration__c_ParentId FOREIGN KEY(ParentId) REFERENCES Partner_Onboarding_Registration__c (Id) OPTIONS (NAMEINSOURCE 'Histories')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'false', "teiid_sf:Supports Delete" 'false', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Partner_Onboarding_Registration__Share (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	ParentId string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	UserOrGroupId string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	AccessLevel string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Read,Edit,All'),
	RowCause string(40) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Owner,Manual,Rule,ImplicitChild,ImplicitParent,Team,Territory,TerritoryManual,TerritoryRule,Territory2Forecast'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Partner_Onboarding_Registration__c_ParentId FOREIGN KEY(ParentId) REFERENCES Partner_Onboarding_Registration__c (Id) OPTIONS (NAMEINSOURCE 'Shares')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Partner_Onboarding_Registration__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Partner_Onboarding_Registration__c_ItemId FOREIGN KEY(ItemId) REFERENCES Partner_Onboarding_Registration__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Partner_Point_Requal_Limits__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	Delivery_Points__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Delivery_Users__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Global_Region__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'APAC,EMEA,LATAM,NA'),
	Partner_Tier__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Partner_Type__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	PreSales_Points__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	PreSales_Users__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Sales_Points__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Sales_Users__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Specialization__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Cloud,Infrastructure - RHEL,Middleware - JBoss,Storage,Virtualization'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Classification__c_Partner_Tier__c FOREIGN KEY(Partner_Tier__c) REFERENCES Classification__c (Id) OPTIONS (NAMEINSOURCE 'Partner_Point_Requal_Limits__r'),
	CONSTRAINT FK_Classification__c_Partner_Type__c FOREIGN KEY(Partner_Type__c) REFERENCES Classification__c (Id) OPTIONS (NAMEINSOURCE 'Partner_Point_Requal_Limits1__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE Partner_Point_Requal_Limits__History (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	ParentId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Field string(255) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'created,CurrencyIsoCode,Delivery_Points__c,Delivery_Users__c,feedEvent,Global_Region__c,Name,Owner,ownerAccepted,ownerAssignment,Partner_Tier__c,Partner_Type__c,PreSales_Points__c,PreSales_Users__c,locked,unlocked,Sales_Points__c,Sales_Users__c,Specialization__c'),
	OldValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	NewValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Partner_Point_Requal_Limits__c_ParentId FOREIGN KEY(ParentId) REFERENCES Partner_Point_Requal_Limits__c (Id) OPTIONS (NAMEINSOURCE 'Histories')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'false', "teiid_sf:Supports Delete" 'false', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Partner_Point_Requal_Limits__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Partner_Point_Requal_Limits__c_ItemId FOREIGN KEY(ItemId) REFERENCES Partner_Point_Requal_Limits__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Partner_Points__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(38) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	SetupOwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Max_User_Points__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id)
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE Partner_Points__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Partner_Points__c_ItemId FOREIGN KEY(ItemId) REFERENCES Partner_Points__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Partner_Points_Course__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(38) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	SetupOwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Region__c string(4) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Required_Course_Id__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id)
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE Partner_Points_Course__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Partner_Points_Course__c_ItemId FOREIGN KEY(ItemId) REFERENCES Partner_Points_Course__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Partner_Points_LMS_Catalog__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	PP_Catalog__c string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Course_ID__c string(18) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Full_Points__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Global_Region__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'APAC,EMEA,LATAM,NA'),
	IsActive__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Language__c string(10) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Max_Units__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Partial_Points__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Sub_Category__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'E-Learning without Exam,E-Learning with Exam,Webinar with Exam'),
	Partner_Track__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	SumTotal_Catalog__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_PP_Catalog__c_PP_Catalog__c FOREIGN KEY(PP_Catalog__c) REFERENCES PP_Catalog__c (Id) OPTIONS (NAMEINSOURCE 'Partner_Points_LMS_Catalog__r'),
	CONSTRAINT FK_PartnerTrack__c_Partner_Track__c FOREIGN KEY(Partner_Track__c) REFERENCES PartnerTrack__c (Id) OPTIONS (NAMEINSOURCE 'Partner_Points_LMS_Catalog__r'),
	CONSTRAINT FK_SumTotal_Catalog__c_SumTotal_Catalog__c FOREIGN KEY(SumTotal_Catalog__c) REFERENCES SumTotal_Catalog__c (Id) OPTIONS (NAMEINSOURCE 'Partner_Points_LMS_Catalog__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE Partner_Points_LMS_Catalog__History (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	ParentId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Field string(255) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Course_ID__c,created,CurrencyIsoCode,feedEvent,Full_Points__c,Global_Region__c,IsActive__c,Language__c,Max_Units__c,Name,ownerAccepted,ownerAssignment,Partial_Points__c,Partner_Track__c,PP_Catalog__c,locked,unlocked,Sub_Category__c,SumTotal_Catalog__c'),
	OldValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	NewValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Partner_Points_LMS_Catalog__c_ParentId FOREIGN KEY(ParentId) REFERENCES Partner_Points_LMS_Catalog__c (Id) OPTIONS (NAMEINSOURCE 'Histories')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'false', "teiid_sf:Supports Delete" 'false', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Partner_Points_LMS_Catalog__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Partner_Points_LMS_Catalog__c_ItemId FOREIGN KEY(ItemId) REFERENCES Partner_Points_LMS_Catalog__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Partner_Points_Requal_Req__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	Global_Region__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'APAC,EMEA,LATAM,NA'),
	Partner_Tier__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Partner_Type__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Total_Points_Required__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Classification__c_Partner_Tier__c FOREIGN KEY(Partner_Tier__c) REFERENCES Classification__c (Id) OPTIONS (NAMEINSOURCE 'Partner_Points_Requal_Requirements__r'),
	CONSTRAINT FK_Classification__c_Partner_Type__c FOREIGN KEY(Partner_Type__c) REFERENCES Classification__c (Id) OPTIONS (NAMEINSOURCE 'Partner_Points_Requal_Requirements1__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE Partner_Points_Requal_Req__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Partner_Points_Requal_Req__c_ItemId FOREIGN KEY(ItemId) REFERENCES Partner_Points_Requal_Req__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Partner_Profile__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	LastActivityDate date OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	C_Level_Priority_Goals__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Major_Markets_Partner_Services__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Partner__c string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Partner_Business_Capabilities__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Company_Mission_Statement__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Partner_Development_Plan__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Partner_Vertical__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Partner_s_Biggest_Competitor_s__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Partner_Investments__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Partner_Engagement_Strategy__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Industry_Conditions__c string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Partner_Competency__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Critical_Success_Factors__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	X3_Greatest_Strengths_of_Products_Servic__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Partner_s_Distribution_Channels__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Solution_to_Attain_Strategic_Initiatives__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Corporate_Strategy_Current_Initiatives__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Partner_Selling_Support__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Industry_Position_Market_Share_History__c string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Partner_s_Open_Source_Maturity__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Partner_Training__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Partner_Certifications__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Distinction_between_Partner_Competit__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Partner_Tier__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Drivers_for_this_Partner__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Partner_s_Largest_Customer__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Partner_s_Alliances__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Partner_s_Software_Specialty__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Main_Marketing_Activities__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Direct Marketing,Trade Shows,Partner Events,Road Shows,Advertising,Web,Installed base newsletter,User Group of Symposium'),
	Sales_Channels__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Partner Network,Direct Sales,Retail Shops,Online Shop,ASP/SIP/Outsourcing Prov.,Mail Order,None'),
	Target_Markets__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Automotive & Aerospace,Financial Services,Government,Healthcare,Chemical & Pharma,Retail/Distribution,Education/Science & Research,Telco & ISPs,Transport/Logic,Media'),
	Customer_Focus__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Home User,Independent Contractor,Small Business (<25),Medium Sized Enterprise (25-1000),Large Enterprise (>1000)'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Account_Partner__c FOREIGN KEY(Partner__c) REFERENCES Account (Id) OPTIONS (NAMEINSOURCE 'Partner_Profile__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE Partner_Profile__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Partner_Profile__c_ItemId FOREIGN KEY(ItemId) REFERENCES Partner_Profile__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Partner_Program__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	Account__c string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Admin_Contact__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Agreement_Contact__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	EDP_name__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Avnet,Carahsoft,Dell,Synnex,Direct Purchase'),
	Embedded_Distribution_Partner_Contact__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Enroll_Date__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Partner_Program_Requires_Approval__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Program_Contact__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Program_Name__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Program__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Reject_Reason__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Status__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Approved,Rejected,Pending,Closed,Active,Terms Declined By User'),
	User__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Product_Description__c string(32768) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	RHN_Login_of_Program_Contact__c string(100) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CCP_Form__c string(255) OPTIONS (NATIVE_TYPE 'url', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Global__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	IsVisible__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Is_Primary__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Termination_Date__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Tier__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Not Applicable,Unaffiliated,Affiliated,Global,Ready,Advanced,Premier'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Account_Account__c FOREIGN KEY(Account__c) REFERENCES Account (Id) OPTIONS (NAMEINSOURCE 'Partner_Programs__r'),
	CONSTRAINT FK_Contact_Admin_Contact__c FOREIGN KEY(Admin_Contact__c) REFERENCES Contact (Id) OPTIONS (NAMEINSOURCE 'Partner_Programs2__r'),
	CONSTRAINT FK_Contact_Agreement_Contact__c FOREIGN KEY(Agreement_Contact__c) REFERENCES Contact (Id) OPTIONS (NAMEINSOURCE 'Partner_Programs1__r'),
	CONSTRAINT FK_Contact_Embedded_Distribution_Partner_Contact__c FOREIGN KEY(Embedded_Distribution_Partner_Contact__c) REFERENCES Contact (Id) OPTIONS (NAMEINSOURCE 'PartnerProgramContacts__r'),
	CONSTRAINT FK_Contact_Program_Contact__c FOREIGN KEY(Program_Contact__c) REFERENCES Contact (Id) OPTIONS (NAMEINSOURCE 'Partner_Programs__r'),
	CONSTRAINT FK_Partner_Program_Definition__c_Program__c FOREIGN KEY(Program__c) REFERENCES Partner_Program_Definition__c (Id) OPTIONS (NAMEINSOURCE 'Partner_Programs__r'),
	CONSTRAINT FK_User__User__c FOREIGN KEY(User__c) REFERENCES User_ (Id) OPTIONS (NAMEINSOURCE 'Partner_Programs__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE Partner_Program__History (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	ParentId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Field string(255) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Account__c,Admin_Contact__c,Agreement_Contact__c,CCP_Form__c,created,CurrencyIsoCode,EDP_name__c,Embedded_Distribution_Partner_Contact__c,Enroll_Date__c,feedEvent,Global__c,Is_Primary__c,IsVisible__c,Name,oracle_classification_code__c,ownerAccepted,ownerAssignment,Product_Description__c,Program__c,Program_Contact__c,locked,unlocked,Reject_Reason__c,RHN_Login_of_Program_Contact__c,Status__c,Termination_Date__c,Tier__c,User__c'),
	OldValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	NewValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Partner_Program__c_ParentId FOREIGN KEY(ParentId) REFERENCES Partner_Program__c (Id) OPTIONS (NAMEINSOURCE 'Histories')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'false', "teiid_sf:Supports Delete" 'false', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Partner_Program__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Partner_Program__c_ItemId FOREIGN KEY(ItemId) REFERENCES Partner_Program__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Partner_Program_Approval__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	Program__c string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Account_Name__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Account__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Approval_Request_Type__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Tier Upgrade'),
	Manager_Completed__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Program_Type__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Region__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Status__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Draft,Pending,Approved,Rejected'),
	Sub_Region__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Tier__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Ready,Advanced,Premier'),
	Partner__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Account_Partner__c FOREIGN KEY(Partner__c) REFERENCES Account (Id) OPTIONS (NAMEINSOURCE 'Partner_Program_Approval_Requests__r'),
	CONSTRAINT FK_Partner_Program__c_Program__c FOREIGN KEY(Program__c) REFERENCES Partner_Program__c (Id) OPTIONS (NAMEINSOURCE 'Partner_Program_Approval_Requests__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE Partner_Program_Approval__History (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	ParentId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Field string(255) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Anti_Corruption_Exception__c,Approval_Request_Type__c,created,CurrencyIsoCode,feedEvent,Manager_Completed__c,Name,ownerAccepted,ownerAssignment,Partner__c,Program__c,locked,unlocked,Status__c,Tier__c'),
	OldValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	NewValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Partner_Program_Approval__c_ParentId FOREIGN KEY(ParentId) REFERENCES Partner_Program_Approval__c (Id) OPTIONS (NAMEINSOURCE 'Histories')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'false', "teiid_sf:Supports Delete" 'false', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Partner_Program_Approval__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Partner_Program_Approval__c_ItemId FOREIGN KEY(ItemId) REFERENCES Partner_Program_Approval__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Partner_Program_Definition__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	Global_Region__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'APAC,EMEA,LATAM,NA'),
	Partner_Tier__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Advanced,Affiliated,Premier,Ready,Unaffiliated'),
	Partner_Type__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Corporate Reseller,Distributor,ISV,OEM,Reseller,SI,Training,Service/Cloud Provider,Hosting,Cloud/Virtualization'),
	Program_Category__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Embed,Innovate,OpenStack,Other,Certified Cloud Provider,Partner Assistance Reward Program,Solution Provider,Independent Software Vendor,Independent Hardware Vendor,Distributor,Service Provider,Managed Service Provider,Training Partner,Systems Integrator,Alliance Partner/OEM,Corporate Reseller,Authorized Reseller - Storage,Authorized Reseller - Middleware,Authorized Reseller - Platform/Infrastructure,Hosting,Cloud/Virtualization,Service/Cloud Provider'),
	Program_Status__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Active,Draft,Inactive'),
	Requires_Approval__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Legacy_Partner_Type__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Is_Internal_Only__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Is_Primary_Eligible__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Oracle_Classification_Code__c string(50) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Classification__c_Legacy_Partner_Type__c FOREIGN KEY(Legacy_Partner_Type__c) REFERENCES Classification__c (Id) OPTIONS (NAMEINSOURCE 'Partner_Program_Definitions_del__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE Partner_Program_Definition__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Partner_Program_Definition__c_ItemId FOREIGN KEY(ItemId) REFERENCES Partner_Program_Definition__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Partner_Program_Description__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	Definition__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Language_Code__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'en_US,es,fr,de,it,pt_BR,zh_CN,ko'),
	Program_Description__c string(32768) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Partner_Program_Definition__c_Definition__c FOREIGN KEY(Definition__c) REFERENCES Partner_Program_Definition__c (Id) OPTIONS (NAMEINSOURCE 'Partner_Program_Description__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE Partner_Program_Description__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Partner_Program_Description__c_ItemId FOREIGN KEY(ItemId) REFERENCES Partner_Program_Description__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Partner_Program_Product__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	Program__c string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Developer_Support__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Red Hat Enterprise Linux Developer,JBoss Partner Developer'),
	Product_Description__c string(32768) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Product_Name__c string(100) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Product_URL__c string(255) OPTIONS (NATIVE_TYPE 'url', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Requested_Descriptions__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Red Hat Enterprise Linux Server,High Availability - Support,Load Balancer - Support,Resilient Storage - Support,High Performance Network - Support,Extended Update Support - Support,Scalable File System - Support,JBoss Application Platform,JBoss Enterprise Web Server'),
	Support_POs__c string(100) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Partner_Program__c_Program__c FOREIGN KEY(Program__c) REFERENCES Partner_Program__c (Id) OPTIONS (NAMEINSOURCE 'Partner_Program_Products__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE Partner_Program_Product__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Partner_Program_Product__c_ItemId FOREIGN KEY(ItemId) REFERENCES Partner_Program_Product__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Partner_Program_Tier__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	LastActivityDate date OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Partner_Program_Definition__c string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Legacy_Partner_Tier__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Order__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Parent_Program_Name__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Classification__c_Legacy_Partner_Tier__c FOREIGN KEY(Legacy_Partner_Tier__c) REFERENCES Classification__c (Id) OPTIONS (NAMEINSOURCE 'Partner_Program_Tiers__r'),
	CONSTRAINT FK_Partner_Program_Definition__c_Partner_Program_Definition__c FOREIGN KEY(Partner_Program_Definition__c) REFERENCES Partner_Program_Definition__c (Id) OPTIONS (NAMEINSOURCE 'Partner_Program_Tiers__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE Partner_Program_Tier__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Partner_Program_Tier__c_ItemId FOREIGN KEY(ItemId) REFERENCES Partner_Program_Tier__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Partner_Registration__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	LastActivityDate date OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Partner__c string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Account_Manager__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Approval_Rejection_Comments__c string(2000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Auto_Approved__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Channel_Ops_Approver__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Company_City__c string(50) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Company_Contact_Email__c string(80) OPTIONS (NATIVE_TYPE 'email', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Company_Contact_Job_Function__c string(50) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Company_Contact_Mobile__c string(40) OPTIONS (NATIVE_TYPE 'phone', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Company_Contact_Phone__c string(40) OPTIONS (NATIVE_TYPE 'phone', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Company_Contact_Title__c string(50) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Company_Contact__c string(100) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Company_Country__c string(15) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Company_Name__c string(120) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Company_Postal_Code__c string(20) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Company_State__c string(50) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Company_Street_1__c string(100) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Company_Street_2__c string(100) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Current_Approval_Step__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" '1,2,3'),
	Enable_Autoapproval__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	End_Customer_Manager__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	End_Customer__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Estimated_Close_Date__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Expiration_Date__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Expiration_Extended__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Has_Expiration__c boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Opportunity_Actual_Amount__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Opportunity_Close_Date__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Opportunity_Close_Stage__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Closed Lost,Closed Booked'),
	Opportunity__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Product_Family__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Storage,Other,Cloud,Management,Middleware,Platform,Virtualization'),
	Project_Budget__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Project_Description__c string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Proof_of_Performance_Docs_Uploaded__c timestamp OPTIONS (NATIVE_TYPE 'datetime', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Registration_Id__c string(100) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Sizing_Year_1_Subs__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Status__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Open,Pending Channel Operations Approval,Pending Partner Account Owner Approval,Pending End Customer Owner Approval,Pending Opportunity Close,Pending Proof of Performance Approval,Approved,Closed,Closed-Expired,Denied,Existing Opportunity,Pending Approval'),
	Value_Added_Description__c string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Year_1_Revenue__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	is_PAR__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	MDF_Awarded__c double OPTIONS (UPDATABLE FALSE, CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Account_End_Customer__c FOREIGN KEY(End_Customer__c) REFERENCES Account (Id) OPTIONS (NAMEINSOURCE 'Partner_Registrations__r'),
	CONSTRAINT FK_Account_Partner__c FOREIGN KEY(Partner__c) REFERENCES Account (Id) OPTIONS (NAMEINSOURCE 'PAR_Registrations__r'),
	CONSTRAINT FK_Opportunity_Opportunity__c FOREIGN KEY(Opportunity__c) REFERENCES Opportunity (Id) OPTIONS (NAMEINSOURCE 'PAR_Registrations__r'),
	CONSTRAINT FK_User__Account_Manager__c FOREIGN KEY(Account_Manager__c) REFERENCES User_ (Id) OPTIONS (NAMEINSOURCE 'PAR_Registrations_Acct_Mgr__r'),
	CONSTRAINT FK_User__Channel_Ops_Approver__c FOREIGN KEY(Channel_Ops_Approver__c) REFERENCES User_ (Id) OPTIONS (NAMEINSOURCE 'PAR_Registrations__r'),
	CONSTRAINT FK_User__End_Customer_Manager__c FOREIGN KEY(End_Customer_Manager__c) REFERENCES User_ (Id) OPTIONS (NAMEINSOURCE 'PAR_Registrations_End_Cust_Mgr__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE Partner_Registration__History (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	ParentId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Field string(255) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Account_Manager__c,Approval_Rejection_Comments__c,Auto_Approved__c,Channel_Ops_Approver__c,Company_City__c,Company_Contact__c,Company_Contact_Email__c,Company_Contact_Job_Function__c,Company_Contact_Mobile__c,Company_Contact_Phone__c,Company_Contact_Title__c,Company_Country__c,Company_Name__c,Company_Postal_Code__c,Company_State__c,Company_Street_1__c,Company_Street_2__c,created,CurrencyIsoCode,Current_Approval_Step__c,Enable_Autoapproval__c,End_Customer__c,End_Customer_Manager__c,Estimated_Close_Date__c,Expiration_Date__c,Expiration_Extended__c,feedEvent,is_PAR__c,Name,Opportunity__c,Opportunity_Actual_Amount__c,Opportunity_Close_Date__c,Opportunity_Close_Stage__c,ownerAccepted,ownerAssignment,Partner__c,Product_Family__c,Project_Budget__c,Project_Description__c,Proof_of_Performance_Docs_Uploaded__c,locked,unlocked,Registration_Id__c,Sizing_Year_1_Subs__c,Status__c,Value_Added_Description__c,Year_1_Revenue__c'),
	OldValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	NewValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Partner_Registration__c_ParentId FOREIGN KEY(ParentId) REFERENCES Partner_Registration__c (Id) OPTIONS (NAMEINSOURCE 'Histories')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'false', "teiid_sf:Supports Delete" 'false', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Partner_Registration__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Partner_Registration__c_ItemId FOREIGN KEY(ItemId) REFERENCES Partner_Registration__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Partner_Registration_Line_Item__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	Partner_Registration__c string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Influenced_Amount__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Opportunity_Product_Amount__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Product_Allocation_Percent__c double OPTIONS (NATIVE_TYPE 'percent', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Product_Family__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Storage,Other,Cloud,Management,Middleware,Platform,Virtualization'),
	Region__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Global,NA,APAC,LATAM,EMEA'),
	Total_Allocation__c double OPTIONS (UPDATABLE FALSE, CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Partner_Registration__c_Partner_Registration__c FOREIGN KEY(Partner_Registration__c) REFERENCES Partner_Registration__c (Id) OPTIONS (NAMEINSOURCE 'Partner_Registration_Line_Items__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE Partner_Registration_Line_Item__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Partner_Registration_Line_Item__c_ItemId FOREIGN KEY(ItemId) REFERENCES Partner_Registration_Line_Item__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Partner_Requal_Points__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	Delivery_Points__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Delivery_Users__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Needed_Delivery_Points__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Needed_Delivery_Users__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Needed_PreSales_Points__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Needed_PreSales_Users__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Needed_Sales_Points__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Needed_Sales_Users__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Partner_Requalification__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	PreSales_Points__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	PreSales_Users__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Sales_Points__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Sales_Users__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Specialization__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Cloud,Infrastructure - RHEL,Middleware - JBoss,Storage,Virtualization'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_PartnerRequalification__c_Partner_Requalification__c FOREIGN KEY(Partner_Requalification__c) REFERENCES PartnerRequalification__c (Id) OPTIONS (NAMEINSOURCE 'Partner_Requal_Points__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE Partner_Requal_Points__History (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	ParentId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Field string(255) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'created,CurrencyIsoCode,Delivery_Points__c,Delivery_Users__c,feedEvent,Name,Needed_Delivery_Points__c,Needed_Delivery_Users__c,Needed_PreSales_Points__c,Needed_PreSales_Users__c,Needed_Sales_Points__c,Needed_Sales_Users__c,Owner,ownerAccepted,ownerAssignment,Partner_Requalification__c,PreSales_Points__c,PreSales_Users__c,locked,unlocked,Sales_Points__c,Sales_Users__c,Specialization__c'),
	OldValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	NewValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Partner_Requal_Points__c_ParentId FOREIGN KEY(ParentId) REFERENCES Partner_Requal_Points__c (Id) OPTIONS (NAMEINSOURCE 'Histories')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'false', "teiid_sf:Supports Delete" 'false', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Partner_Requal_Points__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Partner_Requal_Points__c_ItemId FOREIGN KEY(ItemId) REFERENCES Partner_Requal_Points__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Partner_Requal_Setup__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	AccountId__c string(20) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Requalification_Date__c timestamp OPTIONS (NATIVE_TYPE 'datetime', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id)
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE Partner_Requal_Setup__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Partner_Requal_Setup__c_ItemId FOREIGN KEY(ItemId) REFERENCES Partner_Requal_Setup__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Partner_Requalification_Agreement__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	Agreement__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Partner_Requalification__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Agreement__c_Agreement__c FOREIGN KEY(Agreement__c) REFERENCES Agreement__c (Id) OPTIONS (NAMEINSOURCE 'Partner_Requalification_Agreements__r'),
	CONSTRAINT FK_PartnerRequalification__c_Partner_Requalification__c FOREIGN KEY(Partner_Requalification__c) REFERENCES PartnerRequalification__c (Id) OPTIONS (NAMEINSOURCE 'Partner_Requalification_Agreements__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE Partner_Requalification_Agreement__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Partner_Requalification_Agreement__c_ItemId FOREIGN KEY(ItemId) REFERENCES Partner_Requalification_Agreement__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Partner_Requalification_Log__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	Account__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Event_Date__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Event_Type__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Update Account,Partner Notification -60,Partner Notification -30,Partner Notification 0,Partner Notification +15,Partner Notification +30,Partner Notification +90,Case Created +15,Partner Overdue'),
	User__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Account_Account__c FOREIGN KEY(Account__c) REFERENCES Account (Id) OPTIONS (NAMEINSOURCE 'Partner_Requalification_Events_Log__r'),
	CONSTRAINT FK_User__User__c FOREIGN KEY(User__c) REFERENCES User_ (Id) OPTIONS (NAMEINSOURCE 'Partner_Requalification_Events_Log__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE Partner_Requalification_Log__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Partner_Requalification_Log__c_ItemId FOREIGN KEY(ItemId) REFERENCES Partner_Requalification_Log__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Partner_s_Assessment_Summary__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	Partner_Assessment_Summary__c string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Partner_Profile__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Partner_Profile__c_Partner_Profile__c FOREIGN KEY(Partner_Profile__c) REFERENCES Partner_Profile__c (Id) OPTIONS (NAMEINSOURCE 'Partner_s_Assessment_Summary__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE Partner_s_Assessment_Summary__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Partner_s_Assessment_Summary__c_ItemId FOREIGN KEY(ItemId) REFERENCES Partner_s_Assessment_Summary__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Partner_s_Business_Problem__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	Does_the_Partner_have_a_Proposal__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Yes,No'),
	Is_this_part_of_an_RFP_response__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Yes,No'),
	Description_Business_Problem__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Competitive_Alternatives__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Win_Loss_Analysis__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Decision_Makers__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Partner_Profile__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Proposed_Solution__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Partner_Profile__c_Partner_Profile__c FOREIGN KEY(Partner_Profile__c) REFERENCES Partner_Profile__c (Id) OPTIONS (NAMEINSOURCE 'Partner_s_Business_Problem__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE Partner_s_Business_Problem__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Partner_s_Business_Problem__c_ItemId FOREIGN KEY(ItemId) REFERENCES Partner_s_Business_Problem__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Partner_s_Competitor__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	Partner_s_Perception_of_Competitor__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Competitor__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Novell,Red Flag,TurboLinux,BEA,IBM,Sun,Oracle'),
	Relevant_Contract_Expiration_Date__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Partner_Profile__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Area__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Operating System,Hardware,Third Party Applications'),
	Weaknesses__c string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Strengths__c string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Partner_Profile__c_Partner_Profile__c FOREIGN KEY(Partner_Profile__c) REFERENCES Partner_Profile__c (Id) OPTIONS (NAMEINSOURCE 'Partner_s_Competitor__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE Partner_s_Competitor__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Partner_s_Competitor__c_ItemId FOREIGN KEY(ItemId) REFERENCES Partner_s_Competitor__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Partner_s_Messaging_Strategy__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	Capacity_to_Change__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Messaging_Strategy_Summary__c string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Procurement_Approach__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Partner_s_Culture__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Partner_Profile__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Business_Issues_to_Address_in_Message__c string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Partner_Profile__c_Partner_Profile__c FOREIGN KEY(Partner_Profile__c) REFERENCES Partner_Profile__c (Id) OPTIONS (NAMEINSOURCE 'Partner_s_Messaging_Strategy__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE Partner_s_Messaging_Strategy__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Partner_s_Messaging_Strategy__c_ItemId FOREIGN KEY(ItemId) REFERENCES Partner_s_Messaging_Strategy__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Partner_User_Invitation__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	Account__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Date_Responded__c timestamp OPTIONS (NATIVE_TYPE 'datetime', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Date_Sent__c timestamp OPTIONS (NATIVE_TYPE 'datetime', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Declined_Reason__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	EmailEncodingKey__c string(18) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Email__c string(80) OPTIONS (NATIVE_TYPE 'email', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	LanguageLocaleKey__c string(18) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	LocaleSidKey__c string(18) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ProfileId__c string(18) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Response_Type__c string(1) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	TimeZoneSidKey__c string(30) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	federationId__c string(100) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	isUserAdmin__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Account_Account__c FOREIGN KEY(Account__c) REFERENCES Account (Id) OPTIONS (NAMEINSOURCE 'Partner_User_Invitations__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE Partner_User_Invitation__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Partner_User_Invitation__c_ItemId FOREIGN KEY(ItemId) REFERENCES Partner_User_Invitation__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE PartnerAgreement__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	Agreement__c string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ActivationDate__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ActivationStatus__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	AssignedApprover__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ExpirationDate__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Export__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	IsSignatureReceived__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	PartnerApprovalStatus__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Approved,Rejected,Draft'),
	PartnerLead__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	PartnerUser__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Partner__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	SignatureReceivedDate__c timestamp OPTIONS (NATIVE_TYPE 'datetime', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	SignatureRequirements__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Version__c double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'double', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Partner_Onboarding__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Account_Partner__c FOREIGN KEY(Partner__c) REFERENCES Account (Id) OPTIONS (NAMEINSOURCE 'PartnerAgreements__r'),
	CONSTRAINT FK_Agreement__c_Agreement__c FOREIGN KEY(Agreement__c) REFERENCES Agreement__c (Id) OPTIONS (NAMEINSOURCE 'PartnerAgreements__r'),
	CONSTRAINT FK_Lead_PartnerLead__c FOREIGN KEY(PartnerLead__c) REFERENCES Lead (Id) OPTIONS (NAMEINSOURCE 'Partner_Agreements__r'),
	CONSTRAINT FK_Partner_Onboarding_Registration__c_Partner_Onboarding__c FOREIGN KEY(Partner_Onboarding__c) REFERENCES Partner_Onboarding_Registration__c (Id) OPTIONS (NAMEINSOURCE 'Partner_Agreements__r'),
	CONSTRAINT FK_User__AssignedApprover__c FOREIGN KEY(AssignedApprover__c) REFERENCES User_ (Id) OPTIONS (NAMEINSOURCE 'PartnerAgreements__r'),
	CONSTRAINT FK_User__PartnerUser__c FOREIGN KEY(PartnerUser__c) REFERENCES User_ (Id) OPTIONS (NAMEINSOURCE 'Partner_Agreements__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE PartnerAgreement__History (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	ParentId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Field string(255) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'ActivationDate__c,Agreement__c,AssignedApprover__c,created,CurrencyIsoCode,ExpirationDate__c,feedEvent,IsSignatureReceived__c,Name,ownerAccepted,ownerAssignment,Partner__c,Partner_Onboarding__c,PartnerApprovalStatus__c,PartnerLead__c,PartnerUser__c,locked,unlocked,SignatureReceivedDate__c'),
	OldValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	NewValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_PartnerAgreement__c_ParentId FOREIGN KEY(ParentId) REFERENCES PartnerAgreement__c (Id) OPTIONS (NAMEINSOURCE 'Histories')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'false', "teiid_sf:Supports Delete" 'false', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE PartnerAgreement__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_PartnerAgreement__c_ItemId FOREIGN KEY(ItemId) REFERENCES PartnerAgreement__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE PartnerClassification__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	Partner__c string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Classification__c string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ActivationDate__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ActivationStatus__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ApprovalStatus__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Approved'),
	ClassificationKey__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ExpirationDate__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	RedHatSyncable__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Account_Partner__c FOREIGN KEY(Partner__c) REFERENCES Account (Id) OPTIONS (NAMEINSOURCE 'PartnerClassifications__r'),
	CONSTRAINT FK_Classification__c_Classification__c FOREIGN KEY(Classification__c) REFERENCES Classification__c (Id) OPTIONS (NAMEINSOURCE 'PartnerClassifications__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE PartnerClassification__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_PartnerClassification__c_ItemId FOREIGN KEY(ItemId) REFERENCES PartnerClassification__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE PartnerLogo__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	Partner__c string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	RedHatSyncable__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Account_Partner__c FOREIGN KEY(Partner__c) REFERENCES Account (Id) OPTIONS (NAMEINSOURCE 'Partner_Images__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE PartnerLogo__History (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	ParentId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Field string(255) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'created,CurrencyIsoCode,feedEvent,Name,ownerAccepted,ownerAssignment,Partner__c,locked,unlocked'),
	OldValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	NewValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_PartnerLogo__c_ParentId FOREIGN KEY(ParentId) REFERENCES PartnerLogo__c (Id) OPTIONS (NAMEINSOURCE 'Histories')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'false', "teiid_sf:Supports Delete" 'false', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE PartnerLogo__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_PartnerLogo__c_ItemId FOREIGN KEY(ItemId) REFERENCES PartnerLogo__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE PartnerProduct__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	Partner__c string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Application_Demo__c string(255) OPTIONS (NATIVE_TYPE 'url', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Application_Status__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Pending,Approved,Expired,Inactive,Rejected'),
	Application_Type__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Application_Visibility__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Hidden,Visible'),
	Application_Website__c string(255) OPTIONS (NATIVE_TYPE 'url', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Call_to_Action_Text__c string OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Distribution_Licensing__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'No Redistribution,Redistribution,Redistribution with limits'),
	Industry__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	IsApprovedByCAM__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	IsSELinuxSupported__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	IsSubmissionComplete__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Keywords__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Partner_Region__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Partner_Sub_Region__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Pricing_and_Support_Details__c string OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ProductSummary__c string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Product_Details__c string OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	RedHatSyncable__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Source_Licensing__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'No source available,Partial source available,Source available and modifiable'),
	Success_Story__c string OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Usage_Licensing__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Paid Use,Unrestricted Use'),
	Partner_Name__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Last_Update__c timestamp OPTIONS (NATIVE_TYPE 'datetime', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Legacy_Create_Date__c timestamp OPTIONS (NATIVE_TYPE 'datetime', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Product_Create_Date__c timestamp OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'datetime', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Product_Types__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Application Design/Construction/IDE/Analysis,Application Life-Cycle Management,Application Server/Integration Server,Back-Office Enterprise,Back-up and Recovery,Business Intelligence,Business Process Management,Collaboration/Groupware/Messaging,Consumer,Content Management/Authoring,Cross-Platform,Customer Relationship Management,Database/Information/Data Management,Engineering,Enterprise Resource Planning,Information Access/Delivery/Mining/Portal,Middleware/Message-oriented/Transaction Network Management,Networking,Network Management,Other Development Tools,Security,ServerWare/Clustering/Web/VM,Storage,System-Level Software,System Monitoring,Systems Management,Testing Tools'),
	Industry_Focus__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Aerospace and Defense,All Industries (Horizontal Application),Automotive and Transport Equipment,Construction,Discrete Manufacturing,Discrete Manufacturing - Aerospace/Defense,Discrete Manufacturing - Automotive,Discrete Manufacturing - High Tech,Discrete Manufacturing - Industrials,Educational Institution,Electronic Design Automation,Energy,Engineering,Environment,Financial Services,Financial Services - Banking,Financial Services - Insurance,Financial Services - Securities,Government,Healthcare,Legal Services,Leisure,Media,Pharmaceuticals,Process Manufacturing,Process Manufacturing - Chemicals,Process Manufacturing - Consumer Product Goods,Process Manufacturing - Oil/Gas,Public Services,Publishing,Retail,Telecommunications,Transportation,Utilities,Wholesale'),
	Internal_Keywords__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Is_Data_Clean_it_up__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	JBoss_Platform__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Red Hat JBoss A-MQ 6.0,Red Hat JBoss BPM 6.0,Red Hat JBoss BRMS 4.2,Red Hat JBoss BRMS 4.3,Red Hat JBoss BRMS 5.0,Red Hat JBoss BRMS 6.0,Red Hat JBoss Data Grid 6.0,Red Hat JBoss Data Services Platform 5.0,Red Hat JBoss Data Services Platform 6.0,Red Hat JBoss Developer Studio 4.2,Red Hat JBoss Developer Studio 4.3,Red Hat JBoss Developer Studio 5.0,Red Hat JBoss Developer Studio 6.0,Red Hat JBoss EAP 4.2,Red Hat JBoss EAP 4.3,Red Hat JBoss EAP 5.0,Red Hat JBoss EAP 6.0,Red Hat JBoss Fuse 6.0,Red Hat JBoss Operations Network 2.0,Red Hat JBoss Operations Network 3.0,Red Hat JBoss Portal Platform 4.2,Red Hat JBoss Portal Platform 4.3,Red Hat JBoss Portal Platform 5.0,Red Hat JBoss Portal Platform 6.0,Red Hat JBoss SOA Platform 4.2,Red Hat JBoss SOA Platform 4.3,Red Hat JBoss SOA Platform 5.0,Red Hat JBoss SOA Platform 6.0,Red Hat JBoss Web Server 1.0,Red Hat JBoss Web Server 2.0'),
	JBoss_Platforms_Supported__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Language__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'English,French,German,Italian,Japanese,Korean,Portuguese,Portuguese (Brazilian),Simplified Chinese,Spanish,Traditional Chinese'),
	Platforms__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'RHEL2.1 - Intel Itanium,RHEL2.1 - x86,RHEL3 - AMD64/Intel64,RHEL3 - IBM iSeries,RHEL3 - IBM POWER Series,RHEL3 - IBM s390,RHEL3 - IBM zSeries,RHEL3 - Intel Itanium,RHEL3 - x86,RHEL4 - AMD64/Intel64,RHEL4 - IBM POWER Series,RHEL4 - IBM s390,RHEL4 - IBM zSeries,RHEL4 - Intel Itanium,RHEL4 - x86,RHEL5 - AMD64/Intel64,RHEL5 - IBM POWER Series,RHEL5 - IBM zSeries,RHEL5 - Intel Itanium,RHEL5 - x86,RHEL6 - AMD64/Intel64,RHEL6 - IBM POWER Series,RHEL6 - IBM zSeries,RHEL6 - x86,RHEL7 - AMD64/Intel64,RHEL7 - IBM POWER Series,RHEL7 - IBM zSeries,RHEL7 - x86'),
	Product_Detail_to_Load__c string OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	RHEL_Platforms_Supported__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Certification_URL__c string(255) OPTIONS (NATIVE_TYPE 'url', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Full_Product_Name__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Product_URL_2_Info__c string(250) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Product_URL_2__c string(255) OPTIONS (NATIVE_TYPE 'url', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Account_Partner__c FOREIGN KEY(Partner__c) REFERENCES Account (Id) OPTIONS (NAMEINSOURCE 'Partner_Products__r'),
	CONSTRAINT FK_Classification__c_Application_Type__c FOREIGN KEY(Application_Type__c) REFERENCES Classification__c (Id) OPTIONS (NAMEINSOURCE 'Partner_Products1__r'),
	CONSTRAINT FK_Classification__c_Industry__c FOREIGN KEY(Industry__c) REFERENCES Classification__c (Id) OPTIONS (NAMEINSOURCE 'Partner_Products__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE PartnerProduct__History (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	ParentId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Field string(255) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Application_Demo__c,Application_Status__c,Application_Type__c,Application_Visibility__c,Application_Website__c,Call_to_Action_Text__c,Certification_URL__c,created,CurrencyIsoCode,Distribution_Licensing__c,feedEvent,Full_Product_Name__c,Industry__c,Industry_Focus__c,Internal_Keywords__c,Is_Data_Clean_it_up__c,IsApprovedByCAM__c,IsSELinuxSupported__c,IsSubmissionComplete__c,JBoss_Platform__c,Keywords__c,Language__c,Last_Update__c,Legacy_Create_Date__c,Name,ownerAccepted,ownerAssignment,Partner__c,Platforms__c,Pricing_and_Support_Details__c,Product_Detail_to_Load__c,Product_Details__c,Product_Types__c,Product_URL_2__c,Product_URL_2_Info__c,ProductSummary__c,locked,unlocked,Source_Licensing__c,Success_Story__c,Usage_Licensing__c'),
	OldValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	NewValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_PartnerProduct__c_ParentId FOREIGN KEY(ParentId) REFERENCES PartnerProduct__c (Id) OPTIONS (NAMEINSOURCE 'Histories')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'false', "teiid_sf:Supports Delete" 'false', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE PartnerProduct__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_PartnerProduct__c_ItemId FOREIGN KEY(ItemId) REFERENCES PartnerProduct__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE PartnerProductClassification__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	Classification__c string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	PartnerProduct__c string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ActivationDate__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ActivationStatus__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ApprovalStatus__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Approved'),
	ClassificationKey__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ClassificationLinks__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ExpirationDate__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	PartnerId__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Partner__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	RedHatSyncable__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Hierarchy__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Classification_Name__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Parent__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Account_Partner__c FOREIGN KEY(Partner__c) REFERENCES Account (Id) OPTIONS (NAMEINSOURCE 'Partner_Product_Classifications__r'),
	CONSTRAINT FK_Classification__c_Classification__c FOREIGN KEY(Classification__c) REFERENCES Classification__c (Id) OPTIONS (NAMEINSOURCE 'PartnerProductsByClassification__r'),
	CONSTRAINT FK_PartnerProduct__c_PartnerProduct__c FOREIGN KEY(PartnerProduct__c) REFERENCES PartnerProduct__c (Id) OPTIONS (NAMEINSOURCE 'PartnerProductClassifications__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE PartnerProductClassification__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_PartnerProductClassification__c_ItemId FOREIGN KEY(ItemId) REFERENCES PartnerProductClassification__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE PartnerProductLanguage__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	PartnerProduct__c string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ActivationDate__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ActivationStatus__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ApprovalStatus__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Approved'),
	ExpirationDate__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Language__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'English,German,Spanish,French,Italian,Japanese,Swedish,Korean,Chinese (Traditional),Chinese (Simplified),Portuguese (Brazilian),Dutch,Danish,Thai,Finnish,Russian'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_PartnerProduct__c_PartnerProduct__c FOREIGN KEY(PartnerProduct__c) REFERENCES PartnerProduct__c (Id) OPTIONS (NAMEINSOURCE 'PartnerProductLanguages__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE PartnerProductLanguage__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_PartnerProductLanguage__c_ItemId FOREIGN KEY(ItemId) REFERENCES PartnerProductLanguage__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE PartnerProductLogo__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	PartnerProduct__c string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ActivationDate__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ActivationStatus__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ApprovalStatus__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Approved,Draft,Pending,Rejected'),
	ExpirationDate__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	PartnerId__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	RedHatSyncable__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_PartnerProduct__c_PartnerProduct__c FOREIGN KEY(PartnerProduct__c) REFERENCES PartnerProduct__c (Id) OPTIONS (NAMEINSOURCE 'PartnerProductImages__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE PartnerProductLogo__History (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	ParentId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Field string(255) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'ActivationDate__c,ApprovalStatus__c,created,CurrencyIsoCode,ExpirationDate__c,feedEvent,Name,ownerAccepted,ownerAssignment,PartnerProduct__c,locked,unlocked'),
	OldValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	NewValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_PartnerProductLogo__c_ParentId FOREIGN KEY(ParentId) REFERENCES PartnerProductLogo__c (Id) OPTIONS (NAMEINSOURCE 'Histories')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'false', "teiid_sf:Supports Delete" 'false', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE PartnerProductLogo__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_PartnerProductLogo__c_ItemId FOREIGN KEY(ItemId) REFERENCES PartnerProductLogo__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE PartnerProductScreenshot__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	PartnerProduct__c string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Partner__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	RedHatSyncable__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_PartnerProduct__c_PartnerProduct__c FOREIGN KEY(PartnerProduct__c) REFERENCES PartnerProduct__c (Id) OPTIONS (NAMEINSOURCE 'Partner_Product_Screenshots__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE PartnerProductScreenshot__History (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	ParentId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Field string(255) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'created,CurrencyIsoCode,feedEvent,Name,ownerAccepted,ownerAssignment,PartnerProduct__c,locked,unlocked'),
	OldValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	NewValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_PartnerProductScreenshot__c_ParentId FOREIGN KEY(ParentId) REFERENCES PartnerProductScreenshot__c (Id) OPTIONS (NAMEINSOURCE 'Histories')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'false', "teiid_sf:Supports Delete" 'false', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE PartnerProductScreenshot__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_PartnerProductScreenshot__c_ItemId FOREIGN KEY(ItemId) REFERENCES PartnerProductScreenshot__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE PartnerRequalification__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	AccountId__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	AgreementAccepted_Date__c timestamp OPTIONS (NATIVE_TYPE 'datetime', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	AgreementByFaxConfirmed_Date__c timestamp OPTIONS (NATIVE_TYPE 'datetime', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	AgreementByFaxConfirmed__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	AgreementConfirmed_Date__c timestamp OPTIONS (NATIVE_TYPE 'datetime', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	AgreementConfirmed__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	AgreementDeclinedReason__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	AgreementDeclined_Date__c timestamp OPTIONS (NATIVE_TYPE 'datetime', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	AgreementState__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Accepted,Declined'),
	Agreement_Accepted_By__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Agreement_By_Fax_Confirmed_By__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Agreement_Confirmed_By__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Agreement_Confirmed_Indicator__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Agreement_Declined_By__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BusinessPlanConfirmed_Date__c timestamp OPTIONS (NATIVE_TYPE 'datetime', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BusinessPlanConfirmed__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	BusinessPlanReason__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Updated Plan Exists,Not Updated Yet'),
	BusinessPlan_Confirmed_By__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CertConfirmed_Date__c timestamp OPTIONS (NATIVE_TYPE 'datetime', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CertConfirmed__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Cert_Confirmed_By__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CustRefConfirmed_Date__c timestamp OPTIONS (NATIVE_TYPE 'datetime', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CustRefConfirmed__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	CustRef_Confirmed_By__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	DealRegConfirmed_Date__c timestamp OPTIONS (NATIVE_TYPE 'datetime', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	DealRegConfirmed__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	DealReg_Confirmed_By__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	FCPAActInGovernmentPosition__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Yes,No'),
	FCPAConfirmed_Date__c timestamp OPTIONS (NATIVE_TYPE 'datetime', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	FCPAConfirmed__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	FCPAConvictedOfCrime__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Yes,No'),
	FCPA_Confirmed_By__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	FCPA_Status_Indicator__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ProductConfirmed_Date__c timestamp OPTIONS (NATIVE_TYPE 'datetime', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ProductConfirmed__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Product_Confirmed_By__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ProfileConfirmed_Date__c timestamp OPTIONS (NATIVE_TYPE 'datetime', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ProfileConfirmed__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Profile_Confirmed_By__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Status__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'In Progress,Submitted,Complete,Not Approved at this time,Archived'),
	Submit_By__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Submitted_Date__c timestamp OPTIONS (NATIVE_TYPE 'datetime', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Submitted__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	UserConfirmed_Date__c timestamp OPTIONS (NATIVE_TYPE 'datetime', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	UserConfirmed__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	User_Confirmed_By__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Business_Plan_Exists__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Business_Plan_Id__c string(20) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Customer_References_At_Submit__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Customer_References_Required__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Customer_References_Status__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	PopulateMetVsSet__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Sales_Certifications_At_Submit__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Sales_Certifications_Required__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Sales_Certifications_Status__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Specializations_At_Submit__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Specializations_Required__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Specializations_Status__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Technical_Certifications_At_Submit__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Technical_Certifications_Required__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Technical_Certifications_Status__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Points_Partner_Value__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Points_Requirement__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	PointsConfirmed_Date__c timestamp OPTIONS (NATIVE_TYPE 'datetime', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	PointsConfirmed__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Points_Confirmed_By__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	SpecializationsConfirmed_Date__c timestamp OPTIONS (NATIVE_TYPE 'datetime', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	SpecializationsConfirmed__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Specializations_Confirmed_By__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	FCPA_Underlying_Facts__c string(32768) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Account_AccountId__c FOREIGN KEY(AccountId__c) REFERENCES Account (Id) OPTIONS (NAMEINSOURCE 'Partner_Requalifications__r'),
	CONSTRAINT FK_User__Agreement_Accepted_By__c FOREIGN KEY(Agreement_Accepted_By__c) REFERENCES User_ (Id) OPTIONS (NAMEINSOURCE 'Partner_Requalifications__r'),
	CONSTRAINT FK_User__Agreement_By_Fax_Confirmed_By__c FOREIGN KEY(Agreement_By_Fax_Confirmed_By__c) REFERENCES User_ (Id) OPTIONS (NAMEINSOURCE 'Partner_Requalifications1__r'),
	CONSTRAINT FK_User__Agreement_Confirmed_By__c FOREIGN KEY(Agreement_Confirmed_By__c) REFERENCES User_ (Id) OPTIONS (NAMEINSOURCE 'Partner_Requalifications2__r'),
	CONSTRAINT FK_User__Agreement_Declined_By__c FOREIGN KEY(Agreement_Declined_By__c) REFERENCES User_ (Id) OPTIONS (NAMEINSOURCE 'Partner_Requalifications3__r'),
	CONSTRAINT FK_User__BusinessPlan_Confirmed_By__c FOREIGN KEY(BusinessPlan_Confirmed_By__c) REFERENCES User_ (Id) OPTIONS (NAMEINSOURCE 'Partner_Requalifications4__r'),
	CONSTRAINT FK_User__Cert_Confirmed_By__c FOREIGN KEY(Cert_Confirmed_By__c) REFERENCES User_ (Id) OPTIONS (NAMEINSOURCE 'Partner_Requalifications5__r'),
	CONSTRAINT FK_User__CustRef_Confirmed_By__c FOREIGN KEY(CustRef_Confirmed_By__c) REFERENCES User_ (Id) OPTIONS (NAMEINSOURCE 'Partner_Requalifications6__r'),
	CONSTRAINT FK_User__DealReg_Confirmed_By__c FOREIGN KEY(DealReg_Confirmed_By__c) REFERENCES User_ (Id) OPTIONS (NAMEINSOURCE 'Partner_Requalifications7__r'),
	CONSTRAINT FK_User__FCPA_Confirmed_By__c FOREIGN KEY(FCPA_Confirmed_By__c) REFERENCES User_ (Id) OPTIONS (NAMEINSOURCE 'Partner_Requalifications8__r'),
	CONSTRAINT FK_User__Points_Confirmed_By__c FOREIGN KEY(Points_Confirmed_By__c) REFERENCES User_ (Id) OPTIONS (NAMEINSOURCE 'Partner_RequalificationsFl9Y__r'),
	CONSTRAINT FK_User__Product_Confirmed_By__c FOREIGN KEY(Product_Confirmed_By__c) REFERENCES User_ (Id) OPTIONS (NAMEINSOURCE 'Partner_Requalifications9__r'),
	CONSTRAINT FK_User__Profile_Confirmed_By__c FOREIGN KEY(Profile_Confirmed_By__c) REFERENCES User_ (Id) OPTIONS (NAMEINSOURCE 'Partner_RequalificationsEAOP__r'),
	CONSTRAINT FK_User__Specializations_Confirmed_By__c FOREIGN KEY(Specializations_Confirmed_By__c) REFERENCES User_ (Id) OPTIONS (NAMEINSOURCE 'Partner_RequalificationsFmbY__r'),
	CONSTRAINT FK_User__Submit_By__c FOREIGN KEY(Submit_By__c) REFERENCES User_ (Id) OPTIONS (NAMEINSOURCE 'Partner_RequalificationsEAOZ__r'),
	CONSTRAINT FK_User__User_Confirmed_By__c FOREIGN KEY(User_Confirmed_By__c) REFERENCES User_ (Id) OPTIONS (NAMEINSOURCE 'Partner_RequalificationsEAOo__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE PartnerRequalification__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_PartnerRequalification__c_ItemId FOREIGN KEY(ItemId) REFERENCES PartnerRequalification__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE PartnerRole (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	MasterLabel string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	SortOrder integer OPTIONS (NATIVE_TYPE 'int', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ReverseRole string(40) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Advanced Partner,Chip,Distributor,ISV,OEM,Other,System Integrator,Technology,Training,Value Added Reseller'),
	CONSTRAINT Id_PK PRIMARY KEY(Id)
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'false', "teiid_sf:Supports Delete" 'false', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE PartnerStatus__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	Partner__c string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ActivationDate__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ActivationStatus__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ApprovalStatus__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Draft,Pending,Approved,Rejected,Expired'),
	CombinedName__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ExpirationDate__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	IsVisible__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	PartnerTier__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	PartnerTypeKey__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	PartnerType__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Partner_Tier_Type__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Previous_Partner_Status__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	RedHatSyncable__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Global__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Anti_Corruption_Exception__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Manager_Completed__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Partner_Role__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Account_Partner__c FOREIGN KEY(Partner__c) REFERENCES Account (Id) OPTIONS (NAMEINSOURCE 'PartnerStatuses__r'),
	CONSTRAINT FK_Classification__c_PartnerTier__c FOREIGN KEY(PartnerTier__c) REFERENCES Classification__c (Id) OPTIONS (NAMEINSOURCE 'PartnerStatusesByTier__r'),
	CONSTRAINT FK_Classification__c_PartnerType__c FOREIGN KEY(PartnerType__c) REFERENCES Classification__c (Id) OPTIONS (NAMEINSOURCE 'PartnerStatusesByType__r'),
	CONSTRAINT FK_Classification__c_Partner_Role__c FOREIGN KEY(Partner_Role__c) REFERENCES Classification__c (Id) OPTIONS (NAMEINSOURCE 'Partner_Statuses__r'),
	CONSTRAINT FK_PartnerStatus__c_Previous_Partner_Status__c FOREIGN KEY(Previous_Partner_Status__c) REFERENCES PartnerStatus__c (Id) OPTIONS (NAMEINSOURCE 'Partner_Statuses__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE PartnerStatus__History (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	ParentId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Field string(255) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'ActivationDate__c,Anti_Corruption_Exception__c,ApprovalStatus__c,created,CurrencyIsoCode,ExpirationDate__c,feedEvent,Global__c,Is_Partner_Finder_Ready__c,IsVisible__c,Manager_Completed__c,Name,ownerAccepted,ownerAssignment,Partner__c,Partner_Role__c,PartnerTier__c,PartnerType__c,Previous_Partner_Status__c,locked,unlocked'),
	OldValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	NewValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_PartnerStatus__c_ParentId FOREIGN KEY(ParentId) REFERENCES PartnerStatus__c (Id) OPTIONS (NAMEINSOURCE 'Histories')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'false', "teiid_sf:Supports Delete" 'false', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE PartnerStatus__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_PartnerStatus__c_ItemId FOREIGN KEY(ItemId) REFERENCES PartnerStatus__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE PartnerTopCustomer__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	Partner__c string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	FiscalYearRevenue__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Type__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'RHEL,JBoss,MetaMatrix'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Account_Partner__c FOREIGN KEY(Partner__c) REFERENCES Account (Id) OPTIONS (NAMEINSOURCE 'PartnerTopCustomers__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE PartnerTopCustomer__History (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	ParentId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Field string(255) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'created,CurrencyIsoCode,feedEvent,FiscalYearRevenue__c,Name,ownerAccepted,ownerAssignment,Partner__c,locked,unlocked,Type__c'),
	OldValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	NewValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_PartnerTopCustomer__c_ParentId FOREIGN KEY(ParentId) REFERENCES PartnerTopCustomer__c (Id) OPTIONS (NAMEINSOURCE 'Histories')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'false', "teiid_sf:Supports Delete" 'false', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE PartnerTopCustomer__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_PartnerTopCustomer__c_ItemId FOREIGN KEY(ItemId) REFERENCES PartnerTopCustomer__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE PartnerTrack__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	Is_Partner_Visible__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Partner_Function__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Sales,Delivery,Sales Engineer,Delivery and Sales Engineer'),
	Product_of_Interest__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Middleware Solutions,Data Center Infrastructure,Cloud Infrastructure'),
	Track__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id)
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE PartnerTrack__History (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	ParentId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Field string(255) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'created,CurrencyIsoCode,feedEvent,Is_Partner_Visible__c,Name,Owner,ownerAccepted,ownerAssignment,Partner_Function__c,Product_of_Interest__c,locked,unlocked'),
	OldValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	NewValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_PartnerTrack__c_ParentId FOREIGN KEY(ParentId) REFERENCES PartnerTrack__c (Id) OPTIONS (NAMEINSOURCE 'Histories')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'false', "teiid_sf:Supports Delete" 'false', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE PartnerTrack__Share (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	ParentId string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	UserOrGroupId string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	AccessLevel string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Read,Edit,All'),
	RowCause string(40) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Owner,Manual,Rule,ImplicitChild,ImplicitParent,Team,Territory,TerritoryManual,TerritoryRule,Territory2Forecast'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_PartnerTrack__c_ParentId FOREIGN KEY(ParentId) REFERENCES PartnerTrack__c (Id) OPTIONS (NAMEINSOURCE 'Shares')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE PartnerTrack__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_PartnerTrack__c_ItemId FOREIGN KEY(ItemId) REFERENCES PartnerTrack__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE PartnerTraining__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	Partner__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	TrainingType__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CertificateNumber__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Certificate_Owner__c string(100) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Certification__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Certifying_Entity__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Redhat,Alfresco,Cisco,Enterprise DB,Ingres,Jaspersoft,Likewise,Microsoft,Novell,Open Source,Oracle,Oracle/BEA Middleware,Pentaho,VMWare,Zenoss,Zimbra,Zmanda,Other'),
	Contact__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Date_Achieved__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	IsActive__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	IsCertificateNumberRequired__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	IsValid__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Certification_Key__c string(100) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	LMSCreated__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	RedHatValidated__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Validation__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Accreditation_Name__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Red Hat Accredited Delivery Specialist Cloud Infrastructure,Red Hat Accredited Delivery Specialist Data Center Infrastructure,Red Hat Accredited Delivery Specialist Middleware Solutions,Red Hat Accredited Sales Engineer Cloud Infrastructure,Red Hat Accredited Sales Engineer Data Center Infrastructure,Red Hat Accredited Sales Engineer Middleware Solutions,Red Hat Accredited Sales Specialist Cloud Infrastructure,Red Hat Accredited Sales Specialist Data Center Infrastructure,Red Hat Accredited Sales Specialist Middleware Solutions'),
	Catalog_Name__c string(100) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	External_ID__c string(30) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	LMS_Assignment__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Skill__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Platform,Platform Migration,Virtualization / RHEV,Storage,Application Development,Middleware Migration,Middleware Integration Services,Business Process Automation,Cloud Infrastructure,Platform as a Service,Infrastructure as a Service,Cloud Management'),
	SumTotal_Activity_ID__c string(50) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Sync_Stamp__c string(30) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Track__c string(100) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Version__c string(30) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Account_Partner__c FOREIGN KEY(Partner__c) REFERENCES Account (Id) OPTIONS (NAMEINSOURCE 'PartnerTraining__r'),
	CONSTRAINT FK_Classification__c_Certification__c FOREIGN KEY(Certification__c) REFERENCES Classification__c (Id) OPTIONS (NAMEINSOURCE 'Partner_Certifications__r'),
	CONSTRAINT FK_Classification__c_TrainingType__c FOREIGN KEY(TrainingType__c) REFERENCES Classification__c (Id) OPTIONS (NAMEINSOURCE 'PartnerTraining__r'),
	CONSTRAINT FK_Contact_Contact__c FOREIGN KEY(Contact__c) REFERENCES Contact (Id) OPTIONS (NAMEINSOURCE 'Partner_Certifications__r'),
	CONSTRAINT FK_SumTotal_Catalog__c_LMS_Assignment__c FOREIGN KEY(LMS_Assignment__c) REFERENCES SumTotal_Catalog__c (Id) OPTIONS (NAMEINSOURCE 'Partner_Accreditations1__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE PartnerTraining__History (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	ParentId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Field string(255) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Accreditation_Name__c,Catalog_Name__c,Certificate_Owner__c,CertificateNumber__c,Certification__c,Certification_Key__c,Certifying_Entity__c,Contact__c,created,CurrencyIsoCode,Date_Achieved__c,External_ID__c,feedEvent,IsActive__c,IsCertificateNumberRequired__c,IsValid__c,LMS_Assignment__c,LMSCreated__c,Name,ownerAccepted,ownerAssignment,Partner__c,locked,unlocked,RedHatValidated__c,Skill__c,SumTotal_Activity_ID__c,Sync_Stamp__c,Track__c,TrainingType__c,Version__c'),
	OldValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	NewValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_PartnerTraining__c_ParentId FOREIGN KEY(ParentId) REFERENCES PartnerTraining__c (Id) OPTIONS (NAMEINSOURCE 'Histories')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'false', "teiid_sf:Supports Delete" 'false', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE PartnerTraining__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_PartnerTraining__c_ItemId FOREIGN KEY(ItemId) REFERENCES PartnerTraining__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE PartnerUser_Email_Token__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	Date_Confirmed__c timestamp OPTIONS (NATIVE_TYPE 'datetime', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Email_Confirmation_URL__c string(255) OPTIONS (NATIVE_TYPE 'url', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Email__c string(80) OPTIONS (NATIVE_TYPE 'email', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Is_Active__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Lead__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Token__c string(100) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	User__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Partner_Onboarding__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Lead_Lead__c FOREIGN KEY(Lead__c) REFERENCES Lead (Id) OPTIONS (NAMEINSOURCE 'Partner_User_Email_Tokens__r'),
	CONSTRAINT FK_Partner_Onboarding_Registration__c_Partner_Onboarding__c FOREIGN KEY(Partner_Onboarding__c) REFERENCES Partner_Onboarding_Registration__c (Id) OPTIONS (NAMEINSOURCE 'Partner_User_Email_Tokens__r'),
	CONSTRAINT FK_User__User__c FOREIGN KEY(User__c) REFERENCES User_ (Id) OPTIONS (NAMEINSOURCE 'Partner_User_Email_Tokens__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE PartnerUser_Email_Token__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_PartnerUser_Email_Token__c_ItemId FOREIGN KEY(ItemId) REFERENCES PartnerUser_Email_Token__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE PCSearchForm__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	AdvancedSearchOpen__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	ApplicationType__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'All,Application Design/Construction/IDE/Analysis,Application Life-Cycle Management,Application Server/Integration Server,Back-Office Enterprise,Backup-up and recovery,Business Intelligence,Business Process Management,Collaboration/Groupware/Messaging,Consumer,Content Management/Authoring,Cross-Platform,Customer Relationship Management,Database/Information/Data Management,Engineering,Enterprise Resource Planning,Information Access/Delivery/Mining/Portal,Middleware/Message-oriented/Transaction Network Management,Network Management,Networking,Other Development Tools,Security,ServerWare/Clustering/Web/VM,Storage,System Monitoring,System-Level Software,Systems Management,Testing Tools'),
	NameOrKeywords__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	PageSize__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" '10,20,50,100'),
	PartnerID__c string(20) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id)
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE PCSearchForm__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_PCSearchForm__c_ItemId FOREIGN KEY(ItemId) REFERENCES PCSearchForm__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Period (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	FiscalYearSettingsId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Month,Quarter,Week,Year'),
	StartDate date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	EndDate date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsForecastPeriod boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	QuarterLabel string(40) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Spring,Summer,Fall,Winter'),
	PeriodLabel string(40) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" ''),
	Number integer OPTIONS (NATIVE_TYPE 'int', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_FiscalYearSettings_FiscalYearSettingsId FOREIGN KEY(FiscalYearSettingsId) REFERENCES FiscalYearSettings (Id) OPTIONS (NAMEINSOURCE 'Periods')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'false', "teiid_sf:Supports Delete" 'false', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE PFSearchForm__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	AdvancedSearchOpen__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	ApplicationType__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Application Design/Construction,Application Design/Construction/IDE,Application Life-Cycle Management,Application Life-Cycle Mgt,Authoring,Back-Office Enterprise,Collaboration/Groupware,Collaboration/Groupware/Messaging,Consumer,Content Management,Content Management/Authoring,Customer Relationship Management,Database/Information/Data Management,Delivery/Mining/Portal,Engineering,Enterprise Resource Planning,Information Access,Information Access/Delivery/Mining,Middleware/Message-oriented,Middleware/Message-Oriented/Transaction,Networking,Other Development Tools,Security,ServerWare/Clustering/Web/VM,Storage,System-Level Software,Systems Management,Transaction Network Management'),
	City__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Country__c string(40) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	DistanceMetric__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Miles,Kilometers'),
	Distance__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" '25,50,100,250'),
	GlobalRegion__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Asia Pacific (APAC),Europe & East Asia (EMEA),North America (NA),Latin America (LATAM)'),
	IndustryFocus__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Aerospace,All Industries (Horizontal Application),Automotive and Transport Equipment,Construction,Consulting,Discrete Manufacturing,Discrete Manufacturing - Aerospace/Def,Discrete Manufacturing - Automotive,Discrete Manufacturing - High Tech,Discrete Manufacturing - Industrials,Education,Electronic Design Automation,Energy,Engineering,Environment,Financial,Financial Services,Financial Services - Banking,Financial Services - Securities,Government,Government-Military,Healthcare,Information Technology,Insurance,Legal Services,Leisure,Life Sciences,Manufacturing,Media and Entertainment,Non Profit Organization,Oil and Gas,Other,Pharmaceuticals,Process Manufacturing,Process Manufacturing - Chemicals,Process Manufacturing - Oil/Gas,Process Manufuring - Consumer Product,Product Distributor,Public Services,Publishing,Retail,Services,State/County/Local Government,Tech Online,Telecom,Transportation,Utilities,Wholesale'),
	Latitude__c string(20) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Longitude__c string(20) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	NameOrKeywords__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	PageSize__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" '10,20,50,100'),
	PartnerTier__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Ready,Advanced,Premier'),
	PartnerType__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Corporate Reseller,Distributor,Independent Software Vendor (ISV),OEM,Solution Provider,Systems Integrator (SI),Training Partner'),
	PlatformsSupported__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'JBoss,Red Hat Enterprise Linux'),
	PostalCode__c string(50) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ProximitySearch__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Specialization__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Cloud Infrastructure,Data Center Infrastructure,Middleware Solutions,Public Sector'),
	StateProvince__c string(250) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	TrainingType__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Red Hat Certified Training Partner,Red Hat Academy,RHEL Courses,JBoss Courses,RHEL Exams'),
	Skills__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Platform,Platform Migration,Virtualization,Storage,Application Development,Middleware Migration,Middleware Integration,Business Process Automation,PaaS Development,Cloud Management,IaaS,PaaS'),
	CONSTRAINT Id_PK PRIMARY KEY(Id)
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE PFSearchForm__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_PFSearchForm__c_ItemId FOREIGN KEY(ItemId) REFERENCES PFSearchForm__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE POC_Enabled__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	SetupOwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	APAC__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	EMEA__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Global__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Job_Functions__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	LATAM__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	NA__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	CONSTRAINT Id_PK PRIMARY KEY(Id)
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE POC_Enabled__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_POC_Enabled__c_ItemId FOREIGN KEY(ItemId) REFERENCES POC_Enabled__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Potential_Matched_Opportunities__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	Opportunity_Header_Staging__c string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Opportunity_Header_Staging__c_Opportunity_Header_Staging__c FOREIGN KEY(Opportunity_Header_Staging__c) REFERENCES Opportunity_Header_Staging__c (Id) OPTIONS (NAMEINSOURCE 'Potential_Matched_Opportunities__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE Potential_Matched_Opportunities__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Potential_Matched_Opportunities__c_ItemId FOREIGN KEY(ItemId) REFERENCES Potential_Matched_Opportunities__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE PP_Account_Points__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	Account__c string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Current_Points__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Expired_Points__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Expiring_Points__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Total_Lifetime_Points__c double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'double', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Total_Uncapped_Points__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Delivery_Points__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	PreSales_Points__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Sales_Points__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Account_Account__c FOREIGN KEY(Account__c) REFERENCES Account (Id) OPTIONS (NAMEINSOURCE 'PP_Account_Points__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE PP_Account_Points__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_PP_Account_Points__c_ItemId FOREIGN KEY(ItemId) REFERENCES PP_Account_Points__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE PP_Batch__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	Catalog__c string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Batch_Code__c string(30) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Description__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Full_Points__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	IsActive__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Max_Units__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Partial_Points__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Region__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'APAC,EMEA,LATAM,NA'),
	Sub_Category__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Instructor Led Training,Virtual Instructor Led Training,Roadshow,Regional Partner Conference,Red Hat Summit,Quick Hits'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_PP_Catalog__c_Catalog__c FOREIGN KEY(Catalog__c) REFERENCES PP_Catalog__c (Id) OPTIONS (NAMEINSOURCE 'PP_Batch__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE PP_Batch__History (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	ParentId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Field string(255) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Catalog__c,created,CurrencyIsoCode,Description__c,feedEvent,Full_Points__c,IsActive__c,Max_Units__c,Name,ownerAccepted,ownerAssignment,Partial_Points__c,Partner_Track__c,locked,unlocked,Region__c,Sub_Category__c'),
	OldValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	NewValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_PP_Batch__c_ParentId FOREIGN KEY(ParentId) REFERENCES PP_Batch__c (Id) OPTIONS (NAMEINSOURCE 'Histories')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'false', "teiid_sf:Supports Delete" 'false', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE PP_Batch__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_PP_Batch__c_ItemId FOREIGN KEY(ItemId) REFERENCES PP_Batch__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE PP_Cap__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	Cap_Points__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Global_Region__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'NA,EMEA,LATAM,APAC'),
	Partner_Tier__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Partner_Type__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Partner_Function__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Sales,Delivery,Sales Engineer'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Classification__c_Partner_Tier__c FOREIGN KEY(Partner_Tier__c) REFERENCES Classification__c (Id) OPTIONS (NAMEINSOURCE 'Partner_Points_Caps1__r'),
	CONSTRAINT FK_Classification__c_Partner_Type__c FOREIGN KEY(Partner_Type__c) REFERENCES Classification__c (Id) OPTIONS (NAMEINSOURCE 'Partner_Points_Caps__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE PP_Cap__Share (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	ParentId string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	UserOrGroupId string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	AccessLevel string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Read,Edit,All'),
	RowCause string(40) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Owner,Manual,Rule,ImplicitChild,ImplicitParent,Team,Territory,TerritoryManual,TerritoryRule,Territory2Forecast'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_PP_Cap__c_ParentId FOREIGN KEY(ParentId) REFERENCES PP_Cap__c (Id) OPTIONS (NAMEINSOURCE 'Shares')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE PP_Cap__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_PP_Cap__c_ItemId FOREIGN KEY(ItemId) REFERENCES PP_Cap__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE PP_Catalog__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	Category__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Content,Bulk Uploads,LMS'),
	Description__c string(250) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Global_Region__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Global,NA,EMEA,APAC,LATAM'),
	CONSTRAINT Id_PK PRIMARY KEY(Id)
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE PP_Catalog__Share (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	ParentId string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	UserOrGroupId string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	AccessLevel string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Read,Edit,All'),
	RowCause string(40) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Owner,Manual,Rule,ImplicitChild,ImplicitParent,Team,Territory,TerritoryManual,TerritoryRule,Territory2Forecast'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_PP_Catalog__c_ParentId FOREIGN KEY(ParentId) REFERENCES PP_Catalog__c (Id) OPTIONS (NAMEINSOURCE 'Shares')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE PP_Catalog__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_PP_Catalog__c_ItemId FOREIGN KEY(ItemId) REFERENCES PP_Catalog__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE PP_Content__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	PP_Catalog__c string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	DocumentId__c string(18) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ExcludeBatchId__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Full_Points__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Global_Region__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'NA,EMEA,LATAM,APAC'),
	IsActive__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Partial_Points__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Sub_Category__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Content Download,Webinar without Exam'),
	WorkspaceId__c string(18) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Partner_Track__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_PP_Batch__c_ExcludeBatchId__c FOREIGN KEY(ExcludeBatchId__c) REFERENCES PP_Batch__c (Id) OPTIONS (NAMEINSOURCE 'Partner_Points_Content_Catalog__r'),
	CONSTRAINT FK_PP_Catalog__c_PP_Catalog__c FOREIGN KEY(PP_Catalog__c) REFERENCES PP_Catalog__c (Id) OPTIONS (NAMEINSOURCE 'PP_Content__r'),
	CONSTRAINT FK_PartnerTrack__c_Partner_Track__c FOREIGN KEY(Partner_Track__c) REFERENCES PartnerTrack__c (Id) OPTIONS (NAMEINSOURCE 'Partner_Points_Content_Catalog__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE PP_Content__History (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	ParentId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Field string(255) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'created,CurrencyIsoCode,DocumentId__c,ExcludeBatchId__c,feedEvent,Full_Points__c,Global_Region__c,IsActive__c,Name,ownerAccepted,ownerAssignment,Partial_Points__c,Partner_Track__c,PP_Catalog__c,locked,unlocked,Sub_Category__c,WorkspaceId__c'),
	OldValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	NewValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_PP_Content__c_ParentId FOREIGN KEY(ParentId) REFERENCES PP_Content__c (Id) OPTIONS (NAMEINSOURCE 'Histories')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'false', "teiid_sf:Supports Delete" 'false', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE PP_Content__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_PP_Content__c_ItemId FOREIGN KEY(ItemId) REFERENCES PP_Content__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE PP_Content_Workspace__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	WorkspaceId__c string(18) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id)
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE PP_Content_Workspace__Share (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	ParentId string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	UserOrGroupId string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	AccessLevel string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Read,Edit,All'),
	RowCause string(40) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Owner,Manual,Rule,ImplicitChild,ImplicitParent,Team,Territory,TerritoryManual,TerritoryRule,Territory2Forecast'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_PP_Content_Workspace__c_ParentId FOREIGN KEY(ParentId) REFERENCES PP_Content_Workspace__c (Id) OPTIONS (NAMEINSOURCE 'Shares')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE PP_Content_Workspace__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_PP_Content_Workspace__c_ItemId FOREIGN KEY(ItemId) REFERENCES PP_Content_Workspace__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE PP_ContentBatchStage__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	Status__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Pending,Ready,Complete'),
	CONSTRAINT Id_PK PRIMARY KEY(Id)
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE PP_ContentBatchStage__Share (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	ParentId string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	UserOrGroupId string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	AccessLevel string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Read,Edit,All'),
	RowCause string(40) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Owner,Manual,Rule,ImplicitChild,ImplicitParent,Team,Territory,TerritoryManual,TerritoryRule,Territory2Forecast'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_PP_ContentBatchStage__c_ParentId FOREIGN KEY(ParentId) REFERENCES PP_ContentBatchStage__c (Id) OPTIONS (NAMEINSOURCE 'Shares')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE PP_ContentBatchStage__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_PP_ContentBatchStage__c_ItemId FOREIGN KEY(ItemId) REFERENCES PP_ContentBatchStage__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE PP_ContentStage__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	ContentBatch__c string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Contact__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ContentID__c string(18) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ContentVersionHistoryId__c string(18) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	When_Earned__c timestamp OPTIONS (NATIVE_TYPE 'datetime', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Contact_Contact__c FOREIGN KEY(Contact__c) REFERENCES Contact (Id) OPTIONS (NAMEINSOURCE 'PP_Content__r'),
	CONSTRAINT FK_PP_ContentBatchStage__c_ContentBatch__c FOREIGN KEY(ContentBatch__c) REFERENCES PP_ContentBatchStage__c (Id) OPTIONS (NAMEINSOURCE 'PP_Content__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE PP_ContentStage__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_PP_ContentStage__c_ItemId FOREIGN KEY(ItemId) REFERENCES PP_ContentStage__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE PP_InboundBatchItemStage__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	InboundBatch__c string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Company_Name__c string(100) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Contact__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Create_Contact__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Email__c string(80) OPTIONS (NATIVE_TYPE 'email', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Federation_Id__c string(100) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	First_Name__c string(200) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Last_Name__c string(200) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Partner_Type__c string(50) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Partner__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Previous_Contact__c string(18) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Previous_Partner__c string(18) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Status__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Unmatched,Partially Matched,Matched'),
	Units_of_Credit__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	When_Earned__c timestamp OPTIONS (NATIVE_TYPE 'datetime', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Account_Partner__c FOREIGN KEY(Partner__c) REFERENCES Account (Id) OPTIONS (NAMEINSOURCE 'Partner_Points_Batch_Inbound_Item_Stage__r'),
	CONSTRAINT FK_Contact_Contact__c FOREIGN KEY(Contact__c) REFERENCES Contact (Id) OPTIONS (NAMEINSOURCE 'Partner_Points_Batch_Inbound_Item_Stage__r'),
	CONSTRAINT FK_PP_InboundBatchStage__c_InboundBatch__c FOREIGN KEY(InboundBatch__c) REFERENCES PP_InboundBatchStage__c (Id) OPTIONS (NAMEINSOURCE 'PP_InboundBatchItems__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE PP_InboundBatchItemStage__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_PP_InboundBatchItemStage__c_ItemId FOREIGN KEY(ItemId) REFERENCES PP_InboundBatchItemStage__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE PP_InboundBatchStage__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	Batch__c string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Status__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Pending,Ready,Complete'),
	Super_Region__c string(5) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_PP_Batch__c_Batch__c FOREIGN KEY(Batch__c) REFERENCES PP_Batch__c (Id) OPTIONS (NAMEINSOURCE 'PP_InboundBatchStage__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE PP_InboundBatchStage__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_PP_InboundBatchStage__c_ItemId FOREIGN KEY(ItemId) REFERENCES PP_InboundBatchStage__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE PP_ItemAudit__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	Contact__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Points__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Related_Id__c string(18) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Contact_Contact__c FOREIGN KEY(Contact__c) REFERENCES Contact (Id) OPTIONS (NAMEINSOURCE 'PP_ItemAudit__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE PP_ItemAudit__Share (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	ParentId string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	UserOrGroupId string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	AccessLevel string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Read,Edit,All'),
	RowCause string(40) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Owner,Manual,Rule,ImplicitChild,ImplicitParent,Team,Territory,TerritoryManual,TerritoryRule,Territory2Forecast'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_PP_ItemAudit__c_ParentId FOREIGN KEY(ParentId) REFERENCES PP_ItemAudit__c (Id) OPTIONS (NAMEINSOURCE 'Shares')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE PP_ItemAudit__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_PP_ItemAudit__c_ItemId FOREIGN KEY(ItemId) REFERENCES PP_ItemAudit__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE PP_LMS_Stage__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	Contact__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Course_Id__c string(20) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Global_Region__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'NA,EMEA,LATAM,APAC'),
	Language__c string(10) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Training_Type__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Course,Exam'),
	Transcript_Item__c string(18) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Catalog__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	When_Earned__c timestamp OPTIONS (NATIVE_TYPE 'datetime', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Contact_Contact__c FOREIGN KEY(Contact__c) REFERENCES Contact (Id) OPTIONS (NAMEINSOURCE 'Partner_Points_LMS_Stage__r'),
	CONSTRAINT FK_SumTotal_Catalog__c_Catalog__c FOREIGN KEY(Catalog__c) REFERENCES SumTotal_Catalog__c (Id) OPTIONS (NAMEINSOURCE 'Partner_Points_LMS_Stage__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE PP_LMS_Stage__Share (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	ParentId string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	UserOrGroupId string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	AccessLevel string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Read,Edit,All'),
	RowCause string(40) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Owner,Manual,Rule,ImplicitChild,ImplicitParent,Team,Territory,TerritoryManual,TerritoryRule,Territory2Forecast'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_PP_LMS_Stage__c_ParentId FOREIGN KEY(ParentId) REFERENCES PP_LMS_Stage__c (Id) OPTIONS (NAMEINSOURCE 'Shares')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE PP_LMS_Stage__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_PP_LMS_Stage__c_ItemId FOREIGN KEY(ItemId) REFERENCES PP_LMS_Stage__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE PP_Scores__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	Contact__c string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Account__c string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BatchItemStageRef__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Category__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Content,LMS,Batch'),
	ContentRef__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Expiring_Soon__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	From_ID__c string(18) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	LMS_Ref__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Points_Status__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Active,Expired'),
	Points__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Subcategory__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Content Download,E-Learning Course,E-Learning Exam,Instructor Led Training,Quick Hits,Red Hat Summit,Regional Partner Conference,Roadshow,Virtual Instructor Led Training,Webinar without Exam'),
	Partner_Track__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ScoredFromId__c string(18) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	When_Earned__c timestamp OPTIONS (NATIVE_TYPE 'datetime', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Account_Account__c FOREIGN KEY(Account__c) REFERENCES Account (Id) OPTIONS (NAMEINSOURCE 'PP_Scores__r'),
	CONSTRAINT FK_Contact_Contact__c FOREIGN KEY(Contact__c) REFERENCES Contact (Id) OPTIONS (NAMEINSOURCE 'PP_Scores__r'),
	CONSTRAINT FK_PP_ContentStage__c_ContentRef__c FOREIGN KEY(ContentRef__c) REFERENCES PP_ContentStage__c (Id) OPTIONS (NAMEINSOURCE 'PP_Scores__r'),
	CONSTRAINT FK_PP_InboundBatchItemStage__c_BatchItemStageRef__c FOREIGN KEY(BatchItemStageRef__c) REFERENCES PP_InboundBatchItemStage__c (Id) OPTIONS (NAMEINSOURCE 'PP_Scores__r'),
	CONSTRAINT FK_PP_LMS_Stage__c_LMS_Ref__c FOREIGN KEY(LMS_Ref__c) REFERENCES PP_LMS_Stage__c (Id) OPTIONS (NAMEINSOURCE 'Partner_Points_Scores__r'),
	CONSTRAINT FK_PartnerTrack__c_Partner_Track__c FOREIGN KEY(Partner_Track__c) REFERENCES PartnerTrack__c (Id) OPTIONS (NAMEINSOURCE 'Partner_Points_Scores__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE PP_Scores__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_PP_Scores__c_ItemId FOREIGN KEY(ItemId) REFERENCES PP_Scores__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE PP_User_Points__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	Account__c string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Contact__c string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Current_Points__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Expired_Points__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Expiring_Points__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	IsActive__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Total_Lifetime_Points__c double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'double', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Uncapped_Points__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Delivery_Points__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	PreSales_Points__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Sales_Points__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Account_Account__c FOREIGN KEY(Account__c) REFERENCES Account (Id) OPTIONS (NAMEINSOURCE 'PP_User_Points__r'),
	CONSTRAINT FK_Contact_Contact__c FOREIGN KEY(Contact__c) REFERENCES Contact (Id) OPTIONS (NAMEINSOURCE 'PP_User_Points__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE PP_User_Points__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_PP_User_Points__c_ItemId FOREIGN KEY(ItemId) REFERENCES PP_User_Points__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Pricebook2 (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	IsActive boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Description string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsStandard boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CONSTRAINT Id_PK PRIMARY KEY(Id)
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Pricebook2History (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Pricebook2Id string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Field string(255) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'created,CurrencyIsoCode,Description,feedEvent,IsActive,IsArchived,IsStandard,Name,ownerAccepted,ownerAssignment,locked,unlocked'),
	OldValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	NewValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Pricebook2_Pricebook2Id FOREIGN KEY(Pricebook2Id) REFERENCES Pricebook2 (Id) OPTIONS (NAMEINSOURCE 'Histories')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'false', "teiid_sf:Supports Delete" 'false', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE PricebookEntry (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(255) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Pricebook2Id string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Product2Id string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CurrencyIsoCode string(3) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	UnitPrice double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsActive boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	UseStandardPrice boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	ProductCode string(255) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Pricebook2_Pricebook2Id FOREIGN KEY(Pricebook2Id) REFERENCES Pricebook2 (Id) OPTIONS (NAMEINSOURCE 'PricebookEntries'),
	CONSTRAINT FK_Product2_Product2Id FOREIGN KEY(Product2Id) REFERENCES Product2 (Id) OPTIONS (NAMEINSOURCE 'PricebookEntries')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Priority__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	Priority_Number__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" '1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30'),
	Case__c string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Case__Case__c FOREIGN KEY(Case__c) REFERENCES Case_ (Id) OPTIONS (NAMEINSOURCE 'R00N30000000xdSCEAY')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE Priority__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Priority__c_ItemId FOREIGN KEY(ItemId) REFERENCES Priority__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE ProcessDefinition (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(40) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	DeveloperName string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Approval,State'),
	Description string(1000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	TableEnumOrId string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Account,Asset,Campaign,Case,Contact,Contract,DuplicateRecordItem,DuplicateRecordSet,EmailMessage,Lead,Opportunity,Product2,Solution,StreamingChannel'),
	LockType string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Total,Admin,Owner,Workitem,Node,none'),
	State string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Active,Inactive,Obsolete'),
	CONSTRAINT Id_PK PRIMARY KEY(Id)
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'false', "teiid_sf:Supports Delete" 'false', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE ProcessInstance (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	ProcessDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	TargetObjectId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Status string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Approved,Rejected,Removed,Fault,Pending,Held,Reassigned,Started,NoResponse'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_APPR_DGRP__Dynamic_Group__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES APPR_DGRP__Dynamic_Group__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_APPR_DGRP__Group_Rule__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES APPR_DGRP__Group_Rule__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_APPR_PUB_XT__Headline_Link_Group_Translation__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES APPR_PUB_XT__Headline_Link_Group_Translation__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_APPR_PUB_XT__Headline_Link__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES APPR_PUB_XT__Headline_Link__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_APPR_PUB_XT__Headline_Translation__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES APPR_PUB_XT__Headline_Translation__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_APPR_PUB__Headline_Link_Group__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES APPR_PUB__Headline_Link_Group__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_APPR_PUB__Headline_Link__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES APPR_PUB__Headline_Link__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_APPR_PUB__Headline__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES APPR_PUB__Headline__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_APPR_PUB__PortalPublisherSettings__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES APPR_PUB__PortalPublisherSettings__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_Account_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Account (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_AccountCatalogRelationship__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES AccountCatalogRelationship__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_AccountChangeRequestField__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES AccountChangeRequestField__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_AccountChangeRequest__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES AccountChangeRequest__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_AccountFields__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES AccountFields__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_AccountHierarchy__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES AccountHierarchy__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_AccountProfile_PartnerStatus__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES AccountProfile_PartnerStatus__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_AccountReadOnly__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES AccountReadOnly__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_AccountRecordType__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES AccountRecordType__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_AccountTeamRule__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES AccountTeamRule__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_Account_Profile_Other_Partner__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Account_Profile_Other_Partner__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_Account_Profile_Power_Map__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Account_Profile_Power_Map__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_Account_Profile_SWOT__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Account_Profile_SWOT__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_Account_Profile__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Account_Profile__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_Account_SWOT_Analysis__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Account_SWOT_Analysis__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_Accounts_Special_Program__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Accounts_Special_Program__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_AcctPicklistSync__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES AcctPicklistSync__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_Action_Items__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Action_Items__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_Address__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Address__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_AdminByPass__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES AdminByPass__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_Agreement_Country__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Agreement_Country__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_Agreement__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Agreement__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_Anti_corruption__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Anti_corruption__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_ApprovalCustom__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES ApprovalCustom__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_Assessment_Summary__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Assessment_Summary__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_Asset_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Asset (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_Audience_Account__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Audience_Account__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_Audience__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Audience__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_BLND_DFAC_Shared_View__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES BLND_DFAC_Shared_View__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_BLND_DFCS_Carousel__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES BLND_DFCS_Carousel__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_BLND_DFCS_Slide__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES BLND_DFCS_Slide__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_BLND_DFDT_Action_Item__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES BLND_DFDT_Action_Item__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_BLND_DFDT_Discussion__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES BLND_DFDT_Discussion__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_BLND_DFDT_Highlight__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES BLND_DFDT_Highlight__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_BLND_DFDT_Issue__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES BLND_DFDT_Issue__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_BLND_DFDT_Linker__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES BLND_DFDT_Linker__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_BLND_DFDT_Project__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES BLND_DFDT_Project__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_BLND_DFDT_Resource__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES BLND_DFDT_Resource__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_BLND_DFDT_Task__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES BLND_DFDT_Task__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_BLND_DFFF_Form__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES BLND_DFFF_Form__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_BLND_DFFF_Page__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES BLND_DFFF_Page__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_BLND_DFTE_Expense__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES BLND_DFTE_Expense__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_BLND_DFTE_Time__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES BLND_DFTE_Time__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_BLND_DFTT_Document__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES BLND_DFTT_Document__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_BLND_DFTT_Entity_Info__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES BLND_DFTT_Entity_Info__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_BLND_DFTT_Folder__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES BLND_DFTT_Folder__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_BigMachines__Commerce_Settings__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES BigMachines__Commerce_Settings__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_BigMachines__Configuration_Record__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES BigMachines__Configuration_Record__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_BigMachines__Field_Mapping__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES BigMachines__Field_Mapping__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_BigMachines__Quote_Product__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES BigMachines__Quote_Product__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_BigMachines__Quote__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES BigMachines__Quote__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_BillToAccount__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES BillToAccount__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_BooleanSetting__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES BooleanSetting__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_Budget_Status_Mapping__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Budget_Status_Mapping__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_Busines_Plan_KPI__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Busines_Plan_KPI__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_BusinessPlan_MktResource__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES BusinessPlan_MktResource__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_Business_Plan_Customer__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Business_Plan_Customer__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_Business_Problem__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Business_Problem__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_CCB_Event__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES CCB_Event__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_CDH_Party__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES CDH_Party__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_CR_Components_Join__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES CR_Components_Join__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_CTSK_INSP__Field_Statistic__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES CTSK_INSP__Field_Statistic__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_CTSK_INSP__Object_Statistic__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES CTSK_INSP__Object_Statistic__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_Campaign_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Campaign (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_CampaignTag__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES CampaignTag__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_Campaign_Hierarchy_Details__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Campaign_Hierarchy_Details__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_Campaign_Plan__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Campaign_Plan__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_Case__TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Case_ (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_CaseCommentData__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES CaseCommentData__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_CasePriorityTotals__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES CasePriorityTotals__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_CasePriority__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES CasePriority__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_CaseRecordType__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES CaseRecordType__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_Change_Control_Board__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Change_Control_Board__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_Change_Management__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Change_Management__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_Change_Request_Members__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Change_Request_Members__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_Change_Request__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Change_Request__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_Change_Requests__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Change_Requests__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_Chatter_Group_Name__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Chatter_Group_Name__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_ClassificationTranslation__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES ClassificationTranslation__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_Classification__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Classification__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_CommUtils__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES CommUtils__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_Communities_Featured_Headline_Label__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Communities_Featured_Headline_Label__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_Communities_Featured_Headline__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Communities_Featured_Headline__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_Communities_Navigation_Item_Label__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Communities_Navigation_Item_Label__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_Communities_Navigation_Item__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Communities_Navigation_Item__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_Communities_News_Item_Label__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Communities_News_Item_Label__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_Communities_News_Item__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Communities_News_Item__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_Communities_Tool_Shortcut_Label__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Communities_Tool_Shortcut_Label__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_Communities_Tool_Shortcut__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Communities_Tool_Shortcut__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_Competitor__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Competitor__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_Component__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Component__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_Configuration__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Configuration__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_Contact_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Contact (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_Contact_Converter__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Contact_Converter__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_Contact_Reference_Request__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Contact_Reference_Request__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_Contact_Tool_Shortcut__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Contact_Tool_Shortcut__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_Contact_Track__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Contact_Track__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_Contract_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Contract (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_CountryTranslation__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES CountryTranslation__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_Country__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Country__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_Credit__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Credit__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_Customer_Reference_Product__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Customer_Reference_Product__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_Customer_Reference__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Customer_Reference__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_DateTimeSetting__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES DateTimeSetting__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_Date_Setting__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Date_Setting__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_DefaultRecordTypes__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES DefaultRecordTypes__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_Defect_Requirement_Join__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Defect_Requirement_Join__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_Defect__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Defect__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_Deliverables__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Deliverables__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_DomainValidation__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES DomainValidation__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_EBS_Account__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES EBS_Account__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_ELOQUA__Campaign_s_Marketing_Asset__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES ELOQUA__Campaign_s_Marketing_Asset__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_ELOQUA__Marketing_Activity__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES ELOQUA__Marketing_Activity__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_ELOQUA__Marketing_Asset__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES ELOQUA__Marketing_Asset__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_EmailMessage_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES EmailMessage (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_EmbeddedOverride__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES EmbeddedOverride__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_EmbeddedSKU__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES EmbeddedSKU__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_Environment__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Environment__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_Evaluation__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Evaluation__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_Event_Log__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Event_Log__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_Event__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Event__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_Executive_Summary__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Executive_Summary__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_Expiring_Product__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Expiring_Product__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_Featured_Partner__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Featured_Partner__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_FieldId__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES FieldId__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_FiscalGoals__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES FiscalGoals__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_GroupSetting__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES GroupSetting__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_Hashes__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Hashes__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_Inbound_Event__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Inbound_Event__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_Indirect_Matching_Static_Data__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Indirect_Matching_Static_Data__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_Key_Joint_Sales_Engagement__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Key_Joint_Sales_Engagement__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_LMS_Training_Request__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES LMS_Training_Request__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_Lead_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Lead (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_LeadAccountRules__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES LeadAccountRules__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_LeadConvertWizardOppDefaultAmount__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES LeadConvertWizardOppDefaultAmount__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_LeadConvertWizardOppDefaultStage__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES LeadConvertWizardOppDefaultStage__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_LeadCountryMap__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES LeadCountryMap__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_LeadCronRoutingRule__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES LeadCronRoutingRule__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_LeadForReporting__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES LeadForReporting__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_LeadManagementHistory__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES LeadManagementHistory__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_LeadRules__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES LeadRules__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_LeadShareStaging__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES LeadShareStaging__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_Lead_Source_Detail__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Lead_Source_Detail__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_Lead_SuperRegion_Mapping__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Lead_SuperRegion_Mapping__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_Link_to_Paid_Opportunity__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Link_to_Paid_Opportunity__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_LongSetting__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES LongSetting__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_Marketing_Activity__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Marketing_Activity__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_Marketing_Program__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Marketing_Program__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_Match_and_Validation_Error__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Match_and_Validation_Error__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_Messaging_Strategy__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Messaging_Strategy__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_Milestone_Status_Mapping__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Milestone_Status_Mapping__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_Milestone__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Milestone__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_MonitoredActivity__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES MonitoredActivity__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_NFR_LI__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES NFR_LI__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_NFR_Request__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES NFR_Request__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_NFR_SKU_Matrix__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES NFR_SKU_Matrix__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_NonPrimaryBillingAddress__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES NonPrimaryBillingAddress__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_NonPrimaryShippingAddress__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES NonPrimaryShippingAddress__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_Opportunities_Special_Program__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Opportunities_Special_Program__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_Opportunity_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Opportunity (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_OpportunityPartner__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES OpportunityPartner__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_OpportunityProductSummary__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES OpportunityProductSummary__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_OpportunitySnapshot__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES OpportunitySnapshot__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_OpportunitySplitUserProfiles__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES OpportunitySplitUserProfiles__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_OpportunityTeamMemberClone__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES OpportunityTeamMemberClone__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_Opportunity_Header_Staging__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Opportunity_Header_Staging__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_Opportunity_History__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Opportunity_History__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_Opportunity_Line_Staging__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Opportunity_Line_Staging__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_Opportunity_Match_Configuration__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Opportunity_Match_Configuration__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_Opportunity_Partner_Staging__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Opportunity_Partner_Staging__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_Opportunity_Partners__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Opportunity_Partners__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_Opportunity_Split_Detail__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Opportunity_Split_Detail__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_Oppty_Staging_Limit__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Oppty_Staging_Limit__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_OrderTypeDefault__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES OrderTypeDefault__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_Order_Loader_Batch__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Order_Loader_Batch__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_Order_Management_Profile__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Order_Management_Profile__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_Order_Tracking__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Order_Tracking__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_OutboundMessagePriority__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES OutboundMessagePriority__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_Outbound_Error__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Outbound_Error__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_Outbound_Event__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Outbound_Event__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_PAR_MDF_Allocations__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES PAR_MDF_Allocations__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_PAR_Pilot_Account__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES PAR_Pilot_Account__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_PCSearchForm__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES PCSearchForm__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_PFSearchForm__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES PFSearchForm__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_POC_Enabled__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES POC_Enabled__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_PP_Account_Points__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES PP_Account_Points__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_PP_Batch__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES PP_Batch__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_PP_Cap__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES PP_Cap__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_PP_Catalog__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES PP_Catalog__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_PP_ContentBatchStage__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES PP_ContentBatchStage__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_PP_ContentStage__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES PP_ContentStage__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_PP_Content_Workspace__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES PP_Content_Workspace__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_PP_Content__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES PP_Content__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_PP_InboundBatchItemStage__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES PP_InboundBatchItemStage__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_PP_InboundBatchStage__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES PP_InboundBatchStage__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_PP_ItemAudit__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES PP_ItemAudit__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_PP_LMS_Stage__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES PP_LMS_Stage__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_PP_Scores__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES PP_Scores__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_PP_User_Points__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES PP_User_Points__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_PartnerAgreement__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES PartnerAgreement__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_PartnerClassification__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES PartnerClassification__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_PartnerLogo__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES PartnerLogo__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_PartnerProductClassification__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES PartnerProductClassification__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_PartnerProductLanguage__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES PartnerProductLanguage__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_PartnerProductLogo__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES PartnerProductLogo__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_PartnerProductScreenshot__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES PartnerProductScreenshot__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_PartnerProduct__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES PartnerProduct__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_PartnerRequalification__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES PartnerRequalification__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_PartnerStatus__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES PartnerStatus__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_PartnerTopCustomer__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES PartnerTopCustomer__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_PartnerTrack__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES PartnerTrack__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_PartnerTraining__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES PartnerTraining__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_PartnerUser_Email_Token__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES PartnerUser_Email_Token__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_Partner_Attachment__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Partner_Attachment__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_Partner_CCP_Form__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Partner_CCP_Form__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_Partner_Location__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Partner_Location__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_Partner_Onboarding_Registration__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Partner_Onboarding_Registration__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_Partner_Point_Requal_Limits__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Partner_Point_Requal_Limits__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_Partner_Points_Course__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Partner_Points_Course__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_Partner_Points_LMS_Catalog__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Partner_Points_LMS_Catalog__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_Partner_Points_Requal_Req__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Partner_Points_Requal_Req__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_Partner_Points__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Partner_Points__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_Partner_Profile__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Partner_Profile__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_Partner_Program_Approval__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Partner_Program_Approval__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_Partner_Program_Definition__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Partner_Program_Definition__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_Partner_Program_Description__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Partner_Program_Description__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_Partner_Program_Product__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Partner_Program_Product__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_Partner_Program_Tier__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Partner_Program_Tier__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_Partner_Program__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Partner_Program__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_Partner_Registration_Line_Item__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Partner_Registration_Line_Item__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_Partner_Registration__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Partner_Registration__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_Partner_Requal_Points__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Partner_Requal_Points__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_Partner_Requal_Setup__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Partner_Requal_Setup__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_Partner_Requalification_Agreement__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Partner_Requalification_Agreement__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_Partner_Requalification_Log__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Partner_Requalification_Log__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_Partner_User_Invitation__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Partner_User_Invitation__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_Partner_s_Assessment_Summary__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Partner_s_Assessment_Summary__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_Partner_s_Business_Problem__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Partner_s_Business_Problem__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_Partner_s_Competitor__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Partner_s_Competitor__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_Partner_s_Messaging_Strategy__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Partner_s_Messaging_Strategy__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_Potential_Matched_Opportunities__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Potential_Matched_Opportunities__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_Priority__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Priority__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_Product2_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Product2 (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_Project_Item__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Project_Item__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_Project_Status_Mapping__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Project_Status_Mapping__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_Project_Status__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Project_Status__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_Project_Tracker__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Project_Tracker__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_Project__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Project__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_ProxyApprover__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES ProxyApprover__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_QuoteLineItemSchedule__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES QuoteLineItemSchedule__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_QuoteLineItem__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES QuoteLineItem__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_QuotePaymentSchedule__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES QuotePaymentSchedule__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_Quote__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Quote__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_RH_AddressCountryMapping__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES RH_AddressCountryMapping__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_RH_Content__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES RH_Content__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_RH_CountryCode_CountryName__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES RH_CountryCode_CountryName__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_RH_Microsite_Page__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES RH_Microsite_Page__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_RH_Microsite__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES RH_Microsite__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_Rally_User__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Rally_User__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_RecordLookup__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES RecordLookup__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_RecordTypeAssignment__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES RecordTypeAssignment__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_RecordTypeLookup__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES RecordTypeLookup__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_RedHatObjectReferences__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES RedHatObjectReferences__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_Red_Hat_Attachment__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Red_Hat_Attachment__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_ReferenceStor__Rs_Account_HistoryDetail__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES ReferenceStor__Rs_Account_HistoryDetail__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_ReferenceStor__Rs_Account_History__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES ReferenceStor__Rs_Account_History__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_ReferenceStor__Rs_Opportunity_HistoryDetail__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES ReferenceStor__Rs_Opportunity_HistoryDetail__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_ReferenceStor__Rs_Opportunity_History__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES ReferenceStor__Rs_Opportunity_History__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_Reference_Collateral__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Reference_Collateral__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_Reference_Usage__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Reference_Usage__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_Region_NA__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Region_NA__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_Region__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Region__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_Reject_Lead_Setup__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Reject_Lead_Setup__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_Related_Case__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Related_Case__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_Release__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Release__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_RemoteAccess__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES RemoteAccess__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_RequalMetVsSetRequirements__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES RequalMetVsSetRequirements__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_Request_Tracker__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Request_Tracker__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_Requirement__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Requirement__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_Reseller__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Reseller__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_Resource_Scope_Status_Mapping__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Resource_Scope_Status_Mapping__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_Resource__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Resource__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_Role_Interest_Training_Matrix__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Role_Interest_Training_Matrix__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_RushOrderSKU__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES RushOrderSKU__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_SFDC_Budget_Item__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES SFDC_Budget_Item__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_SFDC_Budget__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES SFDC_Budget__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_SFDC_Channel_Account_Plan__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES SFDC_Channel_Account_Plan__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_SFDC_MDF_Claim__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES SFDC_MDF_Claim__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_SFDC_MDF__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES SFDC_MDF__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_SFDC_Objective__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES SFDC_Objective__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_SFDC_Plan_Resource_Association__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES SFDC_Plan_Resource_Association__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_SalesContentSections__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES SalesContentSections__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_SalesOperations__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES SalesOperations__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_SalesPortalContent__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES SalesPortalContent__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_Sales_Comments__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Sales_Comments__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_Schedule_Exports__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Schedule_Exports__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_ScheduledApex__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES ScheduledApex__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_SearchBeforeCreateURL__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES SearchBeforeCreateURL__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_ServicesAllocation__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES ServicesAllocation__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_ServicesSKU__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES ServicesSKU__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_Solution_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Solution (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_SolutionProduct__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES SolutionProduct__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_Special_Program__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Special_Program__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_StateProvinceTranslation__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES StateProvinceTranslation__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_State__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES State__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_States_ISO_codes__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES States_ISO_codes__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_Status_Reports__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Status_Reports__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_SteeringCommittee__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES SteeringCommittee__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_StoryBookLinkLabel__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES StoryBookLinkLabel__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_StoryBookLink__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES StoryBookLink__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_Storybook__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Storybook__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_StrategicPlan_Action__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES StrategicPlan_Action__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_StrategicPlan_OppProdSummary__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES StrategicPlan_OppProdSummary__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_StrategicPlan_ReviewHistory__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES StrategicPlan_ReviewHistory__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_StrategicPlan_Review__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES StrategicPlan_Review__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_StrategicPlan_SolutionOpportunity__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES StrategicPlan_SolutionOpportunity__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_StrategicPlan_Solution__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES StrategicPlan_Solution__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_StrategicPlan_Strategy__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES StrategicPlan_Strategy__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_StrategicPlan__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES StrategicPlan__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_StringSetting__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES StringSetting__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_SubscriptionBatch__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES SubscriptionBatch__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_SubscriptionError__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES SubscriptionError__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_SubscriptionLine__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES SubscriptionLine__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_SubscriptionPartnerRelationship__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES SubscriptionPartnerRelationship__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_SubscriptionPartner__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES SubscriptionPartner__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_SubscriptionReportCriteria__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES SubscriptionReportCriteria__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_Subscription__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Subscription__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_SumTotal_Catalog__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES SumTotal_Catalog__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_SumTotal_Request__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES SumTotal_Request__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_SumTotal_Setting__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES SumTotal_Setting__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_SumTotal_Training__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES SumTotal_Training__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_Super_Industry__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Super_Industry__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_Teaming_Agreement__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Teaming_Agreement__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_Temporal_Content__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Temporal_Content__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_Test_Case_Result__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Test_Case_Result__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_Test_Case_Step__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Test_Case_Step__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_Test_Case__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Test_Case__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_TestingIds__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES TestingIds__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_TrackingEventLog__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES TrackingEventLog__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_TrackingEventSummary__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES TrackingEventSummary__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_TrackingEvent__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES TrackingEvent__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_TrendDataSettings__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES TrendDataSettings__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_TrendData__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES TrendData__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_Use_Case_Step__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Use_Case_Step__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_Use_Case__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Use_Case__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_User_Agreement__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES User_Agreement__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_Util__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Util__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_VendorCatalog__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES VendorCatalog__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_Verifiable_Outcome__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Verifiable_Outcome__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_Work_Package__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Work_Package__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_Work_Plan__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Work_Plan__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_dupcerts__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES dupcerts__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_hoopla__Field__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES hoopla__Field__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_hoopla__Hoopla_Entity__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES hoopla__Hoopla_Entity__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_hoopla__Hoopla_Error_Log__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES hoopla__Hoopla_Error_Log__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_hoopla__Hoopla_Trigger_Settings__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES hoopla__Hoopla_Trigger_Settings__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_hoopla__Hoopla_User__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES hoopla__Hoopla_User__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_hoopla__Notification_Queue__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES hoopla__Notification_Queue__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_hoopla__Object__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES hoopla__Object__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_hoopla__Player__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES hoopla__Player__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_hoopla__Position_Role__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES hoopla__Position_Role__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_hoopla__Position__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES hoopla__Position__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances'),
	CONSTRAINT FK_hoopla__Scoreboard_Role__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES hoopla__Scoreboard_Role__c (Id) OPTIONS (NAMEINSOURCE 'ProcessInstances')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'false', "teiid_sf:Supports Delete" 'false', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE ProcessInstanceHistory (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsPending boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	ProcessInstanceId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	TargetObjectId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	StepStatus string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Approved,Rejected,Removed,Fault,Pending,Held,Reassigned,Started,NoResponse'),
	OriginalActorId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ActorId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	RemindersSent integer OPTIONS (NATIVE_TYPE 'int', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Comments string OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_APPR_DGRP__Dynamic_Group__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES APPR_DGRP__Dynamic_Group__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_APPR_DGRP__Group_Rule__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES APPR_DGRP__Group_Rule__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_APPR_PUB_XT__Headline_Link_Group_Translation__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES APPR_PUB_XT__Headline_Link_Group_Translation__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_APPR_PUB_XT__Headline_Link__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES APPR_PUB_XT__Headline_Link__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_APPR_PUB_XT__Headline_Translation__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES APPR_PUB_XT__Headline_Translation__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_APPR_PUB__Headline_Link_Group__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES APPR_PUB__Headline_Link_Group__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_APPR_PUB__Headline_Link__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES APPR_PUB__Headline_Link__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_APPR_PUB__Headline__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES APPR_PUB__Headline__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_APPR_PUB__PortalPublisherSettings__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES APPR_PUB__PortalPublisherSettings__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_Account_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Account (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_AccountCatalogRelationship__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES AccountCatalogRelationship__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_AccountChangeRequestField__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES AccountChangeRequestField__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_AccountChangeRequest__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES AccountChangeRequest__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_AccountFields__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES AccountFields__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_AccountHierarchy__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES AccountHierarchy__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_AccountProfile_PartnerStatus__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES AccountProfile_PartnerStatus__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_AccountReadOnly__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES AccountReadOnly__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_AccountRecordType__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES AccountRecordType__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_AccountTeamRule__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES AccountTeamRule__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_Account_Profile_Other_Partner__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Account_Profile_Other_Partner__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_Account_Profile_Power_Map__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Account_Profile_Power_Map__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_Account_Profile_SWOT__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Account_Profile_SWOT__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_Account_Profile__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Account_Profile__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_Account_SWOT_Analysis__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Account_SWOT_Analysis__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_Accounts_Special_Program__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Accounts_Special_Program__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_AcctPicklistSync__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES AcctPicklistSync__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_Action_Items__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Action_Items__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_Address__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Address__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_AdminByPass__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES AdminByPass__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_Agreement_Country__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Agreement_Country__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_Agreement__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Agreement__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_Anti_corruption__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Anti_corruption__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_ApprovalCustom__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES ApprovalCustom__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_Assessment_Summary__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Assessment_Summary__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_Asset_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Asset (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_Audience_Account__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Audience_Account__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_Audience__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Audience__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_BLND_DFAC_Shared_View__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES BLND_DFAC_Shared_View__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_BLND_DFCS_Carousel__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES BLND_DFCS_Carousel__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_BLND_DFCS_Slide__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES BLND_DFCS_Slide__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_BLND_DFDT_Action_Item__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES BLND_DFDT_Action_Item__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_BLND_DFDT_Discussion__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES BLND_DFDT_Discussion__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_BLND_DFDT_Highlight__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES BLND_DFDT_Highlight__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_BLND_DFDT_Issue__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES BLND_DFDT_Issue__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_BLND_DFDT_Linker__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES BLND_DFDT_Linker__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_BLND_DFDT_Project__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES BLND_DFDT_Project__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_BLND_DFDT_Resource__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES BLND_DFDT_Resource__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_BLND_DFDT_Task__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES BLND_DFDT_Task__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_BLND_DFFF_Form__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES BLND_DFFF_Form__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_BLND_DFFF_Page__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES BLND_DFFF_Page__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_BLND_DFTE_Expense__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES BLND_DFTE_Expense__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_BLND_DFTE_Time__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES BLND_DFTE_Time__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_BLND_DFTT_Document__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES BLND_DFTT_Document__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_BLND_DFTT_Entity_Info__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES BLND_DFTT_Entity_Info__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_BLND_DFTT_Folder__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES BLND_DFTT_Folder__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_BigMachines__Commerce_Settings__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES BigMachines__Commerce_Settings__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_BigMachines__Configuration_Record__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES BigMachines__Configuration_Record__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_BigMachines__Field_Mapping__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES BigMachines__Field_Mapping__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_BigMachines__Quote_Product__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES BigMachines__Quote_Product__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_BigMachines__Quote__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES BigMachines__Quote__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_BillToAccount__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES BillToAccount__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_BooleanSetting__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES BooleanSetting__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_Budget_Status_Mapping__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Budget_Status_Mapping__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_Busines_Plan_KPI__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Busines_Plan_KPI__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_BusinessPlan_MktResource__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES BusinessPlan_MktResource__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_Business_Plan_Customer__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Business_Plan_Customer__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_Business_Problem__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Business_Problem__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_CCB_Event__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES CCB_Event__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_CDH_Party__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES CDH_Party__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_CR_Components_Join__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES CR_Components_Join__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_CTSK_INSP__Field_Statistic__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES CTSK_INSP__Field_Statistic__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_CTSK_INSP__Object_Statistic__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES CTSK_INSP__Object_Statistic__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_Campaign_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Campaign (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_CampaignTag__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES CampaignTag__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_Campaign_Hierarchy_Details__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Campaign_Hierarchy_Details__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_Campaign_Plan__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Campaign_Plan__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_Case__TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Case_ (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_CaseCommentData__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES CaseCommentData__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_CasePriorityTotals__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES CasePriorityTotals__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_CasePriority__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES CasePriority__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_CaseRecordType__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES CaseRecordType__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_Change_Control_Board__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Change_Control_Board__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_Change_Management__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Change_Management__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_Change_Request_Members__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Change_Request_Members__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_Change_Request__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Change_Request__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_Change_Requests__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Change_Requests__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_Chatter_Group_Name__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Chatter_Group_Name__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_ClassificationTranslation__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES ClassificationTranslation__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_Classification__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Classification__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_CommUtils__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES CommUtils__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_Communities_Featured_Headline_Label__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Communities_Featured_Headline_Label__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_Communities_Featured_Headline__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Communities_Featured_Headline__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_Communities_Navigation_Item_Label__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Communities_Navigation_Item_Label__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_Communities_Navigation_Item__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Communities_Navigation_Item__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_Communities_News_Item_Label__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Communities_News_Item_Label__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_Communities_News_Item__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Communities_News_Item__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_Communities_Tool_Shortcut_Label__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Communities_Tool_Shortcut_Label__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_Communities_Tool_Shortcut__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Communities_Tool_Shortcut__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_Competitor__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Competitor__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_Component__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Component__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_Configuration__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Configuration__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_Contact_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Contact (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_Contact_Converter__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Contact_Converter__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_Contact_Reference_Request__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Contact_Reference_Request__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_Contact_Tool_Shortcut__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Contact_Tool_Shortcut__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_Contact_Track__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Contact_Track__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_Contract_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Contract (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_CountryTranslation__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES CountryTranslation__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_Country__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Country__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_Credit__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Credit__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_Customer_Reference_Product__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Customer_Reference_Product__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_Customer_Reference__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Customer_Reference__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_DateTimeSetting__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES DateTimeSetting__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_Date_Setting__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Date_Setting__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_DefaultRecordTypes__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES DefaultRecordTypes__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_Defect_Requirement_Join__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Defect_Requirement_Join__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_Defect__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Defect__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_Deliverables__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Deliverables__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_DomainValidation__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES DomainValidation__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_EBS_Account__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES EBS_Account__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_ELOQUA__Campaign_s_Marketing_Asset__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES ELOQUA__Campaign_s_Marketing_Asset__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_ELOQUA__Marketing_Activity__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES ELOQUA__Marketing_Activity__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_ELOQUA__Marketing_Asset__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES ELOQUA__Marketing_Asset__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_EmailMessage_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES EmailMessage (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_EmbeddedOverride__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES EmbeddedOverride__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_EmbeddedSKU__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES EmbeddedSKU__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_Environment__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Environment__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_Evaluation__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Evaluation__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_Event_Log__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Event_Log__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_Event__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Event__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_Executive_Summary__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Executive_Summary__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_Expiring_Product__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Expiring_Product__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_Featured_Partner__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Featured_Partner__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_FieldId__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES FieldId__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_FiscalGoals__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES FiscalGoals__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_GroupSetting__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES GroupSetting__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_Hashes__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Hashes__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_Inbound_Event__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Inbound_Event__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_Indirect_Matching_Static_Data__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Indirect_Matching_Static_Data__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_Key_Joint_Sales_Engagement__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Key_Joint_Sales_Engagement__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_LMS_Training_Request__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES LMS_Training_Request__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_Lead_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Lead (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_LeadAccountRules__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES LeadAccountRules__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_LeadConvertWizardOppDefaultAmount__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES LeadConvertWizardOppDefaultAmount__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_LeadConvertWizardOppDefaultStage__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES LeadConvertWizardOppDefaultStage__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_LeadCountryMap__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES LeadCountryMap__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_LeadCronRoutingRule__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES LeadCronRoutingRule__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_LeadForReporting__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES LeadForReporting__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_LeadManagementHistory__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES LeadManagementHistory__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_LeadRules__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES LeadRules__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_LeadShareStaging__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES LeadShareStaging__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_Lead_Source_Detail__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Lead_Source_Detail__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_Lead_SuperRegion_Mapping__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Lead_SuperRegion_Mapping__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_Link_to_Paid_Opportunity__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Link_to_Paid_Opportunity__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_LongSetting__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES LongSetting__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_Marketing_Activity__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Marketing_Activity__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_Marketing_Program__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Marketing_Program__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_Match_and_Validation_Error__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Match_and_Validation_Error__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_Messaging_Strategy__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Messaging_Strategy__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_Milestone_Status_Mapping__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Milestone_Status_Mapping__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_Milestone__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Milestone__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_MonitoredActivity__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES MonitoredActivity__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_NFR_LI__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES NFR_LI__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_NFR_Request__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES NFR_Request__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_NFR_SKU_Matrix__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES NFR_SKU_Matrix__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_NonPrimaryBillingAddress__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES NonPrimaryBillingAddress__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_NonPrimaryShippingAddress__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES NonPrimaryShippingAddress__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_Opportunities_Special_Program__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Opportunities_Special_Program__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_Opportunity_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Opportunity (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_OpportunityPartner__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES OpportunityPartner__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_OpportunityProductSummary__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES OpportunityProductSummary__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_OpportunitySnapshot__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES OpportunitySnapshot__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_OpportunitySplitUserProfiles__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES OpportunitySplitUserProfiles__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_OpportunityTeamMemberClone__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES OpportunityTeamMemberClone__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_Opportunity_Header_Staging__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Opportunity_Header_Staging__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_Opportunity_History__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Opportunity_History__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_Opportunity_Line_Staging__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Opportunity_Line_Staging__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_Opportunity_Match_Configuration__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Opportunity_Match_Configuration__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_Opportunity_Partner_Staging__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Opportunity_Partner_Staging__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_Opportunity_Partners__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Opportunity_Partners__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_Opportunity_Split_Detail__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Opportunity_Split_Detail__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_Oppty_Staging_Limit__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Oppty_Staging_Limit__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_OrderTypeDefault__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES OrderTypeDefault__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_Order_Loader_Batch__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Order_Loader_Batch__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_Order_Management_Profile__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Order_Management_Profile__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_Order_Tracking__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Order_Tracking__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_OutboundMessagePriority__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES OutboundMessagePriority__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_Outbound_Error__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Outbound_Error__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_Outbound_Event__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Outbound_Event__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_PAR_MDF_Allocations__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES PAR_MDF_Allocations__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_PAR_Pilot_Account__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES PAR_Pilot_Account__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_PCSearchForm__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES PCSearchForm__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_PFSearchForm__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES PFSearchForm__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_POC_Enabled__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES POC_Enabled__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_PP_Account_Points__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES PP_Account_Points__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_PP_Batch__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES PP_Batch__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_PP_Cap__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES PP_Cap__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_PP_Catalog__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES PP_Catalog__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_PP_ContentBatchStage__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES PP_ContentBatchStage__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_PP_ContentStage__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES PP_ContentStage__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_PP_Content_Workspace__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES PP_Content_Workspace__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_PP_Content__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES PP_Content__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_PP_InboundBatchItemStage__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES PP_InboundBatchItemStage__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_PP_InboundBatchStage__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES PP_InboundBatchStage__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_PP_ItemAudit__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES PP_ItemAudit__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_PP_LMS_Stage__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES PP_LMS_Stage__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_PP_Scores__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES PP_Scores__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_PP_User_Points__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES PP_User_Points__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_PartnerAgreement__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES PartnerAgreement__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_PartnerClassification__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES PartnerClassification__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_PartnerLogo__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES PartnerLogo__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_PartnerProductClassification__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES PartnerProductClassification__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_PartnerProductLanguage__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES PartnerProductLanguage__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_PartnerProductLogo__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES PartnerProductLogo__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_PartnerProductScreenshot__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES PartnerProductScreenshot__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_PartnerProduct__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES PartnerProduct__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_PartnerRequalification__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES PartnerRequalification__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_PartnerStatus__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES PartnerStatus__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_PartnerTopCustomer__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES PartnerTopCustomer__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_PartnerTrack__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES PartnerTrack__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_PartnerTraining__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES PartnerTraining__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_PartnerUser_Email_Token__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES PartnerUser_Email_Token__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_Partner_Attachment__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Partner_Attachment__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_Partner_CCP_Form__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Partner_CCP_Form__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_Partner_Location__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Partner_Location__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_Partner_Onboarding_Registration__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Partner_Onboarding_Registration__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_Partner_Point_Requal_Limits__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Partner_Point_Requal_Limits__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_Partner_Points_Course__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Partner_Points_Course__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_Partner_Points_LMS_Catalog__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Partner_Points_LMS_Catalog__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_Partner_Points_Requal_Req__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Partner_Points_Requal_Req__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_Partner_Points__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Partner_Points__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_Partner_Profile__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Partner_Profile__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_Partner_Program_Approval__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Partner_Program_Approval__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_Partner_Program_Definition__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Partner_Program_Definition__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_Partner_Program_Description__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Partner_Program_Description__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_Partner_Program_Product__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Partner_Program_Product__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_Partner_Program_Tier__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Partner_Program_Tier__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_Partner_Program__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Partner_Program__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_Partner_Registration_Line_Item__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Partner_Registration_Line_Item__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_Partner_Registration__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Partner_Registration__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_Partner_Requal_Points__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Partner_Requal_Points__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_Partner_Requal_Setup__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Partner_Requal_Setup__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_Partner_Requalification_Agreement__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Partner_Requalification_Agreement__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_Partner_Requalification_Log__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Partner_Requalification_Log__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_Partner_User_Invitation__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Partner_User_Invitation__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_Partner_s_Assessment_Summary__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Partner_s_Assessment_Summary__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_Partner_s_Business_Problem__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Partner_s_Business_Problem__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_Partner_s_Competitor__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Partner_s_Competitor__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_Partner_s_Messaging_Strategy__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Partner_s_Messaging_Strategy__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_Potential_Matched_Opportunities__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Potential_Matched_Opportunities__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_Priority__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Priority__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_ProcessInstance_ProcessInstanceId FOREIGN KEY(ProcessInstanceId) REFERENCES ProcessInstance (Id) OPTIONS (NAMEINSOURCE 'StepsAndWorkitems'),
	CONSTRAINT FK_Product2_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Product2 (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_Project_Item__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Project_Item__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_Project_Status_Mapping__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Project_Status_Mapping__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_Project_Status__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Project_Status__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_Project_Tracker__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Project_Tracker__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_Project__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Project__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_ProxyApprover__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES ProxyApprover__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_QuoteLineItemSchedule__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES QuoteLineItemSchedule__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_QuoteLineItem__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES QuoteLineItem__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_QuotePaymentSchedule__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES QuotePaymentSchedule__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_Quote__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Quote__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_RH_AddressCountryMapping__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES RH_AddressCountryMapping__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_RH_Content__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES RH_Content__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_RH_CountryCode_CountryName__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES RH_CountryCode_CountryName__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_RH_Microsite_Page__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES RH_Microsite_Page__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_RH_Microsite__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES RH_Microsite__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_Rally_User__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Rally_User__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_RecordLookup__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES RecordLookup__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_RecordTypeAssignment__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES RecordTypeAssignment__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_RecordTypeLookup__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES RecordTypeLookup__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_RedHatObjectReferences__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES RedHatObjectReferences__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_Red_Hat_Attachment__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Red_Hat_Attachment__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_ReferenceStor__Rs_Account_HistoryDetail__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES ReferenceStor__Rs_Account_HistoryDetail__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_ReferenceStor__Rs_Account_History__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES ReferenceStor__Rs_Account_History__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_ReferenceStor__Rs_Opportunity_HistoryDetail__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES ReferenceStor__Rs_Opportunity_HistoryDetail__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_ReferenceStor__Rs_Opportunity_History__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES ReferenceStor__Rs_Opportunity_History__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_Reference_Collateral__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Reference_Collateral__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_Reference_Usage__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Reference_Usage__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_Region_NA__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Region_NA__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_Region__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Region__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_Reject_Lead_Setup__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Reject_Lead_Setup__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_Related_Case__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Related_Case__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_Release__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Release__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_RemoteAccess__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES RemoteAccess__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_RequalMetVsSetRequirements__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES RequalMetVsSetRequirements__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_Request_Tracker__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Request_Tracker__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_Requirement__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Requirement__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_Reseller__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Reseller__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_Resource_Scope_Status_Mapping__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Resource_Scope_Status_Mapping__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_Resource__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Resource__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_Role_Interest_Training_Matrix__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Role_Interest_Training_Matrix__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_RushOrderSKU__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES RushOrderSKU__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_SFDC_Budget_Item__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES SFDC_Budget_Item__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_SFDC_Budget__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES SFDC_Budget__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_SFDC_Channel_Account_Plan__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES SFDC_Channel_Account_Plan__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_SFDC_MDF_Claim__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES SFDC_MDF_Claim__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_SFDC_MDF__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES SFDC_MDF__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_SFDC_Objective__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES SFDC_Objective__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_SFDC_Plan_Resource_Association__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES SFDC_Plan_Resource_Association__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_SalesContentSections__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES SalesContentSections__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_SalesOperations__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES SalesOperations__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_SalesPortalContent__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES SalesPortalContent__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_Sales_Comments__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Sales_Comments__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_Schedule_Exports__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Schedule_Exports__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_ScheduledApex__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES ScheduledApex__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_SearchBeforeCreateURL__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES SearchBeforeCreateURL__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_ServicesAllocation__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES ServicesAllocation__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_ServicesSKU__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES ServicesSKU__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_Solution_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Solution (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_SolutionProduct__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES SolutionProduct__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_Special_Program__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Special_Program__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_StateProvinceTranslation__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES StateProvinceTranslation__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_State__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES State__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_States_ISO_codes__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES States_ISO_codes__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_Status_Reports__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Status_Reports__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_SteeringCommittee__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES SteeringCommittee__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_StoryBookLinkLabel__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES StoryBookLinkLabel__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_StoryBookLink__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES StoryBookLink__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_Storybook__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Storybook__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_StrategicPlan_Action__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES StrategicPlan_Action__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_StrategicPlan_OppProdSummary__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES StrategicPlan_OppProdSummary__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_StrategicPlan_ReviewHistory__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES StrategicPlan_ReviewHistory__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_StrategicPlan_Review__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES StrategicPlan_Review__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_StrategicPlan_SolutionOpportunity__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES StrategicPlan_SolutionOpportunity__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_StrategicPlan_Solution__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES StrategicPlan_Solution__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_StrategicPlan_Strategy__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES StrategicPlan_Strategy__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_StrategicPlan__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES StrategicPlan__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_StringSetting__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES StringSetting__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_SubscriptionBatch__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES SubscriptionBatch__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_SubscriptionError__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES SubscriptionError__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_SubscriptionLine__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES SubscriptionLine__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_SubscriptionPartnerRelationship__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES SubscriptionPartnerRelationship__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_SubscriptionPartner__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES SubscriptionPartner__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_SubscriptionReportCriteria__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES SubscriptionReportCriteria__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_Subscription__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Subscription__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_SumTotal_Catalog__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES SumTotal_Catalog__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_SumTotal_Request__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES SumTotal_Request__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_SumTotal_Setting__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES SumTotal_Setting__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_SumTotal_Training__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES SumTotal_Training__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_Super_Industry__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Super_Industry__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_Teaming_Agreement__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Teaming_Agreement__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_Temporal_Content__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Temporal_Content__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_Test_Case_Result__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Test_Case_Result__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_Test_Case_Step__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Test_Case_Step__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_Test_Case__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Test_Case__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_TestingIds__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES TestingIds__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_TrackingEventLog__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES TrackingEventLog__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_TrackingEventSummary__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES TrackingEventSummary__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_TrackingEvent__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES TrackingEvent__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_TrendDataSettings__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES TrendDataSettings__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_TrendData__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES TrendData__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_Use_Case_Step__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Use_Case_Step__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_Use_Case__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Use_Case__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_User_Agreement__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES User_Agreement__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_Util__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Util__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_VendorCatalog__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES VendorCatalog__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_Verifiable_Outcome__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Verifiable_Outcome__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_Work_Package__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Work_Package__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_Work_Plan__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES Work_Plan__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_dupcerts__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES dupcerts__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_hoopla__Field__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES hoopla__Field__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_hoopla__Hoopla_Entity__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES hoopla__Hoopla_Entity__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_hoopla__Hoopla_Error_Log__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES hoopla__Hoopla_Error_Log__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_hoopla__Hoopla_Trigger_Settings__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES hoopla__Hoopla_Trigger_Settings__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_hoopla__Hoopla_User__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES hoopla__Hoopla_User__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_hoopla__Notification_Queue__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES hoopla__Notification_Queue__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_hoopla__Object__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES hoopla__Object__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_hoopla__Player__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES hoopla__Player__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_hoopla__Position_Role__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES hoopla__Position_Role__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_hoopla__Position__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES hoopla__Position__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps'),
	CONSTRAINT FK_hoopla__Scoreboard_Role__c_TargetObjectId FOREIGN KEY(TargetObjectId) REFERENCES hoopla__Scoreboard_Role__c (Id) OPTIONS (NAMEINSOURCE 'ProcessSteps')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'false', "teiid_sf:Supports Delete" 'false', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'false', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'false', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE ProcessInstanceStep (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	ProcessInstanceId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	StepStatus string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Approved,Rejected,Removed,Fault,Pending,Held,Reassigned,Started,NoResponse'),
	OriginalActorId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ActorId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Comments string OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_ProcessInstance_ProcessInstanceId FOREIGN KEY(ProcessInstanceId) REFERENCES ProcessInstance (Id) OPTIONS (NAMEINSOURCE 'Steps')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'false', "teiid_sf:Supports Delete" 'false', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE ProcessInstanceWorkitem (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	ProcessInstanceId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	OriginalActorId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ActorId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_ProcessInstance_ProcessInstanceId FOREIGN KEY(ProcessInstanceId) REFERENCES ProcessInstance (Id) OPTIONS (NAMEINSOURCE 'Workitems')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'false', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE ProcessNode (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	DeveloperName string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ProcessDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Description string(1000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id)
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'false', "teiid_sf:Supports Delete" 'false', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Product2 (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ProductCode string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Description string OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	QuantityScheduleType string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Divide,Repeat'),
	QuantityInstallmentPeriod string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Daily,Weekly,Monthly,Quarterly,Yearly'),
	NumberOfQuantityInstallments integer OPTIONS (NATIVE_TYPE 'int', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	RevenueScheduleType string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Divide,Repeat'),
	RevenueInstallmentPeriod string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Daily,Weekly,Monthly,Quarterly,Yearly'),
	NumberOfRevenueInstallments integer OPTIONS (NATIVE_TYPE 'int', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CanUseQuantitySchedule boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CanUseRevenueSchedule boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsActive boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Family string(40) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'GSS,GLS,GPS,Subscriptions'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	InventoryItemId__c string(10) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	QuoteRequired__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	APAC_Product__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	EMEA_Product__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	LATAM_Product__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	NA_Product__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Special_Bid__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Renewal__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Discontinued_Renewal_Only__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Web_Only__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	SKU_Type__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Term__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Channel_Available__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Configurable__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Contract_Number_Required__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Direct_Buy__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Excluded_Countries__c string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Primary_Business_Unit__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Cloud,Management,Middleware,Mobile,OpenShift,Platform,Storage,Virtualization'),
	Product_Line__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'A-MQ,Appliances,BPM,BPM Suite,BRMS / Rules,Ceph Storage,Certificate Sys and Directory Serv,Certification,Cloud,CloudForms,Cloud Provider,Consulting,Consulting Units,Data Grid,Data Services,Data Virtualization,Developer Support,eNovance,Enterprise Application Platform,Enterprise Portal Platform,FeedHenry,Fees / Other,Fuse,Fuse Service Works,GES,GLS Online Learning,Gluster Software,GS4,Images,Inktank,JBoss Communications Platform,JON,JON Monitoring,Merchandise,MRG,Online Learning,On-Sites,Open Enrollment,OpenShift Enterprise,OpenStack,Other,Red Hat Academy,RHCI,RHEA,RHEL,RHEV,RHN Satellite,RHX,Runtime,SOA-P / jBPM,TAM,Templates,Training Kits,Training Units,Virtual Training'),
	Unit_Of_Measure__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Attendee,Contact,Core Band,CPU,CPU Band,Digital Certificate,Each,Hours,Module,System,Units,Years,Managed Node,Physical Node,Physical Node or Virtual Node,Terabyte,IFL,FTE,Virtual Guest,Point of Contact,Managed VM,Virtual Node'),
	for_NFR__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	BigMachines__Part_Number__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Product_Group__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Storage,App Dev,Infrastructure'),
	Primary_BU__c double OPTIONS (NATIVE_TYPE 'percent', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Quaternary_BU__c double OPTIONS (NATIVE_TYPE 'percent', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Quaternary_Business_Unit__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Cloud,Management,Middleware,Platform,Storage,Virtualization,OpenShift'),
	Quinary_BU__c double OPTIONS (NATIVE_TYPE 'percent', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Quinary_Business_Unit__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Cloud,Management,Middleware,Platform,Storage,Virtualization,OpenShift'),
	Secondary_BU__c double OPTIONS (NATIVE_TYPE 'percent', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Secondary_Business_Unit__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Cloud,Management,Middleware,Platform,Storage,Virtualization,OpenShift'),
	Special_Pricing_Value__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Eval,NFR,Promo,Beta'),
	Tertiary_Business_Unit__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Cloud,Management,Middleware,Platform,Storage,Virtualization,OpenShift'),
	Tertiary__c double OPTIONS (NATIVE_TYPE 'percent', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id)
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE Product2Feed (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	ParentId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	FeedPostId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'TrackedChange,UserStatus,TextPost,AdvancedTextPost,LinkPost,ContentPost,PollPost,RypplePost,ProfileSkillPost,DashboardComponentSnapshot,ApprovalPost,CaseCommentPost,ReplyPost,EmailMessageEvent,CallLogPost,ChangeStatusPost,AttachArticleEvent,MilestoneEvent,ActivityEvent,ChatTranscriptPost,CollaborationGroupCreated,CollaborationGroupUnarchived,SocialPost,QuestionPost,FacebookPost,BasicTemplateFeedItem,CreateRecordEvent,CanvasPost,AnnouncementPost'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Product2_ParentId FOREIGN KEY(ParentId) REFERENCES Product2 (Id) OPTIONS (NAMEINSOURCE 'Feeds')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'false', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Profile (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	PermissionsEmailSingle boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	PermissionsEmailMass boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	PermissionsEditTask boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	PermissionsEditEvent boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	PermissionsExportReport boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	PermissionsImportPersonal boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	PermissionsDataExport boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	PermissionsManageUsers boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	PermissionsEditPublicTemplates boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	PermissionsModifyAllData boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	PermissionsManageCases boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	PermissionsMassInlineEdit boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	PermissionsTagManager boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	PermissionsManageSolutions boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	PermissionsCustomizeApplication boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	PermissionsEditReadonlyFields boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	PermissionsRunReports boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	PermissionsViewSetup boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	PermissionsTransferAnyEntity boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	PermissionsManageSelfService boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	PermissionsManageCssUsers boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	PermissionsActivateContract boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	PermissionsImportLeads boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	PermissionsManageLeads boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	PermissionsTransferAnyLead boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	PermissionsViewAllData boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	PermissionsEditPublicDocuments boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	PermissionsViewEncryptedData boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	PermissionsEditBrandTemplates boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	PermissionsEditHtmlTemplates boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	PermissionsManageTranslation boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	PermissionsDeleteActivatedContract boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	PermissionsSendSitRequests boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	PermissionsEditOwnQuota boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	PermissionsOverrideForecasts boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	PermissionsViewAllForecasts boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	PermissionsApiUserOnly boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	PermissionsManageRemoteAccess boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	PermissionsManageCategories boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	PermissionsConvertLeads boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	PermissionsPasswordNeverExpires boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	PermissionsUseTeamReassignWizards boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	PermissionsInstallMultiforce boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	PermissionsPublishMultiforce boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	PermissionsManagePartners boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	PermissionsEditOppLineItemUnitPrice boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	PermissionsCreateMultiforce boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	PermissionsInboundMigrationToolsUser boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	PermissionsSolutionImport boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	PermissionsManageCallCenters boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	PermissionsIPRestrictRequests boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	PermissionsPortalSuperUser boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	PermissionsOutboundMigrationToolsUser boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	PermissionsDelegatedPortalUserAdmin boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	PermissionsViewContent boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	PermissionsManageEmailClientConfig boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	PermissionsEnableNotifications boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	PermissionsManageDataIntegrations boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	PermissionsViewDataCategories boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	PermissionsManageDataCategories boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	PermissionsAuthorApex boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	PermissionsManageMobile boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	PermissionsApiEnabled boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	PermissionsManageCustomReportTypes boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	PermissionsEditCaseComments boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	PermissionsTransferAnyCase boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	PermissionsContentAdministrator boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	PermissionsCreateWorkspaces boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	PermissionsManageContentPermissions boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	PermissionsManageContentProperties boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	PermissionsManageContentTypes boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	PermissionsScheduleJob boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	PermissionsManageAnalyticSnapshots boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	PermissionsScheduleReports boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	PermissionsManageBusinessHourHolidays boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	PermissionsManageDynamicDashboards boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	PermissionsModerateChatter boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	PermissionsManageNetworks boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	PermissionsModerateNetworkFeeds boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	PermissionsModerateNetworkFiles boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	UserLicenseId string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	UserType string(40) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Standard,PowerPartner,PowerCustomerSuccess,CustomerSuccess,Guest,CSPLitePortal,CSNOnly,SelfService'),
	Description string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id)
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'false', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE Project__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	LastActivityDate date OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Key_Stakeholder_s__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Key_Value_Drivers__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Project_Objectives__c string(32768) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Project_Status__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Proposed,Approved,Funded,In Progress,Complete,On Hold,Cancelled'),
	Project_Summary__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id)
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE Project__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Project__c_ItemId FOREIGN KEY(ItemId) REFERENCES Project__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Project_Item__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	RecordTypeId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	LastActivityDate date OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Area_Impacted__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'System Usable - May Require Additional "Clicks",System Usable - May Require External Solutions(e.g. Excel),System Usable - May Require Manual Maintenance Procedures,System cannot be used by impacted teams,Data Quality Implications,N/A'),
	Category__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Business,Technology,Adoption and Org Readiness'),
	Close_Date__c timestamp OPTIONS (NATIVE_TYPE 'datetime', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Complexity__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'High,Medium,Low'),
	Data_Governance_Escalation_Required__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Date_Submitted__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Detailed_Description__c string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Due_Date__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Escalate_To__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Estimated_LOE_Hours__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Final_Resolution__c string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Impact_Description__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Leadership_Escalation_Required__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Level_of_Impact__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'High,Medium,Low'),
	Meeting__c string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Next_Steps__c string(32768) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	PMO_Escalation_Required__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Percentage_Completed__c double OPTIONS (NATIVE_TYPE 'percent', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Priority__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Critical,High,Medium,Low'),
	Related_Requirement__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Release__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Resolution_Options__c string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Risk_Action__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Avoidance,Mitigate,Accept'),
	Risk_Probability__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" '10%,25%,50%,75%,90%,100%'),
	Secondary_Owner_s__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Solution_Governance_Escalation_Required__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Status_Update__c string(32768) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Status__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Open,Pending,In Progress,On Hold,Approved,Rejected,Deferred,Resolved,Closed'),
	Sub_Category__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Adoption,Application,Application Design,Communications,Data Cleansing,Data Migration,Integration,Process,Requirements,Testing,Training,Timeline,Resources,Budget'),
	Submitted_By__c string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Summary__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Work_Package__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	of_Users_impacted__c string(50) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Release__c_Release__c FOREIGN KEY(Release__c) REFERENCES Release__c (Id) OPTIONS (NAMEINSOURCE 'Project_Items__r'),
	CONSTRAINT FK_Requirement__c_Related_Requirement__c FOREIGN KEY(Related_Requirement__c) REFERENCES Requirement__c (Id) OPTIONS (NAMEINSOURCE 'Issue_Tracking__r'),
	CONSTRAINT FK_User__Escalate_To__c FOREIGN KEY(Escalate_To__c) REFERENCES User_ (Id) OPTIONS (NAMEINSOURCE 'Project_Items__r'),
	CONSTRAINT FK_Work_Package__c_Work_Package__c FOREIGN KEY(Work_Package__c) REFERENCES Work_Package__c (Id) OPTIONS (NAMEINSOURCE 'Open_Items__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE Project_Item__Feed (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	ParentId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	FeedPostId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'TrackedChange,UserStatus,TextPost,AdvancedTextPost,LinkPost,ContentPost,PollPost,RypplePost,ProfileSkillPost,DashboardComponentSnapshot,ApprovalPost,CaseCommentPost,ReplyPost,EmailMessageEvent,CallLogPost,ChangeStatusPost,AttachArticleEvent,MilestoneEvent,ActivityEvent,ChatTranscriptPost,CollaborationGroupCreated,CollaborationGroupUnarchived,SocialPost,QuestionPost,FacebookPost,BasicTemplateFeedItem,CreateRecordEvent,CanvasPost,AnnouncementPost'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Project_Item__c_ParentId FOREIGN KEY(ParentId) REFERENCES Project_Item__c (Id) OPTIONS (NAMEINSOURCE 'Feeds')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'false', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Project_Item__History (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	ParentId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Field string(255) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Area_Impacted__c,Category__c,Close_Date__c,Complexity__c,created,CurrencyIsoCode,Data_Governance_Escalation_Required__c,Date_Submitted__c,Detailed_Description__c,Due_Date__c,Escalate_To__c,Estimated_LOE_Hours__c,feedEvent,Final_Resolution__c,Impact_Description__c,Leadership_Escalation_Required__c,Level_of_Impact__c,Meeting__c,Name,Next_Steps__c,of_Users_impacted__c,Owner,ownerAccepted,ownerAssignment,Percentage_Completed__c,PMO_Escalation_Required__c,Priority__c,locked,RecordType,unlocked,Related_Requirement__c,Release__c,Resolution_Options__c,Risk_Action__c,Risk_Probability__c,Secondary_Owner_s__c,Solution_Governance_Escalation_Required__c,Status__c,Status_Update__c,Sub_Category__c,Submitted_By__c,Summary__c,Work_Package__c'),
	OldValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	NewValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Project_Item__c_ParentId FOREIGN KEY(ParentId) REFERENCES Project_Item__c (Id) OPTIONS (NAMEINSOURCE 'Histories')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'false', "teiid_sf:Supports Delete" 'false', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Project_Item__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Project_Item__c_ItemId FOREIGN KEY(ItemId) REFERENCES Project_Item__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Project_Status__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	LastActivityDate date OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Status__c string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Project_number__c string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_SteeringCommittee__c_Project_number__c FOREIGN KEY(Project_number__c) REFERENCES SteeringCommittee__c (Id) OPTIONS (NAMEINSOURCE 'R00N300000019k76EAA')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE Project_Status__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Project_Status__c_ItemId FOREIGN KEY(ItemId) REFERENCES Project_Status__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Project_Status_Mapping__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(38) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	SetupOwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Image_URL__c string(255) OPTIONS (NATIVE_TYPE 'url', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id)
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE Project_Status_Mapping__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Project_Status_Mapping__c_ItemId FOREIGN KEY(ItemId) REFERENCES Project_Status_Mapping__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Project_Tracker__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	Opportunity__c string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Opportunity_Opportunity__c FOREIGN KEY(Opportunity__c) REFERENCES Opportunity (Id) OPTIONS (NAMEINSOURCE 'R00N60000001d4xPEAQ')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE Project_Tracker__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Project_Tracker__c_ItemId FOREIGN KEY(ItemId) REFERENCES Project_Tracker__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE ProxyApprover__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	SetupOwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsProxyApprover__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	CONSTRAINT Id_PK PRIMARY KEY(Id)
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE ProxyApprover__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_ProxyApprover__c_ItemId FOREIGN KEY(ItemId) REFERENCES ProxyApprover__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE QuantityForecast (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	PeriodId string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	StartDate date OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ProductFamily string(40) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'GSS,GLS,GPS,Subscriptions'),
	OwnerId string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	ManagerId string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Quota double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Closed double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CommitOverride double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	UpsideOverride double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	DefaultRollupCommit double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	DefaultRollupUpside double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	OpportunityRollupCommit double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	OpportunityRollupUpside double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	OpportunityRollupPipeline double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	OpportunityRollupClosed double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Pipeline double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CommitComment string(255) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	UpsideComment string(255) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ManagerCommitOverride double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ManagerUpsideOverride double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ManagerDefaultRollupCommit double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ManagerDefaultRollupUpside double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ManagerOpportunityRollupCommit double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ManagerOpportunityRollupUpside double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ManagerPipeline double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ManagerClosed double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ManagerChoiceCommit string(40) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'DefaultRollup,AcceptForecast,ManagerManualOverride,OpportunityOnlyRollup'),
	ManagerChoiceUpside string(40) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'DefaultRollup,AcceptForecast,ManagerManualOverride,OpportunityOnlyRollup'),
	Commit_ double OPTIONS (NAMEINSOURCE 'Commit', UPDATABLE FALSE, NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Upside double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ManagerCommit double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ManagerUpside double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	InvalidationDate timestamp OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'datetime', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id)
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE QuantityForecastHistory (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	ForecastOverrideId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Quota double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Closed double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Upside double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Commit_ double OPTIONS (NAMEINSOURCE 'Commit', NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	UpsideOverridden boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CommitOverridden boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Pipeline double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	UpsideComments string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CommitComments string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_QuantityForecast_ForecastOverrideId FOREIGN KEY(ForecastOverrideId) REFERENCES QuantityForecast (Id) OPTIONS (NAMEINSOURCE 'QuantityForecastHistories')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'false', "teiid_sf:Supports Delete" 'false', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE QueueSobject (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	QueueId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	SobjectType string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Account_SWOT_Analysis__c,AccountCatalogRelationship__c,AccountReadOnly__c,AccountTeamRule__c,AcctPicklistSync__c,Agreement__c,Anti_corruption__c,APPR_DGRP__Dynamic_Group__c,APPR_PUB__Headline__c,APPR_PUB__Headline_Link__c,Assessment_Summary__c,Audience__c,BigMachines__Configuration_Record__c,BigMachines__Quote__c,BillToAccount__c,BLND_DFAC_Shared_View__c,BLND_DFCS_Carousel__c,BLND_DFCS_Slide__c,BLND_DFDT_Action_Item__c,BLND_DFDT_Discussion__c,BLND_DFDT_Highlight__c,BLND_DFDT_Issue__c,BLND_DFDT_Linker__c,BLND_DFDT_Project__c,BLND_DFDT_Resource__c,BLND_DFDT_Task__c,BLND_DFFF_Form__c,BLND_DFFF_Page__c,BLND_DFTE_Expense__c,BLND_DFTE_Time__c,BLND_DFTT_Document__c,BLND_DFTT_Entity_Info__c,BLND_DFTT_Folder__c,Business_Problem__c,CampaignTag__c,Case,CasePriorityTotals__c,CDH_Party__c,Change_Control_Board__c,Change_Management__c,Change_Request__c,Change_Request_Members__c,Classification__c,Communities_Featured_Headline__c,Communities_Featured_Headline_Label__c,Communities_Navigation_Item__c,Communities_News_Item__c,Communities_Tool_Shortcut__c,Competitor__c,Component__c,Configuration__c,Contact_Converter__c,Contact_Reference_Request__c,Contact_Track__c,Country__c,CTSK_INSP__Object_Statistic__c,Customer_Reference__c,Defect__c,dupcerts__c,ELOQUA__Campaign_s_Marketing_Asset__c,ELOQUA__Marketing_Activity__c,ELOQUA__Marketing_Asset__c,Event__c,Event_Log__c,Executive_Summary__c,Featured_Partner__c,FiscalGoals__c,Hashes__c,hoopla__Hoopla_Error_Log__c,hoopla__Notification_Queue__c,hoopla__Player__c,hoopla__Position__c,hoopla__Scoreboard_Role__c,Inbound_Event__c,Lead,Lead_Source_Detail__c,Lead_SuperRegion_Mapping__c,LeadAccountRules__c,LeadCountryMap__c,LeadCronRoutingRule__c,LeadForReporting__c,LeadRules__c,LeadShareStaging__c,LMS_Training_Request__c,Macro,Marketing_Activity__c,Marketing_Program__c,Messaging_Strategy__c,MonitoredActivity__c,NFR_Request__c,NFR_SKU_Matrix__c,NonPrimaryBillingAddress__c,NonPrimaryShippingAddress__c,Opportunity_Header_Staging__c,Opportunity_Match_Configuration__c,Opportunity_Partners__c,Opportunity_Split_Detail__c,OpportunitySnapshot__c,Order_Loader_Batch__c,Order_Management_Profile__c,Order_Tracking__c,Outbound_Error__c,Outbound_Event__c,Partner_Attachment__c,Partner_CCP_Form__c,Partner_Onboarding_Registration__c,Partner_Point_Requal_Limits__c,Partner_Points_Requal_Req__c,Partner_Program_Definition__c,Partner_Program_Description__c,Partner_Requal_Points__c,Partner_Requal_Setup__c,Partner_Requalification_Agreement__c,Partner_Requalification_Log__c,Partner_s_Assessment_Summary__c,Partner_s_Business_Problem__c,Partner_s_Competitor__c,Partner_s_Messaging_Strategy__c,Partner_User_Invitation__c,PartnerRequalification__c,PartnerTrack__c,PartnerUser_Email_Token__c,PCSearchForm__c,PFSearchForm__c,PP_Cap__c,PP_Catalog__c,PP_Content_Workspace__c,PP_ContentBatchStage__c,PP_ItemAudit__c,PP_LMS_Stage__c,Project__c,Project_Item__c,Quote__c,Rally_User__c,RecordLookup__c,RecordTypeAssignment__c,Red_Hat_Attachment__c,Reference_Usage__c,ReferenceStor__Rs_Account_HistoryDetail__c,ReferenceStor__Rs_Opportunity_HistoryDetail__c,Region__c,Region_NA__c,Reject_Lead_Setup__c,Related_Case__c,Release__c,RemoteAccess__c,Request_Tracker__c,Reseller__c,RH_Content__c,RH_Microsite__c,RH_Microsite_Page__c,Role_Interest_Training_Matrix__c,Sales_Comments__c,SalesPortalContent__c,Schedule_Exports__c,Special_Program__c,Status_Reports__c,SteeringCommittee__c,Storybook__c,StrategicPlan__c,Subscription__c,SubscriptionBatch__c,SubscriptionLine__c,SubscriptionPartner__c,SubscriptionReportCriteria__c,SumTotal_Catalog__c,SumTotal_Request__c,SumTotal_Setting__c,SumTotal_Training__c,Super_Industry__c,Temporal_Content__c,Test_Case__c,Test_Case_Result__c,Test_Case_Step__c,TrackingEvent__c,TrackingEventLog__c,TrackingEventSummary__c,TrendData__c,Use_Case__c,Use_Case_Step__c,User_Agreement__c,VendorCatalog__c,Work_Package__c'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Group__QueueId FOREIGN KEY(QueueId) REFERENCES Group_ (Id) OPTIONS (NAMEINSOURCE 'QueueSobjects')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Quote__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	Year4PaymentAmount__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Year3BookingAmount__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Comments__c string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ExpirationDate__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	StartDate__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Year1BookingAmount__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Year3PaymentAmount__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Year5PaymentAmount__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ContactId__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Term__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Year2BookingAmount__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Year2PaymentAmount__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	EffectiveDate__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	PayNow__c string(30) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ReferenceNumber__c string(100) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Year4BookingAmount__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	QuoteOwnerId__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	LastModifiedDate__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Type__c string(30) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Year1PaymentAmount__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	IsCalculated__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Year5BookingAmount__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	OpportunityId__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Year6PaymentAmount__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CreatedById__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	IsActive__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Amount__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	PricebookId__c string(30) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Year6BookingAmount__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Number__c string(30) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	EndDate__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CreatedDate__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Version__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	HasQuoteLineItems__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	LastModifiedById__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	IsNonStandardPayment__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	AprvlRqstNonStd__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	AprvlRqstPriceDiscnt__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	AprvlRqstPaymentTerms__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	ApprovalsRequested__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	HasApprovalRequests__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Link__c string(200) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	LastCalculatedDate__c timestamp OPTIONS (NATIVE_TYPE 'datetime', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Contact_ContactId__c FOREIGN KEY(ContactId__c) REFERENCES Contact (Id) OPTIONS (NAMEINSOURCE 'Quotes__r'),
	CONSTRAINT FK_Opportunity_OpportunityId__c FOREIGN KEY(OpportunityId__c) REFERENCES Opportunity (Id) OPTIONS (NAMEINSOURCE 'Quotes__r'),
	CONSTRAINT FK_User__CreatedById__c FOREIGN KEY(CreatedById__c) REFERENCES User_ (Id) OPTIONS (NAMEINSOURCE 'Quotes__r'),
	CONSTRAINT FK_User__LastModifiedById__c FOREIGN KEY(LastModifiedById__c) REFERENCES User_ (Id) OPTIONS (NAMEINSOURCE 'Quotes2__r'),
	CONSTRAINT FK_User__QuoteOwnerId__c FOREIGN KEY(QuoteOwnerId__c) REFERENCES User_ (Id) OPTIONS (NAMEINSOURCE 'Quotes3__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE Quote__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Quote__c_ItemId FOREIGN KEY(ItemId) REFERENCES Quote__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE QuoteLineItem__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	OpportunityLineItemId__c string(30) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Quantity__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ProductDescription__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	EndDate__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ProductCode__c string(100) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ContractNumbers__c string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ListPrice__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	OpportunityId__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Term__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	UnitPrice__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	SortOrder__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	YearlySalesPrice__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	NewOrRenewal__c string(30) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	QuoteId__c string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ProductFamily__c string(100) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	TotalPrice__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	StartDate__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	PricebookEntryId__c string(30) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Year1BookingAmount__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Year2BookingAmount__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Year3BookingAmount__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Year4BookingAmount__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Year5BookingAmount__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Year6BookingAmount__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Unit_Of_Measure__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'CPU Band,CPU,Digital Certificate,System,Years,Attendee,Units,Hours,Contact,Module'),
	Pricing_Attributes__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Configured_SKU__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Opportunity_OpportunityId__c FOREIGN KEY(OpportunityId__c) REFERENCES Opportunity (Id) OPTIONS (NAMEINSOURCE 'Quote_Line_Items__r'),
	CONSTRAINT FK_Quote__c_QuoteId__c FOREIGN KEY(QuoteId__c) REFERENCES Quote__c (Id) OPTIONS (NAMEINSOURCE 'QuoteLineItem__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE QuoteLineItem__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_QuoteLineItem__c_ItemId FOREIGN KEY(ItemId) REFERENCES QuoteLineItem__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE QuoteLineItemSchedule__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	ProrateUnitPrice__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Type__c string(20) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ProrateTotalPrice__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ProrateYearTotalPrice__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	QuoteId__c string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	StartDate__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	PricePerDay__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Year__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	QuoteLineItemId__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	EndDate__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ProrateYearUnitPrice__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_QuoteLineItem__c_QuoteLineItemId__c FOREIGN KEY(QuoteLineItemId__c) REFERENCES QuoteLineItem__c (Id) OPTIONS (NAMEINSOURCE 'QuoteLineItemSchedule__r'),
	CONSTRAINT FK_Quote__c_QuoteId__c FOREIGN KEY(QuoteId__c) REFERENCES Quote__c (Id) OPTIONS (NAMEINSOURCE 'QuoteLineItemSchedule__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE QuoteLineItemSchedule__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_QuoteLineItemSchedule__c_ItemId FOREIGN KEY(ItemId) REFERENCES QuoteLineItemSchedule__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE QuotePaymentSchedule__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	Amount__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	SortOrder__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Comments__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	QuoteId__c string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	PaymentDate__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Quote__c_QuoteId__c FOREIGN KEY(QuoteId__c) REFERENCES Quote__c (Id) OPTIONS (NAMEINSOURCE 'QuotePaymentSchedule__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE QuotePaymentSchedule__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_QuotePaymentSchedule__c_ItemId FOREIGN KEY(ItemId) REFERENCES QuotePaymentSchedule__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Rally_User__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	Rally_Name__c string(50) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Rally_Project__c string(50) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id)
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE Rally_User__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Rally_User__c_ItemId FOREIGN KEY(ItemId) REFERENCES Rally_User__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE RecordLookup__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	User__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_User__User__c FOREIGN KEY(User__c) REFERENCES User_ (Id) OPTIONS (NAMEINSOURCE 'RecordLookups__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE RecordLookup__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_RecordLookup__c_ItemId FOREIGN KEY(ItemId) REFERENCES RecordLookup__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE RecordType (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	DeveloperName string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	NamespacePrefix string(15) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Description string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	BusinessProcessId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	SobjectType string(40) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Account,Account_Profile__c,Account_Profile_Other_Partner__c,Account_Profile_Power_Map__c,Account_Profile_SWOT__c,Account_SWOT_Analysis__c,AccountCatalogRelationship__c,AccountChangeRequest__c,AccountChangeRequestField__c,AccountHierarchy__c,AccountProfile_PartnerStatus__c,AccountReadOnly__c,Accounts_Special_Program__c,AccountTeamRule__c,AcctPicklistSync__c,Action_Items__c,Address__c,Agreement__c,Agreement_Country__c,Announcement,Anti_corruption__c,APPR_DGRP__Dynamic_Group__c,APPR_DGRP__Group_Rule__c,APPR_PUB__Headline__c,APPR_PUB__Headline_Link__c,APPR_PUB__Headline_Link_Group__c,APPR_PUB_XT__Headline_Link__c,APPR_PUB_XT__Headline_Link_Group_Translation__c,APPR_PUB_XT__Headline_Translation__c,ApprovalCustom__c,Assessment_Summary__c,Audience__c,Audience_Account__c,BigMachines__Configuration_Record__c,BigMachines__Field_Mapping__c,BigMachines__Quote__c,BigMachines__Quote_Product__c,BillToAccount__c,BLND_DFAC_Shared_View__c,BLND_DFCS_Carousel__c,BLND_DFCS_Slide__c,BLND_DFDT_Action_Item__c,BLND_DFDT_Discussion__c,BLND_DFDT_Highlight__c,BLND_DFDT_Issue__c,BLND_DFDT_Linker__c,BLND_DFDT_Project__c,BLND_DFDT_Resource__c,BLND_DFDT_Task__c,BLND_DFFF_Form__c,BLND_DFFF_Page__c,BLND_DFTE_Expense__c,BLND_DFTE_Time__c,BLND_DFTT_Document__c,BLND_DFTT_Entity_Info__c,BLND_DFTT_Folder__c,Busines_Plan_KPI__c,Business_Plan_Customer__c,Business_Problem__c,BusinessPlan_MktResource__c,Campaign,Campaign_Hierarchy_Details__c,Campaign_Plan__c,CampaignMember,CampaignTag__c,Case,CaseCommentData__c,CasePriority__c,CasePriorityTotals__c,CCB_Event__c,CDH_Party__c,Change_Control_Board__c,Change_Management__c,Change_Request__c,Change_Request_Members__c,Change_Requests__c,Classification__c,ClassificationTranslation__c,CollaborationGroupRecord,Communities_Featured_Headline__c,Communities_Featured_Headline_Label__c,Communities_Navigation_Item__c,Communities_Navigation_Item_Label__c,Communities_News_Item__c,Communities_News_Item_Label__c,Communities_Tool_Shortcut__c,Communities_Tool_Shortcut_Label__c,Competitor__c,Component__c,Configuration__c,Contact,Contact_Converter__c,Contact_Reference_Request__c,Contact_Tool_Shortcut__c,Contact_Track__c,ContentFolder,ContentVersion,Contract,Country__c,CountryTranslation__c,CR_Components_Join__c,Credit__c,CTSK_INSP__Field_Statistic__c,CTSK_INSP__Object_Statistic__c,Customer_Reference__c,Customer_Reference_Product__c,Defect__c,Defect_Requirement_Join__c,Deliverables__c,dupcerts__c,DuplicateErrorLog,DuplicateRecordItem,DuplicateRecordSet,EBS_Account__c,ELOQUA__Campaign_s_Marketing_Asset__c,ELOQUA__Marketing_Activity__c,ELOQUA__Marketing_Asset__c,Environment__c,Evaluation__c,Event,Event__c,Event_Log__c,Executive_Summary__c,Expiring_Product__c,Featured_Partner__c,FiscalGoals__c,Hashes__c,hoopla__Hoopla_Error_Log__c,hoopla__Notification_Queue__c,hoopla__Player__c,hoopla__Position__c,hoopla__Position_Role__c,hoopla__Scoreboard_Role__c,Idea,Inbound_Event__c,InboundSocialPost,Key_Joint_Sales_Engagement__c,Lead,Lead_Source_Detail__c,Lead_SuperRegion_Mapping__c,LeadAccountRules__c,LeadCountryMap__c,LeadCronRoutingRule__c,LeadForReporting__c,LeadManagementHistory__c,LeadRules__c,LeadShareStaging__c,Link_to_Paid_Opportunity__c,LMS_Training_Request__c,Macro,MacroAction,MacroInstruction,Marketing_Activity__c,Marketing_Program__c,Match_and_Validation_Error__c,Messaging_Strategy__c,Milestone__c,MonitoredActivity__c,NFR_LI__c,NFR_Request__c,NFR_SKU_Matrix__c,NonPrimaryBillingAddress__c,NonPrimaryShippingAddress__c,Opportunities_Special_Program__c,Opportunity,Opportunity_Header_Staging__c,Opportunity_History__c,Opportunity_Line_Staging__c,Opportunity_Match_Configuration__c,Opportunity_Partner_Staging__c,Opportunity_Partners__c,Opportunity_Split_Detail__c,OpportunityPartner__c,OpportunityProductSummary__c,OpportunitySnapshot__c,OpportunityTeamMemberClone__c,Order_Loader_Batch__c,Order_Management_Profile__c,Order_Tracking__c,Outbound_Error__c,Outbound_Event__c,Partner_Attachment__c,Partner_CCP_Form__c,Partner_Location__c,Partner_Onboarding_Registration__c,Partner_Point_Requal_Limits__c,Partner_Points_LMS_Catalog__c,Partner_Points_Requal_Req__c,Partner_Profile__c,Partner_Program__c,Partner_Program_Approval__c,Partner_Program_Definition__c,Partner_Program_Description__c,Partner_Program_Product__c,Partner_Program_Tier__c,Partner_Registration__c,Partner_Registration_Line_Item__c,Partner_Requal_Points__c,Partner_Requal_Setup__c,Partner_Requalification_Agreement__c,Partner_Requalification_Log__c,Partner_s_Assessment_Summary__c,Partner_s_Business_Problem__c,Partner_s_Competitor__c,Partner_s_Messaging_Strategy__c,Partner_User_Invitation__c,PartnerAgreement__c,PartnerClassification__c,PartnerLogo__c,PartnerProduct__c,PartnerProductClassification__c,PartnerProductLanguage__c,PartnerProductLogo__c,PartnerProductScreenshot__c,PartnerRequalification__c,PartnerStatus__c,PartnerTopCustomer__c,PartnerTrack__c,PartnerTraining__c,PartnerUser_Email_Token__c,PCSearchForm__c,PFSearchForm__c,Potential_Matched_Opportunities__c,PP_Account_Points__c,PP_Batch__c,PP_Cap__c,PP_Catalog__c,PP_Content__c,PP_Content_Workspace__c,PP_ContentBatchStage__c,PP_ContentStage__c,PP_InboundBatchItemStage__c,PP_InboundBatchStage__c,PP_ItemAudit__c,PP_LMS_Stage__c,PP_Scores__c,PP_User_Points__c,Pricebook2,Priority__c,Product2,Project__c,Project_Item__c,Project_Status__c,Project_Tracker__c,Quote__c,QuoteLineItem__c,QuoteLineItemSchedule__c,QuotePaymentSchedule__c,Rally_User__c,RecordLookup__c,RecordOrigin,RecordTypeAssignment__c,Red_Hat_Attachment__c,Reference_Collateral__c,Reference_Usage__c,ReferenceStor__Rs_Account_History__c,ReferenceStor__Rs_Account_HistoryDetail__c,ReferenceStor__Rs_Opportunity_History__c,ReferenceStor__Rs_Opportunity_HistoryDetail__c,Region__c,Region_NA__c,Reject_Lead_Setup__c,Related_Case__c,Release__c,RemoteAccess__c,Request_Tracker__c,Requirement__c,Reseller__c,Resource__c,RH_Content__c,RH_Microsite__c,RH_Microsite_Page__c,Role_Interest_Training_Matrix__c,Sales_Comments__c,SalesPortalContent__c,Schedule_Exports__c,SearchActivity,SearchPromotionRule,ServicesAllocation__c,SFDC_Budget__c,SFDC_Budget_Item__c,SFDC_Channel_Account_Plan__c,SFDC_MDF__c,SFDC_MDF_Claim__c,SFDC_Objective__c,SFDC_Plan_Resource_Association__c,Solution,SolutionProduct__c,Special_Program__c,State__c,StateProvinceTranslation__c,Status_Reports__c,SteeringCommittee__c,Storybook__c,StoryBookLink__c,StoryBookLinkLabel__c,StrategicPlan__c,StrategicPlan_Action__c,StrategicPlan_OppProdSummary__c,StrategicPlan_Review__c,StrategicPlan_ReviewHistory__c,StrategicPlan_Solution__c,StrategicPlan_SolutionOpportunity__c,StrategicPlan_Strategy__c,Subscription__c,SubscriptionBatch__c,SubscriptionError__c,SubscriptionLine__c,SubscriptionPartner__c,SubscriptionPartnerRelationship__c,SubscriptionReportCriteria__c,SumTotal_Catalog__c,SumTotal_Request__c,SumTotal_Setting__c,SumTotal_Training__c,Super_Industry__c,Task,Teaming_Agreement__c,Temporal_Content__c,Test_Case__c,Test_Case_Result__c,Test_Case_Step__c,TrackingEvent__c,TrackingEventLog__c,TrackingEventSummary__c,TrendData__c,Use_Case__c,Use_Case_Step__c,User_Agreement__c,VendorCatalog__c,Verifiable_Outcome__c,Work_Package__c,Work_Plan__c'),
	IsActive boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CONSTRAINT Id_PK PRIMARY KEY(Id)
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'false', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE RecordTypeAssignment__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	Job_Functions__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Customer Data,Sales Manager,Outside Sales,Inside Sales,Inside Lead Management,Solution Architect,Channel Account Manager,System Operations,Reporting Operations,Sales Operations,Marketing,Marketing Sales Development,Marketing Operations,Business Affairs,Finance,Billing,Credit,Bid Desk,Order Management,Project Accounting,Business Unit,IT,Consultant'),
	ManagedProfiles__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Administrator - Level 1,Administrator - Level 2,Administrator - Operations,API,API - Read Only,Business Affairs User,Channel Sales,Credit User,Direct Sales User,Executive/Audit User,Global Services User,Marketing,Order Entry/Billing User,SEAP Compliance User,Vendor User'),
	Object_Label__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Account,Credit Check,Fund Request,Lead,Opportunity'),
	RecordType__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'APAC Account,APAC Deal Registration,APAC Partner,APAC Sales Lead,APAC Sales Opportunity,Approval Created,Booked Opp Process,Button Created,Commissions Claim,Credit NA Sales,Default,EMEA Account,EMEA Deal Registration,EMEA OEM Sales,EMEA Partner,EMEA Sales Lead,EMEA Sales Opportunity,Fed/Sled,Fed Sled Fund Request,Japan Direct Sales,LATAM Account,LATAM Deal Registration,LATAM Partner,LATAM Sales Lead,LATAM Sales Opportunity,Lead Gen,Main Fund Request,Manually Created,Master Account Layout,Master Claim Opportunity,Master Claim Opportunity 2,Master Claim Opportunity 3,Master Layout,Message Created,NA_Teaming_Agreement_Deal_Registration,NA Account,NA Canada Sales,NA Fed/Sled Deal Registration,NA Fed Sled,NA OEM Sales,NA Partner,NA Sales Lead,NA Sales Opportunity,NA Services Deal Registration,NA Subscription Deal Registration,NFR Opportunity,Partner Onboarding,Proof of Concept,Renewal,Strategic,Strategic Accounts Sales,Zero Value Opportunity'),
	Role_Contains_All__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'ANDINO,ANDINO/SOLA,ANZ,ASEAN,Australia,Baltics,Benelux,Brazil,Canada,Canadian Federal Government,CE,CEACA,CEE,Central,CGS,Channel,China,CIS,Civ,Comm,Commercial,DACH,Direct,Disti,DoD,East,Emerging,Enterprise,Enterprise N. Central,Enterprise - N. Central,Enterprise S. Central,Enterprise - S. Central,FED,France,GCG,Global OEM,Global-OEM,Hong Kong,Iberia,IGC,Incremental,India,Intel,ISR,Italy,Japan,Japan OEM,Japan-OEM,Korea,Malaysia,Manager,MET,Mexico,Named,NE,NEE,New Zealand,Nordics,North,North Africa,Northeast,OEM,PSR,Public Sector,Rep,SE,SEMEA,Singapore,SLED,SMG,SOC,SOLA East,SOLA-East,SOLA West,SOLA-West,South,South Africa,Southeast,Taiwan,Territory,UK,West'),
	Role_Contains_Any__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'ANDINO,ANDINO/SOLA,ANZ,ASEAN,Australia,Baltics,Benelux,Brazil,Canada,Canadian Federal Government,CE,CEACA,CEE,Central,CGS,Channel,China,CIS,Civ,Comm,Commercial,DACH,Direct,Disti,DoD,East,Emerging,Enterprise,Enterprise N. Central,Enterprise - N. Central,Enterprise S. Central,Enterprise - S. Central,FED,France,GCG,Global-OEM,Hong Kong,Iberia,IGC,Incremental,India,Intel,ISR,Italy,Japan,Japan-OEM,Korea,Malaysia,Manager,MET,Mexico,Named,NE,NEE,New Zealand,Nordics,North,North Africa,Northeast,OEM,PSR,Public Sector,Rep,SE,SEMEA,Singapore,SLED,SMG,SOC,SOLA-East,SOLA-West,South,South Africa,Southeast,Taiwan,Territory,UK,West'),
	Role_Excludes_All__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'ANDINO,ANDINO/SOLA,ANZ,ASEAN,Australia,Baltics,Benelux,Brazil,Canada,Canadian Federal Government,CE,CEACA,CEE,Central,CGS,Channel,China,CIS,Civ,Comm,Commercial,DACH,Direct,Disti,DoD,East,Emerging,Enterprise,Enterprise N. Central,Enterprise - N. Central,Enterprise S. Central,Enterprise - S. Central,FED,France,GCG,Global-OEM,Hong Kong,Iberia,IGC,Incremental,India,Intel,ISR,Italy,Japan,Japan-OEM,Korea,Malaysia,Manager,MET,Mexico,Named,NE,NEE,New Zealand,Nordics,North,North Africa,Northeast,OEM,PSR,Public Sector,Rep,SE,SEMEA,Singapore,SLED,SMG,SOC,SOLA-East,SOLA-West,South,South Africa,Southeast,Taiwan,Territory,UK,West'),
	Role_Excludes_Any__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'ANDINO,ANDINO/SOLA,ANZ,ASEAN,Australia,Baltics,Benelux,Brazil,Canada,Canadian Federal Government,CE,CEACA,CEE,Central,CGS,Channel,China,CIS,Civ,Comm,Commercial,DACH,Direct,Disti,DoD,East,Emerging,Enterprise,Enterprise N. Central,Enterprise S. Central,FED,France,GCG,Global-OEM,Hong Kong,Iberia,IGC,Incremental,India,Intel,ISR,Italy,Japan,Japan-OEM,Korea,Malaysia,Manager,MET,Mexico,Named,Northeast,NEE,New Zealand,Nordics,North,North Africa,OEM,PSR,Public Sector,Rep,Southeast,SEMEA,Singapore,SLED,SMG,SOC,SOLA-East,SOLA-West,South,South Africa,Taiwan,Territory,UK,West,Enterprise - N. Central,Enterprise - S. Central,NE,SE'),
	Super_Region__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'GLOBAL,APAC,EMEA,LATAM,NA'),
	CONSTRAINT Id_PK PRIMARY KEY(Id)
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE RecordTypeAssignment__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_RecordTypeAssignment__c_ItemId FOREIGN KEY(ItemId) REFERENCES RecordTypeAssignment__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE RecordTypeLocalization (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	ParentId string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Language_ string(40) OPTIONS (NAMEINSOURCE 'Language', UPDATABLE FALSE, NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'en_US,de,es,fr,it,ja,sv,ko,zh_TW,zh_CN,pt_BR,nl_NL,da,th,fi,ru,es_MX'),
	Value_ string(1000) OPTIONS (NAMEINSOURCE 'Value', NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	NamespacePrefix string(15) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_RecordType_ParentId FOREIGN KEY(ParentId) REFERENCES RecordType (Id) OPTIONS (NAMEINSOURCE 'Localization')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE RecordTypeLookup__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(38) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	SetupOwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IdForOpportunity__c string(18) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	IdForTask__c string(18) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	IdForAccount__c string(18) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	IdForLeadManagementHistory__c string(18) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	IdForCampaign__c string(18) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id)
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE RecordTypeLookup__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_RecordTypeLookup__c_ItemId FOREIGN KEY(ItemId) REFERENCES RecordTypeLookup__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Red_Hat_Attachment__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	LastActivityDate date OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Fund_Claim__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_SFDC_MDF_Claim__c_Fund_Claim__c FOREIGN KEY(Fund_Claim__c) REFERENCES SFDC_MDF_Claim__c (Id) OPTIONS (NAMEINSOURCE 'Red_Hat_Attachments__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE Red_Hat_Attachment__History (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	ParentId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Field string(255) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'created,CurrencyIsoCode,feedEvent,Fund_Claim__c,Name,Owner,ownerAccepted,ownerAssignment,locked,unlocked'),
	OldValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	NewValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Red_Hat_Attachment__c_ParentId FOREIGN KEY(ParentId) REFERENCES Red_Hat_Attachment__c (Id) OPTIONS (NAMEINSOURCE 'Histories')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'false', "teiid_sf:Supports Delete" 'false', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Red_Hat_Attachment__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Red_Hat_Attachment__c_ItemId FOREIGN KEY(ItemId) REFERENCES Red_Hat_Attachment__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE RedHatObjectReferences__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(38) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	SetupOwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ObjectId__c string(20) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id)
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE RedHatObjectReferences__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_RedHatObjectReferences__c_ItemId FOREIGN KEY(ItemId) REFERENCES RedHatObjectReferences__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Reference_Collateral__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	LastActivityDate date OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Customer_Reference__c string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Email_Template_ID__c string(15) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Customer_Reference__c_Customer_Reference__c FOREIGN KEY(Customer_Reference__c) REFERENCES Customer_Reference__c (Id) OPTIONS (NAMEINSOURCE 'R00N80000002lFCaEAM__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE Reference_Collateral__History (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	ParentId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Field string(255) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'created,CurrencyIsoCode,Customer_Reference__c,Email_Template_ID__c,feedEvent,Name,ownerAccepted,ownerAssignment,locked,unlocked'),
	OldValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	NewValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Reference_Collateral__c_ParentId FOREIGN KEY(ParentId) REFERENCES Reference_Collateral__c (Id) OPTIONS (NAMEINSOURCE 'Histories')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'false', "teiid_sf:Supports Delete" 'false', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Reference_Collateral__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Reference_Collateral__c_ItemId FOREIGN KEY(ItemId) REFERENCES Reference_Collateral__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Reference_Usage__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	RecordTypeId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Collateral__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Contact_Reference_Request__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Contact_Requestor__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Opportunity_Supported__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Reference__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Sent_To_Contact__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Contact_Sent_To_Contact__c FOREIGN KEY(Sent_To_Contact__c) REFERENCES Contact (Id) OPTIONS (NAMEINSOURCE 'R00N80000002lFDDEA2__r'),
	CONSTRAINT FK_Contact_Reference_Request__c_Contact_Reference_Request__c FOREIGN KEY(Contact_Reference_Request__c) REFERENCES Contact_Reference_Request__c (Id) OPTIONS (NAMEINSOURCE 'R00N80000002lFD9EAM__r'),
	CONSTRAINT FK_Customer_Reference__c_Reference__c FOREIGN KEY(Reference__c) REFERENCES Customer_Reference__c (Id) OPTIONS (NAMEINSOURCE 'R00N80000002lFDCEA2__r'),
	CONSTRAINT FK_Opportunity_Opportunity_Supported__c FOREIGN KEY(Opportunity_Supported__c) REFERENCES Opportunity (Id) OPTIONS (NAMEINSOURCE 'R00N80000002lFDBEA2__r'),
	CONSTRAINT FK_Reference_Collateral__c_Collateral__c FOREIGN KEY(Collateral__c) REFERENCES Reference_Collateral__c (Id) OPTIONS (NAMEINSOURCE 'R00N80000002lFD8EAM__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE Reference_Usage__Share (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	ParentId string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	UserOrGroupId string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	AccessLevel string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Read,Edit,All'),
	RowCause string(40) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Owner,Manual,Rule,ImplicitChild,ImplicitParent,Team,Territory,TerritoryManual,TerritoryRule,Territory2Forecast'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Reference_Usage__c_ParentId FOREIGN KEY(ParentId) REFERENCES Reference_Usage__c (Id) OPTIONS (NAMEINSOURCE 'Shares')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Reference_Usage__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Reference_Usage__c_ItemId FOREIGN KEY(ItemId) REFERENCES Reference_Usage__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE ReferenceStor__Rs_Account_History__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	ReferenceStor__Sf_Account_Id__c string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ReferenceStor__Rs_History_Comments__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ReferenceStor__Rs_History_Created_By__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ReferenceStor__Rs_History_Id__c string(11) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ReferenceStor__Rs_History_Lastmod__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ReferenceStor__Rs_History_Owner__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ReferenceStor__Rs_History_Status__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Request Pending,Request Submitted,Request Acknowledged,Request In Progress,Request Declined,Request On-Hold,Request Withdrawn,Request Gave Up,Request Removed,Request Completed'),
	ReferenceStor__Sf_Opportunity_Id__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Account_ReferenceStor__Sf_Account_Id__c FOREIGN KEY(ReferenceStor__Sf_Account_Id__c) REFERENCES Account (Id) OPTIONS (NAMEINSOURCE 'ReferenceStor__R00N80000002SS8MEAW__r'),
	CONSTRAINT FK_Opportunity_ReferenceStor__Sf_Opportunity_Id__c FOREIGN KEY(ReferenceStor__Sf_Opportunity_Id__c) REFERENCES Opportunity (Id) OPTIONS (NAMEINSOURCE 'ReferenceStor__R00N80000002SSC0EAO__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE ReferenceStor__Rs_Account_History__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_ReferenceStor__Rs_Account_History__c_ItemId FOREIGN KEY(ItemId) REFERENCES ReferenceStor__Rs_Account_History__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE ReferenceStor__Rs_Account_HistoryDetail__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	ReferenceStor__Rs_HistoryDetail_Completed_By__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ReferenceStor__Rs_HistoryDetail_Genesis__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ReferenceStor__Rs_HistoryDetail_Id__c string(11) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ReferenceStor__Rs_HistoryDetail_Note__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ReferenceStor__Rs_HistoryDetail_Parent_Id__c string(11) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ReferenceStor__Sf_History_Id__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_ReferenceStor__Rs_Account_History__c_ReferenceStor__Sf_History_Id__c FOREIGN KEY(ReferenceStor__Sf_History_Id__c) REFERENCES ReferenceStor__Rs_Account_History__c (Id) OPTIONS (NAMEINSOURCE 'ReferenceStor__R00N80000002SSC8EAO__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE ReferenceStor__Rs_Account_HistoryDetail__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_ReferenceStor__Rs_Account_HistoryDetail__c_ItemId FOREIGN KEY(ItemId) REFERENCES ReferenceStor__Rs_Account_HistoryDetail__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE ReferenceStor__Rs_Opportunity_History__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	ReferenceStor__Sf_Opportunity_Id__c string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ReferenceStor__Rs_History_Comments__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ReferenceStor__Rs_History_Created_By__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ReferenceStor__Rs_History_Id__c string(11) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ReferenceStor__Rs_History_Lastmod__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ReferenceStor__Rs_History_Owner__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ReferenceStor__Rs_History_Status__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Request Pending,Request Submitted,Request Acknowledged,Request In Progress,Request Declined,Request On-Hold,Request Withdrawn,Request Gave Up,Request Removed,Request Completed,Invitation Created,Invitation Sent,Invitation Removed'),
	ReferenceStor__Rs_History_Type__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Invitation,Request'),
	ReferenceStor__Sf_Account_Id__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Account_ReferenceStor__Sf_Account_Id__c FOREIGN KEY(ReferenceStor__Sf_Account_Id__c) REFERENCES Account (Id) OPTIONS (NAMEINSOURCE 'ReferenceStor__R00N80000002SS89EAG__r'),
	CONSTRAINT FK_Opportunity_ReferenceStor__Sf_Opportunity_Id__c FOREIGN KEY(ReferenceStor__Sf_Opportunity_Id__c) REFERENCES Opportunity (Id) OPTIONS (NAMEINSOURCE 'ReferenceStor__R00N80000002SS8LEAW__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE ReferenceStor__Rs_Opportunity_History__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_ReferenceStor__Rs_Opportunity_History__c_ItemId FOREIGN KEY(ItemId) REFERENCES ReferenceStor__Rs_Opportunity_History__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE ReferenceStor__Rs_Opportunity_HistoryDetail__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	ReferenceStor__Rs_HistoryDetail_Completed_By__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ReferenceStor__Rs_HistoryDetail_Genesis__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ReferenceStor__Rs_HistoryDetail_Id__c string(11) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ReferenceStor__Rs_HistoryDetail_Note__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ReferenceStor__Rs_HistoryDetail_Parent_Id__c string(11) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ReferenceStor__Sf_History_Id__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_ReferenceStor__Rs_Opportunity_History__c_ReferenceStor__Sf_History_Id__c FOREIGN KEY(ReferenceStor__Sf_History_Id__c) REFERENCES ReferenceStor__Rs_Opportunity_History__c (Id) OPTIONS (NAMEINSOURCE 'ReferenceStor__R00N80000002SSCIEA4__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE ReferenceStor__Rs_Opportunity_HistoryDetail__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_ReferenceStor__Rs_Opportunity_HistoryDetail__c_ItemId FOREIGN KEY(ItemId) REFERENCES ReferenceStor__Rs_Opportunity_HistoryDetail__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Region__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	Country__c string(100) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Sub_Region__c string(100) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Region__c string(100) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Super_Region__c string(100) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	OM_Task__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	OM_Task_Owner__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_User__OM_Task_Owner__c FOREIGN KEY(OM_Task_Owner__c) REFERENCES User_ (Id) OPTIONS (NAMEINSOURCE 'Region__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE Region__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Region__c_ItemId FOREIGN KEY(ItemId) REFERENCES Region__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Region_NA__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	Region__c string(100) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Sub_Region__c string(100) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Super_Region__c string(100) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	CONSTRAINT Id_PK PRIMARY KEY(Id)
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE Region_NA__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Region_NA__c_ItemId FOREIGN KEY(ItemId) REFERENCES Region_NA__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Reject_Lead_Setup__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	DaysInPenaltyBox__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Lead_Stage__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Inquiry,Marketing Accepted,Marketing Qualified,Sales Accepted,Marketing Disqualified,Marketing Rejected,Sales Disqualified,Sales Rejected'),
	Rejection_Reason__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Source_Stage__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Inquiry,Prospect,Marketing Accepted,Marketing Qualified,Sales Accepted,Sales Qualified,Lost,Won'),
	CONSTRAINT Id_PK PRIMARY KEY(Id)
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE Reject_Lead_Setup__History (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	ParentId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Field string(255) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'created,CurrencyIsoCode,DaysInPenaltyBox__c,feedEvent,Lead_Stage__c,Name,Owner,ownerAccepted,ownerAssignment,locked,unlocked,Rejection_Reason__c,Source_Stage__c'),
	OldValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	NewValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Reject_Lead_Setup__c_ParentId FOREIGN KEY(ParentId) REFERENCES Reject_Lead_Setup__c (Id) OPTIONS (NAMEINSOURCE 'Histories')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'false', "teiid_sf:Supports Delete" 'false', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Reject_Lead_Setup__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Reject_Lead_Setup__c_ItemId FOREIGN KEY(ItemId) REFERENCES Reject_Lead_Setup__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Related_Case__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	Project__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Case__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Case__Case__c FOREIGN KEY(Case__c) REFERENCES Case_ (Id) OPTIONS (NAMEINSOURCE 'R00N30000000ytwoEAA'),
	CONSTRAINT FK_SteeringCommittee__c_Project__c FOREIGN KEY(Project__c) REFERENCES SteeringCommittee__c (Id) OPTIONS (NAMEINSOURCE 'R00N30000000ytwjEAA')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE Related_Case__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Related_Case__c_ItemId FOREIGN KEY(ItemId) REFERENCES Related_Case__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Release__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	LastActivityDate date OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Complete__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Description__c string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	End_Date__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Externally_Announced__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Project__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Start_Date__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Status__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Scoping,Planned,In Progress,Released,Cancelled'),
	Type__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Major,Minor,Maintenance,Hot Fix'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Project__c_Project__c FOREIGN KEY(Project__c) REFERENCES Project__c (Id) OPTIONS (NAMEINSOURCE 'Releases__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE Release__Feed (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	ParentId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	FeedPostId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'TrackedChange,UserStatus,TextPost,AdvancedTextPost,LinkPost,ContentPost,PollPost,RypplePost,ProfileSkillPost,DashboardComponentSnapshot,ApprovalPost,CaseCommentPost,ReplyPost,EmailMessageEvent,CallLogPost,ChangeStatusPost,AttachArticleEvent,MilestoneEvent,ActivityEvent,ChatTranscriptPost,CollaborationGroupCreated,CollaborationGroupUnarchived,SocialPost,QuestionPost,FacebookPost,BasicTemplateFeedItem,CreateRecordEvent,CanvasPost,AnnouncementPost'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Release__c_ParentId FOREIGN KEY(ParentId) REFERENCES Release__c (Id) OPTIONS (NAMEINSOURCE 'Feeds')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'false', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Release__History (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	ParentId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Field string(255) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Complete__c,created,CurrencyIsoCode,Description__c,End_Date__c,Externally_Announced__c,feedEvent,Name,Owner,ownerAccepted,ownerAssignment,Project__c,locked,unlocked,Start_Date__c,Status__c,Type__c'),
	OldValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	NewValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Release__c_ParentId FOREIGN KEY(ParentId) REFERENCES Release__c (Id) OPTIONS (NAMEINSOURCE 'Histories')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'false', "teiid_sf:Supports Delete" 'false', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Release__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Release__c_ItemId FOREIGN KEY(ItemId) REFERENCES Release__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE RemoteAccess__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	RecordTypeId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CallbackURL__c string(255) OPTIONS (NATIVE_TYPE 'url', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	ConsumerKey__c string(120) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ProductionURL__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	SandboxURL__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id)
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE RemoteAccess__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_RemoteAccess__c_ItemId FOREIGN KEY(ItemId) REFERENCES RemoteAccess__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE RequalMetVsSetRequirements__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(38) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	SetupOwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CustomerRefs__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Delivery__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Partner_Tier__c string(50) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Region__c string(25) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	RevenueAddDelivery__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	RevenueAddSales__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	RevenueAddSE__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Rhce__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Sales__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	SalesEngineer__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Specializations__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	CONSTRAINT Id_PK PRIMARY KEY(Id)
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE RequalMetVsSetRequirements__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_RequalMetVsSetRequirements__c_ItemId FOREIGN KEY(ItemId) REFERENCES RequalMetVsSetRequirements__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Request_Tracker__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	Opportunity__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Account__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Contact__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Assign_To__c string(100) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Comments__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Status__c string(20) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Created_By_in_RT__c string(30) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Subject__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Account_Account__c FOREIGN KEY(Account__c) REFERENCES Account (Id) OPTIONS (NAMEINSOURCE 'R00N60000001d4y9EAA'),
	CONSTRAINT FK_Contact_Contact__c FOREIGN KEY(Contact__c) REFERENCES Contact (Id) OPTIONS (NAMEINSOURCE 'R00N60000001d4yXEAQ'),
	CONSTRAINT FK_Opportunity_Opportunity__c FOREIGN KEY(Opportunity__c) REFERENCES Opportunity (Id) OPTIONS (NAMEINSOURCE 'R00N60000001d4yDEAQ')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE Request_Tracker__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Request_Tracker__c_ItemId FOREIGN KEY(ItemId) REFERENCES Request_Tracker__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Requirement__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	LastActivityDate date OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Work_Package__c string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Assigned_To__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Biz_Process_Design_Hours__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Business_Approver__c string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Change_Request__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Complexity__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Basic Configuration,Complex Configuration,Custom Development'),
	Configuration_Hours__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Design_Approach__c string(32768) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Detailed_Description__c string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Development_Hours__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Gap_Analysis__c string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Gap__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Yes,No'),
	Impacted_Systems__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Impacted Systems'),
	Implementation_Approach__c string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Key_Assumptions__c string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Objects__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Activities,Campaigns,Leads,Accounts,Contacts,Opportunities,Quotes,Contracts,Cases,Solutions'),
	Priority__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Critical,High,Medium,Low'),
	Requirements_Hours__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Source__c string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Stakeholder__c string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Status__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'New,LOE Analysis,Pending Release Assignment,Submitted,Under Review,Pending Prioritization,Assigned to Release,Deferred,Duplicate,Rejected,Out of Scope'),
	Summary__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Technical_Design_Hours__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Total_Hours__c double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'double', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Type__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Business,Reporting,Integration,Conversion,Business Logic,Security,Dashboard,Data,Documentation,Mobile,Offline,Regulatory,Reports,Workflow,Native,Native / Development,External/Integrated App'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Change_Request__c_Change_Request__c FOREIGN KEY(Change_Request__c) REFERENCES Change_Request__c (Id) OPTIONS (NAMEINSOURCE 'Requirements1__r'),
	CONSTRAINT FK_User__Assigned_To__c FOREIGN KEY(Assigned_To__c) REFERENCES User_ (Id) OPTIONS (NAMEINSOURCE 'Requirements__r'),
	CONSTRAINT FK_Work_Package__c_Work_Package__c FOREIGN KEY(Work_Package__c) REFERENCES Work_Package__c (Id) OPTIONS (NAMEINSOURCE 'Requirements__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE Requirement__Feed (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	ParentId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	FeedPostId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'TrackedChange,UserStatus,TextPost,AdvancedTextPost,LinkPost,ContentPost,PollPost,RypplePost,ProfileSkillPost,DashboardComponentSnapshot,ApprovalPost,CaseCommentPost,ReplyPost,EmailMessageEvent,CallLogPost,ChangeStatusPost,AttachArticleEvent,MilestoneEvent,ActivityEvent,ChatTranscriptPost,CollaborationGroupCreated,CollaborationGroupUnarchived,SocialPost,QuestionPost,FacebookPost,BasicTemplateFeedItem,CreateRecordEvent,CanvasPost,AnnouncementPost'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Requirement__c_ParentId FOREIGN KEY(ParentId) REFERENCES Requirement__c (Id) OPTIONS (NAMEINSOURCE 'Feeds')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'false', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Requirement__History (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	ParentId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Field string(255) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Assigned_To__c,Biz_Process_Design_Hours__c,Business_Approver__c,Change_Request__c,Complexity__c,Configuration_Hours__c,created,CurrencyIsoCode,Design_Approach__c,Detailed_Description__c,Development_Hours__c,feedEvent,Gap__c,Gap_Analysis__c,Impacted_Systems__c,Implementation_Approach__c,Key_Assumptions__c,Name,Objects__c,ownerAccepted,ownerAssignment,Priority__c,locked,unlocked,Requirements_Hours__c,Source__c,Stakeholder__c,Status__c,Summary__c,Technical_Design_Hours__c,Type__c,Work_Package__c'),
	OldValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	NewValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Requirement__c_ParentId FOREIGN KEY(ParentId) REFERENCES Requirement__c (Id) OPTIONS (NAMEINSOURCE 'Histories')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'false', "teiid_sf:Supports Delete" 'false', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Requirement__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Requirement__c_ItemId FOREIGN KEY(ItemId) REFERENCES Requirement__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Reseller__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	CONSTRAINT Id_PK PRIMARY KEY(Id)
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE Reseller__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Reseller__c_ItemId FOREIGN KEY(ItemId) REFERENCES Reseller__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Resource__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	LastActivityDate date OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Role__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Business Analyst,Business User,Decision Maker,Facilitator,Influencer,Project Manager,Sponsor,SME,Technical,None,Other'),
	Distribution_List__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Role_Importance__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Required Resource,Secondary Resource'),
	Primary_Contact__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Contact__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Project__c string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Contact_Contact__c FOREIGN KEY(Contact__c) REFERENCES Contact (Id) OPTIONS (NAMEINSOURCE 'R00N30000000zBGYEA2'),
	CONSTRAINT FK_SteeringCommittee__c_Project__c FOREIGN KEY(Project__c) REFERENCES SteeringCommittee__c (Id) OPTIONS (NAMEINSOURCE 'R00N30000000zBXDEA2')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE Resource__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Resource__c_ItemId FOREIGN KEY(ItemId) REFERENCES Resource__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Resource_Scope_Status_Mapping__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(38) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	SetupOwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Image_URL__c string(255) OPTIONS (NATIVE_TYPE 'url', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id)
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE Resource_Scope_Status_Mapping__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Resource_Scope_Status_Mapping__c_ItemId FOREIGN KEY(ItemId) REFERENCES Resource_Scope_Status_Mapping__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE RevenueForecast (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	PeriodId string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	StartDate date OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ProductFamily string(40) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'GSS,GLS,GPS,Subscriptions'),
	OwnerId string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	ManagerId string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Quota double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Closed double OPTIONS (UPDATABLE FALSE, CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CommitOverride double OPTIONS (UPDATABLE FALSE, CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	UpsideOverride double OPTIONS (UPDATABLE FALSE, CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	DefaultRollupCommit double OPTIONS (UPDATABLE FALSE, CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	DefaultRollupUpside double OPTIONS (UPDATABLE FALSE, CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	OpportunityRollupCommit double OPTIONS (UPDATABLE FALSE, CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	OpportunityRollupUpside double OPTIONS (UPDATABLE FALSE, CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	OpportunityRollupPipeline double OPTIONS (UPDATABLE FALSE, CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	OpportunityRollupClosed double OPTIONS (UPDATABLE FALSE, CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Pipeline double OPTIONS (UPDATABLE FALSE, CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CommitComment string(255) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	UpsideComment string(255) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ManagerCommitOverride double OPTIONS (UPDATABLE FALSE, CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ManagerUpsideOverride double OPTIONS (UPDATABLE FALSE, CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ManagerDefaultRollupCommit double OPTIONS (UPDATABLE FALSE, CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ManagerDefaultRollupUpside double OPTIONS (UPDATABLE FALSE, CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ManagerOpportunityRollupCommit double OPTIONS (UPDATABLE FALSE, CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ManagerOpportunityRollupUpside double OPTIONS (UPDATABLE FALSE, CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ManagerPipeline double OPTIONS (UPDATABLE FALSE, CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ManagerClosed double OPTIONS (UPDATABLE FALSE, CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ManagerChoiceCommit string(40) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'DefaultRollup,AcceptForecast,ManagerManualOverride,OpportunityOnlyRollup'),
	ManagerChoiceUpside string(40) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'DefaultRollup,AcceptForecast,ManagerManualOverride,OpportunityOnlyRollup'),
	Commit_ double OPTIONS (NAMEINSOURCE 'Commit', UPDATABLE FALSE, CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Upside double OPTIONS (UPDATABLE FALSE, CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ManagerCommit double OPTIONS (UPDATABLE FALSE, CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ManagerUpside double OPTIONS (UPDATABLE FALSE, CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	InvalidationDate timestamp OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'datetime', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	CONSTRAINT Id_PK PRIMARY KEY(Id)
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE RevenueForecastHistory (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	ForecastOverrideId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Quota double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Closed double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Upside double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Commit_ double OPTIONS (NAMEINSOURCE 'Commit', CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	UpsideOverridden boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CommitOverridden boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Pipeline double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	UpsideComments string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CommitComments string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_RevenueForecast_ForecastOverrideId FOREIGN KEY(ForecastOverrideId) REFERENCES RevenueForecast (Id) OPTIONS (NAMEINSOURCE 'RevenueForecastHistories')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'false', "teiid_sf:Supports Delete" 'false', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE RH_AddressCountryMapping__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(38) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	SetupOwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	RH_Addressline1_mandatory__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	RH_Addressline1_visibility__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	RH_Addressline2_mandatory__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	RH_Addressline2_visibility__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	RH_Addressline3_mandatory__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	RH_Addressline3_visibility__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	RH_Addressline4_mandatory__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	RH_Addressline4_visibility__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	RH_Country_Mandatory__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	RH_Country_Visbility__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	RH_County_mandatory__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	RH_County_visibility__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	RH_PostalCode_mandatory__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	RH_PostalCode_visibilty__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	RH_Province_mandatory__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	RH_Province_visibility__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	RH_city_mandatory__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	RH_city_visibility__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	RH_state_mandatory__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	RH_state_visibility__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	CONSTRAINT Id_PK PRIMARY KEY(Id)
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE RH_AddressCountryMapping__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_RH_AddressCountryMapping__c_ItemId FOREIGN KEY(ItemId) REFERENCES RH_AddressCountryMapping__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE RH_Content__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	Annotation__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'none,A,C,HomeFeaturedSuccessStoryVideo,HomeNewResource,accelerator_datasheet,server_pricing,rhev_datasheet,server_datasheet,desktop_datasheet,B'),
	Audience__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Red Hat Internal,Partner'),
	ContentDocumentId__c string(18) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	IsFeatured__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	IsNew__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	IsPublished__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	KalturaId__c string(50) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Kaltura_Thumbnail_URL__c string(255) OPTIONS (NATIVE_TYPE 'url', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Page__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Cloud Training,Collateral & Whitepapers,Cloud Home,Presentations & Customer Successes,SA Training Sessions,What''s Working,Resources,Train to sell,Engage customers,Build a Campaign,Access Technical Resources,Sell RHEL Partner Solutions,RHEV Home,none,Home,Enterprise-ready,Remarkably Affordable,Customers,Extensible,Benefits,Open,Scalable,Testimonials,Support'),
	Section__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Cloud 101,Red Hat cloud strategy,Talking to the CIO about clouds,Take the cloud skills test,Presentations from the 2011 Virtual Event,Whitepapers,Webinars,Blogs,Reference Architectures,Cookbooks,EMail Templates,Sales Tools,SA Training Sessions,Presentations & Customer Successes,Home,Presentations,Datasheets,Pricing,Features,Competitive,Services,RHEL Family Product Training Materials,Competitive Sales Tools,UNIX To LINUX Migration Sales Tools and Training,Partner Solutions Training Tools and Resources,Collateral and Whitepapers,Pricing and Information,Demos, Evaluation Information and Videos,Case Studies and Customer Reference Information,Migrate: UNIX to RHEL,RHEL add ons - Standout Idea Campaign,RHEL Solution Campaigns,Standardize on RHEL,Performance Benchmarks,Technical Demos and Videos,Technical Training,End User Solution Collateral,Partner Solution Sales Tools,Case Studies,General RHEL Campaigns,none,Featured Success Story'),
	Site__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'RHEL,RHEV,CLOUD'),
	Sort_Order__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	CONSTRAINT Id_PK PRIMARY KEY(Id)
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE RH_Content__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_RH_Content__c_ItemId FOREIGN KEY(ItemId) REFERENCES RH_Content__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE RH_CountryCode_CountryName__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(38) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	SetupOwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	RH_DESCRIPTION__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	RH_TERRITORY_CODE__c string(250) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	RH_TERRITORY_SHORT_NAME__c string(250) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id)
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE RH_CountryCode_CountryName__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_RH_CountryCode_CountryName__c_ItemId FOREIGN KEY(ItemId) REFERENCES RH_CountryCode_CountryName__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE RH_Microsite__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	Max_Section_Items__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Site__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'RHEL,RHEV,CLOUD,Video'),
	CONSTRAINT Id_PK PRIMARY KEY(Id)
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE RH_Microsite__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_RH_Microsite__c_ItemId FOREIGN KEY(ItemId) REFERENCES RH_Microsite__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE RH_Microsite_Page__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	Page__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Collateral & Whitepapers,Marketing,Technical Details,Training,Home,Resources,Train to sell,Engage customers,Build a Campaign,Access Technical Resources,Sell RHEL Partner Solutions,Enterprise-ready,Remarkably Affordable,Support,Customers,Extensible,Benefits,Open,Scalable,Testimonials'),
	Site__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'RHEL,RHEV,CLOUD,Video'),
	VF_Page__c string(100) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id)
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE RH_Microsite_Page__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_RH_Microsite_Page__c_ItemId FOREIGN KEY(ItemId) REFERENCES RH_Microsite_Page__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Role_Interest_Training_Matrix__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	Product_Interest__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Platform,Middleware,Virtualization,Storage'),
	Role__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Sales,Sales Engineering,Technical'),
	Training_Path__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_SumTotal_Catalog__c_Training_Path__c FOREIGN KEY(Training_Path__c) REFERENCES SumTotal_Catalog__c (Id) OPTIONS (NAMEINSOURCE 'Role_Interest_Training_Matrix__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE Role_Interest_Training_Matrix__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Role_Interest_Training_Matrix__c_ItemId FOREIGN KEY(ItemId) REFERENCES Role_Interest_Training_Matrix__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE RushOrderSKU__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(38) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	SetupOwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id)
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE RushOrderSKU__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_RushOrderSKU__c_ItemId FOREIGN KEY(ItemId) REFERENCES RushOrderSKU__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Sales_Comments__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	Credit__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Credit__c_Credit__c FOREIGN KEY(Credit__c) REFERENCES Credit__c (Id) OPTIONS (NAMEINSOURCE 'R00N30000001Ai9VEAS')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE Sales_Comments__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Sales_Comments__c_ItemId FOREIGN KEY(ItemId) REFERENCES Sales_Comments__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE SalesContentSections__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(38) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	SetupOwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Section__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id)
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE SalesContentSections__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_SalesContentSections__c_ItemId FOREIGN KEY(ItemId) REFERENCES SalesContentSections__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE SalesOperations__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(38) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	SetupOwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Profile__c string(100) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ProfileId__c string(20) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id)
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE SalesOperations__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_SalesOperations__c_ItemId FOREIGN KEY(ItemId) REFERENCES SalesOperations__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE SalesPortalContent__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	KalturaId__c string(50) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	KalturaThumbnailURL__c string(255) OPTIONS (NATIVE_TYPE 'url', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Link__c string(255) OPTIONS (NATIVE_TYPE 'url', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Order__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Published__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	RichText_en__c string(15000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	RichText_ja__c string(15000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Section__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Communications,Popular Links,Portal SpotLight,Quick Links,Who''s Who,Featured Story,Resources,Dashboard,Status Bar,Information'),
	ShowToGroups__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'APAC Sales,EMEA Sales,Global Sales,LATAM Sales,NA Sales,Public Sector Sales'),
	SubSection__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Find Products & Services,Access Sales Tools,Work with Ecosystem,Get Training,Portal Message,Learn Procedures'),
	Sub_Section_Ordering__c double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'double', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Title_ja__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	LinkDescription_en__c string(150) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	LinkDescription_ja__c string(150) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	PortalMessageBehavior__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Collapsed,Expanded if New/Updated'),
	CONSTRAINT Id_PK PRIMARY KEY(Id)
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE SalesPortalContent__History (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	ParentId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Field string(255) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'created,CurrencyIsoCode,feedEvent,KalturaId__c,KalturaThumbnailURL__c,Link__c,LinkDescription_en__c,LinkDescription_ja__c,Name,Order__c,Owner,ownerAccepted,ownerAssignment,PortalMessageBehavior__c,Published__c,locked,unlocked,RichText_en__c,RichText_ja__c,Section__c,ShowToGroups__c,SubSection__c,Title_ja__c'),
	OldValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	NewValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_SalesPortalContent__c_ParentId FOREIGN KEY(ParentId) REFERENCES SalesPortalContent__c (Id) OPTIONS (NAMEINSOURCE 'Histories')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'false', "teiid_sf:Supports Delete" 'false', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE SalesPortalContent__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_SalesPortalContent__c_ItemId FOREIGN KEY(ItemId) REFERENCES SalesPortalContent__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Schedule_Exports__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	LastActivityDate date OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id)
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE Schedule_Exports__Feed (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	ParentId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	FeedPostId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'TrackedChange,UserStatus,TextPost,AdvancedTextPost,LinkPost,ContentPost,PollPost,RypplePost,ProfileSkillPost,DashboardComponentSnapshot,ApprovalPost,CaseCommentPost,ReplyPost,EmailMessageEvent,CallLogPost,ChangeStatusPost,AttachArticleEvent,MilestoneEvent,ActivityEvent,ChatTranscriptPost,CollaborationGroupCreated,CollaborationGroupUnarchived,SocialPost,QuestionPost,FacebookPost,BasicTemplateFeedItem,CreateRecordEvent,CanvasPost,AnnouncementPost'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Schedule_Exports__c_ParentId FOREIGN KEY(ParentId) REFERENCES Schedule_Exports__c (Id) OPTIONS (NAMEINSOURCE 'Feeds')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'false', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Schedule_Exports__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Schedule_Exports__c_ItemId FOREIGN KEY(ItemId) REFERENCES Schedule_Exports__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE ScheduledApex__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(38) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	SetupOwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Hour__c string(32) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	OwnerId__c string(15) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Minute__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Priority__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Scope__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	MustRun__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	CONSTRAINT Id_PK PRIMARY KEY(Id)
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE ScheduledApex__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_ScheduledApex__c_ItemId FOREIGN KEY(ItemId) REFERENCES ScheduledApex__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Scontrol (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	DeveloperName string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Description string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	EncodingKey string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'UTF-8,ISO-8859-1,Shift_JIS,ISO-2022-JP,EUC-JP,ks_c_5601-1987,Big5,GB2312'),
	HtmlWrapper string(1048576) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Filename string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	BodyLength integer OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'int', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Binary_ blob OPTIONS (NAMEINSOURCE 'Binary', NATIVE_TYPE 'base64', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ContentSource string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'HTML,URL,Snippet'),
	SupportsCaching boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	NamespacePrefix string(15) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id)
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE ScontrolLocalization (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	ScontrolId string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Language_ string(40) OPTIONS (NAMEINSOURCE 'Language', UPDATABLE FALSE, NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'en_US,de,es,fr,it,ja,sv,ko,zh_TW,zh_CN,pt_BR,nl_NL,da,th,fi,ru,es_MX'),
	Value_ string(1000) OPTIONS (NAMEINSOURCE 'Value', NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	NamespacePrefix string(15) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Scontrol_ScontrolId FOREIGN KEY(ScontrolId) REFERENCES Scontrol (Id) OPTIONS (NAMEINSOURCE 'Localization')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE SearchBeforeCreateURL__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(38) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	SetupOwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Cdh_URL__c string(100) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id)
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE SearchBeforeCreateURL__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_SearchBeforeCreateURL__c_ItemId FOREIGN KEY(ItemId) REFERENCES SearchBeforeCreateURL__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE ServicesAllocation__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	Opportunity__c string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ExternalId__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ServicesEffortAllocation__c double OPTIONS (NATIVE_TYPE 'percent', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	ServicesProductLine__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Cloud,Middleware,Open Source Enablement,Platform,Storage,Virtualization'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Opportunity_Opportunity__c FOREIGN KEY(Opportunity__c) REFERENCES Opportunity (Id) OPTIONS (NAMEINSOURCE 'Services_Allocations__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE ServicesAllocation__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_ServicesAllocation__c_ItemId FOREIGN KEY(ItemId) REFERENCES ServicesAllocation__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE ServicesSKU__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(38) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	SetupOwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id)
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE ServicesSKU__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_ServicesSKU__c_ItemId FOREIGN KEY(ItemId) REFERENCES ServicesSKU__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE SFDC_Budget__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	RecordTypeId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Account_master__c string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Channel_Marketing_Manager_Country__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Active__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Allocated_Budget__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Approved_Claims__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Approved_Requests__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Assign_Budget__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Available_Budget__c double OPTIONS (UPDATABLE FALSE, CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Change_Record_Type_to_MDF__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Channel_Account_Manager_Email__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Channel_Account_Manager_Mobile_formula__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Channel_Account_Manager_Phone__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Channel_Account_Manager_Title__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Channel_Account_Manager__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Channel_Sales_Manager__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Claims_Awaiting_Approval__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Claims_Submitted__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	End_Date__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Fiscal_Quarter__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Q1,Q2,Q3,Q4'),
	Fiscal_Year__c string(10) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	I_Agree_to_the_Terms_and_Conditions__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Inside_Channel_Account_Manager_Email__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Inside_Channel_Account_Manager_Mobile__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Inside_Channel_Account_Manager_Phone__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Inside_Channel_Account_Manager_Title__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Inside_Channel_Account_Manager__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Key_Partner_Contact_1_Email__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Key_Partner_Contact_1_Mobile__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Key_Partner_Contact_1_Name__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Key_Partner_Contact_1_Telephone__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Key_Partner_Contact_1_Title__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Key_Partner_Contact_2_Email__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Key_Partner_Contact_2_Mobile__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Key_Partner_Contact_2_Name__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Key_Partner_Contact_2_Telephone__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Key_Partner_Contact_2_Title__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Last_Refresh_Date__c timestamp OPTIONS (NATIVE_TYPE 'datetime', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Note_Request__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Note__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Partner_Account__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Partner_Tier__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Partner_Type__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Refresh_Balances__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Requests_Awaiting_Approval__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Requests_Submitted__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Script_Last_Run_Date__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Script_Run_Check__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Select_Fiscal_Year__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Current Fiscal Year,Next Fiscal Year'),
	Start_Date__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Unclaimed__c double OPTIONS (UPDATABLE FALSE, CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Channel_Sales_Manager_Name__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Marketing_Program_Manager__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Marketing_Program_Manager_Email__c string(80) OPTIONS (NATIVE_TYPE 'email', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Marketing_Program_Manager_Phone__c string(40) OPTIONS (NATIVE_TYPE 'phone', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Marketing_Program_Manager_Mobile__c string(40) OPTIONS (NATIVE_TYPE 'phone', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Marketing_Program_Manager_Title__c string(100) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Unclaimed_Requests2__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Partner_Manager_Email__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Partner_Manager__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Unique_Name_Constraint__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Is_PAR__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Account_Account_master__c FOREIGN KEY(Account_master__c) REFERENCES Account (Id) OPTIONS (NAMEINSOURCE 'Budgets1__r'),
	CONSTRAINT FK_Contact_Key_Partner_Contact_1_Name__c FOREIGN KEY(Key_Partner_Contact_1_Name__c) REFERENCES Contact (Id) OPTIONS (NAMEINSOURCE 'R00NR0000000QJRsMAO__r'),
	CONSTRAINT FK_Contact_Key_Partner_Contact_2_Name__c FOREIGN KEY(Key_Partner_Contact_2_Name__c) REFERENCES Contact (Id) OPTIONS (NAMEINSOURCE 'R00NR0000000QJRzMAO__r'),
	CONSTRAINT FK_User__Channel_Account_Manager__c FOREIGN KEY(Channel_Account_Manager__c) REFERENCES User_ (Id) OPTIONS (NAMEINSOURCE 'R00NR0000000QJRhMAO__r'),
	CONSTRAINT FK_User__Channel_Marketing_Manager_Country__c FOREIGN KEY(Channel_Marketing_Manager_Country__c) REFERENCES User_ (Id) OPTIONS (NAMEINSOURCE 'MDF4__r'),
	CONSTRAINT FK_User__Channel_Sales_Manager_Name__c FOREIGN KEY(Channel_Sales_Manager_Name__c) REFERENCES User_ (Id) OPTIONS (NAMEINSOURCE 'MDF2__r'),
	CONSTRAINT FK_User__Channel_Sales_Manager__c FOREIGN KEY(Channel_Sales_Manager__c) REFERENCES User_ (Id) OPTIONS (NAMEINSOURCE 'MDF1__r'),
	CONSTRAINT FK_User__Inside_Channel_Account_Manager__c FOREIGN KEY(Inside_Channel_Account_Manager__c) REFERENCES User_ (Id) OPTIONS (NAMEINSOURCE 'MDF__r'),
	CONSTRAINT FK_User__Marketing_Program_Manager__c FOREIGN KEY(Marketing_Program_Manager__c) REFERENCES User_ (Id) OPTIONS (NAMEINSOURCE 'MDF3__r'),
	CONSTRAINT FK_User__Partner_Manager__c FOREIGN KEY(Partner_Manager__c) REFERENCES User_ (Id) OPTIONS (NAMEINSOURCE 'MDF5__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE SFDC_Budget__History (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	ParentId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Field string(255) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Account_master__c,Active__c,Allocated_Budget__c,Approved_Claims__c,Approved_Requests__c,Change_Record_Type_to_MDF__c,Channel_Account_Manager__c,Channel_Marketing_Manager_Country__c,Channel_Sales_Manager__c,Channel_Sales_Manager_Name__c,Claims_Awaiting_Approval__c,Claims_Submitted__c,created,CurrencyIsoCode,End_Date__c,feedEvent,Fiscal_Quarter__c,Fiscal_Year__c,I_Agree_to_the_Terms_and_Conditions__c,Inside_Channel_Account_Manager__c,Is_PAR__c,Key_Partner_Contact_1_Name__c,Key_Partner_Contact_2_Name__c,Last_Refresh_Date__c,Marketing_Program_Manager__c,Marketing_Program_Manager_Email__c,Marketing_Program_Manager_Mobile__c,Marketing_Program_Manager_Phone__c,Marketing_Program_Manager_Title__c,Name,ownerAccepted,ownerAssignment,Partner_Manager__c,locked,RecordType,unlocked,Requests_Awaiting_Approval__c,Requests_Submitted__c,Script_Last_Run_Date__c,Script_Run_Check__c,Select_Fiscal_Year__c,Start_Date__c,Unclaimed_Requests2__c,Unique_Name_Constraint__c'),
	OldValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	NewValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_SFDC_Budget__c_ParentId FOREIGN KEY(ParentId) REFERENCES SFDC_Budget__c (Id) OPTIONS (NAMEINSOURCE 'Histories')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'false', "teiid_sf:Supports Delete" 'false', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE SFDC_Budget__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_SFDC_Budget__c_ItemId FOREIGN KEY(ItemId) REFERENCES SFDC_Budget__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE SFDC_Budget_Item__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	Budget__c string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Amount__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Expiration_Date__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Registration__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Status__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Active,Expired'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Partner_Registration__c_Registration__c FOREIGN KEY(Registration__c) REFERENCES Partner_Registration__c (Id) OPTIONS (NAMEINSOURCE 'SFDC_Budget_Items__r'),
	CONSTRAINT FK_SFDC_Budget__c_Budget__c FOREIGN KEY(Budget__c) REFERENCES SFDC_Budget__c (Id) OPTIONS (NAMEINSOURCE 'SFDC_Budget_Items__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE SFDC_Budget_Item__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_SFDC_Budget_Item__c_ItemId FOREIGN KEY(ItemId) REFERENCES SFDC_Budget_Item__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE SFDC_Channel_Account_Plan__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	RecordTypeId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	LastActivityDate date OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Partner_Name__c string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Active__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Business_Plan_Name__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Close_Out_Review_Date__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Exec_Summary__c string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Fax__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Key_Events__c string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	National_Regional_Sales_Alignment__c string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	New_Customer_Actions__c string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Offices_Locations__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Other_Partner_Alliances__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'CA,HP,IBM Websphere,Oracle,Oracle BEA,SAP,Sun,VMware,Other'),
	Other_Performance_Targets__c string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	PR_Actions__c string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Partner_Address__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Partner_Engagement_Details__c string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Partner_Name_formula__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Partner_OpenSource_Alliance_Offerings__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Alfresco,Compiere,Digium/Asterisk,EnterpriseDB,Groundwork,Hyperic,JasperSoft,MySQL,Other,Pentaho,PostgreSQL,SugarCRM,SUSE Linux,Zenoss,Zimbra,Zmanda'),
	Partner_Priorities__c string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Partner_Red_Hat_C_Level_Meetings__c string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Partner_Red_Hat_Offerings__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'JBoss,RHEL'),
	Partnership_Highlights__c string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Period__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" '2004,2005,2006,2007,2008'),
	Phone__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Plan_Approval_Date__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Plan_Date__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Current Fiscal Year,Next Fiscal Year'),
	Q1_Review_Date__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Q2_Review_Date__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Q3_Review_Date__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Red_Hat_Sales_Strategies__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Renewal_Actions__c string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Responsible_Red_Hat_Account_Manager__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Revenue_Growth_Plans__c string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Sales_Reps__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Top_5_Joint_RH_Partner_Customers_JBoss__c string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Top_5_Joint_RH_Partner_Customers_RHEL__c string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Top_5_Joint_RH_Partner_Customers_Total__c string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Web_Marketing_Actions__c string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Business_Plan_Number_new__c string(30) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ARCHIVE_Business_Plan_Name__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Business_Challenges__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Go_to_Market__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Joint_Campaign_1_Date__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Joint_Campaign_1_Description__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Joint_Campaign_1_Funding_Needed__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Joint_Campaign_1_Lead_Results__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Joint_Campaign_1_Lead_Results_currency__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Joint_Campaign_1_Lead_Target__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Joint_Campaign_1_Lead_Target_currency__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Joint_Campaign_1_Title__c string(100) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Partner_Campaign_1__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Partner_Campaign_1_Date__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Partner_Campaign_1_Description__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Partner_Campaign_1_Funding_Needed__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Partner_Campaign_1_Lead_Results__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Partner_Campaign_1_Lead_Results_Currency__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Partner_Campaign_1_Lead_Target__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Partner_Campaign_1_Lead_Target_Currency__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Partner_Campaign_1_Title__c string(100) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Partner_Type__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Var,Reseller,SI,ISV,OEM,Distributer,DMR'),
	Red_Hat_Partner_Joint_Campaign_1__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Dollar For Your Thoughts'),
	Red_Hat_Trained_Engineers__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Red_Hat_Trained_Sales__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Status__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'New,Pending,Approved,At Risk,Achieved'),
	Vision__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Record_Type__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Business Plan Locked,Business Plan'),
	Approval_Status__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Draft,Pending First Approval,Pending Final Approval,Approved,Rejected,Expired'),
	Approval_Status_Partner__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Draft,Approved,Rejected,Pending,Expired'),
	Business_Plan_Approval_Date__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Business_Plan_Number__c string(30) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Business_Plan_Version__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Business_Plan_Version_Number__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Partner_RH_Revenue_Current_Yr_JBoss__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Partner_RH_Revenue_Current_Yr_Metamatrix__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Partner_RH_Revenue_Current_Yr_RHEL__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Partner_Renewal_Current_Year__c double OPTIONS (NATIVE_TYPE 'percent', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Partner_Renewal_Prior_Year_2__c double OPTIONS (NATIVE_TYPE 'percent', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Partner_Renewal_Prior_Year__c double OPTIONS (NATIVE_TYPE 'percent', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Partner_RH_Revenue_Prior_Yr2_JBos__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Partner_RH_Revenue_Prior_Yr2_Metamatrix__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Partner_RH_Revenue_Prior_Yr2_RHEL__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Partner_RH_Revenue_Prior_Yr_JBoss__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Partner_RH_Revenue_Prior_Yr_Metamatrix__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Partner_RH_Revenue_Prior_Yr_RHEL__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Partner_RH_Revenue_Prior_Yr_Total__c double OPTIONS (UPDATABLE FALSE, CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CAM__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Company_Mission_Statement__c string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Complete__c double OPTIONS (NATIVE_TYPE 'percent', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Customer_Focus__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Home User,Independent Contractor,Small Business (<25),Medium Sized Enterprise (25-1000),Large Enterprise (>1000)'),
	Deal_Registration_Amount_Closed__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Deal_Registration_Amount_Submitted__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Deal_Registration_Closed__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Deal_Registration_of_Submitted__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Employees__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Business_Plan_Active__c string(100) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Fiscal_Year__c string(10) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ICAM__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Leads_Closed__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Leads_Closed_Amount__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Leads_Passed__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Leads_Passed_Amount__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	New_Customers_Current_Year__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	New_Customers_Prior_Year_2__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	New_Customers_Prior_Year__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Note__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Partner_s_Largest_Customer__c string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Partner_Tier__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Partner_Top_5_Customer_JBoss1_new__c string(100) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Partner_Top_5_Customer_JBoss2_new__c string(100) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Partner_Top_5_Customer_JBoss3_new__c string(100) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Partner_Top_5_Customer_JBoss4_new__c string(100) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Partner_Top_5_Customer_JBoss5_new__c string(100) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Partner_Top_5_Customer_Metamatrix1_new__c string(100) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Partner_Top_5_Customer_Metamatrix2_new__c string(100) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Partner_Top_5_Customer_Metamatrix3_new__c string(100) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Partner_Top_5_Customer_Metamatrix4_new__c string(100) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Partner_Top_5_Customer_Metamatrix5_new__c string(100) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Partner_Top_5_Customer_RHEL1_new__c string(100) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Partner_Top_5_Customer_RHEL2_new__c string(100) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Partner_Top_5_Customer_RHEL3_new__c string(100) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Partner_Top_5_Customer_RHEL4_new__c string(100) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Partner_Top_5_Customer_RHEL5_new__c string(100) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Script_Last_Run_Date__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Script_Run_Check__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Target_Markets__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Automotive & Aerospace,Chemical & Pharma,Construction,Education/Science & Research,Financial Services,Government,Government - Federal,Government - Military,Government - State/Local/County,Healthcare,Information Technology,Insurance,Manufacturing,Media,Non Profit Organization,Oil & Gas,Other,Product Distributor,Retail/Distribution,Services,Tech Online,Telco & ISPs,Telecom,Transport/Logic,Utilities'),
	Top_5_Customer_JBoss1__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Top_5_Customer_JBoss2__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Top_5_Customer_JBoss3__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Top_5_Customer_JBoss4__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Top_5_Customer_JBoss5__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Top_5_Customer_Metamatrix1__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Top_5_Customer_Metamatrix2__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Top_5_Customer_Metamatrix3__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Top_5_Customer_Metamatrix4__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Top_5_Customer_Metamatrix5__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Top_5_Customer_RHEL1__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Top_5_Customer_RHEL2__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Top_5_Customer_RHEL3__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Top_5_Customer_RHEL4__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Top_5_Customer_RHEL5__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Partner_RH_Revenue_Current_Yr_Total__c double OPTIONS (UPDATABLE FALSE, CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Partner_RH_Revenue_Prior_Year2_total__c double OPTIONS (UPDATABLE FALSE, CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Partner_Type_formula__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	First_date_of_Fiscal_Year__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Is_Latest__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Requester_Name__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Requester_Email__c string(80) OPTIONS (NATIVE_TYPE 'email', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ForceEdit__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	MDF_Executed_Q1__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	MDF_Executed_Q2__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	MDF_Executed_Q3__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	MDF_Executed_Q4__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	MDF_Funds_Available_Q1__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	MDF_Funds_Available_Q2__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	MDF_Funds_Available_Q3__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	MDF_Funds_Available_Q4__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Red_Hat_Sales_Strategy__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Customer_10_Product__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'RHEL,JBoss,Virtualization,Cloud'),
	Customer_10__c string(50) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Customer_1_Other_Products__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Customer_1_RH_Products__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'RHEL,JBoss,Virtualization,Cloud'),
	Customer_1__c string(50) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Customer_2_Other_Products__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Customer_2_RH_Products__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'RHEL,JBoss,Virtualization,Cloud'),
	Customer_2__c string(50) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Customer_3_Other_Products__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Customer_3_RH_Products__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'RHEL,JBoss,Virtualization,Cloud'),
	Customer_3__c string(50) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Customer_4_Other_Products__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Customer_4_RH_Products__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'RHEL,JBoss,Virtualization,Cloud'),
	Customer_4__c string(50) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Customer_5_Other_Products__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Customer_5_RH_Products__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'RHEL,JBoss,Virtualization,Cloud'),
	Customer_5__c string(50) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Customer_6_Product__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'RHEL,JBoss,Virtualization,Cloud'),
	Customer_6__c string(50) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Customer_7_Product__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'RHEL,JBoss,Virtualization,Cloud'),
	Customer_7__c string(50) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Customer_8_Product__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'RHEL,JBoss,Virtualization,Cloud'),
	Customer_8__c string(50) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Customer_9_Product__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'RHEL,JBoss,Virtualization,Cloud'),
	Customer_9__c string(50) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	First_Objective_Name__c string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	First_Objective_Number__c string(30) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	First_Objective_Status__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Open,Complete'),
	First_Objective_Target_Date__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	First_Objective_Type__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Revenue $ Target RHEL,Revenue $ Target JBoss,Training Sales,Training Other,Renewal Target RHEL,Renewal Target JBoss,New Customer Target,Training Technical - RHCT,Training Technical - RHCE,Training Technical - RHCA,Training Technical - JBoss'),
	Marketing_Plan__c string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Objective_Name__c string(100) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Objectives__c string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Other_Customers__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Partner_End_Of_Year_Comments__c string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Red_Hat_Q1_QBR_Comments__c string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Red_Hat_Q2_QBR_Comments__c string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Red_Hat_Q3_QBR_Comments__c string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Red_Hat_Q4_QBR_Comments__c string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Revenue_Objective_Description__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Revenue_Objective_Full_Year_Attainment__c double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'double', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Revenue_Objective_Full_Year_Goal__c double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'double', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Revenue_Objective_Q1_Attainment__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Revenue_Objective_Q1_Goal__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Revenue_Objective_Q2_Attainment__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Revenue_Objective_Q2_Goal__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Revenue_Objective_Q3_Attainment__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Revenue_Objective_Q3_Goal__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Revenue_Objective_Q4_Attainment__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Revenue_Objective_Q4_Goal__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Second_Objective_Description__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Second_Objective_Full_Year_Attainment__c double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'double', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Second_Objective_Full_Year_Goal__c double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'double', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Second_Objective_Name__c string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Second_Objective_Number__c string(30) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Second_Objective_Q1_Attainment__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Second_Objective_Q1_Goal__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Second_Objective_Q2_Attainment__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Second_Objective_Q2_Goal__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Second_Objective_Q3_Attainment__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Second_Objective_Q3_Goal__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Second_Objective_Q4_Attainment__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Second_Objective_Q4_Goal__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Second_Objective_Status__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Open,Complete'),
	Second_Objective_Target_Date__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Second_Objective_Type__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Revenue $ Target RHEL,Revenue $ Target JBoss,Training Sales,Training Other,Renewal Target RHEL,Renewal Target JBoss,New Customer Target,Training Technical - RHCT,Training Technical - RHCE,Training Technical - RH'),
	Third_Objective_Description__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Third_Objective_Full_Year_Attainment__c double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'double', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Third_Objective_Full_Year_Goal__c double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'double', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Third_Objective_Name__c string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Third_Objective_Number__c string(30) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Third_Objective_Q1_Attainment__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Third_Objective_Q1_Goal__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Third_Objective_Q2_Attainment__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Third_Objective_Q2_Goal__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Third_Objective_Q3_Attainment__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Third_Objective_Q3_Goal__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Third_Objective_Q4_Attainment__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Third_Objective_Q4_Goal__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Third_Objective_Status__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Open,Complete'),
	Third_Objective_Target_Date__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Third_Objective_Type__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Revenue $ Target RHEL,Revenue $ Target JBoss,Training Sales,Training Other,Renewal Target RHEL,Renewal Target JBoss,New Customer Target,Training Technical - RHCT,Training Technical - RHCE,Training Technical - RH'),
	Yearly_Objectives__c string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Channel_Field_Marketing_Manager__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Investment_Plan__c string(32768) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Opportunities__c string(32768) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Strengths__c string(32768) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Supp_Tactics_Activities_Key_Metrics__c string(32768) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Threats__c string(32768) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Weaknesses__c string(32768) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Account_Partner_Name__c FOREIGN KEY(Partner_Name__c) REFERENCES Account (Id) OPTIONS (NAMEINSOURCE 'R00N60000001eqkPEAQ'),
	CONSTRAINT FK_Account_Top_5_Customer_JBoss1__c FOREIGN KEY(Top_5_Customer_JBoss1__c) REFERENCES Account (Id) OPTIONS (NAMEINSOURCE 'R00N60000001f3dPEAQ'),
	CONSTRAINT FK_Account_Top_5_Customer_JBoss2__c FOREIGN KEY(Top_5_Customer_JBoss2__c) REFERENCES Account (Id) OPTIONS (NAMEINSOURCE 'R00N60000001f3dxEAA'),
	CONSTRAINT FK_Account_Top_5_Customer_JBoss3__c FOREIGN KEY(Top_5_Customer_JBoss3__c) REFERENCES Account (Id) OPTIONS (NAMEINSOURCE 'R00N60000001f3buEAA'),
	CONSTRAINT FK_Account_Top_5_Customer_JBoss4__c FOREIGN KEY(Top_5_Customer_JBoss4__c) REFERENCES Account (Id) OPTIONS (NAMEINSOURCE 'R00N60000001f3cREAQ'),
	CONSTRAINT FK_Account_Top_5_Customer_JBoss5__c FOREIGN KEY(Top_5_Customer_JBoss5__c) REFERENCES Account (Id) OPTIONS (NAMEINSOURCE 'R00N60000001f3e2EAA'),
	CONSTRAINT FK_Account_Top_5_Customer_Metamatrix1__c FOREIGN KEY(Top_5_Customer_Metamatrix1__c) REFERENCES Account (Id) OPTIONS (NAMEINSOURCE 'R00N60000001f3bKEAQ'),
	CONSTRAINT FK_Account_Top_5_Customer_Metamatrix2__c FOREIGN KEY(Top_5_Customer_Metamatrix2__c) REFERENCES Account (Id) OPTIONS (NAMEINSOURCE 'R00N60000001f3cbEAA'),
	CONSTRAINT FK_Account_Top_5_Customer_Metamatrix3__c FOREIGN KEY(Top_5_Customer_Metamatrix3__c) REFERENCES Account (Id) OPTIONS (NAMEINSOURCE 'R00N60000001f3e7EAA'),
	CONSTRAINT FK_Account_Top_5_Customer_Metamatrix4__c FOREIGN KEY(Top_5_Customer_Metamatrix4__c) REFERENCES Account (Id) OPTIONS (NAMEINSOURCE 'R00N60000001f3dAEAQ'),
	CONSTRAINT FK_Account_Top_5_Customer_Metamatrix5__c FOREIGN KEY(Top_5_Customer_Metamatrix5__c) REFERENCES Account (Id) OPTIONS (NAMEINSOURCE 'R00N60000001f3dZEAQ'),
	CONSTRAINT FK_Account_Top_5_Customer_RHEL1__c FOREIGN KEY(Top_5_Customer_RHEL1__c) REFERENCES Account (Id) OPTIONS (NAMEINSOURCE 'R00N60000001f3cvEAA'),
	CONSTRAINT FK_Account_Top_5_Customer_RHEL2__c FOREIGN KEY(Top_5_Customer_RHEL2__c) REFERENCES Account (Id) OPTIONS (NAMEINSOURCE 'R00N60000001f3biEAA'),
	CONSTRAINT FK_Account_Top_5_Customer_RHEL3__c FOREIGN KEY(Top_5_Customer_RHEL3__c) REFERENCES Account (Id) OPTIONS (NAMEINSOURCE 'R00N60000001f3dBEAQ'),
	CONSTRAINT FK_Account_Top_5_Customer_RHEL4__c FOREIGN KEY(Top_5_Customer_RHEL4__c) REFERENCES Account (Id) OPTIONS (NAMEINSOURCE 'R00N60000001f3dpEAA'),
	CONSTRAINT FK_Account_Top_5_Customer_RHEL5__c FOREIGN KEY(Top_5_Customer_RHEL5__c) REFERENCES Account (Id) OPTIONS (NAMEINSOURCE 'R00N60000001f3d2EAA'),
	CONSTRAINT FK_User__CAM__c FOREIGN KEY(CAM__c) REFERENCES User_ (Id) OPTIONS (NAMEINSOURCE 'R00N60000001f3bwEAA'),
	CONSTRAINT FK_User__Channel_Field_Marketing_Manager__c FOREIGN KEY(Channel_Field_Marketing_Manager__c) REFERENCES User_ (Id) OPTIONS (NAMEINSOURCE 'Business_Plans__r'),
	CONSTRAINT FK_User__ICAM__c FOREIGN KEY(ICAM__c) REFERENCES User_ (Id) OPTIONS (NAMEINSOURCE 'R00N60000001f3bfEAA__r'),
	CONSTRAINT FK_User__Responsible_Red_Hat_Account_Manager__c FOREIGN KEY(Responsible_Red_Hat_Account_Manager__c) REFERENCES User_ (Id) OPTIONS (NAMEINSOURCE 'R00N60000001eqkzEAA__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE SFDC_Channel_Account_Plan__History (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	ParentId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Field string(255) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Active__c,Approval_Status__c,Approval_Status_Partner__c,Business_Challenges__c,Business_Plan_Active__c,Business_Plan_Approval_Date__c,Business_Plan_Number_new__c,Business_Plan_Version__c,Business_Plan_Version_Number__c,CAM__c,Channel_Field_Marketing_Manager__c,Close_Out_Review_Date__c,Company_Mission_Statement__c,Complete__c,created,CurrencyIsoCode,Customer_1__c,Customer_1_Other_Products__c,Customer_1_RH_Products__c,Customer_10__c,Customer_10_Product__c,Customer_2__c,Customer_2_Other_Products__c,Customer_2_RH_Products__c,Customer_3__c,Customer_3_Other_Products__c,Customer_3_RH_Products__c,Customer_4__c,Customer_4_Other_Products__c,Customer_4_RH_Products__c,Customer_5__c,Customer_5_Other_Products__c,Customer_5_RH_Products__c,Customer_6__c,Customer_6_Product__c,Customer_7__c,Customer_7_Product__c,Customer_8__c,Customer_8_Product__c,Customer_9__c,Customer_9_Product__c,Customer_Focus__c,Deal_Registration_Amount_Closed__c,Deal_Registration_Amount_Submitted__c,Deal_Registration_Closed__c,Deal_Registration_of_Submitted__c,Employees__c,Exec_Summary__c,feedEvent,First_date_of_Fiscal_Year__c,First_Objective_Name__c,First_Objective_Status__c,First_Objective_Target_Date__c,First_Objective_Type__c,Fiscal_Year__c,ForceEdit__c,Go_to_Market__c,ICAM__c,Investment_Plan__c,Is_Latest__c,Joint_Campaign_1_Date__c,Joint_Campaign_1_Description__c,Joint_Campaign_1_Funding_Needed__c,Joint_Campaign_1_Lead_Results__c,Joint_Campaign_1_Lead_Results_currency__c,Joint_Campaign_1_Lead_Target__c,Joint_Campaign_1_Lead_Target_currency__c,Joint_Campaign_1_Title__c,Key_Events__c,Leads_Closed__c,Leads_Closed_Amount__c,Leads_Passed__c,Leads_Passed_Amount__c,Marketing_Plan__c,MDF_Executed_Q1__c,MDF_Executed_Q2__c,MDF_Executed_Q3__c,MDF_Executed_Q4__c,MDF_Funds_Available_Q1__c,MDF_Funds_Available_Q2__c,MDF_Funds_Available_Q3__c,MDF_Funds_Available_Q4__c,Name,National_Regional_Sales_Alignment__c,New_Customer_Actions__c,New_Customers_Current_Year__c,New_Customers_Prior_Year__c,New_Customers_Prior_Year_2__c,Objective_Name__c,Objectives__c,Offices_Locations__c,Opportunities__c,Other_Customers__c,Other_Partner_Alliances__c,Other_Performance_Targets__c,ownerAccepted,ownerAssignment,Partner_Campaign_1__c,Partner_Campaign_1_Date__c,Partner_Campaign_1_Description__c,Partner_Campaign_1_Funding_Needed__c,Partner_Campaign_1_Lead_Results__c,Partner_Campaign_1_Lead_Results_Currency__c,Partner_Campaign_1_Lead_Target__c,Partner_Campaign_1_Lead_Target_Currency__c,Partner_Campaign_1_Title__c,Partner_End_Of_Year_Comments__c,Partner_Engagement_Details__c,Partner_Name__c,Partner_OpenSource_Alliance_Offerings__c,Partner_Priorities__c,Partner_Red_Hat_C_Level_Meetings__c,Partner_Red_Hat_Offerings__c,Partner_Renewal_Current_Year__c,Partner_Renewal_Prior_Year__c,Partner_Renewal_Prior_Year_2__c,Partner_RH_Revenue_Current_Yr_JBoss__c,Partner_RH_Revenue_Current_Yr_Metamatrix__c,Partner_RH_Revenue_Current_Yr_RHEL__c,Partner_RH_Revenue_Prior_Yr_JBoss__c,Partner_RH_Revenue_Prior_Yr_Metamatrix__c,Partner_RH_Revenue_Prior_Yr_RHEL__c,Partner_RH_Revenue_Prior_Yr2_JBos__c,Partner_RH_Revenue_Prior_Yr2_Metamatrix__c,Partner_RH_Revenue_Prior_Yr2_RHEL__c,Partner_s_Largest_Customer__c,Partner_Top_5_Customer_JBoss1_new__c,Partner_Top_5_Customer_JBoss2_new__c,Partner_Top_5_Customer_JBoss3_new__c,Partner_Top_5_Customer_JBoss4_new__c,Partner_Top_5_Customer_JBoss5_new__c,Partner_Top_5_Customer_Metamatrix1_new__c,Partner_Top_5_Customer_Metamatrix2_new__c,Partner_Top_5_Customer_Metamatrix3_new__c,Partner_Top_5_Customer_Metamatrix4_new__c,Partner_Top_5_Customer_Metamatrix5_new__c,Partner_Top_5_Customer_RHEL1_new__c,Partner_Top_5_Customer_RHEL2_new__c,Partner_Top_5_Customer_RHEL3_new__c,Partner_Top_5_Customer_RHEL4_new__c,Partner_Top_5_Customer_RHEL5_new__c,Partner_Type__c,Partnership_Highlights__c,Period__c,Plan_Approval_Date__c,Plan_Date__c,PR_Actions__c,Q1_Review_Date__c,Q2_Review_Date__c,Q3_Review_Date__c,Record_Type__c,locked,RecordType,unlocked,Red_Hat_Partner_Joint_Campaign_1__c,Red_Hat_Q1_QBR_Comments__c,Red_Hat_Q2_QBR_Comments__c,Red_Hat_Q3_QBR_Comments__c,Red_Hat_Q4_QBR_Comments__c,Red_Hat_Sales_Strategies__c,Red_Hat_Trained_Engineers__c,Red_Hat_Trained_Sales__c,Renewal_Actions__c,Requester_Email__c,Requester_Name__c,Responsible_Red_Hat_Account_Manager__c,Revenue_Growth_Plans__c,Revenue_Objective_Description__c,Revenue_Objective_Q1_Attainment__c,Revenue_Objective_Q1_Goal__c,Revenue_Objective_Q2_Attainment__c,Revenue_Objective_Q2_Goal__c,Revenue_Objective_Q3_Attainment__c,Revenue_Objective_Q3_Goal__c,Revenue_Objective_Q4_Attainment__c,Revenue_Objective_Q4_Goal__c,Sales_Reps__c,Script_Last_Run_Date__c,Script_Run_Check__c,Second_Objective_Description__c,Second_Objective_Name__c,Second_Objective_Q1_Attainment__c,Second_Objective_Q1_Goal__c,Second_Objective_Q2_Attainment__c,Second_Objective_Q2_Goal__c,Second_Objective_Q3_Attainment__c,Second_Objective_Q3_Goal__c,Second_Objective_Q4_Attainment__c,Second_Objective_Q4_Goal__c,Second_Objective_Status__c,Second_Objective_Target_Date__c,Second_Objective_Type__c,Status__c,Strengths__c,Supp_Tactics_Activities_Key_Metrics__c,Target_Markets__c,Third_Objective_Description__c,Third_Objective_Name__c,Third_Objective_Q1_Attainment__c,Third_Objective_Q1_Goal__c,Third_Objective_Q2_Attainment__c,Third_Objective_Q2_Goal__c,Third_Objective_Q3_Attainment__c,Third_Objective_Q3_Goal__c,Third_Objective_Q4_Attainment__c,Third_Objective_Q4_Goal__c,Third_Objective_Status__c,Third_Objective_Target_Date__c,Third_Objective_Type__c,Threats__c,Top_5_Customer_JBoss1__c,Top_5_Customer_JBoss2__c,Top_5_Customer_JBoss3__c,Top_5_Customer_JBoss4__c,Top_5_Customer_JBoss5__c,Top_5_Customer_Metamatrix1__c,Top_5_Customer_Metamatrix2__c,Top_5_Customer_Metamatrix3__c,Top_5_Customer_Metamatrix4__c,Top_5_Customer_Metamatrix5__c,Top_5_Customer_RHEL1__c,Top_5_Customer_RHEL2__c,Top_5_Customer_RHEL3__c,Top_5_Customer_RHEL4__c,Top_5_Customer_RHEL5__c,Top_5_Joint_RH_Partner_Customers_JBoss__c,Top_5_Joint_RH_Partner_Customers_RHEL__c,Top_5_Joint_RH_Partner_Customers_Total__c,Vision__c,Weaknesses__c,Web_Marketing_Actions__c,Yearly_Objectives__c'),
	OldValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	NewValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_SFDC_Channel_Account_Plan__c_ParentId FOREIGN KEY(ParentId) REFERENCES SFDC_Channel_Account_Plan__c (Id) OPTIONS (NAMEINSOURCE 'Histories')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'false', "teiid_sf:Supports Delete" 'false', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE SFDC_Channel_Account_Plan__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_SFDC_Channel_Account_Plan__c_ItemId FOREIGN KEY(ItemId) REFERENCES SFDC_Channel_Account_Plan__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE SFDC_MDF__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	RecordTypeId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Account_master__c string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Channel_Marketing_Manager_Country__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Accounting_Type__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Achieving_Revenue_Targets__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Achieving_Training_Skills__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Active_Budget__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Activity_Date__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Activity_Description__c string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Activity_End_Date__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Activity_Start_Date__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Partner_Registration__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Total_Approved_Claims__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Activity_Type__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Achieving Revenue or Invoicing Targets,Achieving Training Skills,Building a Lab/Demo Center with Red Hat Solution Demonstration Capabilities,Conducting Joint Customer Visits with Red Hat on New Customers and Registering a Deal/Opportunity,Conducting Webinars,Customized Program,Dedicated Red Hat Product Specialist,Developing and Presenting a Red Hat Proof of Concept,Executing Demand Generation Activities,Hosting Customer Events/Seminars'),
	Age_Days__c double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'double', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Amount__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Approval_Status_Partner__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Approved,Canceled,Draft,Expired,In Progress,Pending,Pending Cancellation,Rejected'),
	Approval_Status__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Approved,Canceled,Draft,Expired,Pending Cancellation,Pending Final Approval,Pending First Approval,Pending Second Approval,Rejected,Second Stage Approval,Second Stage Rejected'),
	Approved_Amount__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Approved_Date__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Approved__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Budget__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Building_a_Lab_Demo__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Channel_Account_Manager__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Claim_Deadline_Date__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Conducting_Webinars__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Date_Approved__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Date_of_Request__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Dedicated_Red_Hat_Product_Specialist__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Desired_Outcome__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Developing_and_Presenting_Red_Hat_Proof__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Email_Address__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Email_Address_new__c string(100) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Enter_Rejection_Reason__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Estimated_Red_Hat_Funding_Requested__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Executing_Demand_Generation_Activities__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Hosting_Customer_Events_Seminars__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	I_Agree_to_the_Terms_and_Conditions__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Inside_Channel_Account_Manager__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Joint_Calls_New_Customers__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Legal_T_s_and_C_s__c string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Other_Activity_Type__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Other_Proof_of_Performance__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Partner_Comments__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Partner_Owner__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Partner_Tier__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Partner_Type__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Percentage_Approved__c double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'percent', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Reasons_for_Rejection__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Funding Amount,No Red Hat Content,No Red Hat Revenue Objective,Not a New Customer Acquisition Activity,Activity does not meet Business Requirements'),
	Red_Hat_Solution__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'All - Generic,CloudForms,JBoss,OpenShift,Platform RHEL,Platform Virtualization,Storage,Systems Management'),
	Red_Hat_Sponsored_Activity__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Request_Details__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Request_ID__c string(30) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Request_Number_new__c string(30) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Request_Objectives__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Requester_Email__c string(80) OPTIONS (NATIVE_TYPE 'email', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Requester_Name__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Requester_Name_new__c string(100) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Script_Last_Run_Date__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Script_Run_Check__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Select_Budget_Warning__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Status__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Draft,Submitted,In Process,Approved,Rejected'),
	Target_Audience__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Telephone__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Telephone_new__c string(100) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Total_Expenditure_of_Activity__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	of_Activity_Requiring_Red_Hat_Funding_n__c double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'percent', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Oracle_Project_Code__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" '8026 Red Hat Summit 2013,8030 Mkt - Cloud - Cloud Management,8031 Mkt - Cloud - RHN/Satellite,8034 Mkt – Trade Show / Event Across Initiatives,8035 Mkt – Other Non-Initiative Program,8036 Mkt - Storage – Community (BU use only),8037 Mkt – Partner – Funded Head (MDF only),8038 Mkt – Partner – Training and Enablement (GPM),8040 Mkt – Platform – Standardize,8043 Mkt – Platform – Migrate,8045 Mkt – Red Hat Global Corporate Awareness,8046 Mkt - Partner - Biz Dev (MDF only),8048 Mkt - Cloud - Public Cloud,8050 Mkt - Virt - Red Hat Cloud Infrastructure,8052 Mkt - Virt - Red Hat OpenStack,8053 Mkt - JBoss - Integration BPM Focus,8055 Mkt – Partner – Training and Enablement (Field),8056 Mkt - Cloud - Openshift Enterprise,8057 Mkt - Cloud - Openshift Online,8059 Mkt - Cloud - Openshift Origin,8060 Mkt – Platform – Grow Share,8369 Mkt - Storage – Awareness,8370 Mkt – Translation Fees,8378 Mkt - Partner - VIR (MDF only),8451 Mkt – Platform – General RHEL Product Marketing,8452 Mkt – Services – Red Hat Training,8453 Mkt – Storage – Cross-sell,8518 Mkt – Partner – Funded Head (MDF only),8521 Mkt - Cloud - Open Hybrid Cloud - OHC,8522 Mkt - Virt - Red Hat OpenStack,8523 Mkt - JBoss - AD&D Focus,8524 Mkt – Services – Red Hat Consulting,8525 Mkt – Services – Global Partner Enablement,8526 Mkt - Storage – Ecosystem Solutions (BU use only),8527 Mkt – Platform - Platform Marketing Program,8538 Mkt – Virt – RHEV General Marketing,8539 Mkt - Cloud - Cloud General Marketing,8540 Mkt – Storage – Storage General Marketing (BU use only),8541 Mkt - JBoss - JBoss Portfolio,8542 Mkt – Cross-BU,8544 MDF OEM - HP,8545 MDF OEM - Dell,8546 MDF OEM - Cisco,8547 MDF OEM - IBM,8553 LATAM MDF,8558 Mkt - Platform - Standardize,8559 Mkt - Storage – Community (BU use only),8560 Mkt - Storage –Ecosystem Solution(BU only),8561 Mkt - Cloud - Openshift Enterprise,8562 Mkt - Cloud - Openshift Online,8563 Mkt - Cloud - Openshift Origin,8564 Mkt - Partner - Biz Dev (MDF only),8565 NA Public Sector MDF,Not Applicable'),
	Marketing_Program_Manager__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Partner_Manager__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Activity_Text__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Activity_Result_Rating__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" '1 - Best Practice,2 - Very Good,3 - Met Expectations,4 - Did Not Meet Expectations'),
	Activity_Status__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'On Schedule,Rescheduled,Completed,Canceled'),
	Activity_Subtype__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Advertising,Email,Event/Seminar,Fair,Letter/Mail,Other,Partner Training,Telemarketing,Webinar,Website,Workshop'),
	Additional_Feedback__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Collateral_Required__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Executing_Partner__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Distributor,ISV,OEM,Solution Provider'),
	Key_Initiative__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Cloud - Building Enterprise Clouds today,Cloud - Expanding Cloud Ecosystem,JBoss - Open Choice,JBoss - Targeted Products,JBoss - WebSphere/WebLogic Take-out,RHEL - Grow Share,RHEL - Migrate (Unix2Linux),RHEL - Sell RHEL,Virtualization - RHEL on RHEV'),
	Participating_Partners__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Planned_Attendees__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Planned_Leads__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Planned_Responses__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Should_We_Repeat__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Target_Groups__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Red Hat Partners,New Partners,ISVs,End Customers'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Account_Account_master__c FOREIGN KEY(Account_master__c) REFERENCES Account (Id) OPTIONS (NAMEINSOURCE 'R00NR0000000QJRiMAO__r'),
	CONSTRAINT FK_Partner_Registration__c_Partner_Registration__c FOREIGN KEY(Partner_Registration__c) REFERENCES Partner_Registration__c (Id) OPTIONS (NAMEINSOURCE 'Fund_Requests__r'),
	CONSTRAINT FK_SFDC_Budget__c_Budget__c FOREIGN KEY(Budget__c) REFERENCES SFDC_Budget__c (Id) OPTIONS (NAMEINSOURCE 'R00NR0000000QJRyMAO__r'),
	CONSTRAINT FK_User__Channel_Account_Manager__c FOREIGN KEY(Channel_Account_Manager__c) REFERENCES User_ (Id) OPTIONS (NAMEINSOURCE 'Fund_Requests1__r'),
	CONSTRAINT FK_User__Channel_Marketing_Manager_Country__c FOREIGN KEY(Channel_Marketing_Manager_Country__c) REFERENCES User_ (Id) OPTIONS (NAMEINSOURCE 'Fund_Requests3__r'),
	CONSTRAINT FK_User__Inside_Channel_Account_Manager__c FOREIGN KEY(Inside_Channel_Account_Manager__c) REFERENCES User_ (Id) OPTIONS (NAMEINSOURCE 'Fund_Requests__r'),
	CONSTRAINT FK_User__Marketing_Program_Manager__c FOREIGN KEY(Marketing_Program_Manager__c) REFERENCES User_ (Id) OPTIONS (NAMEINSOURCE 'Fund_Requests2__r'),
	CONSTRAINT FK_User__Partner_Manager__c FOREIGN KEY(Partner_Manager__c) REFERENCES User_ (Id) OPTIONS (NAMEINSOURCE 'Fund_Requests4__r'),
	CONSTRAINT FK_User__Partner_Owner__c FOREIGN KEY(Partner_Owner__c) REFERENCES User_ (Id) OPTIONS (NAMEINSOURCE 'R00NR0000000QJSMMA4__r'),
	CONSTRAINT FK_User__Requester_Name__c FOREIGN KEY(Requester_Name__c) REFERENCES User_ (Id) OPTIONS (NAMEINSOURCE 'R00NR0000000QJSVMA4__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE SFDC_MDF__History (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	ParentId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Field string(255) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Account_master__c,Activity_Date__c,Activity_Description__c,Activity_End_Date__c,Activity_Result_Rating__c,Activity_Start_Date__c,Activity_Status__c,Activity_Subtype__c,Activity_Type__c,Additional_Feedback__c,Amount__c,Approval_Status__c,Approval_Status_Partner__c,Approved__c,Approved_Amount__c,Approved_Date__c,Budget__c,Channel_Account_Manager__c,Channel_Marketing_Manager_Country__c,Claim_Deadline_Date__c,Collateral_Required__c,created,CurrencyIsoCode,Date_Approved__c,Date_of_Request__c,Desired_Outcome__c,Email_Address_new__c,Estimated_Red_Hat_Funding_Requested__c,Executing_Partner__c,feedEvent,I_Agree_to_the_Terms_and_Conditions__c,Inside_Channel_Account_Manager__c,Key_Initiative__c,Legal_T_s_and_C_s__c,Marketing_Program_Manager__c,Name,Oracle_Project_Code__c,Other_Activity_Type__c,ownerAccepted,ownerAssignment,Participating_Partners__c,Partner_Comments__c,Partner_Manager__c,Partner_Owner__c,Partner_Registration__c,Planned_Attendees__c,Planned_Leads__c,Planned_Responses__c,Reasons_for_Rejection__c,locked,RecordType,unlocked,Red_Hat_Solution__c,Red_Hat_Sponsored_Activity__c,Request_Details__c,Request_ID__c,Request_Objectives__c,Requester_Email__c,Requester_Name__c,Requester_Name_new__c,Script_Last_Run_Date__c,Script_Run_Check__c,Should_We_Repeat__c,Status__c,Target_Audience__c,Target_Groups__c,Telephone_new__c,Total_Approved_Claims__c,Total_Expenditure_of_Activity__c'),
	OldValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	NewValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_SFDC_MDF__c_ParentId FOREIGN KEY(ParentId) REFERENCES SFDC_MDF__c (Id) OPTIONS (NAMEINSOURCE 'Histories')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'false', "teiid_sf:Supports Delete" 'false', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE SFDC_MDF__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_SFDC_MDF__c_ItemId FOREIGN KEY(ItemId) REFERENCES SFDC_MDF__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE SFDC_MDF_Claim__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	Account__c string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Accounting_Type__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Activity_Type__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Channel_Marketing_Manager_Country__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Amount__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Approval_Status_Partner__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Draft,Pending,In Progress,Approved,Rejected,Expired'),
	Approval_Status__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Draft,Pending First Approval,Approved,Rejected,Pending Second Approval,Pending Final Approval,Second Stage Rejected,Third Stage Rejected,Expired'),
	Approved_Amount__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Approved_Date__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Approved__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Budget__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Channel_Account_Manager__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Claim_Age_In_Days__c double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'double', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Claim_Description__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Claim_Details__c string(1000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Claim_Paid_Date__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Claim_Requester_Email__c string(80) OPTIONS (NATIVE_TYPE 'email', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Claim_Requester_Name__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Claim_Requester_Name_new__c string(100) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Date_Approved__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Enter_Rejection_Reason__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Explanation_Approved_Amount__c string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Fund_Claim_Number_new__c string(30) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Fund_Request_Amount__c double OPTIONS (UPDATABLE FALSE, CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Fund_Request__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Inside_Channel_Account_Manager__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Number_of_Attendees__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Number_of_Attendees_formula__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Other_Expenditure_Type__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Paid_Check_Number__c string(10) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Partner_Owner__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Partner_Tier__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Partner_Type__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Payment_Method__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Check,Credit Memo'),
	Percentage_Approved__c double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'percent', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Performance_Attached__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Performance_Type__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Type 1,Type 2'),
	Performance_Verified__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Marketing_Program_Manager__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Reasons_for_Rejection__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Proof of Performance Not Acceptable,Activity Does Not Meet Business Requirements,New Customer Does Not Meet Business Requirements'),
	Requested_Amount__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Script_Last_Run_Date__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Script_Run_Check__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Settlement_Method__c string(100) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Status__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Draft,Submitted,In Process,Approved,Rejected,Paid'),
	User__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Partner_Manager__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Activity_Result_Rating__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" '1 - Best Practice,2 - Very Good,3 - Met Expectations,4 - Did Not Meet Expectations'),
	Actual_Attendees__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Actual_Leads__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Actual_Responses__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Additional_Feedback__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Age_Days__c double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'double', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Should_We_Repeat__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Is_PAR_Claim__c boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Account_Account__c FOREIGN KEY(Account__c) REFERENCES Account (Id) OPTIONS (NAMEINSOURCE 'master_account__r'),
	CONSTRAINT FK_SFDC_Budget__c_Budget__c FOREIGN KEY(Budget__c) REFERENCES SFDC_Budget__c (Id) OPTIONS (NAMEINSOURCE 'R00NR0000000QJSkMAO__r'),
	CONSTRAINT FK_SFDC_MDF__c_Fund_Request__c FOREIGN KEY(Fund_Request__c) REFERENCES SFDC_MDF__c (Id) OPTIONS (NAMEINSOURCE 'Fund_Claims__r'),
	CONSTRAINT FK_User__Channel_Account_Manager__c FOREIGN KEY(Channel_Account_Manager__c) REFERENCES User_ (Id) OPTIONS (NAMEINSOURCE 'Fund_Claims1__r'),
	CONSTRAINT FK_User__Channel_Marketing_Manager_Country__c FOREIGN KEY(Channel_Marketing_Manager_Country__c) REFERENCES User_ (Id) OPTIONS (NAMEINSOURCE 'Fund_Claims4__r'),
	CONSTRAINT FK_User__Claim_Requester_Name__c FOREIGN KEY(Claim_Requester_Name__c) REFERENCES User_ (Id) OPTIONS (NAMEINSOURCE 'R00NR0000000QJSmMAO__r'),
	CONSTRAINT FK_User__Inside_Channel_Account_Manager__c FOREIGN KEY(Inside_Channel_Account_Manager__c) REFERENCES User_ (Id) OPTIONS (NAMEINSOURCE 'Fund_Claims__r'),
	CONSTRAINT FK_User__Marketing_Program_Manager__c FOREIGN KEY(Marketing_Program_Manager__c) REFERENCES User_ (Id) OPTIONS (NAMEINSOURCE 'Fund_Claims3__r'),
	CONSTRAINT FK_User__Partner_Manager__c FOREIGN KEY(Partner_Manager__c) REFERENCES User_ (Id) OPTIONS (NAMEINSOURCE 'Fund_Claims5__r'),
	CONSTRAINT FK_User__Partner_Owner__c FOREIGN KEY(Partner_Owner__c) REFERENCES User_ (Id) OPTIONS (NAMEINSOURCE 'R00NR0000000QJSyMAO__r'),
	CONSTRAINT FK_User__User__c FOREIGN KEY(User__c) REFERENCES User_ (Id) OPTIONS (NAMEINSOURCE 'Fund_Claims2__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE SFDC_MDF_Claim__History (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	ParentId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Field string(255) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Account__c,Activity_Result_Rating__c,Actual_Attendees__c,Actual_Leads__c,Actual_Responses__c,Additional_Feedback__c,Amount__c,Approval_Status__c,Approval_Status_Partner__c,Approved__c,Approved_Amount__c,Approved_Date__c,Budget__c,Channel_Account_Manager__c,Channel_Marketing_Manager_Country__c,Claim_Description__c,Claim_Details__c,Claim_Paid_Date__c,Claim_Requester_Email__c,Claim_Requester_Name__c,Claim_Requester_Name_new__c,created,CurrencyIsoCode,Date_Approved__c,Explanation_Approved_Amount__c,feedEvent,Fund_Request__c,Inside_Channel_Account_Manager__c,Marketing_Program_Manager__c,Name,Number_of_Attendees__c,Other_Expenditure_Type__c,ownerAccepted,ownerAssignment,Paid_Check_Number__c,Partner_Manager__c,Partner_Owner__c,Payment_Method__c,Performance_Attached__c,Performance_Type__c,Performance_Verified__c,Reasons_for_Rejection__c,locked,unlocked,Requested_Amount__c,Script_Last_Run_Date__c,Script_Run_Check__c,Settlement_Method__c,Should_We_Repeat__c,Status__c,User__c'),
	OldValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	NewValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_SFDC_MDF_Claim__c_ParentId FOREIGN KEY(ParentId) REFERENCES SFDC_MDF_Claim__c (Id) OPTIONS (NAMEINSOURCE 'Histories')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'false', "teiid_sf:Supports Delete" 'false', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE SFDC_MDF_Claim__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_SFDC_MDF_Claim__c_ItemId FOREIGN KEY(ItemId) REFERENCES SFDC_MDF_Claim__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE SFDC_Objective__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	LastActivityDate date OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Account_Name__c string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Channel_Account_Plan_del__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Channel_Plan__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Days_Left_Over__c double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'double', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Description__c string(1000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	End_Date__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Full_Year_Attainment__c double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'double', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Full_Year_Goal__c double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'double', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Goal_Attained__c double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'percent', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Metric_Goal__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Metric_Result__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Objective_Type__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Revenue $ Target RHEL,Revenue $ Target JBoss,Training Sales,Training Other,Renewal Target RHEL,Renewal Target JBoss,New Customer Target,Training Technical - RHCT,Training Technical - RHCE,Training Technical - RHCA,Training Technical - JBoss'),
	Priority__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Low,Medium,High,Urgent'),
	Q1_Attainment__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Q1_Goal__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Q2_Attainment__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Q2_Goal__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Q3_Attainment__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Q3_Goal__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Q4_Attainment__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Q4_Goal__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Stage__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Start_Date__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Status__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'New,In Progress,Half-way,Three Quarters,Accomplished Objective,Exceeded Expectations'),
	Success_Measure__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Revenue,Growth,Brand Recognition,Product Knowledge,Trained Employees,Customer Satisfaction'),
	Target_Date__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Objective_Number_new__c string(30) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Objective_Status__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Open,Complete'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Account_Account_Name__c FOREIGN KEY(Account_Name__c) REFERENCES Account (Id) OPTIONS (NAMEINSOURCE 'Objectives__r'),
	CONSTRAINT FK_SFDC_Channel_Account_Plan__c_Channel_Account_Plan_del__c FOREIGN KEY(Channel_Account_Plan_del__c) REFERENCES SFDC_Channel_Account_Plan__c (Id) OPTIONS (NAMEINSOURCE 'R00N30000001JLxyEAG__r'),
	CONSTRAINT FK_SFDC_Channel_Account_Plan__c_Channel_Plan__c FOREIGN KEY(Channel_Plan__c) REFERENCES SFDC_Channel_Account_Plan__c (Id) OPTIONS (NAMEINSOURCE 'Objectives__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE SFDC_Objective__History (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	ParentId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Field string(255) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Account_Name__c,Channel_Account_Plan_del__c,Channel_Plan__c,created,CurrencyIsoCode,Description__c,End_Date__c,feedEvent,Metric_Goal__c,Metric_Result__c,Name,Objective_Status__c,Objective_Type__c,ownerAccepted,ownerAssignment,Priority__c,Q1_Attainment__c,Q1_Goal__c,Q2_Attainment__c,Q2_Goal__c,Q3_Attainment__c,Q3_Goal__c,Q4_Attainment__c,Q4_Goal__c,locked,unlocked,Start_Date__c,Status__c,Success_Measure__c,Target_Date__c'),
	OldValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	NewValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_SFDC_Objective__c_ParentId FOREIGN KEY(ParentId) REFERENCES SFDC_Objective__c (Id) OPTIONS (NAMEINSOURCE 'Histories')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'false', "teiid_sf:Supports Delete" 'false', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE SFDC_Objective__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_SFDC_Objective__c_ItemId FOREIGN KEY(ItemId) REFERENCES SFDC_Objective__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE SFDC_Plan_Resource_Association__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	Account_Name__c string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Account_Role__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Buyer,Finance,Restocking,Sales,Shipments,Trainer'),
	Channel_Plan__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Email__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Mobile__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Phone__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Resource__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Role__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Account Champion Partner Executive,Business Planning Partner Participant,Channel Account Manager,Key Partner Executive,MDF Program Partner Contact,Other Training Complete Contact,Red Hat Dedicated Resource,Red Hat Regional Manager,Renewal Key Contact,Training Complete Contact - Sales,Training Complete Contact - Technical'),
	Title__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Account_Account_Name__c FOREIGN KEY(Account_Name__c) REFERENCES Account (Id) OPTIONS (NAMEINSOURCE 'R00NR0000000VISAMA4__r'),
	CONSTRAINT FK_Contact_Resource__c FOREIGN KEY(Resource__c) REFERENCES Contact (Id) OPTIONS (NAMEINSOURCE 'R00NR0000000VFWCMA4__r'),
	CONSTRAINT FK_SFDC_Channel_Account_Plan__c_Channel_Plan__c FOREIGN KEY(Channel_Plan__c) REFERENCES SFDC_Channel_Account_Plan__c (Id) OPTIONS (NAMEINSOURCE 'R00N30000001JLy0EAG__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE SFDC_Plan_Resource_Association__History (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	ParentId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Field string(255) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Account_Name__c,Account_Role__c,Channel_Plan__c,created,CurrencyIsoCode,feedEvent,Name,ownerAccepted,ownerAssignment,locked,unlocked,Resource__c,Role__c'),
	OldValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	NewValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_SFDC_Plan_Resource_Association__c_ParentId FOREIGN KEY(ParentId) REFERENCES SFDC_Plan_Resource_Association__c (Id) OPTIONS (NAMEINSOURCE 'Histories')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'false', "teiid_sf:Supports Delete" 'false', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE SFDC_Plan_Resource_Association__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_SFDC_Plan_Resource_Association__c_ItemId FOREIGN KEY(ItemId) REFERENCES SFDC_Plan_Resource_Association__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Site (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Subdomain string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	TopLevelDomain string(255) OPTIONS (NATIVE_TYPE 'url', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	UrlPathPrefix string(40) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Status string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Active,Inactive'),
	AdminId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	OptionsEnableFeeds boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	OptionsAllowHomePage boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	OptionsAllowStandardIdeasPages boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	OptionsAllowStandardSearch boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	OptionsAllowStandardLookups boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	OptionsAllowStandardAnswersPages boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Description string(1000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	MasterLabel string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	AnalyticsTrackingCode string(40) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	DailyBandwidthLimit integer OPTIONS (NATIVE_TYPE 'int', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	DailyBandwidthUsed integer OPTIONS (NATIVE_TYPE 'int', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	DailyRequestTimeLimit integer OPTIONS (NATIVE_TYPE 'int', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	DailyRequestTimeUsed integer OPTIONS (NATIVE_TYPE 'int', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	MonthlyPageViewsEntitlement integer OPTIONS (NATIVE_TYPE 'int', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_User__AdminId FOREIGN KEY(AdminId) REFERENCES User_ (Id) OPTIONS (NAMEINSOURCE 'UserSites')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'false', "teiid_sf:Supports Delete" 'false', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE SiteFeed (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	ParentId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	FeedPostId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'TrackedChange,UserStatus,TextPost,AdvancedTextPost,LinkPost,ContentPost,PollPost,RypplePost,ProfileSkillPost,DashboardComponentSnapshot,ApprovalPost,CaseCommentPost,ReplyPost,EmailMessageEvent,CallLogPost,ChangeStatusPost,AttachArticleEvent,MilestoneEvent,ActivityEvent,ChatTranscriptPost,CollaborationGroupCreated,CollaborationGroupUnarchived,SocialPost,QuestionPost,FacebookPost,BasicTemplateFeedItem,CreateRecordEvent,CanvasPost,AnnouncementPost'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Site_ParentId FOREIGN KEY(ParentId) REFERENCES Site (Id) OPTIONS (NAMEINSOURCE 'Feeds')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'false', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE SiteHistory (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	SiteId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Field string(255) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'siteActive,Admin,AnalyticsTrackingCode,siteOverride401,siteOverrideChangePassword,ClickjackProtectionLevel,created,SiteDeleteDomain,siteNewDomain,DefaultDomain,siteSetPrimaryDomain,Description,siteBTDisabled,siteEnableFeeds,siteAllowStandardAnswersPages,siteAllowHomePage,siteAllowStandardIdeasPages,siteAllowStandardSearch,siteAllowStandardLookups,FavoriteIcon,feedEvent,siteOverride500,GuestUser,Guid,siteOverrideInactive,IndexPage,Language,siteOverride509,siteOverride503,MasterLabel,sitePageLimitExceeded,siteOverrideMyProfile,Name,NewPassTemplate,NewUserTemplate,Options,ownerAccepted,ownerAssignment,siteOverride404,Portal,locked,unlocked,siteNewRedirect,siteDeleteRedirect,siteChangeRedirect,siteRequireInsecurePortalAccess,siteRequireHttps,siteOverrideSelfReg,ServerIsDown,siteOverrideRobotsTxt,siteOverrideTemplate,SiteType,Status,Subdomain,TopLevelDomain,UrlPathPrefix,UrlRewriterClass'),
	OldValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	NewValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Site_SiteId FOREIGN KEY(SiteId) REFERENCES Site (Id) OPTIONS (NAMEINSOURCE 'Histories')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'false', "teiid_sf:Supports Delete" 'false', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Solution (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	SolutionNumber string(30) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	SolutionName string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsPublished boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsPublishedInPublicKb boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Status string(40) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Reviewed,Duplicate,Draft'),
	IsReviewed boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	SolutionNote string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	OwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TimesUsed integer OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'int', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	IsHtml boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CONSTRAINT Id_PK PRIMARY KEY(Id)
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE SolutionFeed (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	ParentId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	FeedPostId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'TrackedChange,UserStatus,TextPost,AdvancedTextPost,LinkPost,ContentPost,PollPost,RypplePost,ProfileSkillPost,DashboardComponentSnapshot,ApprovalPost,CaseCommentPost,ReplyPost,EmailMessageEvent,CallLogPost,ChangeStatusPost,AttachArticleEvent,MilestoneEvent,ActivityEvent,ChatTranscriptPost,CollaborationGroupCreated,CollaborationGroupUnarchived,SocialPost,QuestionPost,FacebookPost,BasicTemplateFeedItem,CreateRecordEvent,CanvasPost,AnnouncementPost'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Solution_ParentId FOREIGN KEY(ParentId) REFERENCES Solution (Id) OPTIONS (NAMEINSOURCE 'Feeds')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'false', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE SolutionHistory (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	SolutionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Field string(255) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'created,CurrencyIsoCode,feedEvent,IsPublished,IsPublishedInPublicKb,ownerAccepted,ownerAssignment,locked,unlocked,SolutionName,SolutionNote,Status'),
	OldValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	NewValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Solution_SolutionId FOREIGN KEY(SolutionId) REFERENCES Solution (Id) OPTIONS (NAMEINSOURCE 'Histories')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'false', "teiid_sf:Supports Delete" 'false', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE SolutionProduct__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	Solution__c string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Business_Unit__c string(40) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ProductCode__c string(18) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Product__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Product2_Product__c FOREIGN KEY(Product__c) REFERENCES Product2 (Id) OPTIONS (NAMEINSOURCE 'SolutionProducts__r'),
	CONSTRAINT FK_StrategicPlan_Solution__c_Solution__c FOREIGN KEY(Solution__c) REFERENCES StrategicPlan_Solution__c (Id) OPTIONS (NAMEINSOURCE 'SolutionProducts__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE SolutionProduct__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_SolutionProduct__c_ItemId FOREIGN KEY(ItemId) REFERENCES SolutionProduct__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE SolutionStatus (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	MasterLabel string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	SortOrder integer OPTIONS (NATIVE_TYPE 'int', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDefault boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsReviewed boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CONSTRAINT Id_PK PRIMARY KEY(Id)
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'false', "teiid_sf:Supports Delete" 'false', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE SolutionTag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Solution_ItemId FOREIGN KEY(ItemId) REFERENCES Solution (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Special_Program__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	Description__c string(32768) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	End_Date__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Special_Program_Autonumber__c string(30) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Start_Date__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id)
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE Special_Program__History (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	ParentId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Field string(255) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'created,CurrencyIsoCode,Description__c,End_Date__c,feedEvent,Name,Owner,ownerAccepted,ownerAssignment,locked,unlocked,Start_Date__c'),
	OldValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	NewValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Special_Program__c_ParentId FOREIGN KEY(ParentId) REFERENCES Special_Program__c (Id) OPTIONS (NAMEINSOURCE 'Histories')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'false', "teiid_sf:Supports Delete" 'false', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Special_Program__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Special_Program__c_ItemId FOREIGN KEY(ItemId) REFERENCES Special_Program__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE State__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	Country__c string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Abbreviation__c string(5) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	FIPSAlpha__c string(2) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	FIPSNumeric__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Region__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'NA,APAC'),
	Subregion__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Northeast,Central,Southeast,Southwest,National,Fed Sled,High Volume,Distributor,Northwest,India,North Central,South Central,Mid-Atlantic'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Country__c_Country__c FOREIGN KEY(Country__c) REFERENCES Country__c (Id) OPTIONS (NAMEINSOURCE 'States__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE State__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_State__c_ItemId FOREIGN KEY(ItemId) REFERENCES State__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE StateProvinceTranslation__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	StateProvince__c string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	LanguageCode__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'de,en,es,fr,it,ja,pt_BR,ru,ko,zh_CN'),
	StateProvidenceName__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_State__c_StateProvince__c FOREIGN KEY(StateProvince__c) REFERENCES State__c (Id) OPTIONS (NAMEINSOURCE 'StateProvinceTranslations__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE StateProvinceTranslation__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_StateProvinceTranslation__c_ItemId FOREIGN KEY(ItemId) REFERENCES StateProvinceTranslation__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE States_ISO_codes__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(38) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	SetupOwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ISO_Code__c string(5) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id)
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE States_ISO_codes__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_States_ISO_codes__c_ItemId FOREIGN KEY(ItemId) REFERENCES States_ISO_codes__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE StaticResource (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	NamespacePrefix string(15) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Name string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ContentType string(120) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	BodyLength integer OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'int', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Body blob OPTIONS (NATIVE_TYPE 'base64', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Description string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CacheControl string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Private,Public'),
	CONSTRAINT Id_PK PRIMARY KEY(Id)
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE Status_Reports__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	Budget_Status__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Within Budget,Over Budget  < 25%,Over Budget  > 25%'),
	Key_Accomplishments__c string(2000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Next_Steps__c string(2000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Overall_Status_Indicator__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Overall_Status__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'On Track,At Risk,Off Track'),
	Period_Ending_On__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Period_Starting_On__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Project__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Release__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Resource_Status__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Green,Yellow,Red'),
	Scope_Status__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Green,Yellow,Red'),
	Status_Summary__c string(2000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Release__c_Release__c FOREIGN KEY(Release__c) REFERENCES Release__c (Id) OPTIONS (NAMEINSOURCE 'Status_Reports__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE Status_Reports__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Status_Reports__c_ItemId FOREIGN KEY(ItemId) REFERENCES Status_Reports__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE SteeringCommittee__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	LastActivityDate date OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Project_Name__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Project_Scope__c string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Need_Completion_date__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Completed__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Completion_Date__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	LOE_Low__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	LOE_High__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	LOE_Duration__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Hour(s),Day(s),Week(s),Month(s),Year(s)'),
	Project_Dependency__c string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Priority__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'High,Medium,Low'),
	Steering_Committee_Status__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Not Presented to Steering Committee,Needs Escalation to Steering Committee,Approved by Steering Committee,Need to Provide Update/Findings,Denied by Steering Committee'),
	Status_to_Completion__c double OPTIONS (NATIVE_TYPE 'percent', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	GIT_Needed__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Active__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	GIT_Assistance_Required__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Business_Case__c string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Stakeholders__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Plan__c string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id)
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE SteeringCommittee__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_SteeringCommittee__c_ItemId FOREIGN KEY(ItemId) REFERENCES SteeringCommittee__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Storybook__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	Audience__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Display_Image_URL__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Language_Code__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Language__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'English,German,Spanish,French,Italian,Japanese,Chinese (Traditional),Chinese (Simplified),Portuguese (Brazilian),Dutch,Danish,Thai,Finnish,Russian'),
	Publish_Date__c timestamp OPTIONS (NATIVE_TYPE 'datetime', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Status__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Draft,Published,Archived'),
	Site_com_Page__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'HomePage,Dashboard,Resources,Technologies,Platform,Middleware,Virtualization,Cloud,Marketing_Resources,Sales_Resources,Technical_Resources'),
	Story_Widget_Key__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Audience__c_Audience__c FOREIGN KEY(Audience__c) REFERENCES Audience__c (Id) OPTIONS (NAMEINSOURCE 'Storybooks__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE Storybook__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Storybook__c_ItemId FOREIGN KEY(ItemId) REFERENCES Storybook__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE StoryBookLink__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	StoryBook__c string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Audience__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	URL__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Audience__c_Audience__c FOREIGN KEY(Audience__c) REFERENCES Audience__c (Id) OPTIONS (NAMEINSOURCE 'StoryBookLinks__r'),
	CONSTRAINT FK_Storybook__c_StoryBook__c FOREIGN KEY(StoryBook__c) REFERENCES Storybook__c (Id) OPTIONS (NAMEINSOURCE 'StoryBookLinks__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE StoryBookLink__History (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	ParentId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Field string(255) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Audience__c,created,CurrencyIsoCode,feedEvent,Name,ownerAccepted,ownerAssignment,locked,unlocked,StoryBook__c,URL__c'),
	OldValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	NewValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_StoryBookLink__c_ParentId FOREIGN KEY(ParentId) REFERENCES StoryBookLink__c (Id) OPTIONS (NAMEINSOURCE 'Histories')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'false', "teiid_sf:Supports Delete" 'false', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE StoryBookLink__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_StoryBookLink__c_ItemId FOREIGN KEY(ItemId) REFERENCES StoryBookLink__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE StoryBookLinkLabel__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	StoryBookLink__c string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Label__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Language_Code__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Language__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'English,German,Spanish,French,Italian,Japanese,Korean,Chinese (Simplified),Portuguese (Brazilian)'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_StoryBookLink__c_StoryBookLink__c FOREIGN KEY(StoryBookLink__c) REFERENCES StoryBookLink__c (Id) OPTIONS (NAMEINSOURCE 'StoryBook_Link_Labels__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE StoryBookLinkLabel__History (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	ParentId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Field string(255) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'created,CurrencyIsoCode,feedEvent,Label__c,Language__c,Name,ownerAccepted,ownerAssignment,locked,unlocked,StoryBookLink__c'),
	OldValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	NewValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_StoryBookLinkLabel__c_ParentId FOREIGN KEY(ParentId) REFERENCES StoryBookLinkLabel__c (Id) OPTIONS (NAMEINSOURCE 'Histories')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'false', "teiid_sf:Supports Delete" 'false', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE StoryBookLinkLabel__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_StoryBookLinkLabel__c_ItemId FOREIGN KEY(ItemId) REFERENCES StoryBookLinkLabel__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE StrategicPlan__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	LastActivityDate date OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	AccountBillingAddress__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	AccountClassification__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	AccountNumber__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	AccountProfile__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	AccountType__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Account__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	AnnualITBudget__c double OPTIONS (UPDATABLE FALSE, CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	AnnualRevenue__c double OPTIONS (UPDATABLE FALSE, CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	FiscalYear__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'FY14,FY15,FY16,FY17,FY18,FY19'),
	Industry__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	NumberOfEmployees__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	NumberOfSolutions__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ParentAccount__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	PlanEndDate__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	PlanNumber__c string(30) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	PlanStartDate__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Status__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Draft,Submitted,Approved,Completed'),
	TotalOpportunityAmount__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	NumberOfStrategies__c double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'double', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Account_Account__c FOREIGN KEY(Account__c) REFERENCES Account (Id) OPTIONS (NAMEINSOURCE 'Strategic_Plans__r'),
	CONSTRAINT FK_Account_Profile__c_AccountProfile__c FOREIGN KEY(AccountProfile__c) REFERENCES Account_Profile__c (Id) OPTIONS (NAMEINSOURCE 'StrategicPlans__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE StrategicPlan__Feed (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	ParentId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	FeedPostId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'TrackedChange,UserStatus,TextPost,AdvancedTextPost,LinkPost,ContentPost,PollPost,RypplePost,ProfileSkillPost,DashboardComponentSnapshot,ApprovalPost,CaseCommentPost,ReplyPost,EmailMessageEvent,CallLogPost,ChangeStatusPost,AttachArticleEvent,MilestoneEvent,ActivityEvent,ChatTranscriptPost,CollaborationGroupCreated,CollaborationGroupUnarchived,SocialPost,QuestionPost,FacebookPost,BasicTemplateFeedItem,CreateRecordEvent,CanvasPost,AnnouncementPost'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_StrategicPlan__c_ParentId FOREIGN KEY(ParentId) REFERENCES StrategicPlan__c (Id) OPTIONS (NAMEINSOURCE 'Feeds')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'false', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE StrategicPlan__History (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	ParentId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Field string(255) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Account__c,AccountProfile__c,created,CurrencyIsoCode,feedEvent,FiscalYear__c,Name,NumberOfSolutions__c,Owner,ownerAccepted,ownerAssignment,PlanEndDate__c,PlanStartDate__c,locked,unlocked,Status__c,TotalOpportunityAmount__c'),
	OldValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	NewValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_StrategicPlan__c_ParentId FOREIGN KEY(ParentId) REFERENCES StrategicPlan__c (Id) OPTIONS (NAMEINSOURCE 'Histories')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'false', "teiid_sf:Supports Delete" 'false', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE StrategicPlan__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_StrategicPlan__c_ItemId FOREIGN KEY(ItemId) REFERENCES StrategicPlan__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE StrategicPlan_Action__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	StrategicPlan__c string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ActionSubject__c string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	AssignedTo__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	End__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	RelatedTo__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Solution__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Start__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Status__c string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Strategy__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Subject__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Strategic Plan,Strategic Plan Strategy,Strategic Plan Solution'),
	TaskId__c string(18) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	RelatedTo_Number__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_StrategicPlan_Solution__c_Solution__c FOREIGN KEY(Solution__c) REFERENCES StrategicPlan_Solution__c (Id) OPTIONS (NAMEINSOURCE 'StrategicPlan_Actions__r'),
	CONSTRAINT FK_StrategicPlan_Strategy__c_Strategy__c FOREIGN KEY(Strategy__c) REFERENCES StrategicPlan_Strategy__c (Id) OPTIONS (NAMEINSOURCE 'StrategicPlan_Actions__r'),
	CONSTRAINT FK_StrategicPlan__c_StrategicPlan__c FOREIGN KEY(StrategicPlan__c) REFERENCES StrategicPlan__c (Id) OPTIONS (NAMEINSOURCE 'StrategicPlan_Actions__r'),
	CONSTRAINT FK_User__AssignedTo__c FOREIGN KEY(AssignedTo__c) REFERENCES User_ (Id) OPTIONS (NAMEINSOURCE 'Strategic_Plan_Actions__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE StrategicPlan_Action__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_StrategicPlan_Action__c_ItemId FOREIGN KEY(ItemId) REFERENCES StrategicPlan_Action__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE StrategicPlan_OppProdSummary__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	StrategicPlan__c string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	AmountUSD__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Amount__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	DateCapturedFormatted__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	DateCaptured__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	DayOfMonthCaptured__c double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'double', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	DayOfWeekCaptured__c double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'double', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Forecast_Category__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Omitted,Pipeline,Best Case,Commit,Closed'),
	ProductCode__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ProductFamily__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ProductName__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Product__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Stage__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Prepare,Engage,Qualify,Validate,Propose,Negotiate,Closed Won,Closed Lost,Closed Booked'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Product2_Product__c FOREIGN KEY(Product__c) REFERENCES Product2 (Id) OPTIONS (NAMEINSOURCE 'Strategic_Plan_OppProdSummaries__r'),
	CONSTRAINT FK_StrategicPlan__c_StrategicPlan__c FOREIGN KEY(StrategicPlan__c) REFERENCES StrategicPlan__c (Id) OPTIONS (NAMEINSOURCE 'StrategicPlan_OppProdSummaries__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE StrategicPlan_OppProdSummary__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_StrategicPlan_OppProdSummary__c_ItemId FOREIGN KEY(ItemId) REFERENCES StrategicPlan_OppProdSummary__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE StrategicPlan_Review__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	StrategicPlan__c string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Status__c string(100) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_StrategicPlan__c_StrategicPlan__c FOREIGN KEY(StrategicPlan__c) REFERENCES StrategicPlan__c (Id) OPTIONS (NAMEINSOURCE 'Strategic_Plan_Reviews__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE StrategicPlan_Review__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_StrategicPlan_Review__c_ItemId FOREIGN KEY(ItemId) REFERENCES StrategicPlan_Review__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE StrategicPlan_ReviewHistory__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	StrategicPlan__c string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ActionDate__c timestamp OPTIONS (NATIVE_TYPE 'datetime', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Action__c string(50) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Comments__c string OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	UserName__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	User__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_StrategicPlan__c_StrategicPlan__c FOREIGN KEY(StrategicPlan__c) REFERENCES StrategicPlan__c (Id) OPTIONS (NAMEINSOURCE 'Strategic_Plan_Review_History__r'),
	CONSTRAINT FK_User__User__c FOREIGN KEY(User__c) REFERENCES User_ (Id) OPTIONS (NAMEINSOURCE 'Strategic_Plan_Review_History__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE StrategicPlan_ReviewHistory__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_StrategicPlan_ReviewHistory__c_ItemId FOREIGN KEY(ItemId) REFERENCES StrategicPlan_ReviewHistory__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE StrategicPlan_Solution__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	LastActivityDate date OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Strategy__c string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BusinessUnit__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Cloud Computing and Management,Middleware,Platform,Storage,Virtualization,Cloud,GPS,GSS'),
	ProjectedResources__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	SolutionDescription__c string(4096) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	SolutionNumber__c string(30) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Status__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Draft,Working,Completed'),
	StrategicPlan__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	StrategyName__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	StrategyNumber__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_StrategicPlan_Strategy__c_Strategy__c FOREIGN KEY(Strategy__c) REFERENCES StrategicPlan_Strategy__c (Id) OPTIONS (NAMEINSOURCE 'Solutions__r'),
	CONSTRAINT FK_StrategicPlan__c_StrategicPlan__c FOREIGN KEY(StrategicPlan__c) REFERENCES StrategicPlan__c (Id) OPTIONS (NAMEINSOURCE 'StrategicPlan_Solutions__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE StrategicPlan_Solution__History (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	ParentId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Field string(255) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'BusinessUnit__c,created,CurrencyIsoCode,feedEvent,Name,ownerAccepted,ownerAssignment,ProjectedResources__c,locked,unlocked,SolutionDescription__c,Status__c,StrategicPlan__c,Strategy__c'),
	OldValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	NewValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_StrategicPlan_Solution__c_ParentId FOREIGN KEY(ParentId) REFERENCES StrategicPlan_Solution__c (Id) OPTIONS (NAMEINSOURCE 'Histories')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'false', "teiid_sf:Supports Delete" 'false', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE StrategicPlan_Solution__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_StrategicPlan_Solution__c_ItemId FOREIGN KEY(ItemId) REFERENCES StrategicPlan_Solution__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE StrategicPlan_SolutionOpportunity__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	StrategicPlan_Solution__c string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Opportunity__c string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	AccountLink__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Amount__c double OPTIONS (UPDATABLE FALSE, CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CloseDate__c date OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'date', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CombinedKey__c string(36) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	OpportunityLink__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	OpportunityNumber__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	StageName__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Opportunity_Opportunity__c FOREIGN KEY(Opportunity__c) REFERENCES Opportunity (Id) OPTIONS (NAMEINSOURCE 'StrategicPlan_SolutionOpportuniti__r'),
	CONSTRAINT FK_StrategicPlan_Solution__c_StrategicPlan_Solution__c FOREIGN KEY(StrategicPlan_Solution__c) REFERENCES StrategicPlan_Solution__c (Id) OPTIONS (NAMEINSOURCE 'Strategic_Plan_Solution_Opportunities__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE StrategicPlan_SolutionOpportunity__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_StrategicPlan_SolutionOpportunity__c_ItemId FOREIGN KEY(ItemId) REFERENCES StrategicPlan_SolutionOpportunity__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE StrategicPlan_Strategy__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	LastActivityDate date OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	StrategicPlan__c string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	EventDate__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	EventDescription__c string(4096) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	EventName__c string(40) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	GoalDescription__c string(4096) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	GoalName__c string(40) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	GoalType__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Business,IT'),
	InitiativeDescription__c string(4096) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	InitiativeName__c string(40) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	InitiativeType__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Business,IT'),
	PainPointDescription__c string(4096) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	PainPointName__c string(40) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	PainPointType__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Business,IT'),
	ProjectedResources__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Status__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Draft,Working,Completed'),
	StrategyNumber__c string(30) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_StrategicPlan__c_StrategicPlan__c FOREIGN KEY(StrategicPlan__c) REFERENCES StrategicPlan__c (Id) OPTIONS (NAMEINSOURCE 'Strategies__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE StrategicPlan_Strategy__History (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	ParentId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Field string(255) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'created,CurrencyIsoCode,EventDate__c,EventDescription__c,EventName__c,feedEvent,GoalDescription__c,GoalName__c,GoalType__c,InitiativeDescription__c,InitiativeName__c,InitiativeType__c,Name,ownerAccepted,ownerAssignment,PainPointDescription__c,PainPointName__c,PainPointType__c,ProjectedResources__c,locked,unlocked,Status__c,StrategicPlan__c'),
	OldValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	NewValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_StrategicPlan_Strategy__c_ParentId FOREIGN KEY(ParentId) REFERENCES StrategicPlan_Strategy__c (Id) OPTIONS (NAMEINSOURCE 'Histories')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'false', "teiid_sf:Supports Delete" 'false', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE StrategicPlan_Strategy__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_StrategicPlan_Strategy__c_ItemId FOREIGN KEY(ItemId) REFERENCES StrategicPlan_Strategy__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE StringSetting__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(38) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	SetupOwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Value__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id)
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE StringSetting__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_StringSetting__c_ItemId FOREIGN KEY(ItemId) REFERENCES StringSetting__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Subscription__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	LastActivityDate date OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	AccountId__c string(18) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Account__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	AssignToId__c string(18) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	AssignTo__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BatchId__c string(20) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Batch__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BillToAccountId__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BillToAccountNumber__c string(30) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BillToAddress1__c string(720) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BillToAddress2__c string(720) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BillToAddress__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BillToCDHPartyNumber__c string(30) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BillToCDHPartySiteNumber__c string(30) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BillToCity__c string(180) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BillToContCDHPartyNumber__c string(30) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BillToContactEmail__c string(100) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BillToContactFirstName__c string(360) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BillToContactId__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BillToContactLastName__c string(720) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BillToContactName__c string(1080) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BillToContactPhone__c string(60) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BillToContact__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BillToCountry__c string(180) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BillToEBSAccount__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BillToLocationId__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BillToPartyId__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BillToPartyName__c string(1080) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BillToPartyNumber__c string(30) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BillToPostalCode__c string(180) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BillToSFAddressId__c string(18) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BillToSalesAccountId__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BillToSalesAccount__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BillToSfContactId__c string(18) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BillToSfEBSAccountId__c string(18) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BillToState__c string(180) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BookedDate__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BusinessUnitId__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BusinessUnitName__c string(100) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CampaignId__c string(18) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Campaign__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CompositeKey__c string(48) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ContractAmount__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ContractEndDate__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ContractId__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ContractNumber__c string(30) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ContractStartDate__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ContractStatus__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Active,Cancelled,Entered,Expired,Signed,Terminated,Termination_Hold'),
	CountryOfOrder__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Afghanistan,Albania,Algeria,Andorra,Angola,Anguilla,Antigua and Barbuda,Argentina,Armenia,Aruba,Australia,Austria,Azerbaijan,Bahamas,Bahrain,Bangladesh,Barbados,Belarus,Belgium,Belize,Benin,Bermuda,Bhutan,Bolivia,Bosnia and Herzegovina,Botswana,Bouvet Island,Brazil,Brunei Darussalam,Bulgaria,Burkina Faso,Burundi,Cambodia,Cameroon,Canada,Cape Verde,Cayman Islands,Central African Republic,Chad,Chile,China,Colombia,Comoros,Congo,Congo, The Democratic Republic of the,Costa Rica,Cote d''Ivoire,Croatia,Cyprus,Czech Republic,Denmark,Djibouti,Dominica,Dominican Republic,Ecuador,Egypt,El Salvador,Equatorial Guinea,Eritrea,Estonia,Ethiopia,Falkland Islands (Malvinas),Faroe Islands,Fiji,Finland,France,French Guiana,French Polynesia,Gabon,Gambia,Georgia,Germany,Ghana,Gibraltar,Greece,Greenland,Grenada,Guadeloupe,Guam,Guatemala,Guernsey,Guinea,Guinea-Bissau,Guyana,Haiti,Holy See (Vatican City State),Honduras,Hong Kong,Hungary,Iceland,India,Indonesia,Iraq,Ireland,Israel,Italy,Jamaica,Japan,Jordan,Kazakhstan,Kenya,Kiribati,Korea, Republic of,Kuwait,Kyrgyzstan,Lao People''s Democratic Republic,Latvia,Lebanon,Lesotho,Liberia,Libyan Arab Jamahiriya,Liechtenstein,Lithuania,Luxembourg,Macao,Macedonia, the Former Yugoslav Republic of,Madagascar,Malawi,Malaysia,Maldives,Mali,Malta,Martinique,Mauritania,Mauritius,Mayotte,Mexico,Moldova, Republic of,Monaco,Mongolia,Montserrat,Morocco,Mozambique,Myanmar,Namibia,Nauru,Nepal,Netherlands,New Zealand,Nicaragua,Niger,Nigeria,Norway,Oman,Pakistan,Palau,Panama,Papua New Guinea,Paraguay,Peru,Philippines,Poland,Portugal,Puerto Rico,Qatar,Reunion,Romania,Russian Federation,Rwanda,Saint Helena,Saint Kitts and Nevis,Saint Lucia,Saint Pierre and Miquelon,Saint Vincent and the Grenadines,Samoa,San Marino,Sao Tome and Principe,Saudi Arabia,Senegal,Serbia,Serbia and Montenegro,Seychelles,Sierra Leone,Singapore,Slovakia,Slovenia,Solomon Islands,Somalia,South Africa,Spain,Sri Lanka,Suriname,Svalbard and Jan Mayen,Swaziland,Sweden,Switzerland,Taiwan,Tajikistan,Tanzania, United Republic of,Thailand,Timor-Leste,Togo,Tonga,Trinidad and Tobago,Tunisia,Turkey,Turkmenistan,Turks and Caicos Islands,Tuvalu,Uganda,Ukraine,United Arab Emirates,United Kingdom,United States,United States Minor Outlying Islands,Uruguay,Uzbekistan,Vanuatu,Venezuela,Vietnam,Virgin Islands, British,Virgin Islands, U.S,Wallis and Futuna,Western Sahara,Yemen,Zambia,Zimbabwe'),
	EntitleToAccountId__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	EntitleToAccountNumber__c string(30) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	EntitleToAddress1__c string(720) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	EntitleToAddress2__c string(720) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	EntitleToAddress__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	EntitleToCDHPartyNumber__c string(30) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	EntitleToCDHPartySiteNumber__c string(30) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	EntitleToCity__c string(180) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	EntitleToContCDHPartyNumber__c string(30) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	EntitleToContactEmail__c string(100) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	EntitleToContactFirstName__c string(360) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	EntitleToContactId__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	EntitleToContactLastName__c string(720) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	EntitleToContactName__c string(1080) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	EntitleToContactPhone__c string(60) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	EntitleToContact__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	EntitleToCountry__c string(180) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	EntitleToEBSAccount__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	EntitleToLocationId__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	EntitleToPartyId__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	EntitleToPartyName__c string(1080) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	EntitleToPartyNumber__c string(30) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	EntitleToPostalCode__c string(180) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	EntitleToSalesAccountId__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	EntitleToSalesAccount__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	EntitleToSfAddressId__c string(18) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	EntitleToSfContactId__c string(18) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	EntitleToSfEBSAccountId__c string(18) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	EntitleToState__c string(180) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ErrorMessage__c string(4096) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ExpiringProductsAmount__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	FiscalQuarter__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	FiscalYear__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	IsChannelLoadComplete__c boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	IsHidden__c boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	LeadSourceDetail__c string(100) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	OpportunityNumber__c string(30) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Opportunity__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	OrderId__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	OrderNumber__c string(30) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	OrderReason__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	OrderSourceId__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	OrderSourceName__c string(30) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	OrderTypeId__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	OrderTypeName__c string(30) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	OriginalOpportunityId__c string(18) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	OriginalOpportunity__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	PurchaseOrderNumber__c string(150) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Region__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'ANDINO,ANZ,ASEAN,Brazil,Canada,CE,CEACA,GCG,India/Pakistan,Japan,Korea,LATAM,Mexico,NEE,NOLA,SE,SEMEA,SOLA,US'),
	SSI_InScope__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	SSI_OptIn__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	SSI_Status__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	SalesChannelCode__c string(30) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	SalesrepOnOrder__c string(720) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	SellingContact__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ShipToAccountId__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ShipToAccountNumber__c string(30) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ShipToAddress1__c string(720) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ShipToAddress2__c string(720) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ShipToAddress__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ShipToCDHPartyNumber__c string(30) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ShipToCDHPartySiteNumber__c string(30) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ShipToCity__c string(180) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ShipToContCDHPartyNumber__c string(30) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ShipToContactEmail__c string(100) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ShipToContactFirstName__c string(360) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ShipToContactId__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ShipToContactLastName__c string(720) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ShipToContactName__c string(1080) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ShipToContactPhone__c string(60) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ShipToContact__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ShipToCountry__c string(180) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ShipToEBSAccount__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ShipToLocationId__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ShipToPartyId__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ShipToPartyName__c string(1080) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ShipToPartyNumber__c string(30) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ShipToPostalCode__c string(180) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ShipToSFContactId__c string(18) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ShipToSalesAccountId__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ShipToSalesAccount__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ShipToSfAddressId__c string(18) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ShipToSfEBSAccountId__c string(18) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ShipToState__c string(180) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ShippingContact__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	SoldToAccountId__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	SoldToAccountNumber__c string(30) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	SoldToAddress1__c string(720) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	SoldToAddress2__c string(720) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	SoldToAddress__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	SoldToCDHPartyNumber__c string(30) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	SoldToCDHPartySiteNumber__c string(30) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	SoldToCity__c string(180) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	SoldToContCDHPartyNumber__c string(30) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	SoldToContactEmail__c string(100) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	SoldToContactFirstName__c string(360) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	SoldToContactId__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	SoldToContactLastName__c string(720) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	SoldToContactName__c string(1080) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	SoldToContactPhone__c string(60) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	SoldToContact__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	SoldToCountry__c string(180) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	SoldToEBSAccount__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	SoldToLocationId__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	SoldToPartyId__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	SoldToPartyName__c string(1080) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	SoldToPartyNumber__c string(30) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	SoldToPostalCode__c string(180) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	SoldToSalesAccountId__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	SoldToSalesAccount__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	SoldToSfAddressId__c string(18) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	SoldToSfContactId__c string(18) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	SoldToSfEBSAccountId__c string(18) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	SoldToState__c string(180) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Status__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'WAIT for Channel Load,HOLD for Decision,READY,READY for SSI,DO NOT LOAD,ERROR,SUCCESS,MERGED'),
	SuperRegion__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'APAC,EMEA,JAPAN,LATAM,NA'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Account_Account__c FOREIGN KEY(Account__c) REFERENCES Account (Id) OPTIONS (NAMEINSOURCE 'Subscriptions__r'),
	CONSTRAINT FK_Account_BillToSalesAccount__c FOREIGN KEY(BillToSalesAccount__c) REFERENCES Account (Id) OPTIONS (NAMEINSOURCE 'SubscriptionsBillTo__r'),
	CONSTRAINT FK_Account_EntitleToSalesAccount__c FOREIGN KEY(EntitleToSalesAccount__c) REFERENCES Account (Id) OPTIONS (NAMEINSOURCE 'SubscriptionsEntitleTo__r'),
	CONSTRAINT FK_Account_ShipToSalesAccount__c FOREIGN KEY(ShipToSalesAccount__c) REFERENCES Account (Id) OPTIONS (NAMEINSOURCE 'SubscriptionsShipTo__r'),
	CONSTRAINT FK_Account_SoldToSalesAccount__c FOREIGN KEY(SoldToSalesAccount__c) REFERENCES Account (Id) OPTIONS (NAMEINSOURCE 'Subscriptions1__r'),
	CONSTRAINT FK_Address__c_BillToAddress__c FOREIGN KEY(BillToAddress__c) REFERENCES Address__c (Id) OPTIONS (NAMEINSOURCE 'SubscriptionsBillTo__r'),
	CONSTRAINT FK_Address__c_EntitleToAddress__c FOREIGN KEY(EntitleToAddress__c) REFERENCES Address__c (Id) OPTIONS (NAMEINSOURCE 'SubscriptionsEntitleTo__r'),
	CONSTRAINT FK_Address__c_ShipToAddress__c FOREIGN KEY(ShipToAddress__c) REFERENCES Address__c (Id) OPTIONS (NAMEINSOURCE 'SubscriptionsShipTo__r'),
	CONSTRAINT FK_Address__c_SoldToAddress__c FOREIGN KEY(SoldToAddress__c) REFERENCES Address__c (Id) OPTIONS (NAMEINSOURCE 'SubscriptionsSoldTo__r'),
	CONSTRAINT FK_Campaign_Campaign__c FOREIGN KEY(Campaign__c) REFERENCES Campaign (Id) OPTIONS (NAMEINSOURCE 'Subscriptions__r'),
	CONSTRAINT FK_Contact_BillToContact__c FOREIGN KEY(BillToContact__c) REFERENCES Contact (Id) OPTIONS (NAMEINSOURCE 'SubscriptionsBillTo__r'),
	CONSTRAINT FK_Contact_EntitleToContact__c FOREIGN KEY(EntitleToContact__c) REFERENCES Contact (Id) OPTIONS (NAMEINSOURCE 'SubscriptionsEntitleTo__r'),
	CONSTRAINT FK_Contact_SellingContact__c FOREIGN KEY(SellingContact__c) REFERENCES Contact (Id) OPTIONS (NAMEINSOURCE 'SubscriptionsSellingContact__r'),
	CONSTRAINT FK_Contact_ShipToContact__c FOREIGN KEY(ShipToContact__c) REFERENCES Contact (Id) OPTIONS (NAMEINSOURCE 'SubscriptionsShipTo__r'),
	CONSTRAINT FK_Contact_ShippingContact__c FOREIGN KEY(ShippingContact__c) REFERENCES Contact (Id) OPTIONS (NAMEINSOURCE 'Subscriptions__r'),
	CONSTRAINT FK_Contact_SoldToContact__c FOREIGN KEY(SoldToContact__c) REFERENCES Contact (Id) OPTIONS (NAMEINSOURCE 'SubscriptionsSoldTo__r'),
	CONSTRAINT FK_EBS_Account__c_BillToEBSAccount__c FOREIGN KEY(BillToEBSAccount__c) REFERENCES EBS_Account__c (Id) OPTIONS (NAMEINSOURCE 'SubscriptionsBillTo__r'),
	CONSTRAINT FK_EBS_Account__c_EntitleToEBSAccount__c FOREIGN KEY(EntitleToEBSAccount__c) REFERENCES EBS_Account__c (Id) OPTIONS (NAMEINSOURCE 'SubscriptionsEntitleTo__r'),
	CONSTRAINT FK_EBS_Account__c_ShipToEBSAccount__c FOREIGN KEY(ShipToEBSAccount__c) REFERENCES EBS_Account__c (Id) OPTIONS (NAMEINSOURCE 'SubscriptionsShipTo__r'),
	CONSTRAINT FK_EBS_Account__c_SoldToEBSAccount__c FOREIGN KEY(SoldToEBSAccount__c) REFERENCES EBS_Account__c (Id) OPTIONS (NAMEINSOURCE 'SubscriptionsSoldTo__r'),
	CONSTRAINT FK_Opportunity_Opportunity__c FOREIGN KEY(Opportunity__c) REFERENCES Opportunity (Id) OPTIONS (NAMEINSOURCE 'Subscriptions__r'),
	CONSTRAINT FK_Opportunity_OriginalOpportunity__c FOREIGN KEY(OriginalOpportunity__c) REFERENCES Opportunity (Id) OPTIONS (NAMEINSOURCE 'SubscriptionRenewals__r'),
	CONSTRAINT FK_SubscriptionBatch__c_Batch__c FOREIGN KEY(Batch__c) REFERENCES SubscriptionBatch__c (Id) OPTIONS (NAMEINSOURCE 'Subscriptions__r'),
	CONSTRAINT FK_User__AssignTo__c FOREIGN KEY(AssignTo__c) REFERENCES User_ (Id) OPTIONS (NAMEINSOURCE 'Subscriptions__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE Subscription__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Subscription__c_ItemId FOREIGN KEY(ItemId) REFERENCES Subscription__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE SubscriptionBatch__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	LastActivityDate date OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	APACChannelLoadComplete__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	BatchId__c string(20) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	EMEAChannelLoadComplete__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	IsHidden__c boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	LATAMChannelLoadComplete__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	LoadDate__c date OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'date', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	NAChannelLoadComplete__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	CONSTRAINT Id_PK PRIMARY KEY(Id)
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE SubscriptionBatch__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_SubscriptionBatch__c_ItemId FOREIGN KEY(ItemId) REFERENCES SubscriptionBatch__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE SubscriptionError__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	Subscription__c string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Details__c string(4096) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Reason__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Inactive SKU,Internal Error,Invalid Financial Partner,Invalid Line,Invalid Owner,Invalid Partner,Invalid SKU,Matching Failure,Missing Account,WARNING'),
	SubscriptionLine__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	SubscriptionPartnerRelationship__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_SubscriptionLine__c_SubscriptionLine__c FOREIGN KEY(SubscriptionLine__c) REFERENCES SubscriptionLine__c (Id) OPTIONS (NAMEINSOURCE 'Subscription_Errors__r'),
	CONSTRAINT FK_SubscriptionPartnerRelationship__c_SubscriptionPartnerRelationship__c FOREIGN KEY(SubscriptionPartnerRelationship__c) REFERENCES SubscriptionPartnerRelationship__c (Id) OPTIONS (NAMEINSOURCE 'Subscription_Errors__r'),
	CONSTRAINT FK_Subscription__c_Subscription__c FOREIGN KEY(Subscription__c) REFERENCES Subscription__c (Id) OPTIONS (NAMEINSOURCE 'Subscription_Errors__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE SubscriptionError__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_SubscriptionError__c_ItemId FOREIGN KEY(ItemId) REFERENCES SubscriptionError__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE SubscriptionLine__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	LastActivityDate date OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	BatchId__c string(20) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Batch__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ConfiguredItem__c string(120) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ContractId__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ContractLineId__c string(40) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ConversionRate__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	DnrFlag__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	EntitleToAccountId__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	EntitleToAccountNumber__c string(30) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	EntitleToAddress1__c string(720) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	EntitleToAddress2__c string(720) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	EntitleToAddress__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	EntitleToCDHPartyNumber__c string(30) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	EntitleToCDHPartySiteNumber__c string(30) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	EntitleToCity__c string(180) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	EntitleToContCDHPartyNumber__c string(30) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	EntitleToContactEmail__c string(100) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	EntitleToContactFirstName__c string(720) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	EntitleToContactId__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	EntitleToContactLastName__c string(720) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	EntitleToContactName__c string(1080) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	EntitleToContactPhone__c string(60) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	EntitleToContact__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	EntitleToCountry__c string(180) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	EntitleToEBSAccount__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	EntitleToLocationId__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	EntitleToPartyId__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	EntitleToPartyName__c string(720) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	EntitleToPartyNumber__c string(30) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	EntitleToPostalCode__c string(180) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	EntitleToSalesAccountId__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	EntitleToSalesAccount__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	EntitleToSfAddressId__c string(18) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	EntitleToSfContactId__c string(18) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	EntitleToSfEBSAccountId__c string(18) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	EntitleToState__c string(180) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ErrorMessage__c string(4096) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ExpiringProduct__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	FiscalQuarter__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	FiscalYear__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	FulfilledItemDescription__c string(720) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	FulfilledItem__c string(120) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	InstanceNumber__c string(30) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ListPrice__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	NetTotalPrice__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	NetUnitSellingPrice__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	NfrFlag__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	OpportunityLineItemId__c string(18) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	OpportunityLineItemLink__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	OrderId__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	OrderLineId__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	OrderLineNumber__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	OrderedItem__c string(120) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	OrderedQuantity__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	OrigOpportunityLineId__c string(18) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	OrigOpportunityLineLink__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	OriginalCompositeKey__c string(48) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	OriginalSubscription__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ProductLine__c string(60) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	RenewalItem__c string(120) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	RenewalTotalPrice__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	RenewalUnitPrice__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ServiceEndDate__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ServiceStartDate__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Status__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'READY,SUCCESS,ERROR'),
	SubscriptionCompositeKey__c string(48) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	SubscriptionOwnerId__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Subscription__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	SubstituteItemListPrice__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	SubstituteItem__c string(120) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	SubstituteQuantity__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	TotalPrice__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	UnitListPrice__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	UnitSellingPrice__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Account_EntitleToSalesAccount__c FOREIGN KEY(EntitleToSalesAccount__c) REFERENCES Account (Id) OPTIONS (NAMEINSOURCE 'SubscriptionLinesEntitleTo__r'),
	CONSTRAINT FK_Address__c_EntitleToAddress__c FOREIGN KEY(EntitleToAddress__c) REFERENCES Address__c (Id) OPTIONS (NAMEINSOURCE 'SubscriptionLinesEntitleTo__r'),
	CONSTRAINT FK_Contact_EntitleToContact__c FOREIGN KEY(EntitleToContact__c) REFERENCES Contact (Id) OPTIONS (NAMEINSOURCE 'Subscription_Lines__r'),
	CONSTRAINT FK_EBS_Account__c_EntitleToEBSAccount__c FOREIGN KEY(EntitleToEBSAccount__c) REFERENCES EBS_Account__c (Id) OPTIONS (NAMEINSOURCE 'SubscriptionLinesEntitleTo__r'),
	CONSTRAINT FK_Expiring_Product__c_ExpiringProduct__c FOREIGN KEY(ExpiringProduct__c) REFERENCES Expiring_Product__c (Id) OPTIONS (NAMEINSOURCE 'Subscription_Lines__r'),
	CONSTRAINT FK_SubscriptionBatch__c_Batch__c FOREIGN KEY(Batch__c) REFERENCES SubscriptionBatch__c (Id) OPTIONS (NAMEINSOURCE 'Subscription_Lines__r'),
	CONSTRAINT FK_Subscription__c_OriginalSubscription__c FOREIGN KEY(OriginalSubscription__c) REFERENCES Subscription__c (Id) OPTIONS (NAMEINSOURCE 'Original_Subscription_Lines__r'),
	CONSTRAINT FK_Subscription__c_Subscription__c FOREIGN KEY(Subscription__c) REFERENCES Subscription__c (Id) OPTIONS (NAMEINSOURCE 'SubscriptionLines__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE SubscriptionLine__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_SubscriptionLine__c_ItemId FOREIGN KEY(ItemId) REFERENCES SubscriptionLine__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE SubscriptionPartner__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	LastActivityDate date OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	AccountId__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	AccountNumber__c string(30) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Account__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Address1__c string(720) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Address2__c string(720) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ApId__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BatchId__c string(20) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Batch__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	City__c string(180) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CompositeKey__c string(40) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ContactEmail__c string(100) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ContactFirstName__c string(720) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ContactLastName__c string(720) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ContactName__c string(1080) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ContactPhone__c string(60) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Country__c string(180) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	OrderId__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	PartnerStatus__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	PartnerType__c string(300) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	PartyId__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	PartyName__c string(1080) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	PartyNumber__c string(30) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	PostalCode__c string(180) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	PurchaseOrderNumber__c string(300) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	State__c string(180) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Subtype__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Hosting ISP,Reseller Solution Provider,Standard Reseller,Training ISP'),
	Tier__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Reseller Sol Provider Ready,Standard Reseller Advanced,Standard Reseller Premier,Standard Reseller Ready,Standard Reseller Unaffiliated'),
	TransactionRole__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Financial,Influencing,Non Entitled Endco,Reseller 10,Reseller 2,Reseller 3,Reseller 4,Reseller 5,Reseller 6,Reseller 7,Reseller 8,Reseller 9'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Account_Account__c FOREIGN KEY(Account__c) REFERENCES Account (Id) OPTIONS (NAMEINSOURCE 'Subscription_Partners__r'),
	CONSTRAINT FK_PartnerStatus__c_PartnerStatus__c FOREIGN KEY(PartnerStatus__c) REFERENCES PartnerStatus__c (Id) OPTIONS (NAMEINSOURCE 'Subscription_Partners__r'),
	CONSTRAINT FK_SubscriptionBatch__c_Batch__c FOREIGN KEY(Batch__c) REFERENCES SubscriptionBatch__c (Id) OPTIONS (NAMEINSOURCE 'Subscription_Partners__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE SubscriptionPartner__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_SubscriptionPartner__c_ItemId FOREIGN KEY(ItemId) REFERENCES SubscriptionPartner__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE SubscriptionPartnerRelationship__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	Subscription__c string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	SubscriptionPartner__c string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	AccountId__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ApId__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CompositeKey__c string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ContractId__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ErrorMessage__c string(4096) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	OpportunityPartner__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	OrderId__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Status__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'READY,SUCCESS,ERROR'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_OpportunityPartner__c_OpportunityPartner__c FOREIGN KEY(OpportunityPartner__c) REFERENCES OpportunityPartner__c (Id) OPTIONS (NAMEINSOURCE 'Subscription_Partner_Relationships__r'),
	CONSTRAINT FK_SubscriptionPartner__c_SubscriptionPartner__c FOREIGN KEY(SubscriptionPartner__c) REFERENCES SubscriptionPartner__c (Id) OPTIONS (NAMEINSOURCE 'Subscription_Partner_Relationships__r'),
	CONSTRAINT FK_Subscription__c_Subscription__c FOREIGN KEY(Subscription__c) REFERENCES Subscription__c (Id) OPTIONS (NAMEINSOURCE 'Subscription_Partner_Relationships__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE SubscriptionPartnerRelationship__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_SubscriptionPartnerRelationship__c_ItemId FOREIGN KEY(ItemId) REFERENCES SubscriptionPartnerRelationship__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE SubscriptionReportCriteria__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	EndDate__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	StartDate__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	SuperRegion__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'APAC,EMEA'),
	CONSTRAINT Id_PK PRIMARY KEY(Id)
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE SubscriptionReportCriteria__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_SubscriptionReportCriteria__c_ItemId FOREIGN KEY(ItemId) REFERENCES SubscriptionReportCriteria__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE SumTotal_Catalog__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	LastActivityDate date OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Activity_Name__c string(100) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Attributes__c string(50) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Description__c string(1000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Global_Region__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'NA,EMEA,APAC,LATAM,Global'),
	IsActive__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	IsCertification__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Language__c string(10) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Parent_Activity_ID__c string(50) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Skill__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Platform,Platform Migration,Virtualization / RHEV,Storage,Application Development,Middleware Migration,Middleware Integration Services,Business Process Automation,Cloud Infrastructure,Platform as a Service,Infrastructure as a Service,Cloud Management'),
	SumTotal_ID__c string(50) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Sync_Stamp__c string(20) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Training_Path__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Training_Type__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Course,Exam,Accreditation'),
	Version__c string(10) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_PartnerTrack__c_Training_Path__c FOREIGN KEY(Training_Path__c) REFERENCES PartnerTrack__c (Id) OPTIONS (NAMEINSOURCE 'SumTotal_Catalog__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE SumTotal_Catalog__History (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	ParentId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Field string(255) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Activity_Name__c,Attributes__c,created,CurrencyIsoCode,Description__c,feedEvent,Global_Region__c,IsActive__c,IsCertification__c,Language__c,Name,Owner,ownerAccepted,ownerAssignment,Parent_Activity_ID__c,locked,unlocked,Skill__c,SumTotal_ID__c,Sync_Stamp__c,Training_Path__c,Training_Type__c,Version__c'),
	OldValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	NewValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_SumTotal_Catalog__c_ParentId FOREIGN KEY(ParentId) REFERENCES SumTotal_Catalog__c (Id) OPTIONS (NAMEINSOURCE 'Histories')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'false', "teiid_sf:Supports Delete" 'false', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE SumTotal_Catalog__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_SumTotal_Catalog__c_ItemId FOREIGN KEY(ItemId) REFERENCES SumTotal_Catalog__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE SumTotal_Request__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	Action__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Create User,Update User,Deactivate User,Activate User'),
	CompleteTime__c timestamp OPTIONS (NATIVE_TYPE 'datetime', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Status_Message__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Status__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Pending,Success,Fail,In Progress'),
	SubmitTime__c timestamp OPTIONS (NATIVE_TYPE 'datetime', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	User__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_User__User__c FOREIGN KEY(User__c) REFERENCES User_ (Id) OPTIONS (NAMEINSOURCE 'SumTotal_Requests__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE SumTotal_Request__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_SumTotal_Request__c_ItemId FOREIGN KEY(ItemId) REFERENCES SumTotal_Request__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE SumTotal_Setting__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	Item_Value__c string(50) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Item__c string(50) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id)
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE SumTotal_Setting__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_SumTotal_Setting__c_ItemId FOREIGN KEY(ItemId) REFERENCES SumTotal_Setting__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE SumTotal_Training__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	External_ID__c string(50) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	SumTotal_Activity_ID__c string(50) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Sync_Stamp__c string(30) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	User__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	When_Earned__c timestamp OPTIONS (NATIVE_TYPE 'datetime', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_User__User__c FOREIGN KEY(User__c) REFERENCES User_ (Id) OPTIONS (NAMEINSOURCE 'SumTotal_Training__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE SumTotal_Training__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_SumTotal_Training__c_ItemId FOREIGN KEY(ItemId) REFERENCES SumTotal_Training__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Super_Industry__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	Industry__c string(100) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Super_Industry__c string(100) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id)
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE Super_Industry__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Super_Industry__c_ItemId FOREIGN KEY(ItemId) REFERENCES Super_Industry__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE TagDefinition (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Type string(40) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id)
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'false', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE Task (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	RecordTypeId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	WhoId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	WhatId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Subject string(255) OPTIONS (NATIVE_TYPE 'combobox', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ActivityDate date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Status string(40) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Not Started,In Progress,Waiting for RSM,Waiting for SA,Completed,Waiting on someone else,Deferred,Triage - Credit,Triage - Finance,Triage - Sales,System Deferred,Triage - Legal,Sent,0 Day Renewal Notice'),
	Priority string(40) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'High,Normal,Low'),
	OwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Description string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	Type string(40) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Email,Meeting,Other,Call'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	AccountId string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsClosed boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsArchived boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsVisibleInSelfService boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CallDurationInSeconds integer OPTIONS (NATIVE_TYPE 'int', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CallType string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Internal,Inbound,Outbound'),
	CallDisposition string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CallObject string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ReminderDateTime timestamp OPTIONS (NATIVE_TYPE 'datetime', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsReminderSet boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	RecurrenceActivityId string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsRecurrence boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	RecurrenceStartDateOnly date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	RecurrenceEndDateOnly date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	RecurrenceTimeZoneSidKey string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Pacific/Kiritimati,Pacific/Chatham,Pacific/Auckland,Pacific/Enderbury,Pacific/Tongatapu,Asia/Kamchatka,Pacific/Fiji,Pacific/Norfolk,Australia/Lord_Howe,Australia/Sydney,Pacific/Guadalcanal,Australia/Adelaide,Australia/Brisbane,Australia/Darwin,Asia/Seoul,Asia/Tokyo,Asia/Hong_Kong,Asia/Kuala_Lumpur,Asia/Manila,Asia/Shanghai,Asia/Singapore,Asia/Taipei,Australia/Perth,Asia/Bangkok,Asia/Ho_Chi_Minh,Asia/Jakarta,Asia/Rangoon,Asia/Dhaka,Asia/Kathmandu,Asia/Colombo,Asia/Kolkata,Asia/Karachi,Asia/Tashkent,Asia/Yekaterinburg,Asia/Kabul,Asia/Dubai,Asia/Tbilisi,Asia/Tehran,Africa/Nairobi,Asia/Baghdad,Asia/Kuwait,Asia/Riyadh,Europe/Minsk,Europe/Moscow,Africa/Cairo,Africa/Johannesburg,Asia/Jerusalem,Europe/Athens,Europe/Bucharest,Europe/Helsinki,Europe/Istanbul,Africa/Algiers,Europe/Amsterdam,Europe/Berlin,Europe/Brussels,Europe/Paris,Europe/Prague,Europe/Rome,Europe/Dublin,Europe/Lisbon,Europe/London,GMT,Atlantic/Cape_Verde,Atlantic/South_Georgia,America/St_Johns,America/Argentina/Buenos_Aires,America/Halifax,America/Santiago,America/Sao_Paulo,Atlantic/Bermuda,America/Indiana/Indianapolis,America/New_York,America/Puerto_Rico,America/Caracas,America/Bogota,America/Chicago,America/Lima,America/Panama,America/Denver,America/El_Salvador,America/Mexico_City,America/Los_Angeles,America/Phoenix,America/Tijuana,America/Anchorage,Pacific/Honolulu,Pacific/Niue,Pacific/Pago_Pago'),
	RecurrenceType string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'RecursDaily,RecursEveryWeekday,RecursMonthly,RecursMonthlyNth,RecursWeekly,RecursYearly,RecursYearlyNth'),
	RecurrenceInterval integer OPTIONS (NATIVE_TYPE 'int', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	RecurrenceDayOfWeekMask integer OPTIONS (NATIVE_TYPE 'int', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	RecurrenceDayOfMonth integer OPTIONS (NATIVE_TYPE 'int', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	RecurrenceInstance string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'First,Second,Third,Fourth,Last'),
	RecurrenceMonthOfYear string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'January,February,March,April,May,June,July,August,September,October,November,December'),
	BestTimeToCall__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Morning,Noon,Night'),
	externalIdName__c string(30) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	RejectionReason__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" '0.00 Amount not approved,Backdate Subsc Start-date,Billing/Shipping Info Missing,Billing Account Number Invalid,Billing Acct/Info Incorrect/Missing,Billing Address Incorrect,Billing Address Missing,Contract Incorrect/Missing/Unsigned,Contract Missing/Not Signed,Contract Numbers Incorrect,Contract Numbers Missing,Co-Terms Info Incorrect/Missing,Credit Card Declined,Credit Related/Payment Terms Issues,Credit Status/Payment Terms Issues,Customer Hold or Delivery Delay,Cut-Off Time Exceeded,Description Missing,Discount Not Approved,Duplicate Order,EU Login Incorrect/Missing,Finance Approval Required,Handwritten Change Not Acceptable,Incorrect Account Classification,Incorrect SKUs,Invalid RH Entitlement Login,Legal/BD Review & Approval,Legal Agreement not attached / Missing,Legal Approval,Legal Approval Required,Legal Entity Not Correct,Login/Acct # Invalid/Missing,Missing Pages,Missing Reference to Existing Agreement,Missing Signatures,Missing SKUs,New Party / Account Request,No PO Letter needs Approval,No PO Letter Required,Other,Payment Terms Missing,Payment Terms Not Approved,PO/Credit Card Info Incorrect/Missing,PO Missing,PO not attached / missing,Pricing Incorrect,Product/Discount Approval Required,Qty/Price/Products Not Equal,Renewal Dates are Incorrect/Missing,Renewal Info/Start Date Needed,Renewal Information Incorrect/Missing,Sales Mgmt or PM Approval Required,Shipping Address Incorrect,Shipping Address Missing,Shipping Info Incorrect/Missing,SKU/Qty/Currency/Price Incorrect,SKU Qty/Price/Desc Issue,Start/End Date Missing,Start Date Over 14 Days Old,Subsc Dates/Term Issue,Tax Info Missing/Incorrect,Unclear - Auto entitlement Vs Keys,VAT # Missing/Incorrect,VAT number missing/incorrect,Waiting Saba # or CM# or Others'' Info,Wrong Billing Acct#,Wrong Currency'),
	OMComments__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Prepay_Required__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	OE_Form_Printed__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Prepay_Paid__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Task_Duration__c double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'double', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Credit_Finance_Comments__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	OM_Verified__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Strategic_Selling_Category__c string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Partner_Created__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Sales_Comments__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Category__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Goal,Tandem Review,Education (webinar, house fair, product presentation, workshops  etc.),Reporting (quarterly performance review, progress analysis, plain numbers),Documentation (creation of account profile, account plan, account overview etc.),Task (anything else)'),
	Requester__c string(200) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Last_Due_date__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Due_date_changed_on__c timestamp OPTIONS (NATIVE_TYPE 'datetime', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Contents__c string(255) OPTIONS (NATIVE_TYPE 'url', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Related_Opportunity_Region__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Send_Notification__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Billing_Comments__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Actions_from_Visit__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Notes_from_Visit__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Reason_of_Visit__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	OM_Comments_Continued__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	OM_Comments_Final__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Call_Results__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Bad Number,Left Message,Obtained Information Needed,Scheduled Follow Up,Sent Email'),
	Partner_Comments__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Purpose__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Welcome - Schedule Initial Call,Qualification - Reselling?,Commitment - Obtainment,Commitment - Monitoring,Nurturing - Sales Activation,Nurturing - Monitoring'),
	Escalation_Stage__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Customer Identified,Waiting Customer Response,Negotiation With Customer,Proposal Approved,CIO Letter,Voluntary Assessment (Rho),Assessment (Program),Assessment (Migrate),Assessment (Terminate),Audit,Termination Letter,Certification (Migrate),Certification (Decommissioned),Certification (No Distribution ISV),Certification (Over-Deployment),Waiting PO,Sales Team Engaged,Compliance Team Engaged,Self Assessment,Self-Assessment (Migrate),Self-Assessment (Terminate)'),
	Summary__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Project_Account_Comments__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	GLS_Comments__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Age_of_Escalation_Stage__c double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'double', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Clearances__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'US Citizen,US DoD Secret,US DoD Top Secret,US DoD Top Secret/SCI,Other'),
	Date_Escalation_Stage_Set__c timestamp OPTIONS (NATIVE_TYPE 'datetime', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Distributor__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Carahsoft,DLT,Other,Not Applicable'),
	Legal_Comments__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Other__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Task_Source_Detail__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Task_Source__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'GSS ID,Sales ID,SEAP ID'),
	Contract_Date__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Current_Contract__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Click Through,MSA'),
	Latest_Expiration__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Server_Environment_Size__c string(25) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Servers_Checking_In__c string(25) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Support_Tickets__c string(25) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ClosedDate__c timestamp OPTIONS (NATIVE_TYPE 'datetime', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Due_Date_Time__c timestamp OPTIONS (NATIVE_TYPE 'datetime', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Legacy_Profile__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Legacy_Role__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Owner__c string(18) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Monitor__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	MonitoredActivityId__c string(18) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	OORID__c string(20) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Record_Source__c string(45) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ActionSubject__c string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	End__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Start__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Attendees__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Sent_To__c string(80) OPTIONS (NATIVE_TYPE 'email', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_APPR_DGRP__Dynamic_Group__c_WhatId FOREIGN KEY(WhatId) REFERENCES APPR_DGRP__Dynamic_Group__c (Id) OPTIONS (NAMEINSOURCE 'Tasks'),
	CONSTRAINT FK_APPR_DGRP__Group_Rule__c_WhatId FOREIGN KEY(WhatId) REFERENCES APPR_DGRP__Group_Rule__c (Id) OPTIONS (NAMEINSOURCE 'Tasks'),
	CONSTRAINT FK_Account_WhatId FOREIGN KEY(WhatId) REFERENCES Account (Id) OPTIONS (NAMEINSOURCE 'Tasks'),
	CONSTRAINT FK_Action_Items__c_WhatId FOREIGN KEY(WhatId) REFERENCES Action_Items__c (Id) OPTIONS (NAMEINSOURCE 'Tasks'),
	CONSTRAINT FK_Anti_corruption__c_WhatId FOREIGN KEY(WhatId) REFERENCES Anti_corruption__c (Id) OPTIONS (NAMEINSOURCE 'Tasks'),
	CONSTRAINT FK_ApprovalCustom__c_WhatId FOREIGN KEY(WhatId) REFERENCES ApprovalCustom__c (Id) OPTIONS (NAMEINSOURCE 'Tasks'),
	CONSTRAINT FK_Asset_WhatId FOREIGN KEY(WhatId) REFERENCES Asset (Id) OPTIONS (NAMEINSOURCE 'Tasks'),
	CONSTRAINT FK_BigMachines__Quote__c_WhatId FOREIGN KEY(WhatId) REFERENCES BigMachines__Quote__c (Id) OPTIONS (NAMEINSOURCE 'Tasks'),
	CONSTRAINT FK_CCB_Event__c_WhatId FOREIGN KEY(WhatId) REFERENCES CCB_Event__c (Id) OPTIONS (NAMEINSOURCE 'Tasks'),
	CONSTRAINT FK_Campaign_WhatId FOREIGN KEY(WhatId) REFERENCES Campaign (Id) OPTIONS (NAMEINSOURCE 'Tasks'),
	CONSTRAINT FK_CampaignTag__c_WhatId FOREIGN KEY(WhatId) REFERENCES CampaignTag__c (Id) OPTIONS (NAMEINSOURCE 'Tasks'),
	CONSTRAINT FK_Case__WhatId FOREIGN KEY(WhatId) REFERENCES Case_ (Id) OPTIONS (NAMEINSOURCE 'Tasks'),
	CONSTRAINT FK_Change_Management__c_WhatId FOREIGN KEY(WhatId) REFERENCES Change_Management__c (Id) OPTIONS (NAMEINSOURCE 'Tasks'),
	CONSTRAINT FK_Change_Request__c_WhatId FOREIGN KEY(WhatId) REFERENCES Change_Request__c (Id) OPTIONS (NAMEINSOURCE 'Tasks'),
	CONSTRAINT FK_Change_Requests__c_WhatId FOREIGN KEY(WhatId) REFERENCES Change_Requests__c (Id) OPTIONS (NAMEINSOURCE 'Tasks'),
	CONSTRAINT FK_Component__c_WhatId FOREIGN KEY(WhatId) REFERENCES Component__c (Id) OPTIONS (NAMEINSOURCE 'Tasks'),
	CONSTRAINT FK_Contact_WhoId FOREIGN KEY(WhoId) REFERENCES Contact (Id) OPTIONS (NAMEINSOURCE 'Tasks'),
	CONSTRAINT FK_Contract_WhatId FOREIGN KEY(WhatId) REFERENCES Contract (Id) OPTIONS (NAMEINSOURCE 'Tasks'),
	CONSTRAINT FK_Credit__c_WhatId FOREIGN KEY(WhatId) REFERENCES Credit__c (Id) OPTIONS (NAMEINSOURCE 'Tasks'),
	CONSTRAINT FK_Customer_Reference__c_WhatId FOREIGN KEY(WhatId) REFERENCES Customer_Reference__c (Id) OPTIONS (NAMEINSOURCE 'Tasks'),
	CONSTRAINT FK_Defect_Requirement_Join__c_WhatId FOREIGN KEY(WhatId) REFERENCES Defect_Requirement_Join__c (Id) OPTIONS (NAMEINSOURCE 'Tasks'),
	CONSTRAINT FK_Defect__c_WhatId FOREIGN KEY(WhatId) REFERENCES Defect__c (Id) OPTIONS (NAMEINSOURCE 'Tasks'),
	CONSTRAINT FK_Deliverables__c_WhatId FOREIGN KEY(WhatId) REFERENCES Deliverables__c (Id) OPTIONS (NAMEINSOURCE 'Tasks'),
	CONSTRAINT FK_EBS_Account__c_WhatId FOREIGN KEY(WhatId) REFERENCES EBS_Account__c (Id) OPTIONS (NAMEINSOURCE 'Tasks'),
	CONSTRAINT FK_Evaluation__c_WhatId FOREIGN KEY(WhatId) REFERENCES Evaluation__c (Id) OPTIONS (NAMEINSOURCE 'Tasks'),
	CONSTRAINT FK_LMS_Training_Request__c_WhatId FOREIGN KEY(WhatId) REFERENCES LMS_Training_Request__c (Id) OPTIONS (NAMEINSOURCE 'Tasks'),
	CONSTRAINT FK_Lead_WhoId FOREIGN KEY(WhoId) REFERENCES Lead (Id) OPTIONS (NAMEINSOURCE 'Tasks'),
	CONSTRAINT FK_Lead_SuperRegion_Mapping__c_WhatId FOREIGN KEY(WhatId) REFERENCES Lead_SuperRegion_Mapping__c (Id) OPTIONS (NAMEINSOURCE 'Tasks'),
	CONSTRAINT FK_Marketing_Activity__c_WhatId FOREIGN KEY(WhatId) REFERENCES Marketing_Activity__c (Id) OPTIONS (NAMEINSOURCE 'Tasks'),
	CONSTRAINT FK_Milestone__c_WhatId FOREIGN KEY(WhatId) REFERENCES Milestone__c (Id) OPTIONS (NAMEINSOURCE 'Tasks'),
	CONSTRAINT FK_MonitoredActivity__c_WhatId FOREIGN KEY(WhatId) REFERENCES MonitoredActivity__c (Id) OPTIONS (NAMEINSOURCE 'Tasks'),
	CONSTRAINT FK_NFR_Request__c_WhatId FOREIGN KEY(WhatId) REFERENCES NFR_Request__c (Id) OPTIONS (NAMEINSOURCE 'Tasks'),
	CONSTRAINT FK_NonPrimaryBillingAddress__c_WhatId FOREIGN KEY(WhatId) REFERENCES NonPrimaryBillingAddress__c (Id) OPTIONS (NAMEINSOURCE 'Tasks'),
	CONSTRAINT FK_NonPrimaryShippingAddress__c_WhatId FOREIGN KEY(WhatId) REFERENCES NonPrimaryShippingAddress__c (Id) OPTIONS (NAMEINSOURCE 'Tasks'),
	CONSTRAINT FK_Opportunity_WhatId FOREIGN KEY(WhatId) REFERENCES Opportunity (Id) OPTIONS (NAMEINSOURCE 'Tasks'),
	CONSTRAINT FK_Order_Tracking__c_WhatId FOREIGN KEY(WhatId) REFERENCES Order_Tracking__c (Id) OPTIONS (NAMEINSOURCE 'Tasks'),
	CONSTRAINT FK_Partner_Onboarding_Registration__c_WhatId FOREIGN KEY(WhatId) REFERENCES Partner_Onboarding_Registration__c (Id) OPTIONS (NAMEINSOURCE 'Tasks'),
	CONSTRAINT FK_Partner_Profile__c_WhatId FOREIGN KEY(WhatId) REFERENCES Partner_Profile__c (Id) OPTIONS (NAMEINSOURCE 'Tasks'),
	CONSTRAINT FK_Partner_Program_Tier__c_WhatId FOREIGN KEY(WhatId) REFERENCES Partner_Program_Tier__c (Id) OPTIONS (NAMEINSOURCE 'Tasks'),
	CONSTRAINT FK_Partner_Registration__c_WhatId FOREIGN KEY(WhatId) REFERENCES Partner_Registration__c (Id) OPTIONS (NAMEINSOURCE 'Tasks'),
	CONSTRAINT FK_Product2_WhatId FOREIGN KEY(WhatId) REFERENCES Product2 (Id) OPTIONS (NAMEINSOURCE 'Tasks'),
	CONSTRAINT FK_Project_Item__c_WhatId FOREIGN KEY(WhatId) REFERENCES Project_Item__c (Id) OPTIONS (NAMEINSOURCE 'Tasks'),
	CONSTRAINT FK_Project_Status__c_WhatId FOREIGN KEY(WhatId) REFERENCES Project_Status__c (Id) OPTIONS (NAMEINSOURCE 'Tasks'),
	CONSTRAINT FK_Project__c_WhatId FOREIGN KEY(WhatId) REFERENCES Project__c (Id) OPTIONS (NAMEINSOURCE 'Tasks'),
	CONSTRAINT FK_Red_Hat_Attachment__c_WhatId FOREIGN KEY(WhatId) REFERENCES Red_Hat_Attachment__c (Id) OPTIONS (NAMEINSOURCE 'Tasks'),
	CONSTRAINT FK_Reference_Collateral__c_WhatId FOREIGN KEY(WhatId) REFERENCES Reference_Collateral__c (Id) OPTIONS (NAMEINSOURCE 'Tasks'),
	CONSTRAINT FK_Release__c_WhatId FOREIGN KEY(WhatId) REFERENCES Release__c (Id) OPTIONS (NAMEINSOURCE 'Tasks'),
	CONSTRAINT FK_Requirement__c_WhatId FOREIGN KEY(WhatId) REFERENCES Requirement__c (Id) OPTIONS (NAMEINSOURCE 'Tasks'),
	CONSTRAINT FK_Resource__c_WhatId FOREIGN KEY(WhatId) REFERENCES Resource__c (Id) OPTIONS (NAMEINSOURCE 'Tasks'),
	CONSTRAINT FK_SFDC_Channel_Account_Plan__c_WhatId FOREIGN KEY(WhatId) REFERENCES SFDC_Channel_Account_Plan__c (Id) OPTIONS (NAMEINSOURCE 'Tasks'),
	CONSTRAINT FK_SFDC_Objective__c_WhatId FOREIGN KEY(WhatId) REFERENCES SFDC_Objective__c (Id) OPTIONS (NAMEINSOURCE 'Tasks'),
	CONSTRAINT FK_Schedule_Exports__c_WhatId FOREIGN KEY(WhatId) REFERENCES Schedule_Exports__c (Id) OPTIONS (NAMEINSOURCE 'Tasks'),
	CONSTRAINT FK_Solution_WhatId FOREIGN KEY(WhatId) REFERENCES Solution (Id) OPTIONS (NAMEINSOURCE 'Tasks'),
	CONSTRAINT FK_SteeringCommittee__c_WhatId FOREIGN KEY(WhatId) REFERENCES SteeringCommittee__c (Id) OPTIONS (NAMEINSOURCE 'Tasks'),
	CONSTRAINT FK_StrategicPlan_Solution__c_WhatId FOREIGN KEY(WhatId) REFERENCES StrategicPlan_Solution__c (Id) OPTIONS (NAMEINSOURCE 'Tasks'),
	CONSTRAINT FK_StrategicPlan_Strategy__c_WhatId FOREIGN KEY(WhatId) REFERENCES StrategicPlan_Strategy__c (Id) OPTIONS (NAMEINSOURCE 'Tasks'),
	CONSTRAINT FK_StrategicPlan__c_WhatId FOREIGN KEY(WhatId) REFERENCES StrategicPlan__c (Id) OPTIONS (NAMEINSOURCE 'Tasks'),
	CONSTRAINT FK_SubscriptionBatch__c_WhatId FOREIGN KEY(WhatId) REFERENCES SubscriptionBatch__c (Id) OPTIONS (NAMEINSOURCE 'Tasks'),
	CONSTRAINT FK_SubscriptionLine__c_WhatId FOREIGN KEY(WhatId) REFERENCES SubscriptionLine__c (Id) OPTIONS (NAMEINSOURCE 'Tasks'),
	CONSTRAINT FK_SubscriptionPartner__c_WhatId FOREIGN KEY(WhatId) REFERENCES SubscriptionPartner__c (Id) OPTIONS (NAMEINSOURCE 'Tasks'),
	CONSTRAINT FK_Subscription__c_WhatId FOREIGN KEY(WhatId) REFERENCES Subscription__c (Id) OPTIONS (NAMEINSOURCE 'Tasks'),
	CONSTRAINT FK_SumTotal_Catalog__c_WhatId FOREIGN KEY(WhatId) REFERENCES SumTotal_Catalog__c (Id) OPTIONS (NAMEINSOURCE 'Tasks'),
	CONSTRAINT FK_Task_RecurrenceActivityId FOREIGN KEY(RecurrenceActivityId) REFERENCES Task (Id) OPTIONS (NAMEINSOURCE 'RecurringTasks'),
	CONSTRAINT FK_Teaming_Agreement__c_WhatId FOREIGN KEY(WhatId) REFERENCES Teaming_Agreement__c (Id) OPTIONS (NAMEINSOURCE 'Tasks'),
	CONSTRAINT FK_Temporal_Content__c_WhatId FOREIGN KEY(WhatId) REFERENCES Temporal_Content__c (Id) OPTIONS (NAMEINSOURCE 'Tasks'),
	CONSTRAINT FK_Test_Case__c_WhatId FOREIGN KEY(WhatId) REFERENCES Test_Case__c (Id) OPTIONS (NAMEINSOURCE 'Tasks'),
	CONSTRAINT FK_Use_Case__c_WhatId FOREIGN KEY(WhatId) REFERENCES Use_Case__c (Id) OPTIONS (NAMEINSOURCE 'Tasks'),
	CONSTRAINT FK_Verifiable_Outcome__c_WhatId FOREIGN KEY(WhatId) REFERENCES Verifiable_Outcome__c (Id) OPTIONS (NAMEINSOURCE 'Tasks'),
	CONSTRAINT FK_Work_Package__c_WhatId FOREIGN KEY(WhatId) REFERENCES Work_Package__c (Id) OPTIONS (NAMEINSOURCE 'Tasks'),
	CONSTRAINT FK_Work_Plan__c_WhatId FOREIGN KEY(WhatId) REFERENCES Work_Plan__c (Id) OPTIONS (NAMEINSOURCE 'Tasks')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE TaskFeed (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	ParentId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	FeedPostId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'TrackedChange,UserStatus,TextPost,AdvancedTextPost,LinkPost,ContentPost,PollPost,RypplePost,ProfileSkillPost,DashboardComponentSnapshot,ApprovalPost,CaseCommentPost,ReplyPost,EmailMessageEvent,CallLogPost,ChangeStatusPost,AttachArticleEvent,MilestoneEvent,ActivityEvent,ChatTranscriptPost,CollaborationGroupCreated,CollaborationGroupUnarchived,SocialPost,QuestionPost,FacebookPost,BasicTemplateFeedItem,CreateRecordEvent,CanvasPost,AnnouncementPost'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Task_ParentId FOREIGN KEY(ParentId) REFERENCES Task (Id) OPTIONS (NAMEINSOURCE 'Feeds')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'false', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE TaskPriority (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	MasterLabel string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	SortOrder integer OPTIONS (NATIVE_TYPE 'int', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDefault boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsHighPriority boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CONSTRAINT Id_PK PRIMARY KEY(Id)
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'false', "teiid_sf:Supports Delete" 'false', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE TaskStatus (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	MasterLabel string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	SortOrder integer OPTIONS (NATIVE_TYPE 'int', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDefault boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsClosed boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CONSTRAINT Id_PK PRIMARY KEY(Id)
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'false', "teiid_sf:Supports Delete" 'false', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE TaskTag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Task_ItemId FOREIGN KEY(ItemId) REFERENCES Task (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Teaming_Agreement__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	LastActivityDate date OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Partner_Name__c string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Additional_Partners__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Channel_Account_Manager__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Competition__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Duration__c double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'double', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	End_Date__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	End_User_Account__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	End_User_Company__c string(50) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	End_User_Email__c string(80) OPTIONS (NATIVE_TYPE 'email', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	End_User_Name__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	End_User_Phone__c string(40) OPTIONS (NATIVE_TYPE 'phone', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Existing_Hardware_Platform__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Existing_Middleware_Platform__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Existing_Operating_System__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Key_Pain_Point_Driving_Consideration__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Opportunity_Name__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Other_Key_Initiatives__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Partner_Activity__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Partner_Sales_Rep__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Primary_Application__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Red_Hat_Sales_Rep__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Revenue_Potential__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	SFDC_End_User_Account__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Sales_Engagement_Strategy__c string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Solution_Drivers__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Solution_Hardware_and_or_Software__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Solution_Services_Required__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Start_Date__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Teaming_Agreement_Name__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Value_Volume_Deal__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Teaming_Agreement_Status__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Draft,Pending Approval,Approved,Rejected,Expired'),
	Joint_Client_Engagement_Plan__c string OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Opportunity_Project_Name__c string(200) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Teaming_Goals__c string OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Regional_Sales_Manager__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Account_End_User_Account__c FOREIGN KEY(End_User_Account__c) REFERENCES Account (Id) OPTIONS (NAMEINSOURCE 'Teaming_Agreements2__r'),
	CONSTRAINT FK_Account_Partner_Name__c FOREIGN KEY(Partner_Name__c) REFERENCES Account (Id) OPTIONS (NAMEINSOURCE 'Teaming_Agreements__r'),
	CONSTRAINT FK_Account_SFDC_End_User_Account__c FOREIGN KEY(SFDC_End_User_Account__c) REFERENCES Account (Id) OPTIONS (NAMEINSOURCE 'Teaming_Agreements1__r'),
	CONSTRAINT FK_Opportunity_Opportunity_Name__c FOREIGN KEY(Opportunity_Name__c) REFERENCES Opportunity (Id) OPTIONS (NAMEINSOURCE 'Teaming_Agreements__r'),
	CONSTRAINT FK_User__Channel_Account_Manager__c FOREIGN KEY(Channel_Account_Manager__c) REFERENCES User_ (Id) OPTIONS (NAMEINSOURCE 'Teaming_Agreements2__r'),
	CONSTRAINT FK_User__Partner_Sales_Rep__c FOREIGN KEY(Partner_Sales_Rep__c) REFERENCES User_ (Id) OPTIONS (NAMEINSOURCE 'Teaming_Agreements__r'),
	CONSTRAINT FK_User__Red_Hat_Sales_Rep__c FOREIGN KEY(Red_Hat_Sales_Rep__c) REFERENCES User_ (Id) OPTIONS (NAMEINSOURCE 'Teaming_Agreements1__r'),
	CONSTRAINT FK_User__Regional_Sales_Manager__c FOREIGN KEY(Regional_Sales_Manager__c) REFERENCES User_ (Id) OPTIONS (NAMEINSOURCE 'Teaming_Agreements3__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE Teaming_Agreement__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Teaming_Agreement__c_ItemId FOREIGN KEY(ItemId) REFERENCES Teaming_Agreement__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Temporal_Content__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	LastActivityDate date OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Approval_Status__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Approved,Draft,Pending Approval,Rejected'),
	Content_Description__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Content_Title__c string(200) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Document_Date__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" '2010-09,2010-10,2010-11,2010-12,2011-01,2011-02,2011-03,2011-04,2011-05,2011-06,2011-07,2011-08,2011-09,2011-10,2011-11,2011-12,2012-01,2012-02,2012-03,2012-04,2012-05,2012-06,2012-07,2012-08,2012-09,2012-10,2012-11,2012-12,2013-01,2013-02,2013-03,2013-04,2013-05,2013-06,2013-07,2013-08,2013-09,2013-10,2013-11,2013-12,2014-01,2014-02,2014-03,2014-04,2014-05,2014-06,2014-07,2014-08,2014-09,2014-10,2014-11,2014-12,2015-01,2015-02,2015-03,2015-04,2015-05,2015-06,2015-07,2015-08,2015-09,2015-10,2015-11,2015-12,2016-01,2016-02,2016-03,2016-04,2016-05,2016-06,2016-07,2016-08,2016-09,2016-10,2016-11,2016-12'),
	Expiration_Date__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" '2011-12,2012-01,2012-02,2012-03,2012-04,2012-05,2012-06,2012-07,2012-08,2012-09,2012-10,2012-11,2012-12,2013-01,2013-02,2013-03,2013-04,2013-05,2013-06,2013-07,2013-08,2013-09,2013-10,2013-11,2013-12,2014-01,2014-02,2014-03,2014-04,2014-05,2014-06,2014-07,2014-08,2014-09,2014-10,2014-11,2014-12,2015-01,2015-02,2015-03,2015-04,2015-05,2015-06,2015-07,2015-08,2015-09,2015-10,2015-11,2015-12,2016-01,2016-02,2016-03,2016-04,2016-05,2016-06,2016-07,2016-08,2016-09,2016-10,2016-11,2016-12'),
	Library_Associated__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Asia Pacific,Europe, Middle East and Africa,General Workspace,Latin America,North America,Partner Technical/Presales (ABPs Only),Red Hat Cloud,Managing:System Integrators,Partner Presales/Technical'),
	Library_ID__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Technical_Topics_Categories__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Where to Start,Partner Support,Internal Use/NFR Software,Evaluation Software,Cookbooks/Demo Scripts,Recorded Training,Recorded Webinars,Videos,Best Practices,Competitive,Reference Architectures,Technical Presentations,Whitepapers,Technical Videos,Open Source,Proposal Templates,Partnerships,Industry Info,ROI and TCO Calculators,Quick Reference Guides'),
	Technical_Topics__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Getting Started,Getting Software,Tech Training,Tech Product Info,Win More Business'),
	CONSTRAINT Id_PK PRIMARY KEY(Id)
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE Temporal_Content__History (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	ParentId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Field string(255) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Approval_Status__c,Content_Description__c,Content_Title__c,created,CurrencyIsoCode,Document_Date__c,Expiration_Date__c,feedEvent,Library_Associated__c,Name,Owner,ownerAccepted,ownerAssignment,locked,unlocked,Technical_Topics__c,Technical_Topics_Categories__c'),
	OldValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	NewValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Temporal_Content__c_ParentId FOREIGN KEY(ParentId) REFERENCES Temporal_Content__c (Id) OPTIONS (NAMEINSOURCE 'Histories')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'false', "teiid_sf:Supports Delete" 'false', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Temporal_Content__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Temporal_Content__c_ItemId FOREIGN KEY(ItemId) REFERENCES Temporal_Content__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Test_Case__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	LastActivityDate date OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Assigned_To__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Relevant_User_Profiles__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Authenticated Website,BME Standard User,BME Super User,Chatter External User,Chatter Free User,Chatter Moderator User,Contract Manager,Marketing Profile,Sales Profile,Support Profile,Portal Manager,Portal Manager Custom,Portal Manager Standard,Force.com - Free User,Gold Partner User,High Volume Customer Portal,Marketing User,Partner User,Read Only,Service Cloud,Silver Partner User,Solution Manager,Standard Platform User,Standard User,System Administrator'),
	Requirement__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Status__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Not Started,In Progress,Failed,Passed,Not Ready to Test'),
	Summary__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Test_Case_Name__c string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Test_Case_No__c string(30) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Test_Case_Users__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Test_Cycle__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Test Cycle 1,Test Cycle 2,Test Cycle 3,Test Cycle 4,Test Cycle 5,Test Cycle 6,Test Cycle 7'),
	Type__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Unit Test,Integration Test,UAT,System Test,Data Test'),
	Use_Case__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Requirement__c_Requirement__c FOREIGN KEY(Requirement__c) REFERENCES Requirement__c (Id) OPTIONS (NAMEINSOURCE 'Test_Cases__r'),
	CONSTRAINT FK_Use_Case__c_Use_Case__c FOREIGN KEY(Use_Case__c) REFERENCES Use_Case__c (Id) OPTIONS (NAMEINSOURCE 'Test_Cases__r'),
	CONSTRAINT FK_User__Assigned_To__c FOREIGN KEY(Assigned_To__c) REFERENCES User_ (Id) OPTIONS (NAMEINSOURCE 'Test_Cases__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE Test_Case__Feed (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	ParentId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	FeedPostId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'TrackedChange,UserStatus,TextPost,AdvancedTextPost,LinkPost,ContentPost,PollPost,RypplePost,ProfileSkillPost,DashboardComponentSnapshot,ApprovalPost,CaseCommentPost,ReplyPost,EmailMessageEvent,CallLogPost,ChangeStatusPost,AttachArticleEvent,MilestoneEvent,ActivityEvent,ChatTranscriptPost,CollaborationGroupCreated,CollaborationGroupUnarchived,SocialPost,QuestionPost,FacebookPost,BasicTemplateFeedItem,CreateRecordEvent,CanvasPost,AnnouncementPost'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Test_Case__c_ParentId FOREIGN KEY(ParentId) REFERENCES Test_Case__c (Id) OPTIONS (NAMEINSOURCE 'Feeds')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'false', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Test_Case__History (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	ParentId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Field string(255) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Assigned_To__c,created,CurrencyIsoCode,feedEvent,Name,Owner,ownerAccepted,ownerAssignment,locked,unlocked,Relevant_User_Profiles__c,Requirement__c,Status__c,Summary__c,Test_Case_Name__c,Test_Case_Users__c,Test_Cycle__c,Type__c,Use_Case__c'),
	OldValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	NewValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Test_Case__c_ParentId FOREIGN KEY(ParentId) REFERENCES Test_Case__c (Id) OPTIONS (NAMEINSOURCE 'Histories')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'false', "teiid_sf:Supports Delete" 'false', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Test_Case__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Test_Case__c_ItemId FOREIGN KEY(ItemId) REFERENCES Test_Case__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Test_Case_Result__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	Comments__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Result_By__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Status__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'N/A,Passed,Failed'),
	Test_Case_Step__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Tested_On__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Test_Case_Step__c_Test_Case_Step__c FOREIGN KEY(Test_Case_Step__c) REFERENCES Test_Case_Step__c (Id) OPTIONS (NAMEINSOURCE 'Test_Case_Results__r'),
	CONSTRAINT FK_User__Result_By__c FOREIGN KEY(Result_By__c) REFERENCES User_ (Id) OPTIONS (NAMEINSOURCE 'Test_Case_Results__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE Test_Case_Result__Feed (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	ParentId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	FeedPostId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'TrackedChange,UserStatus,TextPost,AdvancedTextPost,LinkPost,ContentPost,PollPost,RypplePost,ProfileSkillPost,DashboardComponentSnapshot,ApprovalPost,CaseCommentPost,ReplyPost,EmailMessageEvent,CallLogPost,ChangeStatusPost,AttachArticleEvent,MilestoneEvent,ActivityEvent,ChatTranscriptPost,CollaborationGroupCreated,CollaborationGroupUnarchived,SocialPost,QuestionPost,FacebookPost,BasicTemplateFeedItem,CreateRecordEvent,CanvasPost,AnnouncementPost'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Test_Case_Result__c_ParentId FOREIGN KEY(ParentId) REFERENCES Test_Case_Result__c (Id) OPTIONS (NAMEINSOURCE 'Feeds')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'false', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Test_Case_Result__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Test_Case_Result__c_ItemId FOREIGN KEY(ItemId) REFERENCES Test_Case_Result__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Test_Case_Step__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	Expected_Result__c string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Step_Description__c string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Step_Number__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Test_Case__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Test_Case__c_Test_Case__c FOREIGN KEY(Test_Case__c) REFERENCES Test_Case__c (Id) OPTIONS (NAMEINSOURCE 'Test_Case_Steps_old__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE Test_Case_Step__Feed (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	ParentId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	FeedPostId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'TrackedChange,UserStatus,TextPost,AdvancedTextPost,LinkPost,ContentPost,PollPost,RypplePost,ProfileSkillPost,DashboardComponentSnapshot,ApprovalPost,CaseCommentPost,ReplyPost,EmailMessageEvent,CallLogPost,ChangeStatusPost,AttachArticleEvent,MilestoneEvent,ActivityEvent,ChatTranscriptPost,CollaborationGroupCreated,CollaborationGroupUnarchived,SocialPost,QuestionPost,FacebookPost,BasicTemplateFeedItem,CreateRecordEvent,CanvasPost,AnnouncementPost'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Test_Case_Step__c_ParentId FOREIGN KEY(ParentId) REFERENCES Test_Case_Step__c (Id) OPTIONS (NAMEINSOURCE 'Feeds')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'false', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Test_Case_Step__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Test_Case_Step__c_ItemId FOREIGN KEY(ItemId) REFERENCES Test_Case_Step__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE TestingIds__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(38) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	SetupOwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Id__c string(15) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id)
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE TestingIds__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_TestingIds__c_ItemId FOREIGN KEY(ItemId) REFERENCES TestingIds__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE TrackingEvent__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	Code__c string(15) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Description__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Type__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Page View,Record Edit,Record Submit'),
	Data1Label__c string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Data2Label__c string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Data3Label__c string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id)
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE TrackingEvent__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_TrackingEvent__c_ItemId FOREIGN KEY(ItemId) REFERENCES TrackingEvent__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE TrackingEventLog__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	RelatedObjectId__c string(18) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	RelatedRecordTypeId__c string(18) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Timestamp__c timestamp OPTIONS (NATIVE_TYPE 'datetime', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	TrackingEventDescription__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	TrackingEventName__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	TrackingEventType__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	TrackingEvent__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	UserRoleId__c string(18) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	User__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Data1Label__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Data1__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Data2Label__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Data2__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Data3Label__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Data3__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_TrackingEvent__c_TrackingEvent__c FOREIGN KEY(TrackingEvent__c) REFERENCES TrackingEvent__c (Id) OPTIONS (NAMEINSOURCE 'TrackingEventLog__r'),
	CONSTRAINT FK_User__User__c FOREIGN KEY(User__c) REFERENCES User_ (Id) OPTIONS (NAMEINSOURCE 'TrackingEventLog__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE TrackingEventLog__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_TrackingEventLog__c_ItemId FOREIGN KEY(ItemId) REFERENCES TrackingEventLog__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE TrackingEventSummary__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	Count__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Date__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	TrackingEventDescription__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	TrackingEventName__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	TrackingEventType__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	TrackingEvent__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	UserRole__c string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_TrackingEvent__c_TrackingEvent__c FOREIGN KEY(TrackingEvent__c) REFERENCES TrackingEvent__c (Id) OPTIONS (NAMEINSOURCE 'TrackingEventSummary__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE TrackingEventSummary__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_TrackingEventSummary__c_ItemId FOREIGN KEY(ItemId) REFERENCES TrackingEventSummary__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE TrendData__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	EventName__c string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	FieldName__c string(43) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	FieldValueCurrency__c double OPTIONS (CURRENCY TRUE, NATIVE_TYPE 'currency', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	FieldValueNumber__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	FieldValue__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ObjectName__c string(43) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	RecordId__c string(18) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Timestamp__c timestamp OPTIONS (NATIVE_TYPE 'datetime', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id)
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE TrendData__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_TrendData__c_ItemId FOREIGN KEY(ItemId) REFERENCES TrendData__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE TrendDataSettings__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(38) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	SetupOwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	FieldName__c string(43) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ObjectName__c string(43) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	WhereClause__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id)
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE TrendDataSettings__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_TrendDataSettings__c_ItemId FOREIGN KEY(ItemId) REFERENCES TrendDataSettings__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Use_Case__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	LastActivityDate date OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Actor__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Profile1,Profile2,Profile3,Profile4,Profile5'),
	Assumptions__c string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Description__c string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Post_Condition__c string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Pre_condition__c string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Process_Dependencies__c string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Related_Use_Case__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Release__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Signed_off_on__c timestamp OPTIONS (NATIVE_TYPE 'datetime', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	System_Touch_Points__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Point1,Point2,Point3,Point4,Point5,Point6'),
	Trigger__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Use_Case_Name__c string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Work_Package__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Release__c_Release__c FOREIGN KEY(Release__c) REFERENCES Release__c (Id) OPTIONS (NAMEINSOURCE 'Use_Cases_del__r'),
	CONSTRAINT FK_Use_Case__c_Related_Use_Case__c FOREIGN KEY(Related_Use_Case__c) REFERENCES Use_Case__c (Id) OPTIONS (NAMEINSOURCE 'UseCases__r'),
	CONSTRAINT FK_Work_Package__c_Work_Package__c FOREIGN KEY(Work_Package__c) REFERENCES Work_Package__c (Id) OPTIONS (NAMEINSOURCE 'Use_Cases__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE Use_Case__Feed (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	ParentId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	FeedPostId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'TrackedChange,UserStatus,TextPost,AdvancedTextPost,LinkPost,ContentPost,PollPost,RypplePost,ProfileSkillPost,DashboardComponentSnapshot,ApprovalPost,CaseCommentPost,ReplyPost,EmailMessageEvent,CallLogPost,ChangeStatusPost,AttachArticleEvent,MilestoneEvent,ActivityEvent,ChatTranscriptPost,CollaborationGroupCreated,CollaborationGroupUnarchived,SocialPost,QuestionPost,FacebookPost,BasicTemplateFeedItem,CreateRecordEvent,CanvasPost,AnnouncementPost'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Use_Case__c_ParentId FOREIGN KEY(ParentId) REFERENCES Use_Case__c (Id) OPTIONS (NAMEINSOURCE 'Feeds')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'false', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Use_Case__History (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	ParentId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Field string(255) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Actor__c,Assumptions__c,created,CurrencyIsoCode,Description__c,feedEvent,Name,Owner,ownerAccepted,ownerAssignment,Post_Condition__c,Pre_condition__c,Process_Dependencies__c,locked,unlocked,Related_Use_Case__c,Release__c,Signed_off_on__c,System_Touch_Points__c,Trigger__c,Use_Case_Name__c,Work_Package__c'),
	OldValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	NewValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Use_Case__c_ParentId FOREIGN KEY(ParentId) REFERENCES Use_Case__c (Id) OPTIONS (NAMEINSOURCE 'Histories')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'false', "teiid_sf:Supports Delete" 'false', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Use_Case__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Use_Case__c_ItemId FOREIGN KEY(ItemId) REFERENCES Use_Case__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Use_Case_Step__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	Expected_Result__c string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Step_Description__c string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Step_Number__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Use_Case__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Use_Case__c_Use_Case__c FOREIGN KEY(Use_Case__c) REFERENCES Use_Case__c (Id) OPTIONS (NAMEINSOURCE 'Use_Case_Steps__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE Use_Case_Step__Feed (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	ParentId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	FeedPostId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'TrackedChange,UserStatus,TextPost,AdvancedTextPost,LinkPost,ContentPost,PollPost,RypplePost,ProfileSkillPost,DashboardComponentSnapshot,ApprovalPost,CaseCommentPost,ReplyPost,EmailMessageEvent,CallLogPost,ChangeStatusPost,AttachArticleEvent,MilestoneEvent,ActivityEvent,ChatTranscriptPost,CollaborationGroupCreated,CollaborationGroupUnarchived,SocialPost,QuestionPost,FacebookPost,BasicTemplateFeedItem,CreateRecordEvent,CanvasPost,AnnouncementPost'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Use_Case_Step__c_ParentId FOREIGN KEY(ParentId) REFERENCES Use_Case_Step__c (Id) OPTIONS (NAMEINSOURCE 'Feeds')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'false', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Use_Case_Step__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Use_Case_Step__c_ItemId FOREIGN KEY(ItemId) REFERENCES Use_Case_Step__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE User_ (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Username string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	LastName string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	FirstName string(40) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Name string(121) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CompanyName string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Division string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Department string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Title string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Street string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	City string(40) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	State string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	PostalCode string(20) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Country string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Email string(128) OPTIONS (NATIVE_TYPE 'email', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Phone string(40) OPTIONS (NATIVE_TYPE 'phone', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Fax string(40) OPTIONS (NATIVE_TYPE 'phone', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	MobilePhone string(40) OPTIONS (NATIVE_TYPE 'phone', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Alias string(8) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CommunityNickname string(40) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsActive boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TimeZoneSidKey string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Pacific/Kiritimati,Pacific/Chatham,Pacific/Auckland,Pacific/Enderbury,Pacific/Tongatapu,Asia/Kamchatka,Pacific/Fiji,Pacific/Norfolk,Australia/Lord_Howe,Australia/Sydney,Pacific/Guadalcanal,Australia/Adelaide,Australia/Brisbane,Australia/Darwin,Asia/Seoul,Asia/Tokyo,Asia/Hong_Kong,Asia/Kuala_Lumpur,Asia/Manila,Asia/Shanghai,Asia/Singapore,Asia/Taipei,Australia/Perth,Asia/Bangkok,Asia/Ho_Chi_Minh,Asia/Jakarta,Asia/Rangoon,Asia/Dhaka,Asia/Kathmandu,Asia/Colombo,Asia/Kolkata,Asia/Karachi,Asia/Tashkent,Asia/Yekaterinburg,Asia/Kabul,Asia/Dubai,Asia/Tbilisi,Asia/Tehran,Africa/Nairobi,Asia/Baghdad,Asia/Kuwait,Asia/Riyadh,Europe/Minsk,Europe/Moscow,Africa/Cairo,Africa/Johannesburg,Asia/Jerusalem,Europe/Athens,Europe/Bucharest,Europe/Helsinki,Europe/Istanbul,Africa/Algiers,Europe/Amsterdam,Europe/Berlin,Europe/Brussels,Europe/Paris,Europe/Prague,Europe/Rome,Europe/Dublin,Europe/Lisbon,Europe/London,GMT,Atlantic/Cape_Verde,Atlantic/South_Georgia,America/St_Johns,America/Argentina/Buenos_Aires,America/Halifax,America/Santiago,America/Sao_Paulo,Atlantic/Bermuda,America/Indiana/Indianapolis,America/New_York,America/Puerto_Rico,America/Caracas,America/Bogota,America/Chicago,America/Lima,America/Panama,America/Denver,America/El_Salvador,America/Mexico_City,America/Los_Angeles,America/Phoenix,America/Tijuana,America/Anchorage,Pacific/Honolulu,Pacific/Niue,Pacific/Pago_Pago'),
	UserRoleId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	LocaleSidKey string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'ar,ar_BH,ar_EG,ar_JO,ar_KW,ar_LB,ar_SA,ar_AE,hy_AM,bg,bg_BG,ca,ca_ES_EURO,ca_ES,zh,zh_CN,zh_HK,zh_TW,hr_HR,cs,cs_CZ,da,da_DK,nl,nl_BE,nl_NL,nl_SR,en_AU,en_BB,en_BM,en_CA,en_GH,en_IN,en_ID,en_IE_EURO,en_IE,en_NZ,en_NG,en_PH,en_SG,en_ZA,en_GB,en_US,et_EE,fi,fi_FI_EURO,fi_FI,fr,fr_BE,fr_CA,fr_FR_EURO,fr_FR,fr_LU,fr_MC,fr_CH,de,de_AT_EURO,de_AT,de_DE_EURO,de_DE,de_LU_EURO,de_LU,de_CH,el,el_GR,iw,iw_IL,hu,is_IS,in,it,it_IT,it_CH,ja,ja_JP,kk_KZ,km_KH,ko,ko_KR,lv_LV,lt_LT,ms_MY,no,no_NO,pl,pt,pt_AO,pt_BR,pt_PT,ro,ro_RO,ru,ru_RU,sk_SK,sl_SI,es,es_AR,es_BO,es_CL,es_CO,es_CR,es_DO,es_EC,es_SV,es_GT,es_HN,es_MX,es_PA,es_PY,es_PE,es_PR,es_ES_EURO,es_ES,es_UY,es_VE,sv,sv_SE,tl,tl_PH,th,th_TH,tr,uk,uk_UA,ur_PK,vi,vi_VN'),
	ReceivesInfoEmails boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	ReceivesAdminInfoEmails boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	EmailEncodingKey string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'UTF-8,ISO-8859-1,Shift_JIS,ISO-2022-JP,EUC-JP,ks_c_5601-1987,Big5,GB2312'),
	DefaultCurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	ProfileId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	UserType string(40) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Standard,PowerPartner,PowerCustomerSuccess,CustomerSuccess,Guest,CSPLitePortal,CSNOnly,SelfService'),
	LanguageLocaleKey string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'en_US,de,es,fr,it,ja,sv,ko,zh_TW,zh_CN,pt_BR,nl_NL,da,th,fi,ru,es_MX'),
	EmployeeNumber string(20) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	WirelessEmail string(80) OPTIONS (NATIVE_TYPE 'email', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	DelegatedApproverId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ManagerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	LastLoginDate timestamp OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'datetime', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	OfflineTrialExpirationDate timestamp OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'datetime', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	OfflinePdaTrialExpirationDate timestamp OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'datetime', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	UserPermissionsMarketingUser boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	UserPermissionsOfflineUser boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	UserPermissionsWirelessUser boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	UserPermissionsAvantgoUser boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	UserPermissionsCallCenterAutoLogin boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	UserPermissionsMobileUser boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	UserPermissionsSFContentUser boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ForecastEnabled boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	UserPreferencesActivityRemindersPopup boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	UserPreferencesEventRemindersCheckboxDefault boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	UserPreferencesTaskRemindersCheckboxDefault boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	UserPreferencesReminderSoundOff boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	UserPreferencesDisableAutoSubForFeeds boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	UserPreferencesApexPagesDeveloperMode boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	UserPreferencesOptOutOfTouch boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ContactId string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	AccountId string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CallCenterId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Extension string(40) OPTIONS (NATIVE_TYPE 'phone', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	PortalRole string(40) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Executive,Manager,Worker,PersonAccount'),
	IsPortalEnabled boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	FederationIdentifier string(512) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	AboutMe string(1000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CurrentStatus string(1000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Notes__c string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	User_account_Name__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Region__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'NA,LATAM,APAC,EMEA,GLOBAL'),
	AprvrPriceDiscntTier2__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	AprvrPriceDiscntTier3__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	AprvrNonStdPriceTerms__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	AprvrNonStdTC__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	AprvrSpecialCircumstances__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	AprvrNonStdService__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	AprvrPaymentTerms__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	AprvrPriceDiscntTextForm__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	NA_Subregion__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Australia,New Zealand,Emerging Markets,Indonesia,Malaysia,Singapore,China,Hong Kong,Taiwan,Bangladesh,India,India Others,Pakistan,Sri Lanka,Japan,Korea,Benelux,CH,DA,CEE,CIS,Nordics,UK,France,Iberia,IGC,Italy,MET,N-Africa,S-Africa,Brazil,Mexico,ANDINO,CEACA,SOLA,ATL-Canada,ISO-Canada Mid Market,ISO-Canada New,ISO-Canada Renewal,ISO-North Central Mid Market,ISO-North Central New,ISO-North Central Renewal,ISO-South Central Mid Market,ISO-South Central New,ISO-South Central Renewal,Northeast Central Enterprise,Northeast Central Strategic,Northwest Central Enterprise,Northwest Central Strategic,South Central Enterprise,South Central Strategic,ISO-Mid Atlantic Mid Market,ISO-Mid Atlantic New,ISO-Mid Atlantic Renewal,ISO-Northeast Mid Market,ISO-Northeast New,ISO-Northeast Renewal,ISO-Southeast Mid Market,ISO-Southeast New,ISO-Southeast Renewal,Mid Atlantic Enterprise,Northeast Enterprise,Northeast Strategic,Southeast Enterprise,Southeast Strategic,FED Civ,FED Civ2,FED DoD,FED Intel,FSI Canada,FSI-Mid Atlantic,FSI-Northeast,SLED East,SLED West,ISO-Northwest Mid Market,ISO-Northwest New,ISO-Northwest Renewal,ISO-Southwest Mid Market,ISO-Southwest New,ISO-Southwest Renewal,Northwest Enterprise,Northwest Strategic,Southwest Enterprise,Southwest Strategic'),
	Contact_Name__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	MigratedOverride__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	IsPartnerAdmin__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	UserRegion__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'ANZ,ASEAN,GCG,India/Pakistan,Japan,Korea,CE,NEE,SEMEA,Brazil,Mexico,SAC,Canada,Central,East,FED,FSI,Hosting,SLED,West'),
	Can_own_Opportunities__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Eloqua_User_Name__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Compliant_Email_Notices__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ConsumerUserCreated__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Oracle_Employee_Number__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	EnterpriseServerUrl__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Is_Marketing_User__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	BigMachines__Access_Type__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'SalesAgent,ChannelAgent,BuyAccess,RestrictedAccess'),
	BigMachines__Association_to_Organization__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Internal User,Partner User'),
	BigMachines__Bulk_Synchronization__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	BigMachines__Currency_Preference__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'USD'),
	BigMachines__Date_Time_Format__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'MM/dd/yyyy h:mm a,MM/dd/yyyy HH:mm,dd.MM.yyyy HH:mm,yyyy/MM/dd HH:mm,dd/MM/yyyy HH:mm'),
	BigMachines__Delegated_Approver__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BigMachines__Language_Preference__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'English'),
	BigMachines__Login__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BigMachines__Number_Format__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" '####.##,####,##'),
	BigMachines__Partner_Organization__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	BigMachines__Provisioned__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	BigMachines__Time_Zone__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" '(GMT-11:00 GMT-11:00) Samoa,(GMT-10:00 GMT-10:00) Hawaii,(GMT-10:00 GMT-9:00) Aleutian,(GMT-9:30 GMT-9:30) Marquesas,(GMT-9:00 GMT-9:00) Gambier,(GMT-9:00 GMT-8:00) Alaska,(GMT-8:00 GMT-8:00) Pitcairn,(GMT-8:00 GMT-7:00) US Pacific Time,(GMT-7:00 GMT-7:00) Arizona,(GMT-7:00 GMT-6:00) Mountain,(GMT-6:00 GMT-6:00) Saskatchewan,(GMT-6:00 GMT-5:00) US Central Time,(GMT-5:00 GMT-5:00) Indianapolis,(GMT-5:00 GMT-4:00) US Eastern Time,(GMT-4:00 GMT-4:00) Puerto Rico,(GMT-3:00 GMT-4:00) Chile,(GMT-4:00 GMT-3:00) Canada Atlantic Time,(GMT-3:00 GMT-3:00) Buenos Aires,(GMT-3:30 GMT-2:30) Newfoundland,(GMT-2:00 GMT-3:00) Sao Paulo,(GMT-2:00 GMT-2:00) Brazil/DeNoronha,(GMT-1:00 GMT-1:00) Cape Verde,(GMT-1:00 GMT+0:00) Azores,(GMT+0:00 GMT+0:00) GMT,(GMT+0:00 GMT+1:00) London,(GMT+1:00 GMT+1:00) Algiers,(GMT+2:00 GMT+1:00) Windhoek,(GMT+1:00 GMT+2:00) Amsterdam,(GMT+2:00 GMT+2:00) Tripoli,(GMT+2:00 GMT+3:00) Israel,(GMT+3:00 GMT+3:00) Nairobi,(GMT+3:00 GMT+4:00) Moscow,(GMT+3:30 GMT+4:30) Tehran,(GMT+4:00 GMT+4:00) Dubai,(GMT+4:00 GMT+5:00) Oral,(GMT+4:30 GMT+4:30) Kabul,(GMT+5:00 GMT+5:00) Karachi,(GMT+5:00 GMT+6:00) Yekaterinburg,(GMT+5:30 GMT+5:30) Calcutta,(GMT+5:45 GMT+5:45) Katmandu,(GMT+6:00 GMT+6:00) Dhaka,(GMT+6:00 GMT+7:00) Novosibirsk,(GMT+6:30 GMT+6:30) Rangoon,(GMT+7:00 GMT+7:00) Bangkok,(GMT+7:00 GMT+8:00) Krasnoyarsk,(GMT+8:00 GMT+8:00) Taipei,(GMT+8:00 GMT+9:00) Irkutsk,(GMT+9:00 GMT+9:00) Seoul,(GMT+9:00 GMT+10:00) Yakutsk,(GMT+9:30 GMT+9:30) Darwin,(GMT+10:00 GMT+10:00) Queensland,(GMT+10:30 GMT+9:30) Adelaide,(GMT+11:00 GMT+10:00) Brisbane,(GMT+10:00 GMT+11:00) Vladivostok,(GMT+11:00 GMT+10:30) Lord Howe,(GMT+11:00 GMT+11:00) Ponape,(GMT+11:00 GMT+12:00) Magadan,(GMT+11:30 GMT+11:30) Norfolk,(GMT+12:00 GMT+12:00) Fiji,(GMT+13:00 GMT+12:00) Auckland,(GMT+12:00 GMT+13:00) Kamchatka,(GMT+13:00 GMT+13:00) Enderbury,(GMT+13:45 GMT+12:45) Chatham'),
	BigMachines__Unit_System__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'System Default,English,Metric'),
	BigMachines__User_Groups__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Standard,sales_group'),
	Job_Function__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Bid Desk,Billing,Business Affairs,Business Unit,Channel Account Manager,Consultant,Credit,Customer Data,Finance,Inside Lead Management,Inside Sales,IT,Marketing,Marketing Operations,Marketing Sales Development,Order Management,Outside Sales,Project Accounting,Reporting Operations,Sales Manager,Sales Operations,Solution Architect,System Operations'),
	Legacy_Profile_Copy__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Legacy_Profile__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'APAC Business Affairs,APAC Credit,APAC Finance,APAC Japan Direct Sales,APAC Lead Gen,APAC Marketing,APAC Marketing Pilot Profile,APAC Order Entry,APAC Order Entry w/ Credit Access,APAC Sales,APAC Sales - with Oracle Order fields,APAC Sales Administrator,APAC Sales Engineer,APAC Sales Engineer Pilot Profile,APAC Sales Manager,APAC Sales Manager Pilot Profile,APAC Sales Pilot Profile,APAC Services,APAC Services Pilot Profile,Apex Deployment,API,API - Cloud 9,API - Market2Lead,API Channel Load,BA and Bid Desk Manager,Consultant,Customer Data,EMEA Business Affairs,EMEA Channel Sales,EMEA Credit,EMEA Finance,EMEA Lead Gen,EMEA Marketing,EMEA OEM Sales,EMEA Ops and Order Entry,EMEA Sales,EMEA Sales Admin,EMEA Sales Engineer,EMEA Sales Manager,EMEA Services,EMEA TDM,EMEA-Benelux+CE-Key Sales,Global Finance,Global Level 1,Global Level 2,Global Level 3,LATAM Finance,LATAM Order Entry,LATAM Sales,LATAM Services,NA Business Affairs,NA Canada Sales,NA Credit,NA Fed Bus Dev,NA Federal Marketing,NA Finance,NA ISV Sales Mgr,NA Lead Gen Management,NA Lead Generation,NA Marketing,NA Marketing - FED SLED,NA OEM and Disti Sales,NA Order Entry,NA Sales,NA Sales - EDU DLT,NA Sales - FED SLED,NA Sales Administrator,NA Sales Dev,NA Sales Engineer,NA Sales Engineering Manager,NA Sales Manager,NA-ISV Sales,Partner Profile,Qumranet Sales,Qumranet Sales Engineer,Qumranet Sales Manager,Retire NA Strategic Accounts,RH Sales Manager,SEAP Compliance,Service Source (SSI),Sys Admin - No Expire Password'),
	Legacy_Role_Copy__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Legacy_Role__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'APAC Cloud Team,APAC Finance,APAC Marketing,APAC Sales,APAC Services,APAC-Disti,APAC-Inside Sales,APAC-OEM Sales,APAC-Sales Engineering,APAC-ANZ,APAC-ANZ Disti Sales,APAC-ANZ Disti Sales Manager,APAC-ANZ North,APAC-ANZ North Direct Sales,APAC-ANZ North Inside Sales,APAC-ANZ South,APAC-ANZ South Direct Sales,APAC-ANZ South Inside Sales,APAC-NZ Disti Sales,APAC-NZ Disti Sales Manager,APAC - ASEAN Direct Sales Manager,APAC-ASEAN,APAC-ASEAN Direct Sales,APAC-ASEAN Disti Sales,APAC-ASEAN Inside Sales,APAC-ASEAN Outside SE Sales,APAC-ASEAN Service Manager,APAC-China-Bus Dev Manager,APAC-China-Direct Sales,APAC-China-Direct Sales Manager,APAC-China-Director Channel Sales,APAC-China-Disti Sales,APAC-China-Inside Sales,APAC-China-Inside Sales Manager,APAC-China-OEM Sales,APAC-China-Sales Engineering,APAC-China-Services,APAC-China-Territory Direct Sales,APAC-China-Territory Direct Sales Manager,APAC-Greater China,APAC-Hong Kong & Taiwan - Inside Sales,APAC-Hong Kong/Taiwan,APAC-Hong Kong/Taiwan Channel Sales,APAC-Hong Kong/Taiwan Direct Sales,APAC-India,APAC-India Alliances Sales Manager,APAC-India Direct Sales Manager,APAC-India Sales Alliances,APAC-India Sales Manager,APAC-India Services,APAC-India Services GLS,APAC-India Services-GLS Manager,APAC-India-Direct Sales,APAC-India-Disti & SI Sales,APAC-India-Finance,APAC-India-GS Manager,APAC-India-Inside Sales,APAC-India-OEM Sales,APAC-India-Direct East,APAC-India-Regional Manager North,APAC-India-Regional Manager North 1,APAC-India-Direct North,APAC-India-Direct North1,APAC-India-Regional Manager South,APAC-India-Direct South,APAC-India-Regional Manager West,APAC-India-Direct West,APAC Japan Enterprise Sales Manager,APAC-Japan,APAC-Japan Direct Sales,APAC-Japan Direct Sales Manager,APAC-Japan Disti Sales,APAC-Japan Disti Sales Manager,APAC-Japan Global-OEM Sales,APAC-Japan Global-OEM Sales Manager,APAC-Japan Inside Sales,APAC-Japan Inside Sales Manager,APAC-Japan OEM Sales,APAC-Japan OEM Sales Manager,APAC-Japan Partner Sales Manager,APAC-Japan Services,APAC-Japan West Japan Sales,APAC-Japan West Japan Sales Manager,APAC-Korea,APAC-Korea Disti Sales,APAC-Korea Disti Sales Manager,APAC-Korea-Direct Sales,APAC-Korea-Inside Sales,APAC-Korea-Services,EMEA Cloud Team,EMEA Finance,EMEA Lead Gen,EMEA Marketing,EMEA Partner Help Desk,EMEA Runtime Sales,EMEA Sales,EMEA SDM,EMEA Services,EMEA Strategic,EMEA-Inside Sales,EMEA-Inside Sales Engineer,EMEA-OEM Sales,EMEA-Partner Development,EMEA-Sales Development,EMEA-Sales Engineers,EMEA-Belelux+CE Pre Sales,EMEA-Benelux+CE,EMEA-Benelux+CE Inside Sales,EMEA-Benelux+CE-Disti Sales,EMEA-Benelux+CE-Key Sales,EMEA-Benelux+CE-Sales Engineering,EMEA-Benelux+CE-Strategic Sales,EMEA-Nordics,EMEA-Nordics-Disti Sales,EMEA-Nordics-Inside Sales,EMEA-Nordics-Key Sales,EMEA-Nordics-Sales Engineering,EMEA-Nordics-Strategic Sales,EMEA-UK+Eastern Europe,EMEA-UK+Eastern Europe Inside Sales,EMEA-UK+Eastern Europe-Disti Sales,EMEA-UK+Eastern Europe-Key Sales,EMEA-UK+Eastern Europe-Sales Engineering,EMEA-Southern Europe,EMEA-Southern Europe Inside Sales,EMEA-Southern Europe Manager,EMEA-Southern Europe-Disti Sales,EMEA-Southern Europe-Italy Sales,EMEA-Southern Europe-Key Sales,EMEA-Southern Europe-Sales Engineer,Global Administration,Global Business Affairs,Global Finance,Global Operations,NA Marketing,WW Sales,LATAM GLS Admin,LATAM GLS Sales,LATAM Sales,LATAM Sales Manager,LATAM Solution Architect,LATAM-Renewal Rep,LATAM-SOLA,LATAM-SOLA Channel Manager,LATAM-SOLA Direct Sales,LATAM-SOLA Inside Sales,LATAM-SOLA Sales Dev,LATAM-SOLA Sales Manager,LATAM-ANDINO,LATAM-ANDINO Inside Sales,LATAM-ANDINO Sales Dev,LATAM-ANDINO Sales Manager,LATAM-ANDINO Channel Manager,LATAM-ANDINO Direct Sales,LATAM-Brazil,LATAM-Brazil Channel Manager,LATAM-Brazil Direct Sales,LATAM-Brazil Inside Sales,LATAM-Brazil Sales Dev,LATAM-Brazil Sales Manager,LATAM-CEACA,LATAM-CEACA Channel Manager,LATAM-CEACA Inside Sales,LATAM-CEACA Sales Dev,LATAM-CEACA Sales Manager,LATAM-CEACA Direct Sales,LATAM-Mexico,LATAM-Mexico Channel Manager,LATAM-Mexico Direct Sales,LATAM-Mexico Inside Sales,LATAM-Mexico Sales Dev,LATAM-Mexico Sales Manager,new LATAM Mexico Enterprise SM,new LATAM Mexico Gov SM,new LATAM Mexico Territory SM,new LATAM Mexico Enterprise SR,new LATAM Mexico Gov SR,new LATAM Mexico Territory SR,NA Business Development,NA Channel - Hosting,NA Channel - System Integrators,NA Channel - Tier 2,NA Channel Administration,NA Cloud Team,NA Sales,NA Sales Administration,NA CAM Vertical,NA Commercial Sales,NA Gluster Sales Rep,NA Hosting,NA ICAM Vertical,NA Inside Sales Engineer,NA Services,NA-Renewal Rep,NA-Sales Dev,NA-Sales Engineers,WW Alliances - ISV,WW Alliances - OEM,WW Alliances - System Integrators,NA CAM Canada,NA ICAM Canada,NA NEW Inside Sales Canada,NA Commercial Management Canada,NA Direct TerritorySales Canada –Teamed,NA Inside Sales Territory Canada,NA Outside PSR Canada,NA Inside ETR Canada,NA Inside Sales Mid-Market Canada,NA CAM Central,NA ICAM Central,NA NEW Inside Sales Central,NA Commercial Management Central,NA Direct TerritorySales Central –Teamed,NA Inside Sales Territory Central,NA Direct TerritorySales North Central,NA Direct TerritorySales South Central,NA Direct Named Sales Central – Teamed,NA Inside Sales Named Central,NA Outside PSR Central,NA Inside ETR Central,NA Inside Sales Mid-Market Central,NA CAM Northeast,NA Commercial Management Northeast,NA ICAM Northeast,NA NEW Inside Sales Northeast,NA Sales Engineer-East,NA Direct TerritorySale Northeast Teamed,NA Inside Sales Territory Northeast,NA Direct Named Sales Northeast – Teamed,NA Inside Sales Named Northeast,NA Outside PSR Northeast,NA Inside ETR Northeast,NA Inside Sales Mid-Market Northeast,NA CAM Southeast,NA ICAM Southeast,NA NEW Inside Sales Southeast,NA-SE East Manager,NA-SE West Manager,NA Inside ETR Southeast,NA Inside Sales Mid-Market Southeast,NA Commercial Management Southeast,NA Direct Territory Southeast – Teamed,NA Inside Sales Territory Southeast,NA Direct Named Sales Southeast – Teamed,NA Inside Sales Named Southeast,NA Outside PSR Southeast,NA CAM West,NA ICAM West,NA NEW Inside Sales West,NA-Sales Engineer-West,NA Commercial Management West,NA Direct Territory Sales West – Teamed,NA Inside Sales Territory West,NA Direct Named Sales West – Teamed,NA Inside Sales Named West,NA Outside PSR West,NA Inside ETR West,NA Inside Sales Mid-Market West,NA Public Sector Inside Management,NA Public Sector Management,NA FED Direct Sales – Teamed,NA FED Field Management,NA FED Inside Sales,NA-Federal-Sales Engineer,NA SLED Direct Sales – Teamed,NA SLED Field Management,NA SLED Inside Sales,Ex-APAC Sales,Ex-EMEA Sales,Ex-LATAM Sales,Ex-NA Sales,NA Direct Sales FSI Vertical – Teamed,NA Direct Sales HC Vertical – Teamed,NA Direct Sales Media Vertical – Teamed,NA Direct Sales Telcom Vertical – Teamed,NA Inside Sales FSI Vertical,NA Inside Sales HC Vertical,NA Inside Sales Media Vertical,NA Inside Sales Telcom Vertical,NA Systems Integrator,NA Vertical Management,Qumranet Sales,Qumranet Sales Engineer,Qumranet Sales Manager'),
	Teamed__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Federation_ID__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Approval_Processes__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Associated_Contact__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Business_Unit__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Commercial,Public Sector,N/A'),
	Contact_Id__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Contact__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Special_Programs__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Lighthouse,Account Planning'),
	SLA_User__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	System__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Strategic_Plan_Approver__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	SSI_User__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	SumTotal_ID__c string(50) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Channel_Role__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'RH Sales,RH Consulting,RH Solution Architect'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Group__DelegatedApproverId FOREIGN KEY(DelegatedApproverId) REFERENCES Group_ (Id) OPTIONS (NAMEINSOURCE 'DelegatedUsers'),
	CONSTRAINT FK_Profile_ProfileId FOREIGN KEY(ProfileId) REFERENCES Profile (Id) OPTIONS (NAMEINSOURCE 'Users'),
	CONSTRAINT FK_User__BigMachines__Delegated_Approver__c FOREIGN KEY(BigMachines__Delegated_Approver__c) REFERENCES User_ (Id) OPTIONS (NAMEINSOURCE 'BigMachines__Approval_Delegator__r'),
	CONSTRAINT FK_User__DelegatedApproverId FOREIGN KEY(DelegatedApproverId) REFERENCES User_ (Id) OPTIONS (NAMEINSOURCE 'DelegatedUsers'),
	CONSTRAINT FK_User__ManagerId FOREIGN KEY(ManagerId) REFERENCES User_ (Id) OPTIONS (NAMEINSOURCE 'ManagedUsers'),
	CONSTRAINT FK_User__Strategic_Plan_Approver__c FOREIGN KEY(Strategic_Plan_Approver__c) REFERENCES User_ (Id) OPTIONS (NAMEINSOURCE 'Strategic_Plan_Users__r'),
	CONSTRAINT FK_UserRole_UserRoleId FOREIGN KEY(UserRoleId) REFERENCES UserRole (Id) OPTIONS (NAMEINSOURCE 'Users')
) OPTIONS (NAMEINSOURCE 'User', UPDATABLE TRUE, "teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'false', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE User_Agreement__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	Accept_Date__c timestamp OPTIONS (NATIVE_TYPE 'datetime', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Agreement__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	User__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Agreement__c_Agreement__c FOREIGN KEY(Agreement__c) REFERENCES Agreement__c (Id) OPTIONS (NAMEINSOURCE 'User_Agreements__r'),
	CONSTRAINT FK_User__User__c FOREIGN KEY(User__c) REFERENCES User_ (Id) OPTIONS (NAMEINSOURCE 'User_Agreements__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE User_Agreement__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_User_Agreement__c_ItemId FOREIGN KEY(ItemId) REFERENCES User_Agreement__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE UserAccountTeamMember (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OwnerId string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	UserId string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	AccountAccessLevel string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Read,Edit'),
	OpportunityAccessLevel string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'None,Read,Edit'),
	CaseAccessLevel string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'None,Read,Edit'),
	ContactAccessLevel string(40) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'None,Read,Edit'),
	TeamMemberRole string(40) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Back-Up,Business Affairs,Business Development,Channel Account Manager,Channel Marketing - EMEA,Channel Marketing Manager - Country,Cloud Rep,DA,Engagement SA,Fusesource Middleware,Inside Channel Account Manager,Inside Rep,Inside Sales Owned Opportunity,Inside SE,ISV Recruit,ISV Rep,Local Strategic Rep,Marketing Program Manager,Middleware Inside Rep,Middleware Rep,OEM Inside Sales,Opportunity Owner,Outside Rep,Outside SE,Partner,Partner Manager,Partner Relationship Manager,Partner Relationship Manager - Regional,Presales Owner,PSR,Public Cloud Tier 2 Team Rep,Public Cloud Tiger Team Rep,Rescue Team,Secondary Outside Rep,Service Delivery Manager,SI Rep,SSI Vendor Rep,SSP,Storage Rep,Strategic Account Manager,Support Relationship Manager,Technical Account Manager,Technology Development Manager,Vertical Marketing'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_User__UserId FOREIGN KEY(UserId) REFERENCES User_ (Id) OPTIONS (NAMEINSOURCE 'UserAccountTeams')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE UserFeed (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	ParentId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	FeedPostId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'TrackedChange,UserStatus,TextPost,AdvancedTextPost,LinkPost,ContentPost,PollPost,RypplePost,ProfileSkillPost,DashboardComponentSnapshot,ApprovalPost,CaseCommentPost,ReplyPost,EmailMessageEvent,CallLogPost,ChangeStatusPost,AttachArticleEvent,MilestoneEvent,ActivityEvent,ChatTranscriptPost,CollaborationGroupCreated,CollaborationGroupUnarchived,SocialPost,QuestionPost,FacebookPost,BasicTemplateFeedItem,CreateRecordEvent,CanvasPost,AnnouncementPost'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_User__ParentId FOREIGN KEY(ParentId) REFERENCES User_ (Id) OPTIONS (NAMEINSOURCE 'Feeds')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'false', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE UserLicense (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	LicenseDefinitionKey string(40) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Name string(40) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id)
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'false', "teiid_sf:Supports Delete" 'false', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE UserPreference (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	UserId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Preference string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" '57,58,91,92,93,94,96,97,98,99,100'),
	Value_ string(1333) OPTIONS (NAMEINSOURCE 'Value', NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_User__UserId FOREIGN KEY(UserId) REFERENCES User_ (Id) OPTIONS (NAMEINSOURCE 'UserPreferences')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'false', "teiid_sf:Supports Delete" 'false', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE UserProfileFeed (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	ParentId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	FeedPostId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'TrackedChange,UserStatus,TextPost,AdvancedTextPost,LinkPost,ContentPost,PollPost,RypplePost,ProfileSkillPost,DashboardComponentSnapshot,ApprovalPost,CaseCommentPost,ReplyPost,EmailMessageEvent,CallLogPost,ChangeStatusPost,AttachArticleEvent,MilestoneEvent,ActivityEvent,ChatTranscriptPost,CollaborationGroupCreated,CollaborationGroupUnarchived,SocialPost,QuestionPost,FacebookPost,BasicTemplateFeedItem,CreateRecordEvent,CanvasPost,AnnouncementPost'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CONSTRAINT Id_PK PRIMARY KEY(Id)
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'false', "teiid_sf:Supports Delete" 'false', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE UserRole (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ParentRoleId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	RollupDescription string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	OpportunityAccessForAccountOwner string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'None,Read,Edit'),
	CaseAccessForAccountOwner string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'None,Read,Edit'),
	ContactAccessForAccountOwner string(40) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'None,Read,Edit'),
	ForecastUserId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	MayForecastManagerShare boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	PortalAccountId string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	PortalType string(40) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'None,CustomerPortal,Partner'),
	PortalRole string(40) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Executive,Manager,Worker,PersonAccount'),
	PortalAccountOwnerId string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id)
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE UserTeamMember (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OwnerId string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	UserId string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	OpportunityAccessLevel string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Read,Edit'),
	TeamMemberRole string(40) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Back-Up,Business Affairs,Business Development,Channel Account Manager,Channel Marketing - EMEA,Channel Marketing Manager - Country,Cloud Rep,DA,Engagement SA,Fusesource Middleware,Inside Channel Account Manager,Inside Rep,Inside Sales Owned Opportunity,Inside SE,ISV Recruit,ISV Rep,Local Strategic Rep,Marketing Program Manager,Middleware Inside Rep,Middleware Rep,OEM Inside Sales,Opportunity Owner,Outside Rep,Outside SE,Partner,Partner Manager,Partner Relationship Manager,Partner Relationship Manager - Regional,Presales Owner,PSR,Public Cloud Tier 2 Team Rep,Public Cloud Tiger Team Rep,Rescue Team,Secondary Outside Rep,Service Delivery Manager,SI Rep,SSI Vendor Rep,SSP,Storage Rep,Strategic Account Manager,Support Relationship Manager,Technical Account Manager,Technology Development Manager,Vertical Marketing'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_User__UserId FOREIGN KEY(UserId) REFERENCES User_ (Id) OPTIONS (NAMEINSOURCE 'UserTeams')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Util__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(38) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	SetupOwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Variable_Name__c string(30) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Variable_Value__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id)
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE Util__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Util__c_ItemId FOREIGN KEY(ItemId) REFERENCES Util__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE VendorCatalog__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	VendorName__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ApplicationName__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	IsvProcessStatus__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Industry__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	AppType__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	PlatformLabel__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	LanguageLabel__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	VendorCatalogId__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	VendorId__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	PartnerProgramLabel__c string(25) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	PartnerProgramCode__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	ApplicationId__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	PlatformCode__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	LanguageCode__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id)
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE VendorCatalog__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_VendorCatalog__c_ItemId FOREIGN KEY(ItemId) REFERENCES VendorCatalog__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Verifiable_Outcome__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	LastActivityDate date OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Opportunity__c string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Modified_Date_Time__c timestamp OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'datetime', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Capabilities__c string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Completed__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Days_Overdue__c double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'double', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Days_Remaining__c double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'double', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Due_On__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Outcome__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Pains__c string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Probability__c double OPTIONS (NATIVE_TYPE 'percent', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Reasons__c string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Sales_Cycle__c double OPTIONS (NATIVE_TYPE 'double', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	VO_Created_Date__c timestamp OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'datetime', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Stage__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Status__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Value_Selling_Stage__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Days_Remaining_Percent__c double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'percent', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	IsCanceled__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	IsLate__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	IsSkipped__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	IsUpcoming__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	OnTrack__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Opportunity_Probability__c double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'percent', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Opportunity_Stage__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Opportunity_Value_Selling_Stage__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Opportunity_Verifiable_Outcome__c string(1300) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Opportunity_Opportunity__c FOREIGN KEY(Opportunity__c) REFERENCES Opportunity (Id) OPTIONS (NAMEINSOURCE 'Verifiable_Outcomes__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE Verifiable_Outcome__History (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	ParentId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Field string(255) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Capabilities__c,Completed__c,created,CurrencyIsoCode,Due_On__c,feedEvent,Name,Opportunity__c,Outcome__c,ownerAccepted,ownerAssignment,Pains__c,Probability__c,Reasons__c,locked,unlocked,Sales_Cycle__c,Stage__c,Value_Selling_Stage__c'),
	OldValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	NewValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Verifiable_Outcome__c_ParentId FOREIGN KEY(ParentId) REFERENCES Verifiable_Outcome__c (Id) OPTIONS (NAMEINSOURCE 'Histories')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'false', "teiid_sf:Supports Delete" 'false', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Verifiable_Outcome__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Verifiable_Outcome__c_ItemId FOREIGN KEY(ItemId) REFERENCES Verifiable_Outcome__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Vote (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	ParentId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Up,Down,1,2,3,4,5'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Idea_ParentId FOREIGN KEY(ParentId) REFERENCES Idea (Id) OPTIONS (NAMEINSOURCE 'Votes'),
	CONSTRAINT FK_IdeaComment_ParentId FOREIGN KEY(ParentId) REFERENCES IdeaComment (Id) OPTIONS (NAMEINSOURCE 'Votes'),
	CONSTRAINT FK_Solution_ParentId FOREIGN KEY(ParentId) REFERENCES Solution (Id) OPTIONS (NAMEINSOURCE 'Votes')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE WebLink (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	PageOrSobjectType string(40) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Account,Account_Profile__c,Account_Profile_Other_Partner__c,Account_Profile_Power_Map__c,Account_Profile_SWOT__c,Account_SWOT_Analysis__c,AccountCatalogRelationship__c,AccountChangeRequest__c,AccountChangeRequestField__c,AccountHierarchy__c,AccountProfile_PartnerStatus__c,AccountReadOnly__c,Accounts_Special_Program__c,AccountTeamRule__c,AcctPicklistSync__c,Action_Items__c,Activity,Address__c,Agreement__c,Agreement_Country__c,Anti_corruption__c,APPR_DGRP__Dynamic_Group__c,APPR_DGRP__Group_Rule__c,APPR_PUB__Headline__c,APPR_PUB__Headline_Link__c,APPR_PUB__Headline_Link_Group__c,APPR_PUB_XT__Headline_Link__c,APPR_PUB_XT__Headline_Link_Group_Translation__c,APPR_PUB_XT__Headline_Translation__c,ApprovalCustom__c,Assessment_Summary__c,Asset,Audience__c,Audience_Account__c,BigMachines__Configuration_Record__c,BigMachines__Field_Mapping__c,BigMachines__Quote__c,BigMachines__Quote_Product__c,BillToAccount__c,BLND_DFAC_Shared_View__c,BLND_DFCS_Carousel__c,BLND_DFCS_Slide__c,BLND_DFDT_Action_Item__c,BLND_DFDT_Discussion__c,BLND_DFDT_Highlight__c,BLND_DFDT_Issue__c,BLND_DFDT_Linker__c,BLND_DFDT_Project__c,BLND_DFDT_Resource__c,BLND_DFDT_Task__c,BLND_DFFF_Form__c,BLND_DFFF_Page__c,BLND_DFTE_Expense__c,BLND_DFTE_Time__c,BLND_DFTT_Document__c,BLND_DFTT_Entity_Info__c,BLND_DFTT_Folder__c,Busines_Plan_KPI__c,Business_Plan_Customer__c,Business_Problem__c,BusinessPlan_MktResource__c,Campaign,Campaign_Hierarchy_Details__c,Campaign_Plan__c,CampaignMember,CampaignTag__c,Case,CaseCommentData__c,CasePriority__c,CasePriorityTotals__c,CCB_Event__c,CDH_Party__c,Change_Control_Board__c,Change_Management__c,Change_Request__c,Change_Request_Members__c,Change_Requests__c,Classification__c,ClassificationTranslation__c,Communities_Featured_Headline__c,Communities_Featured_Headline_Label__c,Communities_Navigation_Item__c,Communities_Navigation_Item_Label__c,Communities_News_Item__c,Communities_News_Item_Label__c,Communities_Tool_Shortcut__c,Communities_Tool_Shortcut_Label__c,Competitor__c,Component__c,Configuration__c,Contact,Contact_Converter__c,Contact_Reference_Request__c,Contact_Tool_Shortcut__c,Contact_Track__c,ContentVersion,Contract,Country__c,CountryTranslation__c,CR_Components_Join__c,Credit__c,CTSK_INSP__Field_Statistic__c,CTSK_INSP__Object_Statistic__c,Customer_Reference__c,Customer_Reference_Product__c,CustomPageItem,DandBCompany,DashboardComponent,Defect__c,Defect_Requirement_Join__c,Deliverables__c,dupcerts__c,DuplicateRecordItem,DuplicateRecordSet,EBS_Account__c,ELOQUA__Campaign_s_Marketing_Asset__c,ELOQUA__Marketing_Activity__c,ELOQUA__Marketing_Asset__c,Environment__c,Evaluation__c,Event,Event__c,Event_Log__c,Executive_Summary__c,Expiring_Product__c,Featured_Partner__c,FiscalGoals__c,Hashes__c,hoopla__Hoopla_Error_Log__c,hoopla__Notification_Queue__c,hoopla__Player__c,hoopla__Position__c,hoopla__Position_Role__c,hoopla__Scoreboard_Role__c,Idea,Inbound_Event__c,Key_Joint_Sales_Engagement__c,Lead,Lead_Source_Detail__c,Lead_SuperRegion_Mapping__c,LeadAccountRules__c,LeadCountryMap__c,LeadCronRoutingRule__c,LeadForReporting__c,LeadManagementHistory__c,LeadRules__c,LeadShareStaging__c,Link_to_Paid_Opportunity__c,LMS_Training_Request__c,Macro,Marketing_Activity__c,Marketing_Program__c,Match_and_Validation_Error__c,Messaging_Strategy__c,Milestone__c,MonitoredActivity__c,NFR_LI__c,NFR_Request__c,NFR_SKU_Matrix__c,NonPrimaryBillingAddress__c,NonPrimaryShippingAddress__c,Opportunities_Special_Program__c,Opportunity,Opportunity_Header_Staging__c,Opportunity_History__c,Opportunity_Line_Staging__c,Opportunity_Match_Configuration__c,Opportunity_Partner_Staging__c,Opportunity_Partners__c,Opportunity_Split_Detail__c,OpportunityLineItem,OpportunityPartner__c,OpportunityProductSummary__c,OpportunitySnapshot__c,OpportunityTeamMember,OpportunityTeamMemberClone__c,Order_Loader_Batch__c,Order_Management_Profile__c,Order_Tracking__c,Outbound_Error__c,Outbound_Event__c,Partner_Attachment__c,Partner_CCP_Form__c,Partner_Location__c,Partner_Onboarding_Registration__c,Partner_Point_Requal_Limits__c,Partner_Points_LMS_Catalog__c,Partner_Points_Requal_Req__c,Partner_Profile__c,Partner_Program__c,Partner_Program_Approval__c,Partner_Program_Definition__c,Partner_Program_Description__c,Partner_Program_Product__c,Partner_Program_Tier__c,Partner_Registration__c,Partner_Registration_Line_Item__c,Partner_Requal_Points__c,Partner_Requal_Setup__c,Partner_Requalification_Agreement__c,Partner_Requalification_Log__c,Partner_s_Assessment_Summary__c,Partner_s_Business_Problem__c,Partner_s_Competitor__c,Partner_s_Messaging_Strategy__c,Partner_User_Invitation__c,PartnerAgreement__c,PartnerClassification__c,PartnerLogo__c,PartnerProduct__c,PartnerProductClassification__c,PartnerProductLanguage__c,PartnerProductLogo__c,PartnerProductScreenshot__c,PartnerRequalification__c,PartnerStatus__c,PartnerTopCustomer__c,PartnerTrack__c,PartnerTraining__c,PartnerUser_Email_Token__c,PCSearchForm__c,PFSearchForm__c,Potential_Matched_Opportunities__c,PP_Account_Points__c,PP_Batch__c,PP_Cap__c,PP_Catalog__c,PP_Content__c,PP_Content_Workspace__c,PP_ContentBatchStage__c,PP_ContentStage__c,PP_InboundBatchItemStage__c,PP_InboundBatchStage__c,PP_ItemAudit__c,PP_LMS_Stage__c,PP_Scores__c,PP_User_Points__c,Priority__c,Product2,Project__c,Project_Item__c,Project_Status__c,Project_Tracker__c,Quote__c,QuoteLineItem__c,QuoteLineItemSchedule__c,QuotePaymentSchedule__c,Rally_User__c,RecordLookup__c,RecordTypeAssignment__c,Red_Hat_Attachment__c,Reference_Collateral__c,Reference_Usage__c,ReferenceStor__Rs_Account_History__c,ReferenceStor__Rs_Account_HistoryDetail__c,ReferenceStor__Rs_Opportunity_History__c,ReferenceStor__Rs_Opportunity_HistoryDetail__c,Region__c,Region_NA__c,Reject_Lead_Setup__c,Related_Case__c,Release__c,RemoteAccess__c,Request_Tracker__c,Requirement__c,Reseller__c,Resource__c,RH_Content__c,RH_Microsite__c,RH_Microsite_Page__c,Role_Interest_Training_Matrix__c,Sales_Comments__c,SalesPortalContent__c,Schedule_Exports__c,ServicesAllocation__c,SFDC_Budget__c,SFDC_Budget_Item__c,SFDC_Channel_Account_Plan__c,SFDC_MDF__c,SFDC_MDF_Claim__c,SFDC_Objective__c,SFDC_Plan_Resource_Association__c,Solution,SolutionProduct__c,Special_Program__c,State__c,StateProvinceTranslation__c,Status_Reports__c,SteeringCommittee__c,Storybook__c,StoryBookLink__c,StoryBookLinkLabel__c,StrategicPlan__c,StrategicPlan_Action__c,StrategicPlan_OppProdSummary__c,StrategicPlan_Review__c,StrategicPlan_ReviewHistory__c,StrategicPlan_Solution__c,StrategicPlan_SolutionOpportunity__c,StrategicPlan_Strategy__c,Subscription__c,SubscriptionBatch__c,SubscriptionError__c,SubscriptionLine__c,SubscriptionPartner__c,SubscriptionPartnerRelationship__c,SubscriptionReportCriteria__c,SumTotal_Catalog__c,SumTotal_Request__c,SumTotal_Setting__c,SumTotal_Training__c,Super_Industry__c,Task,Teaming_Agreement__c,Temporal_Content__c,Test_Case__c,Test_Case_Result__c,Test_Case_Step__c,TrackingEvent__c,TrackingEventLog__c,TrackingEventSummary__c,TrendData__c,Use_Case__c,Use_Case_Step__c,User,User_Agreement__c,VendorCatalog__c,Verifiable_Outcome__c,Work_Package__c,Work_Plan__c'),
	Name string(240) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsProtected boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Url string(1048576) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	EncodingKey string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'UTF-8,ISO-8859-1,Shift_JIS,ISO-2022-JP,EUC-JP,ks_c_5601-1987,Big5,GB2312'),
	LinkType string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'url,sControl,javascript,page,flow'),
	OpenType string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'newWindow,sidebar,noSidebar,replace,onClickJavaScript'),
	Height integer OPTIONS (NATIVE_TYPE 'int', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Width integer OPTIONS (NATIVE_TYPE 'int', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ShowsLocation boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	HasScrollbars boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	HasToolbar boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	HasMenubar boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	ShowsStatus boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsResizable boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Position string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'fullScreen,none,topLeft'),
	ScontrolId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	MasterLabel string(240) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Description string(1000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	DisplayType string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'L,B,M'),
	RequireRowSelection boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	NamespacePrefix string(15) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id)
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE WebLinkLocalization (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	WebLinkId string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Language_ string(40) OPTIONS (NAMEINSOURCE 'Language', UPDATABLE FALSE, NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'en_US,de,es,fr,it,ja,sv,ko,zh_TW,zh_CN,pt_BR,nl_NL,da,th,fi,ru,es_MX'),
	Value_ string(1000) OPTIONS (NAMEINSOURCE 'Value', NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	NamespacePrefix string(15) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_WebLink_WebLinkId FOREIGN KEY(WebLinkId) REFERENCES WebLink (Id) OPTIONS (NAMEINSOURCE 'Localization')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Work_Package__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	OwnerId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	LastActivityDate date OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Biz_Process_Design_Completed__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" '0%,25%,50%,75%,100%'),
	Biz_Process_Design_Hrs_Remaining__c double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'double', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Biz_Process_Design_Resource__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Configuration_Completed__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" '0%,25%,50%,75%,100%'),
	Configuration_Hrs_Remaining__c double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'double', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Configuration_Resource__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Description__c string(32000) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Development_Completed__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" '0%,25%,50%,75%,100%'),
	Development_Hrs_Remaining__c double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'double', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Development_Resource__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Estimated_Completion_Date__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Estimated_Start_Date__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Expected_Functional_Review_Date__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Expected_Technical_Review_Date__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Expected_User_Review_Date__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Functional_Review_Completed__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Info_Requirements_Completed__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" '0%,25%,50%,75%,100%'),
	Integration_Description__c string(255) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Integrations__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" '<Setup needed>'),
	Key_Objects__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Activities,Campaigns,Leads,Contacts,Accounts,Opportunities,Quotes,Contracts,Cases,Solutions'),
	Offshore_Developer_Resource__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Priority__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'High,Medium,Low'),
	Progress_Statement__c string(1500) OPTIONS (SEARCHABLE 'Unsearchable', NATIVE_TYPE 'textarea', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Progress__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Green - On Track,Yellow - At Risk,Red - Off Track'),
	Related_Objects__c string(4099) OPTIONS (NATIVE_TYPE 'multipicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Activities,Campaigns,Leads,Accounts,Contacts,Opportunities,Quotes,Contracts,Cases,Solutions'),
	Release__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Requirements_Hrs_Remaining__c double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'double', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Requirements_Resource__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Status__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Not Started,In Progress,In QA,Completed,Cancelled'),
	Tech_Design_Completed__c string(255) OPTIONS (NATIVE_TYPE 'picklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" '0%,25%,50%,75%,100%'),
	Tech_Design_Hrs_Remaining__c double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'double', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Tech_Design_Resource__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Technical_Review_Completed__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Total_Level_of_Effort__c double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'double', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Use_Cases_Completed__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	User_Design_Review_Complete__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Wireframes_included__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Work_Package_Name__c string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Biz_Process_Design_Hours__c double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'double', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Configuration_Hours__c double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'double', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Development_Hours__c double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'double', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Requirements_Hours__c double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'double', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Tech_Design_Hours__c double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'double', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Release__c_Release__c FOREIGN KEY(Release__c) REFERENCES Release__c (Id) OPTIONS (NAMEINSOURCE 'Work_Packages__r'),
	CONSTRAINT FK_User__Biz_Process_Design_Resource__c FOREIGN KEY(Biz_Process_Design_Resource__c) REFERENCES User_ (Id) OPTIONS (NAMEINSOURCE 'Work_Packages1__r'),
	CONSTRAINT FK_User__Configuration_Resource__c FOREIGN KEY(Configuration_Resource__c) REFERENCES User_ (Id) OPTIONS (NAMEINSOURCE 'Work_Packages6__r'),
	CONSTRAINT FK_User__Development_Resource__c FOREIGN KEY(Development_Resource__c) REFERENCES User_ (Id) OPTIONS (NAMEINSOURCE 'Work_Packages5__r'),
	CONSTRAINT FK_User__Offshore_Developer_Resource__c FOREIGN KEY(Offshore_Developer_Resource__c) REFERENCES User_ (Id) OPTIONS (NAMEINSOURCE 'Work_Packages__r'),
	CONSTRAINT FK_User__Requirements_Resource__c FOREIGN KEY(Requirements_Resource__c) REFERENCES User_ (Id) OPTIONS (NAMEINSOURCE 'Work_Packages2__r'),
	CONSTRAINT FK_User__Tech_Design_Resource__c FOREIGN KEY(Tech_Design_Resource__c) REFERENCES User_ (Id) OPTIONS (NAMEINSOURCE 'Work_Packages3__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE Work_Package__Feed (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	ParentId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	FeedPostId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'TrackedChange,UserStatus,TextPost,AdvancedTextPost,LinkPost,ContentPost,PollPost,RypplePost,ProfileSkillPost,DashboardComponentSnapshot,ApprovalPost,CaseCommentPost,ReplyPost,EmailMessageEvent,CallLogPost,ChangeStatusPost,AttachArticleEvent,MilestoneEvent,ActivityEvent,ChatTranscriptPost,CollaborationGroupCreated,CollaborationGroupUnarchived,SocialPost,QuestionPost,FacebookPost,BasicTemplateFeedItem,CreateRecordEvent,CanvasPost,AnnouncementPost'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Work_Package__c_ParentId FOREIGN KEY(ParentId) REFERENCES Work_Package__c (Id) OPTIONS (NAMEINSOURCE 'Feeds')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'false', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Work_Package__History (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	ParentId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Field string(255) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Biz_Process_Design_Completed__c,Biz_Process_Design_Resource__c,Configuration_Completed__c,Configuration_Resource__c,created,CurrencyIsoCode,Description__c,Development_Completed__c,Development_Resource__c,Estimated_Completion_Date__c,Estimated_Start_Date__c,Expected_Functional_Review_Date__c,Expected_Technical_Review_Date__c,Expected_User_Review_Date__c,feedEvent,Functional_Review_Completed__c,Info_Requirements_Completed__c,Integration_Description__c,Integrations__c,Key_Objects__c,Name,Offshore_Developer_Resource__c,Owner,ownerAccepted,ownerAssignment,Priority__c,Progress__c,Progress_Statement__c,locked,unlocked,Related_Objects__c,Release__c,Requirements_Resource__c,Status__c,Tech_Design_Completed__c,Tech_Design_Resource__c,Technical_Review_Completed__c,Use_Cases_Completed__c,User_Design_Review_Complete__c,Wireframes_included__c,Work_Package_Name__c'),
	OldValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	NewValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Work_Package__c_ParentId FOREIGN KEY(ParentId) REFERENCES Work_Package__c (Id) OPTIONS (NAMEINSOURCE 'Histories')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'false', "teiid_sf:Supports Delete" 'false', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Work_Package__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Work_Package__c_ItemId FOREIGN KEY(ItemId) REFERENCES Work_Package__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Work_Plan__c (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(80) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	CurrencyIsoCode string(3) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true', "teiid_sf:Picklist Values" 'ARS,AUD,BRL,GBP,CAD,CNY,EUR,HKD,INR,IDR,JPY,KRW,MYR,MXN,NZD,PHP,SGD,THB,USD'),
	LastActivityDate date OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Release__c string(18) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Comments__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Complete__c boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Description__c string(255) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Duration__c double OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'double', "teiid_sf:calculated" 'true', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	End_Date__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Percent_Complete__c double OPTIONS (NATIVE_TYPE 'percent', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	Predecessor__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Related_Deliverable__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Related_Milestone__c string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Start_Date__c date OPTIONS (NATIVE_TYPE 'date', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'false'),
	Task_ID__c string(30) OPTIONS (UPDATABLE FALSE, NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'true', "teiid_sf:Defaulted on Create" 'true'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Deliverables__c_Related_Deliverable__c FOREIGN KEY(Related_Deliverable__c) REFERENCES Deliverables__c (Id) OPTIONS (NAMEINSOURCE 'Related_Work_Plan_Tasks__r'),
	CONSTRAINT FK_Milestone__c_Related_Milestone__c FOREIGN KEY(Related_Milestone__c) REFERENCES Milestone__c (Id) OPTIONS (NAMEINSOURCE 'Related_Work_Plan_Tasks__r'),
	CONSTRAINT FK_Release__c_Release__c FOREIGN KEY(Release__c) REFERENCES Release__c (Id) OPTIONS (NAMEINSOURCE 'Work_Plan__r'),
	CONSTRAINT FK_Work_Plan__c_Predecessor__c FOREIGN KEY(Predecessor__c) REFERENCES Work_Plan__c (Id) OPTIONS (NAMEINSOURCE 'Succeeding_Tasks__r')
) OPTIONS (UPDATABLE TRUE, "teiid_sf:Custom" 'true', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'true');

CREATE FOREIGN TABLE Work_Plan__History (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	ParentId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Field string(255) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Comments__c,Complete__c,created,CurrencyIsoCode,Description__c,End_Date__c,feedEvent,Name,ownerAccepted,ownerAssignment,Percent_Complete__c,Predecessor__c,locked,unlocked,Related_Deliverable__c,Related_Milestone__c,Release__c,Start_Date__c'),
	OldValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	NewValue string(255) OPTIONS (NATIVE_TYPE 'anyType', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Work_Plan__c_ParentId FOREIGN KEY(ParentId) REFERENCES Work_Plan__c (Id) OPTIONS (NAMEINSOURCE 'Histories')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'false', "teiid_sf:Supports Delete" 'false', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'true', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN TABLE Work_Plan__Tag (
	Id string(18) NOT NULL AUTO_INCREMENT OPTIONS (NATIVE_TYPE 'id', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	TagDefinitionId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	ItemId string(18) OPTIONS (NATIVE_TYPE 'reference', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	IsDeleted boolean OPTIONS (NATIVE_TYPE 'boolean', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'true'),
	Name string(765) OPTIONS (NATIVE_TYPE 'string', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false'),
	Type string(40) OPTIONS (NATIVE_TYPE 'restrictedpicklist', "teiid_sf:calculated" 'false', "teiid_sf:Custom" 'false', "teiid_sf:Defaulted on Create" 'false', "teiid_sf:Picklist Values" 'Public,Personal'),
	CONSTRAINT Id_PK PRIMARY KEY(Id),
	CONSTRAINT FK_Work_Plan__c_ItemId FOREIGN KEY(ItemId) REFERENCES Work_Plan__c (Id) OPTIONS (NAMEINSOURCE 'Tags')
) OPTIONS ("teiid_sf:Custom" 'false', "teiid_sf:Supports Create" 'true', "teiid_sf:Supports Delete" 'true', "teiid_sf:Supports Merge" 'false', "teiid_sf:Supports Query" 'true', "teiid_sf:Supports Replicate" 'false', "teiid_sf:Supports Retrieve" 'true', "teiid_sf:Supports Search" 'false');

CREATE FOREIGN PROCEDURE GetDeleted(IN ObjectName string OPTIONS (ANNOTATION 'ObjectName'), IN StartDate timestamp OPTIONS (ANNOTATION 'Start Time'), IN EndDate timestamp OPTIONS (ANNOTATION 'End Time'), IN EarliestDateAvailable timestamp OPTIONS (ANNOTATION 'Earliest Date Available'), IN LatestDateCovered timestamp OPTIONS (ANNOTATION 'Latest Date Covered')) RETURNS TABLE (ID string, DeletedDate timestamp)
OPTIONS (ANNOTATION 'Gets the deleted objects')

CREATE FOREIGN PROCEDURE GetUpdated(IN ObjectName string OPTIONS (ANNOTATION 'ObjectName'), IN StartDate timestamp OPTIONS (ANNOTATION 'Start Time'), IN EndDate timestamp OPTIONS (ANNOTATION 'End Time'), IN LatestDateCovered timestamp OPTIONS (ANNOTATION 'Latest Date Covered')) RETURNS TABLE (ID string)
OPTIONS (ANNOTATION 'Gets the updated objects')